#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2646
#define LARGE_STATE_COUNT 572
#define SYMBOL_COUNT 409
#define ALIAS_COUNT 0
#define TOKEN_COUNT 194
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 26
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 183

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_declaration_token2 = 14,
  aux_sym_namespace_use_declaration_token3 = 15,
  anon_sym_BSLASH = 16,
  aux_sym_namespace_aliasing_clause_token1 = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  aux_sym__arrow_function_header_token1 = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  aux_sym_exit_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym_object_creation_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  aux_sym_encapsed_string_token1 = 137,
  anon_sym_DQUOTE = 138,
  aux_sym_string_token1 = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_string_token2 = 141,
  sym_string_content = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_ = 146,
  anon_sym_SQUOTE2 = 147,
  anon_sym_BQUOTE = 148,
  anon_sym_DOLLAR = 149,
  aux_sym_yield_expression_token1 = 150,
  aux_sym_yield_expression_token2 = 151,
  aux_sym_binary_expression_token1 = 152,
  anon_sym_QMARK_QMARK = 153,
  anon_sym_STAR_STAR = 154,
  aux_sym_binary_expression_token2 = 155,
  aux_sym_binary_expression_token3 = 156,
  aux_sym_binary_expression_token4 = 157,
  anon_sym_PIPE_PIPE = 158,
  anon_sym_AMP_AMP = 159,
  anon_sym_CARET = 160,
  anon_sym_EQ_EQ = 161,
  anon_sym_BANG_EQ = 162,
  anon_sym_LT_GT = 163,
  anon_sym_EQ_EQ_EQ = 164,
  anon_sym_BANG_EQ_EQ = 165,
  anon_sym_LT = 166,
  anon_sym_GT = 167,
  anon_sym_LT_EQ = 168,
  anon_sym_GT_EQ = 169,
  anon_sym_LT_EQ_GT = 170,
  anon_sym_LT_LT = 171,
  anon_sym_GT_GT = 172,
  anon_sym_DOT = 173,
  anon_sym_STAR = 174,
  anon_sym_SLASH = 175,
  anon_sym_PERCENT = 176,
  aux_sym_include_expression_token1 = 177,
  aux_sym_include_once_expression_token1 = 178,
  aux_sym_require_expression_token1 = 179,
  aux_sym_require_once_expression_token1 = 180,
  sym_comment = 181,
  sym__automatic_semicolon = 182,
  sym_encapsed_string_chars = 183,
  sym_encapsed_string_chars_after_variable = 184,
  sym_execution_string_chars = 185,
  sym_execution_string_chars_after_variable = 186,
  sym_encapsed_string_chars_heredoc = 187,
  sym_encapsed_string_chars_after_variable_heredoc = 188,
  sym__eof = 189,
  sym_heredoc_start = 190,
  sym_heredoc_end = 191,
  sym_nowdoc_string = 192,
  sym_sentinel_error = 193,
  sym_program = 194,
  sym_text_interpolation = 195,
  sym_text = 196,
  sym_statement = 197,
  sym_empty_statement = 198,
  sym_reference_modifier = 199,
  sym_function_static_declaration = 200,
  sym_static_variable_declaration = 201,
  sym_global_declaration = 202,
  sym_namespace_definition = 203,
  sym_namespace_use_declaration = 204,
  sym_namespace_use_clause = 205,
  sym_qualified_name = 206,
  sym_namespace_name_as_prefix = 207,
  sym_namespace_name = 208,
  sym_namespace_aliasing_clause = 209,
  sym_namespace_use_group = 210,
  sym_namespace_use_group_clause = 211,
  sym_trait_declaration = 212,
  sym_interface_declaration = 213,
  sym_base_clause = 214,
  sym_enum_declaration = 215,
  sym_enum_declaration_list = 216,
  sym__enum_member_declaration = 217,
  sym_enum_case = 218,
  sym_class_declaration = 219,
  sym_declaration_list = 220,
  sym_final_modifier = 221,
  sym_abstract_modifier = 222,
  sym_readonly_modifier = 223,
  sym_class_interface_clause = 224,
  sym__member_declaration = 225,
  sym_const_declaration = 226,
  sym__class_const_declaration = 227,
  sym__const_declaration = 228,
  sym_property_declaration = 229,
  sym__modifier = 230,
  sym_property_element = 231,
  sym_property_initializer = 232,
  sym_method_declaration = 233,
  sym_static_modifier = 234,
  sym_use_declaration = 235,
  sym_use_list = 236,
  sym_use_instead_of_clause = 237,
  sym_use_as_clause = 238,
  sym_visibility_modifier = 239,
  sym_function_definition = 240,
  sym__function_definition_header = 241,
  sym__arrow_function_header = 242,
  sym_arrow_function = 243,
  sym_formal_parameters = 244,
  sym_property_promotion_parameter = 245,
  sym_simple_parameter = 246,
  sym_variadic_parameter = 247,
  sym_type = 248,
  sym__types = 249,
  sym_named_type = 250,
  sym_optional_type = 251,
  sym_union_type = 252,
  sym_intersection_type = 253,
  sym_disjunctive_normal_form_type = 254,
  sym_primitive_type = 255,
  sym_cast_type = 256,
  sym__return_type = 257,
  sym_const_element = 258,
  sym_echo_statement = 259,
  sym_exit_statement = 260,
  sym_unset_statement = 261,
  sym_declare_statement = 262,
  sym_declare_directive = 263,
  sym_literal = 264,
  sym_try_statement = 265,
  sym_catch_clause = 266,
  sym_type_list = 267,
  sym_finally_clause = 268,
  sym_goto_statement = 269,
  sym_continue_statement = 270,
  sym_break_statement = 271,
  sym_return_statement = 272,
  sym_throw_expression = 273,
  sym_while_statement = 274,
  sym_do_statement = 275,
  sym_for_statement = 276,
  sym__expressions = 277,
  sym_sequence_expression = 278,
  sym_foreach_statement = 279,
  sym_foreach_pair = 280,
  sym_if_statement = 281,
  sym_colon_block = 282,
  sym_else_if_clause = 283,
  sym_else_clause = 284,
  sym_else_if_clause_2 = 285,
  sym_else_clause_2 = 286,
  sym_match_expression = 287,
  sym_match_block = 288,
  sym_match_condition_list = 289,
  sym_match_conditional_expression = 290,
  sym_match_default_expression = 291,
  sym_switch_statement = 292,
  sym_switch_block = 293,
  sym_case_statement = 294,
  sym_default_statement = 295,
  sym_compound_statement = 296,
  sym_named_label_statement = 297,
  sym_expression_statement = 298,
  sym_expression = 299,
  sym__unary_expression = 300,
  sym_unary_op_expression = 301,
  sym_error_suppression_expression = 302,
  sym_clone_expression = 303,
  sym_primary_expression = 304,
  sym_parenthesized_expression = 305,
  sym_class_constant_access_expression = 306,
  sym_print_intrinsic = 307,
  sym_anonymous_function_creation_expression = 308,
  sym_anonymous_function_use_clause = 309,
  sym_object_creation_expression = 310,
  sym_update_expression = 311,
  sym_cast_expression = 312,
  sym_cast_variable = 313,
  sym_assignment_expression = 314,
  sym_reference_assignment_expression = 315,
  sym_conditional_expression = 316,
  sym_augmented_assignment_expression = 317,
  sym_member_access_expression = 318,
  sym_nullsafe_member_access_expression = 319,
  sym_scoped_property_access_expression = 320,
  sym_list_literal = 321,
  sym__list_destructing = 322,
  sym__array_destructing = 323,
  sym__array_destructing_element = 324,
  sym_function_call_expression = 325,
  sym_scoped_call_expression = 326,
  sym__scope_resolution_qualifier = 327,
  sym_relative_scope = 328,
  sym_variadic_placeholder = 329,
  sym_arguments = 330,
  sym_argument = 331,
  sym__argument_name = 332,
  sym_member_call_expression = 333,
  sym_nullsafe_member_call_expression = 334,
  sym_variadic_unpacking = 335,
  sym_subscript_expression = 336,
  sym__dereferencable_expression = 337,
  sym_array_creation_expression = 338,
  sym_attribute_group = 339,
  sym_attribute_list = 340,
  sym_attribute = 341,
  sym__complex_string_part = 342,
  sym__simple_string_member_access_expression = 343,
  sym__simple_string_subscript_unary_expression = 344,
  sym__simple_string_array_access_argument = 345,
  sym__simple_string_subscript_expression = 346,
  sym__simple_string_part = 347,
  aux_sym__interpolated_string_body = 348,
  aux_sym__interpolated_string_body_heredoc = 349,
  sym_encapsed_string = 350,
  sym_string = 351,
  sym_heredoc_body = 352,
  sym_heredoc = 353,
  sym_nowdoc_body = 354,
  sym_nowdoc = 355,
  aux_sym__interpolated_execution_operator_body = 356,
  sym_shell_command_expression = 357,
  sym_boolean = 358,
  sym_null = 359,
  sym__string = 360,
  sym_dynamic_variable_name = 361,
  sym_variable_name = 362,
  sym_variable_reference = 363,
  sym_by_ref = 364,
  sym_yield_expression = 365,
  sym_array_element_initializer = 366,
  sym_binary_expression = 367,
  sym_include_expression = 368,
  sym_include_once_expression = 369,
  sym_require_expression = 370,
  sym_require_once_expression = 371,
  sym__reserved_identifier = 372,
  aux_sym_program_repeat1 = 373,
  aux_sym_text_repeat1 = 374,
  aux_sym_function_static_declaration_repeat1 = 375,
  aux_sym_global_declaration_repeat1 = 376,
  aux_sym_namespace_use_declaration_repeat1 = 377,
  aux_sym_namespace_name_repeat1 = 378,
  aux_sym_namespace_use_group_repeat1 = 379,
  aux_sym_base_clause_repeat1 = 380,
  aux_sym_enum_declaration_list_repeat1 = 381,
  aux_sym_class_declaration_repeat1 = 382,
  aux_sym_declaration_list_repeat1 = 383,
  aux_sym__const_declaration_repeat1 = 384,
  aux_sym_property_declaration_repeat1 = 385,
  aux_sym_use_list_repeat1 = 386,
  aux_sym_formal_parameters_repeat1 = 387,
  aux_sym_union_type_repeat1 = 388,
  aux_sym_intersection_type_repeat1 = 389,
  aux_sym_disjunctive_normal_form_type_repeat1 = 390,
  aux_sym_unset_statement_repeat1 = 391,
  aux_sym_try_statement_repeat1 = 392,
  aux_sym_type_list_repeat1 = 393,
  aux_sym_if_statement_repeat1 = 394,
  aux_sym_if_statement_repeat2 = 395,
  aux_sym_match_block_repeat1 = 396,
  aux_sym_match_condition_list_repeat1 = 397,
  aux_sym_switch_block_repeat1 = 398,
  aux_sym_anonymous_function_use_clause_repeat1 = 399,
  aux_sym__list_destructing_repeat1 = 400,
  aux_sym__array_destructing_repeat1 = 401,
  aux_sym_arguments_repeat1 = 402,
  aux_sym_array_creation_expression_repeat1 = 403,
  aux_sym_attribute_group_repeat1 = 404,
  aux_sym_attribute_list_repeat1 = 405,
  aux_sym_string_repeat1 = 406,
  aux_sym_heredoc_body_repeat1 = 407,
  aux_sym_nowdoc_body_repeat1 = 408,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [sym_string_content] = "string_content",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_] = "nowdoc_string",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [sym_string_content] = sym_string_content,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_] = sym_nowdoc_string,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_left = 12,
  field_name = 13,
  field_object = 14,
  field_operator = 15,
  field_parameters = 16,
  field_readonly = 17,
  field_reference_modifier = 18,
  field_return_expression = 19,
  field_return_type = 20,
  field_right = 21,
  field_scope = 22,
  field_static_modifier = 23,
  field_type = 24,
  field_value = 25,
  field_visibility = 26,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 4},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 2},
  [19] = {.index = 29, .length = 2},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 5},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 5},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 1},
  [37] = {.index = 72, .length = 3},
  [38] = {.index = 75, .length = 2},
  [39] = {.index = 77, .length = 1},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 2},
  [42] = {.index = 82, .length = 3},
  [43] = {.index = 85, .length = 2},
  [44] = {.index = 87, .length = 1},
  [45] = {.index = 88, .length = 3},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 1},
  [50] = {.index = 95, .length = 3},
  [51] = {.index = 1, .length = 1},
  [52] = {.index = 98, .length = 1},
  [53] = {.index = 99, .length = 1},
  [54] = {.index = 100, .length = 3},
  [55] = {.index = 103, .length = 2},
  [56] = {.index = 105, .length = 2},
  [57] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 3},
  [60] = {.index = 114, .length = 3},
  [61] = {.index = 117, .length = 3},
  [62] = {.index = 120, .length = 3},
  [63] = {.index = 123, .length = 3},
  [64] = {.index = 126, .length = 3},
  [65] = {.index = 129, .length = 2},
  [66] = {.index = 131, .length = 2},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 3},
  [69] = {.index = 138, .length = 3},
  [70] = {.index = 141, .length = 2},
  [71] = {.index = 143, .length = 3},
  [72] = {.index = 146, .length = 2},
  [73] = {.index = 148, .length = 3},
  [74] = {.index = 151, .length = 3},
  [75] = {.index = 154, .length = 3},
  [76] = {.index = 157, .length = 2},
  [77] = {.index = 159, .length = 3},
  [78] = {.index = 162, .length = 4},
  [79] = {.index = 166, .length = 3},
  [80] = {.index = 169, .length = 3},
  [81] = {.index = 172, .length = 1},
  [82] = {.index = 173, .length = 3},
  [83] = {.index = 176, .length = 2},
  [84] = {.index = 178, .length = 2},
  [85] = {.index = 178, .length = 2},
  [86] = {.index = 180, .length = 2},
  [87] = {.index = 182, .length = 4},
  [88] = {.index = 186, .length = 2},
  [89] = {.index = 188, .length = 3},
  [90] = {.index = 191, .length = 4},
  [91] = {.index = 195, .length = 2},
  [92] = {.index = 197, .length = 2},
  [93] = {.index = 199, .length = 4},
  [94] = {.index = 203, .length = 4},
  [95] = {.index = 207, .length = 3},
  [96] = {.index = 210, .length = 3},
  [97] = {.index = 213, .length = 3},
  [99] = {.index = 216, .length = 2},
  [100] = {.index = 218, .length = 4},
  [101] = {.index = 222, .length = 4},
  [102] = {.index = 226, .length = 3},
  [103] = {.index = 229, .length = 3},
  [104] = {.index = 232, .length = 4},
  [105] = {.index = 236, .length = 4},
  [106] = {.index = 240, .length = 3},
  [107] = {.index = 243, .length = 3},
  [108] = {.index = 246, .length = 3},
  [109] = {.index = 249, .length = 1},
  [110] = {.index = 250, .length = 2},
  [111] = {.index = 252, .length = 3},
  [112] = {.index = 255, .length = 4},
  [113] = {.index = 259, .length = 3},
  [114] = {.index = 262, .length = 3},
  [115] = {.index = 265, .length = 3},
  [116] = {.index = 268, .length = 3},
  [117] = {.index = 271, .length = 4},
  [118] = {.index = 275, .length = 4},
  [119] = {.index = 279, .length = 3},
  [120] = {.index = 282, .length = 4},
  [121] = {.index = 286, .length = 3},
  [122] = {.index = 289, .length = 4},
  [123] = {.index = 293, .length = 2},
  [124] = {.index = 295, .length = 4},
  [125] = {.index = 299, .length = 3},
  [126] = {.index = 302, .length = 4},
  [127] = {.index = 306, .length = 2},
  [128] = {.index = 308, .length = 1},
  [129] = {.index = 309, .length = 2},
  [130] = {.index = 311, .length = 1},
  [133] = {.index = 312, .length = 5},
  [134] = {.index = 317, .length = 3},
  [135] = {.index = 320, .length = 5},
  [136] = {.index = 325, .length = 4},
  [137] = {.index = 329, .length = 4},
  [138] = {.index = 333, .length = 3},
  [139] = {.index = 336, .length = 3},
  [140] = {.index = 339, .length = 5},
  [141] = {.index = 344, .length = 4},
  [142] = {.index = 348, .length = 4},
  [143] = {.index = 352, .length = 3},
  [144] = {.index = 352, .length = 3},
  [145] = {.index = 355, .length = 5},
  [146] = {.index = 360, .length = 5},
  [147] = {.index = 365, .length = 4},
  [148] = {.index = 369, .length = 4},
  [149] = {.index = 373, .length = 3},
  [150] = {.index = 376, .length = 2},
  [151] = {.index = 378, .length = 4},
  [152] = {.index = 382, .length = 4},
  [153] = {.index = 386, .length = 4},
  [154] = {.index = 390, .length = 4},
  [155] = {.index = 394, .length = 5},
  [156] = {.index = 399, .length = 4},
  [157] = {.index = 403, .length = 4},
  [158] = {.index = 407, .length = 4},
  [159] = {.index = 411, .length = 1},
  [160] = {.index = 412, .length = 4},
  [161] = {.index = 416, .length = 5},
  [162] = {.index = 421, .length = 2},
  [163] = {.index = 423, .length = 1},
  [164] = {.index = 424, .length = 5},
  [165] = {.index = 429, .length = 3},
  [166] = {.index = 432, .length = 5},
  [167] = {.index = 437, .length = 5},
  [168] = {.index = 442, .length = 3},
  [169] = {.index = 445, .length = 6},
  [170] = {.index = 451, .length = 5},
  [171] = {.index = 456, .length = 5},
  [172] = {.index = 461, .length = 3},
  [173] = {.index = 464, .length = 5},
  [174] = {.index = 469, .length = 5},
  [175] = {.index = 474, .length = 5},
  [176] = {.index = 479, .length = 5},
  [177] = {.index = 484, .length = 2},
  [178] = {.index = 486, .length = 2},
  [179] = {.index = 488, .length = 3},
  [180] = {.index = 491, .length = 6},
  [181] = {.index = 497, .length = 6},
  [182] = {.index = 503, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [14] =
    {field_argument, 0},
    {field_operator, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [25] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [31] =
    {field_parameters, 2},
  [32] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_name, 2},
    {field_scope, 0},
  [44] =
    {field_name, 2},
    {field_object, 0},
  [46] =
    {field_attributes, 0},
    {field_parameters, 2},
  [48] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_type, 1},
  [78] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [85] =
    {field_type, 1},
    {field_value, 3},
  [87] =
    {field_alternative, 0},
  [88] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [94] =
    {field_attributes, 1},
  [95] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [98] =
    {field_reference_modifier, 0},
  [99] =
    {field_name, 0, .inherited = true},
  [100] =
    {field_body, 3},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [103] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [105] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [107] =
    {field_alternative, 3},
    {field_condition, 0},
  [109] =
    {field_left, 0},
    {field_right, 3},
  [111] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [114] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [117] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [120] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [123] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [126] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [129] =
    {field_attributes, 0},
    {field_parameters, 3},
  [131] =
    {field_body, 3},
    {field_name, 2},
  [133] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [135] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [138] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [141] =
    {field_name, 2},
    {field_type, 0},
  [143] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [146] =
    {field_attributes, 0},
    {field_name, 2},
  [148] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [151] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [154] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [157] =
    {field_default_value, 2},
    {field_name, 0},
  [159] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [162] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [166] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [172] =
    {field_type, 1, .inherited = true},
  [173] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [176] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [178] =
    {field_body, 4},
    {field_name, 1},
  [180] =
    {field_body, 1},
    {field_condition, 3},
  [182] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [186] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [188] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [191] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
  [195] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [197] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [199] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [203] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [207] =
    {field_body, 4},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [210] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [213] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [216] =
    {field_name, 3},
    {field_object, 0},
  [218] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [222] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [226] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [229] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [232] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [236] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [240] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [243] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [246] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [249] =
    {field_type, 2},
  [250] =
    {field_body, 4},
    {field_name, 2},
  [252] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [255] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [259] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [262] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [271] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [275] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [282] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [286] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [289] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [293] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [295] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [302] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [306] =
    {field_body, 5},
    {field_name, 1},
  [308] =
    {field_return_expression, 2},
  [309] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [311] =
    {field_value, 1},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [317] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [320] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [325] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [329] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [333] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [336] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [339] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [344] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [348] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [352] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [355] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [365] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [369] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [373] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [376] =
    {field_body, 5},
    {field_name, 2},
  [378] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [382] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [386] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [390] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [394] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [399] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [403] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [407] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [411] =
    {field_attributes, 0},
  [412] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [416] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [421] =
    {field_body, 4},
    {field_type, 2},
  [423] =
    {field_body, 6},
  [424] =
    {field_end_tag, 6},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [429] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [432] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [437] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [442] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [445] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [451] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [456] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [461] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [464] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [469] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [474] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [479] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [484] =
    {field_attributes, 0},
    {field_type, 2},
  [486] =
    {field_name, 1},
    {field_value, 3},
  [488] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [491] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [497] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [503] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [17] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [51] = {
    [0] = sym_name,
  },
  [84] = {
    [3] = sym_primitive_type,
  },
  [98] = {
    [3] = sym_name,
  },
  [127] = {
    [3] = sym_primitive_type,
  },
  [131] = {
    [3] = sym_list_literal,
  },
  [132] = {
    [4] = sym_list_literal,
  },
  [143] = {
    [4] = sym_primitive_type,
  },
  [168] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 8,
  [10] = 2,
  [11] = 7,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 16,
  [22] = 22,
  [23] = 23,
  [24] = 18,
  [25] = 23,
  [26] = 26,
  [27] = 22,
  [28] = 28,
  [29] = 29,
  [30] = 26,
  [31] = 31,
  [32] = 16,
  [33] = 23,
  [34] = 34,
  [35] = 16,
  [36] = 34,
  [37] = 26,
  [38] = 20,
  [39] = 31,
  [40] = 40,
  [41] = 40,
  [42] = 26,
  [43] = 43,
  [44] = 22,
  [45] = 18,
  [46] = 46,
  [47] = 46,
  [48] = 23,
  [49] = 34,
  [50] = 34,
  [51] = 19,
  [52] = 52,
  [53] = 20,
  [54] = 19,
  [55] = 55,
  [56] = 56,
  [57] = 20,
  [58] = 58,
  [59] = 52,
  [60] = 60,
  [61] = 18,
  [62] = 31,
  [63] = 63,
  [64] = 22,
  [65] = 19,
  [66] = 55,
  [67] = 31,
  [68] = 60,
  [69] = 69,
  [70] = 69,
  [71] = 71,
  [72] = 58,
  [73] = 29,
  [74] = 28,
  [75] = 56,
  [76] = 76,
  [77] = 77,
  [78] = 76,
  [79] = 79,
  [80] = 77,
  [81] = 79,
  [82] = 79,
  [83] = 79,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 84,
  [88] = 88,
  [89] = 88,
  [90] = 88,
  [91] = 91,
  [92] = 91,
  [93] = 88,
  [94] = 91,
  [95] = 88,
  [96] = 88,
  [97] = 91,
  [98] = 91,
  [99] = 88,
  [100] = 100,
  [101] = 101,
  [102] = 100,
  [103] = 101,
  [104] = 100,
  [105] = 100,
  [106] = 100,
  [107] = 101,
  [108] = 100,
  [109] = 100,
  [110] = 100,
  [111] = 101,
  [112] = 101,
  [113] = 113,
  [114] = 113,
  [115] = 115,
  [116] = 116,
  [117] = 113,
  [118] = 115,
  [119] = 116,
  [120] = 116,
  [121] = 116,
  [122] = 113,
  [123] = 113,
  [124] = 113,
  [125] = 125,
  [126] = 116,
  [127] = 113,
  [128] = 113,
  [129] = 116,
  [130] = 116,
  [131] = 116,
  [132] = 125,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 136,
  [140] = 133,
  [141] = 134,
  [142] = 138,
  [143] = 135,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 147,
  [150] = 146,
  [151] = 144,
  [152] = 152,
  [153] = 152,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 157,
  [160] = 158,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 161,
  [165] = 162,
  [166] = 157,
  [167] = 167,
  [168] = 168,
  [169] = 167,
  [170] = 163,
  [171] = 168,
  [172] = 158,
  [173] = 161,
  [174] = 167,
  [175] = 162,
  [176] = 163,
  [177] = 158,
  [178] = 157,
  [179] = 168,
  [180] = 162,
  [181] = 167,
  [182] = 168,
  [183] = 163,
  [184] = 161,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 185,
  [194] = 185,
  [195] = 185,
  [196] = 186,
  [197] = 190,
  [198] = 185,
  [199] = 185,
  [200] = 200,
  [201] = 188,
  [202] = 191,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 204,
  [209] = 205,
  [210] = 210,
  [211] = 207,
  [212] = 205,
  [213] = 206,
  [214] = 203,
  [215] = 203,
  [216] = 205,
  [217] = 204,
  [218] = 204,
  [219] = 204,
  [220] = 220,
  [221] = 206,
  [222] = 204,
  [223] = 206,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 230,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 226,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 228,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 234,
  [249] = 249,
  [250] = 231,
  [251] = 251,
  [252] = 242,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 231,
  [261] = 225,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 249,
  [266] = 247,
  [267] = 238,
  [268] = 233,
  [269] = 232,
  [270] = 229,
  [271] = 227,
  [272] = 272,
  [273] = 273,
  [274] = 254,
  [275] = 275,
  [276] = 276,
  [277] = 242,
  [278] = 264,
  [279] = 237,
  [280] = 263,
  [281] = 257,
  [282] = 262,
  [283] = 255,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 234,
  [288] = 225,
  [289] = 289,
  [290] = 259,
  [291] = 245,
  [292] = 292,
  [293] = 273,
  [294] = 294,
  [295] = 259,
  [296] = 225,
  [297] = 262,
  [298] = 245,
  [299] = 240,
  [300] = 300,
  [301] = 263,
  [302] = 241,
  [303] = 264,
  [304] = 304,
  [305] = 249,
  [306] = 228,
  [307] = 247,
  [308] = 308,
  [309] = 309,
  [310] = 238,
  [311] = 258,
  [312] = 286,
  [313] = 233,
  [314] = 232,
  [315] = 229,
  [316] = 316,
  [317] = 244,
  [318] = 284,
  [319] = 227,
  [320] = 286,
  [321] = 253,
  [322] = 246,
  [323] = 230,
  [324] = 251,
  [325] = 251,
  [326] = 272,
  [327] = 253,
  [328] = 246,
  [329] = 284,
  [330] = 272,
  [331] = 242,
  [332] = 258,
  [333] = 286,
  [334] = 273,
  [335] = 254,
  [336] = 275,
  [337] = 284,
  [338] = 338,
  [339] = 339,
  [340] = 242,
  [341] = 275,
  [342] = 276,
  [343] = 245,
  [344] = 244,
  [345] = 345,
  [346] = 237,
  [347] = 228,
  [348] = 348,
  [349] = 227,
  [350] = 350,
  [351] = 257,
  [352] = 352,
  [353] = 242,
  [354] = 276,
  [355] = 259,
  [356] = 241,
  [357] = 255,
  [358] = 286,
  [359] = 286,
  [360] = 360,
  [361] = 361,
  [362] = 284,
  [363] = 284,
  [364] = 242,
  [365] = 241,
  [366] = 257,
  [367] = 240,
  [368] = 368,
  [369] = 286,
  [370] = 284,
  [371] = 371,
  [372] = 372,
  [373] = 229,
  [374] = 234,
  [375] = 255,
  [376] = 376,
  [377] = 262,
  [378] = 276,
  [379] = 257,
  [380] = 242,
  [381] = 255,
  [382] = 286,
  [383] = 232,
  [384] = 244,
  [385] = 371,
  [386] = 338,
  [387] = 284,
  [388] = 286,
  [389] = 254,
  [390] = 390,
  [391] = 284,
  [392] = 255,
  [393] = 393,
  [394] = 257,
  [395] = 338,
  [396] = 255,
  [397] = 371,
  [398] = 233,
  [399] = 237,
  [400] = 275,
  [401] = 263,
  [402] = 338,
  [403] = 242,
  [404] = 264,
  [405] = 249,
  [406] = 406,
  [407] = 371,
  [408] = 226,
  [409] = 368,
  [410] = 226,
  [411] = 247,
  [412] = 258,
  [413] = 253,
  [414] = 251,
  [415] = 246,
  [416] = 273,
  [417] = 230,
  [418] = 238,
  [419] = 284,
  [420] = 368,
  [421] = 286,
  [422] = 272,
  [423] = 240,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 426,
  [428] = 428,
  [429] = 428,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 437,
  [443] = 443,
  [444] = 444,
  [445] = 437,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 437,
  [454] = 437,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 433,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 431,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 439,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 443,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 564,
  [566] = 564,
  [567] = 564,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 591,
  [594] = 594,
  [595] = 591,
  [596] = 596,
  [597] = 577,
  [598] = 572,
  [599] = 573,
  [600] = 574,
  [601] = 575,
  [602] = 575,
  [603] = 576,
  [604] = 589,
  [605] = 586,
  [606] = 579,
  [607] = 607,
  [608] = 580,
  [609] = 582,
  [610] = 596,
  [611] = 571,
  [612] = 612,
  [613] = 607,
  [614] = 578,
  [615] = 588,
  [616] = 581,
  [617] = 591,
  [618] = 587,
  [619] = 590,
  [620] = 583,
  [621] = 584,
  [622] = 569,
  [623] = 585,
  [624] = 570,
  [625] = 568,
  [626] = 592,
  [627] = 592,
  [628] = 628,
  [629] = 629,
  [630] = 596,
  [631] = 596,
  [632] = 632,
  [633] = 633,
  [634] = 633,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 573,
  [640] = 640,
  [641] = 641,
  [642] = 577,
  [643] = 641,
  [644] = 644,
  [645] = 645,
  [646] = 572,
  [647] = 574,
  [648] = 576,
  [649] = 580,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 569,
  [654] = 568,
  [655] = 580,
  [656] = 589,
  [657] = 588,
  [658] = 578,
  [659] = 587,
  [660] = 660,
  [661] = 586,
  [662] = 583,
  [663] = 584,
  [664] = 590,
  [665] = 570,
  [666] = 579,
  [667] = 571,
  [668] = 581,
  [669] = 582,
  [670] = 585,
  [671] = 671,
  [672] = 652,
  [673] = 671,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 651,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 660,
  [685] = 577,
  [686] = 576,
  [687] = 574,
  [688] = 573,
  [689] = 572,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 650,
  [696] = 572,
  [697] = 573,
  [698] = 574,
  [699] = 576,
  [700] = 690,
  [701] = 577,
  [702] = 702,
  [703] = 703,
  [704] = 681,
  [705] = 705,
  [706] = 702,
  [707] = 703,
  [708] = 692,
  [709] = 572,
  [710] = 573,
  [711] = 574,
  [712] = 576,
  [713] = 713,
  [714] = 714,
  [715] = 577,
  [716] = 716,
  [717] = 717,
  [718] = 578,
  [719] = 719,
  [720] = 590,
  [721] = 585,
  [722] = 722,
  [723] = 579,
  [724] = 724,
  [725] = 725,
  [726] = 582,
  [727] = 581,
  [728] = 571,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 589,
  [733] = 570,
  [734] = 569,
  [735] = 735,
  [736] = 584,
  [737] = 737,
  [738] = 738,
  [739] = 568,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 583,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 588,
  [751] = 563,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 587,
  [759] = 586,
  [760] = 650,
  [761] = 691,
  [762] = 431,
  [763] = 763,
  [764] = 572,
  [765] = 573,
  [766] = 574,
  [767] = 767,
  [768] = 683,
  [769] = 769,
  [770] = 641,
  [771] = 644,
  [772] = 640,
  [773] = 576,
  [774] = 577,
  [775] = 775,
  [776] = 433,
  [777] = 777,
  [778] = 641,
  [779] = 645,
  [780] = 780,
  [781] = 588,
  [782] = 589,
  [783] = 783,
  [784] = 784,
  [785] = 581,
  [786] = 786,
  [787] = 582,
  [788] = 579,
  [789] = 789,
  [790] = 568,
  [791] = 590,
  [792] = 585,
  [793] = 569,
  [794] = 584,
  [795] = 583,
  [796] = 586,
  [797] = 587,
  [798] = 780,
  [799] = 570,
  [800] = 571,
  [801] = 578,
  [802] = 786,
  [803] = 783,
  [804] = 580,
  [805] = 680,
  [806] = 573,
  [807] = 679,
  [808] = 651,
  [809] = 809,
  [810] = 716,
  [811] = 811,
  [812] = 812,
  [813] = 443,
  [814] = 809,
  [815] = 574,
  [816] = 573,
  [817] = 572,
  [818] = 809,
  [819] = 819,
  [820] = 577,
  [821] = 683,
  [822] = 822,
  [823] = 576,
  [824] = 703,
  [825] = 574,
  [826] = 660,
  [827] = 577,
  [828] = 576,
  [829] = 574,
  [830] = 830,
  [831] = 819,
  [832] = 573,
  [833] = 703,
  [834] = 572,
  [835] = 691,
  [836] = 822,
  [837] = 674,
  [838] = 572,
  [839] = 702,
  [840] = 676,
  [841] = 678,
  [842] = 702,
  [843] = 705,
  [844] = 690,
  [845] = 690,
  [846] = 636,
  [847] = 580,
  [848] = 675,
  [849] = 439,
  [850] = 822,
  [851] = 651,
  [852] = 812,
  [853] = 811,
  [854] = 650,
  [855] = 577,
  [856] = 576,
  [857] = 660,
  [858] = 809,
  [859] = 809,
  [860] = 744,
  [861] = 589,
  [862] = 570,
  [863] = 747,
  [864] = 571,
  [865] = 578,
  [866] = 749,
  [867] = 588,
  [868] = 757,
  [869] = 755,
  [870] = 725,
  [871] = 587,
  [872] = 722,
  [873] = 691,
  [874] = 586,
  [875] = 738,
  [876] = 583,
  [877] = 717,
  [878] = 724,
  [879] = 756,
  [880] = 691,
  [881] = 584,
  [882] = 754,
  [883] = 731,
  [884] = 753,
  [885] = 581,
  [886] = 741,
  [887] = 730,
  [888] = 748,
  [889] = 742,
  [890] = 582,
  [891] = 719,
  [892] = 579,
  [893] = 743,
  [894] = 563,
  [895] = 568,
  [896] = 590,
  [897] = 746,
  [898] = 585,
  [899] = 752,
  [900] = 569,
  [901] = 740,
  [902] = 735,
  [903] = 683,
  [904] = 763,
  [905] = 777,
  [906] = 769,
  [907] = 767,
  [908] = 908,
  [909] = 568,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 569,
  [946] = 946,
  [947] = 570,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 571,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 439,
  [978] = 443,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 989,
  [1015] = 991,
  [1016] = 1016,
  [1017] = 984,
  [1018] = 990,
  [1019] = 979,
  [1020] = 983,
  [1021] = 1008,
  [1022] = 981,
  [1023] = 992,
  [1024] = 994,
  [1025] = 1005,
  [1026] = 987,
  [1027] = 1004,
  [1028] = 995,
  [1029] = 1029,
  [1030] = 996,
  [1031] = 998,
  [1032] = 1013,
  [1033] = 980,
  [1034] = 1006,
  [1035] = 1001,
  [1036] = 997,
  [1037] = 1007,
  [1038] = 993,
  [1039] = 999,
  [1040] = 1003,
  [1041] = 1002,
  [1042] = 1011,
  [1043] = 1000,
  [1044] = 982,
  [1045] = 986,
  [1046] = 1046,
  [1047] = 1010,
  [1048] = 1048,
  [1049] = 988,
  [1050] = 1008,
  [1051] = 996,
  [1052] = 961,
  [1053] = 998,
  [1054] = 928,
  [1055] = 917,
  [1056] = 915,
  [1057] = 963,
  [1058] = 980,
  [1059] = 925,
  [1060] = 958,
  [1061] = 568,
  [1062] = 923,
  [1063] = 1001,
  [1064] = 1013,
  [1065] = 1011,
  [1066] = 1007,
  [1067] = 964,
  [1068] = 965,
  [1069] = 949,
  [1070] = 431,
  [1071] = 569,
  [1072] = 433,
  [1073] = 570,
  [1074] = 571,
  [1075] = 1006,
  [1076] = 973,
  [1077] = 997,
  [1078] = 932,
  [1079] = 962,
  [1080] = 1005,
  [1081] = 916,
  [1082] = 991,
  [1083] = 990,
  [1084] = 933,
  [1085] = 988,
  [1086] = 986,
  [1087] = 970,
  [1088] = 1004,
  [1089] = 971,
  [1090] = 920,
  [1091] = 968,
  [1092] = 955,
  [1093] = 1002,
  [1094] = 910,
  [1095] = 935,
  [1096] = 943,
  [1097] = 969,
  [1098] = 987,
  [1099] = 929,
  [1100] = 982,
  [1101] = 981,
  [1102] = 959,
  [1103] = 967,
  [1104] = 952,
  [1105] = 966,
  [1106] = 921,
  [1107] = 956,
  [1108] = 936,
  [1109] = 938,
  [1110] = 922,
  [1111] = 960,
  [1112] = 941,
  [1113] = 940,
  [1114] = 1010,
  [1115] = 1003,
  [1116] = 1000,
  [1117] = 995,
  [1118] = 908,
  [1119] = 983,
  [1120] = 914,
  [1121] = 944,
  [1122] = 984,
  [1123] = 989,
  [1124] = 924,
  [1125] = 946,
  [1126] = 948,
  [1127] = 999,
  [1128] = 942,
  [1129] = 919,
  [1130] = 911,
  [1131] = 992,
  [1132] = 918,
  [1133] = 993,
  [1134] = 934,
  [1135] = 927,
  [1136] = 979,
  [1137] = 972,
  [1138] = 950,
  [1139] = 931,
  [1140] = 912,
  [1141] = 951,
  [1142] = 954,
  [1143] = 937,
  [1144] = 994,
  [1145] = 926,
  [1146] = 913,
  [1147] = 957,
  [1148] = 930,
  [1149] = 939,
  [1150] = 986,
  [1151] = 1003,
  [1152] = 1004,
  [1153] = 1153,
  [1154] = 997,
  [1155] = 1001,
  [1156] = 1156,
  [1157] = 993,
  [1158] = 980,
  [1159] = 1159,
  [1160] = 998,
  [1161] = 1161,
  [1162] = 1013,
  [1163] = 1008,
  [1164] = 987,
  [1165] = 1011,
  [1166] = 995,
  [1167] = 994,
  [1168] = 991,
  [1169] = 982,
  [1170] = 1005,
  [1171] = 990,
  [1172] = 988,
  [1173] = 999,
  [1174] = 996,
  [1175] = 1000,
  [1176] = 1002,
  [1177] = 1007,
  [1178] = 992,
  [1179] = 1010,
  [1180] = 981,
  [1181] = 983,
  [1182] = 979,
  [1183] = 1153,
  [1184] = 984,
  [1185] = 1156,
  [1186] = 989,
  [1187] = 1006,
  [1188] = 982,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 982,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1200,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1193,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1212,
  [1215] = 1209,
  [1216] = 1207,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1196,
  [1222] = 1222,
  [1223] = 1206,
  [1224] = 1224,
  [1225] = 1213,
  [1226] = 1226,
  [1227] = 1206,
  [1228] = 1200,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1202,
  [1232] = 1202,
  [1233] = 1193,
  [1234] = 1196,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1202,
  [1245] = 1206,
  [1246] = 1200,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1248,
  [1250] = 1250,
  [1251] = 1248,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1252,
  [1255] = 1248,
  [1256] = 1252,
  [1257] = 1248,
  [1258] = 1258,
  [1259] = 1248,
  [1260] = 1252,
  [1261] = 1248,
  [1262] = 1252,
  [1263] = 1253,
  [1264] = 1253,
  [1265] = 1252,
  [1266] = 1253,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1258,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1268,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1276,
  [1278] = 1278,
  [1279] = 1258,
  [1280] = 1258,
  [1281] = 1281,
  [1282] = 1275,
  [1283] = 1275,
  [1284] = 1276,
  [1285] = 1250,
  [1286] = 1253,
  [1287] = 1268,
  [1288] = 1274,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1275,
  [1292] = 1275,
  [1293] = 1253,
  [1294] = 1276,
  [1295] = 1281,
  [1296] = 1258,
  [1297] = 1275,
  [1298] = 1276,
  [1299] = 1274,
  [1300] = 1281,
  [1301] = 1253,
  [1302] = 1275,
  [1303] = 1248,
  [1304] = 1252,
  [1305] = 1252,
  [1306] = 1275,
  [1307] = 1252,
  [1308] = 1248,
  [1309] = 1268,
  [1310] = 1275,
  [1311] = 1311,
  [1312] = 1248,
  [1313] = 1252,
  [1314] = 1271,
  [1315] = 1271,
  [1316] = 1258,
  [1317] = 1276,
  [1318] = 1271,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1324,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1319,
  [1331] = 1320,
  [1332] = 1332,
  [1333] = 1332,
  [1334] = 1334,
  [1335] = 1334,
  [1336] = 1336,
  [1337] = 1334,
  [1338] = 1338,
  [1339] = 1336,
  [1340] = 1336,
  [1341] = 1338,
  [1342] = 1338,
  [1343] = 1343,
  [1344] = 1343,
  [1345] = 1345,
  [1346] = 1345,
  [1347] = 1345,
  [1348] = 1343,
  [1349] = 1349,
  [1350] = 1349,
  [1351] = 1351,
  [1352] = 1351,
  [1353] = 1353,
  [1354] = 1353,
  [1355] = 1351,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1359,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1365,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1397,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1392,
  [1416] = 1394,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1393,
  [1421] = 1409,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1432,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 650,
  [1446] = 1446,
  [1447] = 705,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 581,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1448,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1446,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1465,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1467,
  [1472] = 1465,
  [1473] = 1465,
  [1474] = 1474,
  [1475] = 1465,
  [1476] = 1467,
  [1477] = 1477,
  [1478] = 1467,
  [1479] = 1479,
  [1480] = 1465,
  [1481] = 1481,
  [1482] = 1469,
  [1483] = 1467,
  [1484] = 1484,
  [1485] = 1466,
  [1486] = 1467,
  [1487] = 1469,
  [1488] = 1469,
  [1489] = 581,
  [1490] = 1465,
  [1491] = 1469,
  [1492] = 1492,
  [1493] = 1469,
  [1494] = 1467,
  [1495] = 1469,
  [1496] = 1496,
  [1497] = 1467,
  [1498] = 1465,
  [1499] = 1499,
  [1500] = 1469,
  [1501] = 1501,
  [1502] = 1469,
  [1503] = 1503,
  [1504] = 1469,
  [1505] = 1467,
  [1506] = 1465,
  [1507] = 1507,
  [1508] = 1465,
  [1509] = 1469,
  [1510] = 1466,
  [1511] = 1466,
  [1512] = 1512,
  [1513] = 1467,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1469,
  [1517] = 1517,
  [1518] = 581,
  [1519] = 1469,
  [1520] = 1465,
  [1521] = 1467,
  [1522] = 1466,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 424,
  [1529] = 1527,
  [1530] = 1530,
  [1531] = 1525,
  [1532] = 1530,
  [1533] = 425,
  [1534] = 1534,
  [1535] = 1526,
  [1536] = 1423,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 660,
  [1542] = 660,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 789,
  [1548] = 1423,
  [1549] = 1543,
  [1550] = 1544,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1545,
  [1554] = 1543,
  [1555] = 1555,
  [1556] = 581,
  [1557] = 585,
  [1558] = 1544,
  [1559] = 1559,
  [1560] = 1413,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 651,
  [1565] = 582,
  [1566] = 651,
  [1567] = 1567,
  [1568] = 1543,
  [1569] = 1569,
  [1570] = 660,
  [1571] = 1571,
  [1572] = 1545,
  [1573] = 1544,
  [1574] = 572,
  [1575] = 1575,
  [1576] = 651,
  [1577] = 1577,
  [1578] = 1543,
  [1579] = 1543,
  [1580] = 572,
  [1581] = 1544,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 426,
  [1592] = 428,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1582,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 581,
  [1600] = 1562,
  [1601] = 428,
  [1602] = 1561,
  [1603] = 1603,
  [1604] = 1561,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1608,
  [1610] = 1610,
  [1611] = 1583,
  [1612] = 1612,
  [1613] = 1605,
  [1614] = 1585,
  [1615] = 1594,
  [1616] = 1539,
  [1617] = 1617,
  [1618] = 1606,
  [1619] = 1619,
  [1620] = 1610,
  [1621] = 1584,
  [1622] = 426,
  [1623] = 1623,
  [1624] = 1597,
  [1625] = 582,
  [1626] = 1540,
  [1627] = 1569,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 585,
  [1631] = 1586,
  [1632] = 1596,
  [1633] = 581,
  [1634] = 1617,
  [1635] = 1539,
  [1636] = 1636,
  [1637] = 1540,
  [1638] = 1612,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1636,
  [1642] = 1642,
  [1643] = 582,
  [1644] = 1639,
  [1645] = 1628,
  [1646] = 1569,
  [1647] = 1587,
  [1648] = 1648,
  [1649] = 1562,
  [1650] = 1607,
  [1651] = 1629,
  [1652] = 1652,
  [1653] = 585,
  [1654] = 1642,
  [1655] = 1590,
  [1656] = 1656,
  [1657] = 447,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1434,
  [1663] = 1450,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1512,
  [1667] = 1507,
  [1668] = 432,
  [1669] = 444,
  [1670] = 1670,
  [1671] = 1665,
  [1672] = 435,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1665,
  [1676] = 1664,
  [1677] = 1661,
  [1678] = 1665,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1664,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1664,
  [1685] = 1665,
  [1686] = 1686,
  [1687] = 434,
  [1688] = 1435,
  [1689] = 1674,
  [1690] = 1665,
  [1691] = 1691,
  [1692] = 448,
  [1693] = 1693,
  [1694] = 449,
  [1695] = 1433,
  [1696] = 1665,
  [1697] = 1429,
  [1698] = 451,
  [1699] = 1699,
  [1700] = 1492,
  [1701] = 1670,
  [1702] = 1702,
  [1703] = 1665,
  [1704] = 1664,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1665,
  [1708] = 1665,
  [1709] = 1517,
  [1710] = 1710,
  [1711] = 1474,
  [1712] = 1664,
  [1713] = 1664,
  [1714] = 1664,
  [1715] = 1492,
  [1716] = 1664,
  [1717] = 1449,
  [1718] = 1517,
  [1719] = 1686,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1659,
  [1723] = 1702,
  [1724] = 455,
  [1725] = 1680,
  [1726] = 1477,
  [1727] = 1699,
  [1728] = 1728,
  [1729] = 438,
  [1730] = 440,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 436,
  [1734] = 1664,
  [1735] = 1665,
  [1736] = 441,
  [1737] = 1603,
  [1738] = 1664,
  [1739] = 1664,
  [1740] = 1740,
  [1741] = 1728,
  [1742] = 450,
  [1743] = 1743,
  [1744] = 452,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1507,
  [1748] = 430,
  [1749] = 1477,
  [1750] = 446,
  [1751] = 1474,
  [1752] = 1683,
  [1753] = 1512,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1758,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1459,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1776,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1720,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1442,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1444,
  [1815] = 1815,
  [1816] = 1441,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1758,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1787,
  [1833] = 1830,
  [1834] = 1449,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1800,
  [1841] = 1841,
  [1842] = 1784,
  [1843] = 1802,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1821,
  [1848] = 1845,
  [1849] = 1783,
  [1850] = 1850,
  [1851] = 1778,
  [1852] = 1772,
  [1853] = 1813,
  [1854] = 1760,
  [1855] = 1850,
  [1856] = 1844,
  [1857] = 1771,
  [1858] = 1841,
  [1859] = 1831,
  [1860] = 1803,
  [1861] = 1861,
  [1862] = 1769,
  [1863] = 1799,
  [1864] = 1837,
  [1865] = 1826,
  [1866] = 1789,
  [1867] = 1766,
  [1868] = 1839,
  [1869] = 1869,
  [1870] = 1825,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1822,
  [1875] = 1453,
  [1876] = 1872,
  [1877] = 1763,
  [1878] = 1761,
  [1879] = 1757,
  [1880] = 1758,
  [1881] = 1791,
  [1882] = 1807,
  [1883] = 1782,
  [1884] = 1884,
  [1885] = 1755,
  [1886] = 1762,
  [1887] = 1809,
  [1888] = 1888,
  [1889] = 1810,
  [1890] = 1817,
  [1891] = 1788,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1756,
  [1895] = 1827,
  [1896] = 1836,
  [1897] = 1897,
  [1898] = 1450,
  [1899] = 1780,
  [1900] = 1838,
  [1901] = 1781,
  [1902] = 636,
  [1903] = 1795,
  [1904] = 547,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1906,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1908,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1909,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1912,
  [1933] = 1933,
  [1934] = 1910,
  [1935] = 1935,
  [1936] = 1660,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1911,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1913,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 496,
  [1949] = 495,
  [1950] = 1950,
  [1951] = 490,
  [1952] = 469,
  [1953] = 460,
  [1954] = 520,
  [1955] = 513,
  [1956] = 504,
  [1957] = 1957,
  [1958] = 500,
  [1959] = 486,
  [1960] = 518,
  [1961] = 466,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 467,
  [1965] = 1965,
  [1966] = 468,
  [1967] = 471,
  [1968] = 472,
  [1969] = 476,
  [1970] = 478,
  [1971] = 479,
  [1972] = 481,
  [1973] = 482,
  [1974] = 499,
  [1975] = 1975,
  [1976] = 509,
  [1977] = 530,
  [1978] = 532,
  [1979] = 533,
  [1980] = 534,
  [1981] = 540,
  [1982] = 541,
  [1983] = 553,
  [1984] = 561,
  [1985] = 562,
  [1986] = 537,
  [1987] = 494,
  [1988] = 483,
  [1989] = 462,
  [1990] = 539,
  [1991] = 548,
  [1992] = 514,
  [1993] = 535,
  [1994] = 512,
  [1995] = 1995,
  [1996] = 497,
  [1997] = 491,
  [1998] = 470,
  [1999] = 510,
  [2000] = 522,
  [2001] = 1917,
  [2002] = 480,
  [2003] = 550,
  [2004] = 559,
  [2005] = 516,
  [2006] = 551,
  [2007] = 1965,
  [2008] = 519,
  [2009] = 457,
  [2010] = 493,
  [2011] = 1917,
  [2012] = 465,
  [2013] = 464,
  [2014] = 473,
  [2015] = 474,
  [2016] = 538,
  [2017] = 2017,
  [2018] = 544,
  [2019] = 536,
  [2020] = 2020,
  [2021] = 461,
  [2022] = 475,
  [2023] = 477,
  [2024] = 2024,
  [2025] = 507,
  [2026] = 521,
  [2027] = 459,
  [2028] = 1965,
  [2029] = 517,
  [2030] = 1917,
  [2031] = 529,
  [2032] = 554,
  [2033] = 552,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 531,
  [2037] = 528,
  [2038] = 525,
  [2039] = 502,
  [2040] = 2040,
  [2041] = 492,
  [2042] = 501,
  [2043] = 503,
  [2044] = 1965,
  [2045] = 505,
  [2046] = 506,
  [2047] = 508,
  [2048] = 511,
  [2049] = 2049,
  [2050] = 515,
  [2051] = 523,
  [2052] = 524,
  [2053] = 527,
  [2054] = 456,
  [2055] = 542,
  [2056] = 543,
  [2057] = 545,
  [2058] = 546,
  [2059] = 2059,
  [2060] = 1905,
  [2061] = 1916,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 1931,
  [2067] = 555,
  [2068] = 557,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 558,
  [2072] = 2072,
  [2073] = 1917,
  [2074] = 2074,
  [2075] = 1710,
  [2076] = 487,
  [2077] = 1957,
  [2078] = 488,
  [2079] = 489,
  [2080] = 2080,
  [2081] = 1479,
  [2082] = 458,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 498,
  [2086] = 485,
  [2087] = 1328,
  [2088] = 560,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 1941,
  [2093] = 1918,
  [2094] = 2094,
  [2095] = 1917,
  [2096] = 1950,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 1965,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 1907,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 1925,
  [2112] = 1962,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 1965,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 1963,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 1917,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 1965,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 1806,
  [2145] = 2145,
  [2146] = 2083,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 1975,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2090,
  [2157] = 2157,
  [2158] = 1917,
  [2159] = 2159,
  [2160] = 1995,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 1965,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2174,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2179,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2171,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 1661,
  [2244] = 2176,
  [2245] = 2245,
  [2246] = 2174,
  [2247] = 2181,
  [2248] = 2182,
  [2249] = 2249,
  [2250] = 2177,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2228,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2178,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2178,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2271,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2278,
  [2280] = 2277,
  [2281] = 2245,
  [2282] = 2282,
  [2283] = 2273,
  [2284] = 2270,
  [2285] = 2276,
  [2286] = 2275,
  [2287] = 2282,
  [2288] = 2272,
  [2289] = 2289,
  [2290] = 2268,
  [2291] = 2267,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2269,
  [2295] = 2249,
  [2296] = 2296,
  [2297] = 2240,
  [2298] = 2239,
  [2299] = 2231,
  [2300] = 2300,
  [2301] = 2208,
  [2302] = 2203,
  [2303] = 2289,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2261,
  [2308] = 2183,
  [2309] = 2309,
  [2310] = 2174,
  [2311] = 2311,
  [2312] = 2062,
  [2313] = 2313,
  [2314] = 2237,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2193,
  [2318] = 1659,
  [2319] = 2185,
  [2320] = 2186,
  [2321] = 2321,
  [2322] = 2187,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2238,
  [2328] = 2328,
  [2329] = 2188,
  [2330] = 2189,
  [2331] = 2264,
  [2332] = 2332,
  [2333] = 2034,
  [2334] = 2263,
  [2335] = 2335,
  [2336] = 2190,
  [2337] = 2262,
  [2338] = 2338,
  [2339] = 2304,
  [2340] = 2313,
  [2341] = 2184,
  [2342] = 2259,
  [2343] = 2191,
  [2344] = 2192,
  [2345] = 2209,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2195,
  [2355] = 2258,
  [2356] = 2196,
  [2357] = 2197,
  [2358] = 2198,
  [2359] = 2200,
  [2360] = 2201,
  [2361] = 2257,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2204,
  [2367] = 2367,
  [2368] = 2205,
  [2369] = 2256,
  [2370] = 2255,
  [2371] = 2206,
  [2372] = 2207,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2210,
  [2384] = 2211,
  [2385] = 2212,
  [2386] = 2386,
  [2387] = 2214,
  [2388] = 2388,
  [2389] = 2215,
  [2390] = 2216,
  [2391] = 2217,
  [2392] = 2392,
  [2393] = 2218,
  [2394] = 2219,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2220,
  [2398] = 2221,
  [2399] = 2253,
  [2400] = 2400,
  [2401] = 2233,
  [2402] = 2223,
  [2403] = 2224,
  [2404] = 2225,
  [2405] = 2252,
  [2406] = 2226,
  [2407] = 2251,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2238,
  [2411] = 2411,
  [2412] = 2178,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2241,
  [2417] = 2236,
  [2418] = 2315,
  [2419] = 2235,
  [2420] = 2229,
  [2421] = 2230,
  [2422] = 2234,
  [2423] = 2316,
  [2424] = 2424,
  [2425] = 2232,
  [2426] = 2426,
  [2427] = 2170,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2238,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2017,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2442,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2455,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2441,
  [2480] = 2480,
  [2481] = 2441,
  [2482] = 2480,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2475,
  [2487] = 2487,
  [2488] = 2474,
  [2489] = 2035,
  [2490] = 2465,
  [2491] = 2462,
  [2492] = 2442,
  [2493] = 2471,
  [2494] = 2494,
  [2495] = 2461,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2456,
  [2500] = 2455,
  [2501] = 2501,
  [2502] = 2461,
  [2503] = 2456,
  [2504] = 2455,
  [2505] = 2454,
  [2506] = 2454,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2498,
  [2512] = 2443,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2509,
  [2518] = 2518,
  [2519] = 2475,
  [2520] = 2443,
  [2521] = 2521,
  [2522] = 2510,
  [2523] = 2439,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2445,
  [2527] = 2527,
  [2528] = 2443,
  [2529] = 2529,
  [2530] = 2516,
  [2531] = 2445,
  [2532] = 2532,
  [2533] = 2529,
  [2534] = 2518,
  [2535] = 2513,
  [2536] = 2536,
  [2537] = 2524,
  [2538] = 2508,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2443,
  [2542] = 2462,
  [2543] = 2543,
  [2544] = 2514,
  [2545] = 2515,
  [2546] = 2470,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2455,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2548,
  [2556] = 2547,
  [2557] = 2536,
  [2558] = 2458,
  [2559] = 2559,
  [2560] = 2445,
  [2561] = 2540,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2496,
  [2565] = 2457,
  [2566] = 2507,
  [2567] = 2553,
  [2568] = 2444,
  [2569] = 2552,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2442,
  [2574] = 2550,
  [2575] = 2452,
  [2576] = 2462,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2475,
  [2580] = 2580,
  [2581] = 2441,
  [2582] = 2447,
  [2583] = 2454,
  [2584] = 2455,
  [2585] = 2585,
  [2586] = 2455,
  [2587] = 2508,
  [2588] = 2455,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2476,
  [2592] = 2440,
  [2593] = 2477,
  [2594] = 2508,
  [2595] = 2501,
  [2596] = 2444,
  [2597] = 2597,
  [2598] = 2455,
  [2599] = 2452,
  [2600] = 2455,
  [2601] = 2456,
  [2602] = 2602,
  [2603] = 2461,
  [2604] = 2494,
  [2605] = 2605,
  [2606] = 2494,
  [2607] = 2607,
  [2608] = 2508,
  [2609] = 2455,
  [2610] = 2454,
  [2611] = 2602,
  [2612] = 2612,
  [2613] = 2543,
  [2614] = 2614,
  [2615] = 2513,
  [2616] = 2508,
  [2617] = 2559,
  [2618] = 2458,
  [2619] = 2524,
  [2620] = 2525,
  [2621] = 2455,
  [2622] = 2521,
  [2623] = 2571,
  [2624] = 2444,
  [2625] = 2612,
  [2626] = 2570,
  [2627] = 2452,
  [2628] = 2543,
  [2629] = 2572,
  [2630] = 2521,
  [2631] = 2577,
  [2632] = 2543,
  [2633] = 2614,
  [2634] = 2578,
  [2635] = 2580,
  [2636] = 2455,
  [2637] = 2521,
  [2638] = 2508,
  [2639] = 2614,
  [2640] = 2602,
  [2641] = 2614,
  [2642] = 2602,
  [2643] = 2508,
  [2644] = 2644,
  [2645] = 2645,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 132,
        '"', 181,
        '#', 262,
        '$', 186,
        '%', 222,
        '&', 84,
        '\'', 184,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 215,
        '/', 220,
        '0', 114,
        ':', 92,
        ';', 81,
        '<', 203,
        '=', 86,
        '>', 204,
        '?', 97,
        '@', 133,
        '[', 152,
        '\\', 88,
        ']', 153,
        '^', 194,
        '_', 257,
        '`', 185,
        '{', 89,
        '|', 102,
        '}', 90,
        '~', 130,
        'A', 247,
        'a', 247,
        'B', 223,
        'b', 223,
        'E', 226,
        'e', 226,
        'F', 227,
        'f', 227,
        'I', 241,
        'i', 241,
        'N', 255,
        'n', 255,
        'S', 253,
        's', 253,
        'T', 246,
        't', 246,
        'U', 239,
        'u', 239,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(260);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(260);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(261);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 182,
        '\r', 182,
        '#', 263,
        '$', 186,
        '-', 30,
        '/', 19,
        '?', 32,
        '[', 152,
        '\\', 34,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 182,
        '\r', 182,
        '#', 263,
        '$', 186,
        '-', 30,
        '/', 19,
        '?', 32,
        '[', 152,
        '\\', 35,
        '{', 89,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 132,
        '"', 166,
        '#', 262,
        '$', 186,
        '%', 221,
        '&', 83,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 218,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 215,
        '/', 219,
        '0', 114,
        ':', 91,
        ';', 81,
        '<', 200,
        '=', 29,
        '>', 205,
        '?', 100,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 193,
        '_', 257,
        '`', 185,
        '|', 103,
        '}', 90,
        '~', 130,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
        'E', 226,
        'e', 226,
        'F', 228,
        'f', 228,
        'N', 255,
        'n', 255,
        'T', 246,
        't', 246,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 262,
        '$', 186,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 110,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '_', 257,
        '`', 185,
        '~', 130,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
        'E', 226,
        'e', 226,
        'F', 228,
        'f', 228,
        'N', 255,
        'n', 255,
        'T', 246,
        't', 246,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 262,
        '$', 186,
        '\'', 168,
        '(', 94,
        '+', 123,
        '-', 126,
        '.', 111,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        '_', 257,
        '`', 185,
        '~', 130,
        'A', 247,
        'a', 247,
        'B', 223,
        'b', 223,
        'E', 226,
        'e', 226,
        'F', 227,
        'f', 227,
        'I', 241,
        'i', 241,
        'N', 255,
        'n', 255,
        'S', 253,
        's', 253,
        'T', 246,
        't', 246,
        'U', 239,
        'u', 239,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 28,
        '"', 181,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 83,
        '\'', 184,
        '(', 94,
        ')', 95,
        '*', 218,
        '+', 122,
        ',', 85,
        '-', 129,
        '.', 214,
        '/', 219,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 86,
        '>', 205,
        '?', 98,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 193,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 218,
        '+', 123,
        ',', 85,
        '-', 128,
        '.', 214,
        '/', 219,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 29,
        '>', 205,
        '?', 98,
        '[', 152,
        '\\', 34,
        ']', 153,
        '^', 193,
        '`', 185,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(10);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 218,
        '+', 123,
        ',', 85,
        '-', 128,
        '.', 214,
        '/', 219,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 29,
        '>', 205,
        '?', 98,
        '[', 152,
        '\\', 35,
        ']', 153,
        '^', 193,
        '`', 185,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(10);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 28,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 218,
        '+', 122,
        ',', 85,
        '-', 129,
        '.', 214,
        '/', 219,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 202,
        '=', 86,
        '>', 205,
        '?', 98,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 193,
        '{', 89,
        '|', 103,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 28,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 83,
        '(', 94,
        ')', 95,
        '*', 218,
        '+', 122,
        ',', 85,
        '-', 125,
        '.', 214,
        '/', 219,
        ':', 91,
        ';', 81,
        '<', 202,
        '=', 29,
        '>', 205,
        '?', 100,
        '\\', 87,
        ']', 153,
        '^', 193,
        '|', 103,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 166,
        '#', 262,
        '$', 186,
        '\'', 168,
        '(', 94,
        '/', 19,
        '<', 26,
        '?', 32,
        '[', 152,
        '\\', 87,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 166,
        '#', 263,
        '\'', 168,
        '.', 111,
        '/', 19,
        '0', 114,
        '<', 26,
        '?', 32,
        '_', 55,
        'B', 13,
        'b', 13,
        'E', 38,
        'e', 38,
        'F', 39,
        'f', 39,
        'N', 49,
        'n', 49,
        'T', 46,
        't', 46,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 262,
        '$', 186,
        '&', 82,
        '(', 94,
        ')', 95,
        ',', 85,
        '.', 22,
        '/', 19,
        '?', 99,
        '\\', 87,
        '}', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 263,
        '$', 186,
        '&', 82,
        '(', 94,
        ')', 95,
        '.', 22,
        '/', 19,
        '=', 31,
        '?', 99,
        '\\', 87,
        '{', 89,
        '|', 101,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(178);
      if (lookahead == '\'') ADVANCE(168);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '?') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(37);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(172);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(261);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(260);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(24);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(96);
      END_STATE();
    case 25:
      if (lookahead == '<') ADVANCE(180);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(25);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(25);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(151);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(164);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(159);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(163);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(169);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 38:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 39:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 41:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(45);
      END_STATE();
    case 42:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(154);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 47:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(44);
      END_STATE();
    case 50:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(117);
      END_STATE();
    case 51:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(162);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 61:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 132,
        '"', 166,
        '#', 262,
        '$', 186,
        '%', 222,
        '&', 84,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 215,
        '/', 220,
        '0', 114,
        ':', 92,
        ';', 81,
        '<', 203,
        '=', 86,
        '>', 204,
        '?', 97,
        '@', 133,
        '[', 152,
        '\\', 88,
        ']', 153,
        '^', 194,
        '_', 257,
        '`', 185,
        '{', 89,
        '|', 102,
        '}', 90,
        '~', 130,
        'A', 247,
        'a', 247,
        'B', 223,
        'b', 223,
        'E', 226,
        'e', 226,
        'F', 227,
        'f', 227,
        'I', 241,
        'i', 241,
        'N', 255,
        'n', 255,
        'S', 253,
        's', 253,
        'T', 246,
        't', 246,
        'U', 239,
        'u', 239,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(61);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 62:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 131,
        '"', 166,
        '#', 262,
        '$', 186,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '+', 123,
        ',', 85,
        '-', 126,
        '.', 111,
        '/', 19,
        '0', 114,
        ':', 91,
        ';', 81,
        '<', 26,
        '=', 31,
        '?', 32,
        '@', 133,
        '[', 152,
        '\\', 87,
        ']', 153,
        '_', 257,
        '`', 185,
        '{', 89,
        '}', 90,
        '~', 130,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
        'E', 226,
        'e', 226,
        'F', 228,
        'f', 228,
        'N', 255,
        'n', 255,
        'T', 246,
        't', 246,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 63:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 28,
        '"', 166,
        '#', 263,
        '$', 186,
        '%', 222,
        '&', 84,
        '\'', 168,
        '(', 94,
        ')', 95,
        '*', 217,
        '+', 124,
        ',', 85,
        '-', 127,
        '.', 216,
        '/', 220,
        '0', 119,
        ':', 92,
        ';', 81,
        '<', 201,
        '=', 86,
        '>', 204,
        '?', 97,
        '[', 152,
        '\\', 87,
        ']', 153,
        '^', 194,
        '{', 89,
        '|', 102,
        '}', 90,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 64:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '"', 166,
        '#', 263,
        '$', 186,
        '&', 82,
        '\'', 168,
        '(', 94,
        ')', 95,
        '.', 22,
        '/', 19,
        '0', 119,
        '<', 27,
        '?', 32,
        '[', 152,
        '\\', 87,
        '|', 101,
        '}', 90,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 65:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '#', 79,
        '/', 74,
        '<', 70,
        '?', 77,
        0xa0, 73,
        0x200b, 73,
        0x2060, 73,
        0xfeff, 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (lookahead != 0) ADVANCE(80);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(41);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(80);
      if (lookahead == '\r') ADVANCE(72);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(79);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '?') ADVANCE(77);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(73);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(73);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '/') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(76);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(76);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(71);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(78);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(192);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(169);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(134);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(188);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(187);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(69);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(187);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(148);
      if (lookahead == '|') ADVANCE(191);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(191);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 111,
        '_', 51,
        'B', 50,
        'b', 50,
        'E', 38,
        'e', 38,
        'O', 120,
        'o', 120,
        'X', 58,
        'x', 58,
        '8', 23,
        '9', 23,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(50);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(120);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(136);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(136);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '=') ADVANCE(142);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(150);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(159);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(160);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(159);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(60);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(179);
      if (lookahead == '\r') ADVANCE(171);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '#') ADVANCE(178);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '?') ADVANCE(176);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(172);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '?') ADVANCE(170);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead == '\r') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(199);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(210);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(197);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(197);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(197);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(213);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(212);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(208);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(180);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(24);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(189);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(261);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(261);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '\'') ADVANCE(167);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(238);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(157);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(252);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(105);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(155);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(248);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(249);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(254);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(106);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(109);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(261);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(261);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 65},
  [2] = {.lex_state = 62},
  [3] = {.lex_state = 62},
  [4] = {.lex_state = 62},
  [5] = {.lex_state = 62},
  [6] = {.lex_state = 62},
  [7] = {.lex_state = 62},
  [8] = {.lex_state = 62},
  [9] = {.lex_state = 62},
  [10] = {.lex_state = 62},
  [11] = {.lex_state = 62},
  [12] = {.lex_state = 62, .external_lex_state = 2},
  [13] = {.lex_state = 62, .external_lex_state = 2},
  [14] = {.lex_state = 62, .external_lex_state = 2},
  [15] = {.lex_state = 62, .external_lex_state = 2},
  [16] = {.lex_state = 62, .external_lex_state = 2},
  [17] = {.lex_state = 62},
  [18] = {.lex_state = 62},
  [19] = {.lex_state = 62},
  [20] = {.lex_state = 62},
  [21] = {.lex_state = 62, .external_lex_state = 2},
  [22] = {.lex_state = 62},
  [23] = {.lex_state = 62, .external_lex_state = 2},
  [24] = {.lex_state = 62},
  [25] = {.lex_state = 62, .external_lex_state = 2},
  [26] = {.lex_state = 62, .external_lex_state = 2},
  [27] = {.lex_state = 62},
  [28] = {.lex_state = 62},
  [29] = {.lex_state = 62},
  [30] = {.lex_state = 62, .external_lex_state = 2},
  [31] = {.lex_state = 62, .external_lex_state = 2},
  [32] = {.lex_state = 62, .external_lex_state = 2},
  [33] = {.lex_state = 62, .external_lex_state = 2},
  [34] = {.lex_state = 62, .external_lex_state = 2},
  [35] = {.lex_state = 62, .external_lex_state = 2},
  [36] = {.lex_state = 62, .external_lex_state = 2},
  [37] = {.lex_state = 62, .external_lex_state = 2},
  [38] = {.lex_state = 62},
  [39] = {.lex_state = 62, .external_lex_state = 2},
  [40] = {.lex_state = 62},
  [41] = {.lex_state = 62},
  [42] = {.lex_state = 62, .external_lex_state = 2},
  [43] = {.lex_state = 62},
  [44] = {.lex_state = 62},
  [45] = {.lex_state = 62},
  [46] = {.lex_state = 62},
  [47] = {.lex_state = 62},
  [48] = {.lex_state = 62, .external_lex_state = 2},
  [49] = {.lex_state = 62, .external_lex_state = 2},
  [50] = {.lex_state = 62, .external_lex_state = 2},
  [51] = {.lex_state = 62},
  [52] = {.lex_state = 62},
  [53] = {.lex_state = 62},
  [54] = {.lex_state = 62},
  [55] = {.lex_state = 62},
  [56] = {.lex_state = 62},
  [57] = {.lex_state = 62},
  [58] = {.lex_state = 62},
  [59] = {.lex_state = 62},
  [60] = {.lex_state = 62},
  [61] = {.lex_state = 62},
  [62] = {.lex_state = 62, .external_lex_state = 2},
  [63] = {.lex_state = 62},
  [64] = {.lex_state = 62},
  [65] = {.lex_state = 62},
  [66] = {.lex_state = 62},
  [67] = {.lex_state = 62, .external_lex_state = 2},
  [68] = {.lex_state = 62},
  [69] = {.lex_state = 62},
  [70] = {.lex_state = 62},
  [71] = {.lex_state = 62},
  [72] = {.lex_state = 62},
  [73] = {.lex_state = 62},
  [74] = {.lex_state = 62},
  [75] = {.lex_state = 62},
  [76] = {.lex_state = 62},
  [77] = {.lex_state = 62},
  [78] = {.lex_state = 62},
  [79] = {.lex_state = 62},
  [80] = {.lex_state = 62},
  [81] = {.lex_state = 62},
  [82] = {.lex_state = 62},
  [83] = {.lex_state = 62},
  [84] = {.lex_state = 5},
  [85] = {.lex_state = 5},
  [86] = {.lex_state = 5, .external_lex_state = 2},
  [87] = {.lex_state = 5},
  [88] = {.lex_state = 7},
  [89] = {.lex_state = 7},
  [90] = {.lex_state = 7},
  [91] = {.lex_state = 7},
  [92] = {.lex_state = 7},
  [93] = {.lex_state = 7},
  [94] = {.lex_state = 7},
  [95] = {.lex_state = 7},
  [96] = {.lex_state = 7},
  [97] = {.lex_state = 7},
  [98] = {.lex_state = 7},
  [99] = {.lex_state = 7},
  [100] = {.lex_state = 6},
  [101] = {.lex_state = 6},
  [102] = {.lex_state = 6},
  [103] = {.lex_state = 6},
  [104] = {.lex_state = 6},
  [105] = {.lex_state = 6},
  [106] = {.lex_state = 6},
  [107] = {.lex_state = 6},
  [108] = {.lex_state = 6},
  [109] = {.lex_state = 6},
  [110] = {.lex_state = 6},
  [111] = {.lex_state = 6},
  [112] = {.lex_state = 6},
  [113] = {.lex_state = 6},
  [114] = {.lex_state = 6},
  [115] = {.lex_state = 6},
  [116] = {.lex_state = 6},
  [117] = {.lex_state = 6},
  [118] = {.lex_state = 6},
  [119] = {.lex_state = 6},
  [120] = {.lex_state = 6},
  [121] = {.lex_state = 6},
  [122] = {.lex_state = 6},
  [123] = {.lex_state = 6},
  [124] = {.lex_state = 6},
  [125] = {.lex_state = 6},
  [126] = {.lex_state = 6},
  [127] = {.lex_state = 6},
  [128] = {.lex_state = 6},
  [129] = {.lex_state = 6},
  [130] = {.lex_state = 6},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 62},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 62},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 62},
  [145] = {.lex_state = 62},
  [146] = {.lex_state = 62},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 62},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 62},
  [151] = {.lex_state = 62},
  [152] = {.lex_state = 62},
  [153] = {.lex_state = 62},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 62},
  [156] = {.lex_state = 62},
  [157] = {.lex_state = 62},
  [158] = {.lex_state = 62},
  [159] = {.lex_state = 62},
  [160] = {.lex_state = 62},
  [161] = {.lex_state = 62},
  [162] = {.lex_state = 62},
  [163] = {.lex_state = 62},
  [164] = {.lex_state = 62},
  [165] = {.lex_state = 62},
  [166] = {.lex_state = 62},
  [167] = {.lex_state = 62},
  [168] = {.lex_state = 62},
  [169] = {.lex_state = 62},
  [170] = {.lex_state = 62},
  [171] = {.lex_state = 62},
  [172] = {.lex_state = 62},
  [173] = {.lex_state = 62},
  [174] = {.lex_state = 62},
  [175] = {.lex_state = 62},
  [176] = {.lex_state = 62},
  [177] = {.lex_state = 62},
  [178] = {.lex_state = 62},
  [179] = {.lex_state = 62},
  [180] = {.lex_state = 62},
  [181] = {.lex_state = 62},
  [182] = {.lex_state = 62},
  [183] = {.lex_state = 62},
  [184] = {.lex_state = 62},
  [185] = {.lex_state = 62},
  [186] = {.lex_state = 62},
  [187] = {.lex_state = 6},
  [188] = {.lex_state = 62, .external_lex_state = 2},
  [189] = {.lex_state = 62},
  [190] = {.lex_state = 62, .external_lex_state = 2},
  [191] = {.lex_state = 62, .external_lex_state = 2},
  [192] = {.lex_state = 62},
  [193] = {.lex_state = 62},
  [194] = {.lex_state = 62},
  [195] = {.lex_state = 62},
  [196] = {.lex_state = 62},
  [197] = {.lex_state = 62, .external_lex_state = 2},
  [198] = {.lex_state = 62},
  [199] = {.lex_state = 62},
  [200] = {.lex_state = 6},
  [201] = {.lex_state = 62, .external_lex_state = 2},
  [202] = {.lex_state = 62, .external_lex_state = 2},
  [203] = {.lex_state = 62},
  [204] = {.lex_state = 62},
  [205] = {.lex_state = 62},
  [206] = {.lex_state = 62},
  [207] = {.lex_state = 62},
  [208] = {.lex_state = 62},
  [209] = {.lex_state = 62},
  [210] = {.lex_state = 62},
  [211] = {.lex_state = 62},
  [212] = {.lex_state = 62},
  [213] = {.lex_state = 62},
  [214] = {.lex_state = 62},
  [215] = {.lex_state = 62},
  [216] = {.lex_state = 62},
  [217] = {.lex_state = 62},
  [218] = {.lex_state = 62},
  [219] = {.lex_state = 62},
  [220] = {.lex_state = 62},
  [221] = {.lex_state = 62},
  [222] = {.lex_state = 62},
  [223] = {.lex_state = 62},
  [224] = {.lex_state = 62},
  [225] = {.lex_state = 62},
  [226] = {.lex_state = 62},
  [227] = {.lex_state = 62},
  [228] = {.lex_state = 62},
  [229] = {.lex_state = 62},
  [230] = {.lex_state = 62},
  [231] = {.lex_state = 62},
  [232] = {.lex_state = 62},
  [233] = {.lex_state = 62},
  [234] = {.lex_state = 62},
  [235] = {.lex_state = 62},
  [236] = {.lex_state = 62},
  [237] = {.lex_state = 62},
  [238] = {.lex_state = 62},
  [239] = {.lex_state = 62},
  [240] = {.lex_state = 62},
  [241] = {.lex_state = 62},
  [242] = {.lex_state = 62},
  [243] = {.lex_state = 62},
  [244] = {.lex_state = 62},
  [245] = {.lex_state = 62},
  [246] = {.lex_state = 62},
  [247] = {.lex_state = 62},
  [248] = {.lex_state = 62},
  [249] = {.lex_state = 62},
  [250] = {.lex_state = 62},
  [251] = {.lex_state = 62},
  [252] = {.lex_state = 62},
  [253] = {.lex_state = 62},
  [254] = {.lex_state = 62},
  [255] = {.lex_state = 62},
  [256] = {.lex_state = 62},
  [257] = {.lex_state = 62},
  [258] = {.lex_state = 62},
  [259] = {.lex_state = 62},
  [260] = {.lex_state = 62},
  [261] = {.lex_state = 62},
  [262] = {.lex_state = 62},
  [263] = {.lex_state = 62},
  [264] = {.lex_state = 62},
  [265] = {.lex_state = 62},
  [266] = {.lex_state = 62},
  [267] = {.lex_state = 62},
  [268] = {.lex_state = 62},
  [269] = {.lex_state = 62},
  [270] = {.lex_state = 62},
  [271] = {.lex_state = 62},
  [272] = {.lex_state = 62},
  [273] = {.lex_state = 62},
  [274] = {.lex_state = 62},
  [275] = {.lex_state = 62},
  [276] = {.lex_state = 62},
  [277] = {.lex_state = 62},
  [278] = {.lex_state = 62},
  [279] = {.lex_state = 62},
  [280] = {.lex_state = 62},
  [281] = {.lex_state = 62},
  [282] = {.lex_state = 62},
  [283] = {.lex_state = 62},
  [284] = {.lex_state = 62},
  [285] = {.lex_state = 62},
  [286] = {.lex_state = 62},
  [287] = {.lex_state = 62},
  [288] = {.lex_state = 62},
  [289] = {.lex_state = 62},
  [290] = {.lex_state = 62},
  [291] = {.lex_state = 62},
  [292] = {.lex_state = 62},
  [293] = {.lex_state = 62},
  [294] = {.lex_state = 62},
  [295] = {.lex_state = 62},
  [296] = {.lex_state = 62},
  [297] = {.lex_state = 62},
  [298] = {.lex_state = 62},
  [299] = {.lex_state = 62},
  [300] = {.lex_state = 62},
  [301] = {.lex_state = 62},
  [302] = {.lex_state = 62},
  [303] = {.lex_state = 62},
  [304] = {.lex_state = 62},
  [305] = {.lex_state = 62},
  [306] = {.lex_state = 62},
  [307] = {.lex_state = 62},
  [308] = {.lex_state = 62},
  [309] = {.lex_state = 62},
  [310] = {.lex_state = 62},
  [311] = {.lex_state = 62},
  [312] = {.lex_state = 62},
  [313] = {.lex_state = 62},
  [314] = {.lex_state = 62},
  [315] = {.lex_state = 62},
  [316] = {.lex_state = 62},
  [317] = {.lex_state = 62},
  [318] = {.lex_state = 62},
  [319] = {.lex_state = 62},
  [320] = {.lex_state = 62},
  [321] = {.lex_state = 62},
  [322] = {.lex_state = 62},
  [323] = {.lex_state = 62},
  [324] = {.lex_state = 62},
  [325] = {.lex_state = 62},
  [326] = {.lex_state = 62},
  [327] = {.lex_state = 62},
  [328] = {.lex_state = 62},
  [329] = {.lex_state = 62},
  [330] = {.lex_state = 62},
  [331] = {.lex_state = 62},
  [332] = {.lex_state = 62},
  [333] = {.lex_state = 62},
  [334] = {.lex_state = 62},
  [335] = {.lex_state = 62},
  [336] = {.lex_state = 62},
  [337] = {.lex_state = 62},
  [338] = {.lex_state = 62},
  [339] = {.lex_state = 62},
  [340] = {.lex_state = 62},
  [341] = {.lex_state = 62},
  [342] = {.lex_state = 62},
  [343] = {.lex_state = 62},
  [344] = {.lex_state = 62},
  [345] = {.lex_state = 62},
  [346] = {.lex_state = 62},
  [347] = {.lex_state = 62},
  [348] = {.lex_state = 62},
  [349] = {.lex_state = 62},
  [350] = {.lex_state = 62},
  [351] = {.lex_state = 62},
  [352] = {.lex_state = 62},
  [353] = {.lex_state = 62},
  [354] = {.lex_state = 62},
  [355] = {.lex_state = 62},
  [356] = {.lex_state = 62},
  [357] = {.lex_state = 62},
  [358] = {.lex_state = 62},
  [359] = {.lex_state = 62},
  [360] = {.lex_state = 62},
  [361] = {.lex_state = 62},
  [362] = {.lex_state = 62},
  [363] = {.lex_state = 62},
  [364] = {.lex_state = 62},
  [365] = {.lex_state = 62},
  [366] = {.lex_state = 62},
  [367] = {.lex_state = 62},
  [368] = {.lex_state = 62},
  [369] = {.lex_state = 62},
  [370] = {.lex_state = 62},
  [371] = {.lex_state = 62},
  [372] = {.lex_state = 62},
  [373] = {.lex_state = 62},
  [374] = {.lex_state = 62},
  [375] = {.lex_state = 62},
  [376] = {.lex_state = 62},
  [377] = {.lex_state = 62},
  [378] = {.lex_state = 62},
  [379] = {.lex_state = 62},
  [380] = {.lex_state = 62},
  [381] = {.lex_state = 62},
  [382] = {.lex_state = 62},
  [383] = {.lex_state = 62},
  [384] = {.lex_state = 62},
  [385] = {.lex_state = 62},
  [386] = {.lex_state = 62},
  [387] = {.lex_state = 62},
  [388] = {.lex_state = 62},
  [389] = {.lex_state = 62},
  [390] = {.lex_state = 62},
  [391] = {.lex_state = 62},
  [392] = {.lex_state = 62},
  [393] = {.lex_state = 62},
  [394] = {.lex_state = 62},
  [395] = {.lex_state = 62},
  [396] = {.lex_state = 62},
  [397] = {.lex_state = 62},
  [398] = {.lex_state = 62},
  [399] = {.lex_state = 62},
  [400] = {.lex_state = 62},
  [401] = {.lex_state = 62},
  [402] = {.lex_state = 62},
  [403] = {.lex_state = 62},
  [404] = {.lex_state = 62},
  [405] = {.lex_state = 62},
  [406] = {.lex_state = 62},
  [407] = {.lex_state = 62},
  [408] = {.lex_state = 62},
  [409] = {.lex_state = 62},
  [410] = {.lex_state = 62},
  [411] = {.lex_state = 62},
  [412] = {.lex_state = 62},
  [413] = {.lex_state = 62},
  [414] = {.lex_state = 62},
  [415] = {.lex_state = 62},
  [416] = {.lex_state = 62},
  [417] = {.lex_state = 62},
  [418] = {.lex_state = 62},
  [419] = {.lex_state = 62},
  [420] = {.lex_state = 62},
  [421] = {.lex_state = 62},
  [422] = {.lex_state = 62},
  [423] = {.lex_state = 62},
  [424] = {.lex_state = 62},
  [425] = {.lex_state = 62},
  [426] = {.lex_state = 62},
  [427] = {.lex_state = 62},
  [428] = {.lex_state = 62},
  [429] = {.lex_state = 62},
  [430] = {.lex_state = 62},
  [431] = {.lex_state = 62},
  [432] = {.lex_state = 62},
  [433] = {.lex_state = 62},
  [434] = {.lex_state = 62},
  [435] = {.lex_state = 62},
  [436] = {.lex_state = 62},
  [437] = {.lex_state = 62},
  [438] = {.lex_state = 62, .external_lex_state = 2},
  [439] = {.lex_state = 62, .external_lex_state = 2},
  [440] = {.lex_state = 62, .external_lex_state = 2},
  [441] = {.lex_state = 62, .external_lex_state = 2},
  [442] = {.lex_state = 62},
  [443] = {.lex_state = 62, .external_lex_state = 2},
  [444] = {.lex_state = 62, .external_lex_state = 2},
  [445] = {.lex_state = 62},
  [446] = {.lex_state = 62, .external_lex_state = 2},
  [447] = {.lex_state = 62, .external_lex_state = 2},
  [448] = {.lex_state = 62, .external_lex_state = 2},
  [449] = {.lex_state = 62, .external_lex_state = 2},
  [450] = {.lex_state = 62, .external_lex_state = 2},
  [451] = {.lex_state = 62, .external_lex_state = 2},
  [452] = {.lex_state = 62, .external_lex_state = 2},
  [453] = {.lex_state = 62},
  [454] = {.lex_state = 62},
  [455] = {.lex_state = 62, .external_lex_state = 2},
  [456] = {.lex_state = 62},
  [457] = {.lex_state = 62},
  [458] = {.lex_state = 62},
  [459] = {.lex_state = 62},
  [460] = {.lex_state = 62},
  [461] = {.lex_state = 62},
  [462] = {.lex_state = 62},
  [463] = {.lex_state = 62},
  [464] = {.lex_state = 62},
  [465] = {.lex_state = 62},
  [466] = {.lex_state = 62},
  [467] = {.lex_state = 62},
  [468] = {.lex_state = 62},
  [469] = {.lex_state = 62},
  [470] = {.lex_state = 62},
  [471] = {.lex_state = 62},
  [472] = {.lex_state = 62},
  [473] = {.lex_state = 62},
  [474] = {.lex_state = 62},
  [475] = {.lex_state = 62},
  [476] = {.lex_state = 62},
  [477] = {.lex_state = 62},
  [478] = {.lex_state = 62},
  [479] = {.lex_state = 62},
  [480] = {.lex_state = 62},
  [481] = {.lex_state = 62},
  [482] = {.lex_state = 62},
  [483] = {.lex_state = 62},
  [484] = {.lex_state = 62},
  [485] = {.lex_state = 62},
  [486] = {.lex_state = 62},
  [487] = {.lex_state = 62},
  [488] = {.lex_state = 62},
  [489] = {.lex_state = 62},
  [490] = {.lex_state = 62},
  [491] = {.lex_state = 62},
  [492] = {.lex_state = 62},
  [493] = {.lex_state = 62},
  [494] = {.lex_state = 62},
  [495] = {.lex_state = 62},
  [496] = {.lex_state = 62},
  [497] = {.lex_state = 62},
  [498] = {.lex_state = 62},
  [499] = {.lex_state = 62},
  [500] = {.lex_state = 62},
  [501] = {.lex_state = 62},
  [502] = {.lex_state = 62},
  [503] = {.lex_state = 62},
  [504] = {.lex_state = 62},
  [505] = {.lex_state = 62},
  [506] = {.lex_state = 62},
  [507] = {.lex_state = 62},
  [508] = {.lex_state = 62},
  [509] = {.lex_state = 62},
  [510] = {.lex_state = 62},
  [511] = {.lex_state = 62},
  [512] = {.lex_state = 62},
  [513] = {.lex_state = 62},
  [514] = {.lex_state = 62},
  [515] = {.lex_state = 62},
  [516] = {.lex_state = 62},
  [517] = {.lex_state = 62},
  [518] = {.lex_state = 62},
  [519] = {.lex_state = 62},
  [520] = {.lex_state = 62},
  [521] = {.lex_state = 62},
  [522] = {.lex_state = 62},
  [523] = {.lex_state = 62},
  [524] = {.lex_state = 62},
  [525] = {.lex_state = 62},
  [526] = {.lex_state = 62},
  [527] = {.lex_state = 62},
  [528] = {.lex_state = 62},
  [529] = {.lex_state = 62},
  [530] = {.lex_state = 62},
  [531] = {.lex_state = 62},
  [532] = {.lex_state = 62},
  [533] = {.lex_state = 62},
  [534] = {.lex_state = 62},
  [535] = {.lex_state = 62},
  [536] = {.lex_state = 62},
  [537] = {.lex_state = 62},
  [538] = {.lex_state = 62},
  [539] = {.lex_state = 62},
  [540] = {.lex_state = 62},
  [541] = {.lex_state = 62},
  [542] = {.lex_state = 62},
  [543] = {.lex_state = 62},
  [544] = {.lex_state = 62},
  [545] = {.lex_state = 62},
  [546] = {.lex_state = 62},
  [547] = {.lex_state = 62},
  [548] = {.lex_state = 62},
  [549] = {.lex_state = 62},
  [550] = {.lex_state = 62},
  [551] = {.lex_state = 62},
  [552] = {.lex_state = 62},
  [553] = {.lex_state = 62},
  [554] = {.lex_state = 62},
  [555] = {.lex_state = 62},
  [556] = {.lex_state = 62},
  [557] = {.lex_state = 62},
  [558] = {.lex_state = 62},
  [559] = {.lex_state = 62},
  [560] = {.lex_state = 62},
  [561] = {.lex_state = 62},
  [562] = {.lex_state = 62},
  [563] = {.lex_state = 62},
  [564] = {.lex_state = 62},
  [565] = {.lex_state = 62},
  [566] = {.lex_state = 62},
  [567] = {.lex_state = 62},
  [568] = {.lex_state = 63},
  [569] = {.lex_state = 63},
  [570] = {.lex_state = 63},
  [571] = {.lex_state = 63},
  [572] = {.lex_state = 63},
  [573] = {.lex_state = 63},
  [574] = {.lex_state = 63},
  [575] = {.lex_state = 63},
  [576] = {.lex_state = 63},
  [577] = {.lex_state = 63},
  [578] = {.lex_state = 63},
  [579] = {.lex_state = 63},
  [580] = {.lex_state = 63},
  [581] = {.lex_state = 63},
  [582] = {.lex_state = 63},
  [583] = {.lex_state = 63},
  [584] = {.lex_state = 63},
  [585] = {.lex_state = 63},
  [586] = {.lex_state = 63},
  [587] = {.lex_state = 63},
  [588] = {.lex_state = 63},
  [589] = {.lex_state = 63},
  [590] = {.lex_state = 63},
  [591] = {.lex_state = 63},
  [592] = {.lex_state = 63},
  [593] = {.lex_state = 63},
  [594] = {.lex_state = 63},
  [595] = {.lex_state = 63, .external_lex_state = 2},
  [596] = {.lex_state = 63},
  [597] = {.lex_state = 63, .external_lex_state = 2},
  [598] = {.lex_state = 63, .external_lex_state = 2},
  [599] = {.lex_state = 63, .external_lex_state = 2},
  [600] = {.lex_state = 63, .external_lex_state = 2},
  [601] = {.lex_state = 63},
  [602] = {.lex_state = 63, .external_lex_state = 2},
  [603] = {.lex_state = 63, .external_lex_state = 2},
  [604] = {.lex_state = 63, .external_lex_state = 2},
  [605] = {.lex_state = 63, .external_lex_state = 2},
  [606] = {.lex_state = 63, .external_lex_state = 2},
  [607] = {.lex_state = 63},
  [608] = {.lex_state = 63, .external_lex_state = 2},
  [609] = {.lex_state = 63, .external_lex_state = 2},
  [610] = {.lex_state = 63},
  [611] = {.lex_state = 63, .external_lex_state = 2},
  [612] = {.lex_state = 63},
  [613] = {.lex_state = 63},
  [614] = {.lex_state = 63, .external_lex_state = 2},
  [615] = {.lex_state = 63, .external_lex_state = 2},
  [616] = {.lex_state = 63, .external_lex_state = 2},
  [617] = {.lex_state = 63},
  [618] = {.lex_state = 63, .external_lex_state = 2},
  [619] = {.lex_state = 63, .external_lex_state = 2},
  [620] = {.lex_state = 63, .external_lex_state = 2},
  [621] = {.lex_state = 63, .external_lex_state = 2},
  [622] = {.lex_state = 63, .external_lex_state = 2},
  [623] = {.lex_state = 63, .external_lex_state = 2},
  [624] = {.lex_state = 63, .external_lex_state = 2},
  [625] = {.lex_state = 63, .external_lex_state = 2},
  [626] = {.lex_state = 63, .external_lex_state = 2},
  [627] = {.lex_state = 63},
  [628] = {.lex_state = 63},
  [629] = {.lex_state = 63},
  [630] = {.lex_state = 63, .external_lex_state = 2},
  [631] = {.lex_state = 63},
  [632] = {.lex_state = 63},
  [633] = {.lex_state = 63},
  [634] = {.lex_state = 63},
  [635] = {.lex_state = 63},
  [636] = {.lex_state = 8},
  [637] = {.lex_state = 12},
  [638] = {.lex_state = 12},
  [639] = {.lex_state = 9},
  [640] = {.lex_state = 8},
  [641] = {.lex_state = 8},
  [642] = {.lex_state = 9},
  [643] = {.lex_state = 8},
  [644] = {.lex_state = 9},
  [645] = {.lex_state = 8},
  [646] = {.lex_state = 9},
  [647] = {.lex_state = 9},
  [648] = {.lex_state = 9},
  [649] = {.lex_state = 8},
  [650] = {.lex_state = 9},
  [651] = {.lex_state = 8},
  [652] = {.lex_state = 16},
  [653] = {.lex_state = 9},
  [654] = {.lex_state = 9},
  [655] = {.lex_state = 9},
  [656] = {.lex_state = 9},
  [657] = {.lex_state = 9},
  [658] = {.lex_state = 9},
  [659] = {.lex_state = 9},
  [660] = {.lex_state = 8},
  [661] = {.lex_state = 9},
  [662] = {.lex_state = 9},
  [663] = {.lex_state = 9},
  [664] = {.lex_state = 9},
  [665] = {.lex_state = 9},
  [666] = {.lex_state = 9},
  [667] = {.lex_state = 9},
  [668] = {.lex_state = 9},
  [669] = {.lex_state = 9},
  [670] = {.lex_state = 9},
  [671] = {.lex_state = 14},
  [672] = {.lex_state = 16},
  [673] = {.lex_state = 14},
  [674] = {.lex_state = 8},
  [675] = {.lex_state = 9},
  [676] = {.lex_state = 8},
  [677] = {.lex_state = 8},
  [678] = {.lex_state = 8},
  [679] = {.lex_state = 8},
  [680] = {.lex_state = 8},
  [681] = {.lex_state = 16},
  [682] = {.lex_state = 64},
  [683] = {.lex_state = 9},
  [684] = {.lex_state = 8},
  [685] = {.lex_state = 8},
  [686] = {.lex_state = 8},
  [687] = {.lex_state = 8},
  [688] = {.lex_state = 8},
  [689] = {.lex_state = 8},
  [690] = {.lex_state = 8},
  [691] = {.lex_state = 8},
  [692] = {.lex_state = 16},
  [693] = {.lex_state = 64},
  [694] = {.lex_state = 64},
  [695] = {.lex_state = 8},
  [696] = {.lex_state = 8},
  [697] = {.lex_state = 8},
  [698] = {.lex_state = 8},
  [699] = {.lex_state = 8},
  [700] = {.lex_state = 8},
  [701] = {.lex_state = 8},
  [702] = {.lex_state = 8},
  [703] = {.lex_state = 8},
  [704] = {.lex_state = 16},
  [705] = {.lex_state = 8},
  [706] = {.lex_state = 8},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 16},
  [709] = {.lex_state = 8},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 64},
  [714] = {.lex_state = 64},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 16},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 64},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 8},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 8},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 8},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 8},
  [757] = {.lex_state = 8},
  [758] = {.lex_state = 8},
  [759] = {.lex_state = 8},
  [760] = {.lex_state = 9, .external_lex_state = 2},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 12},
  [763] = {.lex_state = 8},
  [764] = {.lex_state = 9, .external_lex_state = 2},
  [765] = {.lex_state = 9, .external_lex_state = 2},
  [766] = {.lex_state = 9, .external_lex_state = 2},
  [767] = {.lex_state = 8},
  [768] = {.lex_state = 8},
  [769] = {.lex_state = 8},
  [770] = {.lex_state = 8, .external_lex_state = 2},
  [771] = {.lex_state = 9, .external_lex_state = 2},
  [772] = {.lex_state = 8, .external_lex_state = 2},
  [773] = {.lex_state = 9, .external_lex_state = 2},
  [774] = {.lex_state = 9, .external_lex_state = 2},
  [775] = {.lex_state = 6},
  [776] = {.lex_state = 12},
  [777] = {.lex_state = 8},
  [778] = {.lex_state = 8, .external_lex_state = 2},
  [779] = {.lex_state = 8, .external_lex_state = 2},
  [780] = {.lex_state = 64},
  [781] = {.lex_state = 9, .external_lex_state = 2},
  [782] = {.lex_state = 9, .external_lex_state = 2},
  [783] = {.lex_state = 64},
  [784] = {.lex_state = 8},
  [785] = {.lex_state = 9, .external_lex_state = 2},
  [786] = {.lex_state = 8, .external_lex_state = 2},
  [787] = {.lex_state = 9, .external_lex_state = 2},
  [788] = {.lex_state = 9, .external_lex_state = 2},
  [789] = {.lex_state = 6},
  [790] = {.lex_state = 9, .external_lex_state = 2},
  [791] = {.lex_state = 9, .external_lex_state = 2},
  [792] = {.lex_state = 9, .external_lex_state = 2},
  [793] = {.lex_state = 9, .external_lex_state = 2},
  [794] = {.lex_state = 9, .external_lex_state = 2},
  [795] = {.lex_state = 9, .external_lex_state = 2},
  [796] = {.lex_state = 9, .external_lex_state = 2},
  [797] = {.lex_state = 9, .external_lex_state = 2},
  [798] = {.lex_state = 64},
  [799] = {.lex_state = 9, .external_lex_state = 2},
  [800] = {.lex_state = 9, .external_lex_state = 2},
  [801] = {.lex_state = 9, .external_lex_state = 2},
  [802] = {.lex_state = 8, .external_lex_state = 2},
  [803] = {.lex_state = 64},
  [804] = {.lex_state = 9, .external_lex_state = 2},
  [805] = {.lex_state = 8, .external_lex_state = 2},
  [806] = {.lex_state = 8, .external_lex_state = 2},
  [807] = {.lex_state = 8, .external_lex_state = 2},
  [808] = {.lex_state = 8, .external_lex_state = 2},
  [809] = {.lex_state = 64},
  [810] = {.lex_state = 8, .external_lex_state = 2},
  [811] = {.lex_state = 64},
  [812] = {.lex_state = 64},
  [813] = {.lex_state = 12},
  [814] = {.lex_state = 64},
  [815] = {.lex_state = 8, .external_lex_state = 2},
  [816] = {.lex_state = 8, .external_lex_state = 2},
  [817] = {.lex_state = 8, .external_lex_state = 2},
  [818] = {.lex_state = 64},
  [819] = {.lex_state = 64},
  [820] = {.lex_state = 8, .external_lex_state = 2},
  [821] = {.lex_state = 9, .external_lex_state = 2},
  [822] = {.lex_state = 64},
  [823] = {.lex_state = 8, .external_lex_state = 2},
  [824] = {.lex_state = 8, .external_lex_state = 2},
  [825] = {.lex_state = 8, .external_lex_state = 2},
  [826] = {.lex_state = 8, .external_lex_state = 2},
  [827] = {.lex_state = 8, .external_lex_state = 2},
  [828] = {.lex_state = 8, .external_lex_state = 2},
  [829] = {.lex_state = 8, .external_lex_state = 2},
  [830] = {.lex_state = 64},
  [831] = {.lex_state = 64},
  [832] = {.lex_state = 8, .external_lex_state = 2},
  [833] = {.lex_state = 8, .external_lex_state = 2},
  [834] = {.lex_state = 8, .external_lex_state = 2},
  [835] = {.lex_state = 8, .external_lex_state = 2},
  [836] = {.lex_state = 64},
  [837] = {.lex_state = 8, .external_lex_state = 2},
  [838] = {.lex_state = 8, .external_lex_state = 2},
  [839] = {.lex_state = 8, .external_lex_state = 2},
  [840] = {.lex_state = 8, .external_lex_state = 2},
  [841] = {.lex_state = 8, .external_lex_state = 2},
  [842] = {.lex_state = 8, .external_lex_state = 2},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 8, .external_lex_state = 2},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 9, .external_lex_state = 2},
  [849] = {.lex_state = 12},
  [850] = {.lex_state = 64},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 64},
  [853] = {.lex_state = 64},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 8, .external_lex_state = 2},
  [856] = {.lex_state = 8, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 64},
  [859] = {.lex_state = 64},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 8},
  [874] = {.lex_state = 8, .external_lex_state = 2},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 8, .external_lex_state = 2},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 8},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 8, .external_lex_state = 2},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 8, .external_lex_state = 2},
  [891] = {.lex_state = 8, .external_lex_state = 2},
  [892] = {.lex_state = 8, .external_lex_state = 2},
  [893] = {.lex_state = 8, .external_lex_state = 2},
  [894] = {.lex_state = 8, .external_lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 8, .external_lex_state = 2},
  [897] = {.lex_state = 8, .external_lex_state = 2},
  [898] = {.lex_state = 8, .external_lex_state = 2},
  [899] = {.lex_state = 8, .external_lex_state = 2},
  [900] = {.lex_state = 8, .external_lex_state = 2},
  [901] = {.lex_state = 8, .external_lex_state = 2},
  [902] = {.lex_state = 8, .external_lex_state = 2},
  [903] = {.lex_state = 8, .external_lex_state = 2},
  [904] = {.lex_state = 8, .external_lex_state = 2},
  [905] = {.lex_state = 8, .external_lex_state = 2},
  [906] = {.lex_state = 8, .external_lex_state = 2},
  [907] = {.lex_state = 8, .external_lex_state = 2},
  [908] = {.lex_state = 12},
  [909] = {.lex_state = 12},
  [910] = {.lex_state = 12},
  [911] = {.lex_state = 12},
  [912] = {.lex_state = 12},
  [913] = {.lex_state = 12},
  [914] = {.lex_state = 12},
  [915] = {.lex_state = 12},
  [916] = {.lex_state = 12},
  [917] = {.lex_state = 12},
  [918] = {.lex_state = 12},
  [919] = {.lex_state = 12},
  [920] = {.lex_state = 12},
  [921] = {.lex_state = 12},
  [922] = {.lex_state = 12},
  [923] = {.lex_state = 12},
  [924] = {.lex_state = 12},
  [925] = {.lex_state = 12},
  [926] = {.lex_state = 12},
  [927] = {.lex_state = 12},
  [928] = {.lex_state = 12},
  [929] = {.lex_state = 12},
  [930] = {.lex_state = 12},
  [931] = {.lex_state = 12},
  [932] = {.lex_state = 12},
  [933] = {.lex_state = 12},
  [934] = {.lex_state = 12},
  [935] = {.lex_state = 12},
  [936] = {.lex_state = 12},
  [937] = {.lex_state = 12},
  [938] = {.lex_state = 12},
  [939] = {.lex_state = 12},
  [940] = {.lex_state = 12},
  [941] = {.lex_state = 12},
  [942] = {.lex_state = 12},
  [943] = {.lex_state = 12},
  [944] = {.lex_state = 12},
  [945] = {.lex_state = 12},
  [946] = {.lex_state = 12},
  [947] = {.lex_state = 12},
  [948] = {.lex_state = 12},
  [949] = {.lex_state = 12},
  [950] = {.lex_state = 12},
  [951] = {.lex_state = 12},
  [952] = {.lex_state = 12},
  [953] = {.lex_state = 12},
  [954] = {.lex_state = 12},
  [955] = {.lex_state = 12},
  [956] = {.lex_state = 12},
  [957] = {.lex_state = 12},
  [958] = {.lex_state = 12},
  [959] = {.lex_state = 12},
  [960] = {.lex_state = 12},
  [961] = {.lex_state = 12},
  [962] = {.lex_state = 12},
  [963] = {.lex_state = 12},
  [964] = {.lex_state = 12},
  [965] = {.lex_state = 12},
  [966] = {.lex_state = 12},
  [967] = {.lex_state = 12},
  [968] = {.lex_state = 12},
  [969] = {.lex_state = 12},
  [970] = {.lex_state = 12},
  [971] = {.lex_state = 12},
  [972] = {.lex_state = 12},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 16},
  [975] = {.lex_state = 17},
  [976] = {.lex_state = 16},
  [977] = {.lex_state = 12, .external_lex_state = 2},
  [978] = {.lex_state = 12, .external_lex_state = 2},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 12},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 16},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 16},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12},
  [1044] = {.lex_state = 12},
  [1045] = {.lex_state = 12},
  [1046] = {.lex_state = 16},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 16},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 12, .external_lex_state = 2},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12, .external_lex_state = 2},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 12, .external_lex_state = 2},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12, .external_lex_state = 2},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 16},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 16},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12, .external_lex_state = 2},
  [1208] = {.lex_state = 16},
  [1209] = {.lex_state = 12, .external_lex_state = 2},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12, .external_lex_state = 2},
  [1213] = {.lex_state = 12, .external_lex_state = 2},
  [1214] = {.lex_state = 12, .external_lex_state = 2},
  [1215] = {.lex_state = 12, .external_lex_state = 2},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12, .external_lex_state = 2},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 16},
  [1229] = {.lex_state = 16},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 16},
  [1232] = {.lex_state = 16},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 16},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 16},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 16},
  [1320] = {.lex_state = 16},
  [1321] = {.lex_state = 16},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 16},
  [1331] = {.lex_state = 16},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 12},
  [1340] = {.lex_state = 12},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 12},
  [1343] = {.lex_state = 12},
  [1344] = {.lex_state = 12},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 12},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 63},
  [1350] = {.lex_state = 63},
  [1351] = {.lex_state = 63},
  [1352] = {.lex_state = 63},
  [1353] = {.lex_state = 63},
  [1354] = {.lex_state = 63},
  [1355] = {.lex_state = 63},
  [1356] = {.lex_state = 63},
  [1357] = {.lex_state = 63},
  [1358] = {.lex_state = 63},
  [1359] = {.lex_state = 63},
  [1360] = {.lex_state = 63},
  [1361] = {.lex_state = 63},
  [1362] = {.lex_state = 15},
  [1363] = {.lex_state = 64},
  [1364] = {.lex_state = 63},
  [1365] = {.lex_state = 63},
  [1366] = {.lex_state = 63},
  [1367] = {.lex_state = 3, .external_lex_state = 3},
  [1368] = {.lex_state = 3, .external_lex_state = 3},
  [1369] = {.lex_state = 16},
  [1370] = {.lex_state = 16},
  [1371] = {.lex_state = 16},
  [1372] = {.lex_state = 16},
  [1373] = {.lex_state = 16},
  [1374] = {.lex_state = 16},
  [1375] = {.lex_state = 16},
  [1376] = {.lex_state = 3, .external_lex_state = 3},
  [1377] = {.lex_state = 16},
  [1378] = {.lex_state = 16},
  [1379] = {.lex_state = 16},
  [1380] = {.lex_state = 3, .external_lex_state = 3},
  [1381] = {.lex_state = 3, .external_lex_state = 3},
  [1382] = {.lex_state = 16},
  [1383] = {.lex_state = 16},
  [1384] = {.lex_state = 16},
  [1385] = {.lex_state = 16},
  [1386] = {.lex_state = 16},
  [1387] = {.lex_state = 3, .external_lex_state = 4},
  [1388] = {.lex_state = 16},
  [1389] = {.lex_state = 16},
  [1390] = {.lex_state = 16},
  [1391] = {.lex_state = 16},
  [1392] = {.lex_state = 63},
  [1393] = {.lex_state = 9, .external_lex_state = 5},
  [1394] = {.lex_state = 9, .external_lex_state = 6},
  [1395] = {.lex_state = 16},
  [1396] = {.lex_state = 9, .external_lex_state = 6},
  [1397] = {.lex_state = 9, .external_lex_state = 5},
  [1398] = {.lex_state = 16},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 16},
  [1401] = {.lex_state = 16},
  [1402] = {.lex_state = 16},
  [1403] = {.lex_state = 16},
  [1404] = {.lex_state = 16},
  [1405] = {.lex_state = 16},
  [1406] = {.lex_state = 16},
  [1407] = {.lex_state = 16},
  [1408] = {.lex_state = 16},
  [1409] = {.lex_state = 9, .external_lex_state = 6},
  [1410] = {.lex_state = 16},
  [1411] = {.lex_state = 9, .external_lex_state = 5},
  [1412] = {.lex_state = 16},
  [1413] = {.lex_state = 17},
  [1414] = {.lex_state = 16},
  [1415] = {.lex_state = 63},
  [1416] = {.lex_state = 9, .external_lex_state = 6},
  [1417] = {.lex_state = 16},
  [1418] = {.lex_state = 16},
  [1419] = {.lex_state = 16},
  [1420] = {.lex_state = 9, .external_lex_state = 5},
  [1421] = {.lex_state = 9, .external_lex_state = 6},
  [1422] = {.lex_state = 9, .external_lex_state = 5},
  [1423] = {.lex_state = 63},
  [1424] = {.lex_state = 9, .external_lex_state = 4},
  [1425] = {.lex_state = 63},
  [1426] = {.lex_state = 63},
  [1427] = {.lex_state = 63},
  [1428] = {.lex_state = 64},
  [1429] = {.lex_state = 17},
  [1430] = {.lex_state = 63},
  [1431] = {.lex_state = 63},
  [1432] = {.lex_state = 63},
  [1433] = {.lex_state = 17},
  [1434] = {.lex_state = 17},
  [1435] = {.lex_state = 17},
  [1436] = {.lex_state = 63},
  [1437] = {.lex_state = 63},
  [1438] = {.lex_state = 63},
  [1439] = {.lex_state = 63},
  [1440] = {.lex_state = 64},
  [1441] = {.lex_state = 17},
  [1442] = {.lex_state = 17},
  [1443] = {.lex_state = 3, .external_lex_state = 7},
  [1444] = {.lex_state = 17},
  [1445] = {.lex_state = 63},
  [1446] = {.lex_state = 63},
  [1447] = {.lex_state = 63},
  [1448] = {.lex_state = 63},
  [1449] = {.lex_state = 63},
  [1450] = {.lex_state = 63},
  [1451] = {.lex_state = 3, .external_lex_state = 7},
  [1452] = {.lex_state = 63},
  [1453] = {.lex_state = 17},
  [1454] = {.lex_state = 63},
  [1455] = {.lex_state = 63},
  [1456] = {.lex_state = 63},
  [1457] = {.lex_state = 63},
  [1458] = {.lex_state = 63},
  [1459] = {.lex_state = 17},
  [1460] = {.lex_state = 63},
  [1461] = {.lex_state = 63},
  [1462] = {.lex_state = 9, .external_lex_state = 8},
  [1463] = {.lex_state = 63},
  [1464] = {.lex_state = 63},
  [1465] = {.lex_state = 63},
  [1466] = {.lex_state = 63},
  [1467] = {.lex_state = 63},
  [1468] = {.lex_state = 63},
  [1469] = {.lex_state = 63},
  [1470] = {.lex_state = 63},
  [1471] = {.lex_state = 63},
  [1472] = {.lex_state = 63},
  [1473] = {.lex_state = 63},
  [1474] = {.lex_state = 63},
  [1475] = {.lex_state = 63},
  [1476] = {.lex_state = 63},
  [1477] = {.lex_state = 63},
  [1478] = {.lex_state = 63},
  [1479] = {.lex_state = 17},
  [1480] = {.lex_state = 63},
  [1481] = {.lex_state = 63},
  [1482] = {.lex_state = 63},
  [1483] = {.lex_state = 63},
  [1484] = {.lex_state = 63},
  [1485] = {.lex_state = 63},
  [1486] = {.lex_state = 63},
  [1487] = {.lex_state = 63},
  [1488] = {.lex_state = 63},
  [1489] = {.lex_state = 9, .external_lex_state = 8},
  [1490] = {.lex_state = 63},
  [1491] = {.lex_state = 63},
  [1492] = {.lex_state = 63},
  [1493] = {.lex_state = 63},
  [1494] = {.lex_state = 63},
  [1495] = {.lex_state = 63},
  [1496] = {.lex_state = 63},
  [1497] = {.lex_state = 63},
  [1498] = {.lex_state = 63},
  [1499] = {.lex_state = 63},
  [1500] = {.lex_state = 63},
  [1501] = {.lex_state = 9, .external_lex_state = 9},
  [1502] = {.lex_state = 63},
  [1503] = {.lex_state = 63},
  [1504] = {.lex_state = 63},
  [1505] = {.lex_state = 63},
  [1506] = {.lex_state = 63},
  [1507] = {.lex_state = 63},
  [1508] = {.lex_state = 63},
  [1509] = {.lex_state = 63},
  [1510] = {.lex_state = 63},
  [1511] = {.lex_state = 63},
  [1512] = {.lex_state = 63},
  [1513] = {.lex_state = 63},
  [1514] = {.lex_state = 63},
  [1515] = {.lex_state = 63},
  [1516] = {.lex_state = 63},
  [1517] = {.lex_state = 63},
  [1518] = {.lex_state = 9, .external_lex_state = 9},
  [1519] = {.lex_state = 63},
  [1520] = {.lex_state = 63},
  [1521] = {.lex_state = 63},
  [1522] = {.lex_state = 63},
  [1523] = {.lex_state = 63},
  [1524] = {.lex_state = 63},
  [1525] = {.lex_state = 63},
  [1526] = {.lex_state = 63},
  [1527] = {.lex_state = 63},
  [1528] = {.lex_state = 63},
  [1529] = {.lex_state = 63},
  [1530] = {.lex_state = 63},
  [1531] = {.lex_state = 63},
  [1532] = {.lex_state = 63},
  [1533] = {.lex_state = 63},
  [1534] = {.lex_state = 63, .external_lex_state = 2},
  [1535] = {.lex_state = 63},
  [1536] = {.lex_state = 63, .external_lex_state = 2},
  [1537] = {.lex_state = 63},
  [1538] = {.lex_state = 63},
  [1539] = {.lex_state = 3, .external_lex_state = 3},
  [1540] = {.lex_state = 3, .external_lex_state = 3},
  [1541] = {.lex_state = 63},
  [1542] = {.lex_state = 63},
  [1543] = {.lex_state = 63},
  [1544] = {.lex_state = 63},
  [1545] = {.lex_state = 8},
  [1546] = {.lex_state = 63},
  [1547] = {.lex_state = 17},
  [1548] = {.lex_state = 64},
  [1549] = {.lex_state = 63},
  [1550] = {.lex_state = 63},
  [1551] = {.lex_state = 3, .external_lex_state = 3},
  [1552] = {.lex_state = 63},
  [1553] = {.lex_state = 8},
  [1554] = {.lex_state = 63},
  [1555] = {.lex_state = 63},
  [1556] = {.lex_state = 3, .external_lex_state = 3},
  [1557] = {.lex_state = 3, .external_lex_state = 3},
  [1558] = {.lex_state = 63},
  [1559] = {.lex_state = 63},
  [1560] = {.lex_state = 63, .external_lex_state = 2},
  [1561] = {.lex_state = 3, .external_lex_state = 3},
  [1562] = {.lex_state = 3, .external_lex_state = 3},
  [1563] = {.lex_state = 63, .external_lex_state = 2},
  [1564] = {.lex_state = 63},
  [1565] = {.lex_state = 3, .external_lex_state = 3},
  [1566] = {.lex_state = 63},
  [1567] = {.lex_state = 63},
  [1568] = {.lex_state = 63},
  [1569] = {.lex_state = 3, .external_lex_state = 3},
  [1570] = {.lex_state = 63},
  [1571] = {.lex_state = 3, .external_lex_state = 3},
  [1572] = {.lex_state = 8},
  [1573] = {.lex_state = 63},
  [1574] = {.lex_state = 63},
  [1575] = {.lex_state = 63},
  [1576] = {.lex_state = 63},
  [1577] = {.lex_state = 63},
  [1578] = {.lex_state = 63},
  [1579] = {.lex_state = 63},
  [1580] = {.lex_state = 63},
  [1581] = {.lex_state = 63},
  [1582] = {.lex_state = 63},
  [1583] = {.lex_state = 63},
  [1584] = {.lex_state = 63},
  [1585] = {.lex_state = 63},
  [1586] = {.lex_state = 63},
  [1587] = {.lex_state = 63},
  [1588] = {.lex_state = 65, .external_lex_state = 10},
  [1589] = {.lex_state = 63},
  [1590] = {.lex_state = 63},
  [1591] = {.lex_state = 63},
  [1592] = {.lex_state = 63},
  [1593] = {.lex_state = 9, .external_lex_state = 6},
  [1594] = {.lex_state = 63},
  [1595] = {.lex_state = 63},
  [1596] = {.lex_state = 63},
  [1597] = {.lex_state = 63},
  [1598] = {.lex_state = 9, .external_lex_state = 6},
  [1599] = {.lex_state = 9, .external_lex_state = 5},
  [1600] = {.lex_state = 9, .external_lex_state = 6},
  [1601] = {.lex_state = 63},
  [1602] = {.lex_state = 9, .external_lex_state = 5},
  [1603] = {.lex_state = 63, .external_lex_state = 2},
  [1604] = {.lex_state = 9, .external_lex_state = 6},
  [1605] = {.lex_state = 63},
  [1606] = {.lex_state = 63},
  [1607] = {.lex_state = 63},
  [1608] = {.lex_state = 63},
  [1609] = {.lex_state = 63},
  [1610] = {.lex_state = 63},
  [1611] = {.lex_state = 63},
  [1612] = {.lex_state = 63},
  [1613] = {.lex_state = 63},
  [1614] = {.lex_state = 63},
  [1615] = {.lex_state = 63},
  [1616] = {.lex_state = 9, .external_lex_state = 6},
  [1617] = {.lex_state = 63},
  [1618] = {.lex_state = 63},
  [1619] = {.lex_state = 63, .external_lex_state = 2},
  [1620] = {.lex_state = 63},
  [1621] = {.lex_state = 63},
  [1622] = {.lex_state = 63},
  [1623] = {.lex_state = 63, .external_lex_state = 2},
  [1624] = {.lex_state = 63},
  [1625] = {.lex_state = 9, .external_lex_state = 5},
  [1626] = {.lex_state = 9, .external_lex_state = 6},
  [1627] = {.lex_state = 9, .external_lex_state = 5},
  [1628] = {.lex_state = 63},
  [1629] = {.lex_state = 63},
  [1630] = {.lex_state = 9, .external_lex_state = 5},
  [1631] = {.lex_state = 63},
  [1632] = {.lex_state = 63},
  [1633] = {.lex_state = 9, .external_lex_state = 6},
  [1634] = {.lex_state = 63},
  [1635] = {.lex_state = 9, .external_lex_state = 5},
  [1636] = {.lex_state = 63},
  [1637] = {.lex_state = 9, .external_lex_state = 5},
  [1638] = {.lex_state = 63},
  [1639] = {.lex_state = 63},
  [1640] = {.lex_state = 9, .external_lex_state = 5},
  [1641] = {.lex_state = 63},
  [1642] = {.lex_state = 63},
  [1643] = {.lex_state = 9, .external_lex_state = 6},
  [1644] = {.lex_state = 63},
  [1645] = {.lex_state = 63},
  [1646] = {.lex_state = 9, .external_lex_state = 6},
  [1647] = {.lex_state = 63},
  [1648] = {.lex_state = 63},
  [1649] = {.lex_state = 9, .external_lex_state = 5},
  [1650] = {.lex_state = 63},
  [1651] = {.lex_state = 63},
  [1652] = {.lex_state = 63},
  [1653] = {.lex_state = 9, .external_lex_state = 6},
  [1654] = {.lex_state = 63},
  [1655] = {.lex_state = 63},
  [1656] = {.lex_state = 9, .external_lex_state = 5},
  [1657] = {.lex_state = 63, .external_lex_state = 2},
  [1658] = {.lex_state = 63, .external_lex_state = 2},
  [1659] = {.lex_state = 63},
  [1660] = {.lex_state = 63, .external_lex_state = 2},
  [1661] = {.lex_state = 63},
  [1662] = {.lex_state = 63, .external_lex_state = 2},
  [1663] = {.lex_state = 63, .external_lex_state = 2},
  [1664] = {.lex_state = 63},
  [1665] = {.lex_state = 63},
  [1666] = {.lex_state = 63, .external_lex_state = 2},
  [1667] = {.lex_state = 63, .external_lex_state = 2},
  [1668] = {.lex_state = 63},
  [1669] = {.lex_state = 63, .external_lex_state = 2},
  [1670] = {.lex_state = 65},
  [1671] = {.lex_state = 63},
  [1672] = {.lex_state = 63},
  [1673] = {.lex_state = 63},
  [1674] = {.lex_state = 63},
  [1675] = {.lex_state = 63},
  [1676] = {.lex_state = 63},
  [1677] = {.lex_state = 63, .external_lex_state = 2},
  [1678] = {.lex_state = 63},
  [1679] = {.lex_state = 64},
  [1680] = {.lex_state = 63},
  [1681] = {.lex_state = 63},
  [1682] = {.lex_state = 63},
  [1683] = {.lex_state = 63, .external_lex_state = 2},
  [1684] = {.lex_state = 63},
  [1685] = {.lex_state = 63},
  [1686] = {.lex_state = 65},
  [1687] = {.lex_state = 63},
  [1688] = {.lex_state = 63, .external_lex_state = 2},
  [1689] = {.lex_state = 63},
  [1690] = {.lex_state = 63},
  [1691] = {.lex_state = 63},
  [1692] = {.lex_state = 63, .external_lex_state = 2},
  [1693] = {.lex_state = 63},
  [1694] = {.lex_state = 63, .external_lex_state = 2},
  [1695] = {.lex_state = 63, .external_lex_state = 2},
  [1696] = {.lex_state = 63},
  [1697] = {.lex_state = 63, .external_lex_state = 2},
  [1698] = {.lex_state = 63, .external_lex_state = 2},
  [1699] = {.lex_state = 63},
  [1700] = {.lex_state = 64},
  [1701] = {.lex_state = 65, .external_lex_state = 10},
  [1702] = {.lex_state = 63, .external_lex_state = 2},
  [1703] = {.lex_state = 63},
  [1704] = {.lex_state = 63},
  [1705] = {.lex_state = 63},
  [1706] = {.lex_state = 63},
  [1707] = {.lex_state = 63},
  [1708] = {.lex_state = 63},
  [1709] = {.lex_state = 64},
  [1710] = {.lex_state = 63, .external_lex_state = 2},
  [1711] = {.lex_state = 63, .external_lex_state = 2},
  [1712] = {.lex_state = 63},
  [1713] = {.lex_state = 63},
  [1714] = {.lex_state = 63},
  [1715] = {.lex_state = 63, .external_lex_state = 2},
  [1716] = {.lex_state = 63},
  [1717] = {.lex_state = 63, .external_lex_state = 2},
  [1718] = {.lex_state = 63, .external_lex_state = 2},
  [1719] = {.lex_state = 65, .external_lex_state = 10},
  [1720] = {.lex_state = 63, .external_lex_state = 2},
  [1721] = {.lex_state = 63, .external_lex_state = 2},
  [1722] = {.lex_state = 63, .external_lex_state = 2},
  [1723] = {.lex_state = 63, .external_lex_state = 2},
  [1724] = {.lex_state = 63, .external_lex_state = 2},
  [1725] = {.lex_state = 63},
  [1726] = {.lex_state = 64},
  [1727] = {.lex_state = 63},
  [1728] = {.lex_state = 63},
  [1729] = {.lex_state = 63, .external_lex_state = 2},
  [1730] = {.lex_state = 63, .external_lex_state = 2},
  [1731] = {.lex_state = 63},
  [1732] = {.lex_state = 64},
  [1733] = {.lex_state = 63},
  [1734] = {.lex_state = 63},
  [1735] = {.lex_state = 63},
  [1736] = {.lex_state = 63, .external_lex_state = 2},
  [1737] = {.lex_state = 63},
  [1738] = {.lex_state = 63},
  [1739] = {.lex_state = 63},
  [1740] = {.lex_state = 63},
  [1741] = {.lex_state = 63},
  [1742] = {.lex_state = 63, .external_lex_state = 2},
  [1743] = {.lex_state = 63},
  [1744] = {.lex_state = 63, .external_lex_state = 2},
  [1745] = {.lex_state = 63},
  [1746] = {.lex_state = 63},
  [1747] = {.lex_state = 64},
  [1748] = {.lex_state = 63},
  [1749] = {.lex_state = 63, .external_lex_state = 2},
  [1750] = {.lex_state = 63, .external_lex_state = 2},
  [1751] = {.lex_state = 64},
  [1752] = {.lex_state = 63},
  [1753] = {.lex_state = 64},
  [1754] = {.lex_state = 63, .external_lex_state = 2},
  [1755] = {.lex_state = 63, .external_lex_state = 2},
  [1756] = {.lex_state = 63},
  [1757] = {.lex_state = 63, .external_lex_state = 2},
  [1758] = {.lex_state = 63},
  [1759] = {.lex_state = 63, .external_lex_state = 2},
  [1760] = {.lex_state = 63},
  [1761] = {.lex_state = 63, .external_lex_state = 2},
  [1762] = {.lex_state = 63, .external_lex_state = 2},
  [1763] = {.lex_state = 63, .external_lex_state = 2},
  [1764] = {.lex_state = 63},
  [1765] = {.lex_state = 63},
  [1766] = {.lex_state = 63},
  [1767] = {.lex_state = 63, .external_lex_state = 2},
  [1768] = {.lex_state = 63},
  [1769] = {.lex_state = 63},
  [1770] = {.lex_state = 63},
  [1771] = {.lex_state = 63},
  [1772] = {.lex_state = 63},
  [1773] = {.lex_state = 63, .external_lex_state = 2},
  [1774] = {.lex_state = 63, .external_lex_state = 2},
  [1775] = {.lex_state = 63},
  [1776] = {.lex_state = 63},
  [1777] = {.lex_state = 63, .external_lex_state = 2},
  [1778] = {.lex_state = 63},
  [1779] = {.lex_state = 3, .external_lex_state = 11},
  [1780] = {.lex_state = 63},
  [1781] = {.lex_state = 63},
  [1782] = {.lex_state = 63, .external_lex_state = 2},
  [1783] = {.lex_state = 63, .external_lex_state = 2},
  [1784] = {.lex_state = 63},
  [1785] = {.lex_state = 63},
  [1786] = {.lex_state = 63},
  [1787] = {.lex_state = 63, .external_lex_state = 2},
  [1788] = {.lex_state = 63, .external_lex_state = 2},
  [1789] = {.lex_state = 18},
  [1790] = {.lex_state = 63},
  [1791] = {.lex_state = 63, .external_lex_state = 2},
  [1792] = {.lex_state = 63},
  [1793] = {.lex_state = 63},
  [1794] = {.lex_state = 63, .external_lex_state = 2},
  [1795] = {.lex_state = 63},
  [1796] = {.lex_state = 63, .external_lex_state = 2},
  [1797] = {.lex_state = 63},
  [1798] = {.lex_state = 63},
  [1799] = {.lex_state = 63},
  [1800] = {.lex_state = 63},
  [1801] = {.lex_state = 63, .external_lex_state = 2},
  [1802] = {.lex_state = 63, .external_lex_state = 2},
  [1803] = {.lex_state = 63, .external_lex_state = 2},
  [1804] = {.lex_state = 63, .external_lex_state = 2},
  [1805] = {.lex_state = 63},
  [1806] = {.lex_state = 63, .external_lex_state = 2},
  [1807] = {.lex_state = 65, .external_lex_state = 10},
  [1808] = {.lex_state = 63},
  [1809] = {.lex_state = 63},
  [1810] = {.lex_state = 63, .external_lex_state = 2},
  [1811] = {.lex_state = 18},
  [1812] = {.lex_state = 63, .external_lex_state = 2},
  [1813] = {.lex_state = 18},
  [1814] = {.lex_state = 63, .external_lex_state = 2},
  [1815] = {.lex_state = 63, .external_lex_state = 2},
  [1816] = {.lex_state = 63, .external_lex_state = 2},
  [1817] = {.lex_state = 63, .external_lex_state = 2},
  [1818] = {.lex_state = 63},
  [1819] = {.lex_state = 63, .external_lex_state = 2},
  [1820] = {.lex_state = 63, .external_lex_state = 2},
  [1821] = {.lex_state = 63},
  [1822] = {.lex_state = 63, .external_lex_state = 2},
  [1823] = {.lex_state = 63},
  [1824] = {.lex_state = 63, .external_lex_state = 2},
  [1825] = {.lex_state = 63},
  [1826] = {.lex_state = 63},
  [1827] = {.lex_state = 63},
  [1828] = {.lex_state = 63},
  [1829] = {.lex_state = 63, .external_lex_state = 2},
  [1830] = {.lex_state = 63, .external_lex_state = 2},
  [1831] = {.lex_state = 63},
  [1832] = {.lex_state = 63, .external_lex_state = 2},
  [1833] = {.lex_state = 63, .external_lex_state = 2},
  [1834] = {.lex_state = 64},
  [1835] = {.lex_state = 63, .external_lex_state = 2},
  [1836] = {.lex_state = 63, .external_lex_state = 2},
  [1837] = {.lex_state = 63, .external_lex_state = 2},
  [1838] = {.lex_state = 63},
  [1839] = {.lex_state = 63},
  [1840] = {.lex_state = 63},
  [1841] = {.lex_state = 63, .external_lex_state = 2},
  [1842] = {.lex_state = 63},
  [1843] = {.lex_state = 63},
  [1844] = {.lex_state = 63},
  [1845] = {.lex_state = 63},
  [1846] = {.lex_state = 63},
  [1847] = {.lex_state = 63},
  [1848] = {.lex_state = 63},
  [1849] = {.lex_state = 63, .external_lex_state = 2},
  [1850] = {.lex_state = 63},
  [1851] = {.lex_state = 63},
  [1852] = {.lex_state = 63},
  [1853] = {.lex_state = 18},
  [1854] = {.lex_state = 63},
  [1855] = {.lex_state = 63},
  [1856] = {.lex_state = 63},
  [1857] = {.lex_state = 63},
  [1858] = {.lex_state = 63, .external_lex_state = 2},
  [1859] = {.lex_state = 63},
  [1860] = {.lex_state = 63, .external_lex_state = 2},
  [1861] = {.lex_state = 63},
  [1862] = {.lex_state = 63},
  [1863] = {.lex_state = 63},
  [1864] = {.lex_state = 63, .external_lex_state = 2},
  [1865] = {.lex_state = 63, .external_lex_state = 2},
  [1866] = {.lex_state = 18},
  [1867] = {.lex_state = 63},
  [1868] = {.lex_state = 63},
  [1869] = {.lex_state = 63},
  [1870] = {.lex_state = 63},
  [1871] = {.lex_state = 63},
  [1872] = {.lex_state = 63},
  [1873] = {.lex_state = 63},
  [1874] = {.lex_state = 63},
  [1875] = {.lex_state = 63, .external_lex_state = 2},
  [1876] = {.lex_state = 63},
  [1877] = {.lex_state = 63, .external_lex_state = 2},
  [1878] = {.lex_state = 63, .external_lex_state = 2},
  [1879] = {.lex_state = 63, .external_lex_state = 2},
  [1880] = {.lex_state = 63},
  [1881] = {.lex_state = 63, .external_lex_state = 2},
  [1882] = {.lex_state = 65},
  [1883] = {.lex_state = 63},
  [1884] = {.lex_state = 63, .external_lex_state = 2},
  [1885] = {.lex_state = 63, .external_lex_state = 2},
  [1886] = {.lex_state = 63, .external_lex_state = 2},
  [1887] = {.lex_state = 63},
  [1888] = {.lex_state = 63},
  [1889] = {.lex_state = 63, .external_lex_state = 2},
  [1890] = {.lex_state = 63, .external_lex_state = 2},
  [1891] = {.lex_state = 63, .external_lex_state = 2},
  [1892] = {.lex_state = 3, .external_lex_state = 11},
  [1893] = {.lex_state = 63, .external_lex_state = 2},
  [1894] = {.lex_state = 63},
  [1895] = {.lex_state = 63},
  [1896] = {.lex_state = 63, .external_lex_state = 2},
  [1897] = {.lex_state = 63, .external_lex_state = 2},
  [1898] = {.lex_state = 64},
  [1899] = {.lex_state = 63},
  [1900] = {.lex_state = 63},
  [1901] = {.lex_state = 63},
  [1902] = {.lex_state = 64},
  [1903] = {.lex_state = 63, .external_lex_state = 2},
  [1904] = {.lex_state = 63},
  [1905] = {.lex_state = 63},
  [1906] = {.lex_state = 63},
  [1907] = {.lex_state = 63},
  [1908] = {.lex_state = 63},
  [1909] = {.lex_state = 3, .external_lex_state = 12},
  [1910] = {.lex_state = 63},
  [1911] = {.lex_state = 63},
  [1912] = {.lex_state = 63},
  [1913] = {.lex_state = 63},
  [1914] = {.lex_state = 63},
  [1915] = {.lex_state = 63},
  [1916] = {.lex_state = 63},
  [1917] = {.lex_state = 63},
  [1918] = {.lex_state = 63},
  [1919] = {.lex_state = 63},
  [1920] = {.lex_state = 63},
  [1921] = {.lex_state = 63},
  [1922] = {.lex_state = 63},
  [1923] = {.lex_state = 63},
  [1924] = {.lex_state = 63},
  [1925] = {.lex_state = 63, .external_lex_state = 2},
  [1926] = {.lex_state = 18},
  [1927] = {.lex_state = 3, .external_lex_state = 12},
  [1928] = {.lex_state = 63},
  [1929] = {.lex_state = 63},
  [1930] = {.lex_state = 63, .external_lex_state = 2},
  [1931] = {.lex_state = 63},
  [1932] = {.lex_state = 63},
  [1933] = {.lex_state = 64},
  [1934] = {.lex_state = 63},
  [1935] = {.lex_state = 63},
  [1936] = {.lex_state = 63},
  [1937] = {.lex_state = 63},
  [1938] = {.lex_state = 63},
  [1939] = {.lex_state = 63},
  [1940] = {.lex_state = 63},
  [1941] = {.lex_state = 63},
  [1942] = {.lex_state = 63},
  [1943] = {.lex_state = 63},
  [1944] = {.lex_state = 63},
  [1945] = {.lex_state = 63},
  [1946] = {.lex_state = 63},
  [1947] = {.lex_state = 63},
  [1948] = {.lex_state = 63},
  [1949] = {.lex_state = 63},
  [1950] = {.lex_state = 63},
  [1951] = {.lex_state = 63},
  [1952] = {.lex_state = 63},
  [1953] = {.lex_state = 63},
  [1954] = {.lex_state = 63},
  [1955] = {.lex_state = 63},
  [1956] = {.lex_state = 63},
  [1957] = {.lex_state = 63, .external_lex_state = 13},
  [1958] = {.lex_state = 63},
  [1959] = {.lex_state = 63},
  [1960] = {.lex_state = 63},
  [1961] = {.lex_state = 63},
  [1962] = {.lex_state = 3, .external_lex_state = 12},
  [1963] = {.lex_state = 3, .external_lex_state = 12},
  [1964] = {.lex_state = 63},
  [1965] = {.lex_state = 63},
  [1966] = {.lex_state = 63},
  [1967] = {.lex_state = 63},
  [1968] = {.lex_state = 63},
  [1969] = {.lex_state = 63},
  [1970] = {.lex_state = 63},
  [1971] = {.lex_state = 63},
  [1972] = {.lex_state = 63},
  [1973] = {.lex_state = 63},
  [1974] = {.lex_state = 63},
  [1975] = {.lex_state = 63},
  [1976] = {.lex_state = 63},
  [1977] = {.lex_state = 63},
  [1978] = {.lex_state = 63},
  [1979] = {.lex_state = 63},
  [1980] = {.lex_state = 63},
  [1981] = {.lex_state = 63},
  [1982] = {.lex_state = 63},
  [1983] = {.lex_state = 63},
  [1984] = {.lex_state = 63},
  [1985] = {.lex_state = 63},
  [1986] = {.lex_state = 63},
  [1987] = {.lex_state = 63},
  [1988] = {.lex_state = 63},
  [1989] = {.lex_state = 63},
  [1990] = {.lex_state = 63},
  [1991] = {.lex_state = 63},
  [1992] = {.lex_state = 63},
  [1993] = {.lex_state = 63},
  [1994] = {.lex_state = 63},
  [1995] = {.lex_state = 63},
  [1996] = {.lex_state = 63},
  [1997] = {.lex_state = 63},
  [1998] = {.lex_state = 63},
  [1999] = {.lex_state = 63},
  [2000] = {.lex_state = 63},
  [2001] = {.lex_state = 63},
  [2002] = {.lex_state = 63},
  [2003] = {.lex_state = 63},
  [2004] = {.lex_state = 63},
  [2005] = {.lex_state = 63},
  [2006] = {.lex_state = 63},
  [2007] = {.lex_state = 63},
  [2008] = {.lex_state = 63},
  [2009] = {.lex_state = 63},
  [2010] = {.lex_state = 63},
  [2011] = {.lex_state = 63},
  [2012] = {.lex_state = 63},
  [2013] = {.lex_state = 63},
  [2014] = {.lex_state = 63},
  [2015] = {.lex_state = 63},
  [2016] = {.lex_state = 63},
  [2017] = {.lex_state = 63, .external_lex_state = 2},
  [2018] = {.lex_state = 63},
  [2019] = {.lex_state = 63},
  [2020] = {.lex_state = 63},
  [2021] = {.lex_state = 63},
  [2022] = {.lex_state = 63},
  [2023] = {.lex_state = 63},
  [2024] = {.lex_state = 63},
  [2025] = {.lex_state = 63},
  [2026] = {.lex_state = 63},
  [2027] = {.lex_state = 63},
  [2028] = {.lex_state = 63},
  [2029] = {.lex_state = 63},
  [2030] = {.lex_state = 63},
  [2031] = {.lex_state = 63},
  [2032] = {.lex_state = 63},
  [2033] = {.lex_state = 63},
  [2034] = {.lex_state = 63, .external_lex_state = 2},
  [2035] = {.lex_state = 63, .external_lex_state = 2},
  [2036] = {.lex_state = 63},
  [2037] = {.lex_state = 63},
  [2038] = {.lex_state = 63},
  [2039] = {.lex_state = 63},
  [2040] = {.lex_state = 63},
  [2041] = {.lex_state = 63},
  [2042] = {.lex_state = 63},
  [2043] = {.lex_state = 63},
  [2044] = {.lex_state = 63},
  [2045] = {.lex_state = 63},
  [2046] = {.lex_state = 63},
  [2047] = {.lex_state = 63},
  [2048] = {.lex_state = 63},
  [2049] = {.lex_state = 63, .external_lex_state = 2},
  [2050] = {.lex_state = 63},
  [2051] = {.lex_state = 63},
  [2052] = {.lex_state = 63},
  [2053] = {.lex_state = 63},
  [2054] = {.lex_state = 63},
  [2055] = {.lex_state = 63},
  [2056] = {.lex_state = 63},
  [2057] = {.lex_state = 63},
  [2058] = {.lex_state = 63},
  [2059] = {.lex_state = 63, .external_lex_state = 2},
  [2060] = {.lex_state = 63},
  [2061] = {.lex_state = 63},
  [2062] = {.lex_state = 63, .external_lex_state = 2},
  [2063] = {.lex_state = 63, .external_lex_state = 2},
  [2064] = {.lex_state = 63},
  [2065] = {.lex_state = 63},
  [2066] = {.lex_state = 63},
  [2067] = {.lex_state = 63},
  [2068] = {.lex_state = 63},
  [2069] = {.lex_state = 64},
  [2070] = {.lex_state = 63},
  [2071] = {.lex_state = 63},
  [2072] = {.lex_state = 64},
  [2073] = {.lex_state = 63},
  [2074] = {.lex_state = 63},
  [2075] = {.lex_state = 63},
  [2076] = {.lex_state = 63},
  [2077] = {.lex_state = 63, .external_lex_state = 13},
  [2078] = {.lex_state = 63},
  [2079] = {.lex_state = 63},
  [2080] = {.lex_state = 63},
  [2081] = {.lex_state = 63, .external_lex_state = 2},
  [2082] = {.lex_state = 63},
  [2083] = {.lex_state = 63},
  [2084] = {.lex_state = 63, .external_lex_state = 2},
  [2085] = {.lex_state = 63},
  [2086] = {.lex_state = 63},
  [2087] = {.lex_state = 63, .external_lex_state = 2},
  [2088] = {.lex_state = 63},
  [2089] = {.lex_state = 63},
  [2090] = {.lex_state = 63},
  [2091] = {.lex_state = 63, .external_lex_state = 2},
  [2092] = {.lex_state = 63},
  [2093] = {.lex_state = 63},
  [2094] = {.lex_state = 63},
  [2095] = {.lex_state = 63},
  [2096] = {.lex_state = 63},
  [2097] = {.lex_state = 63},
  [2098] = {.lex_state = 63},
  [2099] = {.lex_state = 63},
  [2100] = {.lex_state = 63},
  [2101] = {.lex_state = 63},
  [2102] = {.lex_state = 63},
  [2103] = {.lex_state = 63},
  [2104] = {.lex_state = 63},
  [2105] = {.lex_state = 63},
  [2106] = {.lex_state = 63},
  [2107] = {.lex_state = 63},
  [2108] = {.lex_state = 63},
  [2109] = {.lex_state = 63},
  [2110] = {.lex_state = 63},
  [2111] = {.lex_state = 63, .external_lex_state = 2},
  [2112] = {.lex_state = 3, .external_lex_state = 12},
  [2113] = {.lex_state = 63, .external_lex_state = 2},
  [2114] = {.lex_state = 63},
  [2115] = {.lex_state = 63},
  [2116] = {.lex_state = 63},
  [2117] = {.lex_state = 63},
  [2118] = {.lex_state = 63},
  [2119] = {.lex_state = 63},
  [2120] = {.lex_state = 63},
  [2121] = {.lex_state = 3, .external_lex_state = 12},
  [2122] = {.lex_state = 63},
  [2123] = {.lex_state = 63},
  [2124] = {.lex_state = 63},
  [2125] = {.lex_state = 63},
  [2126] = {.lex_state = 3, .external_lex_state = 11},
  [2127] = {.lex_state = 63},
  [2128] = {.lex_state = 63},
  [2129] = {.lex_state = 63},
  [2130] = {.lex_state = 63},
  [2131] = {.lex_state = 63},
  [2132] = {.lex_state = 63},
  [2133] = {.lex_state = 63},
  [2134] = {.lex_state = 63},
  [2135] = {.lex_state = 64},
  [2136] = {.lex_state = 63},
  [2137] = {.lex_state = 63},
  [2138] = {.lex_state = 63},
  [2139] = {.lex_state = 63},
  [2140] = {.lex_state = 63},
  [2141] = {.lex_state = 63},
  [2142] = {.lex_state = 63},
  [2143] = {.lex_state = 63, .external_lex_state = 2},
  [2144] = {.lex_state = 63},
  [2145] = {.lex_state = 63, .external_lex_state = 2},
  [2146] = {.lex_state = 63},
  [2147] = {.lex_state = 63},
  [2148] = {.lex_state = 63},
  [2149] = {.lex_state = 63},
  [2150] = {.lex_state = 63},
  [2151] = {.lex_state = 63},
  [2152] = {.lex_state = 63},
  [2153] = {.lex_state = 63},
  [2154] = {.lex_state = 63},
  [2155] = {.lex_state = 63},
  [2156] = {.lex_state = 63},
  [2157] = {.lex_state = 63},
  [2158] = {.lex_state = 63},
  [2159] = {.lex_state = 63},
  [2160] = {.lex_state = 63},
  [2161] = {.lex_state = 63},
  [2162] = {.lex_state = 63},
  [2163] = {.lex_state = 63},
  [2164] = {.lex_state = 63, .external_lex_state = 2},
  [2165] = {.lex_state = 63},
  [2166] = {.lex_state = 63},
  [2167] = {.lex_state = 183, .external_lex_state = 14},
  [2168] = {.lex_state = 63},
  [2169] = {.lex_state = 63},
  [2170] = {.lex_state = 63},
  [2171] = {.lex_state = 63, .external_lex_state = 2},
  [2172] = {.lex_state = 64},
  [2173] = {.lex_state = 64, .external_lex_state = 10},
  [2174] = {.lex_state = 63},
  [2175] = {.lex_state = 63},
  [2176] = {.lex_state = 63},
  [2177] = {.lex_state = 63},
  [2178] = {.lex_state = 63},
  [2179] = {.lex_state = 63},
  [2180] = {.lex_state = 63},
  [2181] = {.lex_state = 63},
  [2182] = {.lex_state = 63},
  [2183] = {.lex_state = 63},
  [2184] = {.lex_state = 63, .external_lex_state = 2},
  [2185] = {.lex_state = 63, .external_lex_state = 2},
  [2186] = {.lex_state = 63, .external_lex_state = 2},
  [2187] = {.lex_state = 63, .external_lex_state = 2},
  [2188] = {.lex_state = 63, .external_lex_state = 2},
  [2189] = {.lex_state = 63, .external_lex_state = 2},
  [2190] = {.lex_state = 63},
  [2191] = {.lex_state = 63, .external_lex_state = 2},
  [2192] = {.lex_state = 63},
  [2193] = {.lex_state = 63, .external_lex_state = 2},
  [2194] = {.lex_state = 63},
  [2195] = {.lex_state = 63},
  [2196] = {.lex_state = 63},
  [2197] = {.lex_state = 63},
  [2198] = {.lex_state = 63},
  [2199] = {.lex_state = 63},
  [2200] = {.lex_state = 63},
  [2201] = {.lex_state = 63},
  [2202] = {.lex_state = 63},
  [2203] = {.lex_state = 63},
  [2204] = {.lex_state = 63},
  [2205] = {.lex_state = 63, .external_lex_state = 2},
  [2206] = {.lex_state = 63},
  [2207] = {.lex_state = 63, .external_lex_state = 2},
  [2208] = {.lex_state = 63},
  [2209] = {.lex_state = 63, .external_lex_state = 2},
  [2210] = {.lex_state = 63, .external_lex_state = 2},
  [2211] = {.lex_state = 63},
  [2212] = {.lex_state = 63},
  [2213] = {.lex_state = 63},
  [2214] = {.lex_state = 63},
  [2215] = {.lex_state = 63},
  [2216] = {.lex_state = 63},
  [2217] = {.lex_state = 63},
  [2218] = {.lex_state = 63},
  [2219] = {.lex_state = 63},
  [2220] = {.lex_state = 3, .external_lex_state = 12},
  [2221] = {.lex_state = 3, .external_lex_state = 12},
  [2222] = {.lex_state = 63},
  [2223] = {.lex_state = 63},
  [2224] = {.lex_state = 63},
  [2225] = {.lex_state = 63, .external_lex_state = 2},
  [2226] = {.lex_state = 63, .external_lex_state = 2},
  [2227] = {.lex_state = 63, .external_lex_state = 2},
  [2228] = {.lex_state = 63},
  [2229] = {.lex_state = 63, .external_lex_state = 2},
  [2230] = {.lex_state = 63},
  [2231] = {.lex_state = 63, .external_lex_state = 2},
  [2232] = {.lex_state = 63},
  [2233] = {.lex_state = 63, .external_lex_state = 2},
  [2234] = {.lex_state = 63},
  [2235] = {.lex_state = 63},
  [2236] = {.lex_state = 63},
  [2237] = {.lex_state = 63, .external_lex_state = 2},
  [2238] = {.lex_state = 63},
  [2239] = {.lex_state = 63, .external_lex_state = 2},
  [2240] = {.lex_state = 63},
  [2241] = {.lex_state = 63},
  [2242] = {.lex_state = 63},
  [2243] = {.lex_state = 63},
  [2244] = {.lex_state = 63},
  [2245] = {.lex_state = 63},
  [2246] = {.lex_state = 63},
  [2247] = {.lex_state = 63},
  [2248] = {.lex_state = 63},
  [2249] = {.lex_state = 63},
  [2250] = {.lex_state = 63},
  [2251] = {.lex_state = 63},
  [2252] = {.lex_state = 63},
  [2253] = {.lex_state = 63, .external_lex_state = 2},
  [2254] = {.lex_state = 63},
  [2255] = {.lex_state = 63, .external_lex_state = 2},
  [2256] = {.lex_state = 63},
  [2257] = {.lex_state = 63, .external_lex_state = 2},
  [2258] = {.lex_state = 63, .external_lex_state = 2},
  [2259] = {.lex_state = 63, .external_lex_state = 2},
  [2260] = {.lex_state = 63},
  [2261] = {.lex_state = 63, .external_lex_state = 2},
  [2262] = {.lex_state = 63},
  [2263] = {.lex_state = 63},
  [2264] = {.lex_state = 63},
  [2265] = {.lex_state = 63},
  [2266] = {.lex_state = 63},
  [2267] = {.lex_state = 63},
  [2268] = {.lex_state = 63},
  [2269] = {.lex_state = 3, .external_lex_state = 12},
  [2270] = {.lex_state = 63},
  [2271] = {.lex_state = 63},
  [2272] = {.lex_state = 63},
  [2273] = {.lex_state = 63},
  [2274] = {.lex_state = 63},
  [2275] = {.lex_state = 63},
  [2276] = {.lex_state = 63, .external_lex_state = 2},
  [2277] = {.lex_state = 63},
  [2278] = {.lex_state = 63},
  [2279] = {.lex_state = 63},
  [2280] = {.lex_state = 63},
  [2281] = {.lex_state = 63},
  [2282] = {.lex_state = 63},
  [2283] = {.lex_state = 63},
  [2284] = {.lex_state = 63},
  [2285] = {.lex_state = 63, .external_lex_state = 2},
  [2286] = {.lex_state = 63},
  [2287] = {.lex_state = 63},
  [2288] = {.lex_state = 63},
  [2289] = {.lex_state = 63},
  [2290] = {.lex_state = 63},
  [2291] = {.lex_state = 63},
  [2292] = {.lex_state = 63},
  [2293] = {.lex_state = 63},
  [2294] = {.lex_state = 3, .external_lex_state = 12},
  [2295] = {.lex_state = 63},
  [2296] = {.lex_state = 63},
  [2297] = {.lex_state = 63},
  [2298] = {.lex_state = 63, .external_lex_state = 2},
  [2299] = {.lex_state = 63, .external_lex_state = 2},
  [2300] = {.lex_state = 63},
  [2301] = {.lex_state = 63},
  [2302] = {.lex_state = 63},
  [2303] = {.lex_state = 63},
  [2304] = {.lex_state = 63},
  [2305] = {.lex_state = 63},
  [2306] = {.lex_state = 63},
  [2307] = {.lex_state = 63, .external_lex_state = 2},
  [2308] = {.lex_state = 63},
  [2309] = {.lex_state = 63},
  [2310] = {.lex_state = 63},
  [2311] = {.lex_state = 63},
  [2312] = {.lex_state = 63},
  [2313] = {.lex_state = 63},
  [2314] = {.lex_state = 63},
  [2315] = {.lex_state = 63},
  [2316] = {.lex_state = 63},
  [2317] = {.lex_state = 63, .external_lex_state = 2},
  [2318] = {.lex_state = 63},
  [2319] = {.lex_state = 63, .external_lex_state = 2},
  [2320] = {.lex_state = 63, .external_lex_state = 2},
  [2321] = {.lex_state = 63, .external_lex_state = 2},
  [2322] = {.lex_state = 63, .external_lex_state = 2},
  [2323] = {.lex_state = 63},
  [2324] = {.lex_state = 63, .external_lex_state = 2},
  [2325] = {.lex_state = 63},
  [2326] = {.lex_state = 63, .external_lex_state = 2},
  [2327] = {.lex_state = 63},
  [2328] = {.lex_state = 63},
  [2329] = {.lex_state = 63, .external_lex_state = 2},
  [2330] = {.lex_state = 63, .external_lex_state = 2},
  [2331] = {.lex_state = 63},
  [2332] = {.lex_state = 63, .external_lex_state = 2},
  [2333] = {.lex_state = 63},
  [2334] = {.lex_state = 63},
  [2335] = {.lex_state = 63},
  [2336] = {.lex_state = 63},
  [2337] = {.lex_state = 63},
  [2338] = {.lex_state = 63},
  [2339] = {.lex_state = 63},
  [2340] = {.lex_state = 63, .external_lex_state = 2},
  [2341] = {.lex_state = 63, .external_lex_state = 2},
  [2342] = {.lex_state = 63, .external_lex_state = 2},
  [2343] = {.lex_state = 63, .external_lex_state = 2},
  [2344] = {.lex_state = 63},
  [2345] = {.lex_state = 63, .external_lex_state = 2},
  [2346] = {.lex_state = 63, .external_lex_state = 2},
  [2347] = {.lex_state = 63, .external_lex_state = 2},
  [2348] = {.lex_state = 63},
  [2349] = {.lex_state = 63},
  [2350] = {.lex_state = 63},
  [2351] = {.lex_state = 63, .external_lex_state = 2},
  [2352] = {.lex_state = 63},
  [2353] = {.lex_state = 63},
  [2354] = {.lex_state = 63},
  [2355] = {.lex_state = 63, .external_lex_state = 2},
  [2356] = {.lex_state = 63},
  [2357] = {.lex_state = 63},
  [2358] = {.lex_state = 63},
  [2359] = {.lex_state = 63},
  [2360] = {.lex_state = 63},
  [2361] = {.lex_state = 63, .external_lex_state = 2},
  [2362] = {.lex_state = 3, .external_lex_state = 12},
  [2363] = {.lex_state = 63},
  [2364] = {.lex_state = 63},
  [2365] = {.lex_state = 63},
  [2366] = {.lex_state = 63},
  [2367] = {.lex_state = 63},
  [2368] = {.lex_state = 63, .external_lex_state = 2},
  [2369] = {.lex_state = 63},
  [2370] = {.lex_state = 63, .external_lex_state = 2},
  [2371] = {.lex_state = 63},
  [2372] = {.lex_state = 63, .external_lex_state = 2},
  [2373] = {.lex_state = 63},
  [2374] = {.lex_state = 63},
  [2375] = {.lex_state = 63},
  [2376] = {.lex_state = 63},
  [2377] = {.lex_state = 63},
  [2378] = {.lex_state = 63},
  [2379] = {.lex_state = 63},
  [2380] = {.lex_state = 63},
  [2381] = {.lex_state = 63, .external_lex_state = 2},
  [2382] = {.lex_state = 63},
  [2383] = {.lex_state = 63, .external_lex_state = 2},
  [2384] = {.lex_state = 63},
  [2385] = {.lex_state = 63},
  [2386] = {.lex_state = 63},
  [2387] = {.lex_state = 63},
  [2388] = {.lex_state = 63},
  [2389] = {.lex_state = 63},
  [2390] = {.lex_state = 63},
  [2391] = {.lex_state = 63},
  [2392] = {.lex_state = 63},
  [2393] = {.lex_state = 63},
  [2394] = {.lex_state = 63},
  [2395] = {.lex_state = 63},
  [2396] = {.lex_state = 63},
  [2397] = {.lex_state = 3, .external_lex_state = 12},
  [2398] = {.lex_state = 3, .external_lex_state = 12},
  [2399] = {.lex_state = 63, .external_lex_state = 2},
  [2400] = {.lex_state = 63},
  [2401] = {.lex_state = 63, .external_lex_state = 2},
  [2402] = {.lex_state = 63},
  [2403] = {.lex_state = 63},
  [2404] = {.lex_state = 63, .external_lex_state = 2},
  [2405] = {.lex_state = 63},
  [2406] = {.lex_state = 63, .external_lex_state = 2},
  [2407] = {.lex_state = 63},
  [2408] = {.lex_state = 63},
  [2409] = {.lex_state = 63},
  [2410] = {.lex_state = 63},
  [2411] = {.lex_state = 63},
  [2412] = {.lex_state = 63},
  [2413] = {.lex_state = 63},
  [2414] = {.lex_state = 63},
  [2415] = {.lex_state = 63},
  [2416] = {.lex_state = 63},
  [2417] = {.lex_state = 63},
  [2418] = {.lex_state = 63},
  [2419] = {.lex_state = 63},
  [2420] = {.lex_state = 63, .external_lex_state = 2},
  [2421] = {.lex_state = 63},
  [2422] = {.lex_state = 63},
  [2423] = {.lex_state = 63},
  [2424] = {.lex_state = 63},
  [2425] = {.lex_state = 63},
  [2426] = {.lex_state = 63},
  [2427] = {.lex_state = 63},
  [2428] = {.lex_state = 63},
  [2429] = {.lex_state = 63},
  [2430] = {.lex_state = 63},
  [2431] = {.lex_state = 63},
  [2432] = {.lex_state = 63},
  [2433] = {.lex_state = 63},
  [2434] = {.lex_state = 63},
  [2435] = {.lex_state = 63},
  [2436] = {.lex_state = 63},
  [2437] = {.lex_state = 63},
  [2438] = {.lex_state = 63},
  [2439] = {.lex_state = 63},
  [2440] = {.lex_state = 63},
  [2441] = {.lex_state = 63},
  [2442] = {.lex_state = 63},
  [2443] = {.lex_state = 63},
  [2444] = {.lex_state = 63},
  [2445] = {.lex_state = 63},
  [2446] = {.lex_state = 63},
  [2447] = {.lex_state = 63},
  [2448] = {.lex_state = 63},
  [2449] = {.lex_state = 63},
  [2450] = {.lex_state = 63},
  [2451] = {.lex_state = 63},
  [2452] = {.lex_state = 63},
  [2453] = {.lex_state = 63},
  [2454] = {.lex_state = 63},
  [2455] = {.lex_state = 63},
  [2456] = {.lex_state = 63},
  [2457] = {.lex_state = 63, .external_lex_state = 12},
  [2458] = {.lex_state = 63},
  [2459] = {.lex_state = 63},
  [2460] = {.lex_state = 63},
  [2461] = {.lex_state = 63},
  [2462] = {.lex_state = 63},
  [2463] = {.lex_state = 63},
  [2464] = {.lex_state = 63},
  [2465] = {.lex_state = 63},
  [2466] = {.lex_state = 63},
  [2467] = {.lex_state = 63},
  [2468] = {.lex_state = 63},
  [2469] = {.lex_state = 63},
  [2470] = {.lex_state = 63},
  [2471] = {.lex_state = 63},
  [2472] = {.lex_state = 63},
  [2473] = {.lex_state = 63},
  [2474] = {.lex_state = 63},
  [2475] = {.lex_state = 63},
  [2476] = {.lex_state = 63, .external_lex_state = 12},
  [2477] = {.lex_state = 63, .external_lex_state = 12},
  [2478] = {.lex_state = 63},
  [2479] = {.lex_state = 63},
  [2480] = {.lex_state = 63},
  [2481] = {.lex_state = 63},
  [2482] = {.lex_state = 63},
  [2483] = {.lex_state = 63},
  [2484] = {.lex_state = 63},
  [2485] = {.lex_state = 63},
  [2486] = {.lex_state = 63},
  [2487] = {.lex_state = 63},
  [2488] = {.lex_state = 63},
  [2489] = {.lex_state = 63},
  [2490] = {.lex_state = 63},
  [2491] = {.lex_state = 63},
  [2492] = {.lex_state = 63},
  [2493] = {.lex_state = 63},
  [2494] = {.lex_state = 63},
  [2495] = {.lex_state = 63},
  [2496] = {.lex_state = 63},
  [2497] = {.lex_state = 63},
  [2498] = {.lex_state = 63},
  [2499] = {.lex_state = 63},
  [2500] = {.lex_state = 63},
  [2501] = {.lex_state = 63},
  [2502] = {.lex_state = 63},
  [2503] = {.lex_state = 63},
  [2504] = {.lex_state = 63},
  [2505] = {.lex_state = 63},
  [2506] = {.lex_state = 63},
  [2507] = {.lex_state = 63},
  [2508] = {.lex_state = 63},
  [2509] = {.lex_state = 8},
  [2510] = {.lex_state = 8},
  [2511] = {.lex_state = 63},
  [2512] = {.lex_state = 63},
  [2513] = {.lex_state = 63},
  [2514] = {.lex_state = 63},
  [2515] = {.lex_state = 63},
  [2516] = {.lex_state = 63},
  [2517] = {.lex_state = 8},
  [2518] = {.lex_state = 63},
  [2519] = {.lex_state = 63},
  [2520] = {.lex_state = 63},
  [2521] = {.lex_state = 63},
  [2522] = {.lex_state = 8},
  [2523] = {.lex_state = 63},
  [2524] = {.lex_state = 63},
  [2525] = {.lex_state = 63},
  [2526] = {.lex_state = 63},
  [2527] = {.lex_state = 63},
  [2528] = {.lex_state = 63},
  [2529] = {.lex_state = 63},
  [2530] = {.lex_state = 63},
  [2531] = {.lex_state = 63},
  [2532] = {.lex_state = 63},
  [2533] = {.lex_state = 63},
  [2534] = {.lex_state = 63},
  [2535] = {.lex_state = 63},
  [2536] = {.lex_state = 63},
  [2537] = {.lex_state = 63},
  [2538] = {.lex_state = 63},
  [2539] = {.lex_state = 63},
  [2540] = {.lex_state = 63},
  [2541] = {.lex_state = 63},
  [2542] = {.lex_state = 63},
  [2543] = {.lex_state = 63},
  [2544] = {.lex_state = 63},
  [2545] = {.lex_state = 63},
  [2546] = {.lex_state = 63},
  [2547] = {.lex_state = 63},
  [2548] = {.lex_state = 63},
  [2549] = {.lex_state = 63},
  [2550] = {.lex_state = 63},
  [2551] = {.lex_state = 63},
  [2552] = {.lex_state = 63, .external_lex_state = 13},
  [2553] = {.lex_state = 63, .external_lex_state = 13},
  [2554] = {.lex_state = 63},
  [2555] = {.lex_state = 63},
  [2556] = {.lex_state = 63},
  [2557] = {.lex_state = 63},
  [2558] = {.lex_state = 63},
  [2559] = {.lex_state = 63},
  [2560] = {.lex_state = 63},
  [2561] = {.lex_state = 63},
  [2562] = {.lex_state = 63},
  [2563] = {.lex_state = 63},
  [2564] = {.lex_state = 63},
  [2565] = {.lex_state = 63, .external_lex_state = 12},
  [2566] = {.lex_state = 63},
  [2567] = {.lex_state = 63, .external_lex_state = 13},
  [2568] = {.lex_state = 63},
  [2569] = {.lex_state = 63, .external_lex_state = 13},
  [2570] = {.lex_state = 63},
  [2571] = {.lex_state = 63},
  [2572] = {.lex_state = 63},
  [2573] = {.lex_state = 63},
  [2574] = {.lex_state = 63},
  [2575] = {.lex_state = 63},
  [2576] = {.lex_state = 63},
  [2577] = {.lex_state = 63},
  [2578] = {.lex_state = 63},
  [2579] = {.lex_state = 63},
  [2580] = {.lex_state = 63},
  [2581] = {.lex_state = 63},
  [2582] = {.lex_state = 63},
  [2583] = {.lex_state = 63},
  [2584] = {.lex_state = 63},
  [2585] = {.lex_state = 63},
  [2586] = {.lex_state = 63},
  [2587] = {.lex_state = 63},
  [2588] = {.lex_state = 63},
  [2589] = {.lex_state = 63},
  [2590] = {.lex_state = 63},
  [2591] = {.lex_state = 63, .external_lex_state = 12},
  [2592] = {.lex_state = 63},
  [2593] = {.lex_state = 63, .external_lex_state = 12},
  [2594] = {.lex_state = 63},
  [2595] = {.lex_state = 63},
  [2596] = {.lex_state = 63},
  [2597] = {.lex_state = 63},
  [2598] = {.lex_state = 63},
  [2599] = {.lex_state = 63},
  [2600] = {.lex_state = 63},
  [2601] = {.lex_state = 63},
  [2602] = {.lex_state = 63},
  [2603] = {.lex_state = 63},
  [2604] = {.lex_state = 63},
  [2605] = {.lex_state = 63},
  [2606] = {.lex_state = 63},
  [2607] = {.lex_state = 63},
  [2608] = {.lex_state = 63},
  [2609] = {.lex_state = 63},
  [2610] = {.lex_state = 63},
  [2611] = {.lex_state = 63},
  [2612] = {.lex_state = 63},
  [2613] = {.lex_state = 63},
  [2614] = {.lex_state = 63},
  [2615] = {.lex_state = 63},
  [2616] = {.lex_state = 63},
  [2617] = {.lex_state = 63},
  [2618] = {.lex_state = 63},
  [2619] = {.lex_state = 63},
  [2620] = {.lex_state = 63},
  [2621] = {.lex_state = 63},
  [2622] = {.lex_state = 63},
  [2623] = {.lex_state = 63},
  [2624] = {.lex_state = 63},
  [2625] = {.lex_state = 63},
  [2626] = {.lex_state = 63},
  [2627] = {.lex_state = 63},
  [2628] = {.lex_state = 63},
  [2629] = {.lex_state = 63},
  [2630] = {.lex_state = 63},
  [2631] = {.lex_state = 63},
  [2632] = {.lex_state = 63},
  [2633] = {.lex_state = 63},
  [2634] = {.lex_state = 63},
  [2635] = {.lex_state = 63},
  [2636] = {.lex_state = 63},
  [2637] = {.lex_state = 63},
  [2638] = {.lex_state = 63},
  [2639] = {.lex_state = 63},
  [2640] = {.lex_state = 63},
  [2641] = {.lex_state = 63},
  [2642] = {.lex_state = 63},
  [2643] = {.lex_state = 63},
  [2644] = {(TSStateId)(-1)},
  [2645] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2590),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2172),
    [aux_sym_text_repeat1] = STATE(1686),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [aux_sym__arrow_function_header_token1] = ACTIONS(78),
    [anon_sym_LPAREN] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym_object_creation_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_if_statement_token2] = ACTIONS(362),
    [aux_sym_else_if_clause_token1] = ACTIONS(362),
    [aux_sym_else_clause_token1] = ACTIONS(362),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(364),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(364),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(364),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_if_statement_token2] = ACTIONS(364),
    [aux_sym_else_if_clause_token1] = ACTIONS(364),
    [aux_sym_else_clause_token1] = ACTIONS(364),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [aux_sym__arrow_function_header_token1] = ACTIONS(78),
    [anon_sym_LPAREN] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(366),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(372),
    [aux_sym_foreach_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token1] = ACTIONS(378),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym_object_creation_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(362),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(362),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(362),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(476),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_colon_block] = STATE(2482),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(476),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_colon_block] = STATE(2482),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(385),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(1969),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_colon_block] = STATE(2480),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(1969),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_colon_block] = STATE(2480),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(389),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(1989),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [ts_builtin_sym_end] = ACTIONS(459),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(461),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(502),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_colon_block] = STATE(2516),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(1592),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_colon_block] = STATE(1609),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(462),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(467),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(473),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(2009),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(475),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(479),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(481),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(457),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(483),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(495),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(497),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(497),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(1954),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(501),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(503),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(1958),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(1989),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(457),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(483),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(1973),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(462),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(467),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(1973),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(429),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_colon_block] = STATE(1608),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(1958),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(517),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(519),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(1954),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(501),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(503),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [ts_builtin_sym_end] = ACTIONS(459),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(521),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(523),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(2009),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(475),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(479),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(482),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(529),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(531),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(533),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(482),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(529),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(531),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(533),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(502),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_colon_block] = STATE(2516),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(535),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(1601),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_colon_block] = STATE(1609),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(2039),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_colon_block] = STATE(2530),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(537),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(428),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_colon_block] = STATE(1608),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(41),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(543),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(545),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(500),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(547),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(551),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [ts_builtin_sym_end] = ACTIONS(553),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(61),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(555),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(2039),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_colon_block] = STATE(2530),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [anon_sym_COLON] = ACTIONS(383),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(500),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(547),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(551),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [ts_builtin_sym_end] = ACTIONS(563),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(75),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(1987),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(2574),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(494),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(559),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_foreach_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token1] = ACTIONS(360),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(2550),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(2004),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(417),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(429),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(433),
    [aux_sym_foreach_statement_token1] = ACTIONS(435),
    [aux_sym_if_statement_token1] = ACTIONS(437),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(559),
    [sym_empty_statement] = STATE(485),
    [sym_function_static_declaration] = STATE(485),
    [sym_global_declaration] = STATE(485),
    [sym_namespace_definition] = STATE(485),
    [sym_namespace_use_declaration] = STATE(485),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(485),
    [sym_interface_declaration] = STATE(485),
    [sym_enum_declaration] = STATE(485),
    [sym_class_declaration] = STATE(485),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(485),
    [sym__const_declaration] = STATE(498),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(485),
    [sym__function_definition_header] = STATE(2183),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(485),
    [sym_exit_statement] = STATE(485),
    [sym_unset_statement] = STATE(485),
    [sym_declare_statement] = STATE(485),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(485),
    [sym_goto_statement] = STATE(485),
    [sym_continue_statement] = STATE(485),
    [sym_break_statement] = STATE(485),
    [sym_return_statement] = STATE(485),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(485),
    [sym_do_statement] = STATE(485),
    [sym_for_statement] = STATE(485),
    [sym_foreach_statement] = STATE(485),
    [sym_if_statement] = STATE(485),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(485),
    [sym_compound_statement] = STATE(485),
    [sym_named_label_statement] = STATE(485),
    [sym_expression_statement] = STATE(485),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1354),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1359),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(2004),
    [sym_empty_statement] = STATE(2086),
    [sym_function_static_declaration] = STATE(2086),
    [sym_global_declaration] = STATE(2086),
    [sym_namespace_definition] = STATE(2086),
    [sym_namespace_use_declaration] = STATE(2086),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_trait_declaration] = STATE(2086),
    [sym_interface_declaration] = STATE(2086),
    [sym_enum_declaration] = STATE(2086),
    [sym_class_declaration] = STATE(2086),
    [sym_final_modifier] = STATE(1327),
    [sym_abstract_modifier] = STATE(1327),
    [sym_readonly_modifier] = STATE(1327),
    [sym_const_declaration] = STATE(2086),
    [sym__const_declaration] = STATE(2085),
    [sym__modifier] = STATE(1329),
    [sym_static_modifier] = STATE(1425),
    [sym_visibility_modifier] = STATE(1327),
    [sym_function_definition] = STATE(2086),
    [sym__function_definition_header] = STATE(2308),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2086),
    [sym_exit_statement] = STATE(2086),
    [sym_unset_statement] = STATE(2086),
    [sym_declare_statement] = STATE(2086),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2086),
    [sym_goto_statement] = STATE(2086),
    [sym_continue_statement] = STATE(2086),
    [sym_break_statement] = STATE(2086),
    [sym_return_statement] = STATE(2086),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2086),
    [sym_do_statement] = STATE(2086),
    [sym_for_statement] = STATE(2086),
    [sym_foreach_statement] = STATE(2086),
    [sym_if_statement] = STATE(2086),
    [sym_match_expression] = STATE(1145),
    [sym_switch_statement] = STATE(2086),
    [sym_compound_statement] = STATE(2086),
    [sym_named_label_statement] = STATE(2086),
    [sym_expression_statement] = STATE(2086),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1353),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(1361),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(387),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(391),
    [aux_sym_global_declaration_token1] = ACTIONS(393),
    [aux_sym_namespace_definition_token1] = ACTIONS(395),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(397),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(399),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(401),
    [aux_sym_trait_declaration_token1] = ACTIONS(403),
    [aux_sym_interface_declaration_token1] = ACTIONS(405),
    [aux_sym_enum_declaration_token1] = ACTIONS(407),
    [aux_sym_class_declaration_token1] = ACTIONS(409),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(411),
    [aux_sym_exit_statement_token1] = ACTIONS(413),
    [anon_sym_unset] = ACTIONS(415),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(419),
    [aux_sym_goto_statement_token1] = ACTIONS(421),
    [aux_sym_continue_statement_token1] = ACTIONS(423),
    [aux_sym_break_statement_token1] = ACTIONS(425),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(427),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(431),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(439),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(982),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(929),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(571),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(579),
    [anon_sym_RBRACE] = ACTIONS(569),
    [anon_sym_COLON] = ACTIONS(569),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(583),
    [anon_sym_QMARK] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_yield_expression_token2] = ACTIONS(625),
    [aux_sym_binary_expression_token1] = ACTIONS(579),
    [anon_sym_QMARK_QMARK] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [aux_sym_binary_expression_token2] = ACTIONS(579),
    [aux_sym_binary_expression_token3] = ACTIONS(579),
    [aux_sym_binary_expression_token4] = ACTIONS(579),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(579),
    [anon_sym_BANG_EQ] = ACTIONS(579),
    [anon_sym_LT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(579),
    [anon_sym_GT] = ACTIONS(579),
    [anon_sym_LT_EQ] = ACTIONS(579),
    [anon_sym_GT_EQ] = ACTIONS(569),
    [anon_sym_LT_EQ_GT] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(579),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_DOT] = ACTIONS(579),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(579),
    [anon_sym_PERCENT] = ACTIONS(569),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1044),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(929),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(571),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(569),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(569),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(569),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_yield_expression_token2] = ACTIONS(655),
    [aux_sym_binary_expression_token1] = ACTIONS(579),
    [anon_sym_QMARK_QMARK] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [aux_sym_binary_expression_token2] = ACTIONS(579),
    [aux_sym_binary_expression_token3] = ACTIONS(579),
    [aux_sym_binary_expression_token4] = ACTIONS(579),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(579),
    [anon_sym_BANG_EQ] = ACTIONS(579),
    [anon_sym_LT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(579),
    [anon_sym_GT] = ACTIONS(579),
    [anon_sym_LT_EQ] = ACTIONS(579),
    [anon_sym_GT_EQ] = ACTIONS(569),
    [anon_sym_LT_EQ_GT] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(579),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_DOT] = ACTIONS(579),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(579),
    [anon_sym_PERCENT] = ACTIONS(569),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_variadic_unpacking] = STATE(1111),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_by_ref] = STATE(1111),
    [sym_yield_expression] = STATE(1145),
    [sym_array_element_initializer] = STATE(1099),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(569),
    [anon_sym_AMP] = ACTIONS(667),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(569),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(671),
    [anon_sym_QMARK] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(673),
    [aux_sym_binary_expression_token1] = ACTIONS(579),
    [anon_sym_QMARK_QMARK] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [aux_sym_binary_expression_token2] = ACTIONS(579),
    [aux_sym_binary_expression_token3] = ACTIONS(579),
    [aux_sym_binary_expression_token4] = ACTIONS(579),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(579),
    [anon_sym_BANG_EQ] = ACTIONS(579),
    [anon_sym_LT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(579),
    [anon_sym_GT] = ACTIONS(579),
    [anon_sym_LT_EQ] = ACTIONS(579),
    [anon_sym_GT_EQ] = ACTIONS(569),
    [anon_sym_LT_EQ_GT] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(579),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_DOT] = ACTIONS(579),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(579),
    [anon_sym_PERCENT] = ACTIONS(569),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(569),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(929),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(571),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(569),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(569),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [anon_sym_QMARK] = ACTIONS(579),
    [anon_sym_PIPE] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_yield_expression_token2] = ACTIONS(695),
    [aux_sym_binary_expression_token1] = ACTIONS(579),
    [anon_sym_QMARK_QMARK] = ACTIONS(569),
    [anon_sym_STAR_STAR] = ACTIONS(569),
    [aux_sym_binary_expression_token2] = ACTIONS(579),
    [aux_sym_binary_expression_token3] = ACTIONS(579),
    [aux_sym_binary_expression_token4] = ACTIONS(579),
    [anon_sym_PIPE_PIPE] = ACTIONS(569),
    [anon_sym_AMP_AMP] = ACTIONS(569),
    [anon_sym_CARET] = ACTIONS(569),
    [anon_sym_EQ_EQ] = ACTIONS(579),
    [anon_sym_BANG_EQ] = ACTIONS(579),
    [anon_sym_LT_GT] = ACTIONS(569),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(569),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(569),
    [anon_sym_LT] = ACTIONS(579),
    [anon_sym_GT] = ACTIONS(579),
    [anon_sym_LT_EQ] = ACTIONS(579),
    [anon_sym_GT_EQ] = ACTIONS(569),
    [anon_sym_LT_EQ_GT] = ACTIONS(569),
    [anon_sym_LT_LT] = ACTIONS(579),
    [anon_sym_GT_GT] = ACTIONS(569),
    [anon_sym_DOT] = ACTIONS(579),
    [anon_sym_STAR] = ACTIONS(579),
    [anon_sym_SLASH] = ACTIONS(579),
    [anon_sym_PERCENT] = ACTIONS(569),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2528),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2512),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2541),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2583),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2505),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2520),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2506),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2541),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2528),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2610),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2454),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_cast_type] = STATE(2443),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(705),
    [aux_sym_cast_type_token2] = ACTIONS(707),
    [aux_sym_cast_type_token3] = ACTIONS(707),
    [aux_sym_cast_type_token4] = ACTIONS(707),
    [aux_sym_cast_type_token5] = ACTIONS(707),
    [aux_sym_cast_type_token6] = ACTIONS(707),
    [aux_sym_cast_type_token7] = ACTIONS(707),
    [aux_sym_cast_type_token8] = ACTIONS(707),
    [aux_sym_cast_type_token9] = ACTIONS(707),
    [aux_sym_cast_type_token10] = ACTIONS(707),
    [aux_sym_cast_type_token11] = ACTIONS(707),
    [aux_sym_cast_type_token12] = ACTIONS(707),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_variadic_placeholder] = STATE(2616),
    [sym_argument] = STATE(2095),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(1919),
    [sym__array_destructing_element] = STATE(1921),
    [sym_function_call_expression] = STATE(613),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(613),
    [sym_variable_name] = STATE(613),
    [sym_by_ref] = STATE(2242),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym__array_destructing_repeat1] = STATE(1923),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(739),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_variadic_placeholder] = STATE(2638),
    [sym_argument] = STATE(2134),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(1919),
    [sym__array_destructing_element] = STATE(1921),
    [sym_function_call_expression] = STATE(613),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(613),
    [sym_variable_name] = STATE(613),
    [sym_by_ref] = STATE(2242),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym__array_destructing_repeat1] = STATE(1923),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(739),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_variadic_placeholder] = STATE(2508),
    [sym_argument] = STATE(2001),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(749),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_variadic_placeholder] = STATE(2538),
    [sym_argument] = STATE(1917),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_variadic_placeholder] = STATE(2608),
    [sym_argument] = STATE(2073),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(757),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(1919),
    [sym__array_destructing_element] = STATE(1921),
    [sym_function_call_expression] = STATE(613),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(613),
    [sym_variable_name] = STATE(613),
    [sym_by_ref] = STATE(2242),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1922),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym__array_destructing_repeat1] = STATE(1923),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(761),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(763),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_variadic_placeholder] = STATE(2587),
    [sym_argument] = STATE(2011),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_variadic_placeholder] = STATE(2643),
    [sym_argument] = STATE(2158),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(769),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_variadic_placeholder] = STATE(2594),
    [sym_argument] = STATE(2030),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(773),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(725),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(1919),
    [sym__array_destructing_element] = STATE(1921),
    [sym_function_call_expression] = STATE(613),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(613),
    [sym_variable_name] = STATE(613),
    [sym_by_ref] = STATE(2242),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym__array_destructing_repeat1] = STATE(1923),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(739),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(777),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(633),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(633),
    [sym_nullsafe_member_access_expression] = STATE(633),
    [sym_scoped_property_access_expression] = STATE(633),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(1919),
    [sym__array_destructing_element] = STATE(1921),
    [sym_function_call_expression] = STATE(613),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(613),
    [sym_variable_name] = STATE(613),
    [sym_by_ref] = STATE(2242),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym__array_destructing_repeat1] = STATE(1923),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(739),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_RBRACK] = ACTIONS(779),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1908),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(785),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(787),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1922),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(793),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(795),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1939),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(809),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(1911),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(825),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(829),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_reference_modifier] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_argument] = STATE(2396),
    [sym__argument_name] = STATE(154),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2300),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(709),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(717),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(731),
    [anon_sym_parent] = ACTIONS(731),
    [aux_sym__argument_name_token1] = ACTIONS(733),
    [aux_sym__argument_name_token2] = ACTIONS(735),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_match_condition_list] = STATE(2468),
    [sym_match_conditional_expression] = STATE(1950),
    [sym_match_default_expression] = STATE(1950),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(837),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(839),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(845),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_match_condition_list] = STATE(2468),
    [sym_match_conditional_expression] = STATE(2096),
    [sym_match_default_expression] = STATE(2096),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(849),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(851),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(1919),
    [sym__array_destructing_element] = STATE(2306),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2292),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(857),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(861),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(1869),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(1942),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym__list_destructing_repeat1] = STATE(1924),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(864),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_RPAREN] = ACTIONS(866),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_match_condition_list] = STATE(2468),
    [sym_match_conditional_expression] = STATE(2367),
    [sym_match_default_expression] = STATE(2367),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(868),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(1919),
    [sym__array_destructing_element] = STATE(2306),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2292),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(857),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(960),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(960),
    [sym_yield_expression] = STATE(926),
    [sym_array_element_initializer] = STATE(2107),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_match_condition_list] = STATE(2468),
    [sym_match_conditional_expression] = STATE(2367),
    [sym_match_default_expression] = STATE(2367),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(870),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(1919),
    [sym__array_destructing_element] = STATE(2306),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2292),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(857),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_RBRACK] = ACTIONS(872),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_match_condition_list] = STATE(2468),
    [sym_match_conditional_expression] = STATE(2367),
    [sym_match_default_expression] = STATE(2367),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(875),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_match_condition_list] = STATE(2468),
    [sym_match_conditional_expression] = STATE(2367),
    [sym_match_default_expression] = STATE(2367),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(877),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_reference_modifier] = STATE(200),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2415),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(711),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_match_condition_list] = STATE(2468),
    [sym_match_conditional_expression] = STATE(2367),
    [sym_match_default_expression] = STATE(2367),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [aux_sym_match_default_expression_token1] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2099),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(612),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(612),
    [sym_variable_name] = STATE(612),
    [sym_by_ref] = STATE(2408),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [anon_sym_COMMA] = ACTIONS(879),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_RPAREN] = ACTIONS(879),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2519),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(881),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2568),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2475),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(885),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2596),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(887),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2637),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2492),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(891),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2479),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(893),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2630),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2573),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(897),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2486),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(899),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2575),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(901),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_foreach_pair] = STATE(2576),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2238),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2576),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2627),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2581),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(905),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_foreach_pair] = STATE(2542),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2438),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2542),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2624),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2622),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2599),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(911),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2442),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(913),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2441),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(915),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2444),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2579),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(919),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_foreach_pair] = STATE(2491),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2327),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2491),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2451),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(921),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2452),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_foreach_pair] = STATE(2462),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2410),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2462),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2481),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(925),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__expressions] = STATE(2521),
    [sym_sequence_expression] = STATE(2314),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_by_ref] = STATE(1140),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym__expressions] = STATE(2299),
    [sym_sequence_expression] = STATE(2237),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2414),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1463),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(931),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2338),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(2484),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(933),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(935),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(635),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(635),
    [sym_nullsafe_member_access_expression] = STATE(635),
    [sym_scoped_property_access_expression] = STATE(635),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2106),
    [sym_function_call_expression] = STATE(628),
    [sym_scoped_call_expression] = STATE(628),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(628),
    [sym_nullsafe_member_call_expression] = STATE(628),
    [sym_subscript_expression] = STATE(628),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(628),
    [sym_variable_name] = STATE(628),
    [sym_by_ref] = STATE(2411),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(979),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym__expressions] = STATE(2231),
    [sym_sequence_expression] = STATE(2237),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(939),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_by_ref] = STATE(912),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(737),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_variadic_unpacking] = STATE(2395),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1514),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(677),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(941),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(941),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(943),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(943),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_sequence_expression] = STATE(2313),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(951),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(955),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(959),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1042),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(961),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(963),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_sequence_expression] = STATE(2340),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_sequence_expression] = STATE(2313),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(965),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(969),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(971),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(973),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(975),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(977),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(979),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_EQ_GT] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1026),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1022),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1017),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1010),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(996),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(913),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(918),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1008),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(986),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1023),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1024),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(988),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(990),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(991),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1035),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(993),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(997),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1001),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(980),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(998),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(913),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(995),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(994),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(918),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(992),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(989),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(984),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(983),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(981),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(987),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1002),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1045),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1004),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1006),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1013),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(918),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(913),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1000),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1003),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1043),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(999),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2503),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(693),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [aux_sym_require_expression_token1] = ACTIONS(701),
    [aux_sym_require_once_expression_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(596),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(596),
    [sym_nullsafe_member_access_expression] = STATE(596),
    [sym_scoped_property_access_expression] = STATE(596),
    [sym_list_literal] = STATE(2499),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(591),
    [sym_scoped_call_expression] = STATE(591),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(591),
    [sym_nullsafe_member_call_expression] = STATE(591),
    [sym_subscript_expression] = STATE(591),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(591),
    [sym_variable_name] = STATE(591),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(607),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [aux_sym_require_expression_token1] = ACTIONS(631),
    [aux_sym_require_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_match_expression] = STATE(926),
    [sym_expression] = STATE(1041),
    [sym__unary_expression] = STATE(924),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(926),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(610),
    [sym_assignment_expression] = STATE(926),
    [sym_reference_assignment_expression] = STATE(926),
    [sym_conditional_expression] = STATE(926),
    [sym_augmented_assignment_expression] = STATE(926),
    [sym_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(610),
    [sym_scoped_property_access_expression] = STATE(610),
    [sym_list_literal] = STATE(2456),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(593),
    [sym_scoped_call_expression] = STATE(593),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(593),
    [sym_nullsafe_member_call_expression] = STATE(593),
    [sym_subscript_expression] = STATE(593),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(593),
    [sym_variable_name] = STATE(593),
    [sym_yield_expression] = STATE(926),
    [sym_binary_expression] = STATE(926),
    [sym_include_expression] = STATE(926),
    [sym_include_once_expression] = STATE(926),
    [sym_require_expression] = STATE(926),
    [sym_require_once_expression] = STATE(926),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_match_expression_token1] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_yield_expression_token1] = ACTIONS(653),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [aux_sym_require_expression_token1] = ACTIONS(661),
    [aux_sym_require_once_expression_token1] = ACTIONS(663),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1145),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(1124),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1145),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1145),
    [sym_reference_assignment_expression] = STATE(1145),
    [sym_conditional_expression] = STATE(1145),
    [sym_augmented_assignment_expression] = STATE(1145),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2601),
    [sym__list_destructing] = STATE(2194),
    [sym__array_destructing] = STATE(2194),
    [sym_function_call_expression] = STATE(595),
    [sym_scoped_call_expression] = STATE(595),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(595),
    [sym_nullsafe_member_call_expression] = STATE(595),
    [sym_subscript_expression] = STATE(595),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(595),
    [sym_variable_name] = STATE(595),
    [sym_yield_expression] = STATE(1145),
    [sym_binary_expression] = STATE(1145),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym_require_expression] = STATE(1145),
    [sym_require_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_catch_clause] = STATE(435),
    [sym_finally_clause] = STATE(435),
    [aux_sym_try_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_name] = ACTIONS(985),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(983),
    [aux_sym_function_static_declaration_token1] = ACTIONS(985),
    [aux_sym_global_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_definition_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [aux_sym_trait_declaration_token1] = ACTIONS(985),
    [aux_sym_interface_declaration_token1] = ACTIONS(985),
    [aux_sym_enum_declaration_token1] = ACTIONS(985),
    [aux_sym_enum_case_token1] = ACTIONS(985),
    [aux_sym_class_declaration_token1] = ACTIONS(985),
    [aux_sym_final_modifier_token1] = ACTIONS(985),
    [aux_sym_abstract_modifier_token1] = ACTIONS(985),
    [aux_sym_readonly_modifier_token1] = ACTIONS(985),
    [sym_var_modifier] = ACTIONS(985),
    [aux_sym_visibility_modifier_token1] = ACTIONS(985),
    [aux_sym_visibility_modifier_token2] = ACTIONS(985),
    [aux_sym_visibility_modifier_token3] = ACTIONS(985),
    [aux_sym__arrow_function_header_token1] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [aux_sym_cast_type_token1] = ACTIONS(985),
    [aux_sym_echo_statement_token1] = ACTIONS(985),
    [aux_sym_exit_statement_token1] = ACTIONS(985),
    [anon_sym_unset] = ACTIONS(985),
    [aux_sym_declare_statement_token1] = ACTIONS(985),
    [aux_sym_declare_statement_token2] = ACTIONS(985),
    [sym_float] = ACTIONS(985),
    [aux_sym_try_statement_token1] = ACTIONS(985),
    [aux_sym_catch_clause_token1] = ACTIONS(987),
    [aux_sym_finally_clause_token1] = ACTIONS(989),
    [aux_sym_goto_statement_token1] = ACTIONS(985),
    [aux_sym_continue_statement_token1] = ACTIONS(985),
    [aux_sym_break_statement_token1] = ACTIONS(985),
    [sym_integer] = ACTIONS(985),
    [aux_sym_return_statement_token1] = ACTIONS(985),
    [aux_sym_throw_expression_token1] = ACTIONS(985),
    [aux_sym_while_statement_token1] = ACTIONS(985),
    [aux_sym_while_statement_token2] = ACTIONS(985),
    [aux_sym_do_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token2] = ACTIONS(985),
    [aux_sym_foreach_statement_token1] = ACTIONS(985),
    [aux_sym_foreach_statement_token2] = ACTIONS(985),
    [aux_sym_if_statement_token1] = ACTIONS(985),
    [aux_sym_if_statement_token2] = ACTIONS(985),
    [aux_sym_else_if_clause_token1] = ACTIONS(985),
    [aux_sym_else_clause_token1] = ACTIONS(985),
    [aux_sym_match_expression_token1] = ACTIONS(985),
    [aux_sym_match_default_expression_token1] = ACTIONS(985),
    [aux_sym_switch_statement_token1] = ACTIONS(985),
    [aux_sym_switch_block_token1] = ACTIONS(985),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(983),
    [anon_sym_AT] = ACTIONS(983),
    [aux_sym_clone_expression_token1] = ACTIONS(985),
    [aux_sym_print_intrinsic_token1] = ACTIONS(985),
    [aux_sym_object_creation_expression_token1] = ACTIONS(985),
    [anon_sym_DASH_DASH] = ACTIONS(983),
    [anon_sym_PLUS_PLUS] = ACTIONS(983),
    [aux_sym__list_destructing_token1] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(985),
    [anon_sym_parent] = ACTIONS(985),
    [aux_sym__argument_name_token1] = ACTIONS(985),
    [aux_sym__argument_name_token2] = ACTIONS(985),
    [anon_sym_POUND_LBRACK] = ACTIONS(983),
    [aux_sym_encapsed_string_token1] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(983),
    [aux_sym_string_token1] = ACTIONS(983),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_LT_LT_LT] = ACTIONS(983),
    [anon_sym_BQUOTE] = ACTIONS(983),
    [anon_sym_DOLLAR] = ACTIONS(983),
    [aux_sym_yield_expression_token1] = ACTIONS(985),
    [aux_sym_include_expression_token1] = ACTIONS(985),
    [aux_sym_include_once_expression_token1] = ACTIONS(985),
    [aux_sym_require_expression_token1] = ACTIONS(985),
    [aux_sym_require_once_expression_token1] = ACTIONS(985),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_catch_clause] = STATE(435),
    [sym_finally_clause] = STATE(435),
    [aux_sym_try_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_name] = ACTIONS(993),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(991),
    [aux_sym_function_static_declaration_token1] = ACTIONS(993),
    [aux_sym_global_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_definition_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(993),
    [anon_sym_BSLASH] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [aux_sym_trait_declaration_token1] = ACTIONS(993),
    [aux_sym_interface_declaration_token1] = ACTIONS(993),
    [aux_sym_enum_declaration_token1] = ACTIONS(993),
    [aux_sym_enum_case_token1] = ACTIONS(993),
    [aux_sym_class_declaration_token1] = ACTIONS(993),
    [aux_sym_final_modifier_token1] = ACTIONS(993),
    [aux_sym_abstract_modifier_token1] = ACTIONS(993),
    [aux_sym_readonly_modifier_token1] = ACTIONS(993),
    [sym_var_modifier] = ACTIONS(993),
    [aux_sym_visibility_modifier_token1] = ACTIONS(993),
    [aux_sym_visibility_modifier_token2] = ACTIONS(993),
    [aux_sym_visibility_modifier_token3] = ACTIONS(993),
    [aux_sym__arrow_function_header_token1] = ACTIONS(993),
    [anon_sym_LPAREN] = ACTIONS(991),
    [aux_sym_cast_type_token1] = ACTIONS(993),
    [aux_sym_echo_statement_token1] = ACTIONS(993),
    [aux_sym_exit_statement_token1] = ACTIONS(993),
    [anon_sym_unset] = ACTIONS(993),
    [aux_sym_declare_statement_token1] = ACTIONS(993),
    [aux_sym_declare_statement_token2] = ACTIONS(993),
    [sym_float] = ACTIONS(993),
    [aux_sym_try_statement_token1] = ACTIONS(993),
    [aux_sym_catch_clause_token1] = ACTIONS(995),
    [aux_sym_finally_clause_token1] = ACTIONS(998),
    [aux_sym_goto_statement_token1] = ACTIONS(993),
    [aux_sym_continue_statement_token1] = ACTIONS(993),
    [aux_sym_break_statement_token1] = ACTIONS(993),
    [sym_integer] = ACTIONS(993),
    [aux_sym_return_statement_token1] = ACTIONS(993),
    [aux_sym_throw_expression_token1] = ACTIONS(993),
    [aux_sym_while_statement_token1] = ACTIONS(993),
    [aux_sym_while_statement_token2] = ACTIONS(993),
    [aux_sym_do_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token2] = ACTIONS(993),
    [aux_sym_foreach_statement_token1] = ACTIONS(993),
    [aux_sym_foreach_statement_token2] = ACTIONS(993),
    [aux_sym_if_statement_token1] = ACTIONS(993),
    [aux_sym_if_statement_token2] = ACTIONS(993),
    [aux_sym_else_if_clause_token1] = ACTIONS(993),
    [aux_sym_else_clause_token1] = ACTIONS(993),
    [aux_sym_match_expression_token1] = ACTIONS(993),
    [aux_sym_match_default_expression_token1] = ACTIONS(993),
    [aux_sym_switch_statement_token1] = ACTIONS(993),
    [aux_sym_switch_block_token1] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(991),
    [aux_sym_clone_expression_token1] = ACTIONS(993),
    [aux_sym_print_intrinsic_token1] = ACTIONS(993),
    [aux_sym_object_creation_expression_token1] = ACTIONS(993),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [aux_sym__list_destructing_token1] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_self] = ACTIONS(993),
    [anon_sym_parent] = ACTIONS(993),
    [aux_sym__argument_name_token1] = ACTIONS(993),
    [aux_sym__argument_name_token2] = ACTIONS(993),
    [anon_sym_POUND_LBRACK] = ACTIONS(991),
    [aux_sym_encapsed_string_token1] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [aux_sym_string_token1] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [anon_sym_LT_LT_LT] = ACTIONS(991),
    [anon_sym_BQUOTE] = ACTIONS(991),
    [anon_sym_DOLLAR] = ACTIONS(991),
    [aux_sym_yield_expression_token1] = ACTIONS(993),
    [aux_sym_include_expression_token1] = ACTIONS(993),
    [aux_sym_include_once_expression_token1] = ACTIONS(993),
    [aux_sym_require_expression_token1] = ACTIONS(993),
    [aux_sym_require_once_expression_token1] = ACTIONS(993),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_else_if_clause] = STATE(477),
    [sym_else_clause] = STATE(550),
    [aux_sym_if_statement_repeat1] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym_name] = ACTIONS(1003),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1003),
    [aux_sym_global_declaration_token1] = ACTIONS(1003),
    [aux_sym_namespace_definition_token1] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1003),
    [anon_sym_BSLASH] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [aux_sym_trait_declaration_token1] = ACTIONS(1003),
    [aux_sym_interface_declaration_token1] = ACTIONS(1003),
    [aux_sym_enum_declaration_token1] = ACTIONS(1003),
    [aux_sym_enum_case_token1] = ACTIONS(1003),
    [aux_sym_class_declaration_token1] = ACTIONS(1003),
    [aux_sym_final_modifier_token1] = ACTIONS(1003),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1003),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1003),
    [sym_var_modifier] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1003),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [aux_sym_cast_type_token1] = ACTIONS(1003),
    [aux_sym_echo_statement_token1] = ACTIONS(1003),
    [aux_sym_exit_statement_token1] = ACTIONS(1003),
    [anon_sym_unset] = ACTIONS(1003),
    [aux_sym_declare_statement_token1] = ACTIONS(1003),
    [aux_sym_declare_statement_token2] = ACTIONS(1003),
    [sym_float] = ACTIONS(1003),
    [aux_sym_try_statement_token1] = ACTIONS(1003),
    [aux_sym_goto_statement_token1] = ACTIONS(1003),
    [aux_sym_continue_statement_token1] = ACTIONS(1003),
    [aux_sym_break_statement_token1] = ACTIONS(1003),
    [sym_integer] = ACTIONS(1003),
    [aux_sym_return_statement_token1] = ACTIONS(1003),
    [aux_sym_throw_expression_token1] = ACTIONS(1003),
    [aux_sym_while_statement_token1] = ACTIONS(1003),
    [aux_sym_while_statement_token2] = ACTIONS(1003),
    [aux_sym_do_statement_token1] = ACTIONS(1003),
    [aux_sym_for_statement_token1] = ACTIONS(1003),
    [aux_sym_for_statement_token2] = ACTIONS(1003),
    [aux_sym_foreach_statement_token1] = ACTIONS(1003),
    [aux_sym_foreach_statement_token2] = ACTIONS(1003),
    [aux_sym_if_statement_token1] = ACTIONS(1003),
    [aux_sym_if_statement_token2] = ACTIONS(1003),
    [aux_sym_else_if_clause_token1] = ACTIONS(1005),
    [aux_sym_else_clause_token1] = ACTIONS(1007),
    [aux_sym_match_expression_token1] = ACTIONS(1003),
    [aux_sym_match_default_expression_token1] = ACTIONS(1003),
    [aux_sym_switch_statement_token1] = ACTIONS(1003),
    [aux_sym_switch_block_token1] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1003),
    [anon_sym_DASH] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(1001),
    [aux_sym_clone_expression_token1] = ACTIONS(1003),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1003),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1003),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [aux_sym__list_destructing_token1] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_self] = ACTIONS(1003),
    [anon_sym_parent] = ACTIONS(1003),
    [aux_sym__argument_name_token1] = ACTIONS(1003),
    [aux_sym__argument_name_token2] = ACTIONS(1003),
    [anon_sym_POUND_LBRACK] = ACTIONS(1001),
    [aux_sym_encapsed_string_token1] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(1001),
    [aux_sym_string_token1] = ACTIONS(1001),
    [anon_sym_SQUOTE] = ACTIONS(1001),
    [anon_sym_LT_LT_LT] = ACTIONS(1001),
    [anon_sym_BQUOTE] = ACTIONS(1001),
    [anon_sym_DOLLAR] = ACTIONS(1001),
    [aux_sym_yield_expression_token1] = ACTIONS(1003),
    [aux_sym_include_expression_token1] = ACTIONS(1003),
    [aux_sym_include_once_expression_token1] = ACTIONS(1003),
    [aux_sym_require_expression_token1] = ACTIONS(1003),
    [aux_sym_require_once_expression_token1] = ACTIONS(1003),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_else_if_clause] = STATE(477),
    [sym_else_clause] = STATE(550),
    [aux_sym_if_statement_repeat1] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(1001),
    [sym_name] = ACTIONS(1003),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1001),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1003),
    [aux_sym_global_declaration_token1] = ACTIONS(1003),
    [aux_sym_namespace_definition_token1] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1003),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1003),
    [anon_sym_BSLASH] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(1001),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [aux_sym_trait_declaration_token1] = ACTIONS(1003),
    [aux_sym_interface_declaration_token1] = ACTIONS(1003),
    [aux_sym_enum_declaration_token1] = ACTIONS(1003),
    [aux_sym_enum_case_token1] = ACTIONS(1003),
    [aux_sym_class_declaration_token1] = ACTIONS(1003),
    [aux_sym_final_modifier_token1] = ACTIONS(1003),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1003),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1003),
    [sym_var_modifier] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1003),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1003),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1001),
    [aux_sym_cast_type_token1] = ACTIONS(1003),
    [aux_sym_echo_statement_token1] = ACTIONS(1003),
    [aux_sym_exit_statement_token1] = ACTIONS(1003),
    [anon_sym_unset] = ACTIONS(1003),
    [aux_sym_declare_statement_token1] = ACTIONS(1003),
    [aux_sym_declare_statement_token2] = ACTIONS(1003),
    [sym_float] = ACTIONS(1003),
    [aux_sym_try_statement_token1] = ACTIONS(1003),
    [aux_sym_goto_statement_token1] = ACTIONS(1003),
    [aux_sym_continue_statement_token1] = ACTIONS(1003),
    [aux_sym_break_statement_token1] = ACTIONS(1003),
    [sym_integer] = ACTIONS(1003),
    [aux_sym_return_statement_token1] = ACTIONS(1003),
    [aux_sym_throw_expression_token1] = ACTIONS(1003),
    [aux_sym_while_statement_token1] = ACTIONS(1003),
    [aux_sym_while_statement_token2] = ACTIONS(1003),
    [aux_sym_do_statement_token1] = ACTIONS(1003),
    [aux_sym_for_statement_token1] = ACTIONS(1003),
    [aux_sym_for_statement_token2] = ACTIONS(1003),
    [aux_sym_foreach_statement_token1] = ACTIONS(1003),
    [aux_sym_foreach_statement_token2] = ACTIONS(1003),
    [aux_sym_if_statement_token1] = ACTIONS(1003),
    [aux_sym_if_statement_token2] = ACTIONS(1003),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1012),
    [aux_sym_match_expression_token1] = ACTIONS(1003),
    [aux_sym_match_default_expression_token1] = ACTIONS(1003),
    [aux_sym_switch_statement_token1] = ACTIONS(1003),
    [aux_sym_switch_block_token1] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1003),
    [anon_sym_DASH] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1001),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(1001),
    [aux_sym_clone_expression_token1] = ACTIONS(1003),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1003),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1003),
    [anon_sym_DASH_DASH] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1001),
    [aux_sym__list_destructing_token1] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(1001),
    [anon_sym_self] = ACTIONS(1003),
    [anon_sym_parent] = ACTIONS(1003),
    [aux_sym__argument_name_token1] = ACTIONS(1003),
    [aux_sym__argument_name_token2] = ACTIONS(1003),
    [anon_sym_POUND_LBRACK] = ACTIONS(1001),
    [aux_sym_encapsed_string_token1] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(1001),
    [aux_sym_string_token1] = ACTIONS(1001),
    [anon_sym_SQUOTE] = ACTIONS(1001),
    [anon_sym_LT_LT_LT] = ACTIONS(1001),
    [anon_sym_BQUOTE] = ACTIONS(1001),
    [anon_sym_DOLLAR] = ACTIONS(1001),
    [aux_sym_yield_expression_token1] = ACTIONS(1003),
    [aux_sym_include_expression_token1] = ACTIONS(1003),
    [aux_sym_include_once_expression_token1] = ACTIONS(1003),
    [aux_sym_require_expression_token1] = ACTIONS(1003),
    [aux_sym_require_once_expression_token1] = ACTIONS(1003),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_else_if_clause] = STATE(477),
    [sym_else_clause] = STATE(475),
    [aux_sym_if_statement_repeat1] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_name] = ACTIONS(1017),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1015),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1017),
    [aux_sym_global_declaration_token1] = ACTIONS(1017),
    [aux_sym_namespace_definition_token1] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1017),
    [anon_sym_BSLASH] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(1015),
    [aux_sym_trait_declaration_token1] = ACTIONS(1017),
    [aux_sym_interface_declaration_token1] = ACTIONS(1017),
    [aux_sym_enum_declaration_token1] = ACTIONS(1017),
    [aux_sym_enum_case_token1] = ACTIONS(1017),
    [aux_sym_class_declaration_token1] = ACTIONS(1017),
    [aux_sym_final_modifier_token1] = ACTIONS(1017),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1017),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1017),
    [sym_var_modifier] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1017),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(1017),
    [aux_sym_echo_statement_token1] = ACTIONS(1017),
    [aux_sym_exit_statement_token1] = ACTIONS(1017),
    [anon_sym_unset] = ACTIONS(1017),
    [aux_sym_declare_statement_token1] = ACTIONS(1017),
    [aux_sym_declare_statement_token2] = ACTIONS(1017),
    [sym_float] = ACTIONS(1017),
    [aux_sym_try_statement_token1] = ACTIONS(1017),
    [aux_sym_goto_statement_token1] = ACTIONS(1017),
    [aux_sym_continue_statement_token1] = ACTIONS(1017),
    [aux_sym_break_statement_token1] = ACTIONS(1017),
    [sym_integer] = ACTIONS(1017),
    [aux_sym_return_statement_token1] = ACTIONS(1017),
    [aux_sym_throw_expression_token1] = ACTIONS(1017),
    [aux_sym_while_statement_token1] = ACTIONS(1017),
    [aux_sym_while_statement_token2] = ACTIONS(1017),
    [aux_sym_do_statement_token1] = ACTIONS(1017),
    [aux_sym_for_statement_token1] = ACTIONS(1017),
    [aux_sym_for_statement_token2] = ACTIONS(1017),
    [aux_sym_foreach_statement_token1] = ACTIONS(1017),
    [aux_sym_foreach_statement_token2] = ACTIONS(1017),
    [aux_sym_if_statement_token1] = ACTIONS(1017),
    [aux_sym_if_statement_token2] = ACTIONS(1017),
    [aux_sym_else_if_clause_token1] = ACTIONS(1005),
    [aux_sym_else_clause_token1] = ACTIONS(1007),
    [aux_sym_match_expression_token1] = ACTIONS(1017),
    [aux_sym_match_default_expression_token1] = ACTIONS(1017),
    [aux_sym_switch_statement_token1] = ACTIONS(1017),
    [aux_sym_switch_block_token1] = ACTIONS(1017),
    [anon_sym_PLUS] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1015),
    [anon_sym_AT] = ACTIONS(1015),
    [aux_sym_clone_expression_token1] = ACTIONS(1017),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1017),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(1015),
    [anon_sym_PLUS_PLUS] = ACTIONS(1015),
    [aux_sym__list_destructing_token1] = ACTIONS(1017),
    [anon_sym_LBRACK] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_parent] = ACTIONS(1017),
    [aux_sym__argument_name_token1] = ACTIONS(1017),
    [aux_sym__argument_name_token2] = ACTIONS(1017),
    [anon_sym_POUND_LBRACK] = ACTIONS(1015),
    [aux_sym_encapsed_string_token1] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [aux_sym_string_token1] = ACTIONS(1015),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_LT_LT_LT] = ACTIONS(1015),
    [anon_sym_BQUOTE] = ACTIONS(1015),
    [anon_sym_DOLLAR] = ACTIONS(1015),
    [aux_sym_yield_expression_token1] = ACTIONS(1017),
    [aux_sym_include_expression_token1] = ACTIONS(1017),
    [aux_sym_include_once_expression_token1] = ACTIONS(1017),
    [aux_sym_require_expression_token1] = ACTIONS(1017),
    [aux_sym_require_once_expression_token1] = ACTIONS(1017),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_else_if_clause] = STATE(477),
    [sym_else_clause] = STATE(475),
    [aux_sym_if_statement_repeat1] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_name] = ACTIONS(1017),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1015),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1017),
    [aux_sym_global_declaration_token1] = ACTIONS(1017),
    [aux_sym_namespace_definition_token1] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1017),
    [anon_sym_BSLASH] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(1015),
    [aux_sym_trait_declaration_token1] = ACTIONS(1017),
    [aux_sym_interface_declaration_token1] = ACTIONS(1017),
    [aux_sym_enum_declaration_token1] = ACTIONS(1017),
    [aux_sym_enum_case_token1] = ACTIONS(1017),
    [aux_sym_class_declaration_token1] = ACTIONS(1017),
    [aux_sym_final_modifier_token1] = ACTIONS(1017),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1017),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1017),
    [sym_var_modifier] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1017),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(1017),
    [aux_sym_echo_statement_token1] = ACTIONS(1017),
    [aux_sym_exit_statement_token1] = ACTIONS(1017),
    [anon_sym_unset] = ACTIONS(1017),
    [aux_sym_declare_statement_token1] = ACTIONS(1017),
    [aux_sym_declare_statement_token2] = ACTIONS(1017),
    [sym_float] = ACTIONS(1017),
    [aux_sym_try_statement_token1] = ACTIONS(1017),
    [aux_sym_goto_statement_token1] = ACTIONS(1017),
    [aux_sym_continue_statement_token1] = ACTIONS(1017),
    [aux_sym_break_statement_token1] = ACTIONS(1017),
    [sym_integer] = ACTIONS(1017),
    [aux_sym_return_statement_token1] = ACTIONS(1017),
    [aux_sym_throw_expression_token1] = ACTIONS(1017),
    [aux_sym_while_statement_token1] = ACTIONS(1017),
    [aux_sym_while_statement_token2] = ACTIONS(1017),
    [aux_sym_do_statement_token1] = ACTIONS(1017),
    [aux_sym_for_statement_token1] = ACTIONS(1017),
    [aux_sym_for_statement_token2] = ACTIONS(1017),
    [aux_sym_foreach_statement_token1] = ACTIONS(1017),
    [aux_sym_foreach_statement_token2] = ACTIONS(1017),
    [aux_sym_if_statement_token1] = ACTIONS(1017),
    [aux_sym_if_statement_token2] = ACTIONS(1017),
    [aux_sym_else_if_clause_token1] = ACTIONS(1019),
    [aux_sym_else_clause_token1] = ACTIONS(1022),
    [aux_sym_match_expression_token1] = ACTIONS(1017),
    [aux_sym_match_default_expression_token1] = ACTIONS(1017),
    [aux_sym_switch_statement_token1] = ACTIONS(1017),
    [aux_sym_switch_block_token1] = ACTIONS(1017),
    [anon_sym_PLUS] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1015),
    [anon_sym_AT] = ACTIONS(1015),
    [aux_sym_clone_expression_token1] = ACTIONS(1017),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1017),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(1015),
    [anon_sym_PLUS_PLUS] = ACTIONS(1015),
    [aux_sym__list_destructing_token1] = ACTIONS(1017),
    [anon_sym_LBRACK] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_parent] = ACTIONS(1017),
    [aux_sym__argument_name_token1] = ACTIONS(1017),
    [aux_sym__argument_name_token2] = ACTIONS(1017),
    [anon_sym_POUND_LBRACK] = ACTIONS(1015),
    [aux_sym_encapsed_string_token1] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [aux_sym_string_token1] = ACTIONS(1015),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_LT_LT_LT] = ACTIONS(1015),
    [anon_sym_BQUOTE] = ACTIONS(1015),
    [anon_sym_DOLLAR] = ACTIONS(1015),
    [aux_sym_yield_expression_token1] = ACTIONS(1017),
    [aux_sym_include_expression_token1] = ACTIONS(1017),
    [aux_sym_include_once_expression_token1] = ACTIONS(1017),
    [aux_sym_require_expression_token1] = ACTIONS(1017),
    [aux_sym_require_once_expression_token1] = ACTIONS(1017),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_else_if_clause] = STATE(477),
    [aux_sym_if_statement_repeat1] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(1025),
    [sym_name] = ACTIONS(1027),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1025),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1027),
    [aux_sym_global_declaration_token1] = ACTIONS(1027),
    [aux_sym_namespace_definition_token1] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1027),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1027),
    [anon_sym_BSLASH] = ACTIONS(1025),
    [anon_sym_LBRACE] = ACTIONS(1025),
    [anon_sym_RBRACE] = ACTIONS(1025),
    [aux_sym_trait_declaration_token1] = ACTIONS(1027),
    [aux_sym_interface_declaration_token1] = ACTIONS(1027),
    [aux_sym_enum_declaration_token1] = ACTIONS(1027),
    [aux_sym_enum_case_token1] = ACTIONS(1027),
    [aux_sym_class_declaration_token1] = ACTIONS(1027),
    [aux_sym_final_modifier_token1] = ACTIONS(1027),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1027),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1027),
    [sym_var_modifier] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1027),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1027),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1025),
    [aux_sym_cast_type_token1] = ACTIONS(1027),
    [aux_sym_echo_statement_token1] = ACTIONS(1027),
    [aux_sym_exit_statement_token1] = ACTIONS(1027),
    [anon_sym_unset] = ACTIONS(1027),
    [aux_sym_declare_statement_token1] = ACTIONS(1027),
    [aux_sym_declare_statement_token2] = ACTIONS(1027),
    [sym_float] = ACTIONS(1027),
    [aux_sym_try_statement_token1] = ACTIONS(1027),
    [aux_sym_goto_statement_token1] = ACTIONS(1027),
    [aux_sym_continue_statement_token1] = ACTIONS(1027),
    [aux_sym_break_statement_token1] = ACTIONS(1027),
    [sym_integer] = ACTIONS(1027),
    [aux_sym_return_statement_token1] = ACTIONS(1027),
    [aux_sym_throw_expression_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token1] = ACTIONS(1027),
    [aux_sym_while_statement_token2] = ACTIONS(1027),
    [aux_sym_do_statement_token1] = ACTIONS(1027),
    [aux_sym_for_statement_token1] = ACTIONS(1027),
    [aux_sym_for_statement_token2] = ACTIONS(1027),
    [aux_sym_foreach_statement_token1] = ACTIONS(1027),
    [aux_sym_foreach_statement_token2] = ACTIONS(1027),
    [aux_sym_if_statement_token1] = ACTIONS(1027),
    [aux_sym_if_statement_token2] = ACTIONS(1027),
    [aux_sym_else_if_clause_token1] = ACTIONS(1029),
    [aux_sym_else_clause_token1] = ACTIONS(1027),
    [aux_sym_match_expression_token1] = ACTIONS(1027),
    [aux_sym_match_default_expression_token1] = ACTIONS(1027),
    [aux_sym_switch_statement_token1] = ACTIONS(1027),
    [aux_sym_switch_block_token1] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_TILDE] = ACTIONS(1025),
    [anon_sym_BANG] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1025),
    [aux_sym_clone_expression_token1] = ACTIONS(1027),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1027),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1025),
    [anon_sym_PLUS_PLUS] = ACTIONS(1025),
    [aux_sym__list_destructing_token1] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(1027),
    [anon_sym_parent] = ACTIONS(1027),
    [aux_sym__argument_name_token1] = ACTIONS(1027),
    [aux_sym__argument_name_token2] = ACTIONS(1027),
    [anon_sym_POUND_LBRACK] = ACTIONS(1025),
    [aux_sym_encapsed_string_token1] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(1025),
    [aux_sym_string_token1] = ACTIONS(1025),
    [anon_sym_SQUOTE] = ACTIONS(1025),
    [anon_sym_LT_LT_LT] = ACTIONS(1025),
    [anon_sym_BQUOTE] = ACTIONS(1025),
    [anon_sym_DOLLAR] = ACTIONS(1025),
    [aux_sym_yield_expression_token1] = ACTIONS(1027),
    [aux_sym_include_expression_token1] = ACTIONS(1027),
    [aux_sym_include_once_expression_token1] = ACTIONS(1027),
    [aux_sym_require_expression_token1] = ACTIONS(1027),
    [aux_sym_require_once_expression_token1] = ACTIONS(1027),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_name] = ACTIONS(1034),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1032),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1034),
    [aux_sym_global_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_definition_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1034),
    [anon_sym_BSLASH] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [aux_sym_trait_declaration_token1] = ACTIONS(1034),
    [aux_sym_interface_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_case_token1] = ACTIONS(1034),
    [aux_sym_class_declaration_token1] = ACTIONS(1034),
    [aux_sym_final_modifier_token1] = ACTIONS(1034),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1034),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1034),
    [sym_var_modifier] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1034),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [aux_sym_cast_type_token1] = ACTIONS(1034),
    [aux_sym_echo_statement_token1] = ACTIONS(1034),
    [aux_sym_exit_statement_token1] = ACTIONS(1034),
    [anon_sym_unset] = ACTIONS(1034),
    [aux_sym_declare_statement_token1] = ACTIONS(1034),
    [aux_sym_declare_statement_token2] = ACTIONS(1034),
    [sym_float] = ACTIONS(1034),
    [aux_sym_try_statement_token1] = ACTIONS(1034),
    [aux_sym_catch_clause_token1] = ACTIONS(1034),
    [aux_sym_finally_clause_token1] = ACTIONS(1034),
    [aux_sym_goto_statement_token1] = ACTIONS(1034),
    [aux_sym_continue_statement_token1] = ACTIONS(1034),
    [aux_sym_break_statement_token1] = ACTIONS(1034),
    [sym_integer] = ACTIONS(1034),
    [aux_sym_return_statement_token1] = ACTIONS(1034),
    [aux_sym_throw_expression_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token2] = ACTIONS(1034),
    [aux_sym_do_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token2] = ACTIONS(1034),
    [aux_sym_foreach_statement_token1] = ACTIONS(1034),
    [aux_sym_foreach_statement_token2] = ACTIONS(1034),
    [aux_sym_if_statement_token1] = ACTIONS(1034),
    [aux_sym_if_statement_token2] = ACTIONS(1034),
    [aux_sym_else_if_clause_token1] = ACTIONS(1034),
    [aux_sym_else_clause_token1] = ACTIONS(1034),
    [aux_sym_match_expression_token1] = ACTIONS(1034),
    [aux_sym_match_default_expression_token1] = ACTIONS(1034),
    [aux_sym_switch_statement_token1] = ACTIONS(1034),
    [aux_sym_switch_block_token1] = ACTIONS(1034),
    [anon_sym_PLUS] = ACTIONS(1034),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1032),
    [aux_sym_clone_expression_token1] = ACTIONS(1034),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1034),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [aux_sym__list_destructing_token1] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_self] = ACTIONS(1034),
    [anon_sym_parent] = ACTIONS(1034),
    [aux_sym__argument_name_token1] = ACTIONS(1034),
    [aux_sym__argument_name_token2] = ACTIONS(1034),
    [anon_sym_POUND_LBRACK] = ACTIONS(1032),
    [aux_sym_encapsed_string_token1] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(1032),
    [aux_sym_string_token1] = ACTIONS(1032),
    [anon_sym_SQUOTE] = ACTIONS(1032),
    [anon_sym_LT_LT_LT] = ACTIONS(1032),
    [anon_sym_BQUOTE] = ACTIONS(1032),
    [anon_sym_DOLLAR] = ACTIONS(1032),
    [aux_sym_yield_expression_token1] = ACTIONS(1034),
    [aux_sym_include_expression_token1] = ACTIONS(1034),
    [aux_sym_include_once_expression_token1] = ACTIONS(1034),
    [aux_sym_require_expression_token1] = ACTIONS(1034),
    [aux_sym_require_once_expression_token1] = ACTIONS(1034),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym_name] = ACTIONS(1038),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1036),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1038),
    [aux_sym_global_declaration_token1] = ACTIONS(1038),
    [aux_sym_namespace_definition_token1] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1038),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1038),
    [anon_sym_BSLASH] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [aux_sym_trait_declaration_token1] = ACTIONS(1038),
    [aux_sym_interface_declaration_token1] = ACTIONS(1038),
    [aux_sym_enum_declaration_token1] = ACTIONS(1038),
    [aux_sym_enum_case_token1] = ACTIONS(1038),
    [aux_sym_class_declaration_token1] = ACTIONS(1038),
    [aux_sym_final_modifier_token1] = ACTIONS(1038),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1038),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1038),
    [sym_var_modifier] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1038),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1038),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [aux_sym_cast_type_token1] = ACTIONS(1038),
    [aux_sym_echo_statement_token1] = ACTIONS(1038),
    [aux_sym_exit_statement_token1] = ACTIONS(1038),
    [anon_sym_unset] = ACTIONS(1038),
    [aux_sym_declare_statement_token1] = ACTIONS(1038),
    [aux_sym_declare_statement_token2] = ACTIONS(1038),
    [sym_float] = ACTIONS(1038),
    [aux_sym_try_statement_token1] = ACTIONS(1038),
    [aux_sym_catch_clause_token1] = ACTIONS(1038),
    [aux_sym_finally_clause_token1] = ACTIONS(1038),
    [aux_sym_goto_statement_token1] = ACTIONS(1038),
    [aux_sym_continue_statement_token1] = ACTIONS(1038),
    [aux_sym_break_statement_token1] = ACTIONS(1038),
    [sym_integer] = ACTIONS(1038),
    [aux_sym_return_statement_token1] = ACTIONS(1038),
    [aux_sym_throw_expression_token1] = ACTIONS(1038),
    [aux_sym_while_statement_token1] = ACTIONS(1038),
    [aux_sym_while_statement_token2] = ACTIONS(1038),
    [aux_sym_do_statement_token1] = ACTIONS(1038),
    [aux_sym_for_statement_token1] = ACTIONS(1038),
    [aux_sym_for_statement_token2] = ACTIONS(1038),
    [aux_sym_foreach_statement_token1] = ACTIONS(1038),
    [aux_sym_foreach_statement_token2] = ACTIONS(1038),
    [aux_sym_if_statement_token1] = ACTIONS(1038),
    [aux_sym_if_statement_token2] = ACTIONS(1038),
    [aux_sym_else_if_clause_token1] = ACTIONS(1038),
    [aux_sym_else_clause_token1] = ACTIONS(1038),
    [aux_sym_match_expression_token1] = ACTIONS(1038),
    [aux_sym_match_default_expression_token1] = ACTIONS(1038),
    [aux_sym_switch_statement_token1] = ACTIONS(1038),
    [aux_sym_switch_block_token1] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1036),
    [aux_sym_clone_expression_token1] = ACTIONS(1038),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1038),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1036),
    [anon_sym_PLUS_PLUS] = ACTIONS(1036),
    [aux_sym__list_destructing_token1] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [anon_sym_self] = ACTIONS(1038),
    [anon_sym_parent] = ACTIONS(1038),
    [aux_sym__argument_name_token1] = ACTIONS(1038),
    [aux_sym__argument_name_token2] = ACTIONS(1038),
    [anon_sym_POUND_LBRACK] = ACTIONS(1036),
    [aux_sym_encapsed_string_token1] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [aux_sym_string_token1] = ACTIONS(1036),
    [anon_sym_SQUOTE] = ACTIONS(1036),
    [anon_sym_LT_LT_LT] = ACTIONS(1036),
    [anon_sym_BQUOTE] = ACTIONS(1036),
    [anon_sym_DOLLAR] = ACTIONS(1036),
    [aux_sym_yield_expression_token1] = ACTIONS(1038),
    [aux_sym_include_expression_token1] = ACTIONS(1038),
    [aux_sym_include_once_expression_token1] = ACTIONS(1038),
    [aux_sym_require_expression_token1] = ACTIONS(1038),
    [aux_sym_require_once_expression_token1] = ACTIONS(1038),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [sym_var_modifier] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [aux_sym_exit_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_catch_clause_token1] = ACTIONS(1042),
    [aux_sym_finally_clause_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [aux_sym__argument_name_token1] = ACTIONS(1042),
    [aux_sym__argument_name_token2] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_name] = ACTIONS(1046),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1044),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1046),
    [aux_sym_global_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_definition_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1046),
    [anon_sym_BSLASH] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [aux_sym_trait_declaration_token1] = ACTIONS(1046),
    [aux_sym_interface_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_case_token1] = ACTIONS(1046),
    [aux_sym_class_declaration_token1] = ACTIONS(1046),
    [aux_sym_final_modifier_token1] = ACTIONS(1046),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1046),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1046),
    [sym_var_modifier] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1046),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [aux_sym_cast_type_token1] = ACTIONS(1046),
    [aux_sym_echo_statement_token1] = ACTIONS(1046),
    [aux_sym_exit_statement_token1] = ACTIONS(1046),
    [anon_sym_unset] = ACTIONS(1046),
    [aux_sym_declare_statement_token1] = ACTIONS(1046),
    [aux_sym_declare_statement_token2] = ACTIONS(1046),
    [sym_float] = ACTIONS(1046),
    [aux_sym_try_statement_token1] = ACTIONS(1046),
    [aux_sym_catch_clause_token1] = ACTIONS(1046),
    [aux_sym_finally_clause_token1] = ACTIONS(1046),
    [aux_sym_goto_statement_token1] = ACTIONS(1046),
    [aux_sym_continue_statement_token1] = ACTIONS(1046),
    [aux_sym_break_statement_token1] = ACTIONS(1046),
    [sym_integer] = ACTIONS(1046),
    [aux_sym_return_statement_token1] = ACTIONS(1046),
    [aux_sym_throw_expression_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token2] = ACTIONS(1046),
    [aux_sym_do_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token2] = ACTIONS(1046),
    [aux_sym_foreach_statement_token1] = ACTIONS(1046),
    [aux_sym_foreach_statement_token2] = ACTIONS(1046),
    [aux_sym_if_statement_token1] = ACTIONS(1046),
    [aux_sym_if_statement_token2] = ACTIONS(1046),
    [aux_sym_else_if_clause_token1] = ACTIONS(1046),
    [aux_sym_else_clause_token1] = ACTIONS(1046),
    [aux_sym_match_expression_token1] = ACTIONS(1046),
    [aux_sym_match_default_expression_token1] = ACTIONS(1046),
    [aux_sym_switch_statement_token1] = ACTIONS(1046),
    [aux_sym_switch_block_token1] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [aux_sym_clone_expression_token1] = ACTIONS(1046),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1046),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1044),
    [aux_sym__list_destructing_token1] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_self] = ACTIONS(1046),
    [anon_sym_parent] = ACTIONS(1046),
    [aux_sym__argument_name_token1] = ACTIONS(1046),
    [aux_sym__argument_name_token2] = ACTIONS(1046),
    [anon_sym_POUND_LBRACK] = ACTIONS(1044),
    [aux_sym_encapsed_string_token1] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [aux_sym_string_token1] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1044),
    [anon_sym_LT_LT_LT] = ACTIONS(1044),
    [anon_sym_BQUOTE] = ACTIONS(1044),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [aux_sym_yield_expression_token1] = ACTIONS(1046),
    [aux_sym_include_expression_token1] = ACTIONS(1046),
    [aux_sym_include_once_expression_token1] = ACTIONS(1046),
    [aux_sym_require_expression_token1] = ACTIONS(1046),
    [aux_sym_require_once_expression_token1] = ACTIONS(1046),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_name] = ACTIONS(1050),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1048),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1050),
    [aux_sym_global_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_definition_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1050),
    [anon_sym_BSLASH] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [aux_sym_trait_declaration_token1] = ACTIONS(1050),
    [aux_sym_interface_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_case_token1] = ACTIONS(1050),
    [aux_sym_class_declaration_token1] = ACTIONS(1050),
    [aux_sym_final_modifier_token1] = ACTIONS(1050),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1050),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1050),
    [sym_var_modifier] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1050),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [aux_sym_cast_type_token1] = ACTIONS(1050),
    [aux_sym_echo_statement_token1] = ACTIONS(1050),
    [aux_sym_exit_statement_token1] = ACTIONS(1050),
    [anon_sym_unset] = ACTIONS(1050),
    [aux_sym_declare_statement_token1] = ACTIONS(1050),
    [aux_sym_declare_statement_token2] = ACTIONS(1050),
    [sym_float] = ACTIONS(1050),
    [aux_sym_try_statement_token1] = ACTIONS(1050),
    [aux_sym_catch_clause_token1] = ACTIONS(1050),
    [aux_sym_finally_clause_token1] = ACTIONS(1050),
    [aux_sym_goto_statement_token1] = ACTIONS(1050),
    [aux_sym_continue_statement_token1] = ACTIONS(1050),
    [aux_sym_break_statement_token1] = ACTIONS(1050),
    [sym_integer] = ACTIONS(1050),
    [aux_sym_return_statement_token1] = ACTIONS(1050),
    [aux_sym_throw_expression_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token2] = ACTIONS(1050),
    [aux_sym_do_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token2] = ACTIONS(1050),
    [aux_sym_foreach_statement_token1] = ACTIONS(1050),
    [aux_sym_foreach_statement_token2] = ACTIONS(1050),
    [aux_sym_if_statement_token1] = ACTIONS(1050),
    [aux_sym_if_statement_token2] = ACTIONS(1050),
    [aux_sym_else_if_clause_token1] = ACTIONS(1050),
    [aux_sym_else_clause_token1] = ACTIONS(1050),
    [aux_sym_match_expression_token1] = ACTIONS(1050),
    [aux_sym_match_default_expression_token1] = ACTIONS(1050),
    [aux_sym_switch_statement_token1] = ACTIONS(1050),
    [aux_sym_switch_block_token1] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [aux_sym_clone_expression_token1] = ACTIONS(1050),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1050),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1048),
    [aux_sym__list_destructing_token1] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_self] = ACTIONS(1050),
    [anon_sym_parent] = ACTIONS(1050),
    [aux_sym__argument_name_token1] = ACTIONS(1050),
    [aux_sym__argument_name_token2] = ACTIONS(1050),
    [anon_sym_POUND_LBRACK] = ACTIONS(1048),
    [aux_sym_encapsed_string_token1] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [aux_sym_string_token1] = ACTIONS(1048),
    [anon_sym_SQUOTE] = ACTIONS(1048),
    [anon_sym_LT_LT_LT] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [aux_sym_yield_expression_token1] = ACTIONS(1050),
    [aux_sym_include_expression_token1] = ACTIONS(1050),
    [aux_sym_include_once_expression_token1] = ACTIONS(1050),
    [aux_sym_require_expression_token1] = ACTIONS(1050),
    [aux_sym_require_once_expression_token1] = ACTIONS(1050),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_name] = ACTIONS(1054),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1052),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1054),
    [aux_sym_global_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_definition_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1054),
    [anon_sym_BSLASH] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [aux_sym_trait_declaration_token1] = ACTIONS(1054),
    [aux_sym_interface_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_case_token1] = ACTIONS(1054),
    [aux_sym_class_declaration_token1] = ACTIONS(1054),
    [aux_sym_final_modifier_token1] = ACTIONS(1054),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1054),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1054),
    [sym_var_modifier] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1054),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [aux_sym_cast_type_token1] = ACTIONS(1054),
    [aux_sym_echo_statement_token1] = ACTIONS(1054),
    [aux_sym_exit_statement_token1] = ACTIONS(1054),
    [anon_sym_unset] = ACTIONS(1054),
    [aux_sym_declare_statement_token1] = ACTIONS(1054),
    [aux_sym_declare_statement_token2] = ACTIONS(1054),
    [sym_float] = ACTIONS(1054),
    [aux_sym_try_statement_token1] = ACTIONS(1054),
    [aux_sym_catch_clause_token1] = ACTIONS(1054),
    [aux_sym_finally_clause_token1] = ACTIONS(1054),
    [aux_sym_goto_statement_token1] = ACTIONS(1054),
    [aux_sym_continue_statement_token1] = ACTIONS(1054),
    [aux_sym_break_statement_token1] = ACTIONS(1054),
    [sym_integer] = ACTIONS(1054),
    [aux_sym_return_statement_token1] = ACTIONS(1054),
    [aux_sym_throw_expression_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token2] = ACTIONS(1054),
    [aux_sym_do_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token2] = ACTIONS(1054),
    [aux_sym_foreach_statement_token1] = ACTIONS(1054),
    [aux_sym_foreach_statement_token2] = ACTIONS(1054),
    [aux_sym_if_statement_token1] = ACTIONS(1054),
    [aux_sym_if_statement_token2] = ACTIONS(1054),
    [aux_sym_else_if_clause_token1] = ACTIONS(1054),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1054),
    [aux_sym_match_default_expression_token1] = ACTIONS(1054),
    [aux_sym_switch_statement_token1] = ACTIONS(1054),
    [aux_sym_switch_block_token1] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_AT] = ACTIONS(1052),
    [aux_sym_clone_expression_token1] = ACTIONS(1054),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1054),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1054),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [aux_sym__list_destructing_token1] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_self] = ACTIONS(1054),
    [anon_sym_parent] = ACTIONS(1054),
    [aux_sym__argument_name_token1] = ACTIONS(1054),
    [aux_sym__argument_name_token2] = ACTIONS(1054),
    [anon_sym_POUND_LBRACK] = ACTIONS(1052),
    [aux_sym_encapsed_string_token1] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1052),
    [aux_sym_string_token1] = ACTIONS(1052),
    [anon_sym_SQUOTE] = ACTIONS(1052),
    [anon_sym_LT_LT_LT] = ACTIONS(1052),
    [anon_sym_BQUOTE] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1052),
    [aux_sym_yield_expression_token1] = ACTIONS(1054),
    [aux_sym_include_expression_token1] = ACTIONS(1054),
    [aux_sym_include_once_expression_token1] = ACTIONS(1054),
    [aux_sym_require_expression_token1] = ACTIONS(1054),
    [aux_sym_require_once_expression_token1] = ACTIONS(1054),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(911),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(592),
    [sym_member_access_expression] = STATE(592),
    [sym_nullsafe_member_access_expression] = STATE(592),
    [sym_scoped_property_access_expression] = STATE(592),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(911),
    [sym_include_once_expression] = STATE(911),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_TILDE] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AT] = ACTIONS(645),
    [aux_sym_clone_expression_token1] = ACTIONS(647),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(657),
    [aux_sym_include_once_expression_token1] = ACTIONS(659),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(1058),
    [sym_name] = ACTIONS(1060),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1062),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1060),
    [aux_sym_global_declaration_token1] = ACTIONS(1060),
    [aux_sym_namespace_definition_token1] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1060),
    [anon_sym_BSLASH] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1058),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [aux_sym_trait_declaration_token1] = ACTIONS(1060),
    [aux_sym_interface_declaration_token1] = ACTIONS(1060),
    [aux_sym_enum_declaration_token1] = ACTIONS(1060),
    [aux_sym_enum_case_token1] = ACTIONS(1060),
    [aux_sym_class_declaration_token1] = ACTIONS(1060),
    [aux_sym_final_modifier_token1] = ACTIONS(1060),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1060),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1060),
    [sym_var_modifier] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1060),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1060),
    [anon_sym_LPAREN] = ACTIONS(1058),
    [aux_sym_cast_type_token1] = ACTIONS(1060),
    [aux_sym_echo_statement_token1] = ACTIONS(1060),
    [aux_sym_exit_statement_token1] = ACTIONS(1060),
    [anon_sym_unset] = ACTIONS(1060),
    [aux_sym_declare_statement_token1] = ACTIONS(1060),
    [aux_sym_declare_statement_token2] = ACTIONS(1060),
    [sym_float] = ACTIONS(1060),
    [aux_sym_try_statement_token1] = ACTIONS(1060),
    [aux_sym_goto_statement_token1] = ACTIONS(1060),
    [aux_sym_continue_statement_token1] = ACTIONS(1060),
    [aux_sym_break_statement_token1] = ACTIONS(1060),
    [sym_integer] = ACTIONS(1060),
    [aux_sym_return_statement_token1] = ACTIONS(1060),
    [aux_sym_throw_expression_token1] = ACTIONS(1060),
    [aux_sym_while_statement_token1] = ACTIONS(1060),
    [aux_sym_while_statement_token2] = ACTIONS(1060),
    [aux_sym_do_statement_token1] = ACTIONS(1060),
    [aux_sym_for_statement_token1] = ACTIONS(1060),
    [aux_sym_for_statement_token2] = ACTIONS(1060),
    [aux_sym_foreach_statement_token1] = ACTIONS(1060),
    [aux_sym_foreach_statement_token2] = ACTIONS(1060),
    [aux_sym_if_statement_token1] = ACTIONS(1060),
    [aux_sym_if_statement_token2] = ACTIONS(1060),
    [aux_sym_else_if_clause_token1] = ACTIONS(1060),
    [aux_sym_else_clause_token1] = ACTIONS(1060),
    [aux_sym_match_expression_token1] = ACTIONS(1060),
    [aux_sym_match_default_expression_token1] = ACTIONS(1060),
    [aux_sym_switch_statement_token1] = ACTIONS(1060),
    [aux_sym_switch_block_token1] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_TILDE] = ACTIONS(1058),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1058),
    [aux_sym_clone_expression_token1] = ACTIONS(1060),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1060),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1060),
    [anon_sym_DASH_DASH] = ACTIONS(1058),
    [anon_sym_PLUS_PLUS] = ACTIONS(1058),
    [aux_sym__list_destructing_token1] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_self] = ACTIONS(1060),
    [anon_sym_parent] = ACTIONS(1060),
    [aux_sym__argument_name_token1] = ACTIONS(1060),
    [aux_sym__argument_name_token2] = ACTIONS(1060),
    [anon_sym_POUND_LBRACK] = ACTIONS(1058),
    [aux_sym_encapsed_string_token1] = ACTIONS(1058),
    [anon_sym_DQUOTE] = ACTIONS(1058),
    [aux_sym_string_token1] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1058),
    [anon_sym_LT_LT_LT] = ACTIONS(1058),
    [anon_sym_BQUOTE] = ACTIONS(1058),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [aux_sym_yield_expression_token1] = ACTIONS(1060),
    [aux_sym_include_expression_token1] = ACTIONS(1060),
    [aux_sym_include_once_expression_token1] = ACTIONS(1060),
    [aux_sym_require_expression_token1] = ACTIONS(1060),
    [aux_sym_require_once_expression_token1] = ACTIONS(1060),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1062),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1064),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [sym_var_modifier] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [aux_sym_exit_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [aux_sym__argument_name_token1] = ACTIONS(1066),
    [aux_sym__argument_name_token2] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1064),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_name] = ACTIONS(1070),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1070),
    [aux_sym_global_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_definition_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1070),
    [anon_sym_BSLASH] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [aux_sym_trait_declaration_token1] = ACTIONS(1070),
    [aux_sym_interface_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_case_token1] = ACTIONS(1070),
    [aux_sym_class_declaration_token1] = ACTIONS(1070),
    [aux_sym_final_modifier_token1] = ACTIONS(1070),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1070),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1070),
    [sym_var_modifier] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1070),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1070),
    [anon_sym_LPAREN] = ACTIONS(1068),
    [aux_sym_cast_type_token1] = ACTIONS(1070),
    [aux_sym_echo_statement_token1] = ACTIONS(1070),
    [aux_sym_exit_statement_token1] = ACTIONS(1070),
    [anon_sym_unset] = ACTIONS(1070),
    [aux_sym_declare_statement_token1] = ACTIONS(1070),
    [aux_sym_declare_statement_token2] = ACTIONS(1070),
    [sym_float] = ACTIONS(1070),
    [aux_sym_try_statement_token1] = ACTIONS(1070),
    [aux_sym_goto_statement_token1] = ACTIONS(1070),
    [aux_sym_continue_statement_token1] = ACTIONS(1070),
    [aux_sym_break_statement_token1] = ACTIONS(1070),
    [sym_integer] = ACTIONS(1070),
    [aux_sym_return_statement_token1] = ACTIONS(1070),
    [aux_sym_throw_expression_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token2] = ACTIONS(1070),
    [aux_sym_do_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token2] = ACTIONS(1070),
    [aux_sym_foreach_statement_token1] = ACTIONS(1070),
    [aux_sym_foreach_statement_token2] = ACTIONS(1070),
    [aux_sym_if_statement_token1] = ACTIONS(1070),
    [aux_sym_if_statement_token2] = ACTIONS(1070),
    [aux_sym_else_if_clause_token1] = ACTIONS(1070),
    [aux_sym_else_clause_token1] = ACTIONS(1070),
    [aux_sym_match_expression_token1] = ACTIONS(1070),
    [aux_sym_match_default_expression_token1] = ACTIONS(1070),
    [aux_sym_switch_statement_token1] = ACTIONS(1070),
    [aux_sym_switch_block_token1] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1068),
    [aux_sym_clone_expression_token1] = ACTIONS(1070),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1070),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [aux_sym__list_destructing_token1] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_self] = ACTIONS(1070),
    [anon_sym_parent] = ACTIONS(1070),
    [aux_sym__argument_name_token1] = ACTIONS(1070),
    [aux_sym__argument_name_token2] = ACTIONS(1070),
    [anon_sym_POUND_LBRACK] = ACTIONS(1068),
    [aux_sym_encapsed_string_token1] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_string_token1] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [anon_sym_LT_LT_LT] = ACTIONS(1068),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [anon_sym_DOLLAR] = ACTIONS(1068),
    [aux_sym_yield_expression_token1] = ACTIONS(1070),
    [aux_sym_include_expression_token1] = ACTIONS(1070),
    [aux_sym_include_once_expression_token1] = ACTIONS(1070),
    [aux_sym_require_expression_token1] = ACTIONS(1070),
    [aux_sym_require_once_expression_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1072),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(1074),
    [sym_name] = ACTIONS(1076),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1078),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1076),
    [aux_sym_global_declaration_token1] = ACTIONS(1076),
    [aux_sym_namespace_definition_token1] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1076),
    [anon_sym_BSLASH] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1074),
    [anon_sym_RBRACE] = ACTIONS(1074),
    [aux_sym_trait_declaration_token1] = ACTIONS(1076),
    [aux_sym_interface_declaration_token1] = ACTIONS(1076),
    [aux_sym_enum_declaration_token1] = ACTIONS(1076),
    [aux_sym_enum_case_token1] = ACTIONS(1076),
    [aux_sym_class_declaration_token1] = ACTIONS(1076),
    [aux_sym_final_modifier_token1] = ACTIONS(1076),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1076),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1076),
    [sym_var_modifier] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1076),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [aux_sym_cast_type_token1] = ACTIONS(1076),
    [aux_sym_echo_statement_token1] = ACTIONS(1076),
    [aux_sym_exit_statement_token1] = ACTIONS(1076),
    [anon_sym_unset] = ACTIONS(1076),
    [aux_sym_declare_statement_token1] = ACTIONS(1076),
    [aux_sym_declare_statement_token2] = ACTIONS(1076),
    [sym_float] = ACTIONS(1076),
    [aux_sym_try_statement_token1] = ACTIONS(1076),
    [aux_sym_goto_statement_token1] = ACTIONS(1076),
    [aux_sym_continue_statement_token1] = ACTIONS(1076),
    [aux_sym_break_statement_token1] = ACTIONS(1076),
    [sym_integer] = ACTIONS(1076),
    [aux_sym_return_statement_token1] = ACTIONS(1076),
    [aux_sym_throw_expression_token1] = ACTIONS(1076),
    [aux_sym_while_statement_token1] = ACTIONS(1076),
    [aux_sym_while_statement_token2] = ACTIONS(1076),
    [aux_sym_do_statement_token1] = ACTIONS(1076),
    [aux_sym_for_statement_token1] = ACTIONS(1076),
    [aux_sym_for_statement_token2] = ACTIONS(1076),
    [aux_sym_foreach_statement_token1] = ACTIONS(1076),
    [aux_sym_foreach_statement_token2] = ACTIONS(1076),
    [aux_sym_if_statement_token1] = ACTIONS(1076),
    [aux_sym_if_statement_token2] = ACTIONS(1076),
    [aux_sym_else_if_clause_token1] = ACTIONS(1076),
    [aux_sym_else_clause_token1] = ACTIONS(1076),
    [aux_sym_match_expression_token1] = ACTIONS(1076),
    [aux_sym_match_default_expression_token1] = ACTIONS(1076),
    [aux_sym_switch_statement_token1] = ACTIONS(1076),
    [aux_sym_switch_block_token1] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(1074),
    [aux_sym_clone_expression_token1] = ACTIONS(1076),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1076),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1076),
    [anon_sym_DASH_DASH] = ACTIONS(1074),
    [anon_sym_PLUS_PLUS] = ACTIONS(1074),
    [aux_sym__list_destructing_token1] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_self] = ACTIONS(1076),
    [anon_sym_parent] = ACTIONS(1076),
    [aux_sym__argument_name_token1] = ACTIONS(1076),
    [aux_sym__argument_name_token2] = ACTIONS(1076),
    [anon_sym_POUND_LBRACK] = ACTIONS(1074),
    [aux_sym_encapsed_string_token1] = ACTIONS(1074),
    [anon_sym_DQUOTE] = ACTIONS(1074),
    [aux_sym_string_token1] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1074),
    [anon_sym_LT_LT_LT] = ACTIONS(1074),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [aux_sym_yield_expression_token1] = ACTIONS(1076),
    [aux_sym_include_expression_token1] = ACTIONS(1076),
    [aux_sym_include_once_expression_token1] = ACTIONS(1076),
    [aux_sym_require_expression_token1] = ACTIONS(1076),
    [aux_sym_require_once_expression_token1] = ACTIONS(1076),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1078),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym__unary_expression] = STATE(1130),
    [sym_unary_op_expression] = STATE(1106),
    [sym_error_suppression_expression] = STATE(1130),
    [sym_clone_expression] = STATE(1106),
    [sym_primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(842),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1106),
    [sym_cast_variable] = STATE(626),
    [sym_member_access_expression] = STATE(626),
    [sym_nullsafe_member_access_expression] = STATE(626),
    [sym_scoped_property_access_expression] = STATE(626),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1735),
    [sym_array_creation_expression] = STATE(842),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(844),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_include_expression] = STATE(1130),
    [sym_include_once_expression] = STATE(1130),
    [sym__reserved_identifier] = STATE(1568),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(665),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [sym_var_modifier] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [aux_sym_exit_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [aux_sym__argument_name_token1] = ACTIONS(1084),
    [aux_sym__argument_name_token2] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1082),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_name] = ACTIONS(1088),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1088),
    [aux_sym_global_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_definition_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1088),
    [anon_sym_BSLASH] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym_trait_declaration_token1] = ACTIONS(1088),
    [aux_sym_interface_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_case_token1] = ACTIONS(1088),
    [aux_sym_class_declaration_token1] = ACTIONS(1088),
    [aux_sym_final_modifier_token1] = ACTIONS(1088),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1088),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1088),
    [sym_var_modifier] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1088),
    [anon_sym_LPAREN] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1088),
    [aux_sym_echo_statement_token1] = ACTIONS(1088),
    [aux_sym_exit_statement_token1] = ACTIONS(1088),
    [anon_sym_unset] = ACTIONS(1088),
    [aux_sym_declare_statement_token1] = ACTIONS(1088),
    [aux_sym_declare_statement_token2] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [aux_sym_try_statement_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1088),
    [aux_sym_continue_statement_token1] = ACTIONS(1088),
    [aux_sym_break_statement_token1] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1088),
    [aux_sym_return_statement_token1] = ACTIONS(1088),
    [aux_sym_throw_expression_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token2] = ACTIONS(1088),
    [aux_sym_do_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token2] = ACTIONS(1088),
    [aux_sym_foreach_statement_token1] = ACTIONS(1088),
    [aux_sym_foreach_statement_token2] = ACTIONS(1088),
    [aux_sym_if_statement_token1] = ACTIONS(1088),
    [aux_sym_if_statement_token2] = ACTIONS(1088),
    [aux_sym_else_if_clause_token1] = ACTIONS(1088),
    [aux_sym_else_clause_token1] = ACTIONS(1088),
    [aux_sym_match_expression_token1] = ACTIONS(1088),
    [aux_sym_match_default_expression_token1] = ACTIONS(1088),
    [aux_sym_switch_statement_token1] = ACTIONS(1088),
    [aux_sym_switch_block_token1] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1086),
    [aux_sym_clone_expression_token1] = ACTIONS(1088),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1088),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [aux_sym__list_destructing_token1] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_self] = ACTIONS(1088),
    [anon_sym_parent] = ACTIONS(1088),
    [aux_sym__argument_name_token1] = ACTIONS(1088),
    [aux_sym__argument_name_token2] = ACTIONS(1088),
    [anon_sym_POUND_LBRACK] = ACTIONS(1086),
    [aux_sym_encapsed_string_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [aux_sym_string_token1] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [anon_sym_LT_LT_LT] = ACTIONS(1086),
    [anon_sym_BQUOTE] = ACTIONS(1086),
    [anon_sym_DOLLAR] = ACTIONS(1086),
    [aux_sym_yield_expression_token1] = ACTIONS(1088),
    [aux_sym_include_expression_token1] = ACTIONS(1088),
    [aux_sym_include_once_expression_token1] = ACTIONS(1088),
    [aux_sym_require_expression_token1] = ACTIONS(1088),
    [aux_sym_require_once_expression_token1] = ACTIONS(1088),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1090),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(911),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(592),
    [sym_member_access_expression] = STATE(592),
    [sym_nullsafe_member_access_expression] = STATE(592),
    [sym_scoped_property_access_expression] = STATE(592),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(911),
    [sym_include_once_expression] = STATE(911),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [sym_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [sym_var_modifier] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [aux_sym_exit_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [aux_sym__argument_name_token1] = ACTIONS(1094),
    [aux_sym__argument_name_token2] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1096),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_name] = ACTIONS(1100),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1100),
    [aux_sym_global_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_definition_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1100),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [aux_sym_trait_declaration_token1] = ACTIONS(1100),
    [aux_sym_interface_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_case_token1] = ACTIONS(1100),
    [aux_sym_class_declaration_token1] = ACTIONS(1100),
    [aux_sym_final_modifier_token1] = ACTIONS(1100),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1100),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1100),
    [sym_var_modifier] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1100),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [aux_sym_cast_type_token1] = ACTIONS(1100),
    [aux_sym_echo_statement_token1] = ACTIONS(1100),
    [aux_sym_exit_statement_token1] = ACTIONS(1100),
    [anon_sym_unset] = ACTIONS(1100),
    [aux_sym_declare_statement_token1] = ACTIONS(1100),
    [aux_sym_declare_statement_token2] = ACTIONS(1100),
    [sym_float] = ACTIONS(1100),
    [aux_sym_try_statement_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1100),
    [aux_sym_continue_statement_token1] = ACTIONS(1100),
    [aux_sym_break_statement_token1] = ACTIONS(1100),
    [sym_integer] = ACTIONS(1100),
    [aux_sym_return_statement_token1] = ACTIONS(1100),
    [aux_sym_throw_expression_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token2] = ACTIONS(1100),
    [aux_sym_do_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token2] = ACTIONS(1100),
    [aux_sym_foreach_statement_token1] = ACTIONS(1100),
    [aux_sym_foreach_statement_token2] = ACTIONS(1100),
    [aux_sym_if_statement_token1] = ACTIONS(1100),
    [aux_sym_if_statement_token2] = ACTIONS(1100),
    [aux_sym_else_if_clause_token1] = ACTIONS(1100),
    [aux_sym_else_clause_token1] = ACTIONS(1100),
    [aux_sym_match_expression_token1] = ACTIONS(1100),
    [aux_sym_match_default_expression_token1] = ACTIONS(1100),
    [aux_sym_switch_statement_token1] = ACTIONS(1100),
    [aux_sym_switch_block_token1] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [aux_sym_clone_expression_token1] = ACTIONS(1100),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1100),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [aux_sym__list_destructing_token1] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_self] = ACTIONS(1100),
    [anon_sym_parent] = ACTIONS(1100),
    [aux_sym__argument_name_token1] = ACTIONS(1100),
    [aux_sym__argument_name_token2] = ACTIONS(1100),
    [anon_sym_POUND_LBRACK] = ACTIONS(1098),
    [aux_sym_encapsed_string_token1] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_string_token1] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_LT_LT_LT] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [aux_sym_yield_expression_token1] = ACTIONS(1100),
    [aux_sym_include_expression_token1] = ACTIONS(1100),
    [aux_sym_include_once_expression_token1] = ACTIONS(1100),
    [aux_sym_require_expression_token1] = ACTIONS(1100),
    [aux_sym_require_once_expression_token1] = ACTIONS(1100),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1102),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1108),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [sym_var_modifier] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [aux_sym_exit_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [aux_sym__argument_name_token1] = ACTIONS(1106),
    [aux_sym__argument_name_token2] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1108),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [sym_var_modifier] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [aux_sym_exit_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [aux_sym__argument_name_token1] = ACTIONS(1112),
    [aux_sym__argument_name_token2] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1114),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_name] = ACTIONS(1118),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1120),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1118),
    [aux_sym_global_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_definition_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1118),
    [anon_sym_BSLASH] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym_trait_declaration_token1] = ACTIONS(1118),
    [aux_sym_interface_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_case_token1] = ACTIONS(1118),
    [aux_sym_class_declaration_token1] = ACTIONS(1118),
    [aux_sym_final_modifier_token1] = ACTIONS(1118),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1118),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1118),
    [sym_var_modifier] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1118),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1118),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [aux_sym_cast_type_token1] = ACTIONS(1118),
    [aux_sym_echo_statement_token1] = ACTIONS(1118),
    [aux_sym_exit_statement_token1] = ACTIONS(1118),
    [anon_sym_unset] = ACTIONS(1118),
    [aux_sym_declare_statement_token1] = ACTIONS(1118),
    [aux_sym_declare_statement_token2] = ACTIONS(1118),
    [sym_float] = ACTIONS(1118),
    [aux_sym_try_statement_token1] = ACTIONS(1118),
    [aux_sym_goto_statement_token1] = ACTIONS(1118),
    [aux_sym_continue_statement_token1] = ACTIONS(1118),
    [aux_sym_break_statement_token1] = ACTIONS(1118),
    [sym_integer] = ACTIONS(1118),
    [aux_sym_return_statement_token1] = ACTIONS(1118),
    [aux_sym_throw_expression_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token2] = ACTIONS(1118),
    [aux_sym_do_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token2] = ACTIONS(1118),
    [aux_sym_foreach_statement_token1] = ACTIONS(1118),
    [aux_sym_foreach_statement_token2] = ACTIONS(1118),
    [aux_sym_if_statement_token1] = ACTIONS(1118),
    [aux_sym_if_statement_token2] = ACTIONS(1118),
    [aux_sym_else_if_clause_token1] = ACTIONS(1118),
    [aux_sym_else_clause_token1] = ACTIONS(1118),
    [aux_sym_match_expression_token1] = ACTIONS(1118),
    [aux_sym_match_default_expression_token1] = ACTIONS(1118),
    [aux_sym_switch_statement_token1] = ACTIONS(1118),
    [aux_sym_switch_block_token1] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1116),
    [aux_sym_clone_expression_token1] = ACTIONS(1118),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1118),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [aux_sym__list_destructing_token1] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_self] = ACTIONS(1118),
    [anon_sym_parent] = ACTIONS(1118),
    [aux_sym__argument_name_token1] = ACTIONS(1118),
    [aux_sym__argument_name_token2] = ACTIONS(1118),
    [anon_sym_POUND_LBRACK] = ACTIONS(1116),
    [aux_sym_encapsed_string_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [aux_sym_string_token1] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [anon_sym_LT_LT_LT] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1116),
    [aux_sym_yield_expression_token1] = ACTIONS(1118),
    [aux_sym_include_expression_token1] = ACTIONS(1118),
    [aux_sym_include_once_expression_token1] = ACTIONS(1118),
    [aux_sym_require_expression_token1] = ACTIONS(1118),
    [aux_sym_require_once_expression_token1] = ACTIONS(1118),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1120),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [sym_var_modifier] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [aux_sym_exit_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [aux_sym__argument_name_token1] = ACTIONS(1124),
    [aux_sym__argument_name_token2] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1126),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_name] = ACTIONS(1130),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1130),
    [aux_sym_global_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_definition_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1130),
    [anon_sym_BSLASH] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym_trait_declaration_token1] = ACTIONS(1130),
    [aux_sym_interface_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_case_token1] = ACTIONS(1130),
    [aux_sym_class_declaration_token1] = ACTIONS(1130),
    [aux_sym_final_modifier_token1] = ACTIONS(1130),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1130),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1130),
    [sym_var_modifier] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1130),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [aux_sym_cast_type_token1] = ACTIONS(1130),
    [aux_sym_echo_statement_token1] = ACTIONS(1130),
    [aux_sym_exit_statement_token1] = ACTIONS(1130),
    [anon_sym_unset] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token2] = ACTIONS(1130),
    [sym_float] = ACTIONS(1130),
    [aux_sym_try_statement_token1] = ACTIONS(1130),
    [aux_sym_goto_statement_token1] = ACTIONS(1130),
    [aux_sym_continue_statement_token1] = ACTIONS(1130),
    [aux_sym_break_statement_token1] = ACTIONS(1130),
    [sym_integer] = ACTIONS(1130),
    [aux_sym_return_statement_token1] = ACTIONS(1130),
    [aux_sym_throw_expression_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token2] = ACTIONS(1130),
    [aux_sym_do_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token2] = ACTIONS(1130),
    [aux_sym_foreach_statement_token1] = ACTIONS(1130),
    [aux_sym_foreach_statement_token2] = ACTIONS(1130),
    [aux_sym_if_statement_token1] = ACTIONS(1130),
    [aux_sym_if_statement_token2] = ACTIONS(1130),
    [aux_sym_else_if_clause_token1] = ACTIONS(1130),
    [aux_sym_else_clause_token1] = ACTIONS(1130),
    [aux_sym_match_expression_token1] = ACTIONS(1130),
    [aux_sym_match_default_expression_token1] = ACTIONS(1130),
    [aux_sym_switch_statement_token1] = ACTIONS(1130),
    [aux_sym_switch_block_token1] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [aux_sym_clone_expression_token1] = ACTIONS(1130),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1130),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [aux_sym__list_destructing_token1] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_self] = ACTIONS(1130),
    [anon_sym_parent] = ACTIONS(1130),
    [aux_sym__argument_name_token1] = ACTIONS(1130),
    [aux_sym__argument_name_token2] = ACTIONS(1130),
    [anon_sym_POUND_LBRACK] = ACTIONS(1128),
    [aux_sym_encapsed_string_token1] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_string_token1] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_LT_LT_LT] = ACTIONS(1128),
    [anon_sym_BQUOTE] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [aux_sym_yield_expression_token1] = ACTIONS(1130),
    [aux_sym_include_expression_token1] = ACTIONS(1130),
    [aux_sym_include_once_expression_token1] = ACTIONS(1130),
    [aux_sym_require_expression_token1] = ACTIONS(1130),
    [aux_sym_require_once_expression_token1] = ACTIONS(1130),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1132),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(911),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(592),
    [sym_member_access_expression] = STATE(592),
    [sym_nullsafe_member_access_expression] = STATE(592),
    [sym_scoped_property_access_expression] = STATE(592),
    [sym_function_call_expression] = STATE(575),
    [sym_scoped_call_expression] = STATE(575),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(575),
    [sym_nullsafe_member_call_expression] = STATE(575),
    [sym_subscript_expression] = STATE(575),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(575),
    [sym_variable_name] = STATE(575),
    [sym_include_expression] = STATE(911),
    [sym_include_once_expression] = STATE(911),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(685),
    [aux_sym_clone_expression_token1] = ACTIONS(687),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(697),
    [aux_sym_include_once_expression_token1] = ACTIONS(699),
    [sym_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [sym_qualified_name] = STATE(707),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym__unary_expression] = STATE(911),
    [sym_unary_op_expression] = STATE(921),
    [sym_error_suppression_expression] = STATE(911),
    [sym_clone_expression] = STATE(921),
    [sym_primary_expression] = STATE(921),
    [sym_parenthesized_expression] = STATE(706),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_expression] = STATE(921),
    [sym_cast_variable] = STATE(627),
    [sym_member_access_expression] = STATE(627),
    [sym_nullsafe_member_access_expression] = STATE(627),
    [sym_scoped_property_access_expression] = STATE(627),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2500),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1665),
    [sym_array_creation_expression] = STATE(706),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(690),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_include_expression] = STATE(911),
    [sym_include_once_expression] = STATE(911),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(567),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(857),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_AT] = ACTIONS(597),
    [aux_sym_clone_expression_token1] = ACTIONS(599),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(627),
    [aux_sym_include_once_expression_token1] = ACTIONS(629),
    [sym_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [sym_var_modifier] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [aux_sym_exit_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [aux_sym__argument_name_token1] = ACTIONS(1136),
    [aux_sym__argument_name_token2] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1138),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [sym_var_modifier] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [aux_sym_exit_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [aux_sym__argument_name_token1] = ACTIONS(1042),
    [aux_sym__argument_name_token2] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [sym_var_modifier] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [aux_sym_exit_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [aux_sym__argument_name_token1] = ACTIONS(1174),
    [aux_sym__argument_name_token2] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_name] = ACTIONS(1034),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1032),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1034),
    [aux_sym_global_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_definition_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1034),
    [anon_sym_BSLASH] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [aux_sym_trait_declaration_token1] = ACTIONS(1034),
    [aux_sym_interface_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_case_token1] = ACTIONS(1034),
    [aux_sym_class_declaration_token1] = ACTIONS(1034),
    [aux_sym_final_modifier_token1] = ACTIONS(1034),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1034),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1034),
    [sym_var_modifier] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1034),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [aux_sym_cast_type_token1] = ACTIONS(1034),
    [aux_sym_echo_statement_token1] = ACTIONS(1034),
    [aux_sym_exit_statement_token1] = ACTIONS(1034),
    [anon_sym_unset] = ACTIONS(1034),
    [aux_sym_declare_statement_token1] = ACTIONS(1034),
    [aux_sym_declare_statement_token2] = ACTIONS(1034),
    [sym_float] = ACTIONS(1034),
    [aux_sym_try_statement_token1] = ACTIONS(1034),
    [aux_sym_goto_statement_token1] = ACTIONS(1034),
    [aux_sym_continue_statement_token1] = ACTIONS(1034),
    [aux_sym_break_statement_token1] = ACTIONS(1034),
    [sym_integer] = ACTIONS(1034),
    [aux_sym_return_statement_token1] = ACTIONS(1034),
    [aux_sym_throw_expression_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token2] = ACTIONS(1034),
    [aux_sym_do_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token2] = ACTIONS(1034),
    [aux_sym_foreach_statement_token1] = ACTIONS(1034),
    [aux_sym_foreach_statement_token2] = ACTIONS(1034),
    [aux_sym_if_statement_token1] = ACTIONS(1034),
    [aux_sym_if_statement_token2] = ACTIONS(1034),
    [aux_sym_else_if_clause_token1] = ACTIONS(1034),
    [aux_sym_else_clause_token1] = ACTIONS(1034),
    [aux_sym_match_expression_token1] = ACTIONS(1034),
    [aux_sym_match_default_expression_token1] = ACTIONS(1034),
    [aux_sym_switch_statement_token1] = ACTIONS(1034),
    [aux_sym_switch_block_token1] = ACTIONS(1034),
    [anon_sym_PLUS] = ACTIONS(1034),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1032),
    [aux_sym_clone_expression_token1] = ACTIONS(1034),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1034),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [aux_sym__list_destructing_token1] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_self] = ACTIONS(1034),
    [anon_sym_parent] = ACTIONS(1034),
    [aux_sym__argument_name_token1] = ACTIONS(1034),
    [aux_sym__argument_name_token2] = ACTIONS(1034),
    [anon_sym_POUND_LBRACK] = ACTIONS(1032),
    [aux_sym_encapsed_string_token1] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(1032),
    [aux_sym_string_token1] = ACTIONS(1032),
    [anon_sym_SQUOTE] = ACTIONS(1032),
    [anon_sym_LT_LT_LT] = ACTIONS(1032),
    [anon_sym_BQUOTE] = ACTIONS(1032),
    [anon_sym_DOLLAR] = ACTIONS(1032),
    [aux_sym_yield_expression_token1] = ACTIONS(1034),
    [aux_sym_include_expression_token1] = ACTIONS(1034),
    [aux_sym_include_once_expression_token1] = ACTIONS(1034),
    [aux_sym_require_expression_token1] = ACTIONS(1034),
    [aux_sym_require_once_expression_token1] = ACTIONS(1034),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1064),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [sym_var_modifier] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [aux_sym_exit_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [aux_sym__argument_name_token1] = ACTIONS(1066),
    [aux_sym__argument_name_token2] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [sym_var_modifier] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [aux_sym_exit_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [aux_sym__argument_name_token1] = ACTIONS(1084),
    [aux_sym__argument_name_token2] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1520),
    [aux_sym_global_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_definition_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1520),
    [anon_sym_BSLASH] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [aux_sym_trait_declaration_token1] = ACTIONS(1520),
    [aux_sym_interface_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_declaration_token1] = ACTIONS(1520),
    [anon_sym_COLON] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1520),
    [aux_sym_final_modifier_token1] = ACTIONS(1520),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1520),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1520),
    [sym_var_modifier] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1520),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1520),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(1520),
    [aux_sym_echo_statement_token1] = ACTIONS(1520),
    [aux_sym_exit_statement_token1] = ACTIONS(1520),
    [anon_sym_unset] = ACTIONS(1520),
    [aux_sym_declare_statement_token1] = ACTIONS(1520),
    [sym_float] = ACTIONS(1520),
    [aux_sym_try_statement_token1] = ACTIONS(1520),
    [aux_sym_goto_statement_token1] = ACTIONS(1520),
    [aux_sym_continue_statement_token1] = ACTIONS(1520),
    [aux_sym_break_statement_token1] = ACTIONS(1520),
    [sym_integer] = ACTIONS(1520),
    [aux_sym_return_statement_token1] = ACTIONS(1520),
    [aux_sym_throw_expression_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token1] = ACTIONS(1520),
    [aux_sym_do_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token1] = ACTIONS(1520),
    [aux_sym_foreach_statement_token1] = ACTIONS(1520),
    [aux_sym_if_statement_token1] = ACTIONS(1520),
    [aux_sym_match_expression_token1] = ACTIONS(1520),
    [aux_sym_switch_statement_token1] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [aux_sym_clone_expression_token1] = ACTIONS(1520),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1520),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [aux_sym__list_destructing_token1] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_self] = ACTIONS(1520),
    [anon_sym_parent] = ACTIONS(1520),
    [aux_sym__argument_name_token1] = ACTIONS(1520),
    [aux_sym__argument_name_token2] = ACTIONS(1520),
    [anon_sym_POUND_LBRACK] = ACTIONS(1522),
    [aux_sym_encapsed_string_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [aux_sym_string_token1] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_LT_LT_LT] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [aux_sym_yield_expression_token1] = ACTIONS(1520),
    [aux_sym_include_expression_token1] = ACTIONS(1520),
    [aux_sym_include_once_expression_token1] = ACTIONS(1520),
    [aux_sym_require_expression_token1] = ACTIONS(1520),
    [aux_sym_require_once_expression_token1] = ACTIONS(1520),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [sym_qualified_name] = STATE(703),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2495),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(702),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_variable] = STATE(675),
    [sym_member_access_expression] = STATE(675),
    [sym_nullsafe_member_access_expression] = STATE(675),
    [sym_scoped_property_access_expression] = STATE(675),
    [sym_function_call_expression] = STATE(644),
    [sym_scoped_call_expression] = STATE(644),
    [sym__scope_resolution_qualifier] = STATE(2464),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(644),
    [sym_nullsafe_member_call_expression] = STATE(644),
    [sym_subscript_expression] = STATE(644),
    [sym__dereferencable_expression] = STATE(1678),
    [sym_array_creation_expression] = STATE(702),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(700),
    [sym_dynamic_variable_name] = STATE(644),
    [sym_variable_name] = STATE(644),
    [sym__reserved_identifier] = STATE(1549),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(589),
    [aux_sym_print_intrinsic_token1] = ACTIONS(601),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [sym_qualified_name] = STATE(703),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2502),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(702),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_variable] = STATE(675),
    [sym_member_access_expression] = STATE(675),
    [sym_nullsafe_member_access_expression] = STATE(675),
    [sym_scoped_property_access_expression] = STATE(675),
    [sym_function_call_expression] = STATE(644),
    [sym_scoped_call_expression] = STATE(644),
    [sym__scope_resolution_qualifier] = STATE(2464),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(644),
    [sym_nullsafe_member_call_expression] = STATE(644),
    [sym_subscript_expression] = STATE(644),
    [sym__dereferencable_expression] = STATE(1678),
    [sym_array_creation_expression] = STATE(702),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(700),
    [sym_dynamic_variable_name] = STATE(644),
    [sym_variable_name] = STATE(644),
    [sym__reserved_identifier] = STATE(1549),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(689),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [sym_qualified_name] = STATE(833),
    [sym_namespace_name_as_prefix] = STATE(2606),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2254),
    [sym__arrow_function_header] = STATE(2603),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_primary_expression] = STATE(1129),
    [sym_parenthesized_expression] = STATE(839),
    [sym_class_constant_access_expression] = STATE(906),
    [sym_print_intrinsic] = STATE(1148),
    [sym_anonymous_function_creation_expression] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym_update_expression] = STATE(1148),
    [sym_cast_variable] = STATE(848),
    [sym_member_access_expression] = STATE(848),
    [sym_nullsafe_member_access_expression] = STATE(848),
    [sym_scoped_property_access_expression] = STATE(848),
    [sym_function_call_expression] = STATE(771),
    [sym_scoped_call_expression] = STATE(771),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(771),
    [sym_nullsafe_member_call_expression] = STATE(771),
    [sym_subscript_expression] = STATE(771),
    [sym__dereferencable_expression] = STATE(1671),
    [sym_array_creation_expression] = STATE(839),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1756),
    [sym_encapsed_string] = STATE(884),
    [sym_string] = STATE(884),
    [sym_heredoc] = STATE(884),
    [sym_nowdoc] = STATE(884),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1137),
    [sym_null] = STATE(1137),
    [sym__string] = STATE(845),
    [sym_dynamic_variable_name] = STATE(771),
    [sym_variable_name] = STATE(771),
    [sym__reserved_identifier] = STATE(1578),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [sym_qualified_name] = STATE(703),
    [sym_namespace_name_as_prefix] = STATE(2494),
    [sym_namespace_name] = STATE(2605),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(930),
    [sym_literal] = STATE(930),
    [sym_throw_expression] = STATE(930),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(702),
    [sym_class_constant_access_expression] = STATE(769),
    [sym_print_intrinsic] = STATE(930),
    [sym_anonymous_function_creation_expression] = STATE(930),
    [sym_object_creation_expression] = STATE(930),
    [sym_update_expression] = STATE(930),
    [sym_cast_variable] = STATE(675),
    [sym_member_access_expression] = STATE(675),
    [sym_nullsafe_member_access_expression] = STATE(675),
    [sym_scoped_property_access_expression] = STATE(675),
    [sym_function_call_expression] = STATE(644),
    [sym_scoped_call_expression] = STATE(644),
    [sym__scope_resolution_qualifier] = STATE(2464),
    [sym_relative_scope] = STATE(2597),
    [sym_member_call_expression] = STATE(644),
    [sym_nullsafe_member_call_expression] = STATE(644),
    [sym_subscript_expression] = STATE(644),
    [sym__dereferencable_expression] = STATE(1678),
    [sym_array_creation_expression] = STATE(702),
    [sym_attribute_group] = STATE(1046),
    [sym_attribute_list] = STATE(1894),
    [sym_encapsed_string] = STATE(753),
    [sym_string] = STATE(753),
    [sym_heredoc] = STATE(753),
    [sym_nowdoc] = STATE(753),
    [sym_shell_command_expression] = STATE(930),
    [sym_boolean] = STATE(972),
    [sym_null] = STATE(972),
    [sym__string] = STATE(700),
    [sym_dynamic_variable_name] = STATE(644),
    [sym_variable_name] = STATE(644),
    [sym__reserved_identifier] = STATE(1549),
    [aux_sym_attribute_list_repeat1] = STATE(976),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(573),
    [aux_sym_namespace_definition_token1] = ACTIONS(575),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(577),
    [anon_sym_BSLASH] = ACTIONS(226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(585),
    [sym_float] = ACTIONS(587),
    [sym_integer] = ACTIONS(587),
    [aux_sym_throw_expression_token1] = ACTIONS(639),
    [aux_sym_print_intrinsic_token1] = ACTIONS(649),
    [aux_sym_object_creation_expression_token1] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(609),
    [aux_sym__argument_name_token2] = ACTIONS(611),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(613),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [aux_sym_string_token1] = ACTIONS(615),
    [anon_sym_SQUOTE] = ACTIONS(615),
    [anon_sym_LT_LT_LT] = ACTIONS(617),
    [anon_sym_BQUOTE] = ACTIONS(619),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_EQ] = ACTIONS(1538),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_base_clause_token1] = ACTIONS(1536),
    [anon_sym_COLON] = ACTIONS(1538),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1536),
    [anon_sym_EQ_GT] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [anon_sym_QMARK] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_COLON_COLON] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1536),
    [anon_sym_STAR_EQ] = ACTIONS(1536),
    [anon_sym_SLASH_EQ] = ACTIONS(1536),
    [anon_sym_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_PLUS_EQ] = ACTIONS(1536),
    [anon_sym_DASH_EQ] = ACTIONS(1536),
    [anon_sym_DOT_EQ] = ACTIONS(1536),
    [anon_sym_LT_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT_GT_EQ] = ACTIONS(1536),
    [anon_sym_AMP_EQ] = ACTIONS(1536),
    [anon_sym_CARET_EQ] = ACTIONS(1536),
    [anon_sym_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1536),
    [anon_sym_DASH_GT] = ACTIONS(1536),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_RBRACK] = ACTIONS(1536),
    [aux_sym_binary_expression_token1] = ACTIONS(1536),
    [anon_sym_QMARK_QMARK] = ACTIONS(1538),
    [anon_sym_STAR_STAR] = ACTIONS(1538),
    [aux_sym_binary_expression_token2] = ACTIONS(1536),
    [aux_sym_binary_expression_token3] = ACTIONS(1536),
    [aux_sym_binary_expression_token4] = ACTIONS(1536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ] = ACTIONS(1538),
    [anon_sym_LT_GT] = ACTIONS(1536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_LT_EQ_GT] = ACTIONS(1536),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [sym_comment] = ACTIONS(1540),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1542),
    [anon_sym_AMP] = ACTIONS(1544),
    [anon_sym_COMMA] = ACTIONS(1542),
    [anon_sym_EQ] = ACTIONS(1544),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [aux_sym_base_clause_token1] = ACTIONS(1542),
    [anon_sym_COLON] = ACTIONS(1544),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1542),
    [anon_sym_EQ_GT] = ACTIONS(1542),
    [anon_sym_LPAREN] = ACTIONS(1542),
    [anon_sym_RPAREN] = ACTIONS(1542),
    [anon_sym_QMARK] = ACTIONS(1544),
    [anon_sym_PIPE] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_COLON_COLON] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1542),
    [anon_sym_STAR_EQ] = ACTIONS(1542),
    [anon_sym_SLASH_EQ] = ACTIONS(1542),
    [anon_sym_PERCENT_EQ] = ACTIONS(1542),
    [anon_sym_PLUS_EQ] = ACTIONS(1542),
    [anon_sym_DASH_EQ] = ACTIONS(1542),
    [anon_sym_DOT_EQ] = ACTIONS(1542),
    [anon_sym_LT_LT_EQ] = ACTIONS(1542),
    [anon_sym_GT_GT_EQ] = ACTIONS(1542),
    [anon_sym_AMP_EQ] = ACTIONS(1542),
    [anon_sym_CARET_EQ] = ACTIONS(1542),
    [anon_sym_PIPE_EQ] = ACTIONS(1542),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1542),
    [anon_sym_DASH_GT] = ACTIONS(1542),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_RBRACK] = ACTIONS(1542),
    [aux_sym_binary_expression_token1] = ACTIONS(1542),
    [anon_sym_QMARK_QMARK] = ACTIONS(1544),
    [anon_sym_STAR_STAR] = ACTIONS(1544),
    [aux_sym_binary_expression_token2] = ACTIONS(1542),
    [aux_sym_binary_expression_token3] = ACTIONS(1542),
    [aux_sym_binary_expression_token4] = ACTIONS(1542),
    [anon_sym_PIPE_PIPE] = ACTIONS(1542),
    [anon_sym_AMP_AMP] = ACTIONS(1542),
    [anon_sym_CARET] = ACTIONS(1544),
    [anon_sym_EQ_EQ] = ACTIONS(1544),
    [anon_sym_BANG_EQ] = ACTIONS(1544),
    [anon_sym_LT_GT] = ACTIONS(1542),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1542),
    [anon_sym_LT] = ACTIONS(1544),
    [anon_sym_GT] = ACTIONS(1544),
    [anon_sym_LT_EQ] = ACTIONS(1544),
    [anon_sym_GT_EQ] = ACTIONS(1542),
    [anon_sym_LT_EQ_GT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1544),
    [anon_sym_GT_GT] = ACTIONS(1544),
    [anon_sym_DOT] = ACTIONS(1544),
    [anon_sym_STAR] = ACTIONS(1544),
    [anon_sym_SLASH] = ACTIONS(1544),
    [anon_sym_PERCENT] = ACTIONS(1544),
    [sym_comment] = ACTIONS(1540),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1546),
    [anon_sym_EQ] = ACTIONS(1548),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_base_clause_token1] = ACTIONS(1546),
    [anon_sym_COLON] = ACTIONS(1548),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1546),
    [anon_sym_EQ_GT] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1546),
    [anon_sym_RPAREN] = ACTIONS(1546),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_PIPE] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_COLON_COLON] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1546),
    [anon_sym_STAR_EQ] = ACTIONS(1546),
    [anon_sym_SLASH_EQ] = ACTIONS(1546),
    [anon_sym_PERCENT_EQ] = ACTIONS(1546),
    [anon_sym_PLUS_EQ] = ACTIONS(1546),
    [anon_sym_DASH_EQ] = ACTIONS(1546),
    [anon_sym_DOT_EQ] = ACTIONS(1546),
    [anon_sym_LT_LT_EQ] = ACTIONS(1546),
    [anon_sym_GT_GT_EQ] = ACTIONS(1546),
    [anon_sym_AMP_EQ] = ACTIONS(1546),
    [anon_sym_CARET_EQ] = ACTIONS(1546),
    [anon_sym_PIPE_EQ] = ACTIONS(1546),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1546),
    [anon_sym_DASH_GT] = ACTIONS(1546),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_RBRACK] = ACTIONS(1546),
    [aux_sym_binary_expression_token1] = ACTIONS(1546),
    [anon_sym_QMARK_QMARK] = ACTIONS(1548),
    [anon_sym_STAR_STAR] = ACTIONS(1548),
    [aux_sym_binary_expression_token2] = ACTIONS(1546),
    [aux_sym_binary_expression_token3] = ACTIONS(1546),
    [aux_sym_binary_expression_token4] = ACTIONS(1546),
    [anon_sym_PIPE_PIPE] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1548),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_LT_GT] = ACTIONS(1546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1546),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1546),
    [anon_sym_LT] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT_EQ] = ACTIONS(1546),
    [anon_sym_LT_EQ_GT] = ACTIONS(1546),
    [anon_sym_LT_LT] = ACTIONS(1548),
    [anon_sym_GT_GT] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1548),
    [anon_sym_STAR] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1548),
    [sym_comment] = ACTIONS(1540),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1550),
    [anon_sym_AMP] = ACTIONS(1552),
    [anon_sym_COMMA] = ACTIONS(1550),
    [anon_sym_EQ] = ACTIONS(1552),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_base_clause_token1] = ACTIONS(1550),
    [anon_sym_COLON] = ACTIONS(1552),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1550),
    [anon_sym_EQ_GT] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1550),
    [anon_sym_RPAREN] = ACTIONS(1550),
    [anon_sym_QMARK] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_COLON_COLON] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1550),
    [anon_sym_STAR_EQ] = ACTIONS(1550),
    [anon_sym_SLASH_EQ] = ACTIONS(1550),
    [anon_sym_PERCENT_EQ] = ACTIONS(1550),
    [anon_sym_PLUS_EQ] = ACTIONS(1550),
    [anon_sym_DASH_EQ] = ACTIONS(1550),
    [anon_sym_DOT_EQ] = ACTIONS(1550),
    [anon_sym_LT_LT_EQ] = ACTIONS(1550),
    [anon_sym_GT_GT_EQ] = ACTIONS(1550),
    [anon_sym_AMP_EQ] = ACTIONS(1550),
    [anon_sym_CARET_EQ] = ACTIONS(1550),
    [anon_sym_PIPE_EQ] = ACTIONS(1550),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1550),
    [anon_sym_DASH_GT] = ACTIONS(1550),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_RBRACK] = ACTIONS(1550),
    [aux_sym_binary_expression_token1] = ACTIONS(1550),
    [anon_sym_QMARK_QMARK] = ACTIONS(1552),
    [anon_sym_STAR_STAR] = ACTIONS(1552),
    [aux_sym_binary_expression_token2] = ACTIONS(1550),
    [aux_sym_binary_expression_token3] = ACTIONS(1550),
    [aux_sym_binary_expression_token4] = ACTIONS(1550),
    [anon_sym_PIPE_PIPE] = ACTIONS(1550),
    [anon_sym_AMP_AMP] = ACTIONS(1550),
    [anon_sym_CARET] = ACTIONS(1552),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT_GT] = ACTIONS(1550),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1550),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1550),
    [anon_sym_LT] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1552),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT_EQ] = ACTIONS(1550),
    [anon_sym_LT_EQ_GT] = ACTIONS(1550),
    [anon_sym_LT_LT] = ACTIONS(1552),
    [anon_sym_GT_GT] = ACTIONS(1552),
    [anon_sym_DOT] = ACTIONS(1552),
    [anon_sym_STAR] = ACTIONS(1552),
    [anon_sym_SLASH] = ACTIONS(1552),
    [anon_sym_PERCENT] = ACTIONS(1552),
    [sym_comment] = ACTIONS(1540),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(572), 1,
      sym_text_interpolation,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1556), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1554), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(573), 1,
      sym_text_interpolation,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1560), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(574), 1,
      sym_text_interpolation,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1566), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [237] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(575), 1,
      sym_text_interpolation,
    STATE(579), 1,
      sym_arguments,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1578), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [324] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_text_interpolation,
    STATE(588), 1,
      sym_arguments,
    ACTIONS(1582), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [403] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(577), 1,
      sym_text_interpolation,
    STATE(589), 1,
      sym_arguments,
    ACTIONS(1586), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(578), 1,
      sym_text_interpolation,
    ACTIONS(1590), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(579), 1,
      sym_text_interpolation,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(580), 1,
      sym_text_interpolation,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(581), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(582), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [852] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(583), 1,
      sym_text_interpolation,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(584), 1,
      sym_text_interpolation,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(585), 1,
      sym_text_interpolation,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(586), 1,
      sym_text_interpolation,
    ACTIONS(1622), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1148] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(587), 1,
      sym_text_interpolation,
    ACTIONS(1626), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1624), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(588), 1,
      sym_text_interpolation,
    ACTIONS(1630), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1628), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(589), 1,
      sym_text_interpolation,
    ACTIONS(1634), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1370] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(590), 1,
      sym_text_interpolation,
    ACTIONS(1638), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1444] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_arguments,
    STATE(591), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1529] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(592), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1578), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1610] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_arguments,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1694] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(594), 1,
      sym_text_interpolation,
    STATE(2101), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1783] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_EQ,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(595), 1,
      sym_text_interpolation,
    STATE(606), 1,
      sym_arguments,
    ACTIONS(1654), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1866] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1945] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_text_interpolation,
    STATE(604), 1,
      sym_arguments,
    ACTIONS(1586), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2020] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(598), 1,
      sym_text_interpolation,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1556), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1554), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2095] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(599), 1,
      sym_text_interpolation,
    STATE(605), 1,
      sym_arguments,
    ACTIONS(1562), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1560), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2170] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(600), 1,
      sym_text_interpolation,
    STATE(618), 1,
      sym_arguments,
    ACTIONS(1566), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1564), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2245] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_arguments,
    STATE(601), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1578), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2328] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(602), 1,
      sym_text_interpolation,
    STATE(606), 1,
      sym_arguments,
    ACTIONS(1654), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1578), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2411] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_text_interpolation,
    STATE(615), 1,
      sym_arguments,
    ACTIONS(1582), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1634), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1622), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(606), 1,
      sym_text_interpolation,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2696] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_arguments,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1658), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2780] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2920] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2998] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1552), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1550), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3068] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_arguments,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3152] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_arguments,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3236] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1590), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1630), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1628), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3376] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3446] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_arguments,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1667), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3528] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1626), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1624), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1638), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3738] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1544), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1542), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3878] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(624), 1,
      sym_text_interpolation,
    ACTIONS(1548), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1546), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1538), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4088] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1654), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1578), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4165] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1578), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4242] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(579), 1,
      sym_arguments,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1669), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4325] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(629), 1,
      sym_text_interpolation,
    STATE(2101), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4408] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1654), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1656), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4485] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_EQ,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1667), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1568), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4561] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4639] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4717] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1658), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4795] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1669), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1646), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1570), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1672), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1674), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [4936] = 31,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1678), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1680), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1682), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(637), 1,
      sym_text_interpolation,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1721), 1,
      sym_variable_name,
    STATE(1774), 1,
      sym__function_definition_header,
    STATE(1777), 1,
      sym_property_element,
    STATE(2148), 1,
      sym_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5051] = 31,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1678), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1680), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1682), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(638), 1,
      sym_text_interpolation,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1721), 1,
      sym_variable_name,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1812), 1,
      sym_property_element,
    STATE(2142), 1,
      sym_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5166] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(639), 1,
      sym_text_interpolation,
    STATE(661), 1,
      sym_arguments,
    ACTIONS(1562), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5231] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(579), 1,
      sym_arguments,
    STATE(640), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5302] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(641), 1,
      sym_text_interpolation,
    STATE(666), 1,
      sym_arguments,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5373] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_text_interpolation,
    STATE(656), 1,
      sym_arguments,
    ACTIONS(1586), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5438] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(579), 1,
      sym_arguments,
    STATE(643), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5509] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(644), 1,
      sym_text_interpolation,
    STATE(666), 1,
      sym_arguments,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5578] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(645), 1,
      sym_text_interpolation,
    STATE(755), 1,
      sym_arguments,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1703), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1701), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5649] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(646), 1,
      sym_text_interpolation,
    STATE(663), 1,
      sym_arguments,
    ACTIONS(1556), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5714] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(647), 1,
      sym_text_interpolation,
    STATE(659), 1,
      sym_arguments,
    ACTIONS(1566), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5779] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_text_interpolation,
    STATE(657), 1,
      sym_arguments,
    ACTIONS(1582), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5844] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5905] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(650), 1,
      sym_text_interpolation,
    STATE(666), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5972] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1709), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1707), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6036] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1717), 1,
      anon_sym_RPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(652), 1,
      sym_text_interpolation,
    STATE(975), 1,
      sym_attribute_list,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1548), 1,
      sym__types,
    STATE(1732), 1,
      sym_type,
    STATE(1933), 1,
      sym_reference_modifier,
    STATE(1935), 1,
      sym_variable_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1934), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6146] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1544), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1538), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6266] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6326] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1634), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6386] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1630), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6446] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1590), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6506] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1626), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6566] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(660), 1,
      sym_text_interpolation,
    ACTIONS(1727), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1725), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1622), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6750] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6810] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1638), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6870] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1548), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6930] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6990] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1552), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(668), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7110] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7170] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7230] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1729), 1,
      sym_name,
    ACTIONS(1731), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    STATE(671), 1,
      sym_text_interpolation,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1690), 1,
      sym__dereferencable_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2623), 1,
      sym_attribute_list,
    STATE(2636), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(680), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1705), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(676), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(678), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1581), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [7340] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1737), 1,
      anon_sym_COMMA,
    ACTIONS(1739), 1,
      anon_sym_RPAREN,
    STATE(672), 1,
      sym_text_interpolation,
    STATE(975), 1,
      sym_attribute_list,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1548), 1,
      sym__types,
    STATE(1732), 1,
      sym_type,
    STATE(1933), 1,
      sym_reference_modifier,
    STATE(1935), 1,
      sym_variable_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1910), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7450] = 30,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1741), 1,
      sym_name,
    ACTIONS(1745), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(673), 1,
      sym_text_interpolation,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1708), 1,
      sym__dereferencable_expression,
    STATE(2571), 1,
      sym_attribute_list,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(2609), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(805), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1705), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1743), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(840), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(841), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1581), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [7560] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_text_interpolation,
    STATE(723), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1753), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7625] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1576), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7688] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_LPAREN,
    STATE(676), 1,
      sym_text_interpolation,
    STATE(961), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1703), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1701), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7753] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(658), 1,
      sym_arguments,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1709), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1707), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7816] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(678), 1,
      sym_text_interpolation,
    STATE(755), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1703), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1701), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7881] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7946] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(680), 1,
      sym_text_interpolation,
    STATE(755), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1703), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1701), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8011] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1757), 1,
      anon_sym_RPAREN,
    STATE(681), 1,
      sym_text_interpolation,
    STATE(975), 1,
      sym_attribute_list,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1548), 1,
      sym__types,
    STATE(1732), 1,
      sym_type,
    STATE(1933), 1,
      sym_reference_modifier,
    STATE(1935), 1,
      sym_variable_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2437), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8118] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(737), 1,
      anon_sym_AMP,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    STATE(682), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2364), 1,
      sym_by_ref,
    STATE(2365), 1,
      sym__list_destructing,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1555), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1464), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8225] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8286] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(663), 1,
      sym_arguments,
    STATE(684), 1,
      sym_text_interpolation,
    ACTIONS(1727), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1725), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8349] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym_arguments,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8412] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_arguments,
    STATE(686), 1,
      sym_text_interpolation,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8475] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8538] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(688), 1,
      sym_text_interpolation,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8601] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8664] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1763), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1761), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8729] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_EQ,
    STATE(691), 1,
      sym_text_interpolation,
    ACTIONS(1769), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1767), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1765), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8792] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1774), 1,
      anon_sym_RPAREN,
    STATE(692), 1,
      sym_text_interpolation,
    STATE(975), 1,
      sym_attribute_list,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1548), 1,
      sym__types,
    STATE(1732), 1,
      sym_type,
    STATE(1933), 1,
      sym_reference_modifier,
    STATE(1935), 1,
      sym_variable_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2437), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8899] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(737), 1,
      anon_sym_AMP,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    STATE(693), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2141), 1,
      sym__list_destructing,
    STATE(2169), 1,
      sym_by_ref,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1524), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1457), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9006] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1776), 1,
      sym_name,
    ACTIONS(1782), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1785), 1,
      anon_sym_BSLASH,
    ACTIONS(1788), 1,
      anon_sym_RBRACE,
    ACTIONS(1790), 1,
      anon_sym_LPAREN,
    ACTIONS(1793), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1796), 1,
      anon_sym_LBRACK,
    ACTIONS(1805), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    STATE(1577), 1,
      sym_class_constant_access_expression,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(1799), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1802), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(694), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2347), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1779), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1705), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1581), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9107] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(695), 1,
      sym_text_interpolation,
    STATE(723), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9172] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(696), 1,
      sym_text_interpolation,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9233] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    STATE(697), 1,
      sym_text_interpolation,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9294] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(587), 1,
      sym_arguments,
    STATE(698), 1,
      sym_text_interpolation,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9355] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(588), 1,
      sym_arguments,
    STATE(699), 1,
      sym_text_interpolation,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9416] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_arguments,
    STATE(700), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1763), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1761), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9481] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(589), 1,
      sym_arguments,
    STATE(701), 1,
      sym_text_interpolation,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9542] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_arguments,
    STATE(702), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9607] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_arguments,
    STATE(703), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9672] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(975), 1,
      sym_attribute_list,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1548), 1,
      sym__types,
    STATE(1732), 1,
      sym_type,
    STATE(1933), 1,
      sym_reference_modifier,
    STATE(1935), 1,
      sym_variable_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2437), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9779] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(705), 1,
      sym_text_interpolation,
    STATE(723), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1815), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9844] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9909] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(707), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9974] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
    STATE(708), 1,
      sym_text_interpolation,
    STATE(975), 1,
      sym_attribute_list,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1548), 1,
      sym__types,
    STATE(1732), 1,
      sym_type,
    STATE(1933), 1,
      sym_reference_modifier,
    STATE(1935), 1,
      sym_variable_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2437), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10081] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(709), 1,
      sym_text_interpolation,
    STATE(736), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10144] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(710), 1,
      sym_text_interpolation,
    STATE(759), 1,
      sym_arguments,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10207] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(711), 1,
      sym_text_interpolation,
    STATE(758), 1,
      sym_arguments,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10270] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(712), 1,
      sym_text_interpolation,
    STATE(750), 1,
      sym_arguments,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10333] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1819), 1,
      sym_name,
    ACTIONS(1821), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      sym_text_interpolation,
    STATE(714), 1,
      aux_sym_use_list_repeat1,
    STATE(1577), 1,
      sym_class_constant_access_expression,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2347), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1705), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1581), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10436] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1819), 1,
      sym_name,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    STATE(694), 1,
      aux_sym_use_list_repeat1,
    STATE(714), 1,
      sym_text_interpolation,
    STATE(1577), 1,
      sym_class_constant_access_expression,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2347), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1705), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1581), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10539] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(715), 1,
      sym_text_interpolation,
    STATE(732), 1,
      sym_arguments,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10602] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1827), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10725] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(719), 1,
      sym_text_interpolation,
    ACTIONS(1831), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10957] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1835), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11015] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1839), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11131] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1843), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11247] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11305] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11363] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(729), 1,
      sym_text_interpolation,
    STATE(975), 1,
      sym_attribute_list,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1548), 1,
      sym__types,
    STATE(1732), 1,
      sym_type,
    STATE(1933), 1,
      sym_reference_modifier,
    STATE(1935), 1,
      sym_variable_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2437), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11467] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1847), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1851), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11641] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1548), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1544), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11757] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1855), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11873] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(737), 1,
      anon_sym_AMP,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    STATE(737), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2388), 1,
      sym__array_destructing,
    STATE(2400), 1,
      sym_by_ref,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1575), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1499), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [11977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1859), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1863), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12151] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1867), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12209] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1871), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1869), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1875), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1873), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1879), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1877), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12441] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1883), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1881), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12499] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1767), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1765), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12557] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1887), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1885), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1891), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1889), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1630), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1520), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12789] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1895), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1899), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1903), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12963] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1592), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1907), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13023] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1913), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1626), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13199] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13257] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(760), 1,
      sym_text_interpolation,
    STATE(788), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13320] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    ACTIONS(1772), 1,
      anon_sym_EQ,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1767), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1765), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1034), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1032), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13438] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1815), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13497] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(764), 1,
      sym_text_interpolation,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13558] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_text_interpolation,
    STATE(796), 1,
      sym_arguments,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13619] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(766), 1,
      sym_text_interpolation,
    STATE(797), 1,
      sym_arguments,
    ACTIONS(1566), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13680] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(767), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13739] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13798] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13857] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(770), 1,
      sym_text_interpolation,
    STATE(788), 1,
      sym_arguments,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13924] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(771), 1,
      sym_text_interpolation,
    STATE(788), 1,
      sym_arguments,
    ACTIONS(1654), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13989] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(579), 1,
      sym_arguments,
    STATE(772), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14056] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(773), 1,
      sym_text_interpolation,
    STATE(781), 1,
      sym_arguments,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14117] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(774), 1,
      sym_text_interpolation,
    STATE(782), 1,
      sym_arguments,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14178] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1919), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1917), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [14235] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1042), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1040), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14292] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1753), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14351] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(606), 1,
      sym_arguments,
    STATE(778), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14418] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(779), 1,
      sym_text_interpolation,
    STATE(869), 1,
      sym_arguments,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1703), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1701), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14485] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_RPAREN,
    STATE(780), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1546), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1470), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [14583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(781), 1,
      sym_text_interpolation,
    ACTIONS(1630), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14695] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    ACTIONS(1925), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1546), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1470), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [14793] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1927), 1,
      anon_sym_COLON,
    STATE(579), 1,
      sym_arguments,
    STATE(784), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14861] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14917] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1929), 1,
      anon_sym_COLON,
    STATE(606), 1,
      sym_arguments,
    STATE(786), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15041] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15097] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1933), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1931), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [15153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15209] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15265] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15321] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1544), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15433] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15489] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1626), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15601] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    ACTIONS(1935), 1,
      anon_sym_RPAREN,
    STATE(798), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1546), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1470), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1548), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15755] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15811] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15867] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1937), 1,
      anon_sym_COLON,
    STATE(606), 1,
      sym_arguments,
    STATE(802), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15935] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    ACTIONS(1939), 1,
      anon_sym_RPAREN,
    STATE(803), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1546), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1470), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16089] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(805), 1,
      sym_text_interpolation,
    STATE(869), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1703), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1701), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16150] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(806), 1,
      sym_text_interpolation,
    STATE(874), 1,
      sym_arguments,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16209] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16270] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(614), 1,
      sym_arguments,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1709), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1707), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16329] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1526), 1,
      anon_sym_LPAREN,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym_name,
    STATE(809), 1,
      sym_text_interpolation,
    STATE(1678), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2464), 1,
      sym__scope_resolution_qualifier,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1549), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1544), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(683), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(650), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16424] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16485] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1943), 1,
      sym_name,
    STATE(811), 1,
      sym_text_interpolation,
    STATE(1675), 1,
      sym__dereferencable_expression,
    STATE(2588), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(810), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1705), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1743), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(907), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(807), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1581), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [16580] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    STATE(812), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1532), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1446), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16675] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1084), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1082), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16730] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1945), 1,
      sym_name,
    ACTIONS(1947), 1,
      anon_sym_LPAREN,
    STATE(814), 1,
      sym_text_interpolation,
    STATE(1685), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2621), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1554), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1558), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(903), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(854), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16825] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(587), 1,
      sym_arguments,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16882] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16939] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16996] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1949), 1,
      sym_name,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    STATE(818), 1,
      sym_text_interpolation,
    STATE(1671), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2584), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1578), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1550), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(821), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(760), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17091] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1945), 1,
      sym_name,
    ACTIONS(1947), 1,
      anon_sym_LPAREN,
    STATE(819), 1,
      sym_text_interpolation,
    STATE(1685), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2621), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1554), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1558), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(905), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(837), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17186] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(820), 1,
      sym_text_interpolation,
    STATE(861), 1,
      sym_arguments,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17245] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17302] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      sym_name,
    STATE(822), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2504), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(763), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1543), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1573), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1705), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(705), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17397] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(823), 1,
      sym_text_interpolation,
    STATE(867), 1,
      sym_arguments,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17456] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17517] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(825), 1,
      sym_text_interpolation,
    STATE(871), 1,
      sym_arguments,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17576] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(1727), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1725), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17635] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym_arguments,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17694] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_arguments,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17753] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(1566), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17812] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    STATE(830), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1546), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1470), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17907] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      sym_name,
    ACTIONS(1955), 1,
      anon_sym_LPAREN,
    STATE(831), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2600), 1,
      sym__scope_resolution_qualifier,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1543), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1573), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(777), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(674), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18002] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1560), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18061] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_arguments,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18122] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18181] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_EQ,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1767), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1765), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18238] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    STATE(836), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(763), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1705), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1447), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18333] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(837), 1,
      sym_text_interpolation,
    STATE(892), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1753), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18394] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(838), 1,
      sym_text_interpolation,
    STATE(881), 1,
      sym_arguments,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18453] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_arguments,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18514] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_LPAREN,
    STATE(840), 1,
      sym_text_interpolation,
    STATE(1052), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1703), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1701), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18575] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(841), 1,
      sym_text_interpolation,
    STATE(869), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1703), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1701), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18636] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18697] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(843), 1,
      sym_text_interpolation,
    STATE(892), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1815), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18758] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1763), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1761), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18819] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_arguments,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1763), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1761), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(1672), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18935] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18990] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(848), 1,
      sym_text_interpolation,
    ACTIONS(1654), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1066), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1064), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19104] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1945), 1,
      sym_name,
    STATE(850), 1,
      sym_text_interpolation,
    STATE(1685), 1,
      sym__dereferencable_expression,
    STATE(2455), 1,
      sym__scope_resolution_qualifier,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(904), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1554), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1558), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1705), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(843), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19199] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(801), 1,
      sym_arguments,
    STATE(851), 1,
      sym_text_interpolation,
    ACTIONS(1709), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1707), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19258] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    STATE(852), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1530), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1461), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19353] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(1959), 1,
      sym_name,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(1707), 1,
      sym__dereferencable_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2586), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(716), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1705), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(679), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1581), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [19448] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(892), 1,
      sym_arguments,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19509] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(589), 1,
      sym_arguments,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1584), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19566] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(588), 1,
      sym_arguments,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1580), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19623] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1727), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1725), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19682] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      sym_name,
    ACTIONS(1955), 1,
      anon_sym_LPAREN,
    STATE(858), 1,
      sym_text_interpolation,
    STATE(1696), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2600), 1,
      sym__scope_resolution_qualifier,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1543), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1573), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(768), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(695), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19777] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(585), 1,
      aux_sym_cast_type_token1,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1056), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LPAREN,
    ACTIONS(1759), 1,
      sym_name,
    STATE(859), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      sym__dereferencable_expression,
    STATE(1705), 1,
      sym_class_constant_access_expression,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2500), 1,
      sym__scope_resolution_qualifier,
    STATE(2597), 1,
      sym_relative_scope,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(683), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1445), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(860), 1,
      sym_text_interpolation,
    ACTIONS(1879), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1877), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1634), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19980] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(862), 1,
      sym_text_interpolation,
    ACTIONS(1548), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20034] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1767), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1765), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1552), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20142] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1590), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20196] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1891), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1889), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20250] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1630), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1628), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20304] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1913), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20358] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1592), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1907), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20468] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1626), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1835), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20576] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_EQ,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1961), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1767), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1765), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1620), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20688] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1859), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20742] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20796] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20904] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20960] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_EQ,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1767), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1765), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21070] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21124] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1851), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21178] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1899), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1897), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21286] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21340] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21394] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1887), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1885), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1871), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1869), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21502] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21610] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21664] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1875), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1873), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21718] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1520), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1522), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21772] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21826] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1883), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1881), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21934] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21988] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1895), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22042] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1544), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22096] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22150] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1855), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22204] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22259] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1815), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1813), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22314] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1753), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1751), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22369] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22424] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22479] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1965), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22531] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1969), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1967), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22635] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1973), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1977), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22791] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1993), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1997), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1995), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(2001), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(2005), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2003), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23103] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(2009), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(2013), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2011), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23207] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(2017), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2015), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(2021), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23311] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2027), 1,
      aux_sym_binary_expression_token1,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(2025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2023), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23365] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(2031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23417] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(2025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2023), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23469] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(2035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(2043), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23625] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(1570), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(2047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(2051), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23781] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(2059), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23885] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23937] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2067), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23989] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24041] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(2075), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(2079), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24145] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(2083), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24197] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(2087), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24301] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(2095), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(2099), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(1544), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2103), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(1548), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2107), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24665] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(2115), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24717] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(2119), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24821] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(1552), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24873] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(2151), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(1907), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2155), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25341] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(2159), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2157), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25393] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2163), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2161), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25445] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(2167), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2169), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2175), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25601] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2183), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2181), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25705] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(2187), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2185), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25757] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(2191), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2189), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25809] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1763), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1761), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25861] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(2195), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25913] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_POUND_LBRACK,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(974), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2199), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2197), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [25968] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1715), 1,
      anon_sym_LPAREN,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(2204), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(975), 1,
      sym_text_interpolation,
    STATE(1192), 1,
      sym_visibility_modifier,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1548), 1,
      sym__types,
    STATE(1679), 1,
      sym_type,
    STATE(2072), 1,
      sym_reference_modifier,
    STATE(2074), 1,
      sym_variable_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [26055] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    STATE(974), 1,
      aux_sym_attribute_list_repeat1,
    STATE(976), 1,
      sym_text_interpolation,
    STATE(1046), 1,
      sym_attribute_group,
    ACTIONS(2208), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2206), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26112] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(1066), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1064), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26163] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(1084), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1082), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26214] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1975), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26302] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26376] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26452] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2250), 1,
      anon_sym_EQ_GT,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2149), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26542] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [26620] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26704] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(985), 1,
      sym_text_interpolation,
    STATE(1329), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1405), 1,
      sym__const_declaration,
    ACTIONS(2254), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2252), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [26762] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [26850] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26922] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2258), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27010] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [27096] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27184] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2262), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27272] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27354] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27442] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(1696), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27494] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27576] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27664] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [27752] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27808] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27890] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2276), 1,
      anon_sym_QMARK,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27972] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28042] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1696), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1694), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28108] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28190] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [28252] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28310] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [28370] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(1696), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28422] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28510] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2284), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2289), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2292), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2295), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2298), 1,
      sym_var_modifier,
    STATE(1329), 1,
      sym__modifier,
    STATE(1009), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2287), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2301), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2282), 18,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28576] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [28664] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28746] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1012), 1,
      sym_text_interpolation,
    STATE(1329), 1,
      sym__modifier,
    STATE(1364), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1391), 1,
      sym__const_declaration,
    ACTIONS(2254), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2252), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28804] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28886] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28971] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2262), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29058] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2352), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2350), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [29107] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29190] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29277] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1975), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29364] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [29441] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29528] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29603] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29684] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(1696), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29735] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29792] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29863] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [29924] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2356), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2354), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [30054] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30141] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30196] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30277] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30350] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30409] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30478] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30565] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(1696), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30616] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30703] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30784] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30865] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1696), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1694), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30930] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31011] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_QMARK,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31092] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      anon_sym_EQ_GT,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2149), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31181] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31268] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2362), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2360), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [31317] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31404] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2366), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2364), 29,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [31453] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2258), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31540] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31626] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31712] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(1907), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31760] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31814] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(2039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2037), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31862] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(1997), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1995), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31910] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31958] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2159), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2157), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32006] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32078] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2029), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32174] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2021), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32270] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32338] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32418] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32498] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(1696), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32548] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2163), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2161), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32596] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2167), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32644] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32692] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(1034), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1032), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(1544), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1542), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32788] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(1042), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1040), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(1548), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1546), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32884] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(1552), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32932] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [32990] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2195), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2193), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33038] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33124] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2051), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2049), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33172] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2155), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33220] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(1993), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33324] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2262), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33410] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33496] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2055), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2053), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33544] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2258), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33630] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33716] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2187), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2185), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33764] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [33824] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2191), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2189), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2009), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33968] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34016] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1696), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1694), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(1969), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1967), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2063), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2061), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2095), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2093), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34224] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2183), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2181), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34272] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34342] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2043), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2041), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34390] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    ACTIONS(2408), 1,
      anon_sym_EQ_GT,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2149), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34478] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34552] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2175), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34648] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34696] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2169), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2013), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2011), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34792] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34840] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2067), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2065), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2075), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2073), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34936] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2017), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2015), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2151), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2087), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2085), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2083), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2081), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35128] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [35214] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35294] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35374] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(1965), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35502] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2099), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2097), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35674] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35756] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [35840] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token1,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2023), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35890] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2103), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2101), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2107), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2105), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35986] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36066] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36114] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2005), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2003), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(1973), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36210] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36290] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2001), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36338] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36424] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2059), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36472] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2033), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36520] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1975), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(1763), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1761), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36654] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2115), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2113), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36702] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2047), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36750] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(1977), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36798] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2119), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2117), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36846] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36894] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2071), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2069), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36942] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(1696), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36992] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2023), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37040] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(1981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37136] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(1570), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37184] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2079), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2077), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37232] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2256), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37317] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37396] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [37455] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2452), 1,
      sym_name,
    STATE(1153), 1,
      sym_text_interpolation,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1636), 1,
      sym_type,
    STATE(1896), 1,
      sym_const_element,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2562), 1,
      sym__reserved_identifier,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37530] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2268), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37615] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [37682] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2452), 1,
      sym_name,
    STATE(1156), 1,
      sym_text_interpolation,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1614), 1,
      sym_type,
    STATE(1788), 1,
      sym_const_element,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2562), 1,
      sym__reserved_identifier,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37757] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2264), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37842] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [37913] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_COLON,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2111), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2109), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37962] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38015] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_COLON,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2091), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2089), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38064] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38143] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2280), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38228] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(1696), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38297] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38376] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38455] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(1696), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38504] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38589] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_EQ_GT,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38676] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38731] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2260), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38816] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2258), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38901] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38980] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2266), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39065] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39144] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1696), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1694), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39207] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(1696), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39256] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39335] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2304), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39420] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [39493] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [39568] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1975), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39653] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2452), 1,
      sym_name,
    STATE(1183), 1,
      sym_text_interpolation,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1641), 1,
      sym_type,
    STATE(1836), 1,
      sym_const_element,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2562), 1,
      sym__reserved_identifier,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39728] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39809] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2452), 1,
      sym_name,
    STATE(1185), 1,
      sym_text_interpolation,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1585), 1,
      sym_type,
    STATE(1891), 1,
      sym_const_element,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2562), 1,
      sym__reserved_identifier,
    STATE(2605), 1,
      sym_namespace_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39884] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1694), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [39967] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1696), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1694), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [40024] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2460), 1,
      anon_sym_EQ_GT,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40110] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      anon_sym_EQ_GT,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40196] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2464), 1,
      anon_sym_COMMA,
    ACTIONS(2466), 1,
      anon_sym_EQ_GT,
    STATE(1190), 1,
      sym_text_interpolation,
    STATE(2161), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40284] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2468), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40368] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1192), 1,
      sym_text_interpolation,
    STATE(1272), 1,
      sym_readonly_modifier,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(2133), 1,
      sym_variable_name,
    STATE(2430), 1,
      sym_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40444] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_COMMA,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40530] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2474), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40614] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2476), 1,
      anon_sym_EQ_GT,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2149), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40700] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_COMMA,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40786] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2480), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40870] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1198), 1,
      sym_text_interpolation,
    STATE(1278), 1,
      sym_readonly_modifier,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(2065), 1,
      sym_variable_name,
    STATE(2323), 1,
      sym_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40946] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41029] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      anon_sym_RBRACE,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1200), 1,
      sym_text_interpolation,
    STATE(1229), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [41118] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2504), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41201] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2506), 1,
      anon_sym_RBRACE,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1202), 1,
      sym_text_interpolation,
    STATE(1228), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [41290] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2508), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41373] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41456] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2512), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41539] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2514), 1,
      anon_sym_EQ_GT,
    ACTIONS(2516), 1,
      anon_sym_RPAREN,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41624] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41707] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2520), 1,
      anon_sym_RBRACE,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1208), 1,
      sym_text_interpolation,
    STATE(1229), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [41796] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41879] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41962] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2470), 1,
      anon_sym_RPAREN,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42047] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1212), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42130] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1213), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2530), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42213] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42296] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42379] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2536), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42462] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42545] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2540), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42628] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42711] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42794] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2478), 1,
      anon_sym_RPAREN,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42879] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2546), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42962] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2514), 1,
      anon_sym_EQ_GT,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43047] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2550), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43130] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_QMARK,
    ACTIONS(2372), 1,
      anon_sym_PIPE,
    ACTIONS(2376), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2378), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2386), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2390), 1,
      anon_sym_CARET,
    ACTIONS(2398), 1,
      anon_sym_GT_EQ,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2406), 1,
      anon_sym_PERCENT,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2404), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2396), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2394), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43213] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1226), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2554), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43296] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2514), 1,
      anon_sym_EQ_GT,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    STATE(1227), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43381] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2558), 1,
      anon_sym_RBRACE,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1228), 1,
      sym_text_interpolation,
    STATE(1229), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43470] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2560), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2563), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2566), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2569), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2572), 1,
      anon_sym_RBRACE,
    ACTIONS(2574), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2577), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2580), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2583), 1,
      sym_var_modifier,
    ACTIONS(2589), 1,
      anon_sym_POUND_LBRACK,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    STATE(1229), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2586), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43557] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2592), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43640] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2594), 1,
      anon_sym_RBRACE,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1231), 1,
      sym_text_interpolation,
    STATE(1246), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43729] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2596), 1,
      anon_sym_RBRACE,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1208), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1232), 1,
      sym_text_interpolation,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [43818] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2470), 1,
      anon_sym_SEMI,
    ACTIONS(2598), 1,
      anon_sym_COMMA,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43903] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2478), 1,
      anon_sym_SEMI,
    ACTIONS(2598), 1,
      anon_sym_COMMA,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43988] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44071] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44154] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44237] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44320] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2608), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44403] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2610), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44486] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44569] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44652] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2616), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44735] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2618), 1,
      anon_sym_RBRACE,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1200), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1244), 1,
      sym_text_interpolation,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44824] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2514), 1,
      anon_sym_EQ_GT,
    ACTIONS(2620), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44909] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    STATE(638), 1,
      aux_sym_class_declaration_repeat1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1012), 1,
      sym_final_modifier,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1229), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1246), 1,
      sym_text_interpolation,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_attribute_list,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1417), 1,
      sym__class_const_declaration,
    STATE(1418), 1,
      sym__member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1390), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44998] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2624), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45081] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45163] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2628), 1,
      anon_sym_RBRACE,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45245] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45327] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2632), 1,
      anon_sym_RBRACE,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45409] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45491] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45573] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45655] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45737] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2642), 1,
      anon_sym_RBRACE,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45819] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45901] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2646), 1,
      anon_sym_RBRACK,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45983] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2648), 1,
      anon_sym_RBRACE,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46065] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46147] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      anon_sym_RBRACE,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46229] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46311] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2656), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46393] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2658), 1,
      anon_sym_RBRACE,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46475] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2660), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46557] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2662), 1,
      anon_sym_RBRACE,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46639] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2664), 1,
      anon_sym_EQ_GT,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46721] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2666), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46803] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2668), 1,
      anon_sym_RBRACK,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46885] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46967] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2672), 1,
      anon_sym_COLON,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47049] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1272), 1,
      sym_text_interpolation,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(2155), 1,
      sym_variable_name,
    STATE(2378), 1,
      sym_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47119] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2674), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47201] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47283] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47365] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47447] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47529] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(1278), 1,
      sym_text_interpolation,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(2123), 1,
      sym_variable_name,
    STATE(2436), 1,
      sym_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47599] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2682), 1,
      anon_sym_RBRACK,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47681] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2680), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47763] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2684), 1,
      anon_sym_RPAREN,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47845] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47927] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48009] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48091] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48173] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48255] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2694), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48337] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48419] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_EQ_GT,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48501] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2700), 1,
      anon_sym_EQ_GT,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48583] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48665] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48747] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48829] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48911] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2708), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48993] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2710), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49075] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49157] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49239] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49321] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2716), 1,
      anon_sym_RPAREN,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49403] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49485] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49567] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49649] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49731] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49813] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49895] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49977] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50059] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2734), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50141] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2740), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2738), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50267] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2742), 1,
      anon_sym_RBRACE,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50349] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50431] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2746), 1,
      anon_sym_COLON,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50513] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2748), 1,
      anon_sym_COLON,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50595] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_AMP,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2318), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2320), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2330), 1,
      anon_sym_CARET,
    ACTIONS(2338), 1,
      anon_sym_GT_EQ,
    ACTIONS(2342), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym_PERCENT,
    ACTIONS(2348), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2750), 1,
      anon_sym_RBRACK,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2316), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2344), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2336), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2334), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50677] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50759] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_AMP,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_PIPE,
    ACTIONS(2218), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2224), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2226), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2240), 1,
      anon_sym_GT_EQ,
    ACTIONS(2244), 1,
      anon_sym_DOT,
    ACTIONS(2248), 1,
      anon_sym_PERCENT,
    ACTIONS(2752), 1,
      anon_sym_COLON,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(2216), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2234), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2246), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2236), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50841] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    ACTIONS(2756), 1,
      aux_sym_enum_case_token1,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1319), 1,
      sym_text_interpolation,
    STATE(1320), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1358), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1398), 1,
      sym__enum_member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1403), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [50922] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2756), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2758), 1,
      anon_sym_RBRACE,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1320), 1,
      sym_text_interpolation,
    STATE(1321), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1358), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1398), 1,
      sym__enum_member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1403), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51003] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2760), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2763), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2766), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(2771), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2774), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2777), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2780), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2783), 1,
      sym_var_modifier,
    ACTIONS(2789), 1,
      anon_sym_POUND_LBRACK,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1329), 1,
      sym__modifier,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1358), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1398), 1,
      sym__enum_member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    STATE(1321), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2786), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1403), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51082] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2794), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2792), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2798), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2796), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51168] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1686), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2800), 1,
      sym_bottom_type,
    STATE(1324), 1,
      sym_text_interpolation,
    STATE(1423), 1,
      sym__types,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(2333), 1,
      sym_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51235] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2804), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2802), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51278] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2806), 1,
      sym_name,
    ACTIONS(2810), 1,
      anon_sym_LPAREN,
    ACTIONS(2812), 1,
      anon_sym_QMARK,
    ACTIONS(2814), 1,
      sym_bottom_type,
    STATE(1326), 1,
      sym_text_interpolation,
    STATE(1536), 1,
      sym__types,
    STATE(1695), 1,
      sym_qualified_name,
    STATE(2034), 1,
      sym_type,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1688), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2081), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2808), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(2254), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2252), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51388] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(2818), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2816), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2822), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2820), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51474] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2756), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2824), 1,
      anon_sym_RBRACE,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1329), 1,
      sym__modifier,
    STATE(1330), 1,
      sym_text_interpolation,
    STATE(1331), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1358), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1398), 1,
      sym__enum_member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1403), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51555] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2756), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2826), 1,
      anon_sym_RBRACE,
    STATE(976), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1046), 1,
      sym_attribute_group,
    STATE(1321), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1331), 1,
      sym_text_interpolation,
    STATE(1357), 1,
      sym_attribute_list,
    STATE(1358), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1398), 1,
      sym__enum_member_declaration,
    STATE(1819), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1403), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51636] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1332), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1937), 1,
      sym__types,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2582), 1,
      sym_intersection_type,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51692] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1333), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1937), 1,
      sym__types,
    STATE(2447), 1,
      sym_intersection_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51748] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    STATE(1334), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1459), 1,
      sym__types,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51804] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    STATE(1335), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1459), 1,
      sym__types,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51860] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1444), 1,
      sym__types,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51916] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2806), 1,
      sym_name,
    ACTIONS(2812), 1,
      anon_sym_QMARK,
    ACTIONS(2830), 1,
      anon_sym_LPAREN,
    STATE(1337), 1,
      sym_text_interpolation,
    STATE(1695), 1,
      sym_qualified_name,
    STATE(1773), 1,
      sym__types,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1688), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2808), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51972] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1338), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1937), 1,
      sym__types,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2537), 1,
      sym_intersection_type,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52028] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    STATE(1339), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1444), 1,
      sym__types,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52084] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2806), 1,
      sym_name,
    ACTIONS(2812), 1,
      anon_sym_QMARK,
    ACTIONS(2830), 1,
      anon_sym_LPAREN,
    STATE(1340), 1,
      sym_text_interpolation,
    STATE(1695), 1,
      sym_qualified_name,
    STATE(1814), 1,
      sym__types,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1688), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2808), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52140] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1341), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1937), 1,
      sym__types,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2524), 1,
      sym_intersection_type,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52196] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1342), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1937), 1,
      sym__types,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2619), 1,
      sym_intersection_type,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52252] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2806), 1,
      sym_name,
    ACTIONS(2812), 1,
      anon_sym_QMARK,
    STATE(1343), 1,
      sym_text_interpolation,
    STATE(1695), 1,
      sym_qualified_name,
    STATE(1875), 1,
      sym__types,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1688), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2808), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52305] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1453), 1,
      sym__types,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52358] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2806), 1,
      sym_name,
    ACTIONS(2812), 1,
      anon_sym_QMARK,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1695), 1,
      sym_qualified_name,
    STATE(1816), 1,
      sym__types,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1688), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2808), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52411] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1441), 1,
      sym__types,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52464] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1688), 1,
      anon_sym_QMARK,
    STATE(1347), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1441), 1,
      sym__types,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52517] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    ACTIONS(1721), 1,
      anon_sym_QMARK,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1453), 1,
      sym__types,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1435), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52570] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    STATE(1349), 1,
      sym_text_interpolation,
    STATE(1755), 1,
      sym_static_variable_declaration,
    STATE(1824), 1,
      sym_variable_name,
    ACTIONS(1596), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2740), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [52613] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    STATE(1350), 1,
      sym_text_interpolation,
    STATE(1824), 1,
      sym_variable_name,
    STATE(1885), 1,
      sym_static_variable_declaration,
    ACTIONS(1596), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2740), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [52656] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2806), 1,
      sym_name,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1695), 1,
      sym_qualified_name,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1662), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2808), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52702] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1434), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52748] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2832), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2834), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2836), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2838), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1353), 1,
      sym_text_interpolation,
    STATE(1365), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1431), 1,
      sym_static_modifier,
    STATE(2295), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52808] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2832), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2838), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2840), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2842), 1,
      aux_sym_class_declaration_token1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(1366), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1431), 1,
      sym_static_modifier,
    STATE(2249), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52868] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(2604), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1434), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1684), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52914] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2490), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    STATE(637), 1,
      aux_sym_class_declaration_repeat1,
    STATE(985), 1,
      sym_final_modifier,
    STATE(1329), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(1395), 1,
      sym__const_declaration,
    STATE(1820), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52971] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2844), 1,
      aux_sym_enum_case_token1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1360), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1820), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53023] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1358), 1,
      sym_text_interpolation,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53072] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2846), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2848), 1,
      aux_sym_class_declaration_token1,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1359), 1,
      sym_text_interpolation,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53121] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1360), 1,
      sym_text_interpolation,
    STATE(1774), 1,
      sym__function_definition_header,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53170] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2850), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2852), 1,
      aux_sym_class_declaration_token1,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1361), 1,
      sym_text_interpolation,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53219] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(587), 1,
      sym_integer,
    ACTIONS(617), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2854), 1,
      sym_float,
    ACTIONS(2856), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2858), 1,
      aux_sym__argument_name_token2,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_literal,
    ACTIONS(613), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(615), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(972), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(753), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [53266] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1363), 1,
      sym_text_interpolation,
    ACTIONS(2860), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1788), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [53296] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2846), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_text_interpolation,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53342] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2862), 1,
      aux_sym_class_declaration_token1,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1365), 1,
      sym_text_interpolation,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53388] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2494), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2498), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2500), 1,
      sym_var_modifier,
    ACTIONS(2864), 1,
      aux_sym_class_declaration_token1,
    STATE(1009), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1329), 1,
      sym__modifier,
    STATE(1366), 1,
      sym_text_interpolation,
    ACTIONS(2502), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1327), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53434] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2866), 1,
      anon_sym_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_BSLASHu,
    ACTIONS(2872), 1,
      sym__new_line,
    ACTIONS(2875), 1,
      anon_sym_DOLLAR,
    ACTIONS(2877), 1,
      sym_heredoc_end,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1368), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1376), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1443), 1,
      sym_variable_name,
    STATE(1540), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2868), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1539), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1551), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53483] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    ACTIONS(2885), 1,
      anon_sym_BSLASHu,
    ACTIONS(2888), 1,
      sym__new_line,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2894), 1,
      sym_heredoc_end,
    STATE(1376), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1443), 1,
      sym_variable_name,
    STATE(1540), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2882), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1368), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1539), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1551), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53530] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(2896), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53556] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(2898), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53582] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(2900), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53608] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2902), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53634] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1373), 1,
      sym_text_interpolation,
    ACTIONS(2902), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53660] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2904), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53686] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1375), 1,
      sym_text_interpolation,
    ACTIONS(2904), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53712] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2866), 1,
      anon_sym_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_BSLASHu,
    ACTIONS(2875), 1,
      anon_sym_DOLLAR,
    STATE(1376), 1,
      sym_text_interpolation,
    STATE(1381), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1443), 1,
      sym_variable_name,
    STATE(1540), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2868), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2906), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1539), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1551), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53756] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(2908), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53782] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(2910), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53808] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1379), 1,
      sym_text_interpolation,
    ACTIONS(2912), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53834] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2866), 1,
      anon_sym_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_BSLASHu,
    ACTIONS(2875), 1,
      anon_sym_DOLLAR,
    STATE(1380), 1,
      sym_text_interpolation,
    STATE(1381), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1443), 1,
      sym_variable_name,
    STATE(1540), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2868), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2894), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1539), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1551), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53878] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2914), 1,
      anon_sym_LBRACE,
    ACTIONS(2920), 1,
      anon_sym_BSLASHu,
    ACTIONS(2925), 1,
      anon_sym_DOLLAR,
    STATE(1443), 1,
      sym_variable_name,
    STATE(1540), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2917), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2923), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1381), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1539), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1551), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53920] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(2928), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53946] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2930), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53972] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(2932), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53998] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2932), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54024] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(2934), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54050] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2866), 1,
      anon_sym_LBRACE,
    ACTIONS(2870), 1,
      anon_sym_BSLASHu,
    ACTIONS(2875), 1,
      anon_sym_DOLLAR,
    ACTIONS(2936), 1,
      sym__new_line,
    STATE(1367), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1376), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1387), 1,
      sym_text_interpolation,
    STATE(1443), 1,
      sym_variable_name,
    STATE(1540), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2868), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1539), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1551), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54096] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2896), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54122] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2938), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54147] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2940), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54172] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2942), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54197] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2944), 1,
      sym_name,
    ACTIONS(2950), 1,
      anon_sym_BSLASH,
    STATE(1392), 1,
      sym_text_interpolation,
    STATE(1832), 1,
      sym_namespace_use_clause,
    STATE(2440), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2948), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1658), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54238] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      anon_sym_BSLASHu,
    ACTIONS(2958), 1,
      anon_sym_DQUOTE,
    ACTIONS(2960), 1,
      anon_sym_DOLLAR,
    STATE(1393), 1,
      sym_text_interpolation,
    STATE(1411), 1,
      aux_sym__interpolated_string_body,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1637), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2954), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1635), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1640), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54281] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2968), 1,
      anon_sym_BQUOTE,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    STATE(1394), 1,
      sym_text_interpolation,
    STATE(1409), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2964), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1593), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1616), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54324] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2972), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54349] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_LBRACE,
    ACTIONS(2980), 1,
      anon_sym_BSLASHu,
    ACTIONS(2983), 1,
      anon_sym_BQUOTE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2977), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1396), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1593), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1616), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54390] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      anon_sym_BSLASHu,
    ACTIONS(2960), 1,
      anon_sym_DOLLAR,
    ACTIONS(2988), 1,
      anon_sym_DQUOTE,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1422), 1,
      aux_sym__interpolated_string_body,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1637), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2954), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1635), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1640), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54433] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1398), 1,
      sym_text_interpolation,
    ACTIONS(2990), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54458] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1399), 1,
      sym_text_interpolation,
    ACTIONS(2992), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1400), 1,
      sym_text_interpolation,
    ACTIONS(2994), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54508] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1401), 1,
      sym_text_interpolation,
    ACTIONS(2996), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54533] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1402), 1,
      sym_text_interpolation,
    ACTIONS(2998), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54558] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(3000), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54583] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(3002), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54608] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(3004), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54633] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(3006), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54658] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1407), 1,
      sym_text_interpolation,
    ACTIONS(3008), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54683] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1408), 1,
      sym_text_interpolation,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54708] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(3012), 1,
      anon_sym_BQUOTE,
    STATE(1396), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1409), 1,
      sym_text_interpolation,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2964), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1593), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1616), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54751] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(3014), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54776] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      anon_sym_BSLASHu,
    ACTIONS(2960), 1,
      anon_sym_DOLLAR,
    ACTIONS(3016), 1,
      anon_sym_DQUOTE,
    STATE(1411), 1,
      sym_text_interpolation,
    STATE(1422), 1,
      aux_sym__interpolated_string_body,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1637), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2954), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1635), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1640), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1412), 1,
      sym_text_interpolation,
    ACTIONS(3018), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54844] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3020), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3022), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54875] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1414), 1,
      sym_text_interpolation,
    ACTIONS(3024), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54900] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2944), 1,
      sym_name,
    ACTIONS(3028), 1,
      anon_sym_BSLASH,
    STATE(1415), 1,
      sym_text_interpolation,
    STATE(1787), 1,
      sym_namespace_use_clause,
    STATE(2592), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3026), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1658), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54941] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(3030), 1,
      anon_sym_BQUOTE,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(1421), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2964), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1593), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1616), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [54984] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(3032), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55009] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1418), 1,
      sym_text_interpolation,
    ACTIONS(3034), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55034] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1419), 1,
      sym_text_interpolation,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55059] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      anon_sym_BSLASHu,
    ACTIONS(2960), 1,
      anon_sym_DOLLAR,
    ACTIONS(3038), 1,
      anon_sym_DQUOTE,
    STATE(1397), 1,
      aux_sym__interpolated_string_body,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1637), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2954), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1635), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1640), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55102] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(3040), 1,
      anon_sym_BQUOTE,
    STATE(1396), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1421), 1,
      sym_text_interpolation,
    STATE(1462), 1,
      sym_variable_name,
    STATE(1626), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2964), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1593), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1616), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [55145] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3042), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASHu,
    ACTIONS(3051), 1,
      anon_sym_DQUOTE,
    ACTIONS(3053), 1,
      anon_sym_DOLLAR,
    STATE(1501), 1,
      sym_variable_name,
    STATE(1637), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3045), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1422), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1635), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1640), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55186] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_AMP,
    ACTIONS(3068), 1,
      anon_sym_PIPE,
    STATE(1423), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1507), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1512), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3063), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3056), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [55222] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_BSLASHu,
    ACTIONS(3070), 1,
      anon_sym_LBRACE,
    ACTIONS(3072), 1,
      anon_sym_DOLLAR,
    STATE(1380), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1424), 1,
      sym_text_interpolation,
    STATE(1443), 1,
      sym_variable_name,
    STATE(1540), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2868), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1539), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1551), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55262] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3074), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3076), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(2254), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55290] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3080), 1,
      anon_sym_RBRACK,
    STATE(1426), 1,
      sym_text_interpolation,
    STATE(2413), 1,
      sym_attribute,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1808), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55330] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_RBRACK,
    STATE(1427), 1,
      sym_text_interpolation,
    STATE(2413), 1,
      sym_attribute,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1808), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55370] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3084), 1,
      sym_integer,
    STATE(1428), 1,
      sym_text_interpolation,
    STATE(2346), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(884), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [55403] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(3086), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3088), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55428] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1927), 1,
      anon_sym_COLON,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(2740), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1596), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55457] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3092), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1431), 1,
      sym_text_interpolation,
    ACTIONS(2254), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55484] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2944), 1,
      sym_name,
    ACTIONS(3094), 1,
      anon_sym_BSLASH,
    STATE(1432), 1,
      sym_text_interpolation,
    STATE(1757), 1,
      sym_namespace_use_clause,
    STATE(2548), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1658), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(3020), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3022), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55546] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1434), 1,
      sym_text_interpolation,
    ACTIONS(3096), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3098), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(3100), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3102), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55596] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(1436), 1,
      sym_text_interpolation,
    STATE(1914), 1,
      sym_attribute,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1808), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55633] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2944), 1,
      sym_name,
    STATE(1437), 1,
      sym_text_interpolation,
    STATE(2063), 1,
      sym_namespace_use_clause,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1658), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55670] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(1438), 1,
      sym_text_interpolation,
    STATE(2413), 1,
      sym_attribute,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1808), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55707] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2944), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_BSLASH,
    STATE(1439), 1,
      sym_text_interpolation,
    STATE(1879), 1,
      sym_namespace_use_clause,
    STATE(2555), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1658), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55744] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3106), 1,
      sym_integer,
    STATE(1440), 1,
      sym_text_interpolation,
    STATE(2332), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(884), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [55777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(3108), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3110), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(3112), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3114), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55825] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3118), 1,
      anon_sym_DASH_GT,
    ACTIONS(3120), 1,
      anon_sym_LBRACK,
    ACTIONS(3124), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(3116), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3122), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [55855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1444), 1,
      sym_text_interpolation,
    ACTIONS(3126), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3129), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55879] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1445), 1,
      sym_text_interpolation,
    ACTIONS(1578), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55907] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1446), 1,
      sym_text_interpolation,
    STATE(1918), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55939] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1447), 1,
      sym_text_interpolation,
    ACTIONS(1813), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55967] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_name,
    STATE(1448), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2144), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56001] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3138), 1,
      anon_sym_AMP,
    STATE(1449), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3108), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3110), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56027] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_AMP,
    STATE(1449), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(3141), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3143), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56055] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1602), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [56079] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    STATE(1452), 1,
      sym_text_interpolation,
    ACTIONS(2740), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1596), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56105] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1453), 1,
      sym_text_interpolation,
    ACTIONS(3145), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3147), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56129] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3149), 1,
      sym_name,
    STATE(1454), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(1818), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56163] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3151), 1,
      sym_name,
    STATE(1455), 1,
      sym_text_interpolation,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1623), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56197] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3153), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(579), 1,
      sym_arguments,
    STATE(1456), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56229] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1457), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56261] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3157), 1,
      sym_name,
    STATE(1458), 1,
      sym_text_interpolation,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2606), 1,
      sym_namespace_name_as_prefix,
    STATE(1806), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1459), 1,
      sym_text_interpolation,
    ACTIONS(3159), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3161), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56319] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3163), 1,
      sym_name,
    STATE(1460), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
    STATE(2089), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56353] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3165), 1,
      anon_sym_COMMA,
    ACTIONS(3167), 1,
      anon_sym_RPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1461), 1,
      sym_text_interpolation,
    STATE(2093), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56385] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3116), 1,
      anon_sym_BSLASHu,
    ACTIONS(3169), 1,
      anon_sym_DASH_GT,
    ACTIONS(3171), 1,
      anon_sym_LBRACK,
    ACTIONS(3173), 1,
      sym_execution_string_chars_after_variable,
    STATE(1462), 1,
      sym_text_interpolation,
    ACTIONS(3122), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [56414] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1463), 1,
      sym_text_interpolation,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56441] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1464), 1,
      sym_text_interpolation,
    ACTIONS(3175), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56468] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3177), 1,
      sym_name,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    STATE(1465), 1,
      sym_text_interpolation,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(697), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56497] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(666), 1,
      sym_arguments,
    STATE(1466), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56526] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3181), 1,
      sym_name,
    ACTIONS(3185), 1,
      anon_sym_LBRACE,
    STATE(1467), 1,
      sym_text_interpolation,
    ACTIONS(3183), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(647), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56555] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3187), 1,
      sym_name,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(1468), 1,
      sym_text_interpolation,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(573), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56584] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym__reserved_identifier,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(572), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56615] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1470), 1,
      sym_text_interpolation,
    ACTIONS(3195), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56642] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    STATE(1471), 1,
      sym_text_interpolation,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(574), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56671] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3201), 1,
      sym_name,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(1472), 1,
      sym_text_interpolation,
    ACTIONS(3183), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(639), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56700] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3205), 1,
      sym_name,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(1473), 1,
      sym_text_interpolation,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(816), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56729] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3213), 1,
      anon_sym_PIPE,
    STATE(1474), 1,
      sym_text_interpolation,
    STATE(1477), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3211), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3209), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56756] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3215), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(1475), 1,
      sym_text_interpolation,
    ACTIONS(3217), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(765), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56785] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3221), 1,
      sym_name,
    ACTIONS(3223), 1,
      anon_sym_LBRACE,
    STATE(1476), 1,
      sym_text_interpolation,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(815), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56814] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3213), 1,
      anon_sym_PIPE,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(1517), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3227), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3225), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56841] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3229), 1,
      sym_name,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    STATE(1478), 1,
      sym_text_interpolation,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(825), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56870] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1479), 1,
      sym_text_interpolation,
    ACTIONS(3233), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3235), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56893] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3237), 1,
      sym_name,
    ACTIONS(3239), 1,
      anon_sym_LBRACE,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56922] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3241), 1,
      sym_name,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(1567), 1,
      sym_reference_modifier,
    STATE(1584), 1,
      sym_formal_parameters,
    STATE(2203), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56955] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym__reserved_identifier,
    STATE(1482), 1,
      sym_text_interpolation,
    STATE(817), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56986] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3245), 1,
      sym_name,
    ACTIONS(3247), 1,
      anon_sym_LBRACE,
    STATE(1483), 1,
      sym_text_interpolation,
    ACTIONS(3217), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(766), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57015] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3249), 1,
      anon_sym_EQ,
    STATE(1484), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3022), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3020), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57044] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(723), 1,
      sym_arguments,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57073] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3251), 1,
      sym_name,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    STATE(1486), 1,
      sym_text_interpolation,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(698), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57102] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3255), 1,
      sym_name,
    ACTIONS(3257), 1,
      anon_sym_LBRACE,
    STATE(684), 1,
      sym__reserved_identifier,
    STATE(1487), 1,
      sym_text_interpolation,
    STATE(646), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57133] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym__reserved_identifier,
    STATE(1488), 1,
      sym_text_interpolation,
    STATE(834), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57164] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_BSLASHu,
    STATE(1489), 1,
      sym_text_interpolation,
    ACTIONS(1600), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57187] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3259), 1,
      sym_name,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1490), 1,
      sym_text_interpolation,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(710), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57216] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_name,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    STATE(1491), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym__reserved_identifier,
    STATE(1580), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57247] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3267), 1,
      anon_sym_PIPE,
    STATE(1492), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3147), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3145), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57272] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3270), 1,
      sym_name,
    ACTIONS(3272), 1,
      anon_sym_LBRACE,
    STATE(1493), 1,
      sym_text_interpolation,
    STATE(1542), 1,
      sym__reserved_identifier,
    STATE(1574), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57303] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3274), 1,
      sym_name,
    ACTIONS(3276), 1,
      anon_sym_LBRACE,
    STATE(1494), 1,
      sym_text_interpolation,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(829), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57332] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym__reserved_identifier,
    STATE(1495), 1,
      sym_text_interpolation,
    STATE(689), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57363] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1496), 1,
      sym_text_interpolation,
    ACTIONS(2538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57390] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3278), 1,
      sym_name,
    ACTIONS(3280), 1,
      anon_sym_LBRACE,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(711), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57419] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3282), 1,
      sym_name,
    ACTIONS(3284), 1,
      anon_sym_LBRACE,
    STATE(1498), 1,
      sym_text_interpolation,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(832), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57448] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(3286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57475] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3270), 1,
      sym_name,
    ACTIONS(3272), 1,
      anon_sym_LBRACE,
    STATE(1500), 1,
      sym_text_interpolation,
    STATE(1542), 1,
      sym__reserved_identifier,
    STATE(709), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57506] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3116), 1,
      anon_sym_BSLASHu,
    ACTIONS(3288), 1,
      anon_sym_DASH_GT,
    ACTIONS(3290), 1,
      anon_sym_LBRACK,
    ACTIONS(3292), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1501), 1,
      sym_text_interpolation,
    ACTIONS(3122), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [57535] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3263), 1,
      sym_name,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    STATE(1502), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym__reserved_identifier,
    STATE(838), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57566] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1503), 1,
      sym_text_interpolation,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57593] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3191), 1,
      sym_name,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym__reserved_identifier,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(696), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57624] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3197), 1,
      sym_name,
    ACTIONS(3199), 1,
      anon_sym_LBRACE,
    STATE(1505), 1,
      sym_text_interpolation,
    ACTIONS(3294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(574), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57653] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3187), 1,
      sym_name,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(1506), 1,
      sym_text_interpolation,
    ACTIONS(3294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(573), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57682] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3213), 1,
      anon_sym_PIPE,
    STATE(1507), 1,
      sym_text_interpolation,
    STATE(1517), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3298), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3296), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57709] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3300), 1,
      sym_name,
    ACTIONS(3302), 1,
      anon_sym_LBRACE,
    STATE(1508), 1,
      sym_text_interpolation,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(688), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57738] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_name,
    ACTIONS(3306), 1,
      anon_sym_LBRACE,
    STATE(857), 1,
      sym__reserved_identifier,
    STATE(1509), 1,
      sym_text_interpolation,
    STATE(764), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57769] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(892), 1,
      sym_arguments,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57798] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(579), 1,
      sym_arguments,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57827] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_PIPE,
    STATE(1492), 1,
      aux_sym_union_type_repeat1,
    STATE(1512), 1,
      sym_text_interpolation,
    ACTIONS(3310), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3308), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57854] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3314), 1,
      sym_name,
    ACTIONS(3316), 1,
      anon_sym_LBRACE,
    STATE(1513), 1,
      sym_text_interpolation,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(687), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57883] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(2524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57910] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3241), 1,
      sym_name,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(1559), 1,
      sym_reference_modifier,
    STATE(1628), 1,
      sym_formal_parameters,
    STATE(2203), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57943] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3318), 1,
      sym_name,
    ACTIONS(3320), 1,
      anon_sym_LBRACE,
    STATE(1516), 1,
      sym_text_interpolation,
    STATE(1570), 1,
      sym__reserved_identifier,
    STATE(764), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57974] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3322), 1,
      anon_sym_PIPE,
    STATE(1517), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3161), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3159), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_BSLASHu,
    STATE(1518), 1,
      sym_text_interpolation,
    ACTIONS(1600), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58022] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3325), 1,
      sym_name,
    ACTIONS(3327), 1,
      anon_sym_LBRACE,
    STATE(826), 1,
      sym__reserved_identifier,
    STATE(1519), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2946), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58053] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3329), 1,
      sym_name,
    ACTIONS(3333), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      sym_text_interpolation,
    ACTIONS(3331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(599), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58082] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3335), 1,
      sym_name,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1521), 1,
      sym_text_interpolation,
    ACTIONS(3331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [58111] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_arguments,
    STATE(1522), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58140] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1927), 1,
      anon_sym_COLON,
    STATE(1523), 1,
      sym_text_interpolation,
    ACTIONS(1596), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58165] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(1524), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58191] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    STATE(941), 1,
      sym_declaration_list,
    STATE(1525), 1,
      sym_text_interpolation,
    STATE(1639), 1,
      sym_arguments,
    STATE(1899), 1,
      sym_base_clause,
    STATE(2251), 1,
      sym_class_interface_clause,
  [58225] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1052), 1,
      sym_declaration_list,
    STATE(1526), 1,
      sym_text_interpolation,
    STATE(1617), 1,
      sym_arguments,
    STATE(1850), 1,
      sym_base_clause,
    STATE(2288), 1,
      sym_class_interface_clause,
  [58259] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1527), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      sym_named_type,
    STATE(2090), 1,
      sym_type_list,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
  [58293] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(985), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3347), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3349), 1,
      aux_sym_finally_clause_token1,
    STATE(1528), 1,
      sym_text_interpolation,
    STATE(1533), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(983), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1672), 2,
      sym_catch_clause,
      sym_finally_clause,
  [58323] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1529), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      sym_named_type,
    STATE(2156), 1,
      sym_type_list,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
  [58357] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_COMMA,
    ACTIONS(3167), 1,
      anon_sym_RPAREN,
    STATE(1530), 1,
      sym_text_interpolation,
    STATE(2093), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58383] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1112), 1,
      sym_declaration_list,
    STATE(1531), 1,
      sym_text_interpolation,
    STATE(1644), 1,
      sym_arguments,
    STATE(1780), 1,
      sym_base_clause,
    STATE(2407), 1,
      sym_class_interface_clause,
  [58417] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    STATE(1532), 1,
      sym_text_interpolation,
    STATE(1918), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58443] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(993), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3354), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(991), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1533), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1672), 2,
      sym_catch_clause,
      sym_finally_clause,
  [58471] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3359), 1,
      anon_sym_COMMA,
    ACTIONS(3361), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_use_list,
    STATE(1534), 1,
      sym_text_interpolation,
    STATE(1619), 1,
      aux_sym_base_clause_repeat1,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3357), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58503] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    STATE(961), 1,
      sym_declaration_list,
    STATE(1535), 1,
      sym_text_interpolation,
    STATE(1634), 1,
      sym_arguments,
    STATE(1855), 1,
      sym_base_clause,
    STATE(2272), 1,
      sym_class_interface_clause,
  [58537] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_AMP,
    ACTIONS(3365), 1,
      anon_sym_PIPE,
    STATE(1536), 1,
      sym_text_interpolation,
    STATE(1663), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1666), 1,
      aux_sym_union_type_repeat1,
    STATE(1667), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3063), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58567] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      sym_name,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(1682), 1,
      sym_reference_modifier,
    STATE(2302), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58594] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(575), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_name,
    STATE(1433), 1,
      sym_qualified_name,
    STATE(1538), 1,
      sym_text_interpolation,
    STATE(2110), 1,
      sym_named_type,
    STATE(2494), 1,
      sym_namespace_name_as_prefix,
    STATE(2605), 1,
      sym_namespace_name,
  [58625] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1539), 1,
      sym_text_interpolation,
    ACTIONS(3116), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3122), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [58646] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1540), 1,
      sym_text_interpolation,
    ACTIONS(3369), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3371), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [58667] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(881), 1,
      sym_arguments,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(1725), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58690] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(736), 1,
      sym_arguments,
    STATE(1542), 1,
      sym_text_interpolation,
    ACTIONS(1725), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58713] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(723), 1,
      sym_arguments,
    STATE(1543), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58736] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_arguments,
    STATE(1544), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58759] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3375), 1,
      anon_sym_DASH,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(2458), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3373), 2,
      sym_integer,
      sym_name,
    STATE(2460), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [58786] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1546), 1,
      sym_text_interpolation,
    ACTIONS(3195), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58807] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1547), 1,
      sym_text_interpolation,
    ACTIONS(1933), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1931), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58828] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_AMP,
    ACTIONS(3383), 1,
      anon_sym_PIPE,
    STATE(1548), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1753), 1,
      aux_sym_union_type_repeat1,
    STATE(1898), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3063), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58857] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_arguments,
    STATE(1549), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58880] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_arguments,
    STATE(1550), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58903] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1551), 1,
      sym_text_interpolation,
    ACTIONS(3385), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3387), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [58924] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3391), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3394), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3389), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1552), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [58949] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3375), 1,
      anon_sym_DASH,
    STATE(1553), 1,
      sym_text_interpolation,
    STATE(2618), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3373), 2,
      sym_integer,
      sym_name,
    STATE(2460), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [58976] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(892), 1,
      sym_arguments,
    STATE(1554), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1555), 1,
      sym_text_interpolation,
    ACTIONS(3175), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59020] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1556), 1,
      sym_text_interpolation,
    ACTIONS(1602), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1600), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59041] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1557), 1,
      sym_text_interpolation,
    ACTIONS(1618), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1616), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59062] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(892), 1,
      sym_arguments,
    STATE(1558), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59085] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3397), 1,
      sym_name,
    STATE(1559), 1,
      sym_text_interpolation,
    STATE(1606), 1,
      sym_formal_parameters,
    STATE(2267), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59112] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1560), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3022), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [59135] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1561), 1,
      sym_text_interpolation,
    ACTIONS(3399), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3401), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59156] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1562), 1,
      sym_text_interpolation,
    ACTIONS(3403), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3405), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59177] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3409), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1563), 1,
      sym_text_interpolation,
    STATE(1930), 1,
      sym_namespace_aliasing_clause,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3407), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59204] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(801), 1,
      sym_arguments,
    STATE(1564), 1,
      sym_text_interpolation,
    ACTIONS(1707), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59227] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1565), 1,
      sym_text_interpolation,
    ACTIONS(1606), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1604), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59248] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(718), 1,
      sym_arguments,
    STATE(1566), 1,
      sym_text_interpolation,
    ACTIONS(1707), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59271] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3397), 1,
      sym_name,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(1615), 1,
      sym_formal_parameters,
    STATE(2267), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59298] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_arguments,
    STATE(1568), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59321] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1569), 1,
      sym_text_interpolation,
    ACTIONS(3411), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3413), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59342] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(1570), 1,
      sym_text_interpolation,
    ACTIONS(1725), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59365] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1571), 1,
      sym_text_interpolation,
    ACTIONS(3415), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2923), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [59386] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3375), 1,
      anon_sym_DASH,
    STATE(1572), 1,
      sym_text_interpolation,
    STATE(2558), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3373), 2,
      sym_integer,
      sym_name,
    STATE(2460), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59413] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(723), 1,
      sym_arguments,
    STATE(1573), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59436] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(736), 1,
      sym_arguments,
    STATE(1574), 1,
      sym_text_interpolation,
    ACTIONS(1554), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59459] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1575), 1,
      sym_text_interpolation,
    ACTIONS(3286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59480] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(865), 1,
      sym_arguments,
    STATE(1576), 1,
      sym_text_interpolation,
    ACTIONS(1707), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59503] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3153), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3417), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1577), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59526] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_arguments,
    STATE(1578), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59549] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1579), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(881), 1,
      sym_arguments,
    STATE(1580), 1,
      sym_text_interpolation,
    ACTIONS(1554), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59595] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      sym_arguments,
    STATE(1581), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59618] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_declaration_list,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2422), 1,
      sym_class_interface_clause,
  [59646] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1147), 1,
      sym_compound_statement,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(1852), 1,
      sym_anonymous_function_use_clause,
    STATE(2387), 1,
      sym__return_type,
  [59674] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1056), 1,
      sym_compound_statement,
    STATE(1584), 1,
      sym_text_interpolation,
    STATE(1809), 1,
      sym_anonymous_function_use_clause,
    STATE(2268), 1,
      sym__return_type,
  [59702] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_name,
    STATE(1585), 1,
      sym_text_interpolation,
    STATE(1858), 1,
      sym_const_element,
    STATE(2562), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59726] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3433), 1,
      aux_sym_switch_block_token1,
    STATE(1552), 1,
      aux_sym_switch_block_repeat1,
    STATE(1586), 1,
      sym_text_interpolation,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [59752] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    STATE(1552), 1,
      aux_sym_switch_block_repeat1,
    STATE(1587), 1,
      sym_text_interpolation,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [59778] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3437), 1,
      sym_php_tag,
    ACTIONS(3439), 1,
      aux_sym_text_token1,
    ACTIONS(3441), 1,
      aux_sym_text_token2,
    ACTIONS(3443), 1,
      sym__eof,
    STATE(1588), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      aux_sym_text_repeat1,
    STATE(2173), 1,
      sym_text,
  [59806] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_name,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(2084), 1,
      sym_const_element,
    STATE(2562), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59830] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1120), 1,
      sym_compound_statement,
    STATE(1590), 1,
      sym_text_interpolation,
    STATE(1831), 1,
      sym_anonymous_function_use_clause,
    STATE(2416), 1,
      sym__return_type,
  [59858] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1001), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3445), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3448), 1,
      aux_sym_else_clause_token1,
    STATE(1591), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      aux_sym_if_statement_repeat1,
    STATE(2003), 1,
      sym_else_clause,
    STATE(2023), 1,
      sym_else_if_clause,
  [59886] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1015), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3453), 1,
      aux_sym_else_clause_token1,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(1622), 1,
      aux_sym_if_statement_repeat1,
    STATE(2022), 1,
      sym_else_clause,
    STATE(2023), 1,
      sym_else_if_clause,
  [59914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3457), 1,
      anon_sym_BSLASHu,
    STATE(1593), 1,
      sym_text_interpolation,
    ACTIONS(3455), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59934] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(952), 1,
      sym_compound_statement,
    STATE(1594), 1,
      sym_text_interpolation,
    STATE(1799), 1,
      sym_anonymous_function_use_clause,
    STATE(2264), 1,
      sym__return_type,
  [59962] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1595), 1,
      sym_text_interpolation,
    STATE(1742), 1,
      sym_declaration_list,
    STATE(1848), 1,
      sym_base_clause,
    STATE(2234), 1,
      sym_class_interface_clause,
  [59990] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3459), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3461), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3463), 1,
      aux_sym_else_clause_token1,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      aux_sym_if_statement_repeat2,
    STATE(2094), 1,
      sym_else_if_clause_2,
    STATE(2465), 1,
      sym_else_clause_2,
  [60018] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1121), 1,
      sym_compound_statement,
    STATE(1597), 1,
      sym_text_interpolation,
    STATE(1867), 1,
      sym_anonymous_function_use_clause,
    STATE(2394), 1,
      sym__return_type,
  [60046] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_BSLASHu,
    STATE(1598), 1,
      sym_text_interpolation,
    ACTIONS(2983), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60066] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_BSLASHu,
    STATE(1599), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60086] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_BSLASHu,
    STATE(1600), 1,
      sym_text_interpolation,
    ACTIONS(3405), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60106] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1015), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3467), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3470), 1,
      aux_sym_else_clause_token1,
    STATE(1591), 1,
      aux_sym_if_statement_repeat1,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(2022), 1,
      sym_else_clause,
    STATE(2023), 1,
      sym_else_if_clause,
  [60134] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_BSLASHu,
    STATE(1602), 1,
      sym_text_interpolation,
    ACTIONS(3401), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60154] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3473), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [60176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_BSLASHu,
    STATE(1604), 1,
      sym_text_interpolation,
    ACTIONS(3401), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60196] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3475), 1,
      aux_sym_switch_block_token1,
    STATE(1605), 1,
      sym_text_interpolation,
    STATE(1631), 1,
      aux_sym_switch_block_repeat1,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [60222] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1138), 1,
      sym_compound_statement,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(1862), 1,
      sym_anonymous_function_use_clause,
    STATE(2391), 1,
      sym__return_type,
  [60250] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(1607), 1,
      sym_text_interpolation,
    STATE(1870), 1,
      sym_base_clause,
    STATE(2427), 1,
      sym_class_interface_clause,
  [60278] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3461), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3463), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3477), 1,
      aux_sym_if_statement_token2,
    STATE(1596), 1,
      aux_sym_if_statement_repeat2,
    STATE(1608), 1,
      sym_text_interpolation,
    STATE(2094), 1,
      sym_else_if_clause_2,
    STATE(2471), 1,
      sym_else_clause_2,
  [60306] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3461), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3463), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3479), 1,
      aux_sym_if_statement_token2,
    STATE(1609), 1,
      sym_text_interpolation,
    STATE(1632), 1,
      aux_sym_if_statement_repeat2,
    STATE(2094), 1,
      sym_else_if_clause_2,
    STATE(2493), 1,
      sym_else_clause_2,
  [60334] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1610), 1,
      sym_text_interpolation,
    STATE(1730), 1,
      sym_declaration_list,
    STATE(1778), 1,
      sym_base_clause,
    STATE(2212), 1,
      sym_class_interface_clause,
  [60362] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(957), 1,
      sym_compound_statement,
    STATE(1611), 1,
      sym_text_interpolation,
    STATE(1772), 1,
      sym_anonymous_function_use_clause,
    STATE(2214), 1,
      sym__return_type,
  [60390] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    STATE(1587), 1,
      aux_sym_switch_block_repeat1,
    STATE(1612), 1,
      sym_text_interpolation,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [60416] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3483), 1,
      aux_sym_switch_block_token1,
    STATE(1586), 1,
      aux_sym_switch_block_repeat1,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [60442] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_name,
    STATE(1614), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      sym_const_element,
    STATE(2562), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60466] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1104), 1,
      sym_compound_statement,
    STATE(1615), 1,
      sym_text_interpolation,
    STATE(1863), 1,
      sym_anonymous_function_use_clause,
    STATE(2331), 1,
      sym__return_type,
  [60494] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3116), 1,
      anon_sym_BSLASHu,
    STATE(1616), 1,
      sym_text_interpolation,
    ACTIONS(3122), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60514] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1092), 1,
      sym_declaration_list,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1781), 1,
      sym_base_clause,
    STATE(2405), 1,
      sym_class_interface_clause,
  [60542] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(950), 1,
      sym_compound_statement,
    STATE(1618), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      sym_anonymous_function_use_clause,
    STATE(2217), 1,
      sym__return_type,
  [60570] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_COMMA,
    ACTIONS(3361), 1,
      anon_sym_LBRACE,
    STATE(1383), 1,
      sym_use_list,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1720), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60596] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_declaration_list,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      sym_base_clause,
    STATE(2385), 1,
      sym_class_interface_clause,
  [60624] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(915), 1,
      sym_compound_statement,
    STATE(1621), 1,
      sym_text_interpolation,
    STATE(1887), 1,
      sym_anonymous_function_use_clause,
    STATE(2290), 1,
      sym__return_type,
  [60652] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1001), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3451), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3453), 1,
      aux_sym_else_clause_token1,
    STATE(1622), 1,
      sym_text_interpolation,
    STATE(1748), 1,
      aux_sym_if_statement_repeat1,
    STATE(2003), 1,
      sym_else_clause,
    STATE(2023), 1,
      sym_else_if_clause,
  [60680] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_COMMA,
    ACTIONS(3361), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_use_list,
    STATE(1619), 1,
      aux_sym_base_clause_repeat1,
    STATE(1623), 1,
      sym_text_interpolation,
    ACTIONS(3357), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60706] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(944), 1,
      sym_compound_statement,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_anonymous_function_use_clause,
    STATE(2219), 1,
      sym__return_type,
  [60734] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1625), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60754] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_BSLASHu,
    STATE(1626), 1,
      sym_text_interpolation,
    ACTIONS(3371), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60774] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    STATE(1627), 1,
      sym_text_interpolation,
    ACTIONS(3413), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60794] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1110), 1,
      sym_compound_statement,
    STATE(1628), 1,
      sym_text_interpolation,
    STATE(1844), 1,
      sym_anonymous_function_use_clause,
    STATE(2417), 1,
      sym__return_type,
  [60822] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(1827), 1,
      sym_base_clause,
    STATE(2277), 1,
      sym_class_interface_clause,
  [60850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BSLASHu,
    STATE(1630), 1,
      sym_text_interpolation,
    ACTIONS(1616), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60870] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3487), 1,
      aux_sym_switch_block_token1,
    STATE(1552), 1,
      aux_sym_switch_block_repeat1,
    STATE(1631), 1,
      sym_text_interpolation,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [60896] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3461), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3463), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3489), 1,
      aux_sym_if_statement_token2,
    STATE(1632), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      aux_sym_if_statement_repeat2,
    STATE(2094), 1,
      sym_else_if_clause_2,
    STATE(2490), 1,
      sym_else_clause_2,
  [60924] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_BSLASHu,
    STATE(1633), 1,
      sym_text_interpolation,
    ACTIONS(1600), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60944] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    STATE(955), 1,
      sym_declaration_list,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1901), 1,
      sym_base_clause,
    STATE(2252), 1,
      sym_class_interface_clause,
  [60972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3116), 1,
      anon_sym_BSLASHu,
    STATE(1635), 1,
      sym_text_interpolation,
    ACTIONS(3122), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [60992] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_name,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(1810), 1,
      sym_const_element,
    STATE(2562), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_BSLASHu,
    STATE(1637), 1,
      sym_text_interpolation,
    ACTIONS(3371), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61036] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3491), 1,
      anon_sym_RBRACE,
    STATE(1638), 1,
      sym_text_interpolation,
    STATE(1647), 1,
      aux_sym_switch_block_repeat1,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [61062] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    STATE(939), 1,
      sym_declaration_list,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(1760), 1,
      sym_base_clause,
    STATE(2223), 1,
      sym_class_interface_clause,
  [61090] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_BSLASHu,
    STATE(1640), 1,
      sym_text_interpolation,
    ACTIONS(3493), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61110] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_name,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1889), 1,
      sym_const_element,
    STATE(2562), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61134] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1103), 1,
      sym_compound_statement,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1847), 1,
      sym_anonymous_function_use_clause,
    STATE(2357), 1,
      sym__return_type,
  [61162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_BSLASHu,
    STATE(1643), 1,
      sym_text_interpolation,
    ACTIONS(1604), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61182] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_declaration_list,
    STATE(1644), 1,
      sym_text_interpolation,
    STATE(1854), 1,
      sym_base_clause,
    STATE(2402), 1,
      sym_class_interface_clause,
  [61210] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(922), 1,
      sym_compound_statement,
    STATE(1645), 1,
      sym_text_interpolation,
    STATE(1856), 1,
      sym_anonymous_function_use_clause,
    STATE(2236), 1,
      sym__return_type,
  [61238] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_BSLASHu,
    STATE(1646), 1,
      sym_text_interpolation,
    ACTIONS(3413), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61258] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    STATE(1552), 1,
      aux_sym_switch_block_repeat1,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1792), 2,
      sym_case_statement,
      sym_default_statement,
  [61284] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2293), 1,
      sym_arguments,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61310] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_BSLASHu,
    STATE(1649), 1,
      sym_text_interpolation,
    ACTIONS(3405), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61330] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1650), 1,
      sym_text_interpolation,
    STATE(1744), 1,
      sym_declaration_list,
    STATE(1825), 1,
      sym_base_clause,
    STATE(2170), 1,
      sym_class_interface_clause,
  [61358] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(1669), 1,
      sym_declaration_list,
    STATE(1895), 1,
      sym_base_clause,
    STATE(2280), 1,
      sym_class_interface_clause,
  [61386] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    STATE(1652), 1,
      sym_text_interpolation,
    STATE(1805), 1,
      aux_sym_base_clause_repeat1,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3503), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [61412] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_BSLASHu,
    STATE(1653), 1,
      sym_text_interpolation,
    ACTIONS(1616), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61432] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(967), 1,
      sym_compound_statement,
    STATE(1654), 1,
      sym_text_interpolation,
    STATE(1821), 1,
      sym_anonymous_function_use_clause,
    STATE(2197), 1,
      sym__return_type,
  [61460] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(914), 1,
      sym_compound_statement,
    STATE(1655), 1,
      sym_text_interpolation,
    STATE(1859), 1,
      sym_anonymous_function_use_clause,
    STATE(2241), 1,
      sym__return_type,
  [61488] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3505), 1,
      anon_sym_BSLASHu,
    STATE(1656), 1,
      sym_text_interpolation,
    ACTIONS(3051), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61508] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1100), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1657), 1,
      sym_text_interpolation,
    ACTIONS(1098), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3507), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61529] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3409), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(1930), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3407), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [61550] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_BSLASH,
    STATE(1659), 1,
      sym_text_interpolation,
    STATE(1661), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3509), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [61571] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(1660), 1,
      sym_text_interpolation,
    STATE(2035), 1,
      sym__return_type,
    ACTIONS(3513), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61592] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_BSLASH,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(1752), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3517), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [61613] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1662), 1,
      sym_text_interpolation,
    ACTIONS(3098), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61630] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_AMP,
    STATE(1663), 1,
      sym_text_interpolation,
    STATE(1717), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3143), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61651] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3519), 1,
      sym_name,
    ACTIONS(3521), 1,
      anon_sym_LBRACE,
    STATE(1664), 1,
      sym_text_interpolation,
    STATE(890), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61674] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3527), 1,
      anon_sym_DASH_GT,
    ACTIONS(3529), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3531), 1,
      anon_sym_LBRACK,
    STATE(1665), 1,
      sym_text_interpolation,
  [61699] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_PIPE,
    STATE(1666), 1,
      sym_text_interpolation,
    STATE(1715), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3310), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61720] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(1718), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3298), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61741] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1038), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1668), 1,
      sym_text_interpolation,
    ACTIONS(1036), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61760] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1088), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1669), 1,
      sym_text_interpolation,
    ACTIONS(1086), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61781] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3539), 1,
      ts_builtin_sym_end,
    ACTIONS(3541), 1,
      sym_php_tag,
    ACTIONS(3543), 1,
      aux_sym_text_token1,
    ACTIONS(3546), 1,
      aux_sym_text_token2,
    STATE(1670), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [61804] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_DASH_GT,
    ACTIONS(3553), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3555), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym_text_interpolation,
  [61829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1050), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1672), 1,
      sym_text_interpolation,
    ACTIONS(1048), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61848] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_name,
    STATE(1673), 1,
      sym_text_interpolation,
    STATE(1871), 1,
      sym_namespace_name,
    STATE(2122), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3559), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [61871] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3561), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3563), 1,
      aux_sym_finally_clause_token1,
    STATE(424), 1,
      aux_sym_try_statement_repeat1,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(435), 2,
      sym_catch_clause,
      sym_finally_clause,
  [61894] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3567), 1,
      anon_sym_DASH_GT,
    ACTIONS(3569), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3571), 1,
      anon_sym_LBRACK,
    STATE(1675), 1,
      sym_text_interpolation,
  [61919] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3573), 1,
      sym_name,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR,
    STATE(1676), 1,
      sym_text_interpolation,
    STATE(1643), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61942] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_BSLASH,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(1683), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3517), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61963] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3582), 1,
      anon_sym_LBRACE,
    ACTIONS(3584), 1,
      anon_sym_DASH_GT,
    ACTIONS(3586), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3588), 1,
      anon_sym_LBRACK,
    STATE(1678), 1,
      sym_text_interpolation,
  [61988] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3590), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(2135), 1,
      sym_reference_modifier,
    STATE(2136), 1,
      sym_variable_name,
  [62013] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    ACTIONS(3594), 1,
      anon_sym_COLON,
    STATE(536), 1,
      sym_enum_declaration_list,
    STATE(1680), 1,
      sym_text_interpolation,
    STATE(2419), 1,
      sym_class_interface_clause,
  [62038] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3596), 1,
      sym_name,
    ACTIONS(3598), 1,
      anon_sym_LBRACE,
    STATE(1681), 1,
      sym_text_interpolation,
    STATE(609), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62061] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3600), 1,
      sym_name,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(2291), 1,
      sym__reserved_identifier,
    ACTIONS(2454), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [62082] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_BSLASH,
    STATE(1683), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3602), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62101] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3607), 1,
      sym_name,
    ACTIONS(3609), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(787), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62124] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      anon_sym_LBRACK,
    ACTIONS(3611), 1,
      anon_sym_DASH_GT,
    ACTIONS(3613), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1685), 1,
      sym_text_interpolation,
  [62149] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3615), 1,
      ts_builtin_sym_end,
    ACTIONS(3617), 1,
      sym_php_tag,
    STATE(1670), 1,
      aux_sym_text_repeat1,
    STATE(1686), 1,
      sym_text_interpolation,
  [62174] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1046), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1687), 1,
      sym_text_interpolation,
    ACTIONS(1044), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62193] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1688), 1,
      sym_text_interpolation,
    ACTIONS(3102), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [62210] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3347), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3349), 1,
      aux_sym_finally_clause_token1,
    STATE(1528), 1,
      aux_sym_try_statement_repeat1,
    STATE(1689), 1,
      sym_text_interpolation,
    STATE(1672), 2,
      sym_catch_clause,
      sym_finally_clause,
  [62233] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3619), 1,
      anon_sym_LBRACE,
    ACTIONS(3621), 1,
      anon_sym_DASH_GT,
    ACTIONS(3623), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    STATE(1690), 1,
      sym_text_interpolation,
  [62258] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3627), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3629), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3632), 1,
      aux_sym_else_clause_token1,
    STATE(2094), 1,
      sym_else_if_clause_2,
    STATE(1691), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [62281] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1106), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1692), 1,
      sym_text_interpolation,
    ACTIONS(1104), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3634), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62302] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_name,
    STATE(1693), 1,
      sym_text_interpolation,
    STATE(1871), 1,
      sym_namespace_name,
    STATE(2352), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3559), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [62325] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1112), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1694), 1,
      sym_text_interpolation,
    ACTIONS(1110), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3636), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62346] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1695), 1,
      sym_text_interpolation,
    ACTIONS(3022), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [62363] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3619), 1,
      anon_sym_LBRACE,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    ACTIONS(3638), 1,
      anon_sym_DASH_GT,
    ACTIONS(3640), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1696), 1,
      sym_text_interpolation,
  [62388] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1697), 1,
      sym_text_interpolation,
    ACTIONS(3088), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [62405] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1124), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1698), 1,
      sym_text_interpolation,
    ACTIONS(1122), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3642), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62426] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(2050), 1,
      sym_enum_declaration_list,
    STATE(2283), 1,
      sym_class_interface_clause,
  [62451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_PIPE,
    STATE(1700), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3147), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62470] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3539), 1,
      sym__eof,
    ACTIONS(3541), 1,
      sym_php_tag,
    ACTIONS(3651), 1,
      aux_sym_text_token1,
    ACTIONS(3654), 1,
      aux_sym_text_token2,
    STATE(1701), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [62493] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_BSLASH,
    STATE(1702), 1,
      sym_text_interpolation,
    STATE(2055), 1,
      sym_compound_statement,
    ACTIONS(3657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62516] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3523), 1,
      anon_sym_LBRACE,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3531), 1,
      anon_sym_LBRACK,
    ACTIONS(3661), 1,
      anon_sym_DASH_GT,
    ACTIONS(3663), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1703), 1,
      sym_text_interpolation,
  [62541] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1528), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3665), 1,
      sym_name,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(669), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62564] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1705), 1,
      sym_text_interpolation,
    ACTIONS(1574), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62581] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3669), 1,
      anon_sym_AMP,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    STATE(1706), 1,
      sym_text_interpolation,
    STATE(2348), 2,
      sym_variable_name,
      sym_variable_reference,
  [62604] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3619), 1,
      anon_sym_LBRACE,
    ACTIONS(3625), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_DASH_GT,
    ACTIONS(3675), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1707), 1,
      sym_text_interpolation,
  [62629] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    ACTIONS(3571), 1,
      anon_sym_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_DASH_GT,
    ACTIONS(3679), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1708), 1,
      sym_text_interpolation,
  [62654] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3681), 1,
      anon_sym_PIPE,
    STATE(1709), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3161), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62673] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    STATE(1710), 1,
      sym_text_interpolation,
    STATE(2017), 1,
      sym__return_type,
    ACTIONS(3684), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    STATE(1711), 1,
      sym_text_interpolation,
    STATE(1749), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3211), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62715] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(621), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3686), 1,
      sym_name,
    ACTIONS(3688), 1,
      anon_sym_LBRACE,
    STATE(1712), 1,
      sym_text_interpolation,
    STATE(582), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62738] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3690), 1,
      sym_name,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    ACTIONS(3694), 1,
      anon_sym_DOLLAR,
    STATE(1713), 1,
      sym_text_interpolation,
    STATE(1565), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62761] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    ACTIONS(3694), 1,
      anon_sym_DOLLAR,
    ACTIONS(3696), 1,
      sym_name,
    STATE(1714), 1,
      sym_text_interpolation,
    STATE(1565), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62784] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_PIPE,
    STATE(1715), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3147), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62803] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR,
    ACTIONS(3701), 1,
      sym_name,
    STATE(1716), 1,
      sym_text_interpolation,
    STATE(1643), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62826] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_AMP,
    STATE(1717), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3110), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3706), 1,
      anon_sym_PIPE,
    STATE(1718), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3161), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62864] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3439), 1,
      aux_sym_text_token1,
    ACTIONS(3441), 1,
      aux_sym_text_token2,
    ACTIONS(3615), 1,
      sym__eof,
    ACTIONS(3617), 1,
      sym_php_tag,
    STATE(1701), 1,
      aux_sym_text_repeat1,
    STATE(1719), 1,
      sym_text_interpolation,
  [62889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3709), 1,
      anon_sym_COMMA,
    STATE(1720), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3473), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62908] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_EQ,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(2145), 1,
      sym_property_initializer,
    ACTIONS(3712), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [62929] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_BSLASH,
    STATE(1677), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1722), 1,
      sym_text_interpolation,
    ACTIONS(3509), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62950] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_BSLASH,
    STATE(542), 1,
      sym_compound_statement,
    STATE(1723), 1,
      sym_text_interpolation,
    ACTIONS(3719), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62973] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1724), 1,
      sym_text_interpolation,
    ACTIONS(1134), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3721), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62994] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    ACTIONS(3723), 1,
      anon_sym_COLON,
    STATE(1725), 1,
      sym_text_interpolation,
    STATE(2019), 1,
      sym_enum_declaration_list,
    STATE(2235), 1,
      sym_class_interface_clause,
  [63019] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1709), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1726), 1,
      sym_text_interpolation,
    ACTIONS(3227), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63040] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    ACTIONS(3727), 1,
      anon_sym_COLON,
    STATE(515), 1,
      sym_enum_declaration_list,
    STATE(1727), 1,
      sym_text_interpolation,
    STATE(2273), 1,
      sym_class_interface_clause,
  [63065] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3729), 1,
      sym_name,
    ACTIONS(3731), 1,
      anon_sym_BSLASH,
    STATE(1702), 1,
      sym_namespace_name,
    STATE(1728), 1,
      sym_text_interpolation,
    STATE(2082), 1,
      sym_compound_statement,
  [63090] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1060), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1729), 1,
      sym_text_interpolation,
    ACTIONS(1058), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3733), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63111] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1070), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1730), 1,
      sym_text_interpolation,
    ACTIONS(1068), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3735), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63132] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      aux_sym_base_clause_repeat1,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
  [63157] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3739), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1732), 1,
      sym_text_interpolation,
    STATE(2069), 1,
      sym_reference_modifier,
    STATE(2070), 1,
      sym_variable_name,
  [63182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1054), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1733), 1,
      sym_text_interpolation,
    ACTIONS(1052), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63201] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOLLAR,
    ACTIONS(3741), 1,
      sym_name,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(726), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63224] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3745), 1,
      anon_sym_LBRACE,
    ACTIONS(3747), 1,
      anon_sym_DASH_GT,
    ACTIONS(3749), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3751), 1,
      anon_sym_LBRACK,
    STATE(1735), 1,
      sym_text_interpolation,
  [63249] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1076), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1736), 1,
      sym_text_interpolation,
    ACTIONS(1074), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3753), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63270] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(1737), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [63291] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3755), 1,
      sym_name,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(3759), 1,
      anon_sym_DOLLAR,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(1625), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63314] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_LBRACE,
    ACTIONS(3759), 1,
      anon_sym_DOLLAR,
    ACTIONS(3761), 1,
      sym_name,
    STATE(1739), 1,
      sym_text_interpolation,
    STATE(1625), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63337] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3669), 1,
      anon_sym_AMP,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    STATE(1740), 1,
      sym_text_interpolation,
    STATE(2348), 2,
      sym_variable_name,
      sym_variable_reference,
  [63360] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3729), 1,
      sym_name,
    ACTIONS(3731), 1,
      anon_sym_BSLASH,
    STATE(458), 1,
      sym_compound_statement,
    STATE(1723), 1,
      sym_namespace_name,
    STATE(1741), 1,
      sym_text_interpolation,
  [63385] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1118), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1742), 1,
      sym_text_interpolation,
    ACTIONS(1116), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3765), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63406] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(2456), 1,
      anon_sym_COLON,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      sym_formal_parameters,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(2279), 1,
      sym_reference_modifier,
  [63431] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1130), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1744), 1,
      sym_text_interpolation,
    ACTIONS(1128), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3767), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63452] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3769), 1,
      sym_name,
    STATE(1745), 1,
      sym_text_interpolation,
    STATE(2091), 1,
      sym_visibility_modifier,
    ACTIONS(3771), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [63473] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(2456), 1,
      anon_sym_COLON,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      sym_formal_parameters,
    STATE(2213), 1,
      sym_reference_modifier,
  [63498] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1709), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1747), 1,
      sym_text_interpolation,
    ACTIONS(3298), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63519] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1025), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1027), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3773), 1,
      aux_sym_else_if_clause_token1,
    STATE(2023), 1,
      sym_else_if_clause,
    STATE(1748), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [63542] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    STATE(1718), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1749), 1,
      sym_text_interpolation,
    ACTIONS(3227), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63563] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1094), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1750), 1,
      sym_text_interpolation,
    ACTIONS(1092), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3776), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63584] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1751), 1,
      sym_text_interpolation,
    ACTIONS(3211), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63605] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_BSLASH,
    STATE(1752), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3602), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [63624] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_PIPE,
    STATE(1700), 1,
      aux_sym_union_type_repeat1,
    STATE(1753), 1,
      sym_text_interpolation,
    ACTIONS(3310), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63645] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_SEMI,
    ACTIONS(3785), 1,
      sym__automatic_semicolon,
    STATE(1377), 1,
      sym_compound_statement,
    STATE(1754), 1,
      sym_text_interpolation,
  [63667] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    STATE(1755), 1,
      sym_text_interpolation,
    STATE(1877), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3787), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63687] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2838), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3791), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1756), 1,
      sym_text_interpolation,
    STATE(2245), 1,
      sym_static_modifier,
  [63709] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(1757), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3793), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(2531), 1,
      sym_declare_directive,
    ACTIONS(3797), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [63747] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      sym_text_interpolation,
    STATE(1794), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3799), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63767] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    STATE(965), 1,
      sym_declaration_list,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(2204), 1,
      sym_class_interface_clause,
  [63789] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(1761), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63809] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(1762), 1,
      sym_text_interpolation,
    STATE(1884), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3807), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63829] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    STATE(1763), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3809), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_PIPE,
    ACTIONS(3811), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1764), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [63867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1765), 1,
      sym_text_interpolation,
    STATE(2560), 1,
      sym_declare_directive,
    ACTIONS(3797), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [63885] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_compound_statement,
    STATE(1766), 1,
      sym_text_interpolation,
    STATE(2201), 1,
      sym__return_type,
  [63907] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_COMMA,
    STATE(1767), 1,
      sym_text_interpolation,
    STATE(1794), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3816), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63927] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1768), 1,
      sym_text_interpolation,
    ACTIONS(3818), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [63943] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(943), 1,
      sym_compound_statement,
    STATE(1769), 1,
      sym_text_interpolation,
    STATE(2200), 1,
      sym__return_type,
  [63965] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1770), 1,
      sym_text_interpolation,
    STATE(2040), 1,
      sym_formal_parameters,
    STATE(2363), 1,
      sym_reference_modifier,
  [63987] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    STATE(1771), 1,
      sym_text_interpolation,
    STATE(1982), 1,
      sym_enum_declaration_list,
    STATE(2198), 1,
      sym_class_interface_clause,
  [64009] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(956), 1,
      sym_compound_statement,
    STATE(1772), 1,
      sym_text_interpolation,
    STATE(2196), 1,
      sym__return_type,
  [64031] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1773), 1,
      sym_text_interpolation,
    ACTIONS(3161), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64047] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_SEMI,
    ACTIONS(3822), 1,
      sym__automatic_semicolon,
    STATE(1382), 1,
      sym_compound_statement,
    STATE(1774), 1,
      sym_text_interpolation,
  [64069] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(2020), 1,
      sym_formal_parameters,
    STATE(2305), 1,
      sym_reference_modifier,
  [64091] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1590), 1,
      sym_formal_parameters,
    STATE(1776), 1,
      sym_text_interpolation,
    STATE(2303), 1,
      sym_reference_modifier,
  [64113] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      sym_text_interpolation,
    STATE(1815), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64133] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1694), 1,
      sym_declaration_list,
    STATE(1778), 1,
      sym_text_interpolation,
    STATE(2195), 1,
      sym_class_interface_clause,
  [64155] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3828), 1,
      sym_nowdoc_string,
    ACTIONS(3826), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1779), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [64173] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_declaration_list,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(2402), 1,
      sym_class_interface_clause,
  [64195] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1143), 1,
      sym_declaration_list,
    STATE(1781), 1,
      sym_text_interpolation,
    STATE(2403), 1,
      sym_class_interface_clause,
  [64217] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1782), 1,
      sym_text_interpolation,
    ACTIONS(3831), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64233] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64253] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      sym_formal_parameters,
    STATE(1784), 1,
      sym_text_interpolation,
    STATE(2279), 1,
      sym_reference_modifier,
  [64275] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_PIPE,
    STATE(1764), 1,
      aux_sym_type_list_repeat1,
    STATE(1785), 1,
      sym_text_interpolation,
    ACTIONS(3837), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [64295] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1655), 1,
      sym_formal_parameters,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(2289), 1,
      sym_reference_modifier,
  [64317] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64337] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_text_interpolation,
    STATE(1837), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64357] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3845), 1,
      anon_sym_SQUOTE,
    ACTIONS(3847), 1,
      aux_sym_string_token2,
    ACTIONS(3849), 1,
      sym_string_content,
    STATE(1789), 1,
      sym_text_interpolation,
    STATE(1811), 1,
      aux_sym_string_repeat1,
  [64379] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_COLON,
    ACTIONS(3731), 1,
      anon_sym_BSLASH,
    ACTIONS(3851), 1,
      sym_name,
    STATE(1790), 1,
      sym_text_interpolation,
    STATE(2589), 1,
      sym_namespace_name,
  [64401] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(1791), 1,
      sym_text_interpolation,
    STATE(1884), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3793), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64421] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1792), 1,
      sym_text_interpolation,
    ACTIONS(3853), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [64437] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3669), 1,
      anon_sym_AMP,
    STATE(1793), 1,
      sym_text_interpolation,
    STATE(2348), 2,
      sym_variable_name,
      sym_variable_reference,
  [64457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3857), 1,
      anon_sym_COMMA,
    ACTIONS(3855), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1794), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
  [64475] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1795), 1,
      sym_text_interpolation,
    ACTIONS(3860), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64491] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_COMMA,
    STATE(1794), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1796), 1,
      sym_text_interpolation,
    ACTIONS(3862), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64511] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1797), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      sym_formal_parameters,
    STATE(2213), 1,
      sym_reference_modifier,
  [64533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3864), 1,
      anon_sym_COMMA,
    ACTIONS(3473), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1798), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [64551] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(925), 1,
      sym_compound_statement,
    STATE(1799), 1,
      sym_text_interpolation,
    STATE(2232), 1,
      sym__return_type,
  [64573] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_enum_declaration_list,
    STATE(1800), 1,
      sym_text_interpolation,
    STATE(2421), 1,
      sym_class_interface_clause,
  [64595] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1801), 1,
      sym_text_interpolation,
    ACTIONS(3867), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64615] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1802), 1,
      sym_text_interpolation,
    ACTIONS(3869), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64631] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1803), 1,
      sym_text_interpolation,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64651] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1804), 1,
      sym_text_interpolation,
    ACTIONS(3114), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64667] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    STATE(1798), 1,
      aux_sym_base_clause_repeat1,
    STATE(1805), 1,
      sym_text_interpolation,
    ACTIONS(3873), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [64687] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1806), 1,
      sym_text_interpolation,
    ACTIONS(3473), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [64703] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1807), 1,
      sym_text_interpolation,
    ACTIONS(3875), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3877), 2,
      sym__eof,
      aux_sym_text_token2,
  [64721] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_LPAREN,
    STATE(1808), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      sym_arguments,
    ACTIONS(3499), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [64741] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1076), 1,
      sym_compound_statement,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(2334), 1,
      sym__return_type,
  [64763] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(1860), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3879), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64783] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3881), 1,
      anon_sym_SQUOTE,
    ACTIONS(3883), 1,
      aux_sym_string_token2,
    ACTIONS(3886), 1,
      sym_string_content,
    STATE(1811), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [64803] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_COMMA,
    STATE(1767), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1812), 1,
      sym_text_interpolation,
    ACTIONS(3889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64823] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3847), 1,
      aux_sym_string_token2,
    ACTIONS(3849), 1,
      sym_string_content,
    ACTIONS(3891), 1,
      anon_sym_SQUOTE,
    STATE(1813), 1,
      sym_text_interpolation,
    STATE(1866), 1,
      aux_sym_string_repeat1,
  [64845] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1814), 1,
      sym_text_interpolation,
    ACTIONS(3129), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64861] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_COMMA,
    STATE(1794), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1815), 1,
      sym_text_interpolation,
    ACTIONS(3893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64881] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1816), 1,
      sym_text_interpolation,
    ACTIONS(3110), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [64897] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1817), 1,
      sym_text_interpolation,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3895), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64917] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    STATE(1805), 1,
      aux_sym_base_clause_repeat1,
    STATE(1818), 1,
      sym_text_interpolation,
    ACTIONS(3503), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [64937] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_SEMI,
    ACTIONS(3899), 1,
      sym__automatic_semicolon,
    STATE(1386), 1,
      sym_compound_statement,
    STATE(1819), 1,
      sym_text_interpolation,
  [64959] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_SEMI,
    ACTIONS(3903), 1,
      sym__automatic_semicolon,
    STATE(1379), 1,
      sym_compound_statement,
    STATE(1820), 1,
      sym_text_interpolation,
  [64981] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(933), 1,
      sym_compound_statement,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(2190), 1,
      sym__return_type,
  [65003] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1822), 1,
      sym_text_interpolation,
    ACTIONS(3905), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [65019] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1823), 1,
      sym_text_interpolation,
    STATE(2445), 1,
      sym_declare_directive,
    ACTIONS(3797), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [65037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3909), 1,
      anon_sym_EQ,
    STATE(1824), 1,
      sym_text_interpolation,
    ACTIONS(3907), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [65055] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1729), 1,
      sym_declaration_list,
    STATE(1825), 1,
      sym_text_interpolation,
    STATE(2211), 1,
      sym_class_interface_clause,
  [65077] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1826), 1,
      sym_text_interpolation,
    ACTIONS(3602), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [65093] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(2337), 1,
      sym_class_interface_clause,
  [65115] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3839), 1,
      anon_sym_PIPE,
    STATE(1785), 1,
      aux_sym_type_list_repeat1,
    STATE(1828), 1,
      sym_text_interpolation,
    ACTIONS(3911), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [65135] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1829), 1,
      sym_text_interpolation,
    ACTIONS(3913), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65155] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(1830), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3915), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65175] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1126), 1,
      sym_compound_statement,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(2393), 1,
      sym__return_type,
  [65197] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(1832), 1,
      sym_text_interpolation,
    STATE(1881), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3917), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65217] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(1761), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1833), 1,
      sym_text_interpolation,
    ACTIONS(3919), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3921), 1,
      anon_sym_AMP,
    ACTIONS(3110), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1834), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [65255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3926), 1,
      anon_sym_COMMA,
    ACTIONS(3924), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1835), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [65273] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      sym_text_interpolation,
    STATE(1890), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3929), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65293] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1837), 1,
      sym_text_interpolation,
    ACTIONS(3931), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65313] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1645), 1,
      sym_formal_parameters,
    STATE(1838), 1,
      sym_text_interpolation,
    STATE(2339), 1,
      sym_reference_modifier,
  [65335] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(2051), 1,
      sym_declaration_list,
    STATE(2284), 1,
      sym_base_clause,
  [65357] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    STATE(1840), 1,
      sym_text_interpolation,
    STATE(2014), 1,
      sym_enum_declaration_list,
    STATE(2230), 1,
      sym_class_interface_clause,
  [65379] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1783), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1841), 1,
      sym_text_interpolation,
    ACTIONS(3933), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65399] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1584), 1,
      sym_formal_parameters,
    STATE(1842), 1,
      sym_text_interpolation,
    STATE(2278), 1,
      sym_reference_modifier,
  [65421] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(3869), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65437] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1142), 1,
      sym_compound_statement,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      sym__return_type,
  [65459] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_declaration_list,
    STATE(1845), 1,
      sym_text_interpolation,
    STATE(2389), 1,
      sym_class_interface_clause,
  [65481] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3937), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1846), 1,
      sym_text_interpolation,
    STATE(2353), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3935), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [65501] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1084), 1,
      sym_compound_statement,
    STATE(1847), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym__return_type,
  [65523] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1736), 1,
      sym_declaration_list,
    STATE(1848), 1,
      sym_text_interpolation,
    STATE(2215), 1,
      sym_class_interface_clause,
  [65545] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1849), 1,
      sym_text_interpolation,
    ACTIONS(3939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65565] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1092), 1,
      sym_declaration_list,
    STATE(1850), 1,
      sym_text_interpolation,
    STATE(2405), 1,
      sym_class_interface_clause,
  [65587] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_declaration_list,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(2354), 1,
      sym_class_interface_clause,
  [65609] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1107), 1,
      sym_compound_statement,
    STATE(1852), 1,
      sym_text_interpolation,
    STATE(2356), 1,
      sym__return_type,
  [65631] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3847), 1,
      aux_sym_string_token2,
    ACTIONS(3849), 1,
      sym_string_content,
    ACTIONS(3941), 1,
      anon_sym_SQUOTE,
    STATE(1789), 1,
      aux_sym_string_repeat1,
    STATE(1853), 1,
      sym_text_interpolation,
  [65653] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_declaration_list,
    STATE(1854), 1,
      sym_text_interpolation,
    STATE(2366), 1,
      sym_class_interface_clause,
  [65675] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    STATE(955), 1,
      sym_declaration_list,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(2252), 1,
      sym_class_interface_clause,
  [65697] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(954), 1,
      sym_compound_statement,
    STATE(1856), 1,
      sym_text_interpolation,
    STATE(2216), 1,
      sym__return_type,
  [65719] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_enum_declaration_list,
    STATE(1857), 1,
      sym_text_interpolation,
    STATE(2358), 1,
      sym_class_interface_clause,
  [65741] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1849), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1858), 1,
      sym_text_interpolation,
    ACTIONS(3943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65761] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(948), 1,
      sym_compound_statement,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(2218), 1,
      sym__return_type,
  [65783] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1860), 1,
      sym_text_interpolation,
    ACTIONS(3945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65803] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(3669), 1,
      anon_sym_AMP,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2139), 2,
      sym_variable_name,
      sym_variable_reference,
  [65823] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1096), 1,
      sym_compound_statement,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym__return_type,
  [65845] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1059), 1,
      sym_compound_statement,
    STATE(1863), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      sym__return_type,
  [65867] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1864), 1,
      sym_text_interpolation,
    ACTIONS(3947), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65887] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1865), 1,
      sym_text_interpolation,
    ACTIONS(3602), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [65903] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3847), 1,
      aux_sym_string_token2,
    ACTIONS(3849), 1,
      sym_string_content,
    ACTIONS(3949), 1,
      anon_sym_SQUOTE,
    STATE(1811), 1,
      aux_sym_string_repeat1,
    STATE(1866), 1,
      sym_text_interpolation,
  [65925] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(1089), 1,
      sym_compound_statement,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(2360), 1,
      sym__return_type,
  [65947] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3951), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_declaration_list,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2270), 1,
      sym_base_clause,
  [65969] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    ACTIONS(3955), 1,
      anon_sym_RPAREN,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2104), 1,
      aux_sym__list_destructing_repeat1,
  [65991] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_declaration_list,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2384), 1,
      sym_class_interface_clause,
  [66013] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3937), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(2382), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3957), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [66033] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1583), 1,
      sym_formal_parameters,
    STATE(1872), 1,
      sym_text_interpolation,
    STATE(2423), 1,
      sym_reference_modifier,
  [66055] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1873), 1,
      sym_text_interpolation,
    STATE(2120), 1,
      sym_formal_parameters,
    STATE(2426), 1,
      sym_reference_modifier,
  [66077] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1874), 1,
      sym_text_interpolation,
    ACTIONS(3905), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66093] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1875), 1,
      sym_text_interpolation,
    ACTIONS(3147), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66109] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1611), 1,
      sym_formal_parameters,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym_reference_modifier,
  [66131] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    STATE(1877), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66151] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(1878), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3961), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66171] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(1762), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1879), 1,
      sym_text_interpolation,
    ACTIONS(3963), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(2526), 1,
      sym_declare_directive,
    ACTIONS(3797), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [66209] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(1881), 1,
      sym_text_interpolation,
    STATE(1884), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3963), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66229] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1882), 1,
      sym_text_interpolation,
    ACTIONS(3875), 2,
      sym_php_tag,
      aux_sym_text_token1,
    ACTIONS(3877), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
  [66247] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1883), 1,
      sym_text_interpolation,
    ACTIONS(3831), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3967), 1,
      anon_sym_COMMA,
    ACTIONS(3965), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1884), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [66281] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    STATE(1763), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1885), 1,
      sym_text_interpolation,
    ACTIONS(3970), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66301] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_COMMA,
    STATE(1884), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1886), 1,
      sym_text_interpolation,
    ACTIONS(3972), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66321] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(973), 1,
      sym_compound_statement,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(2263), 1,
      sym__return_type,
  [66343] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1888), 1,
      sym_text_interpolation,
    ACTIONS(3974), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [66359] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1803), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1889), 1,
      sym_text_interpolation,
    ACTIONS(3976), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66379] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1890), 1,
      sym_text_interpolation,
    ACTIONS(3843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66399] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1891), 1,
      sym_text_interpolation,
    ACTIONS(3895), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66419] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3980), 1,
      sym_nowdoc_string,
    STATE(1779), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(1892), 1,
      sym_text_interpolation,
    ACTIONS(3978), 2,
      sym_heredoc_end,
      sym__new_line,
  [66439] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_COMMA,
    ACTIONS(3982), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1893), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [66457] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2484), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2838), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3987), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1894), 1,
      sym_text_interpolation,
    STATE(2281), 1,
      sym_static_modifier,
  [66479] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1724), 1,
      sym_declaration_list,
    STATE(1895), 1,
      sym_text_interpolation,
    STATE(2262), 1,
      sym_class_interface_clause,
  [66501] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1817), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1896), 1,
      sym_text_interpolation,
    ACTIONS(3989), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_COMMA,
    ACTIONS(3991), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1897), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [66539] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3996), 1,
      anon_sym_AMP,
    STATE(1834), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1898), 1,
      sym_text_interpolation,
    ACTIONS(3143), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [66559] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    STATE(939), 1,
      sym_declaration_list,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(2223), 1,
      sym_class_interface_clause,
  [66581] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_AMP,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1628), 1,
      sym_formal_parameters,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      sym_reference_modifier,
  [66603] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    ACTIONS(3343), 1,
      aux_sym_class_interface_clause_token1,
    STATE(937), 1,
      sym_declaration_list,
    STATE(1901), 1,
      sym_text_interpolation,
    STATE(2224), 1,
      sym_class_interface_clause,
  [66625] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1902), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [66641] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1903), 1,
      sym_text_interpolation,
    ACTIONS(3860), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [66657] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1904), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66674] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3999), 1,
      sym_name,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1905), 1,
      sym_text_interpolation,
    STATE(2233), 1,
      sym_namespace_use_group,
  [66693] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4003), 1,
      anon_sym_LBRACE,
    ACTIONS(4005), 1,
      anon_sym_COLON,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(2041), 1,
      sym_switch_block,
  [66712] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4007), 1,
      anon_sym_COMMA,
    ACTIONS(4010), 1,
      anon_sym_RPAREN,
    STATE(1907), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [66729] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4012), 1,
      anon_sym_COMMA,
    ACTIONS(4014), 1,
      anon_sym_RBRACK,
    STATE(1908), 1,
      sym_text_interpolation,
    STATE(1913), 1,
      aux_sym_array_creation_expression_repeat1,
  [66748] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4016), 1,
      sym__new_line,
    ACTIONS(4018), 1,
      sym_heredoc_end,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(2269), 1,
      sym_heredoc_body,
  [66767] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_COMMA,
    ACTIONS(4022), 1,
      anon_sym_RPAREN,
    STATE(1910), 1,
      sym_text_interpolation,
    STATE(1931), 1,
      aux_sym_formal_parameters_repeat1,
  [66786] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_COMMA,
    ACTIONS(4026), 1,
      anon_sym_RPAREN,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(1941), 1,
      aux_sym_array_creation_expression_repeat1,
  [66805] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3999), 1,
      sym_name,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(2261), 1,
      sym_namespace_use_group,
  [66824] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(845), 1,
      anon_sym_RBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      sym_text_interpolation,
    STATE(2108), 1,
      aux_sym_array_creation_expression_repeat1,
  [66843] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_COMMA,
    ACTIONS(4032), 1,
      anon_sym_RBRACK,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(1947), 1,
      aux_sym_attribute_group_repeat1,
  [66862] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4036), 1,
      anon_sym_COLON,
    STATE(492), 1,
      sym_switch_block,
    STATE(1915), 1,
      sym_text_interpolation,
  [66881] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    ACTIONS(4038), 1,
      sym_name,
    STATE(1916), 1,
      sym_text_interpolation,
    STATE(2233), 1,
      sym_namespace_use_group,
  [66900] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_COMMA,
    ACTIONS(4042), 1,
      anon_sym_RPAREN,
    STATE(1917), 1,
      sym_text_interpolation,
    STATE(1965), 1,
      aux_sym_arguments_repeat1,
  [66919] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_RPAREN,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    STATE(1918), 1,
      sym_text_interpolation,
    STATE(2152), 1,
      aux_sym_unset_statement_repeat1,
  [66938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    STATE(1919), 1,
      sym_text_interpolation,
    ACTIONS(4046), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [66955] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4048), 1,
      anon_sym_EQ_GT,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2532), 1,
      sym__return_type,
  [66974] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    ACTIONS(4052), 1,
      anon_sym_RBRACK,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(1944), 1,
      aux_sym__array_destructing_repeat1,
  [66993] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    ACTIONS(4056), 1,
      anon_sym_RBRACK,
    STATE(1922), 1,
      sym_text_interpolation,
    STATE(1945), 1,
      aux_sym_array_creation_expression_repeat1,
  [67012] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    ACTIONS(4052), 1,
      anon_sym_RBRACK,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(1946), 1,
      aux_sym__array_destructing_repeat1,
  [67031] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(1924), 1,
      sym_text_interpolation,
    STATE(2105), 1,
      aux_sym__list_destructing_repeat1,
  [67050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_LPAREN,
    STATE(1925), 1,
      sym_text_interpolation,
    ACTIONS(4058), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [67067] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4064), 1,
      sym_string_content,
    STATE(1926), 1,
      sym_text_interpolation,
    ACTIONS(4062), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [67084] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4016), 1,
      sym__new_line,
    ACTIONS(4066), 1,
      sym_heredoc_end,
    STATE(1927), 1,
      sym_text_interpolation,
    STATE(2294), 1,
      sym_heredoc_body,
  [67103] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(1824), 1,
      sym_variable_name,
    STATE(1928), 1,
      sym_text_interpolation,
    STATE(2049), 1,
      sym_static_variable_declaration,
  [67122] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1929), 1,
      sym_text_interpolation,
    STATE(2059), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67139] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1930), 1,
      sym_text_interpolation,
    ACTIONS(4068), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67154] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_RPAREN,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    STATE(1931), 1,
      sym_text_interpolation,
    STATE(2125), 1,
      aux_sym_formal_parameters_repeat1,
  [67173] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3999), 1,
      sym_name,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(2307), 1,
      sym_namespace_use_group,
  [67192] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4072), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1933), 1,
      sym_text_interpolation,
    STATE(2064), 1,
      sym_variable_name,
  [67211] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    ACTIONS(4076), 1,
      anon_sym_RPAREN,
    STATE(1934), 1,
      sym_text_interpolation,
    STATE(2066), 1,
      aux_sym_formal_parameters_repeat1,
  [67230] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_EQ,
    STATE(1935), 1,
      sym_text_interpolation,
    ACTIONS(4078), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67247] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3513), 1,
      anon_sym_LBRACE,
    STATE(1936), 1,
      sym_text_interpolation,
    STATE(2489), 1,
      sym__return_type,
  [67266] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_AMP,
    ACTIONS(4082), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1937), 1,
      sym_text_interpolation,
  [67285] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4084), 1,
      anon_sym_EQ_GT,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(2483), 1,
      sym__return_type,
  [67304] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_COMMA,
    ACTIONS(4088), 1,
      anon_sym_RPAREN,
    STATE(1939), 1,
      sym_text_interpolation,
    STATE(2092), 1,
      aux_sym_array_creation_expression_repeat1,
  [67323] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1940), 1,
      sym_text_interpolation,
    ACTIONS(4090), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67338] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(843), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1941), 1,
      sym_text_interpolation,
  [67357] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(1942), 1,
      sym_text_interpolation,
    STATE(2101), 1,
      aux_sym__list_destructing_repeat1,
  [67376] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_COLON,
    ACTIONS(4094), 1,
      anon_sym_LPAREN,
    STATE(1943), 1,
      sym_text_interpolation,
    STATE(2297), 1,
      sym_parenthesized_expression,
  [67395] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    ACTIONS(4096), 1,
      anon_sym_RBRACK,
    STATE(1944), 1,
      sym_text_interpolation,
    STATE(1946), 1,
      aux_sym__array_destructing_repeat1,
  [67414] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(829), 1,
      anon_sym_RBRACK,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(2108), 1,
      aux_sym_array_creation_expression_repeat1,
  [67433] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_COMMA,
    ACTIONS(4103), 1,
      anon_sym_RBRACK,
    STATE(1946), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [67450] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3080), 1,
      anon_sym_RBRACK,
    ACTIONS(4105), 1,
      anon_sym_COMMA,
    STATE(1947), 1,
      sym_text_interpolation,
    STATE(2080), 1,
      aux_sym_attribute_group_repeat1,
  [67469] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1948), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1949), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67503] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_COMMA,
    ACTIONS(4109), 1,
      anon_sym_RBRACE,
    STATE(1950), 1,
      sym_text_interpolation,
    STATE(1995), 1,
      aux_sym_match_block_repeat1,
  [67522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1952), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1953), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1954), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67590] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1955), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67607] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1956), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67624] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_DQUOTE,
    ACTIONS(4113), 1,
      anon_sym_SQUOTE,
    ACTIONS(4115), 1,
      sym_heredoc_start,
    STATE(1957), 1,
      sym_text_interpolation,
  [67643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1958), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67660] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1959), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1960), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67694] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67711] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4016), 1,
      sym__new_line,
    ACTIONS(4117), 1,
      sym_heredoc_end,
    STATE(1962), 1,
      sym_text_interpolation,
    STATE(2221), 1,
      sym_heredoc_body,
  [67730] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4119), 1,
      sym__new_line,
    ACTIONS(4121), 1,
      sym_heredoc_end,
    STATE(1963), 1,
      sym_text_interpolation,
    STATE(2220), 1,
      sym_nowdoc_body,
  [67749] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1964), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67766] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(813), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_COMMA,
    STATE(1965), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [67785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1966), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67802] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1967), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67819] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1968), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1969), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67870] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1972), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1973), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1974), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1975), 1,
      sym_text_interpolation,
    STATE(1830), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1976), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [67989] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68006] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68023] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1980), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68040] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68057] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1982), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68091] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68108] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1986), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68142] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1989), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1990), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68210] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68227] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1992), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68244] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68278] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(875), 1,
      anon_sym_RBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    STATE(1995), 1,
      sym_text_interpolation,
    STATE(2138), 1,
      aux_sym_match_block_repeat1,
  [68297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68314] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1997), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68331] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1998), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68348] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68365] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68382] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_COMMA,
    ACTIONS(4129), 1,
      anon_sym_RPAREN,
    STATE(2001), 1,
      sym_text_interpolation,
    STATE(2115), 1,
      aux_sym_arguments_repeat1,
  [68401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2002), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68418] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68435] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2004), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68452] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2005), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68469] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2006), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68486] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(799), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4131), 1,
      anon_sym_COMMA,
    STATE(2007), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [68505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2008), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68556] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_COMMA,
    ACTIONS(4135), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym_arguments_repeat1,
    STATE(2011), 1,
      sym_text_interpolation,
  [68575] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68592] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68609] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2016), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68660] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(4137), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68675] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2018), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68692] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2019), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68709] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4139), 1,
      anon_sym_EQ_GT,
    STATE(2020), 1,
      sym_text_interpolation,
    STATE(2453), 1,
      sym__return_type,
  [68728] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2021), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2022), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68762] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68779] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3731), 1,
      anon_sym_BSLASH,
    ACTIONS(3851), 1,
      sym_name,
    STATE(2024), 1,
      sym_text_interpolation,
    STATE(2589), 1,
      sym_namespace_name,
  [68798] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68832] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68849] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(797), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_COMMA,
    STATE(2028), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [68868] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2029), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68885] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4143), 1,
      anon_sym_COMMA,
    ACTIONS(4145), 1,
      anon_sym_RPAREN,
    STATE(2028), 1,
      aux_sym_arguments_repeat1,
    STATE(2030), 1,
      sym_text_interpolation,
  [68904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2033), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68955] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2034), 1,
      sym_text_interpolation,
    ACTIONS(4147), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68970] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2035), 1,
      sym_text_interpolation,
    ACTIONS(4149), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69002] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69019] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2038), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69036] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2039), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69053] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4151), 1,
      anon_sym_EQ_GT,
    STATE(2040), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym__return_type,
  [69072] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69089] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2042), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69106] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2043), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69123] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(819), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4153), 1,
      anon_sym_COMMA,
    STATE(2044), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [69142] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2046), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(3982), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69225] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2050), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69242] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69293] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69310] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69327] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69344] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69361] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(3991), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69393] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3999), 1,
      sym_name,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    STATE(2060), 1,
      sym_text_interpolation,
    STATE(2401), 1,
      sym_namespace_use_group,
  [69412] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    ACTIONS(4038), 1,
      sym_name,
    STATE(2061), 1,
      sym_text_interpolation,
    STATE(2401), 1,
      sym_namespace_use_group,
  [69431] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(4155), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69446] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(3965), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69461] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_EQ,
    STATE(2064), 1,
      sym_text_interpolation,
    ACTIONS(4157), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69478] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym_EQ,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(4161), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69495] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
    ACTIONS(4165), 1,
      anon_sym_COMMA,
    STATE(2066), 1,
      sym_text_interpolation,
    STATE(2125), 1,
      aux_sym_formal_parameters_repeat1,
  [69514] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2067), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69531] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69548] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4167), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2069), 1,
      sym_text_interpolation,
    STATE(2127), 1,
      sym_variable_name,
  [69567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    STATE(2070), 1,
      sym_text_interpolation,
    ACTIONS(4169), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69584] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2071), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69601] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2072), 1,
      sym_text_interpolation,
    STATE(2128), 1,
      sym_variable_name,
  [69620] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4177), 1,
      anon_sym_RPAREN,
    STATE(2044), 1,
      aux_sym_arguments_repeat1,
    STATE(2073), 1,
      sym_text_interpolation,
  [69639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_EQ,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(4179), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69656] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3684), 1,
      anon_sym_LBRACE,
    STATE(2075), 1,
      sym_text_interpolation,
    STATE(2446), 1,
      sym__return_type,
  [69675] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69692] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_DQUOTE,
    ACTIONS(4185), 1,
      anon_sym_SQUOTE,
    ACTIONS(4187), 1,
      sym_heredoc_start,
    STATE(2077), 1,
      sym_text_interpolation,
  [69711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2078), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69728] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_COMMA,
    ACTIONS(4192), 1,
      anon_sym_RBRACK,
    STATE(2080), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [69762] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2081), 1,
      sym_text_interpolation,
    ACTIONS(3235), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [69777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2082), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69794] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    ACTIONS(4038), 1,
      sym_name,
    STATE(2083), 1,
      sym_text_interpolation,
    STATE(2210), 1,
      sym_namespace_use_group,
  [69813] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2084), 1,
      sym_text_interpolation,
    ACTIONS(3924), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [69828] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2085), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69862] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(2818), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [69877] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69894] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    ACTIONS(3737), 1,
      anon_sym_LBRACE,
    STATE(2089), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      aux_sym_base_clause_repeat1,
  [69913] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      anon_sym_RPAREN,
    STATE(2090), 1,
      sym_text_interpolation,
    STATE(2488), 1,
      sym_variable_name,
  [69932] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4196), 1,
      sym_name,
    STATE(2091), 1,
      sym_text_interpolation,
    ACTIONS(4198), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69949] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(835), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_COMMA,
    STATE(1907), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2092), 1,
      sym_text_interpolation,
  [69968] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_RPAREN,
    ACTIONS(4202), 1,
      anon_sym_COMMA,
    STATE(2093), 1,
      sym_text_interpolation,
    STATE(2152), 1,
      aux_sym_unset_statement_repeat1,
  [69987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4206), 1,
      aux_sym_else_clause_token1,
    STATE(2094), 1,
      sym_text_interpolation,
    ACTIONS(4204), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [70004] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_COMMA,
    ACTIONS(4210), 1,
      anon_sym_RPAREN,
    STATE(2095), 1,
      sym_text_interpolation,
    STATE(2103), 1,
      aux_sym_arguments_repeat1,
  [70023] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_COMMA,
    ACTIONS(4214), 1,
      anon_sym_RBRACE,
    STATE(2096), 1,
      sym_text_interpolation,
    STATE(2160), 1,
      aux_sym_match_block_repeat1,
  [70042] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(4216), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70057] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2098), 1,
      sym_text_interpolation,
    ACTIONS(4218), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70072] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70089] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(4222), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70104] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_RPAREN,
    STATE(2101), 1,
      sym_text_interpolation,
    STATE(2105), 1,
      aux_sym__list_destructing_repeat1,
  [70123] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70138] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(789), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4228), 1,
      anon_sym_COMMA,
    STATE(2103), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [70157] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4230), 1,
      anon_sym_RPAREN,
    STATE(2104), 1,
      sym_text_interpolation,
    STATE(2105), 1,
      aux_sym__list_destructing_repeat1,
  [70176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_RPAREN,
    ACTIONS(4232), 1,
      anon_sym_COMMA,
    STATE(2105), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [70193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    STATE(2106), 1,
      sym_text_interpolation,
    ACTIONS(4235), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [70210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(4010), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [70225] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym_RBRACK,
    ACTIONS(4237), 1,
      anon_sym_COMMA,
    STATE(2108), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [70242] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4242), 1,
      aux_sym_else_clause_token1,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(4240), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [70259] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(3811), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [70274] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_LPAREN,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(4244), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70291] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4016), 1,
      sym__new_line,
    ACTIONS(4248), 1,
      sym_heredoc_end,
    STATE(2112), 1,
      sym_text_interpolation,
    STATE(2398), 1,
      sym_heredoc_body,
  [70310] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(3855), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_COMMA,
    ACTIONS(4253), 1,
      anon_sym_RPAREN,
    STATE(2114), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [70342] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(801), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_COMMA,
    STATE(2115), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [70361] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_EQ,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(4257), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70378] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
    STATE(2117), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [70395] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4266), 1,
      anon_sym_EQ_GT,
    STATE(2118), 1,
      sym_text_interpolation,
    STATE(2467), 1,
      sym__return_type,
  [70414] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_EQ_GT,
    STATE(2119), 1,
      sym_text_interpolation,
    STATE(2473), 1,
      sym__return_type,
  [70433] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4270), 1,
      anon_sym_EQ_GT,
    STATE(2120), 1,
      sym_text_interpolation,
    STATE(2472), 1,
      sym__return_type,
  [70452] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4119), 1,
      sym__new_line,
    ACTIONS(4272), 1,
      sym_heredoc_end,
    STATE(2121), 1,
      sym_text_interpolation,
    STATE(2397), 1,
      sym_nowdoc_body,
  [70471] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    ACTIONS(4276), 1,
      anon_sym_RBRACE,
    STATE(2122), 1,
      sym_text_interpolation,
    STATE(2159), 1,
      aux_sym_namespace_use_group_repeat1,
  [70490] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_EQ,
    STATE(2123), 1,
      sym_text_interpolation,
    ACTIONS(4278), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70507] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(4282), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70524] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_COMMA,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
    STATE(2125), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [70541] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(4291), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [70556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4295), 1,
      anon_sym_EQ,
    STATE(2127), 1,
      sym_text_interpolation,
    ACTIONS(4293), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4299), 1,
      anon_sym_EQ,
    STATE(2128), 1,
      sym_text_interpolation,
    ACTIONS(4297), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70590] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4301), 1,
      anon_sym_RPAREN,
    STATE(2105), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2129), 1,
      sym_text_interpolation,
  [70609] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2130), 1,
      sym_text_interpolation,
    ACTIONS(4303), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70624] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_RPAREN,
    STATE(2105), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2131), 1,
      sym_text_interpolation,
  [70643] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2132), 1,
      sym_text_interpolation,
    ACTIONS(4307), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [70658] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4311), 1,
      anon_sym_EQ,
    STATE(2133), 1,
      sym_text_interpolation,
    ACTIONS(4309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70675] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    ACTIONS(4315), 1,
      anon_sym_RPAREN,
    STATE(2134), 1,
      sym_text_interpolation,
    STATE(2140), 1,
      aux_sym_arguments_repeat1,
  [70694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4317), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2135), 1,
      sym_text_interpolation,
    STATE(2151), 1,
      sym_variable_name,
  [70713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_EQ,
    STATE(2136), 1,
      sym_text_interpolation,
    ACTIONS(4319), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70730] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_EQ_GT,
    ACTIONS(4323), 1,
      anon_sym_COMMA,
    STATE(2137), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [70747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_COMMA,
    ACTIONS(4329), 1,
      anon_sym_RBRACE,
    STATE(2138), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [70764] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4331), 1,
      anon_sym_COMMA,
    ACTIONS(4333), 1,
      anon_sym_RPAREN,
    STATE(2139), 1,
      sym_text_interpolation,
    STATE(2149), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [70783] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(823), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [70802] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_RPAREN,
    STATE(2129), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2141), 1,
      sym_text_interpolation,
  [70821] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(1721), 1,
      sym_variable_name,
    STATE(1829), 1,
      sym_property_element,
    STATE(2142), 1,
      sym_text_interpolation,
  [70840] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4341), 1,
      anon_sym_EQ,
    STATE(2143), 1,
      sym_text_interpolation,
    ACTIONS(4339), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70857] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(3473), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [70872] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2145), 1,
      sym_text_interpolation,
    ACTIONS(4343), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [70887] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_LBRACE,
    ACTIONS(4038), 1,
      sym_name,
    STATE(2146), 1,
      sym_text_interpolation,
    STATE(2383), 1,
      sym_namespace_use_group,
  [70906] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(1721), 1,
      sym_variable_name,
    STATE(2113), 1,
      sym_property_element,
    STATE(2147), 1,
      sym_text_interpolation,
  [70925] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_DOLLAR,
    STATE(1721), 1,
      sym_variable_name,
    STATE(1801), 1,
      sym_property_element,
    STATE(2148), 1,
      sym_text_interpolation,
  [70944] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    ACTIONS(4345), 1,
      anon_sym_COMMA,
    STATE(2114), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2149), 1,
      sym_text_interpolation,
  [70963] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_COMMA,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    STATE(1798), 1,
      aux_sym_base_clause_repeat1,
    STATE(2150), 1,
      sym_text_interpolation,
  [70982] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_EQ,
    STATE(2151), 1,
      sym_text_interpolation,
    ACTIONS(4349), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    ACTIONS(4353), 1,
      anon_sym_COMMA,
    STATE(2152), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [71016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2153), 1,
      sym_text_interpolation,
    STATE(1833), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [71033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4358), 1,
      anon_sym_EQ,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(4356), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_EQ,
    STATE(2155), 1,
      sym_text_interpolation,
    ACTIONS(4360), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71067] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    ACTIONS(4364), 1,
      anon_sym_RPAREN,
    STATE(2156), 1,
      sym_text_interpolation,
    STATE(2474), 1,
      sym_variable_name,
  [71086] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_EQ,
    STATE(2157), 1,
      sym_text_interpolation,
    ACTIONS(4366), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71103] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_COMMA,
    ACTIONS(4372), 1,
      anon_sym_RPAREN,
    STATE(2158), 1,
      sym_text_interpolation,
    STATE(2163), 1,
      aux_sym_arguments_repeat1,
  [71122] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    ACTIONS(4374), 1,
      anon_sym_RBRACE,
    STATE(2117), 1,
      aux_sym_namespace_use_group_repeat1,
    STATE(2159), 1,
      sym_text_interpolation,
  [71141] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(877), 1,
      anon_sym_RBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_COMMA,
    STATE(2138), 1,
      aux_sym_match_block_repeat1,
    STATE(2160), 1,
      sym_text_interpolation,
  [71160] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      anon_sym_EQ_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4378), 1,
      anon_sym_COMMA,
    STATE(2137), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2161), 1,
      sym_text_interpolation,
  [71179] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4380), 1,
      anon_sym_EQ_GT,
    STATE(2162), 1,
      sym_text_interpolation,
    STATE(2478), 1,
      sym__return_type,
  [71198] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(821), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_arguments_repeat1,
  [71217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_EQ,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(4384), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71234] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4388), 1,
      anon_sym_COMMA,
    ACTIONS(4391), 1,
      anon_sym_RPAREN,
    STATE(2165), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [71251] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2166), 1,
      sym_text_interpolation,
    ACTIONS(4393), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71266] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3980), 1,
      sym_nowdoc_string,
    ACTIONS(4395), 1,
      anon_sym_,
    STATE(1892), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2167), 1,
      sym_text_interpolation,
  [71285] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2168), 1,
      sym_text_interpolation,
    ACTIONS(4397), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71300] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(2131), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2169), 1,
      sym_text_interpolation,
  [71319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1729), 1,
      sym_declaration_list,
    STATE(2170), 1,
      sym_text_interpolation,
  [71335] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2171), 1,
      sym_text_interpolation,
    ACTIONS(4399), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(563), 1,
      ts_builtin_sym_end,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4401), 1,
      sym_php_tag,
    STATE(2172), 1,
      sym_text_interpolation,
  [71365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(4403), 2,
      sym__eof,
      sym_php_tag,
  [71379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(53), 1,
      sym_parenthesized_expression,
    STATE(2174), 1,
      sym_text_interpolation,
  [71395] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4407), 1,
      sym_name,
    STATE(2175), 1,
      sym_text_interpolation,
    STATE(2589), 1,
      sym_namespace_name,
  [71411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1674), 1,
      sym_compound_statement,
    STATE(2176), 1,
      sym_text_interpolation,
  [71427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4407), 1,
      sym_name,
    STATE(2177), 1,
      sym_text_interpolation,
    STATE(2564), 1,
      sym_namespace_name,
  [71443] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(51), 1,
      sym_parenthesized_expression,
    STATE(2178), 1,
      sym_text_interpolation,
  [71459] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4407), 1,
      sym_name,
    STATE(2179), 1,
      sym_text_interpolation,
    STATE(2556), 1,
      sym_namespace_name,
  [71475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(57), 1,
      sym_parenthesized_expression,
    STATE(2180), 1,
      sym_text_interpolation,
  [71491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LPAREN,
    STATE(2181), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      sym_parenthesized_expression,
  [71507] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LPAREN,
    STATE(1915), 1,
      sym_parenthesized_expression,
    STATE(2182), 1,
      sym_text_interpolation,
  [71523] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(557), 1,
      sym_compound_statement,
    STATE(2183), 1,
      sym_text_interpolation,
  [71539] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(4410), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71553] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2185), 1,
      sym_text_interpolation,
    ACTIONS(4412), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71567] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2186), 1,
      sym_text_interpolation,
    ACTIONS(4414), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71581] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2187), 1,
      sym_text_interpolation,
    ACTIONS(4416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71595] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2188), 1,
      sym_text_interpolation,
    ACTIONS(4418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71609] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(931), 1,
      sym_compound_statement,
    STATE(2190), 1,
      sym_text_interpolation,
  [71639] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2191), 1,
      sym_text_interpolation,
    ACTIONS(509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1668), 1,
      sym_compound_statement,
    STATE(2192), 1,
      sym_text_interpolation,
  [71669] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2193), 1,
      sym_text_interpolation,
    ACTIONS(4420), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71683] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2194), 1,
      sym_text_interpolation,
    ACTIONS(3953), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1657), 1,
      sym_declaration_list,
    STATE(2195), 1,
      sym_text_interpolation,
  [71713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(932), 1,
      sym_compound_statement,
    STATE(2196), 1,
      sym_text_interpolation,
  [71729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(935), 1,
      sym_compound_statement,
    STATE(2197), 1,
      sym_text_interpolation,
  [71745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    STATE(1966), 1,
      sym_enum_declaration_list,
    STATE(2198), 1,
      sym_text_interpolation,
  [71761] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4422), 1,
      sym_name,
    STATE(2199), 1,
      sym_text_interpolation,
    STATE(2554), 1,
      sym_namespace_name,
  [71777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(936), 1,
      sym_compound_statement,
    STATE(2200), 1,
      sym_text_interpolation,
  [71793] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(938), 1,
      sym_compound_statement,
    STATE(2201), 1,
      sym_text_interpolation,
  [71809] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4407), 1,
      sym_name,
    STATE(2202), 1,
      sym_text_interpolation,
    STATE(2547), 1,
      sym_namespace_name,
  [71825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1936), 1,
      sym_formal_parameters,
    STATE(2203), 1,
      sym_text_interpolation,
  [71841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_declaration_list,
    STATE(2204), 1,
      sym_text_interpolation,
  [71857] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_SEMI,
    ACTIONS(4427), 1,
      sym__automatic_semicolon,
    STATE(2205), 1,
      sym_text_interpolation,
  [71873] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1687), 1,
      sym_compound_statement,
    STATE(2206), 1,
      sym_text_interpolation,
  [71889] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(4429), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71903] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3951), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_declaration_list,
    STATE(2208), 1,
      sym_text_interpolation,
  [71919] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2209), 1,
      sym_text_interpolation,
    ACTIONS(4431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71933] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2210), 1,
      sym_text_interpolation,
    ACTIONS(4433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1692), 1,
      sym_declaration_list,
    STATE(2211), 1,
      sym_text_interpolation,
  [71963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1694), 1,
      sym_declaration_list,
    STATE(2212), 1,
      sym_text_interpolation,
  [71979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1938), 1,
      sym_formal_parameters,
    STATE(2213), 1,
      sym_text_interpolation,
  [71995] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(966), 1,
      sym_compound_statement,
    STATE(2214), 1,
      sym_text_interpolation,
  [72011] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1698), 1,
      sym_declaration_list,
    STATE(2215), 1,
      sym_text_interpolation,
  [72027] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(969), 1,
      sym_compound_statement,
    STATE(2216), 1,
      sym_text_interpolation,
  [72043] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(910), 1,
      sym_compound_statement,
    STATE(2217), 1,
      sym_text_interpolation,
  [72059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(920), 1,
      sym_compound_statement,
    STATE(2218), 1,
      sym_text_interpolation,
  [72075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(970), 1,
      sym_compound_statement,
    STATE(2219), 1,
      sym_text_interpolation,
  [72091] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4435), 1,
      sym__new_line,
    ACTIONS(4437), 1,
      sym_heredoc_end,
    STATE(2220), 1,
      sym_text_interpolation,
  [72107] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4439), 1,
      sym__new_line,
    ACTIONS(4441), 1,
      sym_heredoc_end,
    STATE(2221), 1,
      sym_text_interpolation,
  [72123] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_RPAREN,
    STATE(2222), 1,
      sym_text_interpolation,
  [72139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(965), 1,
      sym_declaration_list,
    STATE(2223), 1,
      sym_text_interpolation,
  [72155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(964), 1,
      sym_declaration_list,
    STATE(2224), 1,
      sym_text_interpolation,
  [72171] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2225), 1,
      sym_text_interpolation,
    ACTIONS(4447), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_SEMI,
    ACTIONS(4451), 1,
      sym__automatic_semicolon,
    STATE(2226), 1,
      sym_text_interpolation,
  [72201] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2227), 1,
      sym_text_interpolation,
    ACTIONS(4453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72215] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3076), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4455), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2228), 1,
      sym_text_interpolation,
  [72231] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(4457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    STATE(1992), 1,
      sym_enum_declaration_list,
    STATE(2230), 1,
      sym_text_interpolation,
  [72261] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2231), 1,
      sym_text_interpolation,
    ACTIONS(4459), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72275] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(959), 1,
      sym_compound_statement,
    STATE(2232), 1,
      sym_text_interpolation,
  [72291] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(4461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72305] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1736), 1,
      sym_declaration_list,
    STATE(2234), 1,
      sym_text_interpolation,
  [72321] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    STATE(1999), 1,
      sym_enum_declaration_list,
    STATE(2235), 1,
      sym_text_interpolation,
  [72337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(951), 1,
      sym_compound_statement,
    STATE(2236), 1,
      sym_text_interpolation,
  [72353] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(2470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72367] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_RPAREN,
    ACTIONS(4463), 1,
      anon_sym_EQ,
    STATE(2238), 1,
      sym_text_interpolation,
  [72383] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2239), 1,
      sym_text_interpolation,
    ACTIONS(4465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_match_block,
    STATE(2240), 1,
      sym_text_interpolation,
  [72413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(946), 1,
      sym_compound_statement,
    STATE(2241), 1,
      sym_text_interpolation,
  [72429] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2242), 1,
      sym_text_interpolation,
    ACTIONS(4469), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72443] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_BSLASH,
    STATE(1752), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2243), 1,
      sym_text_interpolation,
  [72459] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1689), 1,
      sym_compound_statement,
    STATE(2244), 1,
      sym_text_interpolation,
  [72475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3090), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3092), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2245), 1,
      sym_text_interpolation,
  [72491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym_parenthesized_expression,
    STATE(2246), 1,
      sym_text_interpolation,
  [72507] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LPAREN,
    STATE(2247), 1,
      sym_text_interpolation,
    STATE(2297), 1,
      sym_parenthesized_expression,
  [72523] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LPAREN,
    STATE(1906), 1,
      sym_parenthesized_expression,
    STATE(2248), 1,
      sym_text_interpolation,
  [72539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(522), 1,
      sym_compound_statement,
    STATE(2249), 1,
      sym_text_interpolation,
  [72555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4407), 1,
      sym_name,
    STATE(2250), 1,
      sym_text_interpolation,
    STATE(2496), 1,
      sym_namespace_name,
  [72571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_declaration_list,
    STATE(2251), 1,
      sym_text_interpolation,
  [72587] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_declaration_list,
    STATE(2252), 1,
      sym_text_interpolation,
  [72603] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2253), 1,
      sym_text_interpolation,
    ACTIONS(3497), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3074), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3076), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2254), 1,
      sym_text_interpolation,
  [72633] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2255), 1,
      sym_text_interpolation,
    ACTIONS(4475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72647] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(76), 1,
      sym_parenthesized_expression,
    STATE(2256), 1,
      sym_text_interpolation,
  [72663] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(4477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72677] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2258), 1,
      sym_text_interpolation,
    ACTIONS(4479), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72691] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2259), 1,
      sym_text_interpolation,
    ACTIONS(4481), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72705] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(19), 1,
      sym_parenthesized_expression,
    STATE(2260), 1,
      sym_text_interpolation,
  [72721] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2261), 1,
      sym_text_interpolation,
    ACTIONS(3807), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72735] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1750), 1,
      sym_declaration_list,
    STATE(2262), 1,
      sym_text_interpolation,
  [72751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(928), 1,
      sym_compound_statement,
    STATE(2263), 1,
      sym_text_interpolation,
  [72767] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(923), 1,
      sym_compound_statement,
    STATE(2264), 1,
      sym_text_interpolation,
  [72783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(54), 1,
      sym_parenthesized_expression,
    STATE(2265), 1,
      sym_text_interpolation,
  [72799] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2266), 1,
      sym_text_interpolation,
    STATE(2309), 1,
      sym_variable_name,
  [72815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(2075), 1,
      sym_formal_parameters,
    STATE(2267), 1,
      sym_text_interpolation,
  [72831] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_compound_statement,
    STATE(2268), 1,
      sym_text_interpolation,
  [72847] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4483), 1,
      sym__new_line,
    ACTIONS(4485), 1,
      sym_heredoc_end,
    STATE(2269), 1,
      sym_text_interpolation,
  [72863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3951), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_declaration_list,
    STATE(2270), 1,
      sym_text_interpolation,
  [72879] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2271), 1,
      sym_text_interpolation,
    ACTIONS(4487), 2,
      anon_sym_string,
      anon_sym_int,
  [72893] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_declaration_list,
    STATE(2272), 1,
      sym_text_interpolation,
  [72909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_enum_declaration_list,
    STATE(2273), 1,
      sym_text_interpolation,
  [72925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2274), 1,
      sym_text_interpolation,
    ACTIONS(4489), 2,
      anon_sym_string,
      anon_sym_int,
  [72939] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(1733), 1,
      sym_compound_statement,
    STATE(2275), 1,
      sym_text_interpolation,
  [72955] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2276), 1,
      sym_text_interpolation,
    ACTIONS(4491), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
    STATE(2277), 1,
      sym_text_interpolation,
  [72985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1615), 1,
      sym_formal_parameters,
    STATE(2278), 1,
      sym_text_interpolation,
  [73001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1594), 1,
      sym_formal_parameters,
    STATE(2279), 1,
      sym_text_interpolation,
  [73017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1724), 1,
      sym_declaration_list,
    STATE(2280), 1,
      sym_text_interpolation,
  [73033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3092), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4493), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2281), 1,
      sym_text_interpolation,
  [73049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_LPAREN,
    STATE(2257), 1,
      sym_parenthesized_expression,
    STATE(2282), 1,
      sym_text_interpolation,
  [73065] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_enum_declaration_list,
    STATE(2283), 1,
      sym_text_interpolation,
  [73081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(2031), 1,
      sym_declaration_list,
    STATE(2284), 1,
      sym_text_interpolation,
  [73097] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2285), 1,
      sym_text_interpolation,
    ACTIONS(4497), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73111] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_compound_statement,
    STATE(2286), 1,
      sym_text_interpolation,
  [73127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_LPAREN,
    STATE(2287), 1,
      sym_text_interpolation,
    STATE(2361), 1,
      sym_parenthesized_expression,
  [73143] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1092), 1,
      sym_declaration_list,
    STATE(2288), 1,
      sym_text_interpolation,
  [73159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1624), 1,
      sym_formal_parameters,
    STATE(2289), 1,
      sym_text_interpolation,
  [73175] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(962), 1,
      sym_compound_statement,
    STATE(2290), 1,
      sym_text_interpolation,
  [73191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4501), 1,
      anon_sym_LPAREN,
    STATE(1710), 1,
      sym_formal_parameters,
    STATE(2291), 1,
      sym_text_interpolation,
  [73207] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2292), 1,
      sym_text_interpolation,
    ACTIONS(1658), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73221] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2293), 1,
      sym_text_interpolation,
    ACTIONS(4503), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73235] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4505), 1,
      sym__new_line,
    ACTIONS(4507), 1,
      sym_heredoc_end,
    STATE(2294), 1,
      sym_text_interpolation,
  [73251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2000), 1,
      sym_compound_statement,
    STATE(2295), 1,
      sym_text_interpolation,
  [73267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_COLON,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2296), 1,
      sym_text_interpolation,
  [73283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4509), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_match_block,
    STATE(2297), 1,
      sym_text_interpolation,
  [73299] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2298), 1,
      sym_text_interpolation,
    ACTIONS(4511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73313] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2299), 1,
      sym_text_interpolation,
    ACTIONS(4513), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73327] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2300), 1,
      sym_text_interpolation,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73341] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LBRACE,
    STATE(2052), 1,
      sym_declaration_list,
    STATE(2301), 1,
      sym_text_interpolation,
  [73357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4501), 1,
      anon_sym_LPAREN,
    STATE(1660), 1,
      sym_formal_parameters,
    STATE(2302), 1,
      sym_text_interpolation,
  [73373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1597), 1,
      sym_formal_parameters,
    STATE(2303), 1,
      sym_text_interpolation,
  [73389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      sym_formal_parameters,
    STATE(2304), 1,
      sym_text_interpolation,
  [73405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(2118), 1,
      sym_formal_parameters,
    STATE(2305), 1,
      sym_text_interpolation,
  [73421] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(4103), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73435] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2307), 1,
      sym_text_interpolation,
    ACTIONS(3972), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2068), 1,
      sym_compound_statement,
    STATE(2308), 1,
      sym_text_interpolation,
  [73465] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2309), 1,
      sym_text_interpolation,
    ACTIONS(4515), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73479] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(20), 1,
      sym_parenthesized_expression,
    STATE(2310), 1,
      sym_text_interpolation,
  [73495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2311), 1,
      sym_text_interpolation,
    STATE(2434), 1,
      sym_variable_name,
  [73511] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2312), 1,
      sym_text_interpolation,
    ACTIONS(4155), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73525] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2313), 1,
      sym_text_interpolation,
    ACTIONS(2478), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [73539] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2314), 1,
      sym_text_interpolation,
    ACTIONS(2470), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [73553] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2315), 1,
      sym_text_interpolation,
    ACTIONS(4517), 2,
      anon_sym_string,
      anon_sym_int,
  [73567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1654), 1,
      sym_formal_parameters,
    STATE(2316), 1,
      sym_text_interpolation,
  [73583] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2317), 1,
      sym_text_interpolation,
    ACTIONS(4519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_BSLASH,
    STATE(2243), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2318), 1,
      sym_text_interpolation,
  [73613] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2319), 1,
      sym_text_interpolation,
    ACTIONS(4521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73627] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2320), 1,
      sym_text_interpolation,
    ACTIONS(4523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73641] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2321), 1,
      sym_text_interpolation,
    ACTIONS(4525), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73655] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2322), 1,
      sym_text_interpolation,
    ACTIONS(4527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73669] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2124), 1,
      sym_variable_name,
    STATE(2323), 1,
      sym_text_interpolation,
  [73685] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2324), 1,
      sym_text_interpolation,
    ACTIONS(4529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2325), 1,
      sym_text_interpolation,
    STATE(2435), 1,
      sym_variable_name,
  [73715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2326), 1,
      sym_text_interpolation,
    ACTIONS(4198), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    ACTIONS(4463), 1,
      anon_sym_EQ,
    STATE(2327), 1,
      sym_text_interpolation,
  [73745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2328), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      sym_variable_name,
  [73761] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2329), 1,
      sym_text_interpolation,
    ACTIONS(4531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73775] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2330), 1,
      sym_text_interpolation,
    ACTIONS(493), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73789] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1062), 1,
      sym_compound_statement,
    STATE(2331), 1,
      sym_text_interpolation,
  [73805] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2332), 1,
      sym_text_interpolation,
    ACTIONS(4533), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2333), 1,
      sym_text_interpolation,
    ACTIONS(4147), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [73833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_compound_statement,
    STATE(2334), 1,
      sym_text_interpolation,
  [73849] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2335), 1,
      sym_text_interpolation,
    ACTIONS(4535), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [73863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1139), 1,
      sym_compound_statement,
    STATE(2336), 1,
      sym_text_interpolation,
  [73879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
    STATE(2337), 1,
      sym_text_interpolation,
  [73895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    ACTIONS(4463), 1,
      anon_sym_EQ,
    STATE(2338), 1,
      sym_text_interpolation,
  [73911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1618), 1,
      sym_formal_parameters,
    STATE(2339), 1,
      sym_text_interpolation,
  [73927] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2340), 1,
      sym_text_interpolation,
    ACTIONS(2478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73941] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2341), 1,
      sym_text_interpolation,
    ACTIONS(4537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73955] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2342), 1,
      sym_text_interpolation,
    ACTIONS(4539), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73969] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2343), 1,
      sym_text_interpolation,
    ACTIONS(551), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73983] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_compound_statement,
    STATE(2344), 1,
      sym_text_interpolation,
  [73999] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2345), 1,
      sym_text_interpolation,
    ACTIONS(4541), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74013] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2346), 1,
      sym_text_interpolation,
    ACTIONS(4543), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74027] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2347), 1,
      sym_text_interpolation,
    ACTIONS(4545), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74041] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2348), 1,
      sym_text_interpolation,
    ACTIONS(4253), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74055] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2349), 1,
      sym_text_interpolation,
    ACTIONS(4547), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [74069] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2350), 1,
      sym_text_interpolation,
    ACTIONS(4549), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74083] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2351), 1,
      sym_text_interpolation,
    ACTIONS(4551), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74097] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2352), 1,
      sym_text_interpolation,
    ACTIONS(4264), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74111] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2353), 1,
      sym_text_interpolation,
    ACTIONS(4553), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(2354), 1,
      sym_text_interpolation,
  [74141] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2355), 1,
      sym_text_interpolation,
    ACTIONS(4555), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1078), 1,
      sym_compound_statement,
    STATE(2356), 1,
      sym_text_interpolation,
  [74171] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1095), 1,
      sym_compound_statement,
    STATE(2357), 1,
      sym_text_interpolation,
  [74187] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(468), 1,
      sym_enum_declaration_list,
    STATE(2358), 1,
      sym_text_interpolation,
  [74203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1108), 1,
      sym_compound_statement,
    STATE(2359), 1,
      sym_text_interpolation,
  [74219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1109), 1,
      sym_compound_statement,
    STATE(2360), 1,
      sym_text_interpolation,
  [74235] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2361), 1,
      sym_text_interpolation,
    ACTIONS(4557), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74249] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2362), 1,
      sym_text_interpolation,
    ACTIONS(3978), 2,
      sym_heredoc_end,
      sym__new_line,
  [74263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(2119), 1,
      sym_formal_parameters,
    STATE(2363), 1,
      sym_text_interpolation,
  [74279] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2364), 1,
      sym_text_interpolation,
    ACTIONS(3175), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74293] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2365), 1,
      sym_text_interpolation,
    ACTIONS(4559), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74307] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1113), 1,
      sym_declaration_list,
    STATE(2366), 1,
      sym_text_interpolation,
  [74323] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2367), 1,
      sym_text_interpolation,
    ACTIONS(4329), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4561), 1,
      anon_sym_SEMI,
    ACTIONS(4563), 1,
      sym__automatic_semicolon,
    STATE(2368), 1,
      sym_text_interpolation,
  [74353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_parenthesized_expression,
    STATE(2369), 1,
      sym_text_interpolation,
  [74369] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2370), 1,
      sym_text_interpolation,
    ACTIONS(4565), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_compound_statement,
    STATE(2371), 1,
      sym_text_interpolation,
  [74399] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2372), 1,
      sym_text_interpolation,
    ACTIONS(4567), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_LPAREN,
    STATE(2373), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      sym_parenthesized_expression,
  [74429] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2374), 1,
      sym_text_interpolation,
    ACTIONS(4569), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [74443] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2375), 1,
      sym_text_interpolation,
    ACTIONS(4571), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2350), 1,
      sym_variable_name,
    STATE(2376), 1,
      sym_text_interpolation,
  [74473] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2377), 1,
      sym_text_interpolation,
    ACTIONS(4573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2116), 1,
      sym_variable_name,
    STATE(2378), 1,
      sym_text_interpolation,
  [74503] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2379), 1,
      sym_text_interpolation,
    ACTIONS(4575), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74517] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2380), 1,
      sym_text_interpolation,
    ACTIONS(4577), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74531] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2381), 1,
      sym_text_interpolation,
    ACTIONS(4579), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74545] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2382), 1,
      sym_text_interpolation,
    ACTIONS(3935), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74559] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2383), 1,
      sym_text_interpolation,
    ACTIONS(4581), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
    STATE(2384), 1,
      sym_text_interpolation,
  [74589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_declaration_list,
    STATE(2385), 1,
      sym_text_interpolation,
  [74605] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(383), 1,
      anon_sym_COLON,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2386), 1,
      sym_text_interpolation,
    STATE(2463), 1,
      sym_colon_block,
  [74621] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1105), 1,
      sym_compound_statement,
    STATE(2387), 1,
      sym_text_interpolation,
  [74637] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2388), 1,
      sym_text_interpolation,
    ACTIONS(4235), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74651] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_declaration_list,
    STATE(2389), 1,
      sym_text_interpolation,
  [74667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1097), 1,
      sym_compound_statement,
    STATE(2390), 1,
      sym_text_interpolation,
  [74683] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1094), 1,
      sym_compound_statement,
    STATE(2391), 1,
      sym_text_interpolation,
  [74699] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(4583), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [74713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1090), 1,
      sym_compound_statement,
    STATE(2393), 1,
      sym_text_interpolation,
  [74729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_compound_statement,
    STATE(2394), 1,
      sym_text_interpolation,
  [74745] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2395), 1,
      sym_text_interpolation,
    ACTIONS(2524), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74759] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2396), 1,
      sym_text_interpolation,
    ACTIONS(4391), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74773] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4585), 1,
      sym__new_line,
    ACTIONS(4587), 1,
      sym_heredoc_end,
    STATE(2397), 1,
      sym_text_interpolation,
  [74789] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4589), 1,
      sym__new_line,
    ACTIONS(4591), 1,
      sym_heredoc_end,
    STATE(2398), 1,
      sym_text_interpolation,
  [74805] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2399), 1,
      sym_text_interpolation,
    ACTIONS(3435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2400), 1,
      sym_text_interpolation,
    ACTIONS(3286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2401), 1,
      sym_text_interpolation,
    ACTIONS(4593), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_declaration_list,
    STATE(2402), 1,
      sym_text_interpolation,
  [74863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_declaration_list,
    STATE(2403), 1,
      sym_text_interpolation,
  [74879] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2404), 1,
      sym_text_interpolation,
    ACTIONS(4595), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74893] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1143), 1,
      sym_declaration_list,
    STATE(2405), 1,
      sym_text_interpolation,
  [74909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4597), 1,
      anon_sym_SEMI,
    ACTIONS(4599), 1,
      sym__automatic_semicolon,
    STATE(2406), 1,
      sym_text_interpolation,
  [74925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_declaration_list,
    STATE(2407), 1,
      sym_text_interpolation,
  [74941] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2408), 1,
      sym_text_interpolation,
    ACTIONS(1660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(465), 1,
      anon_sym_COLON,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2109), 1,
      sym_colon_block,
    STATE(2409), 1,
      sym_text_interpolation,
  [74971] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    ACTIONS(4463), 1,
      anon_sym_EQ,
    STATE(2410), 1,
      sym_text_interpolation,
  [74987] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2411), 1,
      sym_text_interpolation,
    ACTIONS(4601), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_LPAREN,
    STATE(65), 1,
      sym_parenthesized_expression,
    STATE(2412), 1,
      sym_text_interpolation,
  [75017] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2413), 1,
      sym_text_interpolation,
    ACTIONS(4192), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75031] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2414), 1,
      sym_text_interpolation,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75045] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2415), 1,
      sym_text_interpolation,
    ACTIONS(2538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1125), 1,
      sym_compound_statement,
    STATE(2416), 1,
      sym_text_interpolation,
  [75075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_compound_statement,
    STATE(2417), 1,
      sym_text_interpolation,
  [75091] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2418), 1,
      sym_text_interpolation,
    ACTIONS(4604), 2,
      anon_sym_string,
      anon_sym_int,
  [75105] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_enum_declaration_list,
    STATE(2419), 1,
      sym_text_interpolation,
  [75121] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2420), 1,
      sym_text_interpolation,
    ACTIONS(4606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75135] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_enum_declaration_list,
    STATE(2421), 1,
      sym_text_interpolation,
  [75151] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_declaration_list,
    STATE(2422), 1,
      sym_text_interpolation,
  [75167] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1642), 1,
      sym_formal_parameters,
    STATE(2423), 1,
      sym_text_interpolation,
  [75183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2375), 1,
      sym_variable_name,
    STATE(2424), 1,
      sym_text_interpolation,
  [75199] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_LBRACE,
    STATE(1102), 1,
      sym_compound_statement,
    STATE(2425), 1,
      sym_text_interpolation,
  [75215] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(2162), 1,
      sym_formal_parameters,
    STATE(2426), 1,
      sym_text_interpolation,
  [75231] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_declaration_list,
    STATE(2427), 1,
      sym_text_interpolation,
  [75247] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4608), 1,
      sym_name,
    STATE(1846), 1,
      sym_namespace_name,
    STATE(2428), 1,
      sym_text_interpolation,
  [75263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2377), 1,
      sym_variable_name,
    STATE(2429), 1,
      sym_text_interpolation,
  [75279] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2154), 1,
      sym_variable_name,
    STATE(2430), 1,
      sym_text_interpolation,
  [75295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2379), 1,
      sym_variable_name,
    STATE(2431), 1,
      sym_text_interpolation,
  [75311] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2432), 1,
      sym_text_interpolation,
    ACTIONS(4610), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2380), 1,
      sym_variable_name,
    STATE(2433), 1,
      sym_text_interpolation,
  [75341] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2434), 1,
      sym_text_interpolation,
    ACTIONS(4612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75355] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2435), 1,
      sym_text_interpolation,
    ACTIONS(4614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75369] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_DOLLAR,
    STATE(2157), 1,
      sym_variable_name,
    STATE(2436), 1,
      sym_text_interpolation,
  [75385] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2437), 1,
      sym_text_interpolation,
    ACTIONS(4289), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_RPAREN,
    ACTIONS(4463), 1,
      anon_sym_EQ,
    STATE(2438), 1,
      sym_text_interpolation,
  [75415] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4616), 1,
      sym_name,
    STATE(2439), 1,
      sym_text_interpolation,
  [75428] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_BSLASH,
    STATE(2440), 1,
      sym_text_interpolation,
  [75441] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_RPAREN,
    STATE(2441), 1,
      sym_text_interpolation,
  [75454] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2442), 1,
      sym_text_interpolation,
  [75467] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_RPAREN,
    STATE(2443), 1,
      sym_text_interpolation,
  [75480] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(923), 1,
      anon_sym_SEMI,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2444), 1,
      sym_text_interpolation,
  [75493] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_RPAREN,
    STATE(2445), 1,
      sym_text_interpolation,
  [75506] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_LBRACE,
    STATE(2446), 1,
      sym_text_interpolation,
  [75519] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_RPAREN,
    STATE(2447), 1,
      sym_text_interpolation,
  [75532] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_EQ_GT,
    STATE(2448), 1,
      sym_text_interpolation,
  [75545] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4630), 1,
      sym_name,
    STATE(2449), 1,
      sym_text_interpolation,
  [75558] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_RPAREN,
    STATE(2450), 1,
      sym_text_interpolation,
  [75571] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(885), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2451), 1,
      sym_text_interpolation,
  [75584] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_SEMI,
    STATE(2452), 1,
      sym_text_interpolation,
  [75597] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_EQ_GT,
    STATE(2453), 1,
      sym_text_interpolation,
  [75610] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_RPAREN,
    STATE(2454), 1,
      sym_text_interpolation,
  [75623] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_COLON_COLON,
    STATE(2455), 1,
      sym_text_interpolation,
  [75636] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_EQ,
    STATE(2456), 1,
      sym_text_interpolation,
  [75649] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym_heredoc_end,
    STATE(2457), 1,
      sym_text_interpolation,
  [75662] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_RBRACK,
    STATE(2458), 1,
      sym_text_interpolation,
  [75675] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_integer,
    STATE(2459), 1,
      sym_text_interpolation,
  [75688] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_RBRACK,
    STATE(2460), 1,
      sym_text_interpolation,
  [75701] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_EQ_GT,
    STATE(2461), 1,
      sym_text_interpolation,
  [75714] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    STATE(2462), 1,
      sym_text_interpolation,
  [75727] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4654), 1,
      aux_sym_if_statement_token2,
    STATE(2463), 1,
      sym_text_interpolation,
  [75740] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_COLON_COLON,
    STATE(2464), 1,
      sym_text_interpolation,
  [75753] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4658), 1,
      aux_sym_if_statement_token2,
    STATE(2465), 1,
      sym_text_interpolation,
  [75766] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_RBRACK,
    STATE(2466), 1,
      sym_text_interpolation,
  [75779] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_EQ_GT,
    STATE(2467), 1,
      sym_text_interpolation,
  [75792] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_EQ_GT,
    STATE(2468), 1,
      sym_text_interpolation,
  [75805] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_EQ_GT,
    STATE(2469), 1,
      sym_text_interpolation,
  [75818] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_RBRACE,
    STATE(2470), 1,
      sym_text_interpolation,
  [75831] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4668), 1,
      aux_sym_if_statement_token2,
    STATE(2471), 1,
      sym_text_interpolation,
  [75844] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_EQ_GT,
    STATE(2472), 1,
      sym_text_interpolation,
  [75857] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_EQ_GT,
    STATE(2473), 1,
      sym_text_interpolation,
  [75870] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_RPAREN,
    STATE(2474), 1,
      sym_text_interpolation,
  [75883] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(893), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2475), 1,
      sym_text_interpolation,
  [75896] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4676), 1,
      sym_heredoc_end,
    STATE(2476), 1,
      sym_text_interpolation,
  [75909] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym_heredoc_end,
    STATE(2477), 1,
      sym_text_interpolation,
  [75922] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_EQ_GT,
    STATE(2478), 1,
      sym_text_interpolation,
  [75935] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
    STATE(2479), 1,
      sym_text_interpolation,
  [75948] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4684), 1,
      aux_sym_foreach_statement_token2,
    STATE(2480), 1,
      sym_text_interpolation,
  [75961] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_RPAREN,
    STATE(2481), 1,
      sym_text_interpolation,
  [75974] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4688), 1,
      aux_sym_foreach_statement_token2,
    STATE(2482), 1,
      sym_text_interpolation,
  [75987] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_EQ_GT,
    STATE(2483), 1,
      sym_text_interpolation,
  [76000] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    STATE(2484), 1,
      sym_text_interpolation,
  [76013] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4692), 1,
      sym_name,
    STATE(2485), 1,
      sym_text_interpolation,
  [76026] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(925), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2486), 1,
      sym_text_interpolation,
  [76039] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4694), 1,
      sym_name,
    STATE(2487), 1,
      sym_text_interpolation,
  [76052] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_RPAREN,
    STATE(2488), 1,
      sym_text_interpolation,
  [76065] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_LBRACE,
    STATE(2489), 1,
      sym_text_interpolation,
  [76078] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4698), 1,
      aux_sym_if_statement_token2,
    STATE(2490), 1,
      sym_text_interpolation,
  [76091] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    STATE(2491), 1,
      sym_text_interpolation,
  [76104] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(899), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2492), 1,
      sym_text_interpolation,
  [76117] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4700), 1,
      aux_sym_if_statement_token2,
    STATE(2493), 1,
      sym_text_interpolation,
  [76130] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4702), 1,
      sym_name,
    STATE(2494), 1,
      sym_text_interpolation,
  [76143] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    STATE(2495), 1,
      sym_text_interpolation,
  [76156] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_BSLASH,
    STATE(2496), 1,
      sym_text_interpolation,
  [76169] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4708), 1,
      sym_name,
    STATE(2497), 1,
      sym_text_interpolation,
  [76182] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4710), 1,
      sym_name,
    STATE(2498), 1,
      sym_text_interpolation,
  [76195] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_EQ,
    STATE(2499), 1,
      sym_text_interpolation,
  [76208] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_COLON_COLON,
    STATE(2500), 1,
      sym_text_interpolation,
  [76221] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3686), 1,
      sym_name,
    STATE(2501), 1,
      sym_text_interpolation,
  [76234] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_EQ_GT,
    STATE(2502), 1,
      sym_text_interpolation,
  [76247] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4716), 1,
      anon_sym_EQ,
    STATE(2503), 1,
      sym_text_interpolation,
  [76260] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_COLON_COLON,
    STATE(2504), 1,
      sym_text_interpolation,
  [76273] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_RPAREN,
    STATE(2505), 1,
      sym_text_interpolation,
  [76286] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_RPAREN,
    STATE(2506), 1,
      sym_text_interpolation,
  [76299] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym_name,
    STATE(2507), 1,
      sym_text_interpolation,
  [76312] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_RPAREN,
    STATE(2508), 1,
      sym_text_interpolation,
  [76325] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_SQUOTE2,
    STATE(2509), 1,
      sym_text_interpolation,
  [76338] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_DQUOTE2,
    STATE(2510), 1,
      sym_text_interpolation,
  [76351] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4730), 1,
      sym_name,
    STATE(2511), 1,
      sym_text_interpolation,
  [76364] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_RPAREN,
    STATE(2512), 1,
      sym_text_interpolation,
  [76377] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym_name,
    STATE(2513), 1,
      sym_text_interpolation,
  [76390] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4736), 1,
      sym_name,
    STATE(2514), 1,
      sym_text_interpolation,
  [76403] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4022), 1,
      anon_sym_RPAREN,
    STATE(2515), 1,
      sym_text_interpolation,
  [76416] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4738), 1,
      aux_sym_while_statement_token2,
    STATE(2516), 1,
      sym_text_interpolation,
  [76429] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_SQUOTE2,
    STATE(2517), 1,
      sym_text_interpolation,
  [76442] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_RBRACK,
    STATE(2518), 1,
      sym_text_interpolation,
  [76455] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(915), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2519), 1,
      sym_text_interpolation,
  [76468] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_RPAREN,
    STATE(2520), 1,
      sym_text_interpolation,
  [76481] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_SEMI,
    STATE(2521), 1,
      sym_text_interpolation,
  [76494] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE2,
    STATE(2522), 1,
      sym_text_interpolation,
  [76507] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym_name,
    STATE(2523), 1,
      sym_text_interpolation,
  [76520] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_RPAREN,
    STATE(2524), 1,
      sym_text_interpolation,
  [76533] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_LPAREN,
    STATE(2525), 1,
      sym_text_interpolation,
  [76546] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_RPAREN,
    STATE(2526), 1,
      sym_text_interpolation,
  [76559] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_EQ,
    STATE(2527), 1,
      sym_text_interpolation,
  [76572] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_RPAREN,
    STATE(2528), 1,
      sym_text_interpolation,
  [76585] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_RPAREN,
    STATE(2529), 1,
      sym_text_interpolation,
  [76598] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4760), 1,
      aux_sym_while_statement_token2,
    STATE(2530), 1,
      sym_text_interpolation,
  [76611] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RPAREN,
    STATE(2531), 1,
      sym_text_interpolation,
  [76624] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_EQ_GT,
    STATE(2532), 1,
      sym_text_interpolation,
  [76637] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_RPAREN,
    STATE(2533), 1,
      sym_text_interpolation,
  [76650] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_RBRACK,
    STATE(2534), 1,
      sym_text_interpolation,
  [76663] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4766), 1,
      sym_name,
    STATE(2535), 1,
      sym_text_interpolation,
  [76676] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4768), 1,
      sym_name,
    STATE(2536), 1,
      sym_text_interpolation,
  [76689] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_RPAREN,
    STATE(2537), 1,
      sym_text_interpolation,
  [76702] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_RPAREN,
    STATE(2538), 1,
      sym_text_interpolation,
  [76715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_LPAREN,
    STATE(2539), 1,
      sym_text_interpolation,
  [76728] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4774), 1,
      sym_name,
    STATE(2540), 1,
      sym_text_interpolation,
  [76741] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_RPAREN,
    STATE(2541), 1,
      sym_text_interpolation,
  [76754] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_RPAREN,
    STATE(2542), 1,
      sym_text_interpolation,
  [76767] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_LPAREN,
    STATE(2543), 1,
      sym_text_interpolation,
  [76780] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4780), 1,
      sym_name,
    STATE(2544), 1,
      sym_text_interpolation,
  [76793] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4076), 1,
      anon_sym_RPAREN,
    STATE(2545), 1,
      sym_text_interpolation,
  [76806] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4109), 1,
      anon_sym_RBRACE,
    STATE(2546), 1,
      sym_text_interpolation,
  [76819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_BSLASH,
    STATE(2547), 1,
      sym_text_interpolation,
  [76832] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_BSLASH,
    STATE(2548), 1,
      sym_text_interpolation,
  [76845] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON_COLON,
    STATE(2549), 1,
      sym_text_interpolation,
  [76858] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4788), 1,
      aux_sym_while_statement_token1,
    STATE(2550), 1,
      sym_text_interpolation,
  [76871] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym_name,
    STATE(2551), 1,
      sym_text_interpolation,
  [76884] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4790), 1,
      sym_heredoc_start,
    STATE(2552), 1,
      sym_text_interpolation,
  [76897] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_heredoc_start,
    STATE(2553), 1,
      sym_text_interpolation,
  [76910] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_BSLASH,
    STATE(2554), 1,
      sym_text_interpolation,
  [76923] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_BSLASH,
    STATE(2555), 1,
      sym_text_interpolation,
  [76936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_BSLASH,
    STATE(2556), 1,
      sym_text_interpolation,
  [76949] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4800), 1,
      sym_name,
    STATE(2557), 1,
      sym_text_interpolation,
  [76962] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_RBRACK,
    STATE(2558), 1,
      sym_text_interpolation,
  [76975] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4804), 1,
      sym_name,
    STATE(2559), 1,
      sym_text_interpolation,
  [76988] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_RPAREN,
    STATE(2560), 1,
      sym_text_interpolation,
  [77001] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_name,
    STATE(2561), 1,
      sym_text_interpolation,
  [77014] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_EQ,
    STATE(2562), 1,
      sym_text_interpolation,
  [77027] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3999), 1,
      sym_name,
    STATE(2563), 1,
      sym_text_interpolation,
  [77040] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_BSLASH,
    STATE(2564), 1,
      sym_text_interpolation,
  [77053] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4812), 1,
      sym_heredoc_end,
    STATE(2565), 1,
      sym_text_interpolation,
  [77066] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4814), 1,
      sym_name,
    STATE(2566), 1,
      sym_text_interpolation,
  [77079] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4816), 1,
      sym_heredoc_start,
    STATE(2567), 1,
      sym_text_interpolation,
  [77092] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(901), 1,
      anon_sym_SEMI,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2568), 1,
      sym_text_interpolation,
  [77105] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4818), 1,
      sym_heredoc_start,
    STATE(2569), 1,
      sym_text_interpolation,
  [77118] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2570), 1,
      sym_text_interpolation,
  [77131] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4820), 1,
      aux_sym_class_declaration_token1,
    STATE(2571), 1,
      sym_text_interpolation,
  [77144] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
    STATE(2572), 1,
      sym_text_interpolation,
  [77157] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(919), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2573), 1,
      sym_text_interpolation,
  [77170] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4824), 1,
      aux_sym_while_statement_token1,
    STATE(2574), 1,
      sym_text_interpolation,
  [77183] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_SEMI,
    STATE(2575), 1,
      sym_text_interpolation,
  [77196] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_RPAREN,
    STATE(2576), 1,
      sym_text_interpolation,
  [77209] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4828), 1,
      sym_name,
    STATE(2577), 1,
      sym_text_interpolation,
  [77222] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4830), 1,
      sym_name,
    STATE(2578), 1,
      sym_text_interpolation,
  [77235] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(905), 1,
      anon_sym_RPAREN,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2579), 1,
      sym_text_interpolation,
  [77248] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4832), 1,
      sym_name,
    STATE(2580), 1,
      sym_text_interpolation,
  [77261] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      sym_text_interpolation,
  [77274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_RPAREN,
    STATE(2582), 1,
      sym_text_interpolation,
  [77287] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_RPAREN,
    STATE(2583), 1,
      sym_text_interpolation,
  [77300] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_COLON_COLON,
    STATE(2584), 1,
      sym_text_interpolation,
  [77313] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4445), 1,
      anon_sym_RPAREN,
    STATE(2585), 1,
      sym_text_interpolation,
  [77326] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_COLON_COLON,
    STATE(2586), 1,
      sym_text_interpolation,
  [77339] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4135), 1,
      anon_sym_RPAREN,
    STATE(2587), 1,
      sym_text_interpolation,
  [77352] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_COLON_COLON,
    STATE(2588), 1,
      sym_text_interpolation,
  [77365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_BSLASH,
    STATE(2589), 1,
      sym_text_interpolation,
  [77378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4846), 1,
      ts_builtin_sym_end,
    STATE(2590), 1,
      sym_text_interpolation,
  [77391] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4848), 1,
      sym_heredoc_end,
    STATE(2591), 1,
      sym_text_interpolation,
  [77404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_BSLASH,
    STATE(2592), 1,
      sym_text_interpolation,
  [77417] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4852), 1,
      sym_heredoc_end,
    STATE(2593), 1,
      sym_text_interpolation,
  [77430] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_RPAREN,
    STATE(2594), 1,
      sym_text_interpolation,
  [77443] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3596), 1,
      sym_name,
    STATE(2595), 1,
      sym_text_interpolation,
  [77456] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(911), 1,
      anon_sym_SEMI,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2596), 1,
      sym_text_interpolation,
  [77469] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_COLON_COLON,
    STATE(2597), 1,
      sym_text_interpolation,
  [77482] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_COLON_COLON,
    STATE(2598), 1,
      sym_text_interpolation,
  [77495] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_text_interpolation,
  [77508] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_COLON_COLON,
    STATE(2600), 1,
      sym_text_interpolation,
  [77521] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_EQ,
    STATE(2601), 1,
      sym_text_interpolation,
  [77534] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_LPAREN,
    STATE(2602), 1,
      sym_text_interpolation,
  [77547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(2603), 1,
      sym_text_interpolation,
  [77560] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4866), 1,
      sym_name,
    STATE(2604), 1,
      sym_text_interpolation,
  [77573] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_BSLASH,
    STATE(2605), 1,
      sym_text_interpolation,
  [77586] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4870), 1,
      sym_name,
    STATE(2606), 1,
      sym_text_interpolation,
  [77599] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN,
    STATE(2607), 1,
      sym_text_interpolation,
  [77612] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4177), 1,
      anon_sym_RPAREN,
    STATE(2608), 1,
      sym_text_interpolation,
  [77625] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_COLON_COLON,
    STATE(2609), 1,
      sym_text_interpolation,
  [77638] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      sym_text_interpolation,
  [77651] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_LPAREN,
    STATE(2611), 1,
      sym_text_interpolation,
  [77664] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_LPAREN,
    STATE(2612), 1,
      sym_text_interpolation,
  [77677] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4882), 1,
      anon_sym_LPAREN,
    STATE(2613), 1,
      sym_text_interpolation,
  [77690] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_LPAREN,
    STATE(2614), 1,
      sym_text_interpolation,
  [77703] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4886), 1,
      sym_name,
    STATE(2615), 1,
      sym_text_interpolation,
  [77716] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_RPAREN,
    STATE(2616), 1,
      sym_text_interpolation,
  [77729] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4888), 1,
      sym_name,
    STATE(2617), 1,
      sym_text_interpolation,
  [77742] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_RBRACK,
    STATE(2618), 1,
      sym_text_interpolation,
  [77755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_RPAREN,
    STATE(2619), 1,
      sym_text_interpolation,
  [77768] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_LPAREN,
    STATE(2620), 1,
      sym_text_interpolation,
  [77781] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4896), 1,
      anon_sym_COLON_COLON,
    STATE(2621), 1,
      sym_text_interpolation,
  [77794] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_SEMI,
    STATE(2622), 1,
      sym_text_interpolation,
  [77807] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4900), 1,
      aux_sym_class_declaration_token1,
    STATE(2623), 1,
      sym_text_interpolation,
  [77820] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(903), 1,
      anon_sym_SEMI,
    ACTIONS(1540), 1,
      sym_comment,
    STATE(2624), 1,
      sym_text_interpolation,
  [77833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_LPAREN,
    STATE(2625), 1,
      sym_text_interpolation,
  [77846] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN,
    STATE(2626), 1,
      sym_text_interpolation,
  [77859] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_SEMI,
    STATE(2627), 1,
      sym_text_interpolation,
  [77872] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4908), 1,
      anon_sym_LPAREN,
    STATE(2628), 1,
      sym_text_interpolation,
  [77885] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4910), 1,
      sym_name,
    STATE(2629), 1,
      sym_text_interpolation,
  [77898] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_SEMI,
    STATE(2630), 1,
      sym_text_interpolation,
  [77911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4914), 1,
      sym_name,
    STATE(2631), 1,
      sym_text_interpolation,
  [77924] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4916), 1,
      anon_sym_LPAREN,
    STATE(2632), 1,
      sym_text_interpolation,
  [77937] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4918), 1,
      anon_sym_LPAREN,
    STATE(2633), 1,
      sym_text_interpolation,
  [77950] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4920), 1,
      sym_name,
    STATE(2634), 1,
      sym_text_interpolation,
  [77963] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4922), 1,
      sym_name,
    STATE(2635), 1,
      sym_text_interpolation,
  [77976] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_COLON_COLON,
    STATE(2636), 1,
      sym_text_interpolation,
  [77989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_SEMI,
    STATE(2637), 1,
      sym_text_interpolation,
  [78002] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4315), 1,
      anon_sym_RPAREN,
    STATE(2638), 1,
      sym_text_interpolation,
  [78015] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_LPAREN,
    STATE(2639), 1,
      sym_text_interpolation,
  [78028] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4930), 1,
      anon_sym_LPAREN,
    STATE(2640), 1,
      sym_text_interpolation,
  [78041] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_text_interpolation,
  [78054] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4934), 1,
      anon_sym_LPAREN,
    STATE(2642), 1,
      sym_text_interpolation,
  [78067] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1540), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_RPAREN,
    STATE(2643), 1,
      sym_text_interpolation,
  [78080] = 1,
    ACTIONS(4936), 1,
      ts_builtin_sym_end,
  [78084] = 1,
    ACTIONS(4938), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(572)] = 0,
  [SMALL_STATE(573)] = 79,
  [SMALL_STATE(574)] = 158,
  [SMALL_STATE(575)] = 237,
  [SMALL_STATE(576)] = 324,
  [SMALL_STATE(577)] = 403,
  [SMALL_STATE(578)] = 482,
  [SMALL_STATE(579)] = 556,
  [SMALL_STATE(580)] = 630,
  [SMALL_STATE(581)] = 704,
  [SMALL_STATE(582)] = 778,
  [SMALL_STATE(583)] = 852,
  [SMALL_STATE(584)] = 926,
  [SMALL_STATE(585)] = 1000,
  [SMALL_STATE(586)] = 1074,
  [SMALL_STATE(587)] = 1148,
  [SMALL_STATE(588)] = 1222,
  [SMALL_STATE(589)] = 1296,
  [SMALL_STATE(590)] = 1370,
  [SMALL_STATE(591)] = 1444,
  [SMALL_STATE(592)] = 1529,
  [SMALL_STATE(593)] = 1610,
  [SMALL_STATE(594)] = 1694,
  [SMALL_STATE(595)] = 1783,
  [SMALL_STATE(596)] = 1866,
  [SMALL_STATE(597)] = 1945,
  [SMALL_STATE(598)] = 2020,
  [SMALL_STATE(599)] = 2095,
  [SMALL_STATE(600)] = 2170,
  [SMALL_STATE(601)] = 2245,
  [SMALL_STATE(602)] = 2328,
  [SMALL_STATE(603)] = 2411,
  [SMALL_STATE(604)] = 2486,
  [SMALL_STATE(605)] = 2556,
  [SMALL_STATE(606)] = 2626,
  [SMALL_STATE(607)] = 2696,
  [SMALL_STATE(608)] = 2780,
  [SMALL_STATE(609)] = 2850,
  [SMALL_STATE(610)] = 2920,
  [SMALL_STATE(611)] = 2998,
  [SMALL_STATE(612)] = 3068,
  [SMALL_STATE(613)] = 3152,
  [SMALL_STATE(614)] = 3236,
  [SMALL_STATE(615)] = 3306,
  [SMALL_STATE(616)] = 3376,
  [SMALL_STATE(617)] = 3446,
  [SMALL_STATE(618)] = 3528,
  [SMALL_STATE(619)] = 3598,
  [SMALL_STATE(620)] = 3668,
  [SMALL_STATE(621)] = 3738,
  [SMALL_STATE(622)] = 3808,
  [SMALL_STATE(623)] = 3878,
  [SMALL_STATE(624)] = 3948,
  [SMALL_STATE(625)] = 4018,
  [SMALL_STATE(626)] = 4088,
  [SMALL_STATE(627)] = 4165,
  [SMALL_STATE(628)] = 4242,
  [SMALL_STATE(629)] = 4325,
  [SMALL_STATE(630)] = 4408,
  [SMALL_STATE(631)] = 4485,
  [SMALL_STATE(632)] = 4561,
  [SMALL_STATE(633)] = 4639,
  [SMALL_STATE(634)] = 4717,
  [SMALL_STATE(635)] = 4795,
  [SMALL_STATE(636)] = 4872,
  [SMALL_STATE(637)] = 4936,
  [SMALL_STATE(638)] = 5051,
  [SMALL_STATE(639)] = 5166,
  [SMALL_STATE(640)] = 5231,
  [SMALL_STATE(641)] = 5302,
  [SMALL_STATE(642)] = 5373,
  [SMALL_STATE(643)] = 5438,
  [SMALL_STATE(644)] = 5509,
  [SMALL_STATE(645)] = 5578,
  [SMALL_STATE(646)] = 5649,
  [SMALL_STATE(647)] = 5714,
  [SMALL_STATE(648)] = 5779,
  [SMALL_STATE(649)] = 5844,
  [SMALL_STATE(650)] = 5905,
  [SMALL_STATE(651)] = 5972,
  [SMALL_STATE(652)] = 6036,
  [SMALL_STATE(653)] = 6146,
  [SMALL_STATE(654)] = 6206,
  [SMALL_STATE(655)] = 6266,
  [SMALL_STATE(656)] = 6326,
  [SMALL_STATE(657)] = 6386,
  [SMALL_STATE(658)] = 6446,
  [SMALL_STATE(659)] = 6506,
  [SMALL_STATE(660)] = 6566,
  [SMALL_STATE(661)] = 6630,
  [SMALL_STATE(662)] = 6690,
  [SMALL_STATE(663)] = 6750,
  [SMALL_STATE(664)] = 6810,
  [SMALL_STATE(665)] = 6870,
  [SMALL_STATE(666)] = 6930,
  [SMALL_STATE(667)] = 6990,
  [SMALL_STATE(668)] = 7050,
  [SMALL_STATE(669)] = 7110,
  [SMALL_STATE(670)] = 7170,
  [SMALL_STATE(671)] = 7230,
  [SMALL_STATE(672)] = 7340,
  [SMALL_STATE(673)] = 7450,
  [SMALL_STATE(674)] = 7560,
  [SMALL_STATE(675)] = 7625,
  [SMALL_STATE(676)] = 7688,
  [SMALL_STATE(677)] = 7753,
  [SMALL_STATE(678)] = 7816,
  [SMALL_STATE(679)] = 7881,
  [SMALL_STATE(680)] = 7946,
  [SMALL_STATE(681)] = 8011,
  [SMALL_STATE(682)] = 8118,
  [SMALL_STATE(683)] = 8225,
  [SMALL_STATE(684)] = 8286,
  [SMALL_STATE(685)] = 8349,
  [SMALL_STATE(686)] = 8412,
  [SMALL_STATE(687)] = 8475,
  [SMALL_STATE(688)] = 8538,
  [SMALL_STATE(689)] = 8601,
  [SMALL_STATE(690)] = 8664,
  [SMALL_STATE(691)] = 8729,
  [SMALL_STATE(692)] = 8792,
  [SMALL_STATE(693)] = 8899,
  [SMALL_STATE(694)] = 9006,
  [SMALL_STATE(695)] = 9107,
  [SMALL_STATE(696)] = 9172,
  [SMALL_STATE(697)] = 9233,
  [SMALL_STATE(698)] = 9294,
  [SMALL_STATE(699)] = 9355,
  [SMALL_STATE(700)] = 9416,
  [SMALL_STATE(701)] = 9481,
  [SMALL_STATE(702)] = 9542,
  [SMALL_STATE(703)] = 9607,
  [SMALL_STATE(704)] = 9672,
  [SMALL_STATE(705)] = 9779,
  [SMALL_STATE(706)] = 9844,
  [SMALL_STATE(707)] = 9909,
  [SMALL_STATE(708)] = 9974,
  [SMALL_STATE(709)] = 10081,
  [SMALL_STATE(710)] = 10144,
  [SMALL_STATE(711)] = 10207,
  [SMALL_STATE(712)] = 10270,
  [SMALL_STATE(713)] = 10333,
  [SMALL_STATE(714)] = 10436,
  [SMALL_STATE(715)] = 10539,
  [SMALL_STATE(716)] = 10602,
  [SMALL_STATE(717)] = 10667,
  [SMALL_STATE(718)] = 10725,
  [SMALL_STATE(719)] = 10783,
  [SMALL_STATE(720)] = 10841,
  [SMALL_STATE(721)] = 10899,
  [SMALL_STATE(722)] = 10957,
  [SMALL_STATE(723)] = 11015,
  [SMALL_STATE(724)] = 11073,
  [SMALL_STATE(725)] = 11131,
  [SMALL_STATE(726)] = 11189,
  [SMALL_STATE(727)] = 11247,
  [SMALL_STATE(728)] = 11305,
  [SMALL_STATE(729)] = 11363,
  [SMALL_STATE(730)] = 11467,
  [SMALL_STATE(731)] = 11525,
  [SMALL_STATE(732)] = 11583,
  [SMALL_STATE(733)] = 11641,
  [SMALL_STATE(734)] = 11699,
  [SMALL_STATE(735)] = 11757,
  [SMALL_STATE(736)] = 11815,
  [SMALL_STATE(737)] = 11873,
  [SMALL_STATE(738)] = 11977,
  [SMALL_STATE(739)] = 12035,
  [SMALL_STATE(740)] = 12093,
  [SMALL_STATE(741)] = 12151,
  [SMALL_STATE(742)] = 12209,
  [SMALL_STATE(743)] = 12267,
  [SMALL_STATE(744)] = 12325,
  [SMALL_STATE(745)] = 12383,
  [SMALL_STATE(746)] = 12441,
  [SMALL_STATE(747)] = 12499,
  [SMALL_STATE(748)] = 12557,
  [SMALL_STATE(749)] = 12615,
  [SMALL_STATE(750)] = 12673,
  [SMALL_STATE(751)] = 12731,
  [SMALL_STATE(752)] = 12789,
  [SMALL_STATE(753)] = 12847,
  [SMALL_STATE(754)] = 12905,
  [SMALL_STATE(755)] = 12963,
  [SMALL_STATE(756)] = 13023,
  [SMALL_STATE(757)] = 13083,
  [SMALL_STATE(758)] = 13141,
  [SMALL_STATE(759)] = 13199,
  [SMALL_STATE(760)] = 13257,
  [SMALL_STATE(761)] = 13320,
  [SMALL_STATE(762)] = 13381,
  [SMALL_STATE(763)] = 13438,
  [SMALL_STATE(764)] = 13497,
  [SMALL_STATE(765)] = 13558,
  [SMALL_STATE(766)] = 13619,
  [SMALL_STATE(767)] = 13680,
  [SMALL_STATE(768)] = 13739,
  [SMALL_STATE(769)] = 13798,
  [SMALL_STATE(770)] = 13857,
  [SMALL_STATE(771)] = 13924,
  [SMALL_STATE(772)] = 13989,
  [SMALL_STATE(773)] = 14056,
  [SMALL_STATE(774)] = 14117,
  [SMALL_STATE(775)] = 14178,
  [SMALL_STATE(776)] = 14235,
  [SMALL_STATE(777)] = 14292,
  [SMALL_STATE(778)] = 14351,
  [SMALL_STATE(779)] = 14418,
  [SMALL_STATE(780)] = 14485,
  [SMALL_STATE(781)] = 14583,
  [SMALL_STATE(782)] = 14639,
  [SMALL_STATE(783)] = 14695,
  [SMALL_STATE(784)] = 14793,
  [SMALL_STATE(785)] = 14861,
  [SMALL_STATE(786)] = 14917,
  [SMALL_STATE(787)] = 14985,
  [SMALL_STATE(788)] = 15041,
  [SMALL_STATE(789)] = 15097,
  [SMALL_STATE(790)] = 15153,
  [SMALL_STATE(791)] = 15209,
  [SMALL_STATE(792)] = 15265,
  [SMALL_STATE(793)] = 15321,
  [SMALL_STATE(794)] = 15377,
  [SMALL_STATE(795)] = 15433,
  [SMALL_STATE(796)] = 15489,
  [SMALL_STATE(797)] = 15545,
  [SMALL_STATE(798)] = 15601,
  [SMALL_STATE(799)] = 15699,
  [SMALL_STATE(800)] = 15755,
  [SMALL_STATE(801)] = 15811,
  [SMALL_STATE(802)] = 15867,
  [SMALL_STATE(803)] = 15935,
  [SMALL_STATE(804)] = 16033,
  [SMALL_STATE(805)] = 16089,
  [SMALL_STATE(806)] = 16150,
  [SMALL_STATE(807)] = 16209,
  [SMALL_STATE(808)] = 16270,
  [SMALL_STATE(809)] = 16329,
  [SMALL_STATE(810)] = 16424,
  [SMALL_STATE(811)] = 16485,
  [SMALL_STATE(812)] = 16580,
  [SMALL_STATE(813)] = 16675,
  [SMALL_STATE(814)] = 16730,
  [SMALL_STATE(815)] = 16825,
  [SMALL_STATE(816)] = 16882,
  [SMALL_STATE(817)] = 16939,
  [SMALL_STATE(818)] = 16996,
  [SMALL_STATE(819)] = 17091,
  [SMALL_STATE(820)] = 17186,
  [SMALL_STATE(821)] = 17245,
  [SMALL_STATE(822)] = 17302,
  [SMALL_STATE(823)] = 17397,
  [SMALL_STATE(824)] = 17456,
  [SMALL_STATE(825)] = 17517,
  [SMALL_STATE(826)] = 17576,
  [SMALL_STATE(827)] = 17635,
  [SMALL_STATE(828)] = 17694,
  [SMALL_STATE(829)] = 17753,
  [SMALL_STATE(830)] = 17812,
  [SMALL_STATE(831)] = 17907,
  [SMALL_STATE(832)] = 18002,
  [SMALL_STATE(833)] = 18061,
  [SMALL_STATE(834)] = 18122,
  [SMALL_STATE(835)] = 18181,
  [SMALL_STATE(836)] = 18238,
  [SMALL_STATE(837)] = 18333,
  [SMALL_STATE(838)] = 18394,
  [SMALL_STATE(839)] = 18453,
  [SMALL_STATE(840)] = 18514,
  [SMALL_STATE(841)] = 18575,
  [SMALL_STATE(842)] = 18636,
  [SMALL_STATE(843)] = 18697,
  [SMALL_STATE(844)] = 18758,
  [SMALL_STATE(845)] = 18819,
  [SMALL_STATE(846)] = 18880,
  [SMALL_STATE(847)] = 18935,
  [SMALL_STATE(848)] = 18990,
  [SMALL_STATE(849)] = 19049,
  [SMALL_STATE(850)] = 19104,
  [SMALL_STATE(851)] = 19199,
  [SMALL_STATE(852)] = 19258,
  [SMALL_STATE(853)] = 19353,
  [SMALL_STATE(854)] = 19448,
  [SMALL_STATE(855)] = 19509,
  [SMALL_STATE(856)] = 19566,
  [SMALL_STATE(857)] = 19623,
  [SMALL_STATE(858)] = 19682,
  [SMALL_STATE(859)] = 19777,
  [SMALL_STATE(860)] = 19872,
  [SMALL_STATE(861)] = 19926,
  [SMALL_STATE(862)] = 19980,
  [SMALL_STATE(863)] = 20034,
  [SMALL_STATE(864)] = 20088,
  [SMALL_STATE(865)] = 20142,
  [SMALL_STATE(866)] = 20196,
  [SMALL_STATE(867)] = 20250,
  [SMALL_STATE(868)] = 20304,
  [SMALL_STATE(869)] = 20358,
  [SMALL_STATE(870)] = 20414,
  [SMALL_STATE(871)] = 20468,
  [SMALL_STATE(872)] = 20522,
  [SMALL_STATE(873)] = 20576,
  [SMALL_STATE(874)] = 20634,
  [SMALL_STATE(875)] = 20688,
  [SMALL_STATE(876)] = 20742,
  [SMALL_STATE(877)] = 20796,
  [SMALL_STATE(878)] = 20850,
  [SMALL_STATE(879)] = 20904,
  [SMALL_STATE(880)] = 20960,
  [SMALL_STATE(881)] = 21016,
  [SMALL_STATE(882)] = 21070,
  [SMALL_STATE(883)] = 21124,
  [SMALL_STATE(884)] = 21178,
  [SMALL_STATE(885)] = 21232,
  [SMALL_STATE(886)] = 21286,
  [SMALL_STATE(887)] = 21340,
  [SMALL_STATE(888)] = 21394,
  [SMALL_STATE(889)] = 21448,
  [SMALL_STATE(890)] = 21502,
  [SMALL_STATE(891)] = 21556,
  [SMALL_STATE(892)] = 21610,
  [SMALL_STATE(893)] = 21664,
  [SMALL_STATE(894)] = 21718,
  [SMALL_STATE(895)] = 21772,
  [SMALL_STATE(896)] = 21826,
  [SMALL_STATE(897)] = 21880,
  [SMALL_STATE(898)] = 21934,
  [SMALL_STATE(899)] = 21988,
  [SMALL_STATE(900)] = 22042,
  [SMALL_STATE(901)] = 22096,
  [SMALL_STATE(902)] = 22150,
  [SMALL_STATE(903)] = 22204,
  [SMALL_STATE(904)] = 22259,
  [SMALL_STATE(905)] = 22314,
  [SMALL_STATE(906)] = 22369,
  [SMALL_STATE(907)] = 22424,
  [SMALL_STATE(908)] = 22479,
  [SMALL_STATE(909)] = 22531,
  [SMALL_STATE(910)] = 22583,
  [SMALL_STATE(911)] = 22635,
  [SMALL_STATE(912)] = 22687,
  [SMALL_STATE(913)] = 22739,
  [SMALL_STATE(914)] = 22791,
  [SMALL_STATE(915)] = 22843,
  [SMALL_STATE(916)] = 22895,
  [SMALL_STATE(917)] = 22947,
  [SMALL_STATE(918)] = 22999,
  [SMALL_STATE(919)] = 23051,
  [SMALL_STATE(920)] = 23103,
  [SMALL_STATE(921)] = 23155,
  [SMALL_STATE(922)] = 23207,
  [SMALL_STATE(923)] = 23259,
  [SMALL_STATE(924)] = 23311,
  [SMALL_STATE(925)] = 23365,
  [SMALL_STATE(926)] = 23417,
  [SMALL_STATE(927)] = 23469,
  [SMALL_STATE(928)] = 23521,
  [SMALL_STATE(929)] = 23573,
  [SMALL_STATE(930)] = 23625,
  [SMALL_STATE(931)] = 23677,
  [SMALL_STATE(932)] = 23729,
  [SMALL_STATE(933)] = 23781,
  [SMALL_STATE(934)] = 23833,
  [SMALL_STATE(935)] = 23885,
  [SMALL_STATE(936)] = 23937,
  [SMALL_STATE(937)] = 23989,
  [SMALL_STATE(938)] = 24041,
  [SMALL_STATE(939)] = 24093,
  [SMALL_STATE(940)] = 24145,
  [SMALL_STATE(941)] = 24197,
  [SMALL_STATE(942)] = 24249,
  [SMALL_STATE(943)] = 24301,
  [SMALL_STATE(944)] = 24353,
  [SMALL_STATE(945)] = 24405,
  [SMALL_STATE(946)] = 24457,
  [SMALL_STATE(947)] = 24509,
  [SMALL_STATE(948)] = 24561,
  [SMALL_STATE(949)] = 24613,
  [SMALL_STATE(950)] = 24665,
  [SMALL_STATE(951)] = 24717,
  [SMALL_STATE(952)] = 24769,
  [SMALL_STATE(953)] = 24821,
  [SMALL_STATE(954)] = 24873,
  [SMALL_STATE(955)] = 24925,
  [SMALL_STATE(956)] = 24977,
  [SMALL_STATE(957)] = 25029,
  [SMALL_STATE(958)] = 25081,
  [SMALL_STATE(959)] = 25133,
  [SMALL_STATE(960)] = 25185,
  [SMALL_STATE(961)] = 25237,
  [SMALL_STATE(962)] = 25289,
  [SMALL_STATE(963)] = 25341,
  [SMALL_STATE(964)] = 25393,
  [SMALL_STATE(965)] = 25445,
  [SMALL_STATE(966)] = 25497,
  [SMALL_STATE(967)] = 25549,
  [SMALL_STATE(968)] = 25601,
  [SMALL_STATE(969)] = 25653,
  [SMALL_STATE(970)] = 25705,
  [SMALL_STATE(971)] = 25757,
  [SMALL_STATE(972)] = 25809,
  [SMALL_STATE(973)] = 25861,
  [SMALL_STATE(974)] = 25913,
  [SMALL_STATE(975)] = 25968,
  [SMALL_STATE(976)] = 26055,
  [SMALL_STATE(977)] = 26112,
  [SMALL_STATE(978)] = 26163,
  [SMALL_STATE(979)] = 26214,
  [SMALL_STATE(980)] = 26302,
  [SMALL_STATE(981)] = 26376,
  [SMALL_STATE(982)] = 26452,
  [SMALL_STATE(983)] = 26542,
  [SMALL_STATE(984)] = 26620,
  [SMALL_STATE(985)] = 26704,
  [SMALL_STATE(986)] = 26762,
  [SMALL_STATE(987)] = 26850,
  [SMALL_STATE(988)] = 26922,
  [SMALL_STATE(989)] = 27010,
  [SMALL_STATE(990)] = 27096,
  [SMALL_STATE(991)] = 27184,
  [SMALL_STATE(992)] = 27272,
  [SMALL_STATE(993)] = 27354,
  [SMALL_STATE(994)] = 27442,
  [SMALL_STATE(995)] = 27494,
  [SMALL_STATE(996)] = 27576,
  [SMALL_STATE(997)] = 27664,
  [SMALL_STATE(998)] = 27752,
  [SMALL_STATE(999)] = 27808,
  [SMALL_STATE(1000)] = 27890,
  [SMALL_STATE(1001)] = 27972,
  [SMALL_STATE(1002)] = 28042,
  [SMALL_STATE(1003)] = 28108,
  [SMALL_STATE(1004)] = 28190,
  [SMALL_STATE(1005)] = 28252,
  [SMALL_STATE(1006)] = 28310,
  [SMALL_STATE(1007)] = 28370,
  [SMALL_STATE(1008)] = 28422,
  [SMALL_STATE(1009)] = 28510,
  [SMALL_STATE(1010)] = 28576,
  [SMALL_STATE(1011)] = 28664,
  [SMALL_STATE(1012)] = 28746,
  [SMALL_STATE(1013)] = 28804,
  [SMALL_STATE(1014)] = 28886,
  [SMALL_STATE(1015)] = 28971,
  [SMALL_STATE(1016)] = 29058,
  [SMALL_STATE(1017)] = 29107,
  [SMALL_STATE(1018)] = 29190,
  [SMALL_STATE(1019)] = 29277,
  [SMALL_STATE(1020)] = 29364,
  [SMALL_STATE(1021)] = 29441,
  [SMALL_STATE(1022)] = 29528,
  [SMALL_STATE(1023)] = 29603,
  [SMALL_STATE(1024)] = 29684,
  [SMALL_STATE(1025)] = 29735,
  [SMALL_STATE(1026)] = 29792,
  [SMALL_STATE(1027)] = 29863,
  [SMALL_STATE(1028)] = 29924,
  [SMALL_STATE(1029)] = 30005,
  [SMALL_STATE(1030)] = 30054,
  [SMALL_STATE(1031)] = 30141,
  [SMALL_STATE(1032)] = 30196,
  [SMALL_STATE(1033)] = 30277,
  [SMALL_STATE(1034)] = 30350,
  [SMALL_STATE(1035)] = 30409,
  [SMALL_STATE(1036)] = 30478,
  [SMALL_STATE(1037)] = 30565,
  [SMALL_STATE(1038)] = 30616,
  [SMALL_STATE(1039)] = 30703,
  [SMALL_STATE(1040)] = 30784,
  [SMALL_STATE(1041)] = 30865,
  [SMALL_STATE(1042)] = 30930,
  [SMALL_STATE(1043)] = 31011,
  [SMALL_STATE(1044)] = 31092,
  [SMALL_STATE(1045)] = 31181,
  [SMALL_STATE(1046)] = 31268,
  [SMALL_STATE(1047)] = 31317,
  [SMALL_STATE(1048)] = 31404,
  [SMALL_STATE(1049)] = 31453,
  [SMALL_STATE(1050)] = 31540,
  [SMALL_STATE(1051)] = 31626,
  [SMALL_STATE(1052)] = 31712,
  [SMALL_STATE(1053)] = 31760,
  [SMALL_STATE(1054)] = 31814,
  [SMALL_STATE(1055)] = 31862,
  [SMALL_STATE(1056)] = 31910,
  [SMALL_STATE(1057)] = 31958,
  [SMALL_STATE(1058)] = 32006,
  [SMALL_STATE(1059)] = 32078,
  [SMALL_STATE(1060)] = 32126,
  [SMALL_STATE(1061)] = 32174,
  [SMALL_STATE(1062)] = 32222,
  [SMALL_STATE(1063)] = 32270,
  [SMALL_STATE(1064)] = 32338,
  [SMALL_STATE(1065)] = 32418,
  [SMALL_STATE(1066)] = 32498,
  [SMALL_STATE(1067)] = 32548,
  [SMALL_STATE(1068)] = 32596,
  [SMALL_STATE(1069)] = 32644,
  [SMALL_STATE(1070)] = 32692,
  [SMALL_STATE(1071)] = 32740,
  [SMALL_STATE(1072)] = 32788,
  [SMALL_STATE(1073)] = 32836,
  [SMALL_STATE(1074)] = 32884,
  [SMALL_STATE(1075)] = 32932,
  [SMALL_STATE(1076)] = 32990,
  [SMALL_STATE(1077)] = 33038,
  [SMALL_STATE(1078)] = 33124,
  [SMALL_STATE(1079)] = 33172,
  [SMALL_STATE(1080)] = 33220,
  [SMALL_STATE(1081)] = 33276,
  [SMALL_STATE(1082)] = 33324,
  [SMALL_STATE(1083)] = 33410,
  [SMALL_STATE(1084)] = 33496,
  [SMALL_STATE(1085)] = 33544,
  [SMALL_STATE(1086)] = 33630,
  [SMALL_STATE(1087)] = 33716,
  [SMALL_STATE(1088)] = 33764,
  [SMALL_STATE(1089)] = 33824,
  [SMALL_STATE(1090)] = 33872,
  [SMALL_STATE(1091)] = 33920,
  [SMALL_STATE(1092)] = 33968,
  [SMALL_STATE(1093)] = 34016,
  [SMALL_STATE(1094)] = 34080,
  [SMALL_STATE(1095)] = 34128,
  [SMALL_STATE(1096)] = 34176,
  [SMALL_STATE(1097)] = 34224,
  [SMALL_STATE(1098)] = 34272,
  [SMALL_STATE(1099)] = 34342,
  [SMALL_STATE(1100)] = 34390,
  [SMALL_STATE(1101)] = 34478,
  [SMALL_STATE(1102)] = 34552,
  [SMALL_STATE(1103)] = 34600,
  [SMALL_STATE(1104)] = 34648,
  [SMALL_STATE(1105)] = 34696,
  [SMALL_STATE(1106)] = 34744,
  [SMALL_STATE(1107)] = 34792,
  [SMALL_STATE(1108)] = 34840,
  [SMALL_STATE(1109)] = 34888,
  [SMALL_STATE(1110)] = 34936,
  [SMALL_STATE(1111)] = 34984,
  [SMALL_STATE(1112)] = 35032,
  [SMALL_STATE(1113)] = 35080,
  [SMALL_STATE(1114)] = 35128,
  [SMALL_STATE(1115)] = 35214,
  [SMALL_STATE(1116)] = 35294,
  [SMALL_STATE(1117)] = 35374,
  [SMALL_STATE(1118)] = 35454,
  [SMALL_STATE(1119)] = 35502,
  [SMALL_STATE(1120)] = 35578,
  [SMALL_STATE(1121)] = 35626,
  [SMALL_STATE(1122)] = 35674,
  [SMALL_STATE(1123)] = 35756,
  [SMALL_STATE(1124)] = 35840,
  [SMALL_STATE(1125)] = 35890,
  [SMALL_STATE(1126)] = 35938,
  [SMALL_STATE(1127)] = 35986,
  [SMALL_STATE(1128)] = 36066,
  [SMALL_STATE(1129)] = 36114,
  [SMALL_STATE(1130)] = 36162,
  [SMALL_STATE(1131)] = 36210,
  [SMALL_STATE(1132)] = 36290,
  [SMALL_STATE(1133)] = 36338,
  [SMALL_STATE(1134)] = 36424,
  [SMALL_STATE(1135)] = 36472,
  [SMALL_STATE(1136)] = 36520,
  [SMALL_STATE(1137)] = 36606,
  [SMALL_STATE(1138)] = 36654,
  [SMALL_STATE(1139)] = 36702,
  [SMALL_STATE(1140)] = 36750,
  [SMALL_STATE(1141)] = 36798,
  [SMALL_STATE(1142)] = 36846,
  [SMALL_STATE(1143)] = 36894,
  [SMALL_STATE(1144)] = 36942,
  [SMALL_STATE(1145)] = 36992,
  [SMALL_STATE(1146)] = 37040,
  [SMALL_STATE(1147)] = 37088,
  [SMALL_STATE(1148)] = 37136,
  [SMALL_STATE(1149)] = 37184,
  [SMALL_STATE(1150)] = 37232,
  [SMALL_STATE(1151)] = 37317,
  [SMALL_STATE(1152)] = 37396,
  [SMALL_STATE(1153)] = 37455,
  [SMALL_STATE(1154)] = 37530,
  [SMALL_STATE(1155)] = 37615,
  [SMALL_STATE(1156)] = 37682,
  [SMALL_STATE(1157)] = 37757,
  [SMALL_STATE(1158)] = 37842,
  [SMALL_STATE(1159)] = 37913,
  [SMALL_STATE(1160)] = 37962,
  [SMALL_STATE(1161)] = 38015,
  [SMALL_STATE(1162)] = 38064,
  [SMALL_STATE(1163)] = 38143,
  [SMALL_STATE(1164)] = 38228,
  [SMALL_STATE(1165)] = 38297,
  [SMALL_STATE(1166)] = 38376,
  [SMALL_STATE(1167)] = 38455,
  [SMALL_STATE(1168)] = 38504,
  [SMALL_STATE(1169)] = 38589,
  [SMALL_STATE(1170)] = 38676,
  [SMALL_STATE(1171)] = 38731,
  [SMALL_STATE(1172)] = 38816,
  [SMALL_STATE(1173)] = 38901,
  [SMALL_STATE(1174)] = 38980,
  [SMALL_STATE(1175)] = 39065,
  [SMALL_STATE(1176)] = 39144,
  [SMALL_STATE(1177)] = 39207,
  [SMALL_STATE(1178)] = 39256,
  [SMALL_STATE(1179)] = 39335,
  [SMALL_STATE(1180)] = 39420,
  [SMALL_STATE(1181)] = 39493,
  [SMALL_STATE(1182)] = 39568,
  [SMALL_STATE(1183)] = 39653,
  [SMALL_STATE(1184)] = 39728,
  [SMALL_STATE(1185)] = 39809,
  [SMALL_STATE(1186)] = 39884,
  [SMALL_STATE(1187)] = 39967,
  [SMALL_STATE(1188)] = 40024,
  [SMALL_STATE(1189)] = 40110,
  [SMALL_STATE(1190)] = 40196,
  [SMALL_STATE(1191)] = 40284,
  [SMALL_STATE(1192)] = 40368,
  [SMALL_STATE(1193)] = 40444,
  [SMALL_STATE(1194)] = 40530,
  [SMALL_STATE(1195)] = 40614,
  [SMALL_STATE(1196)] = 40700,
  [SMALL_STATE(1197)] = 40786,
  [SMALL_STATE(1198)] = 40870,
  [SMALL_STATE(1199)] = 40946,
  [SMALL_STATE(1200)] = 41029,
  [SMALL_STATE(1201)] = 41118,
  [SMALL_STATE(1202)] = 41201,
  [SMALL_STATE(1203)] = 41290,
  [SMALL_STATE(1204)] = 41373,
  [SMALL_STATE(1205)] = 41456,
  [SMALL_STATE(1206)] = 41539,
  [SMALL_STATE(1207)] = 41624,
  [SMALL_STATE(1208)] = 41707,
  [SMALL_STATE(1209)] = 41796,
  [SMALL_STATE(1210)] = 41879,
  [SMALL_STATE(1211)] = 41962,
  [SMALL_STATE(1212)] = 42047,
  [SMALL_STATE(1213)] = 42130,
  [SMALL_STATE(1214)] = 42213,
  [SMALL_STATE(1215)] = 42296,
  [SMALL_STATE(1216)] = 42379,
  [SMALL_STATE(1217)] = 42462,
  [SMALL_STATE(1218)] = 42545,
  [SMALL_STATE(1219)] = 42628,
  [SMALL_STATE(1220)] = 42711,
  [SMALL_STATE(1221)] = 42794,
  [SMALL_STATE(1222)] = 42879,
  [SMALL_STATE(1223)] = 42962,
  [SMALL_STATE(1224)] = 43047,
  [SMALL_STATE(1225)] = 43130,
  [SMALL_STATE(1226)] = 43213,
  [SMALL_STATE(1227)] = 43296,
  [SMALL_STATE(1228)] = 43381,
  [SMALL_STATE(1229)] = 43470,
  [SMALL_STATE(1230)] = 43557,
  [SMALL_STATE(1231)] = 43640,
  [SMALL_STATE(1232)] = 43729,
  [SMALL_STATE(1233)] = 43818,
  [SMALL_STATE(1234)] = 43903,
  [SMALL_STATE(1235)] = 43988,
  [SMALL_STATE(1236)] = 44071,
  [SMALL_STATE(1237)] = 44154,
  [SMALL_STATE(1238)] = 44237,
  [SMALL_STATE(1239)] = 44320,
  [SMALL_STATE(1240)] = 44403,
  [SMALL_STATE(1241)] = 44486,
  [SMALL_STATE(1242)] = 44569,
  [SMALL_STATE(1243)] = 44652,
  [SMALL_STATE(1244)] = 44735,
  [SMALL_STATE(1245)] = 44824,
  [SMALL_STATE(1246)] = 44909,
  [SMALL_STATE(1247)] = 44998,
  [SMALL_STATE(1248)] = 45081,
  [SMALL_STATE(1249)] = 45163,
  [SMALL_STATE(1250)] = 45245,
  [SMALL_STATE(1251)] = 45327,
  [SMALL_STATE(1252)] = 45409,
  [SMALL_STATE(1253)] = 45491,
  [SMALL_STATE(1254)] = 45573,
  [SMALL_STATE(1255)] = 45655,
  [SMALL_STATE(1256)] = 45737,
  [SMALL_STATE(1257)] = 45819,
  [SMALL_STATE(1258)] = 45901,
  [SMALL_STATE(1259)] = 45983,
  [SMALL_STATE(1260)] = 46065,
  [SMALL_STATE(1261)] = 46147,
  [SMALL_STATE(1262)] = 46229,
  [SMALL_STATE(1263)] = 46311,
  [SMALL_STATE(1264)] = 46393,
  [SMALL_STATE(1265)] = 46475,
  [SMALL_STATE(1266)] = 46557,
  [SMALL_STATE(1267)] = 46639,
  [SMALL_STATE(1268)] = 46721,
  [SMALL_STATE(1269)] = 46803,
  [SMALL_STATE(1270)] = 46885,
  [SMALL_STATE(1271)] = 46967,
  [SMALL_STATE(1272)] = 47049,
  [SMALL_STATE(1273)] = 47119,
  [SMALL_STATE(1274)] = 47201,
  [SMALL_STATE(1275)] = 47283,
  [SMALL_STATE(1276)] = 47365,
  [SMALL_STATE(1277)] = 47447,
  [SMALL_STATE(1278)] = 47529,
  [SMALL_STATE(1279)] = 47599,
  [SMALL_STATE(1280)] = 47681,
  [SMALL_STATE(1281)] = 47763,
  [SMALL_STATE(1282)] = 47845,
  [SMALL_STATE(1283)] = 47927,
  [SMALL_STATE(1284)] = 48009,
  [SMALL_STATE(1285)] = 48091,
  [SMALL_STATE(1286)] = 48173,
  [SMALL_STATE(1287)] = 48255,
  [SMALL_STATE(1288)] = 48337,
  [SMALL_STATE(1289)] = 48419,
  [SMALL_STATE(1290)] = 48501,
  [SMALL_STATE(1291)] = 48583,
  [SMALL_STATE(1292)] = 48665,
  [SMALL_STATE(1293)] = 48747,
  [SMALL_STATE(1294)] = 48829,
  [SMALL_STATE(1295)] = 48911,
  [SMALL_STATE(1296)] = 48993,
  [SMALL_STATE(1297)] = 49075,
  [SMALL_STATE(1298)] = 49157,
  [SMALL_STATE(1299)] = 49239,
  [SMALL_STATE(1300)] = 49321,
  [SMALL_STATE(1301)] = 49403,
  [SMALL_STATE(1302)] = 49485,
  [SMALL_STATE(1303)] = 49567,
  [SMALL_STATE(1304)] = 49649,
  [SMALL_STATE(1305)] = 49731,
  [SMALL_STATE(1306)] = 49813,
  [SMALL_STATE(1307)] = 49895,
  [SMALL_STATE(1308)] = 49977,
  [SMALL_STATE(1309)] = 50059,
  [SMALL_STATE(1310)] = 50141,
  [SMALL_STATE(1311)] = 50223,
  [SMALL_STATE(1312)] = 50267,
  [SMALL_STATE(1313)] = 50349,
  [SMALL_STATE(1314)] = 50431,
  [SMALL_STATE(1315)] = 50513,
  [SMALL_STATE(1316)] = 50595,
  [SMALL_STATE(1317)] = 50677,
  [SMALL_STATE(1318)] = 50759,
  [SMALL_STATE(1319)] = 50841,
  [SMALL_STATE(1320)] = 50922,
  [SMALL_STATE(1321)] = 51003,
  [SMALL_STATE(1322)] = 51082,
  [SMALL_STATE(1323)] = 51125,
  [SMALL_STATE(1324)] = 51168,
  [SMALL_STATE(1325)] = 51235,
  [SMALL_STATE(1326)] = 51278,
  [SMALL_STATE(1327)] = 51345,
  [SMALL_STATE(1328)] = 51388,
  [SMALL_STATE(1329)] = 51431,
  [SMALL_STATE(1330)] = 51474,
  [SMALL_STATE(1331)] = 51555,
  [SMALL_STATE(1332)] = 51636,
  [SMALL_STATE(1333)] = 51692,
  [SMALL_STATE(1334)] = 51748,
  [SMALL_STATE(1335)] = 51804,
  [SMALL_STATE(1336)] = 51860,
  [SMALL_STATE(1337)] = 51916,
  [SMALL_STATE(1338)] = 51972,
  [SMALL_STATE(1339)] = 52028,
  [SMALL_STATE(1340)] = 52084,
  [SMALL_STATE(1341)] = 52140,
  [SMALL_STATE(1342)] = 52196,
  [SMALL_STATE(1343)] = 52252,
  [SMALL_STATE(1344)] = 52305,
  [SMALL_STATE(1345)] = 52358,
  [SMALL_STATE(1346)] = 52411,
  [SMALL_STATE(1347)] = 52464,
  [SMALL_STATE(1348)] = 52517,
  [SMALL_STATE(1349)] = 52570,
  [SMALL_STATE(1350)] = 52613,
  [SMALL_STATE(1351)] = 52656,
  [SMALL_STATE(1352)] = 52702,
  [SMALL_STATE(1353)] = 52748,
  [SMALL_STATE(1354)] = 52808,
  [SMALL_STATE(1355)] = 52868,
  [SMALL_STATE(1356)] = 52914,
  [SMALL_STATE(1357)] = 52971,
  [SMALL_STATE(1358)] = 53023,
  [SMALL_STATE(1359)] = 53072,
  [SMALL_STATE(1360)] = 53121,
  [SMALL_STATE(1361)] = 53170,
  [SMALL_STATE(1362)] = 53219,
  [SMALL_STATE(1363)] = 53266,
  [SMALL_STATE(1364)] = 53296,
  [SMALL_STATE(1365)] = 53342,
  [SMALL_STATE(1366)] = 53388,
  [SMALL_STATE(1367)] = 53434,
  [SMALL_STATE(1368)] = 53483,
  [SMALL_STATE(1369)] = 53530,
  [SMALL_STATE(1370)] = 53556,
  [SMALL_STATE(1371)] = 53582,
  [SMALL_STATE(1372)] = 53608,
  [SMALL_STATE(1373)] = 53634,
  [SMALL_STATE(1374)] = 53660,
  [SMALL_STATE(1375)] = 53686,
  [SMALL_STATE(1376)] = 53712,
  [SMALL_STATE(1377)] = 53756,
  [SMALL_STATE(1378)] = 53782,
  [SMALL_STATE(1379)] = 53808,
  [SMALL_STATE(1380)] = 53834,
  [SMALL_STATE(1381)] = 53878,
  [SMALL_STATE(1382)] = 53920,
  [SMALL_STATE(1383)] = 53946,
  [SMALL_STATE(1384)] = 53972,
  [SMALL_STATE(1385)] = 53998,
  [SMALL_STATE(1386)] = 54024,
  [SMALL_STATE(1387)] = 54050,
  [SMALL_STATE(1388)] = 54096,
  [SMALL_STATE(1389)] = 54122,
  [SMALL_STATE(1390)] = 54147,
  [SMALL_STATE(1391)] = 54172,
  [SMALL_STATE(1392)] = 54197,
  [SMALL_STATE(1393)] = 54238,
  [SMALL_STATE(1394)] = 54281,
  [SMALL_STATE(1395)] = 54324,
  [SMALL_STATE(1396)] = 54349,
  [SMALL_STATE(1397)] = 54390,
  [SMALL_STATE(1398)] = 54433,
  [SMALL_STATE(1399)] = 54458,
  [SMALL_STATE(1400)] = 54483,
  [SMALL_STATE(1401)] = 54508,
  [SMALL_STATE(1402)] = 54533,
  [SMALL_STATE(1403)] = 54558,
  [SMALL_STATE(1404)] = 54583,
  [SMALL_STATE(1405)] = 54608,
  [SMALL_STATE(1406)] = 54633,
  [SMALL_STATE(1407)] = 54658,
  [SMALL_STATE(1408)] = 54683,
  [SMALL_STATE(1409)] = 54708,
  [SMALL_STATE(1410)] = 54751,
  [SMALL_STATE(1411)] = 54776,
  [SMALL_STATE(1412)] = 54819,
  [SMALL_STATE(1413)] = 54844,
  [SMALL_STATE(1414)] = 54875,
  [SMALL_STATE(1415)] = 54900,
  [SMALL_STATE(1416)] = 54941,
  [SMALL_STATE(1417)] = 54984,
  [SMALL_STATE(1418)] = 55009,
  [SMALL_STATE(1419)] = 55034,
  [SMALL_STATE(1420)] = 55059,
  [SMALL_STATE(1421)] = 55102,
  [SMALL_STATE(1422)] = 55145,
  [SMALL_STATE(1423)] = 55186,
  [SMALL_STATE(1424)] = 55222,
  [SMALL_STATE(1425)] = 55262,
  [SMALL_STATE(1426)] = 55290,
  [SMALL_STATE(1427)] = 55330,
  [SMALL_STATE(1428)] = 55370,
  [SMALL_STATE(1429)] = 55403,
  [SMALL_STATE(1430)] = 55428,
  [SMALL_STATE(1431)] = 55457,
  [SMALL_STATE(1432)] = 55484,
  [SMALL_STATE(1433)] = 55521,
  [SMALL_STATE(1434)] = 55546,
  [SMALL_STATE(1435)] = 55571,
  [SMALL_STATE(1436)] = 55596,
  [SMALL_STATE(1437)] = 55633,
  [SMALL_STATE(1438)] = 55670,
  [SMALL_STATE(1439)] = 55707,
  [SMALL_STATE(1440)] = 55744,
  [SMALL_STATE(1441)] = 55777,
  [SMALL_STATE(1442)] = 55801,
  [SMALL_STATE(1443)] = 55825,
  [SMALL_STATE(1444)] = 55855,
  [SMALL_STATE(1445)] = 55879,
  [SMALL_STATE(1446)] = 55907,
  [SMALL_STATE(1447)] = 55939,
  [SMALL_STATE(1448)] = 55967,
  [SMALL_STATE(1449)] = 56001,
  [SMALL_STATE(1450)] = 56027,
  [SMALL_STATE(1451)] = 56055,
  [SMALL_STATE(1452)] = 56079,
  [SMALL_STATE(1453)] = 56105,
  [SMALL_STATE(1454)] = 56129,
  [SMALL_STATE(1455)] = 56163,
  [SMALL_STATE(1456)] = 56197,
  [SMALL_STATE(1457)] = 56229,
  [SMALL_STATE(1458)] = 56261,
  [SMALL_STATE(1459)] = 56295,
  [SMALL_STATE(1460)] = 56319,
  [SMALL_STATE(1461)] = 56353,
  [SMALL_STATE(1462)] = 56385,
  [SMALL_STATE(1463)] = 56414,
  [SMALL_STATE(1464)] = 56441,
  [SMALL_STATE(1465)] = 56468,
  [SMALL_STATE(1466)] = 56497,
  [SMALL_STATE(1467)] = 56526,
  [SMALL_STATE(1468)] = 56555,
  [SMALL_STATE(1469)] = 56584,
  [SMALL_STATE(1470)] = 56615,
  [SMALL_STATE(1471)] = 56642,
  [SMALL_STATE(1472)] = 56671,
  [SMALL_STATE(1473)] = 56700,
  [SMALL_STATE(1474)] = 56729,
  [SMALL_STATE(1475)] = 56756,
  [SMALL_STATE(1476)] = 56785,
  [SMALL_STATE(1477)] = 56814,
  [SMALL_STATE(1478)] = 56841,
  [SMALL_STATE(1479)] = 56870,
  [SMALL_STATE(1480)] = 56893,
  [SMALL_STATE(1481)] = 56922,
  [SMALL_STATE(1482)] = 56955,
  [SMALL_STATE(1483)] = 56986,
  [SMALL_STATE(1484)] = 57015,
  [SMALL_STATE(1485)] = 57044,
  [SMALL_STATE(1486)] = 57073,
  [SMALL_STATE(1487)] = 57102,
  [SMALL_STATE(1488)] = 57133,
  [SMALL_STATE(1489)] = 57164,
  [SMALL_STATE(1490)] = 57187,
  [SMALL_STATE(1491)] = 57216,
  [SMALL_STATE(1492)] = 57247,
  [SMALL_STATE(1493)] = 57272,
  [SMALL_STATE(1494)] = 57303,
  [SMALL_STATE(1495)] = 57332,
  [SMALL_STATE(1496)] = 57363,
  [SMALL_STATE(1497)] = 57390,
  [SMALL_STATE(1498)] = 57419,
  [SMALL_STATE(1499)] = 57448,
  [SMALL_STATE(1500)] = 57475,
  [SMALL_STATE(1501)] = 57506,
  [SMALL_STATE(1502)] = 57535,
  [SMALL_STATE(1503)] = 57566,
  [SMALL_STATE(1504)] = 57593,
  [SMALL_STATE(1505)] = 57624,
  [SMALL_STATE(1506)] = 57653,
  [SMALL_STATE(1507)] = 57682,
  [SMALL_STATE(1508)] = 57709,
  [SMALL_STATE(1509)] = 57738,
  [SMALL_STATE(1510)] = 57769,
  [SMALL_STATE(1511)] = 57798,
  [SMALL_STATE(1512)] = 57827,
  [SMALL_STATE(1513)] = 57854,
  [SMALL_STATE(1514)] = 57883,
  [SMALL_STATE(1515)] = 57910,
  [SMALL_STATE(1516)] = 57943,
  [SMALL_STATE(1517)] = 57974,
  [SMALL_STATE(1518)] = 57999,
  [SMALL_STATE(1519)] = 58022,
  [SMALL_STATE(1520)] = 58053,
  [SMALL_STATE(1521)] = 58082,
  [SMALL_STATE(1522)] = 58111,
  [SMALL_STATE(1523)] = 58140,
  [SMALL_STATE(1524)] = 58165,
  [SMALL_STATE(1525)] = 58191,
  [SMALL_STATE(1526)] = 58225,
  [SMALL_STATE(1527)] = 58259,
  [SMALL_STATE(1528)] = 58293,
  [SMALL_STATE(1529)] = 58323,
  [SMALL_STATE(1530)] = 58357,
  [SMALL_STATE(1531)] = 58383,
  [SMALL_STATE(1532)] = 58417,
  [SMALL_STATE(1533)] = 58443,
  [SMALL_STATE(1534)] = 58471,
  [SMALL_STATE(1535)] = 58503,
  [SMALL_STATE(1536)] = 58537,
  [SMALL_STATE(1537)] = 58567,
  [SMALL_STATE(1538)] = 58594,
  [SMALL_STATE(1539)] = 58625,
  [SMALL_STATE(1540)] = 58646,
  [SMALL_STATE(1541)] = 58667,
  [SMALL_STATE(1542)] = 58690,
  [SMALL_STATE(1543)] = 58713,
  [SMALL_STATE(1544)] = 58736,
  [SMALL_STATE(1545)] = 58759,
  [SMALL_STATE(1546)] = 58786,
  [SMALL_STATE(1547)] = 58807,
  [SMALL_STATE(1548)] = 58828,
  [SMALL_STATE(1549)] = 58857,
  [SMALL_STATE(1550)] = 58880,
  [SMALL_STATE(1551)] = 58903,
  [SMALL_STATE(1552)] = 58924,
  [SMALL_STATE(1553)] = 58949,
  [SMALL_STATE(1554)] = 58976,
  [SMALL_STATE(1555)] = 58999,
  [SMALL_STATE(1556)] = 59020,
  [SMALL_STATE(1557)] = 59041,
  [SMALL_STATE(1558)] = 59062,
  [SMALL_STATE(1559)] = 59085,
  [SMALL_STATE(1560)] = 59112,
  [SMALL_STATE(1561)] = 59135,
  [SMALL_STATE(1562)] = 59156,
  [SMALL_STATE(1563)] = 59177,
  [SMALL_STATE(1564)] = 59204,
  [SMALL_STATE(1565)] = 59227,
  [SMALL_STATE(1566)] = 59248,
  [SMALL_STATE(1567)] = 59271,
  [SMALL_STATE(1568)] = 59298,
  [SMALL_STATE(1569)] = 59321,
  [SMALL_STATE(1570)] = 59342,
  [SMALL_STATE(1571)] = 59365,
  [SMALL_STATE(1572)] = 59386,
  [SMALL_STATE(1573)] = 59413,
  [SMALL_STATE(1574)] = 59436,
  [SMALL_STATE(1575)] = 59459,
  [SMALL_STATE(1576)] = 59480,
  [SMALL_STATE(1577)] = 59503,
  [SMALL_STATE(1578)] = 59526,
  [SMALL_STATE(1579)] = 59549,
  [SMALL_STATE(1580)] = 59572,
  [SMALL_STATE(1581)] = 59595,
  [SMALL_STATE(1582)] = 59618,
  [SMALL_STATE(1583)] = 59646,
  [SMALL_STATE(1584)] = 59674,
  [SMALL_STATE(1585)] = 59702,
  [SMALL_STATE(1586)] = 59726,
  [SMALL_STATE(1587)] = 59752,
  [SMALL_STATE(1588)] = 59778,
  [SMALL_STATE(1589)] = 59806,
  [SMALL_STATE(1590)] = 59830,
  [SMALL_STATE(1591)] = 59858,
  [SMALL_STATE(1592)] = 59886,
  [SMALL_STATE(1593)] = 59914,
  [SMALL_STATE(1594)] = 59934,
  [SMALL_STATE(1595)] = 59962,
  [SMALL_STATE(1596)] = 59990,
  [SMALL_STATE(1597)] = 60018,
  [SMALL_STATE(1598)] = 60046,
  [SMALL_STATE(1599)] = 60066,
  [SMALL_STATE(1600)] = 60086,
  [SMALL_STATE(1601)] = 60106,
  [SMALL_STATE(1602)] = 60134,
  [SMALL_STATE(1603)] = 60154,
  [SMALL_STATE(1604)] = 60176,
  [SMALL_STATE(1605)] = 60196,
  [SMALL_STATE(1606)] = 60222,
  [SMALL_STATE(1607)] = 60250,
  [SMALL_STATE(1608)] = 60278,
  [SMALL_STATE(1609)] = 60306,
  [SMALL_STATE(1610)] = 60334,
  [SMALL_STATE(1611)] = 60362,
  [SMALL_STATE(1612)] = 60390,
  [SMALL_STATE(1613)] = 60416,
  [SMALL_STATE(1614)] = 60442,
  [SMALL_STATE(1615)] = 60466,
  [SMALL_STATE(1616)] = 60494,
  [SMALL_STATE(1617)] = 60514,
  [SMALL_STATE(1618)] = 60542,
  [SMALL_STATE(1619)] = 60570,
  [SMALL_STATE(1620)] = 60596,
  [SMALL_STATE(1621)] = 60624,
  [SMALL_STATE(1622)] = 60652,
  [SMALL_STATE(1623)] = 60680,
  [SMALL_STATE(1624)] = 60706,
  [SMALL_STATE(1625)] = 60734,
  [SMALL_STATE(1626)] = 60754,
  [SMALL_STATE(1627)] = 60774,
  [SMALL_STATE(1628)] = 60794,
  [SMALL_STATE(1629)] = 60822,
  [SMALL_STATE(1630)] = 60850,
  [SMALL_STATE(1631)] = 60870,
  [SMALL_STATE(1632)] = 60896,
  [SMALL_STATE(1633)] = 60924,
  [SMALL_STATE(1634)] = 60944,
  [SMALL_STATE(1635)] = 60972,
  [SMALL_STATE(1636)] = 60992,
  [SMALL_STATE(1637)] = 61016,
  [SMALL_STATE(1638)] = 61036,
  [SMALL_STATE(1639)] = 61062,
  [SMALL_STATE(1640)] = 61090,
  [SMALL_STATE(1641)] = 61110,
  [SMALL_STATE(1642)] = 61134,
  [SMALL_STATE(1643)] = 61162,
  [SMALL_STATE(1644)] = 61182,
  [SMALL_STATE(1645)] = 61210,
  [SMALL_STATE(1646)] = 61238,
  [SMALL_STATE(1647)] = 61258,
  [SMALL_STATE(1648)] = 61284,
  [SMALL_STATE(1649)] = 61310,
  [SMALL_STATE(1650)] = 61330,
  [SMALL_STATE(1651)] = 61358,
  [SMALL_STATE(1652)] = 61386,
  [SMALL_STATE(1653)] = 61412,
  [SMALL_STATE(1654)] = 61432,
  [SMALL_STATE(1655)] = 61460,
  [SMALL_STATE(1656)] = 61488,
  [SMALL_STATE(1657)] = 61508,
  [SMALL_STATE(1658)] = 61529,
  [SMALL_STATE(1659)] = 61550,
  [SMALL_STATE(1660)] = 61571,
  [SMALL_STATE(1661)] = 61592,
  [SMALL_STATE(1662)] = 61613,
  [SMALL_STATE(1663)] = 61630,
  [SMALL_STATE(1664)] = 61651,
  [SMALL_STATE(1665)] = 61674,
  [SMALL_STATE(1666)] = 61699,
  [SMALL_STATE(1667)] = 61720,
  [SMALL_STATE(1668)] = 61741,
  [SMALL_STATE(1669)] = 61760,
  [SMALL_STATE(1670)] = 61781,
  [SMALL_STATE(1671)] = 61804,
  [SMALL_STATE(1672)] = 61829,
  [SMALL_STATE(1673)] = 61848,
  [SMALL_STATE(1674)] = 61871,
  [SMALL_STATE(1675)] = 61894,
  [SMALL_STATE(1676)] = 61919,
  [SMALL_STATE(1677)] = 61942,
  [SMALL_STATE(1678)] = 61963,
  [SMALL_STATE(1679)] = 61988,
  [SMALL_STATE(1680)] = 62013,
  [SMALL_STATE(1681)] = 62038,
  [SMALL_STATE(1682)] = 62061,
  [SMALL_STATE(1683)] = 62082,
  [SMALL_STATE(1684)] = 62101,
  [SMALL_STATE(1685)] = 62124,
  [SMALL_STATE(1686)] = 62149,
  [SMALL_STATE(1687)] = 62174,
  [SMALL_STATE(1688)] = 62193,
  [SMALL_STATE(1689)] = 62210,
  [SMALL_STATE(1690)] = 62233,
  [SMALL_STATE(1691)] = 62258,
  [SMALL_STATE(1692)] = 62281,
  [SMALL_STATE(1693)] = 62302,
  [SMALL_STATE(1694)] = 62325,
  [SMALL_STATE(1695)] = 62346,
  [SMALL_STATE(1696)] = 62363,
  [SMALL_STATE(1697)] = 62388,
  [SMALL_STATE(1698)] = 62405,
  [SMALL_STATE(1699)] = 62426,
  [SMALL_STATE(1700)] = 62451,
  [SMALL_STATE(1701)] = 62470,
  [SMALL_STATE(1702)] = 62493,
  [SMALL_STATE(1703)] = 62516,
  [SMALL_STATE(1704)] = 62541,
  [SMALL_STATE(1705)] = 62564,
  [SMALL_STATE(1706)] = 62581,
  [SMALL_STATE(1707)] = 62604,
  [SMALL_STATE(1708)] = 62629,
  [SMALL_STATE(1709)] = 62654,
  [SMALL_STATE(1710)] = 62673,
  [SMALL_STATE(1711)] = 62694,
  [SMALL_STATE(1712)] = 62715,
  [SMALL_STATE(1713)] = 62738,
  [SMALL_STATE(1714)] = 62761,
  [SMALL_STATE(1715)] = 62784,
  [SMALL_STATE(1716)] = 62803,
  [SMALL_STATE(1717)] = 62826,
  [SMALL_STATE(1718)] = 62845,
  [SMALL_STATE(1719)] = 62864,
  [SMALL_STATE(1720)] = 62889,
  [SMALL_STATE(1721)] = 62908,
  [SMALL_STATE(1722)] = 62929,
  [SMALL_STATE(1723)] = 62950,
  [SMALL_STATE(1724)] = 62973,
  [SMALL_STATE(1725)] = 62994,
  [SMALL_STATE(1726)] = 63019,
  [SMALL_STATE(1727)] = 63040,
  [SMALL_STATE(1728)] = 63065,
  [SMALL_STATE(1729)] = 63090,
  [SMALL_STATE(1730)] = 63111,
  [SMALL_STATE(1731)] = 63132,
  [SMALL_STATE(1732)] = 63157,
  [SMALL_STATE(1733)] = 63182,
  [SMALL_STATE(1734)] = 63201,
  [SMALL_STATE(1735)] = 63224,
  [SMALL_STATE(1736)] = 63249,
  [SMALL_STATE(1737)] = 63270,
  [SMALL_STATE(1738)] = 63291,
  [SMALL_STATE(1739)] = 63314,
  [SMALL_STATE(1740)] = 63337,
  [SMALL_STATE(1741)] = 63360,
  [SMALL_STATE(1742)] = 63385,
  [SMALL_STATE(1743)] = 63406,
  [SMALL_STATE(1744)] = 63431,
  [SMALL_STATE(1745)] = 63452,
  [SMALL_STATE(1746)] = 63473,
  [SMALL_STATE(1747)] = 63498,
  [SMALL_STATE(1748)] = 63519,
  [SMALL_STATE(1749)] = 63542,
  [SMALL_STATE(1750)] = 63563,
  [SMALL_STATE(1751)] = 63584,
  [SMALL_STATE(1752)] = 63605,
  [SMALL_STATE(1753)] = 63624,
  [SMALL_STATE(1754)] = 63645,
  [SMALL_STATE(1755)] = 63667,
  [SMALL_STATE(1756)] = 63687,
  [SMALL_STATE(1757)] = 63709,
  [SMALL_STATE(1758)] = 63729,
  [SMALL_STATE(1759)] = 63747,
  [SMALL_STATE(1760)] = 63767,
  [SMALL_STATE(1761)] = 63789,
  [SMALL_STATE(1762)] = 63809,
  [SMALL_STATE(1763)] = 63829,
  [SMALL_STATE(1764)] = 63849,
  [SMALL_STATE(1765)] = 63867,
  [SMALL_STATE(1766)] = 63885,
  [SMALL_STATE(1767)] = 63907,
  [SMALL_STATE(1768)] = 63927,
  [SMALL_STATE(1769)] = 63943,
  [SMALL_STATE(1770)] = 63965,
  [SMALL_STATE(1771)] = 63987,
  [SMALL_STATE(1772)] = 64009,
  [SMALL_STATE(1773)] = 64031,
  [SMALL_STATE(1774)] = 64047,
  [SMALL_STATE(1775)] = 64069,
  [SMALL_STATE(1776)] = 64091,
  [SMALL_STATE(1777)] = 64113,
  [SMALL_STATE(1778)] = 64133,
  [SMALL_STATE(1779)] = 64155,
  [SMALL_STATE(1780)] = 64173,
  [SMALL_STATE(1781)] = 64195,
  [SMALL_STATE(1782)] = 64217,
  [SMALL_STATE(1783)] = 64233,
  [SMALL_STATE(1784)] = 64253,
  [SMALL_STATE(1785)] = 64275,
  [SMALL_STATE(1786)] = 64295,
  [SMALL_STATE(1787)] = 64317,
  [SMALL_STATE(1788)] = 64337,
  [SMALL_STATE(1789)] = 64357,
  [SMALL_STATE(1790)] = 64379,
  [SMALL_STATE(1791)] = 64401,
  [SMALL_STATE(1792)] = 64421,
  [SMALL_STATE(1793)] = 64437,
  [SMALL_STATE(1794)] = 64457,
  [SMALL_STATE(1795)] = 64475,
  [SMALL_STATE(1796)] = 64491,
  [SMALL_STATE(1797)] = 64511,
  [SMALL_STATE(1798)] = 64533,
  [SMALL_STATE(1799)] = 64551,
  [SMALL_STATE(1800)] = 64573,
  [SMALL_STATE(1801)] = 64595,
  [SMALL_STATE(1802)] = 64615,
  [SMALL_STATE(1803)] = 64631,
  [SMALL_STATE(1804)] = 64651,
  [SMALL_STATE(1805)] = 64667,
  [SMALL_STATE(1806)] = 64687,
  [SMALL_STATE(1807)] = 64703,
  [SMALL_STATE(1808)] = 64721,
  [SMALL_STATE(1809)] = 64741,
  [SMALL_STATE(1810)] = 64763,
  [SMALL_STATE(1811)] = 64783,
  [SMALL_STATE(1812)] = 64803,
  [SMALL_STATE(1813)] = 64823,
  [SMALL_STATE(1814)] = 64845,
  [SMALL_STATE(1815)] = 64861,
  [SMALL_STATE(1816)] = 64881,
  [SMALL_STATE(1817)] = 64897,
  [SMALL_STATE(1818)] = 64917,
  [SMALL_STATE(1819)] = 64937,
  [SMALL_STATE(1820)] = 64959,
  [SMALL_STATE(1821)] = 64981,
  [SMALL_STATE(1822)] = 65003,
  [SMALL_STATE(1823)] = 65019,
  [SMALL_STATE(1824)] = 65037,
  [SMALL_STATE(1825)] = 65055,
  [SMALL_STATE(1826)] = 65077,
  [SMALL_STATE(1827)] = 65093,
  [SMALL_STATE(1828)] = 65115,
  [SMALL_STATE(1829)] = 65135,
  [SMALL_STATE(1830)] = 65155,
  [SMALL_STATE(1831)] = 65175,
  [SMALL_STATE(1832)] = 65197,
  [SMALL_STATE(1833)] = 65217,
  [SMALL_STATE(1834)] = 65237,
  [SMALL_STATE(1835)] = 65255,
  [SMALL_STATE(1836)] = 65273,
  [SMALL_STATE(1837)] = 65293,
  [SMALL_STATE(1838)] = 65313,
  [SMALL_STATE(1839)] = 65335,
  [SMALL_STATE(1840)] = 65357,
  [SMALL_STATE(1841)] = 65379,
  [SMALL_STATE(1842)] = 65399,
  [SMALL_STATE(1843)] = 65421,
  [SMALL_STATE(1844)] = 65437,
  [SMALL_STATE(1845)] = 65459,
  [SMALL_STATE(1846)] = 65481,
  [SMALL_STATE(1847)] = 65501,
  [SMALL_STATE(1848)] = 65523,
  [SMALL_STATE(1849)] = 65545,
  [SMALL_STATE(1850)] = 65565,
  [SMALL_STATE(1851)] = 65587,
  [SMALL_STATE(1852)] = 65609,
  [SMALL_STATE(1853)] = 65631,
  [SMALL_STATE(1854)] = 65653,
  [SMALL_STATE(1855)] = 65675,
  [SMALL_STATE(1856)] = 65697,
  [SMALL_STATE(1857)] = 65719,
  [SMALL_STATE(1858)] = 65741,
  [SMALL_STATE(1859)] = 65761,
  [SMALL_STATE(1860)] = 65783,
  [SMALL_STATE(1861)] = 65803,
  [SMALL_STATE(1862)] = 65823,
  [SMALL_STATE(1863)] = 65845,
  [SMALL_STATE(1864)] = 65867,
  [SMALL_STATE(1865)] = 65887,
  [SMALL_STATE(1866)] = 65903,
  [SMALL_STATE(1867)] = 65925,
  [SMALL_STATE(1868)] = 65947,
  [SMALL_STATE(1869)] = 65969,
  [SMALL_STATE(1870)] = 65991,
  [SMALL_STATE(1871)] = 66013,
  [SMALL_STATE(1872)] = 66033,
  [SMALL_STATE(1873)] = 66055,
  [SMALL_STATE(1874)] = 66077,
  [SMALL_STATE(1875)] = 66093,
  [SMALL_STATE(1876)] = 66109,
  [SMALL_STATE(1877)] = 66131,
  [SMALL_STATE(1878)] = 66151,
  [SMALL_STATE(1879)] = 66171,
  [SMALL_STATE(1880)] = 66191,
  [SMALL_STATE(1881)] = 66209,
  [SMALL_STATE(1882)] = 66229,
  [SMALL_STATE(1883)] = 66247,
  [SMALL_STATE(1884)] = 66263,
  [SMALL_STATE(1885)] = 66281,
  [SMALL_STATE(1886)] = 66301,
  [SMALL_STATE(1887)] = 66321,
  [SMALL_STATE(1888)] = 66343,
  [SMALL_STATE(1889)] = 66359,
  [SMALL_STATE(1890)] = 66379,
  [SMALL_STATE(1891)] = 66399,
  [SMALL_STATE(1892)] = 66419,
  [SMALL_STATE(1893)] = 66439,
  [SMALL_STATE(1894)] = 66457,
  [SMALL_STATE(1895)] = 66479,
  [SMALL_STATE(1896)] = 66501,
  [SMALL_STATE(1897)] = 66521,
  [SMALL_STATE(1898)] = 66539,
  [SMALL_STATE(1899)] = 66559,
  [SMALL_STATE(1900)] = 66581,
  [SMALL_STATE(1901)] = 66603,
  [SMALL_STATE(1902)] = 66625,
  [SMALL_STATE(1903)] = 66641,
  [SMALL_STATE(1904)] = 66657,
  [SMALL_STATE(1905)] = 66674,
  [SMALL_STATE(1906)] = 66693,
  [SMALL_STATE(1907)] = 66712,
  [SMALL_STATE(1908)] = 66729,
  [SMALL_STATE(1909)] = 66748,
  [SMALL_STATE(1910)] = 66767,
  [SMALL_STATE(1911)] = 66786,
  [SMALL_STATE(1912)] = 66805,
  [SMALL_STATE(1913)] = 66824,
  [SMALL_STATE(1914)] = 66843,
  [SMALL_STATE(1915)] = 66862,
  [SMALL_STATE(1916)] = 66881,
  [SMALL_STATE(1917)] = 66900,
  [SMALL_STATE(1918)] = 66919,
  [SMALL_STATE(1919)] = 66938,
  [SMALL_STATE(1920)] = 66955,
  [SMALL_STATE(1921)] = 66974,
  [SMALL_STATE(1922)] = 66993,
  [SMALL_STATE(1923)] = 67012,
  [SMALL_STATE(1924)] = 67031,
  [SMALL_STATE(1925)] = 67050,
  [SMALL_STATE(1926)] = 67067,
  [SMALL_STATE(1927)] = 67084,
  [SMALL_STATE(1928)] = 67103,
  [SMALL_STATE(1929)] = 67122,
  [SMALL_STATE(1930)] = 67139,
  [SMALL_STATE(1931)] = 67154,
  [SMALL_STATE(1932)] = 67173,
  [SMALL_STATE(1933)] = 67192,
  [SMALL_STATE(1934)] = 67211,
  [SMALL_STATE(1935)] = 67230,
  [SMALL_STATE(1936)] = 67247,
  [SMALL_STATE(1937)] = 67266,
  [SMALL_STATE(1938)] = 67285,
  [SMALL_STATE(1939)] = 67304,
  [SMALL_STATE(1940)] = 67323,
  [SMALL_STATE(1941)] = 67338,
  [SMALL_STATE(1942)] = 67357,
  [SMALL_STATE(1943)] = 67376,
  [SMALL_STATE(1944)] = 67395,
  [SMALL_STATE(1945)] = 67414,
  [SMALL_STATE(1946)] = 67433,
  [SMALL_STATE(1947)] = 67450,
  [SMALL_STATE(1948)] = 67469,
  [SMALL_STATE(1949)] = 67486,
  [SMALL_STATE(1950)] = 67503,
  [SMALL_STATE(1951)] = 67522,
  [SMALL_STATE(1952)] = 67539,
  [SMALL_STATE(1953)] = 67556,
  [SMALL_STATE(1954)] = 67573,
  [SMALL_STATE(1955)] = 67590,
  [SMALL_STATE(1956)] = 67607,
  [SMALL_STATE(1957)] = 67624,
  [SMALL_STATE(1958)] = 67643,
  [SMALL_STATE(1959)] = 67660,
  [SMALL_STATE(1960)] = 67677,
  [SMALL_STATE(1961)] = 67694,
  [SMALL_STATE(1962)] = 67711,
  [SMALL_STATE(1963)] = 67730,
  [SMALL_STATE(1964)] = 67749,
  [SMALL_STATE(1965)] = 67766,
  [SMALL_STATE(1966)] = 67785,
  [SMALL_STATE(1967)] = 67802,
  [SMALL_STATE(1968)] = 67819,
  [SMALL_STATE(1969)] = 67836,
  [SMALL_STATE(1970)] = 67853,
  [SMALL_STATE(1971)] = 67870,
  [SMALL_STATE(1972)] = 67887,
  [SMALL_STATE(1973)] = 67904,
  [SMALL_STATE(1974)] = 67921,
  [SMALL_STATE(1975)] = 67938,
  [SMALL_STATE(1976)] = 67955,
  [SMALL_STATE(1977)] = 67972,
  [SMALL_STATE(1978)] = 67989,
  [SMALL_STATE(1979)] = 68006,
  [SMALL_STATE(1980)] = 68023,
  [SMALL_STATE(1981)] = 68040,
  [SMALL_STATE(1982)] = 68057,
  [SMALL_STATE(1983)] = 68074,
  [SMALL_STATE(1984)] = 68091,
  [SMALL_STATE(1985)] = 68108,
  [SMALL_STATE(1986)] = 68125,
  [SMALL_STATE(1987)] = 68142,
  [SMALL_STATE(1988)] = 68159,
  [SMALL_STATE(1989)] = 68176,
  [SMALL_STATE(1990)] = 68193,
  [SMALL_STATE(1991)] = 68210,
  [SMALL_STATE(1992)] = 68227,
  [SMALL_STATE(1993)] = 68244,
  [SMALL_STATE(1994)] = 68261,
  [SMALL_STATE(1995)] = 68278,
  [SMALL_STATE(1996)] = 68297,
  [SMALL_STATE(1997)] = 68314,
  [SMALL_STATE(1998)] = 68331,
  [SMALL_STATE(1999)] = 68348,
  [SMALL_STATE(2000)] = 68365,
  [SMALL_STATE(2001)] = 68382,
  [SMALL_STATE(2002)] = 68401,
  [SMALL_STATE(2003)] = 68418,
  [SMALL_STATE(2004)] = 68435,
  [SMALL_STATE(2005)] = 68452,
  [SMALL_STATE(2006)] = 68469,
  [SMALL_STATE(2007)] = 68486,
  [SMALL_STATE(2008)] = 68505,
  [SMALL_STATE(2009)] = 68522,
  [SMALL_STATE(2010)] = 68539,
  [SMALL_STATE(2011)] = 68556,
  [SMALL_STATE(2012)] = 68575,
  [SMALL_STATE(2013)] = 68592,
  [SMALL_STATE(2014)] = 68609,
  [SMALL_STATE(2015)] = 68626,
  [SMALL_STATE(2016)] = 68643,
  [SMALL_STATE(2017)] = 68660,
  [SMALL_STATE(2018)] = 68675,
  [SMALL_STATE(2019)] = 68692,
  [SMALL_STATE(2020)] = 68709,
  [SMALL_STATE(2021)] = 68728,
  [SMALL_STATE(2022)] = 68745,
  [SMALL_STATE(2023)] = 68762,
  [SMALL_STATE(2024)] = 68779,
  [SMALL_STATE(2025)] = 68798,
  [SMALL_STATE(2026)] = 68815,
  [SMALL_STATE(2027)] = 68832,
  [SMALL_STATE(2028)] = 68849,
  [SMALL_STATE(2029)] = 68868,
  [SMALL_STATE(2030)] = 68885,
  [SMALL_STATE(2031)] = 68904,
  [SMALL_STATE(2032)] = 68921,
  [SMALL_STATE(2033)] = 68938,
  [SMALL_STATE(2034)] = 68955,
  [SMALL_STATE(2035)] = 68970,
  [SMALL_STATE(2036)] = 68985,
  [SMALL_STATE(2037)] = 69002,
  [SMALL_STATE(2038)] = 69019,
  [SMALL_STATE(2039)] = 69036,
  [SMALL_STATE(2040)] = 69053,
  [SMALL_STATE(2041)] = 69072,
  [SMALL_STATE(2042)] = 69089,
  [SMALL_STATE(2043)] = 69106,
  [SMALL_STATE(2044)] = 69123,
  [SMALL_STATE(2045)] = 69142,
  [SMALL_STATE(2046)] = 69159,
  [SMALL_STATE(2047)] = 69176,
  [SMALL_STATE(2048)] = 69193,
  [SMALL_STATE(2049)] = 69210,
  [SMALL_STATE(2050)] = 69225,
  [SMALL_STATE(2051)] = 69242,
  [SMALL_STATE(2052)] = 69259,
  [SMALL_STATE(2053)] = 69276,
  [SMALL_STATE(2054)] = 69293,
  [SMALL_STATE(2055)] = 69310,
  [SMALL_STATE(2056)] = 69327,
  [SMALL_STATE(2057)] = 69344,
  [SMALL_STATE(2058)] = 69361,
  [SMALL_STATE(2059)] = 69378,
  [SMALL_STATE(2060)] = 69393,
  [SMALL_STATE(2061)] = 69412,
  [SMALL_STATE(2062)] = 69431,
  [SMALL_STATE(2063)] = 69446,
  [SMALL_STATE(2064)] = 69461,
  [SMALL_STATE(2065)] = 69478,
  [SMALL_STATE(2066)] = 69495,
  [SMALL_STATE(2067)] = 69514,
  [SMALL_STATE(2068)] = 69531,
  [SMALL_STATE(2069)] = 69548,
  [SMALL_STATE(2070)] = 69567,
  [SMALL_STATE(2071)] = 69584,
  [SMALL_STATE(2072)] = 69601,
  [SMALL_STATE(2073)] = 69620,
  [SMALL_STATE(2074)] = 69639,
  [SMALL_STATE(2075)] = 69656,
  [SMALL_STATE(2076)] = 69675,
  [SMALL_STATE(2077)] = 69692,
  [SMALL_STATE(2078)] = 69711,
  [SMALL_STATE(2079)] = 69728,
  [SMALL_STATE(2080)] = 69745,
  [SMALL_STATE(2081)] = 69762,
  [SMALL_STATE(2082)] = 69777,
  [SMALL_STATE(2083)] = 69794,
  [SMALL_STATE(2084)] = 69813,
  [SMALL_STATE(2085)] = 69828,
  [SMALL_STATE(2086)] = 69845,
  [SMALL_STATE(2087)] = 69862,
  [SMALL_STATE(2088)] = 69877,
  [SMALL_STATE(2089)] = 69894,
  [SMALL_STATE(2090)] = 69913,
  [SMALL_STATE(2091)] = 69932,
  [SMALL_STATE(2092)] = 69949,
  [SMALL_STATE(2093)] = 69968,
  [SMALL_STATE(2094)] = 69987,
  [SMALL_STATE(2095)] = 70004,
  [SMALL_STATE(2096)] = 70023,
  [SMALL_STATE(2097)] = 70042,
  [SMALL_STATE(2098)] = 70057,
  [SMALL_STATE(2099)] = 70072,
  [SMALL_STATE(2100)] = 70089,
  [SMALL_STATE(2101)] = 70104,
  [SMALL_STATE(2102)] = 70123,
  [SMALL_STATE(2103)] = 70138,
  [SMALL_STATE(2104)] = 70157,
  [SMALL_STATE(2105)] = 70176,
  [SMALL_STATE(2106)] = 70193,
  [SMALL_STATE(2107)] = 70210,
  [SMALL_STATE(2108)] = 70225,
  [SMALL_STATE(2109)] = 70242,
  [SMALL_STATE(2110)] = 70259,
  [SMALL_STATE(2111)] = 70274,
  [SMALL_STATE(2112)] = 70291,
  [SMALL_STATE(2113)] = 70310,
  [SMALL_STATE(2114)] = 70325,
  [SMALL_STATE(2115)] = 70342,
  [SMALL_STATE(2116)] = 70361,
  [SMALL_STATE(2117)] = 70378,
  [SMALL_STATE(2118)] = 70395,
  [SMALL_STATE(2119)] = 70414,
  [SMALL_STATE(2120)] = 70433,
  [SMALL_STATE(2121)] = 70452,
  [SMALL_STATE(2122)] = 70471,
  [SMALL_STATE(2123)] = 70490,
  [SMALL_STATE(2124)] = 70507,
  [SMALL_STATE(2125)] = 70524,
  [SMALL_STATE(2126)] = 70541,
  [SMALL_STATE(2127)] = 70556,
  [SMALL_STATE(2128)] = 70573,
  [SMALL_STATE(2129)] = 70590,
  [SMALL_STATE(2130)] = 70609,
  [SMALL_STATE(2131)] = 70624,
  [SMALL_STATE(2132)] = 70643,
  [SMALL_STATE(2133)] = 70658,
  [SMALL_STATE(2134)] = 70675,
  [SMALL_STATE(2135)] = 70694,
  [SMALL_STATE(2136)] = 70713,
  [SMALL_STATE(2137)] = 70730,
  [SMALL_STATE(2138)] = 70747,
  [SMALL_STATE(2139)] = 70764,
  [SMALL_STATE(2140)] = 70783,
  [SMALL_STATE(2141)] = 70802,
  [SMALL_STATE(2142)] = 70821,
  [SMALL_STATE(2143)] = 70840,
  [SMALL_STATE(2144)] = 70857,
  [SMALL_STATE(2145)] = 70872,
  [SMALL_STATE(2146)] = 70887,
  [SMALL_STATE(2147)] = 70906,
  [SMALL_STATE(2148)] = 70925,
  [SMALL_STATE(2149)] = 70944,
  [SMALL_STATE(2150)] = 70963,
  [SMALL_STATE(2151)] = 70982,
  [SMALL_STATE(2152)] = 70999,
  [SMALL_STATE(2153)] = 71016,
  [SMALL_STATE(2154)] = 71033,
  [SMALL_STATE(2155)] = 71050,
  [SMALL_STATE(2156)] = 71067,
  [SMALL_STATE(2157)] = 71086,
  [SMALL_STATE(2158)] = 71103,
  [SMALL_STATE(2159)] = 71122,
  [SMALL_STATE(2160)] = 71141,
  [SMALL_STATE(2161)] = 71160,
  [SMALL_STATE(2162)] = 71179,
  [SMALL_STATE(2163)] = 71198,
  [SMALL_STATE(2164)] = 71217,
  [SMALL_STATE(2165)] = 71234,
  [SMALL_STATE(2166)] = 71251,
  [SMALL_STATE(2167)] = 71266,
  [SMALL_STATE(2168)] = 71285,
  [SMALL_STATE(2169)] = 71300,
  [SMALL_STATE(2170)] = 71319,
  [SMALL_STATE(2171)] = 71335,
  [SMALL_STATE(2172)] = 71349,
  [SMALL_STATE(2173)] = 71365,
  [SMALL_STATE(2174)] = 71379,
  [SMALL_STATE(2175)] = 71395,
  [SMALL_STATE(2176)] = 71411,
  [SMALL_STATE(2177)] = 71427,
  [SMALL_STATE(2178)] = 71443,
  [SMALL_STATE(2179)] = 71459,
  [SMALL_STATE(2180)] = 71475,
  [SMALL_STATE(2181)] = 71491,
  [SMALL_STATE(2182)] = 71507,
  [SMALL_STATE(2183)] = 71523,
  [SMALL_STATE(2184)] = 71539,
  [SMALL_STATE(2185)] = 71553,
  [SMALL_STATE(2186)] = 71567,
  [SMALL_STATE(2187)] = 71581,
  [SMALL_STATE(2188)] = 71595,
  [SMALL_STATE(2189)] = 71609,
  [SMALL_STATE(2190)] = 71623,
  [SMALL_STATE(2191)] = 71639,
  [SMALL_STATE(2192)] = 71653,
  [SMALL_STATE(2193)] = 71669,
  [SMALL_STATE(2194)] = 71683,
  [SMALL_STATE(2195)] = 71697,
  [SMALL_STATE(2196)] = 71713,
  [SMALL_STATE(2197)] = 71729,
  [SMALL_STATE(2198)] = 71745,
  [SMALL_STATE(2199)] = 71761,
  [SMALL_STATE(2200)] = 71777,
  [SMALL_STATE(2201)] = 71793,
  [SMALL_STATE(2202)] = 71809,
  [SMALL_STATE(2203)] = 71825,
  [SMALL_STATE(2204)] = 71841,
  [SMALL_STATE(2205)] = 71857,
  [SMALL_STATE(2206)] = 71873,
  [SMALL_STATE(2207)] = 71889,
  [SMALL_STATE(2208)] = 71903,
  [SMALL_STATE(2209)] = 71919,
  [SMALL_STATE(2210)] = 71933,
  [SMALL_STATE(2211)] = 71947,
  [SMALL_STATE(2212)] = 71963,
  [SMALL_STATE(2213)] = 71979,
  [SMALL_STATE(2214)] = 71995,
  [SMALL_STATE(2215)] = 72011,
  [SMALL_STATE(2216)] = 72027,
  [SMALL_STATE(2217)] = 72043,
  [SMALL_STATE(2218)] = 72059,
  [SMALL_STATE(2219)] = 72075,
  [SMALL_STATE(2220)] = 72091,
  [SMALL_STATE(2221)] = 72107,
  [SMALL_STATE(2222)] = 72123,
  [SMALL_STATE(2223)] = 72139,
  [SMALL_STATE(2224)] = 72155,
  [SMALL_STATE(2225)] = 72171,
  [SMALL_STATE(2226)] = 72185,
  [SMALL_STATE(2227)] = 72201,
  [SMALL_STATE(2228)] = 72215,
  [SMALL_STATE(2229)] = 72231,
  [SMALL_STATE(2230)] = 72245,
  [SMALL_STATE(2231)] = 72261,
  [SMALL_STATE(2232)] = 72275,
  [SMALL_STATE(2233)] = 72291,
  [SMALL_STATE(2234)] = 72305,
  [SMALL_STATE(2235)] = 72321,
  [SMALL_STATE(2236)] = 72337,
  [SMALL_STATE(2237)] = 72353,
  [SMALL_STATE(2238)] = 72367,
  [SMALL_STATE(2239)] = 72383,
  [SMALL_STATE(2240)] = 72397,
  [SMALL_STATE(2241)] = 72413,
  [SMALL_STATE(2242)] = 72429,
  [SMALL_STATE(2243)] = 72443,
  [SMALL_STATE(2244)] = 72459,
  [SMALL_STATE(2245)] = 72475,
  [SMALL_STATE(2246)] = 72491,
  [SMALL_STATE(2247)] = 72507,
  [SMALL_STATE(2248)] = 72523,
  [SMALL_STATE(2249)] = 72539,
  [SMALL_STATE(2250)] = 72555,
  [SMALL_STATE(2251)] = 72571,
  [SMALL_STATE(2252)] = 72587,
  [SMALL_STATE(2253)] = 72603,
  [SMALL_STATE(2254)] = 72617,
  [SMALL_STATE(2255)] = 72633,
  [SMALL_STATE(2256)] = 72647,
  [SMALL_STATE(2257)] = 72663,
  [SMALL_STATE(2258)] = 72677,
  [SMALL_STATE(2259)] = 72691,
  [SMALL_STATE(2260)] = 72705,
  [SMALL_STATE(2261)] = 72721,
  [SMALL_STATE(2262)] = 72735,
  [SMALL_STATE(2263)] = 72751,
  [SMALL_STATE(2264)] = 72767,
  [SMALL_STATE(2265)] = 72783,
  [SMALL_STATE(2266)] = 72799,
  [SMALL_STATE(2267)] = 72815,
  [SMALL_STATE(2268)] = 72831,
  [SMALL_STATE(2269)] = 72847,
  [SMALL_STATE(2270)] = 72863,
  [SMALL_STATE(2271)] = 72879,
  [SMALL_STATE(2272)] = 72893,
  [SMALL_STATE(2273)] = 72909,
  [SMALL_STATE(2274)] = 72925,
  [SMALL_STATE(2275)] = 72939,
  [SMALL_STATE(2276)] = 72955,
  [SMALL_STATE(2277)] = 72969,
  [SMALL_STATE(2278)] = 72985,
  [SMALL_STATE(2279)] = 73001,
  [SMALL_STATE(2280)] = 73017,
  [SMALL_STATE(2281)] = 73033,
  [SMALL_STATE(2282)] = 73049,
  [SMALL_STATE(2283)] = 73065,
  [SMALL_STATE(2284)] = 73081,
  [SMALL_STATE(2285)] = 73097,
  [SMALL_STATE(2286)] = 73111,
  [SMALL_STATE(2287)] = 73127,
  [SMALL_STATE(2288)] = 73143,
  [SMALL_STATE(2289)] = 73159,
  [SMALL_STATE(2290)] = 73175,
  [SMALL_STATE(2291)] = 73191,
  [SMALL_STATE(2292)] = 73207,
  [SMALL_STATE(2293)] = 73221,
  [SMALL_STATE(2294)] = 73235,
  [SMALL_STATE(2295)] = 73251,
  [SMALL_STATE(2296)] = 73267,
  [SMALL_STATE(2297)] = 73283,
  [SMALL_STATE(2298)] = 73299,
  [SMALL_STATE(2299)] = 73313,
  [SMALL_STATE(2300)] = 73327,
  [SMALL_STATE(2301)] = 73341,
  [SMALL_STATE(2302)] = 73357,
  [SMALL_STATE(2303)] = 73373,
  [SMALL_STATE(2304)] = 73389,
  [SMALL_STATE(2305)] = 73405,
  [SMALL_STATE(2306)] = 73421,
  [SMALL_STATE(2307)] = 73435,
  [SMALL_STATE(2308)] = 73449,
  [SMALL_STATE(2309)] = 73465,
  [SMALL_STATE(2310)] = 73479,
  [SMALL_STATE(2311)] = 73495,
  [SMALL_STATE(2312)] = 73511,
  [SMALL_STATE(2313)] = 73525,
  [SMALL_STATE(2314)] = 73539,
  [SMALL_STATE(2315)] = 73553,
  [SMALL_STATE(2316)] = 73567,
  [SMALL_STATE(2317)] = 73583,
  [SMALL_STATE(2318)] = 73597,
  [SMALL_STATE(2319)] = 73613,
  [SMALL_STATE(2320)] = 73627,
  [SMALL_STATE(2321)] = 73641,
  [SMALL_STATE(2322)] = 73655,
  [SMALL_STATE(2323)] = 73669,
  [SMALL_STATE(2324)] = 73685,
  [SMALL_STATE(2325)] = 73699,
  [SMALL_STATE(2326)] = 73715,
  [SMALL_STATE(2327)] = 73729,
  [SMALL_STATE(2328)] = 73745,
  [SMALL_STATE(2329)] = 73761,
  [SMALL_STATE(2330)] = 73775,
  [SMALL_STATE(2331)] = 73789,
  [SMALL_STATE(2332)] = 73805,
  [SMALL_STATE(2333)] = 73819,
  [SMALL_STATE(2334)] = 73833,
  [SMALL_STATE(2335)] = 73849,
  [SMALL_STATE(2336)] = 73863,
  [SMALL_STATE(2337)] = 73879,
  [SMALL_STATE(2338)] = 73895,
  [SMALL_STATE(2339)] = 73911,
  [SMALL_STATE(2340)] = 73927,
  [SMALL_STATE(2341)] = 73941,
  [SMALL_STATE(2342)] = 73955,
  [SMALL_STATE(2343)] = 73969,
  [SMALL_STATE(2344)] = 73983,
  [SMALL_STATE(2345)] = 73999,
  [SMALL_STATE(2346)] = 74013,
  [SMALL_STATE(2347)] = 74027,
  [SMALL_STATE(2348)] = 74041,
  [SMALL_STATE(2349)] = 74055,
  [SMALL_STATE(2350)] = 74069,
  [SMALL_STATE(2351)] = 74083,
  [SMALL_STATE(2352)] = 74097,
  [SMALL_STATE(2353)] = 74111,
  [SMALL_STATE(2354)] = 74125,
  [SMALL_STATE(2355)] = 74141,
  [SMALL_STATE(2356)] = 74155,
  [SMALL_STATE(2357)] = 74171,
  [SMALL_STATE(2358)] = 74187,
  [SMALL_STATE(2359)] = 74203,
  [SMALL_STATE(2360)] = 74219,
  [SMALL_STATE(2361)] = 74235,
  [SMALL_STATE(2362)] = 74249,
  [SMALL_STATE(2363)] = 74263,
  [SMALL_STATE(2364)] = 74279,
  [SMALL_STATE(2365)] = 74293,
  [SMALL_STATE(2366)] = 74307,
  [SMALL_STATE(2367)] = 74323,
  [SMALL_STATE(2368)] = 74337,
  [SMALL_STATE(2369)] = 74353,
  [SMALL_STATE(2370)] = 74369,
  [SMALL_STATE(2371)] = 74383,
  [SMALL_STATE(2372)] = 74399,
  [SMALL_STATE(2373)] = 74413,
  [SMALL_STATE(2374)] = 74429,
  [SMALL_STATE(2375)] = 74443,
  [SMALL_STATE(2376)] = 74457,
  [SMALL_STATE(2377)] = 74473,
  [SMALL_STATE(2378)] = 74487,
  [SMALL_STATE(2379)] = 74503,
  [SMALL_STATE(2380)] = 74517,
  [SMALL_STATE(2381)] = 74531,
  [SMALL_STATE(2382)] = 74545,
  [SMALL_STATE(2383)] = 74559,
  [SMALL_STATE(2384)] = 74573,
  [SMALL_STATE(2385)] = 74589,
  [SMALL_STATE(2386)] = 74605,
  [SMALL_STATE(2387)] = 74621,
  [SMALL_STATE(2388)] = 74637,
  [SMALL_STATE(2389)] = 74651,
  [SMALL_STATE(2390)] = 74667,
  [SMALL_STATE(2391)] = 74683,
  [SMALL_STATE(2392)] = 74699,
  [SMALL_STATE(2393)] = 74713,
  [SMALL_STATE(2394)] = 74729,
  [SMALL_STATE(2395)] = 74745,
  [SMALL_STATE(2396)] = 74759,
  [SMALL_STATE(2397)] = 74773,
  [SMALL_STATE(2398)] = 74789,
  [SMALL_STATE(2399)] = 74805,
  [SMALL_STATE(2400)] = 74819,
  [SMALL_STATE(2401)] = 74833,
  [SMALL_STATE(2402)] = 74847,
  [SMALL_STATE(2403)] = 74863,
  [SMALL_STATE(2404)] = 74879,
  [SMALL_STATE(2405)] = 74893,
  [SMALL_STATE(2406)] = 74909,
  [SMALL_STATE(2407)] = 74925,
  [SMALL_STATE(2408)] = 74941,
  [SMALL_STATE(2409)] = 74955,
  [SMALL_STATE(2410)] = 74971,
  [SMALL_STATE(2411)] = 74987,
  [SMALL_STATE(2412)] = 75001,
  [SMALL_STATE(2413)] = 75017,
  [SMALL_STATE(2414)] = 75031,
  [SMALL_STATE(2415)] = 75045,
  [SMALL_STATE(2416)] = 75059,
  [SMALL_STATE(2417)] = 75075,
  [SMALL_STATE(2418)] = 75091,
  [SMALL_STATE(2419)] = 75105,
  [SMALL_STATE(2420)] = 75121,
  [SMALL_STATE(2421)] = 75135,
  [SMALL_STATE(2422)] = 75151,
  [SMALL_STATE(2423)] = 75167,
  [SMALL_STATE(2424)] = 75183,
  [SMALL_STATE(2425)] = 75199,
  [SMALL_STATE(2426)] = 75215,
  [SMALL_STATE(2427)] = 75231,
  [SMALL_STATE(2428)] = 75247,
  [SMALL_STATE(2429)] = 75263,
  [SMALL_STATE(2430)] = 75279,
  [SMALL_STATE(2431)] = 75295,
  [SMALL_STATE(2432)] = 75311,
  [SMALL_STATE(2433)] = 75325,
  [SMALL_STATE(2434)] = 75341,
  [SMALL_STATE(2435)] = 75355,
  [SMALL_STATE(2436)] = 75369,
  [SMALL_STATE(2437)] = 75385,
  [SMALL_STATE(2438)] = 75399,
  [SMALL_STATE(2439)] = 75415,
  [SMALL_STATE(2440)] = 75428,
  [SMALL_STATE(2441)] = 75441,
  [SMALL_STATE(2442)] = 75454,
  [SMALL_STATE(2443)] = 75467,
  [SMALL_STATE(2444)] = 75480,
  [SMALL_STATE(2445)] = 75493,
  [SMALL_STATE(2446)] = 75506,
  [SMALL_STATE(2447)] = 75519,
  [SMALL_STATE(2448)] = 75532,
  [SMALL_STATE(2449)] = 75545,
  [SMALL_STATE(2450)] = 75558,
  [SMALL_STATE(2451)] = 75571,
  [SMALL_STATE(2452)] = 75584,
  [SMALL_STATE(2453)] = 75597,
  [SMALL_STATE(2454)] = 75610,
  [SMALL_STATE(2455)] = 75623,
  [SMALL_STATE(2456)] = 75636,
  [SMALL_STATE(2457)] = 75649,
  [SMALL_STATE(2458)] = 75662,
  [SMALL_STATE(2459)] = 75675,
  [SMALL_STATE(2460)] = 75688,
  [SMALL_STATE(2461)] = 75701,
  [SMALL_STATE(2462)] = 75714,
  [SMALL_STATE(2463)] = 75727,
  [SMALL_STATE(2464)] = 75740,
  [SMALL_STATE(2465)] = 75753,
  [SMALL_STATE(2466)] = 75766,
  [SMALL_STATE(2467)] = 75779,
  [SMALL_STATE(2468)] = 75792,
  [SMALL_STATE(2469)] = 75805,
  [SMALL_STATE(2470)] = 75818,
  [SMALL_STATE(2471)] = 75831,
  [SMALL_STATE(2472)] = 75844,
  [SMALL_STATE(2473)] = 75857,
  [SMALL_STATE(2474)] = 75870,
  [SMALL_STATE(2475)] = 75883,
  [SMALL_STATE(2476)] = 75896,
  [SMALL_STATE(2477)] = 75909,
  [SMALL_STATE(2478)] = 75922,
  [SMALL_STATE(2479)] = 75935,
  [SMALL_STATE(2480)] = 75948,
  [SMALL_STATE(2481)] = 75961,
  [SMALL_STATE(2482)] = 75974,
  [SMALL_STATE(2483)] = 75987,
  [SMALL_STATE(2484)] = 76000,
  [SMALL_STATE(2485)] = 76013,
  [SMALL_STATE(2486)] = 76026,
  [SMALL_STATE(2487)] = 76039,
  [SMALL_STATE(2488)] = 76052,
  [SMALL_STATE(2489)] = 76065,
  [SMALL_STATE(2490)] = 76078,
  [SMALL_STATE(2491)] = 76091,
  [SMALL_STATE(2492)] = 76104,
  [SMALL_STATE(2493)] = 76117,
  [SMALL_STATE(2494)] = 76130,
  [SMALL_STATE(2495)] = 76143,
  [SMALL_STATE(2496)] = 76156,
  [SMALL_STATE(2497)] = 76169,
  [SMALL_STATE(2498)] = 76182,
  [SMALL_STATE(2499)] = 76195,
  [SMALL_STATE(2500)] = 76208,
  [SMALL_STATE(2501)] = 76221,
  [SMALL_STATE(2502)] = 76234,
  [SMALL_STATE(2503)] = 76247,
  [SMALL_STATE(2504)] = 76260,
  [SMALL_STATE(2505)] = 76273,
  [SMALL_STATE(2506)] = 76286,
  [SMALL_STATE(2507)] = 76299,
  [SMALL_STATE(2508)] = 76312,
  [SMALL_STATE(2509)] = 76325,
  [SMALL_STATE(2510)] = 76338,
  [SMALL_STATE(2511)] = 76351,
  [SMALL_STATE(2512)] = 76364,
  [SMALL_STATE(2513)] = 76377,
  [SMALL_STATE(2514)] = 76390,
  [SMALL_STATE(2515)] = 76403,
  [SMALL_STATE(2516)] = 76416,
  [SMALL_STATE(2517)] = 76429,
  [SMALL_STATE(2518)] = 76442,
  [SMALL_STATE(2519)] = 76455,
  [SMALL_STATE(2520)] = 76468,
  [SMALL_STATE(2521)] = 76481,
  [SMALL_STATE(2522)] = 76494,
  [SMALL_STATE(2523)] = 76507,
  [SMALL_STATE(2524)] = 76520,
  [SMALL_STATE(2525)] = 76533,
  [SMALL_STATE(2526)] = 76546,
  [SMALL_STATE(2527)] = 76559,
  [SMALL_STATE(2528)] = 76572,
  [SMALL_STATE(2529)] = 76585,
  [SMALL_STATE(2530)] = 76598,
  [SMALL_STATE(2531)] = 76611,
  [SMALL_STATE(2532)] = 76624,
  [SMALL_STATE(2533)] = 76637,
  [SMALL_STATE(2534)] = 76650,
  [SMALL_STATE(2535)] = 76663,
  [SMALL_STATE(2536)] = 76676,
  [SMALL_STATE(2537)] = 76689,
  [SMALL_STATE(2538)] = 76702,
  [SMALL_STATE(2539)] = 76715,
  [SMALL_STATE(2540)] = 76728,
  [SMALL_STATE(2541)] = 76741,
  [SMALL_STATE(2542)] = 76754,
  [SMALL_STATE(2543)] = 76767,
  [SMALL_STATE(2544)] = 76780,
  [SMALL_STATE(2545)] = 76793,
  [SMALL_STATE(2546)] = 76806,
  [SMALL_STATE(2547)] = 76819,
  [SMALL_STATE(2548)] = 76832,
  [SMALL_STATE(2549)] = 76845,
  [SMALL_STATE(2550)] = 76858,
  [SMALL_STATE(2551)] = 76871,
  [SMALL_STATE(2552)] = 76884,
  [SMALL_STATE(2553)] = 76897,
  [SMALL_STATE(2554)] = 76910,
  [SMALL_STATE(2555)] = 76923,
  [SMALL_STATE(2556)] = 76936,
  [SMALL_STATE(2557)] = 76949,
  [SMALL_STATE(2558)] = 76962,
  [SMALL_STATE(2559)] = 76975,
  [SMALL_STATE(2560)] = 76988,
  [SMALL_STATE(2561)] = 77001,
  [SMALL_STATE(2562)] = 77014,
  [SMALL_STATE(2563)] = 77027,
  [SMALL_STATE(2564)] = 77040,
  [SMALL_STATE(2565)] = 77053,
  [SMALL_STATE(2566)] = 77066,
  [SMALL_STATE(2567)] = 77079,
  [SMALL_STATE(2568)] = 77092,
  [SMALL_STATE(2569)] = 77105,
  [SMALL_STATE(2570)] = 77118,
  [SMALL_STATE(2571)] = 77131,
  [SMALL_STATE(2572)] = 77144,
  [SMALL_STATE(2573)] = 77157,
  [SMALL_STATE(2574)] = 77170,
  [SMALL_STATE(2575)] = 77183,
  [SMALL_STATE(2576)] = 77196,
  [SMALL_STATE(2577)] = 77209,
  [SMALL_STATE(2578)] = 77222,
  [SMALL_STATE(2579)] = 77235,
  [SMALL_STATE(2580)] = 77248,
  [SMALL_STATE(2581)] = 77261,
  [SMALL_STATE(2582)] = 77274,
  [SMALL_STATE(2583)] = 77287,
  [SMALL_STATE(2584)] = 77300,
  [SMALL_STATE(2585)] = 77313,
  [SMALL_STATE(2586)] = 77326,
  [SMALL_STATE(2587)] = 77339,
  [SMALL_STATE(2588)] = 77352,
  [SMALL_STATE(2589)] = 77365,
  [SMALL_STATE(2590)] = 77378,
  [SMALL_STATE(2591)] = 77391,
  [SMALL_STATE(2592)] = 77404,
  [SMALL_STATE(2593)] = 77417,
  [SMALL_STATE(2594)] = 77430,
  [SMALL_STATE(2595)] = 77443,
  [SMALL_STATE(2596)] = 77456,
  [SMALL_STATE(2597)] = 77469,
  [SMALL_STATE(2598)] = 77482,
  [SMALL_STATE(2599)] = 77495,
  [SMALL_STATE(2600)] = 77508,
  [SMALL_STATE(2601)] = 77521,
  [SMALL_STATE(2602)] = 77534,
  [SMALL_STATE(2603)] = 77547,
  [SMALL_STATE(2604)] = 77560,
  [SMALL_STATE(2605)] = 77573,
  [SMALL_STATE(2606)] = 77586,
  [SMALL_STATE(2607)] = 77599,
  [SMALL_STATE(2608)] = 77612,
  [SMALL_STATE(2609)] = 77625,
  [SMALL_STATE(2610)] = 77638,
  [SMALL_STATE(2611)] = 77651,
  [SMALL_STATE(2612)] = 77664,
  [SMALL_STATE(2613)] = 77677,
  [SMALL_STATE(2614)] = 77690,
  [SMALL_STATE(2615)] = 77703,
  [SMALL_STATE(2616)] = 77716,
  [SMALL_STATE(2617)] = 77729,
  [SMALL_STATE(2618)] = 77742,
  [SMALL_STATE(2619)] = 77755,
  [SMALL_STATE(2620)] = 77768,
  [SMALL_STATE(2621)] = 77781,
  [SMALL_STATE(2622)] = 77794,
  [SMALL_STATE(2623)] = 77807,
  [SMALL_STATE(2624)] = 77820,
  [SMALL_STATE(2625)] = 77833,
  [SMALL_STATE(2626)] = 77846,
  [SMALL_STATE(2627)] = 77859,
  [SMALL_STATE(2628)] = 77872,
  [SMALL_STATE(2629)] = 77885,
  [SMALL_STATE(2630)] = 77898,
  [SMALL_STATE(2631)] = 77911,
  [SMALL_STATE(2632)] = 77924,
  [SMALL_STATE(2633)] = 77937,
  [SMALL_STATE(2634)] = 77950,
  [SMALL_STATE(2635)] = 77963,
  [SMALL_STATE(2636)] = 77976,
  [SMALL_STATE(2637)] = 77989,
  [SMALL_STATE(2638)] = 78002,
  [SMALL_STATE(2639)] = 78015,
  [SMALL_STATE(2640)] = 78028,
  [SMALL_STATE(2641)] = 78041,
  [SMALL_STATE(2642)] = 78054,
  [SMALL_STATE(2643)] = 78067,
  [SMALL_STATE(2644)] = 78080,
  [SMALL_STATE(2645)] = 78084,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(560),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1350),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2153),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1741),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1415),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1481),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1153),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2175),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2635),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2634),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2631),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2629),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [78] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [81] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(91),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2626),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2111),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2625),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2543),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1137),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2176),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2617),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2178),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(77),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2614),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2611),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2180),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2181),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2182),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(566),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(673),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(819),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2607),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(756),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1069),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1128),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1436),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 130),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 130),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 130),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 130),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2632),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2260),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2641),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2602),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2246),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(872),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(722),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 3),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 3),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2525),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2286),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2369),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(79),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2369),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(79),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 88),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 88),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 88), SHIFT_REPEAT(2369),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 179),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 179),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 162),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 162),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 108),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 108),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 103),
  [1076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 103),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 85),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 85),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 172),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 172),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 62),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 62),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 144),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 144),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 66),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 66),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 144),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 144),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 168),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 168),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 163),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 163),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 62),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 62),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 87),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 87),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 84),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 84),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 163),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 163),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 109),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 109),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 103),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 103),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 66),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 66),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 172),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 172),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 127),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 127),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 86),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 86),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 150),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 150),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 110),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 110),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 109),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 109),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 108),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 108),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 62),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 62),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 103),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 103),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 143),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 143),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 85),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 85),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 87),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 87),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, 0, 99),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, 0, 99),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 99),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 99),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, 0, 138),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, 0, 138),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 59),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 59),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 60),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 60),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 60),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 60),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, 0, 139),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, 0, 139),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 139),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 139),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2566),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 98),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 98),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [1776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1456),
  [1779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(756),
  [1782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2024),
  [1785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2175),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [1793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2570),
  [1796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [1799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1393),
  [1802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [1805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1957),
  [1808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 50),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 50),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 133),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 133),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 90),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 90),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 134),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 134),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 89),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 89),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 164),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 164),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 165),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 165),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 19),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 19),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 91),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 91),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 51),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 51),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 54),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 54),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 137),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 137),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 61),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 61),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 78),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 78),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 79),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 79),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 180),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 180),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 171),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 171),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 170),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 170),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 169),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 169),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 167),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 167),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 166),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 166),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 93),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 93),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 94),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 94),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 95),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 95),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 100),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 100),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 101),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 101),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 102),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 102),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 122),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 122),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 135),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 135),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 136),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 136),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1436),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 21),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 97),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 97),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 57),
  [2276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 57),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 58),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 22),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 28),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2, 0, 0),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 52),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 173),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 174),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 175),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 176),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 92),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 53),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 111),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 113),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 115),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 121),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [2563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1455),
  [2566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1537),
  [2569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1153),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [2577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [2586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [2589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1436),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 181),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 128),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 129),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 154),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 153),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 152),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 76),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [2763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1455),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1537),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2485),
  [2774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [2777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [2780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [2786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1328),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1436),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1424),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [2882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1551),
  [2885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1551),
  [2888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1424),
  [2891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 160),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 124),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 125),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 126),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 27),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(250),
  [2917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1551),
  [2920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1551),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1714),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 161),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 82),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 9),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 39),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 81),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 83),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(260),
  [2977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1593),
  [2980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1593),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1676),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 182),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 177),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 178),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 159),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 39),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 123),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 177),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 159),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 11),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 40),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 72),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(231),
  [3045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1640),
  [3048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1640),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1739),
  [3056] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3063] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [3138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [3141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2620),
  [3354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2275),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [3377] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1346),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(316),
  [3394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2392),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [3445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2256),
  [3448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(83),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [3465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2256),
  [3470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(83),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 13),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1882),
  [3546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1882),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2507),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2507),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 88),
  [3629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 88), SHIFT_REPEAT(2373),
  [3632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 88),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [3648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [3651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1807),
  [3654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1807),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 34),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1343),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [3706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [3709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1458),
  [3712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 0),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2507),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [3773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 88), SHIFT_REPEAT(2256),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [3778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1538),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2126),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2147),
  [3860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [3886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 2),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1346),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1589),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [3935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2, 0, 0),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1, 0, 0),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1437),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1929),
  [3996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1346),
  [3999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [4010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3, 0, 0),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 6),
  [4048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 4),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 0),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 2),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 15),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(148),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 77),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 36),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 33),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 26),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2, 0, 0),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 29),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 30),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 31),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 32),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1438),
  [4192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 132),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 48),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 49),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 49),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1793),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 155),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1693),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0),
  [4266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 55),
  [4268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 63),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [4278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 68),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 69),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(729),
  [4289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [4293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 71),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 73),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [4303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 132),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 74),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 75),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(390),
  [4326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [4329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2, 0, 0),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 120),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 118),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 112),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [4380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 106),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [4391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 49),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1, 0, 0), SHIFT(2318),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0), SHIFT(2318),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2566),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 11),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 157),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3, 0, 0),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 131),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2, 0, 0),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 116),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 114),
  [4579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 72),
  [4612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 67),
  [4614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 70),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [4632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 56),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [4650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 3),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 96),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [4672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 104),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [4680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 148),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [4690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 42),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4, 0, 0),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 16),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4846] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [4938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
