#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2604
#define LARGE_STATE_COUNT 565
#define SYMBOL_COUNT 405
#define ALIAS_COUNT 0
#define TOKEN_COUNT 193
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 26
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 183

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  aux_sym_text_token1 = 4,
  anon_sym_SEMI = 5,
  anon_sym_AMP = 6,
  aux_sym_function_static_declaration_token1 = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  aux_sym_global_declaration_token1 = 10,
  aux_sym_namespace_definition_token1 = 11,
  aux_sym_namespace_use_declaration_token1 = 12,
  aux_sym_namespace_use_declaration_token2 = 13,
  aux_sym_namespace_use_declaration_token3 = 14,
  anon_sym_BSLASH = 15,
  aux_sym_namespace_aliasing_clause_token1 = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym_trait_declaration_token1 = 19,
  aux_sym_interface_declaration_token1 = 20,
  aux_sym_base_clause_token1 = 21,
  aux_sym_enum_declaration_token1 = 22,
  anon_sym_COLON = 23,
  anon_sym_string = 24,
  anon_sym_int = 25,
  aux_sym_enum_case_token1 = 26,
  aux_sym_class_declaration_token1 = 27,
  aux_sym_final_modifier_token1 = 28,
  aux_sym_abstract_modifier_token1 = 29,
  aux_sym_readonly_modifier_token1 = 30,
  aux_sym_class_interface_clause_token1 = 31,
  sym_var_modifier = 32,
  aux_sym_use_instead_of_clause_token1 = 33,
  aux_sym_visibility_modifier_token1 = 34,
  aux_sym_visibility_modifier_token2 = 35,
  aux_sym_visibility_modifier_token3 = 36,
  aux_sym__arrow_function_header_token1 = 37,
  anon_sym_EQ_GT = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  anon_sym_DOT_DOT_DOT = 41,
  anon_sym_QMARK = 42,
  sym_bottom_type = 43,
  anon_sym_PIPE = 44,
  anon_sym_array = 45,
  aux_sym_primitive_type_token1 = 46,
  anon_sym_iterable = 47,
  anon_sym_bool = 48,
  anon_sym_float = 49,
  anon_sym_void = 50,
  anon_sym_mixed = 51,
  anon_sym_false = 52,
  anon_sym_null = 53,
  anon_sym_true = 54,
  aux_sym_cast_type_token1 = 55,
  aux_sym_cast_type_token2 = 56,
  aux_sym_cast_type_token3 = 57,
  aux_sym_cast_type_token4 = 58,
  aux_sym_cast_type_token5 = 59,
  aux_sym_cast_type_token6 = 60,
  aux_sym_cast_type_token7 = 61,
  aux_sym_cast_type_token8 = 62,
  aux_sym_cast_type_token9 = 63,
  aux_sym_cast_type_token10 = 64,
  aux_sym_cast_type_token11 = 65,
  aux_sym_cast_type_token12 = 66,
  aux_sym_echo_statement_token1 = 67,
  aux_sym_exit_statement_token1 = 68,
  anon_sym_unset = 69,
  aux_sym_declare_statement_token1 = 70,
  aux_sym_declare_statement_token2 = 71,
  anon_sym_ticks = 72,
  anon_sym_encoding = 73,
  anon_sym_strict_types = 74,
  sym_float = 75,
  aux_sym_try_statement_token1 = 76,
  aux_sym_catch_clause_token1 = 77,
  aux_sym_finally_clause_token1 = 78,
  aux_sym_goto_statement_token1 = 79,
  aux_sym_continue_statement_token1 = 80,
  aux_sym_break_statement_token1 = 81,
  sym_integer = 82,
  aux_sym_return_statement_token1 = 83,
  aux_sym_throw_expression_token1 = 84,
  aux_sym_while_statement_token1 = 85,
  aux_sym_while_statement_token2 = 86,
  aux_sym_do_statement_token1 = 87,
  aux_sym_for_statement_token1 = 88,
  aux_sym_for_statement_token2 = 89,
  aux_sym_foreach_statement_token1 = 90,
  aux_sym_foreach_statement_token2 = 91,
  aux_sym_if_statement_token1 = 92,
  aux_sym_if_statement_token2 = 93,
  aux_sym_else_if_clause_token1 = 94,
  aux_sym_else_clause_token1 = 95,
  aux_sym_match_expression_token1 = 96,
  aux_sym_match_default_expression_token1 = 97,
  aux_sym_switch_statement_token1 = 98,
  aux_sym_switch_block_token1 = 99,
  anon_sym_PLUS = 100,
  anon_sym_DASH = 101,
  anon_sym_TILDE = 102,
  anon_sym_BANG = 103,
  anon_sym_AT = 104,
  aux_sym_clone_expression_token1 = 105,
  anon_sym_COLON_COLON = 106,
  aux_sym_print_intrinsic_token1 = 107,
  aux_sym_object_creation_expression_token1 = 108,
  anon_sym_DASH_DASH = 109,
  anon_sym_PLUS_PLUS = 110,
  anon_sym_STAR_STAR_EQ = 111,
  anon_sym_STAR_EQ = 112,
  anon_sym_SLASH_EQ = 113,
  anon_sym_PERCENT_EQ = 114,
  anon_sym_PLUS_EQ = 115,
  anon_sym_DASH_EQ = 116,
  anon_sym_DOT_EQ = 117,
  anon_sym_LT_LT_EQ = 118,
  anon_sym_GT_GT_EQ = 119,
  anon_sym_AMP_EQ = 120,
  anon_sym_CARET_EQ = 121,
  anon_sym_PIPE_EQ = 122,
  anon_sym_QMARK_QMARK_EQ = 123,
  anon_sym_DASH_GT = 124,
  anon_sym_QMARK_DASH_GT = 125,
  aux_sym__list_destructing_token1 = 126,
  anon_sym_LBRACK = 127,
  anon_sym_RBRACK = 128,
  anon_sym_self = 129,
  anon_sym_parent = 130,
  aux_sym__argument_name_token1 = 131,
  aux_sym__argument_name_token2 = 132,
  anon_sym_POUND_LBRACK = 133,
  sym_escape_sequence = 134,
  anon_sym_BSLASHu = 135,
  aux_sym_encapsed_string_token1 = 136,
  anon_sym_DQUOTE = 137,
  aux_sym_string_token1 = 138,
  anon_sym_SQUOTE = 139,
  aux_sym_string_token2 = 140,
  sym_string_content = 141,
  anon_sym_LT_LT_LT = 142,
  anon_sym_DQUOTE2 = 143,
  sym__new_line = 144,
  anon_sym_ = 145,
  anon_sym_SQUOTE2 = 146,
  anon_sym_BQUOTE = 147,
  anon_sym_DOLLAR = 148,
  aux_sym_yield_expression_token1 = 149,
  aux_sym_yield_expression_token2 = 150,
  aux_sym_binary_expression_token1 = 151,
  anon_sym_QMARK_QMARK = 152,
  anon_sym_STAR_STAR = 153,
  aux_sym_binary_expression_token2 = 154,
  aux_sym_binary_expression_token3 = 155,
  aux_sym_binary_expression_token4 = 156,
  anon_sym_PIPE_PIPE = 157,
  anon_sym_AMP_AMP = 158,
  anon_sym_CARET = 159,
  anon_sym_EQ_EQ = 160,
  anon_sym_BANG_EQ = 161,
  anon_sym_LT_GT = 162,
  anon_sym_EQ_EQ_EQ = 163,
  anon_sym_BANG_EQ_EQ = 164,
  anon_sym_LT = 165,
  anon_sym_GT = 166,
  anon_sym_LT_EQ = 167,
  anon_sym_GT_EQ = 168,
  anon_sym_LT_EQ_GT = 169,
  anon_sym_LT_LT = 170,
  anon_sym_GT_GT = 171,
  anon_sym_DOT = 172,
  anon_sym_STAR = 173,
  anon_sym_SLASH = 174,
  anon_sym_PERCENT = 175,
  aux_sym_include_expression_token1 = 176,
  aux_sym_include_once_expression_token1 = 177,
  aux_sym_require_expression_token1 = 178,
  aux_sym_require_once_expression_token1 = 179,
  sym_comment = 180,
  sym__automatic_semicolon = 181,
  sym_encapsed_string_chars = 182,
  sym_encapsed_string_chars_after_variable = 183,
  sym_execution_string_chars = 184,
  sym_execution_string_chars_after_variable = 185,
  sym_encapsed_string_chars_heredoc = 186,
  sym_encapsed_string_chars_after_variable_heredoc = 187,
  sym__eof = 188,
  sym_heredoc_start = 189,
  sym_heredoc_end = 190,
  sym_nowdoc_string = 191,
  sym_sentinel_error = 192,
  sym_program = 193,
  sym_statement = 194,
  sym_empty_statement = 195,
  sym_reference_modifier = 196,
  sym_function_static_declaration = 197,
  sym_static_variable_declaration = 198,
  sym_global_declaration = 199,
  sym_namespace_definition = 200,
  sym_namespace_use_declaration = 201,
  sym_namespace_use_clause = 202,
  sym_qualified_name = 203,
  sym_namespace_name_as_prefix = 204,
  sym_namespace_name = 205,
  sym_namespace_aliasing_clause = 206,
  sym_namespace_use_group = 207,
  sym_namespace_use_group_clause = 208,
  sym_trait_declaration = 209,
  sym_interface_declaration = 210,
  sym_base_clause = 211,
  sym_enum_declaration = 212,
  sym_enum_declaration_list = 213,
  sym__enum_member_declaration = 214,
  sym_enum_case = 215,
  sym_class_declaration = 216,
  sym_declaration_list = 217,
  sym_final_modifier = 218,
  sym_abstract_modifier = 219,
  sym_readonly_modifier = 220,
  sym_class_interface_clause = 221,
  sym__member_declaration = 222,
  sym_const_declaration = 223,
  sym__class_const_declaration = 224,
  sym__const_declaration = 225,
  sym_property_declaration = 226,
  sym__modifier = 227,
  sym_property_element = 228,
  sym_property_initializer = 229,
  sym_method_declaration = 230,
  sym_static_modifier = 231,
  sym_use_declaration = 232,
  sym_use_list = 233,
  sym_use_instead_of_clause = 234,
  sym_use_as_clause = 235,
  sym_visibility_modifier = 236,
  sym_function_definition = 237,
  sym__function_definition_header = 238,
  sym__arrow_function_header = 239,
  sym_arrow_function = 240,
  sym_formal_parameters = 241,
  sym_property_promotion_parameter = 242,
  sym_simple_parameter = 243,
  sym_variadic_parameter = 244,
  sym_type = 245,
  sym__types = 246,
  sym_named_type = 247,
  sym_optional_type = 248,
  sym_union_type = 249,
  sym_intersection_type = 250,
  sym_disjunctive_normal_form_type = 251,
  sym_primitive_type = 252,
  sym_cast_type = 253,
  sym__return_type = 254,
  sym_const_element = 255,
  sym_echo_statement = 256,
  sym_exit_statement = 257,
  sym_unset_statement = 258,
  sym_declare_statement = 259,
  sym_declare_directive = 260,
  sym_literal = 261,
  sym_try_statement = 262,
  sym_catch_clause = 263,
  sym_type_list = 264,
  sym_finally_clause = 265,
  sym_goto_statement = 266,
  sym_continue_statement = 267,
  sym_break_statement = 268,
  sym_return_statement = 269,
  sym_throw_expression = 270,
  sym_while_statement = 271,
  sym_do_statement = 272,
  sym_for_statement = 273,
  sym__expressions = 274,
  sym_sequence_expression = 275,
  sym_foreach_statement = 276,
  sym_foreach_pair = 277,
  sym_if_statement = 278,
  sym_colon_block = 279,
  sym_else_if_clause = 280,
  sym_else_clause = 281,
  sym_else_if_clause_2 = 282,
  sym_else_clause_2 = 283,
  sym_match_expression = 284,
  sym_match_block = 285,
  sym_match_condition_list = 286,
  sym_match_conditional_expression = 287,
  sym_match_default_expression = 288,
  sym_switch_statement = 289,
  sym_switch_block = 290,
  sym_case_statement = 291,
  sym_default_statement = 292,
  sym_compound_statement = 293,
  sym_named_label_statement = 294,
  sym_expression_statement = 295,
  sym_expression = 296,
  sym__unary_expression = 297,
  sym_unary_op_expression = 298,
  sym_error_suppression_expression = 299,
  sym_clone_expression = 300,
  sym_primary_expression = 301,
  sym_parenthesized_expression = 302,
  sym_class_constant_access_expression = 303,
  sym_print_intrinsic = 304,
  sym_anonymous_function_creation_expression = 305,
  sym_anonymous_function_use_clause = 306,
  sym_object_creation_expression = 307,
  sym_update_expression = 308,
  sym_cast_expression = 309,
  sym_cast_variable = 310,
  sym_assignment_expression = 311,
  sym_reference_assignment_expression = 312,
  sym_conditional_expression = 313,
  sym_augmented_assignment_expression = 314,
  sym_member_access_expression = 315,
  sym_nullsafe_member_access_expression = 316,
  sym_scoped_property_access_expression = 317,
  sym_list_literal = 318,
  sym__list_destructing = 319,
  sym__array_destructing = 320,
  sym__array_destructing_element = 321,
  sym_function_call_expression = 322,
  sym_scoped_call_expression = 323,
  sym__scope_resolution_qualifier = 324,
  sym_relative_scope = 325,
  sym_variadic_placeholder = 326,
  sym_arguments = 327,
  sym_argument = 328,
  sym__argument_name = 329,
  sym_member_call_expression = 330,
  sym_nullsafe_member_call_expression = 331,
  sym_variadic_unpacking = 332,
  sym_subscript_expression = 333,
  sym__dereferencable_expression = 334,
  sym_array_creation_expression = 335,
  sym_attribute_group = 336,
  sym_attribute_list = 337,
  sym_attribute = 338,
  sym__complex_string_part = 339,
  sym__simple_string_member_access_expression = 340,
  sym__simple_string_subscript_unary_expression = 341,
  sym__simple_string_array_access_argument = 342,
  sym__simple_string_subscript_expression = 343,
  sym__simple_string_part = 344,
  aux_sym__interpolated_string_body = 345,
  aux_sym__interpolated_string_body_heredoc = 346,
  sym_encapsed_string = 347,
  sym_string = 348,
  sym_heredoc_body = 349,
  sym_heredoc = 350,
  sym_nowdoc_body = 351,
  sym_nowdoc = 352,
  aux_sym__interpolated_execution_operator_body = 353,
  sym_shell_command_expression = 354,
  sym_boolean = 355,
  sym_null = 356,
  sym__string = 357,
  sym_dynamic_variable_name = 358,
  sym_variable_name = 359,
  sym_variable_reference = 360,
  sym_by_ref = 361,
  sym_yield_expression = 362,
  sym_array_element_initializer = 363,
  sym_binary_expression = 364,
  sym_include_expression = 365,
  sym_include_once_expression = 366,
  sym_require_expression = 367,
  sym_require_once_expression = 368,
  sym__reserved_identifier = 369,
  aux_sym_program_repeat1 = 370,
  aux_sym_function_static_declaration_repeat1 = 371,
  aux_sym_global_declaration_repeat1 = 372,
  aux_sym_namespace_use_declaration_repeat1 = 373,
  aux_sym_namespace_name_repeat1 = 374,
  aux_sym_namespace_use_group_repeat1 = 375,
  aux_sym_base_clause_repeat1 = 376,
  aux_sym_enum_declaration_list_repeat1 = 377,
  aux_sym_class_declaration_repeat1 = 378,
  aux_sym_declaration_list_repeat1 = 379,
  aux_sym__const_declaration_repeat1 = 380,
  aux_sym_property_declaration_repeat1 = 381,
  aux_sym_use_list_repeat1 = 382,
  aux_sym_formal_parameters_repeat1 = 383,
  aux_sym_union_type_repeat1 = 384,
  aux_sym_intersection_type_repeat1 = 385,
  aux_sym_disjunctive_normal_form_type_repeat1 = 386,
  aux_sym_unset_statement_repeat1 = 387,
  aux_sym_try_statement_repeat1 = 388,
  aux_sym_type_list_repeat1 = 389,
  aux_sym_if_statement_repeat1 = 390,
  aux_sym_if_statement_repeat2 = 391,
  aux_sym_match_block_repeat1 = 392,
  aux_sym_match_condition_list_repeat1 = 393,
  aux_sym_switch_block_repeat1 = 394,
  aux_sym_anonymous_function_use_clause_repeat1 = 395,
  aux_sym__list_destructing_repeat1 = 396,
  aux_sym__array_destructing_repeat1 = 397,
  aux_sym_arguments_repeat1 = 398,
  aux_sym_array_creation_expression_repeat1 = 399,
  aux_sym_attribute_group_repeat1 = 400,
  aux_sym_attribute_list_repeat1 = 401,
  aux_sym_string_repeat1 = 402,
  aux_sym_heredoc_body_repeat1 = 403,
  aux_sym_nowdoc_body_repeat1 = 404,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [sym_string_content] = "string_content",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_] = "nowdoc_string",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [sym_string_content] = sym_string_content,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_] = sym_nowdoc_string,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attributes = 4,
  field_body = 5,
  field_condition = 6,
  field_conditional_expressions = 7,
  field_default_value = 8,
  field_end_tag = 9,
  field_function = 10,
  field_identifier = 11,
  field_left = 12,
  field_name = 13,
  field_object = 14,
  field_operator = 15,
  field_parameters = 16,
  field_readonly = 17,
  field_reference_modifier = 18,
  field_return_expression = 19,
  field_return_type = 20,
  field_right = 21,
  field_scope = 22,
  field_static_modifier = 23,
  field_type = 24,
  field_value = 25,
  field_visibility = 26,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 4},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [18] = {.index = 27, .length = 2},
  [19] = {.index = 29, .length = 2},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 5},
  [22] = {.index = 37, .length = 3},
  [23] = {.index = 40, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 5},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 2},
  [35] = {.index = 68, .length = 3},
  [36] = {.index = 71, .length = 1},
  [37] = {.index = 72, .length = 3},
  [38] = {.index = 75, .length = 2},
  [39] = {.index = 77, .length = 1},
  [40] = {.index = 78, .length = 2},
  [41] = {.index = 80, .length = 2},
  [42] = {.index = 82, .length = 3},
  [43] = {.index = 85, .length = 2},
  [44] = {.index = 87, .length = 1},
  [45] = {.index = 88, .length = 3},
  [46] = {.index = 91, .length = 3},
  [47] = {.index = 94, .length = 1},
  [50] = {.index = 95, .length = 3},
  [51] = {.index = 1, .length = 1},
  [52] = {.index = 98, .length = 1},
  [53] = {.index = 99, .length = 1},
  [54] = {.index = 100, .length = 3},
  [55] = {.index = 103, .length = 2},
  [56] = {.index = 105, .length = 2},
  [57] = {.index = 107, .length = 2},
  [58] = {.index = 109, .length = 2},
  [59] = {.index = 111, .length = 3},
  [60] = {.index = 114, .length = 3},
  [61] = {.index = 117, .length = 3},
  [62] = {.index = 120, .length = 3},
  [63] = {.index = 123, .length = 3},
  [64] = {.index = 126, .length = 3},
  [65] = {.index = 129, .length = 2},
  [66] = {.index = 131, .length = 2},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 3},
  [69] = {.index = 138, .length = 3},
  [70] = {.index = 141, .length = 2},
  [71] = {.index = 143, .length = 3},
  [72] = {.index = 146, .length = 2},
  [73] = {.index = 148, .length = 3},
  [74] = {.index = 151, .length = 3},
  [75] = {.index = 154, .length = 3},
  [76] = {.index = 157, .length = 2},
  [77] = {.index = 159, .length = 3},
  [78] = {.index = 162, .length = 4},
  [79] = {.index = 166, .length = 3},
  [80] = {.index = 169, .length = 3},
  [81] = {.index = 172, .length = 1},
  [82] = {.index = 173, .length = 3},
  [83] = {.index = 176, .length = 2},
  [84] = {.index = 178, .length = 2},
  [85] = {.index = 178, .length = 2},
  [86] = {.index = 180, .length = 2},
  [87] = {.index = 182, .length = 4},
  [88] = {.index = 186, .length = 2},
  [89] = {.index = 188, .length = 3},
  [90] = {.index = 191, .length = 4},
  [91] = {.index = 195, .length = 2},
  [92] = {.index = 197, .length = 2},
  [93] = {.index = 199, .length = 4},
  [94] = {.index = 203, .length = 4},
  [95] = {.index = 207, .length = 3},
  [96] = {.index = 210, .length = 3},
  [97] = {.index = 213, .length = 3},
  [99] = {.index = 216, .length = 2},
  [100] = {.index = 218, .length = 4},
  [101] = {.index = 222, .length = 4},
  [102] = {.index = 226, .length = 3},
  [103] = {.index = 229, .length = 3},
  [104] = {.index = 232, .length = 4},
  [105] = {.index = 236, .length = 4},
  [106] = {.index = 240, .length = 3},
  [107] = {.index = 243, .length = 3},
  [108] = {.index = 246, .length = 3},
  [109] = {.index = 249, .length = 1},
  [110] = {.index = 250, .length = 2},
  [111] = {.index = 252, .length = 3},
  [112] = {.index = 255, .length = 4},
  [113] = {.index = 259, .length = 3},
  [114] = {.index = 262, .length = 3},
  [115] = {.index = 265, .length = 3},
  [116] = {.index = 268, .length = 3},
  [117] = {.index = 271, .length = 4},
  [118] = {.index = 275, .length = 4},
  [119] = {.index = 279, .length = 3},
  [120] = {.index = 282, .length = 4},
  [121] = {.index = 286, .length = 3},
  [122] = {.index = 289, .length = 4},
  [123] = {.index = 293, .length = 2},
  [124] = {.index = 295, .length = 4},
  [125] = {.index = 299, .length = 3},
  [126] = {.index = 302, .length = 4},
  [127] = {.index = 306, .length = 2},
  [128] = {.index = 308, .length = 1},
  [129] = {.index = 309, .length = 2},
  [130] = {.index = 311, .length = 1},
  [133] = {.index = 312, .length = 5},
  [134] = {.index = 317, .length = 3},
  [135] = {.index = 320, .length = 5},
  [136] = {.index = 325, .length = 4},
  [137] = {.index = 329, .length = 4},
  [138] = {.index = 333, .length = 3},
  [139] = {.index = 336, .length = 3},
  [140] = {.index = 339, .length = 5},
  [141] = {.index = 344, .length = 4},
  [142] = {.index = 348, .length = 4},
  [143] = {.index = 352, .length = 3},
  [144] = {.index = 352, .length = 3},
  [145] = {.index = 355, .length = 5},
  [146] = {.index = 360, .length = 5},
  [147] = {.index = 365, .length = 4},
  [148] = {.index = 369, .length = 4},
  [149] = {.index = 373, .length = 3},
  [150] = {.index = 376, .length = 2},
  [151] = {.index = 378, .length = 4},
  [152] = {.index = 382, .length = 4},
  [153] = {.index = 386, .length = 4},
  [154] = {.index = 390, .length = 4},
  [155] = {.index = 394, .length = 5},
  [156] = {.index = 399, .length = 4},
  [157] = {.index = 403, .length = 4},
  [158] = {.index = 407, .length = 4},
  [159] = {.index = 411, .length = 1},
  [160] = {.index = 412, .length = 4},
  [161] = {.index = 416, .length = 5},
  [162] = {.index = 421, .length = 2},
  [163] = {.index = 423, .length = 1},
  [164] = {.index = 424, .length = 5},
  [165] = {.index = 429, .length = 3},
  [166] = {.index = 432, .length = 5},
  [167] = {.index = 437, .length = 5},
  [168] = {.index = 442, .length = 3},
  [169] = {.index = 445, .length = 6},
  [170] = {.index = 451, .length = 5},
  [171] = {.index = 456, .length = 5},
  [172] = {.index = 461, .length = 3},
  [173] = {.index = 464, .length = 5},
  [174] = {.index = 469, .length = 5},
  [175] = {.index = 474, .length = 5},
  [176] = {.index = 479, .length = 5},
  [177] = {.index = 484, .length = 2},
  [178] = {.index = 486, .length = 2},
  [179] = {.index = 488, .length = 3},
  [180] = {.index = 491, .length = 6},
  [181] = {.index = 497, .length = 6},
  [182] = {.index = 503, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_argument, 1},
    {field_operator, 0},
  [6] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [8] =
    {field_arguments, 1},
    {field_function, 0},
  [10] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [14] =
    {field_argument, 0},
    {field_operator, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [25] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [27] =
    {field_body, 2},
    {field_condition, 1},
  [29] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [31] =
    {field_parameters, 2},
  [32] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_name, 2},
    {field_scope, 0},
  [44] =
    {field_name, 2},
    {field_object, 0},
  [46] =
    {field_attributes, 0},
    {field_parameters, 2},
  [48] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
  [68] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [71] =
    {field_return_type, 1},
  [72] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_parameters, 1},
  [77] =
    {field_type, 1},
  [78] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [85] =
    {field_type, 1},
    {field_value, 3},
  [87] =
    {field_alternative, 0},
  [88] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [94] =
    {field_attributes, 1},
  [95] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [98] =
    {field_reference_modifier, 0},
  [99] =
    {field_name, 0, .inherited = true},
  [100] =
    {field_body, 3},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [103] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [105] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [107] =
    {field_alternative, 3},
    {field_condition, 0},
  [109] =
    {field_left, 0},
    {field_right, 3},
  [111] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [114] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [117] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [120] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [123] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [126] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [129] =
    {field_attributes, 0},
    {field_parameters, 3},
  [131] =
    {field_body, 3},
    {field_name, 2},
  [133] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [135] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [138] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [141] =
    {field_name, 2},
    {field_type, 0},
  [143] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [146] =
    {field_attributes, 0},
    {field_name, 2},
  [148] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [151] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [154] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [157] =
    {field_default_value, 2},
    {field_name, 0},
  [159] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [162] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [166] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [172] =
    {field_type, 1, .inherited = true},
  [173] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [176] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [178] =
    {field_body, 4},
    {field_name, 1},
  [180] =
    {field_body, 1},
    {field_condition, 3},
  [182] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [186] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [188] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [191] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
  [195] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [197] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [199] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [203] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [207] =
    {field_body, 4},
    {field_parameters, 2},
    {field_static_modifier, 0},
  [210] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [213] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [216] =
    {field_name, 3},
    {field_object, 0},
  [218] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [222] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [226] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [229] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [232] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [236] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [240] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [243] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [246] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [249] =
    {field_type, 2},
  [250] =
    {field_body, 4},
    {field_name, 2},
  [252] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [255] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [259] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [262] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [265] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [271] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [275] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [282] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [286] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [289] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [293] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [295] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [302] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [306] =
    {field_body, 5},
    {field_name, 1},
  [308] =
    {field_return_expression, 2},
  [309] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [311] =
    {field_value, 1},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [317] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [320] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [325] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [329] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [333] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [336] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [339] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [344] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [348] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [352] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [355] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [360] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [365] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [369] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [373] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [376] =
    {field_body, 5},
    {field_name, 2},
  [378] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [382] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [386] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [390] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [394] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [399] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [403] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [407] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [411] =
    {field_attributes, 0},
  [412] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [416] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [421] =
    {field_body, 4},
    {field_type, 2},
  [423] =
    {field_body, 6},
  [424] =
    {field_end_tag, 6},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [429] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [432] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [437] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [442] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [445] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [451] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [456] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [461] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [464] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [469] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [474] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [479] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [484] =
    {field_attributes, 0},
    {field_type, 2},
  [486] =
    {field_name, 1},
    {field_value, 3},
  [488] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [491] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [497] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [503] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_list_literal,
  },
  [17] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [51] = {
    [0] = sym_name,
  },
  [84] = {
    [3] = sym_primitive_type,
  },
  [98] = {
    [3] = sym_name,
  },
  [127] = {
    [3] = sym_primitive_type,
  },
  [131] = {
    [3] = sym_list_literal,
  },
  [132] = {
    [4] = sym_list_literal,
  },
  [143] = {
    [4] = sym_primitive_type,
  },
  [168] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 2,
  [8] = 8,
  [9] = 9,
  [10] = 9,
  [11] = 8,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 12,
  [16] = 16,
  [17] = 12,
  [18] = 12,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 21,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 28,
  [32] = 25,
  [33] = 20,
  [34] = 29,
  [35] = 30,
  [36] = 36,
  [37] = 26,
  [38] = 27,
  [39] = 39,
  [40] = 40,
  [41] = 30,
  [42] = 42,
  [43] = 19,
  [44] = 44,
  [45] = 45,
  [46] = 42,
  [47] = 36,
  [48] = 20,
  [49] = 42,
  [50] = 36,
  [51] = 30,
  [52] = 52,
  [53] = 39,
  [54] = 40,
  [55] = 52,
  [56] = 42,
  [57] = 26,
  [58] = 44,
  [59] = 27,
  [60] = 45,
  [61] = 52,
  [62] = 21,
  [63] = 26,
  [64] = 25,
  [65] = 20,
  [66] = 66,
  [67] = 66,
  [68] = 36,
  [69] = 52,
  [70] = 25,
  [71] = 23,
  [72] = 21,
  [73] = 27,
  [74] = 24,
  [75] = 75,
  [76] = 76,
  [77] = 75,
  [78] = 75,
  [79] = 79,
  [80] = 76,
  [81] = 75,
  [82] = 79,
  [83] = 83,
  [84] = 83,
  [85] = 83,
  [86] = 83,
  [87] = 87,
  [88] = 87,
  [89] = 89,
  [90] = 89,
  [91] = 87,
  [92] = 87,
  [93] = 87,
  [94] = 87,
  [95] = 89,
  [96] = 87,
  [97] = 89,
  [98] = 89,
  [99] = 99,
  [100] = 99,
  [101] = 99,
  [102] = 99,
  [103] = 99,
  [104] = 104,
  [105] = 104,
  [106] = 104,
  [107] = 104,
  [108] = 99,
  [109] = 99,
  [110] = 99,
  [111] = 104,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 113,
  [116] = 112,
  [117] = 113,
  [118] = 113,
  [119] = 112,
  [120] = 120,
  [121] = 112,
  [122] = 112,
  [123] = 112,
  [124] = 120,
  [125] = 114,
  [126] = 113,
  [127] = 112,
  [128] = 113,
  [129] = 113,
  [130] = 113,
  [131] = 112,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 134,
  [138] = 136,
  [139] = 139,
  [140] = 139,
  [141] = 132,
  [142] = 133,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 143,
  [148] = 148,
  [149] = 145,
  [150] = 144,
  [151] = 151,
  [152] = 146,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 159,
  [161] = 156,
  [162] = 162,
  [163] = 156,
  [164] = 162,
  [165] = 158,
  [166] = 162,
  [167] = 167,
  [168] = 168,
  [169] = 157,
  [170] = 156,
  [171] = 167,
  [172] = 157,
  [173] = 168,
  [174] = 158,
  [175] = 157,
  [176] = 159,
  [177] = 158,
  [178] = 159,
  [179] = 167,
  [180] = 168,
  [181] = 168,
  [182] = 167,
  [183] = 162,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 184,
  [192] = 187,
  [193] = 190,
  [194] = 190,
  [195] = 190,
  [196] = 196,
  [197] = 189,
  [198] = 198,
  [199] = 196,
  [200] = 190,
  [201] = 190,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 203,
  [208] = 203,
  [209] = 209,
  [210] = 203,
  [211] = 205,
  [212] = 206,
  [213] = 204,
  [214] = 205,
  [215] = 203,
  [216] = 216,
  [217] = 217,
  [218] = 204,
  [219] = 206,
  [220] = 205,
  [221] = 204,
  [222] = 203,
  [223] = 217,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 227,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 229,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 227,
  [264] = 264,
  [265] = 260,
  [266] = 266,
  [267] = 267,
  [268] = 232,
  [269] = 269,
  [270] = 261,
  [271] = 271,
  [272] = 264,
  [273] = 227,
  [274] = 266,
  [275] = 275,
  [276] = 276,
  [277] = 262,
  [278] = 264,
  [279] = 229,
  [280] = 280,
  [281] = 262,
  [282] = 282,
  [283] = 227,
  [284] = 264,
  [285] = 262,
  [286] = 227,
  [287] = 287,
  [288] = 264,
  [289] = 262,
  [290] = 290,
  [291] = 257,
  [292] = 226,
  [293] = 243,
  [294] = 294,
  [295] = 295,
  [296] = 253,
  [297] = 252,
  [298] = 261,
  [299] = 251,
  [300] = 300,
  [301] = 250,
  [302] = 249,
  [303] = 248,
  [304] = 257,
  [305] = 262,
  [306] = 247,
  [307] = 253,
  [308] = 252,
  [309] = 251,
  [310] = 250,
  [311] = 249,
  [312] = 246,
  [313] = 248,
  [314] = 245,
  [315] = 247,
  [316] = 246,
  [317] = 245,
  [318] = 244,
  [319] = 319,
  [320] = 244,
  [321] = 224,
  [322] = 242,
  [323] = 241,
  [324] = 240,
  [325] = 239,
  [326] = 326,
  [327] = 224,
  [328] = 242,
  [329] = 290,
  [330] = 238,
  [331] = 294,
  [332] = 295,
  [333] = 241,
  [334] = 300,
  [335] = 236,
  [336] = 240,
  [337] = 337,
  [338] = 338,
  [339] = 239,
  [340] = 238,
  [341] = 341,
  [342] = 236,
  [343] = 260,
  [344] = 256,
  [345] = 341,
  [346] = 256,
  [347] = 236,
  [348] = 225,
  [349] = 338,
  [350] = 337,
  [351] = 238,
  [352] = 239,
  [353] = 240,
  [354] = 264,
  [355] = 300,
  [356] = 241,
  [357] = 256,
  [358] = 242,
  [359] = 224,
  [360] = 295,
  [361] = 294,
  [362] = 290,
  [363] = 244,
  [364] = 245,
  [365] = 246,
  [366] = 247,
  [367] = 248,
  [368] = 368,
  [369] = 249,
  [370] = 250,
  [371] = 251,
  [372] = 252,
  [373] = 229,
  [374] = 232,
  [375] = 253,
  [376] = 257,
  [377] = 227,
  [378] = 271,
  [379] = 264,
  [380] = 262,
  [381] = 264,
  [382] = 261,
  [383] = 261,
  [384] = 262,
  [385] = 229,
  [386] = 261,
  [387] = 227,
  [388] = 226,
  [389] = 266,
  [390] = 390,
  [391] = 262,
  [392] = 390,
  [393] = 264,
  [394] = 262,
  [395] = 337,
  [396] = 243,
  [397] = 338,
  [398] = 243,
  [399] = 290,
  [400] = 400,
  [401] = 390,
  [402] = 294,
  [403] = 403,
  [404] = 295,
  [405] = 405,
  [406] = 264,
  [407] = 300,
  [408] = 408,
  [409] = 225,
  [410] = 337,
  [411] = 232,
  [412] = 338,
  [413] = 225,
  [414] = 341,
  [415] = 390,
  [416] = 341,
  [417] = 271,
  [418] = 261,
  [419] = 260,
  [420] = 229,
  [421] = 266,
  [422] = 227,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 426,
  [428] = 425,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 438,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 449,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 429,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 449,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 437,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 449,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 432,
  [543] = 543,
  [544] = 544,
  [545] = 449,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 561,
  [563] = 561,
  [564] = 561,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 588,
  [591] = 573,
  [592] = 588,
  [593] = 572,
  [594] = 594,
  [595] = 570,
  [596] = 571,
  [597] = 571,
  [598] = 574,
  [599] = 599,
  [600] = 569,
  [601] = 577,
  [602] = 579,
  [603] = 566,
  [604] = 583,
  [605] = 586,
  [606] = 588,
  [607] = 607,
  [608] = 608,
  [609] = 608,
  [610] = 578,
  [611] = 585,
  [612] = 568,
  [613] = 576,
  [614] = 565,
  [615] = 587,
  [616] = 582,
  [617] = 599,
  [618] = 581,
  [619] = 580,
  [620] = 575,
  [621] = 567,
  [622] = 584,
  [623] = 599,
  [624] = 589,
  [625] = 589,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 628,
  [630] = 630,
  [631] = 599,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 577,
  [640] = 569,
  [641] = 641,
  [642] = 572,
  [643] = 638,
  [644] = 570,
  [645] = 573,
  [646] = 574,
  [647] = 647,
  [648] = 581,
  [649] = 585,
  [650] = 577,
  [651] = 651,
  [652] = 652,
  [653] = 576,
  [654] = 566,
  [655] = 582,
  [656] = 586,
  [657] = 651,
  [658] = 565,
  [659] = 583,
  [660] = 568,
  [661] = 584,
  [662] = 579,
  [663] = 663,
  [664] = 652,
  [665] = 580,
  [666] = 666,
  [667] = 567,
  [668] = 575,
  [669] = 578,
  [670] = 587,
  [671] = 572,
  [672] = 672,
  [673] = 569,
  [674] = 572,
  [675] = 570,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 678,
  [680] = 574,
  [681] = 681,
  [682] = 573,
  [683] = 683,
  [684] = 684,
  [685] = 677,
  [686] = 681,
  [687] = 687,
  [688] = 683,
  [689] = 689,
  [690] = 641,
  [691] = 570,
  [692] = 692,
  [693] = 572,
  [694] = 570,
  [695] = 695,
  [696] = 696,
  [697] = 569,
  [698] = 569,
  [699] = 699,
  [700] = 574,
  [701] = 574,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 573,
  [706] = 573,
  [707] = 707,
  [708] = 708,
  [709] = 672,
  [710] = 663,
  [711] = 711,
  [712] = 666,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 581,
  [718] = 718,
  [719] = 584,
  [720] = 583,
  [721] = 585,
  [722] = 722,
  [723] = 575,
  [724] = 576,
  [725] = 725,
  [726] = 726,
  [727] = 578,
  [728] = 728,
  [729] = 729,
  [730] = 579,
  [731] = 582,
  [732] = 732,
  [733] = 586,
  [734] = 734,
  [735] = 587,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 560,
  [741] = 741,
  [742] = 580,
  [743] = 568,
  [744] = 566,
  [745] = 567,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 565,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 637,
  [757] = 569,
  [758] = 758,
  [759] = 570,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 429,
  [764] = 638,
  [765] = 636,
  [766] = 573,
  [767] = 572,
  [768] = 432,
  [769] = 708,
  [770] = 574,
  [771] = 771,
  [772] = 641,
  [773] = 638,
  [774] = 711,
  [775] = 647,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 777,
  [780] = 780,
  [781] = 586,
  [782] = 582,
  [783] = 783,
  [784] = 579,
  [785] = 578,
  [786] = 576,
  [787] = 567,
  [788] = 585,
  [789] = 568,
  [790] = 566,
  [791] = 583,
  [792] = 580,
  [793] = 780,
  [794] = 587,
  [795] = 565,
  [796] = 783,
  [797] = 575,
  [798] = 577,
  [799] = 584,
  [800] = 581,
  [801] = 633,
  [802] = 570,
  [803] = 803,
  [804] = 804,
  [805] = 663,
  [806] = 666,
  [807] = 803,
  [808] = 666,
  [809] = 572,
  [810] = 684,
  [811] = 577,
  [812] = 573,
  [813] = 813,
  [814] = 574,
  [815] = 641,
  [816] = 569,
  [817] = 572,
  [818] = 711,
  [819] = 819,
  [820] = 570,
  [821] = 569,
  [822] = 437,
  [823] = 683,
  [824] = 438,
  [825] = 699,
  [826] = 692,
  [827] = 702,
  [828] = 681,
  [829] = 703,
  [830] = 704,
  [831] = 574,
  [832] = 573,
  [833] = 819,
  [834] = 678,
  [835] = 707,
  [836] = 813,
  [837] = 708,
  [838] = 813,
  [839] = 819,
  [840] = 683,
  [841] = 689,
  [842] = 819,
  [843] = 804,
  [844] = 678,
  [845] = 845,
  [846] = 570,
  [847] = 663,
  [848] = 681,
  [849] = 572,
  [850] = 569,
  [851] = 574,
  [852] = 573,
  [853] = 819,
  [854] = 845,
  [855] = 855,
  [856] = 748,
  [857] = 576,
  [858] = 737,
  [859] = 741,
  [860] = 560,
  [861] = 734,
  [862] = 746,
  [863] = 752,
  [864] = 714,
  [865] = 753,
  [866] = 754,
  [867] = 736,
  [868] = 755,
  [869] = 747,
  [870] = 729,
  [871] = 726,
  [872] = 708,
  [873] = 581,
  [874] = 584,
  [875] = 583,
  [876] = 568,
  [877] = 716,
  [878] = 566,
  [879] = 732,
  [880] = 578,
  [881] = 579,
  [882] = 582,
  [883] = 718,
  [884] = 738,
  [885] = 728,
  [886] = 567,
  [887] = 585,
  [888] = 586,
  [889] = 565,
  [890] = 587,
  [891] = 575,
  [892] = 715,
  [893] = 751,
  [894] = 580,
  [895] = 749,
  [896] = 708,
  [897] = 722,
  [898] = 758,
  [899] = 761,
  [900] = 760,
  [901] = 771,
  [902] = 711,
  [903] = 903,
  [904] = 904,
  [905] = 566,
  [906] = 906,
  [907] = 567,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 565,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 568,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 437,
  [972] = 438,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 987,
  [1007] = 976,
  [1008] = 994,
  [1009] = 974,
  [1010] = 1001,
  [1011] = 1000,
  [1012] = 998,
  [1013] = 996,
  [1014] = 995,
  [1015] = 1004,
  [1016] = 1003,
  [1017] = 1002,
  [1018] = 993,
  [1019] = 992,
  [1020] = 999,
  [1021] = 991,
  [1022] = 985,
  [1023] = 1005,
  [1024] = 981,
  [1025] = 997,
  [1026] = 1026,
  [1027] = 983,
  [1028] = 989,
  [1029] = 990,
  [1030] = 984,
  [1031] = 973,
  [1032] = 988,
  [1033] = 982,
  [1034] = 980,
  [1035] = 979,
  [1036] = 978,
  [1037] = 977,
  [1038] = 986,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 985,
  [1042] = 567,
  [1043] = 923,
  [1044] = 924,
  [1045] = 926,
  [1046] = 429,
  [1047] = 916,
  [1048] = 991,
  [1049] = 992,
  [1050] = 993,
  [1051] = 432,
  [1052] = 995,
  [1053] = 996,
  [1054] = 918,
  [1055] = 998,
  [1056] = 1000,
  [1057] = 947,
  [1058] = 956,
  [1059] = 948,
  [1060] = 960,
  [1061] = 961,
  [1062] = 1001,
  [1063] = 974,
  [1064] = 963,
  [1065] = 904,
  [1066] = 938,
  [1067] = 922,
  [1068] = 949,
  [1069] = 950,
  [1070] = 951,
  [1071] = 927,
  [1072] = 919,
  [1073] = 911,
  [1074] = 1005,
  [1075] = 953,
  [1076] = 928,
  [1077] = 903,
  [1078] = 984,
  [1079] = 930,
  [1080] = 931,
  [1081] = 932,
  [1082] = 917,
  [1083] = 1004,
  [1084] = 986,
  [1085] = 910,
  [1086] = 1003,
  [1087] = 1002,
  [1088] = 952,
  [1089] = 935,
  [1090] = 973,
  [1091] = 958,
  [1092] = 959,
  [1093] = 988,
  [1094] = 908,
  [1095] = 920,
  [1096] = 909,
  [1097] = 999,
  [1098] = 929,
  [1099] = 982,
  [1100] = 906,
  [1101] = 980,
  [1102] = 979,
  [1103] = 978,
  [1104] = 937,
  [1105] = 977,
  [1106] = 997,
  [1107] = 955,
  [1108] = 994,
  [1109] = 981,
  [1110] = 983,
  [1111] = 966,
  [1112] = 565,
  [1113] = 957,
  [1114] = 976,
  [1115] = 936,
  [1116] = 939,
  [1117] = 940,
  [1118] = 915,
  [1119] = 941,
  [1120] = 566,
  [1121] = 934,
  [1122] = 933,
  [1123] = 942,
  [1124] = 944,
  [1125] = 568,
  [1126] = 914,
  [1127] = 925,
  [1128] = 954,
  [1129] = 945,
  [1130] = 990,
  [1131] = 987,
  [1132] = 989,
  [1133] = 946,
  [1134] = 962,
  [1135] = 912,
  [1136] = 964,
  [1137] = 943,
  [1138] = 965,
  [1139] = 967,
  [1140] = 1003,
  [1141] = 973,
  [1142] = 1142,
  [1143] = 983,
  [1144] = 981,
  [1145] = 976,
  [1146] = 985,
  [1147] = 991,
  [1148] = 992,
  [1149] = 993,
  [1150] = 995,
  [1151] = 996,
  [1152] = 998,
  [1153] = 1000,
  [1154] = 977,
  [1155] = 1001,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 974,
  [1159] = 1005,
  [1160] = 978,
  [1161] = 979,
  [1162] = 1004,
  [1163] = 1163,
  [1164] = 989,
  [1165] = 999,
  [1166] = 980,
  [1167] = 982,
  [1168] = 997,
  [1169] = 990,
  [1170] = 988,
  [1171] = 987,
  [1172] = 984,
  [1173] = 1002,
  [1174] = 1163,
  [1175] = 986,
  [1176] = 994,
  [1177] = 1142,
  [1178] = 982,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 982,
  [1189] = 1189,
  [1190] = 1186,
  [1191] = 1186,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1201,
  [1204] = 1194,
  [1205] = 1195,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1206,
  [1219] = 1219,
  [1220] = 1180,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1196,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1227,
  [1230] = 1206,
  [1231] = 1202,
  [1232] = 1201,
  [1233] = 1202,
  [1234] = 1202,
  [1235] = 1201,
  [1236] = 1206,
  [1237] = 1180,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1238,
  [1245] = 1245,
  [1246] = 1242,
  [1247] = 1242,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1239,
  [1252] = 1245,
  [1253] = 1253,
  [1254] = 1240,
  [1255] = 1238,
  [1256] = 1242,
  [1257] = 1245,
  [1258] = 1240,
  [1259] = 1245,
  [1260] = 1248,
  [1261] = 1261,
  [1262] = 1241,
  [1263] = 1242,
  [1264] = 1239,
  [1265] = 1240,
  [1266] = 1243,
  [1267] = 1239,
  [1268] = 1245,
  [1269] = 1248,
  [1270] = 1238,
  [1271] = 1239,
  [1272] = 1242,
  [1273] = 1273,
  [1274] = 1248,
  [1275] = 1275,
  [1276] = 1243,
  [1277] = 1277,
  [1278] = 1250,
  [1279] = 1250,
  [1280] = 1245,
  [1281] = 1275,
  [1282] = 1240,
  [1283] = 1240,
  [1284] = 1248,
  [1285] = 1285,
  [1286] = 1250,
  [1287] = 1245,
  [1288] = 1239,
  [1289] = 1238,
  [1290] = 1248,
  [1291] = 1245,
  [1292] = 1248,
  [1293] = 1242,
  [1294] = 1248,
  [1295] = 1295,
  [1296] = 1242,
  [1297] = 1238,
  [1298] = 1298,
  [1299] = 1248,
  [1300] = 1245,
  [1301] = 1238,
  [1302] = 1245,
  [1303] = 1242,
  [1304] = 1241,
  [1305] = 1295,
  [1306] = 1243,
  [1307] = 1275,
  [1308] = 1248,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1313,
  [1317] = 1317,
  [1318] = 1317,
  [1319] = 1309,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1321,
  [1324] = 1324,
  [1325] = 1322,
  [1326] = 1321,
  [1327] = 1320,
  [1328] = 1324,
  [1329] = 1322,
  [1330] = 1320,
  [1331] = 1331,
  [1332] = 1331,
  [1333] = 1333,
  [1334] = 1331,
  [1335] = 1333,
  [1336] = 1333,
  [1337] = 1337,
  [1338] = 1337,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1339,
  [1342] = 1340,
  [1343] = 1339,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1346,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1351,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1378,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1377,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1385,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1381,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1393,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1413,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 641,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 580,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1432,
  [1439] = 1439,
  [1440] = 689,
  [1441] = 1430,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1450,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1450,
  [1459] = 1445,
  [1460] = 1460,
  [1461] = 1448,
  [1462] = 1445,
  [1463] = 1463,
  [1464] = 1445,
  [1465] = 1457,
  [1466] = 1450,
  [1467] = 1448,
  [1468] = 1445,
  [1469] = 1448,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1450,
  [1473] = 1473,
  [1474] = 1448,
  [1475] = 1475,
  [1476] = 1457,
  [1477] = 1445,
  [1478] = 1457,
  [1479] = 1448,
  [1480] = 1480,
  [1481] = 1450,
  [1482] = 1445,
  [1483] = 580,
  [1484] = 1484,
  [1485] = 1450,
  [1486] = 1445,
  [1487] = 1450,
  [1488] = 1448,
  [1489] = 1489,
  [1490] = 1445,
  [1491] = 1491,
  [1492] = 1448,
  [1493] = 1445,
  [1494] = 1457,
  [1495] = 1450,
  [1496] = 1448,
  [1497] = 1448,
  [1498] = 1450,
  [1499] = 1499,
  [1500] = 1445,
  [1501] = 1445,
  [1502] = 1448,
  [1503] = 1503,
  [1504] = 1450,
  [1505] = 1445,
  [1506] = 580,
  [1507] = 1507,
  [1508] = 424,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1409,
  [1512] = 1512,
  [1513] = 1509,
  [1514] = 1514,
  [1515] = 1510,
  [1516] = 1507,
  [1517] = 1517,
  [1518] = 423,
  [1519] = 1514,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 580,
  [1523] = 1523,
  [1524] = 585,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 575,
  [1528] = 663,
  [1529] = 1529,
  [1530] = 1398,
  [1531] = 1531,
  [1532] = 1520,
  [1533] = 1526,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1525,
  [1537] = 663,
  [1538] = 1409,
  [1539] = 1520,
  [1540] = 666,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1525,
  [1544] = 1520,
  [1545] = 1520,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1526,
  [1549] = 1549,
  [1550] = 663,
  [1551] = 666,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 776,
  [1555] = 1526,
  [1556] = 1556,
  [1557] = 666,
  [1558] = 1558,
  [1559] = 570,
  [1560] = 570,
  [1561] = 1520,
  [1562] = 1526,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1529,
  [1566] = 1566,
  [1567] = 585,
  [1568] = 580,
  [1569] = 1569,
  [1570] = 580,
  [1571] = 575,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1566,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1569,
  [1581] = 585,
  [1582] = 1582,
  [1583] = 425,
  [1584] = 1584,
  [1585] = 1563,
  [1586] = 575,
  [1587] = 1529,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1572,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1573,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1576,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1602,
  [1604] = 1547,
  [1605] = 1577,
  [1606] = 1578,
  [1607] = 426,
  [1608] = 1579,
  [1609] = 1609,
  [1610] = 425,
  [1611] = 1611,
  [1612] = 1582,
  [1613] = 1613,
  [1614] = 426,
  [1615] = 1534,
  [1616] = 1616,
  [1617] = 1535,
  [1618] = 1598,
  [1619] = 1596,
  [1620] = 1590,
  [1621] = 1588,
  [1622] = 1622,
  [1623] = 1564,
  [1624] = 1535,
  [1625] = 1584,
  [1626] = 1622,
  [1627] = 1575,
  [1628] = 1547,
  [1629] = 1609,
  [1630] = 1595,
  [1631] = 1534,
  [1632] = 1593,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 435,
  [1636] = 1503,
  [1637] = 433,
  [1638] = 1634,
  [1639] = 1639,
  [1640] = 1639,
  [1641] = 436,
  [1642] = 1639,
  [1643] = 1643,
  [1644] = 1639,
  [1645] = 442,
  [1646] = 1639,
  [1647] = 1455,
  [1648] = 1439,
  [1649] = 1639,
  [1650] = 1455,
  [1651] = 446,
  [1652] = 443,
  [1653] = 1653,
  [1654] = 441,
  [1655] = 1655,
  [1656] = 1639,
  [1657] = 1657,
  [1658] = 1639,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 431,
  [1662] = 1662,
  [1663] = 1634,
  [1664] = 1639,
  [1665] = 445,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1634,
  [1671] = 1491,
  [1672] = 1433,
  [1673] = 1503,
  [1674] = 1639,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1484,
  [1678] = 1491,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1451,
  [1682] = 1682,
  [1683] = 430,
  [1684] = 1634,
  [1685] = 439,
  [1686] = 1686,
  [1687] = 1634,
  [1688] = 1675,
  [1689] = 1689,
  [1690] = 1634,
  [1691] = 1634,
  [1692] = 1613,
  [1693] = 1634,
  [1694] = 1694,
  [1695] = 1634,
  [1696] = 1668,
  [1697] = 1451,
  [1698] = 1447,
  [1699] = 440,
  [1700] = 1484,
  [1701] = 434,
  [1702] = 1702,
  [1703] = 1694,
  [1704] = 1447,
  [1705] = 1705,
  [1706] = 1689,
  [1707] = 1419,
  [1708] = 1708,
  [1709] = 444,
  [1710] = 1418,
  [1711] = 1414,
  [1712] = 1712,
  [1713] = 1667,
  [1714] = 1639,
  [1715] = 1634,
  [1716] = 447,
  [1717] = 448,
  [1718] = 1712,
  [1719] = 1653,
  [1720] = 1720,
  [1721] = 1639,
  [1722] = 1643,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1439,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1731,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1435,
  [1743] = 1425,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1443,
  [1754] = 1427,
  [1755] = 1750,
  [1756] = 1724,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1433,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 633,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1751,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1750,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1758,
  [1793] = 1761,
  [1794] = 1767,
  [1795] = 1787,
  [1796] = 1796,
  [1797] = 1776,
  [1798] = 1750,
  [1799] = 1769,
  [1800] = 1784,
  [1801] = 1791,
  [1802] = 1802,
  [1803] = 1768,
  [1804] = 1765,
  [1805] = 1773,
  [1806] = 1806,
  [1807] = 1764,
  [1808] = 1763,
  [1809] = 1747,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1745,
  [1813] = 1813,
  [1814] = 1428,
  [1815] = 1815,
  [1816] = 1781,
  [1817] = 1817,
  [1818] = 1723,
  [1819] = 1819,
  [1820] = 1766,
  [1821] = 1749,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1729,
  [1825] = 1728,
  [1826] = 1826,
  [1827] = 1726,
  [1828] = 1828,
  [1829] = 1732,
  [1830] = 1733,
  [1831] = 1831,
  [1832] = 1736,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1834,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1836,
  [1841] = 1841,
  [1842] = 1837,
  [1843] = 1843,
  [1844] = 1833,
  [1845] = 1845,
  [1846] = 1839,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1746,
  [1850] = 1727,
  [1851] = 1735,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1775,
  [1856] = 1660,
  [1857] = 1789,
  [1858] = 1858,
  [1859] = 1845,
  [1860] = 1796,
  [1861] = 1861,
  [1862] = 1810,
  [1863] = 1861,
  [1864] = 1847,
  [1865] = 1815,
  [1866] = 1866,
  [1867] = 1802,
  [1868] = 1848,
  [1869] = 1853,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 533,
  [1877] = 555,
  [1878] = 541,
  [1879] = 548,
  [1880] = 528,
  [1881] = 525,
  [1882] = 520,
  [1883] = 519,
  [1884] = 1884,
  [1885] = 518,
  [1886] = 537,
  [1887] = 1887,
  [1888] = 494,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 540,
  [1892] = 1892,
  [1893] = 500,
  [1894] = 1894,
  [1895] = 1874,
  [1896] = 1708,
  [1897] = 490,
  [1898] = 1817,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 484,
  [1908] = 1908,
  [1909] = 514,
  [1910] = 529,
  [1911] = 1911,
  [1912] = 556,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 497,
  [1917] = 1917,
  [1918] = 516,
  [1919] = 480,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1913,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 477,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 508,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1875,
  [1934] = 1934,
  [1935] = 474,
  [1936] = 513,
  [1937] = 517,
  [1938] = 1938,
  [1939] = 552,
  [1940] = 1875,
  [1941] = 472,
  [1942] = 1942,
  [1943] = 481,
  [1944] = 544,
  [1945] = 469,
  [1946] = 451,
  [1947] = 521,
  [1948] = 463,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 489,
  [1953] = 1953,
  [1954] = 1870,
  [1955] = 476,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 515,
  [1960] = 1960,
  [1961] = 504,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1951,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 471,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1957,
  [1975] = 547,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1889,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 550,
  [1984] = 1984,
  [1985] = 1679,
  [1986] = 558,
  [1987] = 553,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 551,
  [1992] = 546,
  [1993] = 554,
  [1994] = 1994,
  [1995] = 539,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 522,
  [2001] = 1904,
  [2002] = 2002,
  [2003] = 1899,
  [2004] = 454,
  [2005] = 510,
  [2006] = 2006,
  [2007] = 2006,
  [2008] = 536,
  [2009] = 456,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 526,
  [2013] = 2013,
  [2014] = 458,
  [2015] = 492,
  [2016] = 1964,
  [2017] = 1963,
  [2018] = 491,
  [2019] = 543,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 557,
  [2026] = 488,
  [2027] = 485,
  [2028] = 462,
  [2029] = 466,
  [2030] = 2030,
  [2031] = 499,
  [2032] = 1908,
  [2033] = 534,
  [2034] = 1915,
  [2035] = 473,
  [2036] = 503,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 465,
  [2040] = 2020,
  [2041] = 478,
  [2042] = 535,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 493,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 507,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 483,
  [2052] = 2037,
  [2053] = 1875,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 459,
  [2061] = 1923,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 1310,
  [2065] = 2065,
  [2066] = 1953,
  [2067] = 506,
  [2068] = 502,
  [2069] = 455,
  [2070] = 2070,
  [2071] = 2021,
  [2072] = 452,
  [2073] = 2073,
  [2074] = 496,
  [2075] = 464,
  [2076] = 453,
  [2077] = 1999,
  [2078] = 2063,
  [2079] = 498,
  [2080] = 1920,
  [2081] = 495,
  [2082] = 1923,
  [2083] = 2083,
  [2084] = 1921,
  [2085] = 2085,
  [2086] = 1875,
  [2087] = 1923,
  [2088] = 2088,
  [2089] = 512,
  [2090] = 530,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 1875,
  [2094] = 1454,
  [2095] = 509,
  [2096] = 482,
  [2097] = 524,
  [2098] = 486,
  [2099] = 1923,
  [2100] = 461,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 1923,
  [2104] = 457,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 479,
  [2109] = 1875,
  [2110] = 2110,
  [2111] = 467,
  [2112] = 2112,
  [2113] = 470,
  [2114] = 468,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 1923,
  [2118] = 532,
  [2119] = 1875,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 511,
  [2123] = 2123,
  [2124] = 1923,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 523,
  [2128] = 475,
  [2129] = 2002,
  [2130] = 538,
  [2131] = 559,
  [2132] = 549,
  [2133] = 460,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2134,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2185,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2165,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2166,
  [2199] = 2199,
  [2200] = 2167,
  [2201] = 2201,
  [2202] = 2159,
  [2203] = 2203,
  [2204] = 2167,
  [2205] = 2169,
  [2206] = 2171,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2177,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2181,
  [2222] = 2166,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2218,
  [2229] = 2197,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2211,
  [2235] = 2235,
  [2236] = 2167,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2231,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2135,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 1667,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2139,
  [2272] = 2140,
  [2273] = 2154,
  [2274] = 2146,
  [2275] = 2152,
  [2276] = 2175,
  [2277] = 2262,
  [2278] = 2278,
  [2279] = 2176,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2137,
  [2283] = 2283,
  [2284] = 2195,
  [2285] = 2185,
  [2286] = 2286,
  [2287] = 2196,
  [2288] = 1653,
  [2289] = 2289,
  [2290] = 2201,
  [2291] = 2253,
  [2292] = 2292,
  [2293] = 2269,
  [2294] = 2278,
  [2295] = 2281,
  [2296] = 2283,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2298,
  [2300] = 2013,
  [2301] = 2286,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2157,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2258,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2255,
  [2320] = 2320,
  [2321] = 2254,
  [2322] = 2251,
  [2323] = 2242,
  [2324] = 2241,
  [2325] = 2233,
  [2326] = 2326,
  [2327] = 2223,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2142,
  [2332] = 2268,
  [2333] = 2215,
  [2334] = 2214,
  [2335] = 2199,
  [2336] = 2194,
  [2337] = 2306,
  [2338] = 2192,
  [2339] = 2339,
  [2340] = 2190,
  [2341] = 2341,
  [2342] = 2189,
  [2343] = 2174,
  [2344] = 2173,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2247,
  [2349] = 2237,
  [2350] = 2350,
  [2351] = 2149,
  [2352] = 2153,
  [2353] = 2353,
  [2354] = 2156,
  [2355] = 2164,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2216,
  [2360] = 2302,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2220,
  [2364] = 2305,
  [2365] = 2219,
  [2366] = 2346,
  [2367] = 2367,
  [2368] = 2250,
  [2369] = 2256,
  [2370] = 2166,
  [2371] = 2371,
  [2372] = 2308,
  [2373] = 2238,
  [2374] = 2329,
  [2375] = 2260,
  [2376] = 2263,
  [2377] = 2377,
  [2378] = 1965,
  [2379] = 2266,
  [2380] = 2267,
  [2381] = 2280,
  [2382] = 2297,
  [2383] = 2303,
  [2384] = 2232,
  [2385] = 2347,
  [2386] = 2362,
  [2387] = 2314,
  [2388] = 2356,
  [2389] = 2357,
  [2390] = 2320,
  [2391] = 2313,
  [2392] = 2208,
  [2393] = 2311,
  [2394] = 2358,
  [2395] = 2361,
  [2396] = 2185,
  [2397] = 2240,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2410,
  [2415] = 2403,
  [2416] = 2398,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2413,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2407,
  [2430] = 2409,
  [2431] = 2431,
  [2432] = 2424,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2421,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 1970,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2435,
  [2448] = 2439,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2412,
  [2454] = 2454,
  [2455] = 2443,
  [2456] = 2456,
  [2457] = 2406,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2420,
  [2461] = 2419,
  [2462] = 2418,
  [2463] = 2417,
  [2464] = 2456,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2446,
  [2468] = 2468,
  [2469] = 2405,
  [2470] = 2410,
  [2471] = 2408,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2434,
  [2478] = 2410,
  [2479] = 2427,
  [2480] = 2426,
  [2481] = 2481,
  [2482] = 2410,
  [2483] = 2483,
  [2484] = 2400,
  [2485] = 2473,
  [2486] = 2486,
  [2487] = 2403,
  [2488] = 2417,
  [2489] = 2422,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2418,
  [2494] = 2417,
  [2495] = 2451,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2454,
  [2499] = 2499,
  [2500] = 2452,
  [2501] = 2452,
  [2502] = 2412,
  [2503] = 2503,
  [2504] = 2483,
  [2505] = 2419,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2486,
  [2509] = 2420,
  [2510] = 2466,
  [2511] = 2465,
  [2512] = 2424,
  [2513] = 2441,
  [2514] = 2440,
  [2515] = 2409,
  [2516] = 2492,
  [2517] = 2418,
  [2518] = 2403,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2437,
  [2523] = 2428,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2474,
  [2527] = 2527,
  [2528] = 2503,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2408,
  [2532] = 2452,
  [2533] = 2533,
  [2534] = 2405,
  [2535] = 2468,
  [2536] = 2536,
  [2537] = 2412,
  [2538] = 2449,
  [2539] = 2418,
  [2540] = 2418,
  [2541] = 2541,
  [2542] = 2405,
  [2543] = 2533,
  [2544] = 2408,
  [2545] = 2418,
  [2546] = 2499,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2418,
  [2550] = 2418,
  [2551] = 2551,
  [2552] = 2419,
  [2553] = 2420,
  [2554] = 2474,
  [2555] = 2428,
  [2556] = 2556,
  [2557] = 2492,
  [2558] = 2533,
  [2559] = 2559,
  [2560] = 2431,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2409,
  [2565] = 2092,
  [2566] = 2409,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2418,
  [2570] = 2417,
  [2571] = 2571,
  [2572] = 2521,
  [2573] = 2433,
  [2574] = 2574,
  [2575] = 2418,
  [2576] = 2409,
  [2577] = 2421,
  [2578] = 2402,
  [2579] = 2571,
  [2580] = 2401,
  [2581] = 2399,
  [2582] = 2474,
  [2583] = 2418,
  [2584] = 2524,
  [2585] = 2533,
  [2586] = 2571,
  [2587] = 2587,
  [2588] = 2401,
  [2589] = 2525,
  [2590] = 2571,
  [2591] = 2568,
  [2592] = 2527,
  [2593] = 2529,
  [2594] = 2530,
  [2595] = 2401,
  [2596] = 2409,
  [2597] = 2568,
  [2598] = 2409,
  [2599] = 2568,
  [2600] = 2567,
  [2601] = 2418,
  [2602] = 2567,
  [2603] = 2567,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 121,
        '"', 169,
        '#', 250,
        '$', 174,
        '%', 210,
        '&', 72,
        '\'', 172,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 203,
        '/', 208,
        '0', 103,
        ':', 80,
        ';', 69,
        '<', 188,
        '=', 74,
        '>', 192,
        '?', 86,
        '@', 122,
        '[', 141,
        '\\', 76,
        ']', 142,
        '^', 182,
        '_', 245,
        '`', 173,
        '{', 77,
        '|', 91,
        '}', 78,
        '~', 119,
        'A', 235,
        'a', 235,
        'B', 211,
        'b', 211,
        'E', 214,
        'e', 214,
        'F', 215,
        'f', 215,
        'I', 229,
        'i', 229,
        'N', 243,
        'n', 243,
        'S', 241,
        's', 241,
        'T', 234,
        't', 234,
        'U', 227,
        'u', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(248);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(248);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(249);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 170,
        '\r', 170,
        '#', 251,
        '$', 174,
        '-', 31,
        '/', 20,
        '[', 141,
        '\\', 35,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 170,
        '\r', 170,
        '#', 251,
        '$', 174,
        '-', 31,
        '/', 20,
        '[', 141,
        '\\', 36,
        '{', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 121,
        '"', 155,
        '#', 250,
        '$', 174,
        '%', 209,
        '&', 71,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 206,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 203,
        '/', 207,
        '0', 103,
        ':', 79,
        ';', 69,
        '<', 189,
        '=', 30,
        '>', 193,
        '?', 89,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 181,
        '_', 245,
        '`', 173,
        '|', 92,
        '}', 78,
        '~', 119,
        'A', 235,
        'a', 235,
        'B', 212,
        'b', 212,
        'E', 214,
        'e', 214,
        'F', 216,
        'f', 216,
        'N', 243,
        'n', 243,
        'T', 234,
        't', 234,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 250,
        '$', 174,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 99,
        '/', 20,
        '0', 103,
        '<', 26,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '_', 245,
        '`', 173,
        '~', 119,
        'A', 235,
        'a', 235,
        'B', 212,
        'b', 212,
        'E', 214,
        'e', 214,
        'F', 216,
        'f', 216,
        'N', 243,
        'n', 243,
        'T', 234,
        't', 234,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 250,
        '$', 174,
        '\'', 157,
        '(', 82,
        '+', 112,
        '-', 115,
        '.', 100,
        '/', 20,
        '0', 103,
        '<', 26,
        '@', 122,
        '[', 141,
        '\\', 75,
        '_', 245,
        '`', 173,
        '~', 119,
        'A', 235,
        'a', 235,
        'B', 211,
        'b', 211,
        'E', 214,
        'e', 214,
        'F', 215,
        'f', 215,
        'I', 229,
        'i', 229,
        'N', 243,
        'n', 243,
        'S', 241,
        's', 241,
        'T', 234,
        't', 234,
        'U', 227,
        'u', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 29,
        '"', 169,
        '#', 251,
        '$', 174,
        '%', 209,
        '&', 71,
        '\'', 172,
        '(', 82,
        ')', 83,
        '*', 206,
        '+', 111,
        ',', 73,
        '-', 118,
        '.', 202,
        '/', 207,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 191,
        '=', 74,
        '>', 193,
        '?', 88,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 181,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 251,
        '$', 174,
        '%', 209,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 206,
        '+', 112,
        ',', 73,
        '-', 117,
        '.', 202,
        '/', 207,
        ':', 80,
        ';', 69,
        '<', 191,
        '=', 30,
        '>', 193,
        '?', 88,
        '[', 141,
        '\\', 35,
        ']', 142,
        '^', 181,
        '`', 173,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(10);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 251,
        '$', 174,
        '%', 209,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 206,
        '+', 112,
        ',', 73,
        '-', 117,
        '.', 202,
        '/', 207,
        ':', 80,
        ';', 69,
        '<', 191,
        '=', 30,
        '>', 193,
        '?', 88,
        '[', 141,
        '\\', 36,
        ']', 142,
        '^', 181,
        '`', 173,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(10);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 29,
        '#', 251,
        '$', 174,
        '%', 209,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 206,
        '+', 111,
        ',', 73,
        '-', 118,
        '.', 202,
        '/', 207,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 191,
        '=', 74,
        '>', 193,
        '?', 88,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 181,
        '{', 77,
        '|', 92,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 29,
        '#', 251,
        '$', 174,
        '%', 209,
        '&', 71,
        '(', 82,
        ')', 83,
        '*', 206,
        '+', 111,
        ',', 73,
        '-', 114,
        '.', 202,
        '/', 207,
        ':', 79,
        ';', 69,
        '<', 191,
        '=', 30,
        '>', 193,
        '?', 89,
        '\\', 75,
        ']', 142,
        '^', 181,
        '|', 92,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 155,
        '#', 250,
        '$', 174,
        '\'', 157,
        '(', 82,
        '/', 20,
        '<', 26,
        '[', 141,
        '\\', 75,
        'A', 235,
        'a', 235,
        'B', 212,
        'b', 212,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 155,
        '#', 251,
        '$', 174,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '.', 23,
        '/', 20,
        '0', 108,
        '<', 26,
        '[', 141,
        '\\', 75,
        '|', 90,
        '}', 78,
        'A', 235,
        'a', 235,
        'B', 212,
        'b', 212,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '"', 155,
        '#', 251,
        '\'', 157,
        '.', 100,
        '/', 20,
        '0', 103,
        '<', 26,
        '_', 56,
        'B', 13,
        'b', 13,
        'E', 39,
        'e', 39,
        'F', 40,
        'f', 40,
        'N', 50,
        'n', 50,
        'T', 47,
        't', 47,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 250,
        '$', 174,
        '&', 70,
        '(', 82,
        ')', 83,
        ',', 73,
        '.', 23,
        '/', 20,
        '?', 85,
        '\\', 75,
        '}', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 251,
        '$', 174,
        '&', 70,
        '(', 82,
        ')', 83,
        '.', 23,
        '/', 20,
        '=', 32,
        '?', 85,
        '\\', 75,
        '{', 77,
        '|', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(166);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(161);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(249);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(248);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(25);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(84);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(28);
      if (lookahead == '?') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(168);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(184);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(183);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(140);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(153);
      if (lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(150);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(148);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(158);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 40:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 42:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(46);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(67);
      END_STATE();
    case 47:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 48:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(41);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(106);
      END_STATE();
    case 52:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(151);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 62:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 121,
        '"', 155,
        '#', 250,
        '$', 174,
        '%', 210,
        '&', 72,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 203,
        '/', 208,
        '0', 103,
        ':', 80,
        ';', 69,
        '<', 188,
        '=', 74,
        '>', 192,
        '?', 86,
        '@', 122,
        '[', 141,
        '\\', 76,
        ']', 142,
        '^', 182,
        '_', 245,
        '`', 173,
        '{', 77,
        '|', 91,
        '}', 78,
        '~', 119,
        'A', 235,
        'a', 235,
        'B', 211,
        'b', 211,
        'E', 214,
        'e', 214,
        'F', 215,
        'f', 215,
        'I', 229,
        'i', 229,
        'N', 243,
        'n', 243,
        'S', 241,
        's', 241,
        'T', 234,
        't', 234,
        'U', 227,
        'u', 227,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 63:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 120,
        '"', 155,
        '#', 250,
        '$', 174,
        '&', 70,
        '\'', 157,
        '(', 82,
        ')', 83,
        '+', 112,
        ',', 73,
        '-', 115,
        '.', 100,
        '/', 20,
        '0', 103,
        ':', 79,
        ';', 69,
        '<', 27,
        '=', 32,
        '?', 33,
        '@', 122,
        '[', 141,
        '\\', 75,
        ']', 142,
        '_', 245,
        '`', 173,
        '{', 77,
        '}', 78,
        '~', 119,
        'A', 235,
        'a', 235,
        'B', 212,
        'b', 212,
        'E', 214,
        'e', 214,
        'F', 216,
        'f', 216,
        'N', 243,
        'n', 243,
        'T', 234,
        't', 234,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 64:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 29,
        '"', 155,
        '#', 251,
        '$', 174,
        '%', 210,
        '&', 72,
        '\'', 157,
        '(', 82,
        ')', 83,
        '*', 205,
        '+', 113,
        ',', 73,
        '-', 116,
        '.', 204,
        '/', 208,
        '0', 108,
        ':', 80,
        ';', 69,
        '<', 190,
        '=', 74,
        '>', 192,
        '?', 87,
        '[', 141,
        '\\', 75,
        ']', 142,
        '^', 182,
        '{', 77,
        '|', 91,
        '}', 78,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(67);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(180);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(180);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(183);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(158);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(123);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(66);
      if (lookahead == '?') ADVANCE(176);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '?') ADVANCE(176);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '?') ADVANCE(175);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(175);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '|') ADVANCE(179);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(179);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 100,
        '_', 52,
        'B', 51,
        'b', 51,
        'E', 39,
        'e', 39,
        'O', 109,
        'o', 109,
        'X', 59,
        'x', 59,
        '8', 24,
        '9', 24,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(109);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(125);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(125);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(124);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(184);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(148);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(167);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead == '>') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '#') ADVANCE(166);
      if (lookahead == '/') ADVANCE(162);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(164);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead == '/') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(164);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(165);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(170);
      if (lookahead == '\r') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(187);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(198);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(185);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(199);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(185);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(197);
      if (lookahead == '=') ADVANCE(194);
      if (lookahead == '>') ADVANCE(185);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(201);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(168);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(177);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(249);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(249);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(154);
      if (lookahead == '\'') ADVANCE(156);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(100);
      if (lookahead == '_') ADVANCE(245);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(214);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(213);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(247);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(226);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(226);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(146);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(97);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(94);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(144);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(218);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(217);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(219);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(220);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(95);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(96);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(98);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(219);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(93);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(213);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(249);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(249);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(249);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 63},
  [2] = {.lex_state = 63},
  [3] = {.lex_state = 63},
  [4] = {.lex_state = 63},
  [5] = {.lex_state = 63},
  [6] = {.lex_state = 63},
  [7] = {.lex_state = 63},
  [8] = {.lex_state = 63},
  [9] = {.lex_state = 63},
  [10] = {.lex_state = 63},
  [11] = {.lex_state = 63},
  [12] = {.lex_state = 63, .external_lex_state = 2},
  [13] = {.lex_state = 63},
  [14] = {.lex_state = 63},
  [15] = {.lex_state = 63, .external_lex_state = 2},
  [16] = {.lex_state = 63},
  [17] = {.lex_state = 63, .external_lex_state = 2},
  [18] = {.lex_state = 63, .external_lex_state = 2},
  [19] = {.lex_state = 63},
  [20] = {.lex_state = 63},
  [21] = {.lex_state = 63, .external_lex_state = 2},
  [22] = {.lex_state = 63, .external_lex_state = 2},
  [23] = {.lex_state = 63},
  [24] = {.lex_state = 63},
  [25] = {.lex_state = 63},
  [26] = {.lex_state = 63},
  [27] = {.lex_state = 63, .external_lex_state = 2},
  [28] = {.lex_state = 63},
  [29] = {.lex_state = 63},
  [30] = {.lex_state = 63, .external_lex_state = 2},
  [31] = {.lex_state = 63},
  [32] = {.lex_state = 63},
  [33] = {.lex_state = 63},
  [34] = {.lex_state = 63},
  [35] = {.lex_state = 63, .external_lex_state = 2},
  [36] = {.lex_state = 63},
  [37] = {.lex_state = 63},
  [38] = {.lex_state = 63, .external_lex_state = 2},
  [39] = {.lex_state = 63},
  [40] = {.lex_state = 63},
  [41] = {.lex_state = 63, .external_lex_state = 2},
  [42] = {.lex_state = 63, .external_lex_state = 2},
  [43] = {.lex_state = 63},
  [44] = {.lex_state = 63},
  [45] = {.lex_state = 63},
  [46] = {.lex_state = 63, .external_lex_state = 2},
  [47] = {.lex_state = 63},
  [48] = {.lex_state = 63},
  [49] = {.lex_state = 63, .external_lex_state = 2},
  [50] = {.lex_state = 63},
  [51] = {.lex_state = 63, .external_lex_state = 2},
  [52] = {.lex_state = 63, .external_lex_state = 2},
  [53] = {.lex_state = 63},
  [54] = {.lex_state = 63},
  [55] = {.lex_state = 63, .external_lex_state = 2},
  [56] = {.lex_state = 63, .external_lex_state = 2},
  [57] = {.lex_state = 63},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63, .external_lex_state = 2},
  [60] = {.lex_state = 63},
  [61] = {.lex_state = 63, .external_lex_state = 2},
  [62] = {.lex_state = 63, .external_lex_state = 2},
  [63] = {.lex_state = 63},
  [64] = {.lex_state = 63},
  [65] = {.lex_state = 63},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 63},
  [68] = {.lex_state = 63},
  [69] = {.lex_state = 63, .external_lex_state = 2},
  [70] = {.lex_state = 63},
  [71] = {.lex_state = 63},
  [72] = {.lex_state = 63, .external_lex_state = 2},
  [73] = {.lex_state = 63, .external_lex_state = 2},
  [74] = {.lex_state = 63},
  [75] = {.lex_state = 63},
  [76] = {.lex_state = 63},
  [77] = {.lex_state = 63},
  [78] = {.lex_state = 63},
  [79] = {.lex_state = 63},
  [80] = {.lex_state = 63},
  [81] = {.lex_state = 63},
  [82] = {.lex_state = 63},
  [83] = {.lex_state = 5},
  [84] = {.lex_state = 5},
  [85] = {.lex_state = 5, .external_lex_state = 2},
  [86] = {.lex_state = 5},
  [87] = {.lex_state = 7},
  [88] = {.lex_state = 7},
  [89] = {.lex_state = 7},
  [90] = {.lex_state = 7},
  [91] = {.lex_state = 7},
  [92] = {.lex_state = 7},
  [93] = {.lex_state = 7},
  [94] = {.lex_state = 7},
  [95] = {.lex_state = 7},
  [96] = {.lex_state = 7},
  [97] = {.lex_state = 7},
  [98] = {.lex_state = 7},
  [99] = {.lex_state = 6},
  [100] = {.lex_state = 6},
  [101] = {.lex_state = 6},
  [102] = {.lex_state = 6},
  [103] = {.lex_state = 6},
  [104] = {.lex_state = 6},
  [105] = {.lex_state = 6},
  [106] = {.lex_state = 6},
  [107] = {.lex_state = 6},
  [108] = {.lex_state = 6},
  [109] = {.lex_state = 6},
  [110] = {.lex_state = 6},
  [111] = {.lex_state = 6},
  [112] = {.lex_state = 6},
  [113] = {.lex_state = 6},
  [114] = {.lex_state = 6},
  [115] = {.lex_state = 6},
  [116] = {.lex_state = 6},
  [117] = {.lex_state = 6},
  [118] = {.lex_state = 6},
  [119] = {.lex_state = 6},
  [120] = {.lex_state = 6},
  [121] = {.lex_state = 6},
  [122] = {.lex_state = 6},
  [123] = {.lex_state = 6},
  [124] = {.lex_state = 6},
  [125] = {.lex_state = 6},
  [126] = {.lex_state = 6},
  [127] = {.lex_state = 6},
  [128] = {.lex_state = 6},
  [129] = {.lex_state = 6},
  [130] = {.lex_state = 6},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 63},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 63},
  [143] = {.lex_state = 63},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 63},
  [146] = {.lex_state = 63},
  [147] = {.lex_state = 63},
  [148] = {.lex_state = 63},
  [149] = {.lex_state = 63},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 63},
  [152] = {.lex_state = 63},
  [153] = {.lex_state = 63},
  [154] = {.lex_state = 63},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 63},
  [157] = {.lex_state = 63},
  [158] = {.lex_state = 63},
  [159] = {.lex_state = 63},
  [160] = {.lex_state = 63},
  [161] = {.lex_state = 63},
  [162] = {.lex_state = 63},
  [163] = {.lex_state = 63},
  [164] = {.lex_state = 63},
  [165] = {.lex_state = 63},
  [166] = {.lex_state = 63},
  [167] = {.lex_state = 63},
  [168] = {.lex_state = 63},
  [169] = {.lex_state = 63},
  [170] = {.lex_state = 63},
  [171] = {.lex_state = 63},
  [172] = {.lex_state = 63},
  [173] = {.lex_state = 63},
  [174] = {.lex_state = 63},
  [175] = {.lex_state = 63},
  [176] = {.lex_state = 63},
  [177] = {.lex_state = 63},
  [178] = {.lex_state = 63},
  [179] = {.lex_state = 63},
  [180] = {.lex_state = 63},
  [181] = {.lex_state = 63},
  [182] = {.lex_state = 63},
  [183] = {.lex_state = 63},
  [184] = {.lex_state = 63, .external_lex_state = 2},
  [185] = {.lex_state = 63},
  [186] = {.lex_state = 63},
  [187] = {.lex_state = 63, .external_lex_state = 2},
  [188] = {.lex_state = 6},
  [189] = {.lex_state = 63},
  [190] = {.lex_state = 63},
  [191] = {.lex_state = 63, .external_lex_state = 2},
  [192] = {.lex_state = 63, .external_lex_state = 2},
  [193] = {.lex_state = 63},
  [194] = {.lex_state = 63},
  [195] = {.lex_state = 63},
  [196] = {.lex_state = 63, .external_lex_state = 2},
  [197] = {.lex_state = 63},
  [198] = {.lex_state = 6},
  [199] = {.lex_state = 63, .external_lex_state = 2},
  [200] = {.lex_state = 63},
  [201] = {.lex_state = 63},
  [202] = {.lex_state = 63},
  [203] = {.lex_state = 63},
  [204] = {.lex_state = 63},
  [205] = {.lex_state = 63},
  [206] = {.lex_state = 63},
  [207] = {.lex_state = 63},
  [208] = {.lex_state = 63},
  [209] = {.lex_state = 63},
  [210] = {.lex_state = 63},
  [211] = {.lex_state = 63},
  [212] = {.lex_state = 63},
  [213] = {.lex_state = 63},
  [214] = {.lex_state = 63},
  [215] = {.lex_state = 63},
  [216] = {.lex_state = 63},
  [217] = {.lex_state = 63},
  [218] = {.lex_state = 63},
  [219] = {.lex_state = 63},
  [220] = {.lex_state = 63},
  [221] = {.lex_state = 63},
  [222] = {.lex_state = 63},
  [223] = {.lex_state = 63},
  [224] = {.lex_state = 63},
  [225] = {.lex_state = 63},
  [226] = {.lex_state = 63},
  [227] = {.lex_state = 63},
  [228] = {.lex_state = 63},
  [229] = {.lex_state = 63},
  [230] = {.lex_state = 63},
  [231] = {.lex_state = 63},
  [232] = {.lex_state = 63},
  [233] = {.lex_state = 63},
  [234] = {.lex_state = 63},
  [235] = {.lex_state = 63},
  [236] = {.lex_state = 63},
  [237] = {.lex_state = 63},
  [238] = {.lex_state = 63},
  [239] = {.lex_state = 63},
  [240] = {.lex_state = 63},
  [241] = {.lex_state = 63},
  [242] = {.lex_state = 63},
  [243] = {.lex_state = 63},
  [244] = {.lex_state = 63},
  [245] = {.lex_state = 63},
  [246] = {.lex_state = 63},
  [247] = {.lex_state = 63},
  [248] = {.lex_state = 63},
  [249] = {.lex_state = 63},
  [250] = {.lex_state = 63},
  [251] = {.lex_state = 63},
  [252] = {.lex_state = 63},
  [253] = {.lex_state = 63},
  [254] = {.lex_state = 63},
  [255] = {.lex_state = 63},
  [256] = {.lex_state = 63},
  [257] = {.lex_state = 63},
  [258] = {.lex_state = 63},
  [259] = {.lex_state = 63},
  [260] = {.lex_state = 63},
  [261] = {.lex_state = 63},
  [262] = {.lex_state = 63},
  [263] = {.lex_state = 63},
  [264] = {.lex_state = 63},
  [265] = {.lex_state = 63},
  [266] = {.lex_state = 63},
  [267] = {.lex_state = 63},
  [268] = {.lex_state = 63},
  [269] = {.lex_state = 63},
  [270] = {.lex_state = 63},
  [271] = {.lex_state = 63},
  [272] = {.lex_state = 63},
  [273] = {.lex_state = 63},
  [274] = {.lex_state = 63},
  [275] = {.lex_state = 63},
  [276] = {.lex_state = 63},
  [277] = {.lex_state = 63},
  [278] = {.lex_state = 63},
  [279] = {.lex_state = 63},
  [280] = {.lex_state = 63},
  [281] = {.lex_state = 63},
  [282] = {.lex_state = 63},
  [283] = {.lex_state = 63},
  [284] = {.lex_state = 63},
  [285] = {.lex_state = 63},
  [286] = {.lex_state = 63},
  [287] = {.lex_state = 63},
  [288] = {.lex_state = 63},
  [289] = {.lex_state = 63},
  [290] = {.lex_state = 63},
  [291] = {.lex_state = 63},
  [292] = {.lex_state = 63},
  [293] = {.lex_state = 63},
  [294] = {.lex_state = 63},
  [295] = {.lex_state = 63},
  [296] = {.lex_state = 63},
  [297] = {.lex_state = 63},
  [298] = {.lex_state = 63},
  [299] = {.lex_state = 63},
  [300] = {.lex_state = 63},
  [301] = {.lex_state = 63},
  [302] = {.lex_state = 63},
  [303] = {.lex_state = 63},
  [304] = {.lex_state = 63},
  [305] = {.lex_state = 63},
  [306] = {.lex_state = 63},
  [307] = {.lex_state = 63},
  [308] = {.lex_state = 63},
  [309] = {.lex_state = 63},
  [310] = {.lex_state = 63},
  [311] = {.lex_state = 63},
  [312] = {.lex_state = 63},
  [313] = {.lex_state = 63},
  [314] = {.lex_state = 63},
  [315] = {.lex_state = 63},
  [316] = {.lex_state = 63},
  [317] = {.lex_state = 63},
  [318] = {.lex_state = 63},
  [319] = {.lex_state = 63},
  [320] = {.lex_state = 63},
  [321] = {.lex_state = 63},
  [322] = {.lex_state = 63},
  [323] = {.lex_state = 63},
  [324] = {.lex_state = 63},
  [325] = {.lex_state = 63},
  [326] = {.lex_state = 63},
  [327] = {.lex_state = 63},
  [328] = {.lex_state = 63},
  [329] = {.lex_state = 63},
  [330] = {.lex_state = 63},
  [331] = {.lex_state = 63},
  [332] = {.lex_state = 63},
  [333] = {.lex_state = 63},
  [334] = {.lex_state = 63},
  [335] = {.lex_state = 63},
  [336] = {.lex_state = 63},
  [337] = {.lex_state = 63},
  [338] = {.lex_state = 63},
  [339] = {.lex_state = 63},
  [340] = {.lex_state = 63},
  [341] = {.lex_state = 63},
  [342] = {.lex_state = 63},
  [343] = {.lex_state = 63},
  [344] = {.lex_state = 63},
  [345] = {.lex_state = 63},
  [346] = {.lex_state = 63},
  [347] = {.lex_state = 63},
  [348] = {.lex_state = 63},
  [349] = {.lex_state = 63},
  [350] = {.lex_state = 63},
  [351] = {.lex_state = 63},
  [352] = {.lex_state = 63},
  [353] = {.lex_state = 63},
  [354] = {.lex_state = 63},
  [355] = {.lex_state = 63},
  [356] = {.lex_state = 63},
  [357] = {.lex_state = 63},
  [358] = {.lex_state = 63},
  [359] = {.lex_state = 63},
  [360] = {.lex_state = 63},
  [361] = {.lex_state = 63},
  [362] = {.lex_state = 63},
  [363] = {.lex_state = 63},
  [364] = {.lex_state = 63},
  [365] = {.lex_state = 63},
  [366] = {.lex_state = 63},
  [367] = {.lex_state = 63},
  [368] = {.lex_state = 63},
  [369] = {.lex_state = 63},
  [370] = {.lex_state = 63},
  [371] = {.lex_state = 63},
  [372] = {.lex_state = 63},
  [373] = {.lex_state = 63},
  [374] = {.lex_state = 63},
  [375] = {.lex_state = 63},
  [376] = {.lex_state = 63},
  [377] = {.lex_state = 63},
  [378] = {.lex_state = 63},
  [379] = {.lex_state = 63},
  [380] = {.lex_state = 63},
  [381] = {.lex_state = 63},
  [382] = {.lex_state = 63},
  [383] = {.lex_state = 63},
  [384] = {.lex_state = 63},
  [385] = {.lex_state = 63},
  [386] = {.lex_state = 63},
  [387] = {.lex_state = 63},
  [388] = {.lex_state = 63},
  [389] = {.lex_state = 63},
  [390] = {.lex_state = 63},
  [391] = {.lex_state = 63},
  [392] = {.lex_state = 63},
  [393] = {.lex_state = 63},
  [394] = {.lex_state = 63},
  [395] = {.lex_state = 63},
  [396] = {.lex_state = 63},
  [397] = {.lex_state = 63},
  [398] = {.lex_state = 63},
  [399] = {.lex_state = 63},
  [400] = {.lex_state = 63},
  [401] = {.lex_state = 63},
  [402] = {.lex_state = 63},
  [403] = {.lex_state = 63},
  [404] = {.lex_state = 63},
  [405] = {.lex_state = 63},
  [406] = {.lex_state = 63},
  [407] = {.lex_state = 63},
  [408] = {.lex_state = 63},
  [409] = {.lex_state = 63},
  [410] = {.lex_state = 63},
  [411] = {.lex_state = 63},
  [412] = {.lex_state = 63},
  [413] = {.lex_state = 63},
  [414] = {.lex_state = 63},
  [415] = {.lex_state = 63},
  [416] = {.lex_state = 63},
  [417] = {.lex_state = 63},
  [418] = {.lex_state = 63},
  [419] = {.lex_state = 63},
  [420] = {.lex_state = 63},
  [421] = {.lex_state = 63},
  [422] = {.lex_state = 63},
  [423] = {.lex_state = 63},
  [424] = {.lex_state = 63},
  [425] = {.lex_state = 63},
  [426] = {.lex_state = 63},
  [427] = {.lex_state = 63},
  [428] = {.lex_state = 63},
  [429] = {.lex_state = 63},
  [430] = {.lex_state = 63},
  [431] = {.lex_state = 63},
  [432] = {.lex_state = 63},
  [433] = {.lex_state = 63},
  [434] = {.lex_state = 63},
  [435] = {.lex_state = 63, .external_lex_state = 2},
  [436] = {.lex_state = 63, .external_lex_state = 2},
  [437] = {.lex_state = 63, .external_lex_state = 2},
  [438] = {.lex_state = 63, .external_lex_state = 2},
  [439] = {.lex_state = 63, .external_lex_state = 2},
  [440] = {.lex_state = 63, .external_lex_state = 2},
  [441] = {.lex_state = 63, .external_lex_state = 2},
  [442] = {.lex_state = 63, .external_lex_state = 2},
  [443] = {.lex_state = 63, .external_lex_state = 2},
  [444] = {.lex_state = 63, .external_lex_state = 2},
  [445] = {.lex_state = 63, .external_lex_state = 2},
  [446] = {.lex_state = 63, .external_lex_state = 2},
  [447] = {.lex_state = 63, .external_lex_state = 2},
  [448] = {.lex_state = 63, .external_lex_state = 2},
  [449] = {.lex_state = 63},
  [450] = {.lex_state = 63},
  [451] = {.lex_state = 63},
  [452] = {.lex_state = 63},
  [453] = {.lex_state = 63},
  [454] = {.lex_state = 63},
  [455] = {.lex_state = 63},
  [456] = {.lex_state = 63},
  [457] = {.lex_state = 63},
  [458] = {.lex_state = 63},
  [459] = {.lex_state = 63},
  [460] = {.lex_state = 63},
  [461] = {.lex_state = 63},
  [462] = {.lex_state = 63},
  [463] = {.lex_state = 63},
  [464] = {.lex_state = 63},
  [465] = {.lex_state = 63},
  [466] = {.lex_state = 63},
  [467] = {.lex_state = 63},
  [468] = {.lex_state = 63},
  [469] = {.lex_state = 63},
  [470] = {.lex_state = 63},
  [471] = {.lex_state = 63},
  [472] = {.lex_state = 63},
  [473] = {.lex_state = 63},
  [474] = {.lex_state = 63},
  [475] = {.lex_state = 63},
  [476] = {.lex_state = 63},
  [477] = {.lex_state = 63},
  [478] = {.lex_state = 63},
  [479] = {.lex_state = 63},
  [480] = {.lex_state = 63},
  [481] = {.lex_state = 63},
  [482] = {.lex_state = 63},
  [483] = {.lex_state = 63},
  [484] = {.lex_state = 63},
  [485] = {.lex_state = 63},
  [486] = {.lex_state = 63},
  [487] = {.lex_state = 63},
  [488] = {.lex_state = 63},
  [489] = {.lex_state = 63},
  [490] = {.lex_state = 63},
  [491] = {.lex_state = 63},
  [492] = {.lex_state = 63},
  [493] = {.lex_state = 63},
  [494] = {.lex_state = 63},
  [495] = {.lex_state = 63},
  [496] = {.lex_state = 63},
  [497] = {.lex_state = 63},
  [498] = {.lex_state = 63},
  [499] = {.lex_state = 63},
  [500] = {.lex_state = 63},
  [501] = {.lex_state = 63},
  [502] = {.lex_state = 63},
  [503] = {.lex_state = 63},
  [504] = {.lex_state = 63},
  [505] = {.lex_state = 63},
  [506] = {.lex_state = 63},
  [507] = {.lex_state = 63},
  [508] = {.lex_state = 63},
  [509] = {.lex_state = 63},
  [510] = {.lex_state = 63},
  [511] = {.lex_state = 63},
  [512] = {.lex_state = 63},
  [513] = {.lex_state = 63},
  [514] = {.lex_state = 63},
  [515] = {.lex_state = 63},
  [516] = {.lex_state = 63},
  [517] = {.lex_state = 63},
  [518] = {.lex_state = 63},
  [519] = {.lex_state = 63},
  [520] = {.lex_state = 63},
  [521] = {.lex_state = 63},
  [522] = {.lex_state = 63},
  [523] = {.lex_state = 63},
  [524] = {.lex_state = 63},
  [525] = {.lex_state = 63},
  [526] = {.lex_state = 63},
  [527] = {.lex_state = 63},
  [528] = {.lex_state = 63},
  [529] = {.lex_state = 63},
  [530] = {.lex_state = 63},
  [531] = {.lex_state = 63},
  [532] = {.lex_state = 63},
  [533] = {.lex_state = 63},
  [534] = {.lex_state = 63},
  [535] = {.lex_state = 63},
  [536] = {.lex_state = 63},
  [537] = {.lex_state = 63},
  [538] = {.lex_state = 63},
  [539] = {.lex_state = 63},
  [540] = {.lex_state = 63},
  [541] = {.lex_state = 63},
  [542] = {.lex_state = 63},
  [543] = {.lex_state = 63},
  [544] = {.lex_state = 63},
  [545] = {.lex_state = 63},
  [546] = {.lex_state = 63},
  [547] = {.lex_state = 63},
  [548] = {.lex_state = 63},
  [549] = {.lex_state = 63},
  [550] = {.lex_state = 63},
  [551] = {.lex_state = 63},
  [552] = {.lex_state = 63},
  [553] = {.lex_state = 63},
  [554] = {.lex_state = 63},
  [555] = {.lex_state = 63},
  [556] = {.lex_state = 63},
  [557] = {.lex_state = 63},
  [558] = {.lex_state = 63},
  [559] = {.lex_state = 63},
  [560] = {.lex_state = 63},
  [561] = {.lex_state = 63},
  [562] = {.lex_state = 63},
  [563] = {.lex_state = 63},
  [564] = {.lex_state = 63},
  [565] = {.lex_state = 64},
  [566] = {.lex_state = 64},
  [567] = {.lex_state = 64},
  [568] = {.lex_state = 64},
  [569] = {.lex_state = 64},
  [570] = {.lex_state = 64},
  [571] = {.lex_state = 64},
  [572] = {.lex_state = 64},
  [573] = {.lex_state = 64},
  [574] = {.lex_state = 64},
  [575] = {.lex_state = 64},
  [576] = {.lex_state = 64},
  [577] = {.lex_state = 64},
  [578] = {.lex_state = 64},
  [579] = {.lex_state = 64},
  [580] = {.lex_state = 64},
  [581] = {.lex_state = 64},
  [582] = {.lex_state = 64},
  [583] = {.lex_state = 64},
  [584] = {.lex_state = 64},
  [585] = {.lex_state = 64},
  [586] = {.lex_state = 64},
  [587] = {.lex_state = 64},
  [588] = {.lex_state = 64},
  [589] = {.lex_state = 64},
  [590] = {.lex_state = 64},
  [591] = {.lex_state = 64, .external_lex_state = 2},
  [592] = {.lex_state = 64, .external_lex_state = 2},
  [593] = {.lex_state = 64, .external_lex_state = 2},
  [594] = {.lex_state = 64},
  [595] = {.lex_state = 64, .external_lex_state = 2},
  [596] = {.lex_state = 64},
  [597] = {.lex_state = 64, .external_lex_state = 2},
  [598] = {.lex_state = 64, .external_lex_state = 2},
  [599] = {.lex_state = 64},
  [600] = {.lex_state = 64, .external_lex_state = 2},
  [601] = {.lex_state = 64, .external_lex_state = 2},
  [602] = {.lex_state = 64, .external_lex_state = 2},
  [603] = {.lex_state = 64, .external_lex_state = 2},
  [604] = {.lex_state = 64, .external_lex_state = 2},
  [605] = {.lex_state = 64, .external_lex_state = 2},
  [606] = {.lex_state = 64},
  [607] = {.lex_state = 64},
  [608] = {.lex_state = 64},
  [609] = {.lex_state = 64},
  [610] = {.lex_state = 64, .external_lex_state = 2},
  [611] = {.lex_state = 64, .external_lex_state = 2},
  [612] = {.lex_state = 64, .external_lex_state = 2},
  [613] = {.lex_state = 64, .external_lex_state = 2},
  [614] = {.lex_state = 64, .external_lex_state = 2},
  [615] = {.lex_state = 64, .external_lex_state = 2},
  [616] = {.lex_state = 64, .external_lex_state = 2},
  [617] = {.lex_state = 64},
  [618] = {.lex_state = 64, .external_lex_state = 2},
  [619] = {.lex_state = 64, .external_lex_state = 2},
  [620] = {.lex_state = 64, .external_lex_state = 2},
  [621] = {.lex_state = 64, .external_lex_state = 2},
  [622] = {.lex_state = 64, .external_lex_state = 2},
  [623] = {.lex_state = 64, .external_lex_state = 2},
  [624] = {.lex_state = 64},
  [625] = {.lex_state = 64, .external_lex_state = 2},
  [626] = {.lex_state = 64},
  [627] = {.lex_state = 64},
  [628] = {.lex_state = 64},
  [629] = {.lex_state = 64},
  [630] = {.lex_state = 64},
  [631] = {.lex_state = 64},
  [632] = {.lex_state = 64},
  [633] = {.lex_state = 8},
  [634] = {.lex_state = 12},
  [635] = {.lex_state = 12},
  [636] = {.lex_state = 8},
  [637] = {.lex_state = 9},
  [638] = {.lex_state = 8},
  [639] = {.lex_state = 8},
  [640] = {.lex_state = 9},
  [641] = {.lex_state = 9},
  [642] = {.lex_state = 9},
  [643] = {.lex_state = 8},
  [644] = {.lex_state = 9},
  [645] = {.lex_state = 9},
  [646] = {.lex_state = 9},
  [647] = {.lex_state = 8},
  [648] = {.lex_state = 9},
  [649] = {.lex_state = 9},
  [650] = {.lex_state = 9},
  [651] = {.lex_state = 17},
  [652] = {.lex_state = 14},
  [653] = {.lex_state = 9},
  [654] = {.lex_state = 9},
  [655] = {.lex_state = 9},
  [656] = {.lex_state = 9},
  [657] = {.lex_state = 17},
  [658] = {.lex_state = 9},
  [659] = {.lex_state = 9},
  [660] = {.lex_state = 9},
  [661] = {.lex_state = 9},
  [662] = {.lex_state = 9},
  [663] = {.lex_state = 8},
  [664] = {.lex_state = 14},
  [665] = {.lex_state = 9},
  [666] = {.lex_state = 8},
  [667] = {.lex_state = 9},
  [668] = {.lex_state = 9},
  [669] = {.lex_state = 9},
  [670] = {.lex_state = 9},
  [671] = {.lex_state = 8},
  [672] = {.lex_state = 17},
  [673] = {.lex_state = 8},
  [674] = {.lex_state = 8},
  [675] = {.lex_state = 8},
  [676] = {.lex_state = 15},
  [677] = {.lex_state = 17},
  [678] = {.lex_state = 8},
  [679] = {.lex_state = 8},
  [680] = {.lex_state = 8},
  [681] = {.lex_state = 8},
  [682] = {.lex_state = 8},
  [683] = {.lex_state = 8},
  [684] = {.lex_state = 8},
  [685] = {.lex_state = 17},
  [686] = {.lex_state = 8},
  [687] = {.lex_state = 15},
  [688] = {.lex_state = 8},
  [689] = {.lex_state = 8},
  [690] = {.lex_state = 8},
  [691] = {.lex_state = 8},
  [692] = {.lex_state = 8},
  [693] = {.lex_state = 8},
  [694] = {.lex_state = 8},
  [695] = {.lex_state = 15},
  [696] = {.lex_state = 15},
  [697] = {.lex_state = 8},
  [698] = {.lex_state = 8},
  [699] = {.lex_state = 9},
  [700] = {.lex_state = 8},
  [701] = {.lex_state = 8},
  [702] = {.lex_state = 8},
  [703] = {.lex_state = 8},
  [704] = {.lex_state = 8},
  [705] = {.lex_state = 8},
  [706] = {.lex_state = 8},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 17},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 9},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 15},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 15},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 17},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 8},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 8},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 8},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 9, .external_lex_state = 2},
  [757] = {.lex_state = 9, .external_lex_state = 2},
  [758] = {.lex_state = 8},
  [759] = {.lex_state = 9, .external_lex_state = 2},
  [760] = {.lex_state = 8},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 6},
  [763] = {.lex_state = 12},
  [764] = {.lex_state = 8, .external_lex_state = 2},
  [765] = {.lex_state = 8, .external_lex_state = 2},
  [766] = {.lex_state = 9, .external_lex_state = 2},
  [767] = {.lex_state = 9, .external_lex_state = 2},
  [768] = {.lex_state = 12},
  [769] = {.lex_state = 8},
  [770] = {.lex_state = 9, .external_lex_state = 2},
  [771] = {.lex_state = 8},
  [772] = {.lex_state = 9, .external_lex_state = 2},
  [773] = {.lex_state = 8, .external_lex_state = 2},
  [774] = {.lex_state = 8},
  [775] = {.lex_state = 8, .external_lex_state = 2},
  [776] = {.lex_state = 6},
  [777] = {.lex_state = 15},
  [778] = {.lex_state = 8},
  [779] = {.lex_state = 15},
  [780] = {.lex_state = 8, .external_lex_state = 2},
  [781] = {.lex_state = 9, .external_lex_state = 2},
  [782] = {.lex_state = 9, .external_lex_state = 2},
  [783] = {.lex_state = 15},
  [784] = {.lex_state = 9, .external_lex_state = 2},
  [785] = {.lex_state = 9, .external_lex_state = 2},
  [786] = {.lex_state = 9, .external_lex_state = 2},
  [787] = {.lex_state = 9, .external_lex_state = 2},
  [788] = {.lex_state = 9, .external_lex_state = 2},
  [789] = {.lex_state = 9, .external_lex_state = 2},
  [790] = {.lex_state = 9, .external_lex_state = 2},
  [791] = {.lex_state = 9, .external_lex_state = 2},
  [792] = {.lex_state = 9, .external_lex_state = 2},
  [793] = {.lex_state = 8, .external_lex_state = 2},
  [794] = {.lex_state = 9, .external_lex_state = 2},
  [795] = {.lex_state = 9, .external_lex_state = 2},
  [796] = {.lex_state = 15},
  [797] = {.lex_state = 9, .external_lex_state = 2},
  [798] = {.lex_state = 9, .external_lex_state = 2},
  [799] = {.lex_state = 9, .external_lex_state = 2},
  [800] = {.lex_state = 9, .external_lex_state = 2},
  [801] = {.lex_state = 8, .external_lex_state = 2},
  [802] = {.lex_state = 8, .external_lex_state = 2},
  [803] = {.lex_state = 15},
  [804] = {.lex_state = 15},
  [805] = {.lex_state = 8, .external_lex_state = 2},
  [806] = {.lex_state = 8, .external_lex_state = 2},
  [807] = {.lex_state = 15},
  [808] = {.lex_state = 8, .external_lex_state = 2},
  [809] = {.lex_state = 8, .external_lex_state = 2},
  [810] = {.lex_state = 8, .external_lex_state = 2},
  [811] = {.lex_state = 8, .external_lex_state = 2},
  [812] = {.lex_state = 8, .external_lex_state = 2},
  [813] = {.lex_state = 15},
  [814] = {.lex_state = 8, .external_lex_state = 2},
  [815] = {.lex_state = 8, .external_lex_state = 2},
  [816] = {.lex_state = 8, .external_lex_state = 2},
  [817] = {.lex_state = 8, .external_lex_state = 2},
  [818] = {.lex_state = 9, .external_lex_state = 2},
  [819] = {.lex_state = 15},
  [820] = {.lex_state = 8, .external_lex_state = 2},
  [821] = {.lex_state = 8, .external_lex_state = 2},
  [822] = {.lex_state = 12},
  [823] = {.lex_state = 8, .external_lex_state = 2},
  [824] = {.lex_state = 12},
  [825] = {.lex_state = 9, .external_lex_state = 2},
  [826] = {.lex_state = 8, .external_lex_state = 2},
  [827] = {.lex_state = 8, .external_lex_state = 2},
  [828] = {.lex_state = 8, .external_lex_state = 2},
  [829] = {.lex_state = 8, .external_lex_state = 2},
  [830] = {.lex_state = 8, .external_lex_state = 2},
  [831] = {.lex_state = 8, .external_lex_state = 2},
  [832] = {.lex_state = 8, .external_lex_state = 2},
  [833] = {.lex_state = 15},
  [834] = {.lex_state = 8, .external_lex_state = 2},
  [835] = {.lex_state = 8, .external_lex_state = 2},
  [836] = {.lex_state = 15},
  [837] = {.lex_state = 8, .external_lex_state = 2},
  [838] = {.lex_state = 15},
  [839] = {.lex_state = 15},
  [840] = {.lex_state = 8, .external_lex_state = 2},
  [841] = {.lex_state = 8, .external_lex_state = 2},
  [842] = {.lex_state = 15},
  [843] = {.lex_state = 15},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 15},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 8, .external_lex_state = 2},
  [849] = {.lex_state = 8, .external_lex_state = 2},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 15},
  [854] = {.lex_state = 15},
  [855] = {.lex_state = 15},
  [856] = {.lex_state = 8, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 8, .external_lex_state = 2},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 8, .external_lex_state = 2},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 8, .external_lex_state = 2},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 8, .external_lex_state = 2},
  [891] = {.lex_state = 8, .external_lex_state = 2},
  [892] = {.lex_state = 8, .external_lex_state = 2},
  [893] = {.lex_state = 8, .external_lex_state = 2},
  [894] = {.lex_state = 8, .external_lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 8},
  [897] = {.lex_state = 8, .external_lex_state = 2},
  [898] = {.lex_state = 8, .external_lex_state = 2},
  [899] = {.lex_state = 8, .external_lex_state = 2},
  [900] = {.lex_state = 8, .external_lex_state = 2},
  [901] = {.lex_state = 8, .external_lex_state = 2},
  [902] = {.lex_state = 8, .external_lex_state = 2},
  [903] = {.lex_state = 12},
  [904] = {.lex_state = 12},
  [905] = {.lex_state = 12},
  [906] = {.lex_state = 12},
  [907] = {.lex_state = 12},
  [908] = {.lex_state = 12},
  [909] = {.lex_state = 12},
  [910] = {.lex_state = 12},
  [911] = {.lex_state = 12},
  [912] = {.lex_state = 12},
  [913] = {.lex_state = 12},
  [914] = {.lex_state = 12},
  [915] = {.lex_state = 12},
  [916] = {.lex_state = 12},
  [917] = {.lex_state = 12},
  [918] = {.lex_state = 12},
  [919] = {.lex_state = 12},
  [920] = {.lex_state = 12},
  [921] = {.lex_state = 12},
  [922] = {.lex_state = 12},
  [923] = {.lex_state = 12},
  [924] = {.lex_state = 12},
  [925] = {.lex_state = 12},
  [926] = {.lex_state = 12},
  [927] = {.lex_state = 12},
  [928] = {.lex_state = 12},
  [929] = {.lex_state = 12},
  [930] = {.lex_state = 12},
  [931] = {.lex_state = 12},
  [932] = {.lex_state = 12},
  [933] = {.lex_state = 12},
  [934] = {.lex_state = 12},
  [935] = {.lex_state = 12},
  [936] = {.lex_state = 12},
  [937] = {.lex_state = 12},
  [938] = {.lex_state = 12},
  [939] = {.lex_state = 12},
  [940] = {.lex_state = 12},
  [941] = {.lex_state = 12},
  [942] = {.lex_state = 12},
  [943] = {.lex_state = 12},
  [944] = {.lex_state = 12},
  [945] = {.lex_state = 12},
  [946] = {.lex_state = 12},
  [947] = {.lex_state = 12},
  [948] = {.lex_state = 12},
  [949] = {.lex_state = 12},
  [950] = {.lex_state = 12},
  [951] = {.lex_state = 12},
  [952] = {.lex_state = 12},
  [953] = {.lex_state = 12},
  [954] = {.lex_state = 12},
  [955] = {.lex_state = 12},
  [956] = {.lex_state = 12},
  [957] = {.lex_state = 12},
  [958] = {.lex_state = 12},
  [959] = {.lex_state = 12},
  [960] = {.lex_state = 12},
  [961] = {.lex_state = 12},
  [962] = {.lex_state = 12},
  [963] = {.lex_state = 12},
  [964] = {.lex_state = 12},
  [965] = {.lex_state = 12},
  [966] = {.lex_state = 12},
  [967] = {.lex_state = 12},
  [968] = {.lex_state = 17},
  [969] = {.lex_state = 18},
  [970] = {.lex_state = 17},
  [971] = {.lex_state = 12, .external_lex_state = 2},
  [972] = {.lex_state = 12, .external_lex_state = 2},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 12},
  [975] = {.lex_state = 12},
  [976] = {.lex_state = 12},
  [977] = {.lex_state = 12},
  [978] = {.lex_state = 12},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 12},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 12},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 17},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 17},
  [1040] = {.lex_state = 17},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 12, .external_lex_state = 2},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12},
  [1142] = {.lex_state = 12},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12},
  [1149] = {.lex_state = 12},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12, .external_lex_state = 2},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12, .external_lex_state = 2},
  [1196] = {.lex_state = 12, .external_lex_state = 2},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 17},
  [1202] = {.lex_state = 17},
  [1203] = {.lex_state = 17},
  [1204] = {.lex_state = 12, .external_lex_state = 2},
  [1205] = {.lex_state = 12, .external_lex_state = 2},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 17},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 12},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12, .external_lex_state = 2},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12, .external_lex_state = 2},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 12, .external_lex_state = 2},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 17},
  [1232] = {.lex_state = 17},
  [1233] = {.lex_state = 17},
  [1234] = {.lex_state = 17},
  [1235] = {.lex_state = 17},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 17},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 17},
  [1314] = {.lex_state = 17},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 17},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 17},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 12},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 64},
  [1338] = {.lex_state = 64},
  [1339] = {.lex_state = 64},
  [1340] = {.lex_state = 64},
  [1341] = {.lex_state = 64},
  [1342] = {.lex_state = 64},
  [1343] = {.lex_state = 64},
  [1344] = {.lex_state = 64},
  [1345] = {.lex_state = 64},
  [1346] = {.lex_state = 64},
  [1347] = {.lex_state = 64},
  [1348] = {.lex_state = 16},
  [1349] = {.lex_state = 64},
  [1350] = {.lex_state = 64},
  [1351] = {.lex_state = 64},
  [1352] = {.lex_state = 64},
  [1353] = {.lex_state = 64},
  [1354] = {.lex_state = 15},
  [1355] = {.lex_state = 3, .external_lex_state = 3},
  [1356] = {.lex_state = 3, .external_lex_state = 3},
  [1357] = {.lex_state = 17},
  [1358] = {.lex_state = 17},
  [1359] = {.lex_state = 17},
  [1360] = {.lex_state = 17},
  [1361] = {.lex_state = 17},
  [1362] = {.lex_state = 17},
  [1363] = {.lex_state = 17},
  [1364] = {.lex_state = 3, .external_lex_state = 3},
  [1365] = {.lex_state = 17},
  [1366] = {.lex_state = 17},
  [1367] = {.lex_state = 3, .external_lex_state = 3},
  [1368] = {.lex_state = 17},
  [1369] = {.lex_state = 17},
  [1370] = {.lex_state = 17},
  [1371] = {.lex_state = 17},
  [1372] = {.lex_state = 17},
  [1373] = {.lex_state = 17},
  [1374] = {.lex_state = 3, .external_lex_state = 3},
  [1375] = {.lex_state = 3, .external_lex_state = 4},
  [1376] = {.lex_state = 17},
  [1377] = {.lex_state = 9, .external_lex_state = 5},
  [1378] = {.lex_state = 9, .external_lex_state = 6},
  [1379] = {.lex_state = 9, .external_lex_state = 6},
  [1380] = {.lex_state = 17},
  [1381] = {.lex_state = 64},
  [1382] = {.lex_state = 17},
  [1383] = {.lex_state = 17},
  [1384] = {.lex_state = 9, .external_lex_state = 5},
  [1385] = {.lex_state = 9, .external_lex_state = 5},
  [1386] = {.lex_state = 9, .external_lex_state = 5},
  [1387] = {.lex_state = 17},
  [1388] = {.lex_state = 17},
  [1389] = {.lex_state = 17},
  [1390] = {.lex_state = 17},
  [1391] = {.lex_state = 17},
  [1392] = {.lex_state = 9, .external_lex_state = 5},
  [1393] = {.lex_state = 9, .external_lex_state = 6},
  [1394] = {.lex_state = 17},
  [1395] = {.lex_state = 17},
  [1396] = {.lex_state = 17},
  [1397] = {.lex_state = 64},
  [1398] = {.lex_state = 18},
  [1399] = {.lex_state = 17},
  [1400] = {.lex_state = 17},
  [1401] = {.lex_state = 17},
  [1402] = {.lex_state = 9, .external_lex_state = 6},
  [1403] = {.lex_state = 17},
  [1404] = {.lex_state = 17},
  [1405] = {.lex_state = 9, .external_lex_state = 6},
  [1406] = {.lex_state = 17},
  [1407] = {.lex_state = 64},
  [1408] = {.lex_state = 64},
  [1409] = {.lex_state = 64},
  [1410] = {.lex_state = 64},
  [1411] = {.lex_state = 9, .external_lex_state = 4},
  [1412] = {.lex_state = 15},
  [1413] = {.lex_state = 64},
  [1414] = {.lex_state = 18},
  [1415] = {.lex_state = 64},
  [1416] = {.lex_state = 64},
  [1417] = {.lex_state = 15},
  [1418] = {.lex_state = 18},
  [1419] = {.lex_state = 18},
  [1420] = {.lex_state = 64},
  [1421] = {.lex_state = 64},
  [1422] = {.lex_state = 64},
  [1423] = {.lex_state = 64},
  [1424] = {.lex_state = 3, .external_lex_state = 7},
  [1425] = {.lex_state = 18},
  [1426] = {.lex_state = 64},
  [1427] = {.lex_state = 18},
  [1428] = {.lex_state = 18},
  [1429] = {.lex_state = 64},
  [1430] = {.lex_state = 64},
  [1431] = {.lex_state = 64},
  [1432] = {.lex_state = 64},
  [1433] = {.lex_state = 64},
  [1434] = {.lex_state = 3, .external_lex_state = 7},
  [1435] = {.lex_state = 18},
  [1436] = {.lex_state = 64},
  [1437] = {.lex_state = 64},
  [1438] = {.lex_state = 64},
  [1439] = {.lex_state = 64},
  [1440] = {.lex_state = 64},
  [1441] = {.lex_state = 64},
  [1442] = {.lex_state = 64},
  [1443] = {.lex_state = 18},
  [1444] = {.lex_state = 64},
  [1445] = {.lex_state = 64},
  [1446] = {.lex_state = 64},
  [1447] = {.lex_state = 64},
  [1448] = {.lex_state = 64},
  [1449] = {.lex_state = 64},
  [1450] = {.lex_state = 64},
  [1451] = {.lex_state = 64},
  [1452] = {.lex_state = 64},
  [1453] = {.lex_state = 64},
  [1454] = {.lex_state = 18},
  [1455] = {.lex_state = 64},
  [1456] = {.lex_state = 64},
  [1457] = {.lex_state = 64},
  [1458] = {.lex_state = 64},
  [1459] = {.lex_state = 64},
  [1460] = {.lex_state = 64},
  [1461] = {.lex_state = 64},
  [1462] = {.lex_state = 64},
  [1463] = {.lex_state = 9, .external_lex_state = 8},
  [1464] = {.lex_state = 64},
  [1465] = {.lex_state = 64},
  [1466] = {.lex_state = 64},
  [1467] = {.lex_state = 64},
  [1468] = {.lex_state = 64},
  [1469] = {.lex_state = 64},
  [1470] = {.lex_state = 64},
  [1471] = {.lex_state = 9, .external_lex_state = 9},
  [1472] = {.lex_state = 64},
  [1473] = {.lex_state = 64},
  [1474] = {.lex_state = 64},
  [1475] = {.lex_state = 64},
  [1476] = {.lex_state = 64},
  [1477] = {.lex_state = 64},
  [1478] = {.lex_state = 64},
  [1479] = {.lex_state = 64},
  [1480] = {.lex_state = 64},
  [1481] = {.lex_state = 64},
  [1482] = {.lex_state = 64},
  [1483] = {.lex_state = 9, .external_lex_state = 8},
  [1484] = {.lex_state = 64},
  [1485] = {.lex_state = 64},
  [1486] = {.lex_state = 64},
  [1487] = {.lex_state = 64},
  [1488] = {.lex_state = 64},
  [1489] = {.lex_state = 64},
  [1490] = {.lex_state = 64},
  [1491] = {.lex_state = 64},
  [1492] = {.lex_state = 64},
  [1493] = {.lex_state = 64},
  [1494] = {.lex_state = 64},
  [1495] = {.lex_state = 64},
  [1496] = {.lex_state = 64},
  [1497] = {.lex_state = 64},
  [1498] = {.lex_state = 64},
  [1499] = {.lex_state = 64},
  [1500] = {.lex_state = 64},
  [1501] = {.lex_state = 64},
  [1502] = {.lex_state = 64},
  [1503] = {.lex_state = 64},
  [1504] = {.lex_state = 64},
  [1505] = {.lex_state = 64},
  [1506] = {.lex_state = 9, .external_lex_state = 9},
  [1507] = {.lex_state = 64},
  [1508] = {.lex_state = 64},
  [1509] = {.lex_state = 64},
  [1510] = {.lex_state = 64},
  [1511] = {.lex_state = 64, .external_lex_state = 2},
  [1512] = {.lex_state = 64},
  [1513] = {.lex_state = 64},
  [1514] = {.lex_state = 64},
  [1515] = {.lex_state = 64},
  [1516] = {.lex_state = 64},
  [1517] = {.lex_state = 64, .external_lex_state = 2},
  [1518] = {.lex_state = 64},
  [1519] = {.lex_state = 64},
  [1520] = {.lex_state = 64},
  [1521] = {.lex_state = 64},
  [1522] = {.lex_state = 3, .external_lex_state = 3},
  [1523] = {.lex_state = 64},
  [1524] = {.lex_state = 3, .external_lex_state = 3},
  [1525] = {.lex_state = 8},
  [1526] = {.lex_state = 64},
  [1527] = {.lex_state = 3, .external_lex_state = 3},
  [1528] = {.lex_state = 64},
  [1529] = {.lex_state = 3, .external_lex_state = 3},
  [1530] = {.lex_state = 64, .external_lex_state = 2},
  [1531] = {.lex_state = 3, .external_lex_state = 3},
  [1532] = {.lex_state = 64},
  [1533] = {.lex_state = 64},
  [1534] = {.lex_state = 3, .external_lex_state = 3},
  [1535] = {.lex_state = 3, .external_lex_state = 3},
  [1536] = {.lex_state = 8},
  [1537] = {.lex_state = 64},
  [1538] = {.lex_state = 15},
  [1539] = {.lex_state = 64},
  [1540] = {.lex_state = 64},
  [1541] = {.lex_state = 64},
  [1542] = {.lex_state = 64},
  [1543] = {.lex_state = 8},
  [1544] = {.lex_state = 64},
  [1545] = {.lex_state = 64},
  [1546] = {.lex_state = 64},
  [1547] = {.lex_state = 3, .external_lex_state = 3},
  [1548] = {.lex_state = 64},
  [1549] = {.lex_state = 64},
  [1550] = {.lex_state = 64},
  [1551] = {.lex_state = 64},
  [1552] = {.lex_state = 64},
  [1553] = {.lex_state = 64, .external_lex_state = 2},
  [1554] = {.lex_state = 18},
  [1555] = {.lex_state = 64},
  [1556] = {.lex_state = 64},
  [1557] = {.lex_state = 64},
  [1558] = {.lex_state = 64},
  [1559] = {.lex_state = 64},
  [1560] = {.lex_state = 64},
  [1561] = {.lex_state = 64},
  [1562] = {.lex_state = 64},
  [1563] = {.lex_state = 64},
  [1564] = {.lex_state = 64},
  [1565] = {.lex_state = 9, .external_lex_state = 5},
  [1566] = {.lex_state = 64},
  [1567] = {.lex_state = 9, .external_lex_state = 5},
  [1568] = {.lex_state = 9, .external_lex_state = 5},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 9, .external_lex_state = 6},
  [1571] = {.lex_state = 9, .external_lex_state = 5},
  [1572] = {.lex_state = 64},
  [1573] = {.lex_state = 64},
  [1574] = {.lex_state = 64},
  [1575] = {.lex_state = 64},
  [1576] = {.lex_state = 64},
  [1577] = {.lex_state = 64},
  [1578] = {.lex_state = 64},
  [1579] = {.lex_state = 64},
  [1580] = {.lex_state = 64},
  [1581] = {.lex_state = 9, .external_lex_state = 6},
  [1582] = {.lex_state = 64},
  [1583] = {.lex_state = 64},
  [1584] = {.lex_state = 64},
  [1585] = {.lex_state = 64},
  [1586] = {.lex_state = 9, .external_lex_state = 6},
  [1587] = {.lex_state = 9, .external_lex_state = 6},
  [1588] = {.lex_state = 64},
  [1589] = {.lex_state = 64},
  [1590] = {.lex_state = 64},
  [1591] = {.lex_state = 64},
  [1592] = {.lex_state = 64},
  [1593] = {.lex_state = 64},
  [1594] = {.lex_state = 64},
  [1595] = {.lex_state = 64},
  [1596] = {.lex_state = 64},
  [1597] = {.lex_state = 64},
  [1598] = {.lex_state = 64},
  [1599] = {.lex_state = 64, .external_lex_state = 2},
  [1600] = {.lex_state = 9, .external_lex_state = 6},
  [1601] = {.lex_state = 9, .external_lex_state = 5},
  [1602] = {.lex_state = 64},
  [1603] = {.lex_state = 64},
  [1604] = {.lex_state = 9, .external_lex_state = 6},
  [1605] = {.lex_state = 64},
  [1606] = {.lex_state = 64},
  [1607] = {.lex_state = 64},
  [1608] = {.lex_state = 64},
  [1609] = {.lex_state = 64},
  [1610] = {.lex_state = 64},
  [1611] = {.lex_state = 64, .external_lex_state = 2},
  [1612] = {.lex_state = 64},
  [1613] = {.lex_state = 64, .external_lex_state = 2},
  [1614] = {.lex_state = 64},
  [1615] = {.lex_state = 9, .external_lex_state = 5},
  [1616] = {.lex_state = 64},
  [1617] = {.lex_state = 9, .external_lex_state = 5},
  [1618] = {.lex_state = 64},
  [1619] = {.lex_state = 64},
  [1620] = {.lex_state = 64},
  [1621] = {.lex_state = 64},
  [1622] = {.lex_state = 64},
  [1623] = {.lex_state = 64},
  [1624] = {.lex_state = 9, .external_lex_state = 6},
  [1625] = {.lex_state = 64},
  [1626] = {.lex_state = 64},
  [1627] = {.lex_state = 64},
  [1628] = {.lex_state = 9, .external_lex_state = 5},
  [1629] = {.lex_state = 64},
  [1630] = {.lex_state = 64},
  [1631] = {.lex_state = 9, .external_lex_state = 6},
  [1632] = {.lex_state = 64},
  [1633] = {.lex_state = 64},
  [1634] = {.lex_state = 64},
  [1635] = {.lex_state = 64, .external_lex_state = 2},
  [1636] = {.lex_state = 15},
  [1637] = {.lex_state = 64},
  [1638] = {.lex_state = 64},
  [1639] = {.lex_state = 64},
  [1640] = {.lex_state = 64},
  [1641] = {.lex_state = 64, .external_lex_state = 2},
  [1642] = {.lex_state = 64},
  [1643] = {.lex_state = 64},
  [1644] = {.lex_state = 64},
  [1645] = {.lex_state = 64, .external_lex_state = 2},
  [1646] = {.lex_state = 64},
  [1647] = {.lex_state = 64, .external_lex_state = 2},
  [1648] = {.lex_state = 64, .external_lex_state = 2},
  [1649] = {.lex_state = 64},
  [1650] = {.lex_state = 15},
  [1651] = {.lex_state = 64, .external_lex_state = 2},
  [1652] = {.lex_state = 64, .external_lex_state = 2},
  [1653] = {.lex_state = 64},
  [1654] = {.lex_state = 64, .external_lex_state = 2},
  [1655] = {.lex_state = 64},
  [1656] = {.lex_state = 64},
  [1657] = {.lex_state = 15},
  [1658] = {.lex_state = 64},
  [1659] = {.lex_state = 64},
  [1660] = {.lex_state = 64, .external_lex_state = 2},
  [1661] = {.lex_state = 64},
  [1662] = {.lex_state = 64},
  [1663] = {.lex_state = 64},
  [1664] = {.lex_state = 64},
  [1665] = {.lex_state = 64, .external_lex_state = 2},
  [1666] = {.lex_state = 64},
  [1667] = {.lex_state = 64},
  [1668] = {.lex_state = 64},
  [1669] = {.lex_state = 64, .external_lex_state = 2},
  [1670] = {.lex_state = 64},
  [1671] = {.lex_state = 64, .external_lex_state = 2},
  [1672] = {.lex_state = 64, .external_lex_state = 2},
  [1673] = {.lex_state = 64, .external_lex_state = 2},
  [1674] = {.lex_state = 64},
  [1675] = {.lex_state = 64},
  [1676] = {.lex_state = 64},
  [1677] = {.lex_state = 64, .external_lex_state = 2},
  [1678] = {.lex_state = 15},
  [1679] = {.lex_state = 64, .external_lex_state = 2},
  [1680] = {.lex_state = 64},
  [1681] = {.lex_state = 64, .external_lex_state = 2},
  [1682] = {.lex_state = 64},
  [1683] = {.lex_state = 64},
  [1684] = {.lex_state = 64},
  [1685] = {.lex_state = 64, .external_lex_state = 2},
  [1686] = {.lex_state = 15},
  [1687] = {.lex_state = 64},
  [1688] = {.lex_state = 64, .external_lex_state = 2},
  [1689] = {.lex_state = 64},
  [1690] = {.lex_state = 64},
  [1691] = {.lex_state = 64},
  [1692] = {.lex_state = 64},
  [1693] = {.lex_state = 64},
  [1694] = {.lex_state = 64},
  [1695] = {.lex_state = 64},
  [1696] = {.lex_state = 64},
  [1697] = {.lex_state = 15},
  [1698] = {.lex_state = 15},
  [1699] = {.lex_state = 64, .external_lex_state = 2},
  [1700] = {.lex_state = 15},
  [1701] = {.lex_state = 64},
  [1702] = {.lex_state = 64, .external_lex_state = 2},
  [1703] = {.lex_state = 64},
  [1704] = {.lex_state = 64, .external_lex_state = 2},
  [1705] = {.lex_state = 64},
  [1706] = {.lex_state = 64},
  [1707] = {.lex_state = 64, .external_lex_state = 2},
  [1708] = {.lex_state = 64, .external_lex_state = 2},
  [1709] = {.lex_state = 64, .external_lex_state = 2},
  [1710] = {.lex_state = 64, .external_lex_state = 2},
  [1711] = {.lex_state = 64, .external_lex_state = 2},
  [1712] = {.lex_state = 64, .external_lex_state = 2},
  [1713] = {.lex_state = 64, .external_lex_state = 2},
  [1714] = {.lex_state = 64},
  [1715] = {.lex_state = 64},
  [1716] = {.lex_state = 64, .external_lex_state = 2},
  [1717] = {.lex_state = 64, .external_lex_state = 2},
  [1718] = {.lex_state = 64, .external_lex_state = 2},
  [1719] = {.lex_state = 64, .external_lex_state = 2},
  [1720] = {.lex_state = 64},
  [1721] = {.lex_state = 64},
  [1722] = {.lex_state = 64},
  [1723] = {.lex_state = 19},
  [1724] = {.lex_state = 64},
  [1725] = {.lex_state = 15},
  [1726] = {.lex_state = 64, .external_lex_state = 2},
  [1727] = {.lex_state = 64, .external_lex_state = 2},
  [1728] = {.lex_state = 64, .external_lex_state = 2},
  [1729] = {.lex_state = 64},
  [1730] = {.lex_state = 64},
  [1731] = {.lex_state = 64},
  [1732] = {.lex_state = 64},
  [1733] = {.lex_state = 64},
  [1734] = {.lex_state = 64, .external_lex_state = 2},
  [1735] = {.lex_state = 64},
  [1736] = {.lex_state = 64},
  [1737] = {.lex_state = 64, .external_lex_state = 2},
  [1738] = {.lex_state = 64, .external_lex_state = 2},
  [1739] = {.lex_state = 64, .external_lex_state = 2},
  [1740] = {.lex_state = 64},
  [1741] = {.lex_state = 64},
  [1742] = {.lex_state = 64, .external_lex_state = 2},
  [1743] = {.lex_state = 64, .external_lex_state = 2},
  [1744] = {.lex_state = 64},
  [1745] = {.lex_state = 64},
  [1746] = {.lex_state = 64},
  [1747] = {.lex_state = 64},
  [1748] = {.lex_state = 64},
  [1749] = {.lex_state = 64},
  [1750] = {.lex_state = 64},
  [1751] = {.lex_state = 19},
  [1752] = {.lex_state = 64, .external_lex_state = 2},
  [1753] = {.lex_state = 64, .external_lex_state = 2},
  [1754] = {.lex_state = 64, .external_lex_state = 2},
  [1755] = {.lex_state = 64},
  [1756] = {.lex_state = 64},
  [1757] = {.lex_state = 64, .external_lex_state = 2},
  [1758] = {.lex_state = 64, .external_lex_state = 2},
  [1759] = {.lex_state = 64},
  [1760] = {.lex_state = 64, .external_lex_state = 2},
  [1761] = {.lex_state = 64, .external_lex_state = 2},
  [1762] = {.lex_state = 3, .external_lex_state = 10},
  [1763] = {.lex_state = 64},
  [1764] = {.lex_state = 64},
  [1765] = {.lex_state = 64},
  [1766] = {.lex_state = 64},
  [1767] = {.lex_state = 64, .external_lex_state = 2},
  [1768] = {.lex_state = 64},
  [1769] = {.lex_state = 64, .external_lex_state = 2},
  [1770] = {.lex_state = 64},
  [1771] = {.lex_state = 15},
  [1772] = {.lex_state = 64},
  [1773] = {.lex_state = 64},
  [1774] = {.lex_state = 15},
  [1775] = {.lex_state = 64},
  [1776] = {.lex_state = 64, .external_lex_state = 2},
  [1777] = {.lex_state = 64},
  [1778] = {.lex_state = 64, .external_lex_state = 2},
  [1779] = {.lex_state = 19},
  [1780] = {.lex_state = 64, .external_lex_state = 2},
  [1781] = {.lex_state = 64},
  [1782] = {.lex_state = 64, .external_lex_state = 2},
  [1783] = {.lex_state = 64, .external_lex_state = 2},
  [1784] = {.lex_state = 64},
  [1785] = {.lex_state = 64},
  [1786] = {.lex_state = 64, .external_lex_state = 2},
  [1787] = {.lex_state = 64},
  [1788] = {.lex_state = 64, .external_lex_state = 2},
  [1789] = {.lex_state = 64, .external_lex_state = 2},
  [1790] = {.lex_state = 64},
  [1791] = {.lex_state = 64},
  [1792] = {.lex_state = 64, .external_lex_state = 2},
  [1793] = {.lex_state = 64, .external_lex_state = 2},
  [1794] = {.lex_state = 64, .external_lex_state = 2},
  [1795] = {.lex_state = 64},
  [1796] = {.lex_state = 64},
  [1797] = {.lex_state = 64, .external_lex_state = 2},
  [1798] = {.lex_state = 64},
  [1799] = {.lex_state = 64, .external_lex_state = 2},
  [1800] = {.lex_state = 64},
  [1801] = {.lex_state = 64},
  [1802] = {.lex_state = 64},
  [1803] = {.lex_state = 64},
  [1804] = {.lex_state = 64},
  [1805] = {.lex_state = 64, .external_lex_state = 2},
  [1806] = {.lex_state = 64, .external_lex_state = 2},
  [1807] = {.lex_state = 64},
  [1808] = {.lex_state = 64},
  [1809] = {.lex_state = 64},
  [1810] = {.lex_state = 64, .external_lex_state = 2},
  [1811] = {.lex_state = 64, .external_lex_state = 2},
  [1812] = {.lex_state = 64},
  [1813] = {.lex_state = 64},
  [1814] = {.lex_state = 64, .external_lex_state = 2},
  [1815] = {.lex_state = 64, .external_lex_state = 2},
  [1816] = {.lex_state = 64},
  [1817] = {.lex_state = 64, .external_lex_state = 2},
  [1818] = {.lex_state = 19},
  [1819] = {.lex_state = 64},
  [1820] = {.lex_state = 64},
  [1821] = {.lex_state = 64},
  [1822] = {.lex_state = 64, .external_lex_state = 2},
  [1823] = {.lex_state = 3, .external_lex_state = 10},
  [1824] = {.lex_state = 64},
  [1825] = {.lex_state = 64, .external_lex_state = 2},
  [1826] = {.lex_state = 64},
  [1827] = {.lex_state = 64, .external_lex_state = 2},
  [1828] = {.lex_state = 64},
  [1829] = {.lex_state = 64},
  [1830] = {.lex_state = 64},
  [1831] = {.lex_state = 64, .external_lex_state = 2},
  [1832] = {.lex_state = 64},
  [1833] = {.lex_state = 64, .external_lex_state = 2},
  [1834] = {.lex_state = 64, .external_lex_state = 2},
  [1835] = {.lex_state = 64, .external_lex_state = 2},
  [1836] = {.lex_state = 64, .external_lex_state = 2},
  [1837] = {.lex_state = 64, .external_lex_state = 2},
  [1838] = {.lex_state = 64, .external_lex_state = 2},
  [1839] = {.lex_state = 64, .external_lex_state = 2},
  [1840] = {.lex_state = 64, .external_lex_state = 2},
  [1841] = {.lex_state = 64},
  [1842] = {.lex_state = 64, .external_lex_state = 2},
  [1843] = {.lex_state = 64, .external_lex_state = 2},
  [1844] = {.lex_state = 64},
  [1845] = {.lex_state = 64},
  [1846] = {.lex_state = 64, .external_lex_state = 2},
  [1847] = {.lex_state = 64, .external_lex_state = 2},
  [1848] = {.lex_state = 64, .external_lex_state = 2},
  [1849] = {.lex_state = 64},
  [1850] = {.lex_state = 64},
  [1851] = {.lex_state = 64},
  [1852] = {.lex_state = 19},
  [1853] = {.lex_state = 64},
  [1854] = {.lex_state = 64},
  [1855] = {.lex_state = 64},
  [1856] = {.lex_state = 64},
  [1857] = {.lex_state = 64, .external_lex_state = 2},
  [1858] = {.lex_state = 64},
  [1859] = {.lex_state = 64},
  [1860] = {.lex_state = 64},
  [1861] = {.lex_state = 64},
  [1862] = {.lex_state = 64, .external_lex_state = 2},
  [1863] = {.lex_state = 64},
  [1864] = {.lex_state = 64, .external_lex_state = 2},
  [1865] = {.lex_state = 64, .external_lex_state = 2},
  [1866] = {.lex_state = 64},
  [1867] = {.lex_state = 64, .external_lex_state = 2},
  [1868] = {.lex_state = 64, .external_lex_state = 2},
  [1869] = {.lex_state = 64},
  [1870] = {.lex_state = 3, .external_lex_state = 11},
  [1871] = {.lex_state = 64},
  [1872] = {.lex_state = 64},
  [1873] = {.lex_state = 64},
  [1874] = {.lex_state = 64},
  [1875] = {.lex_state = 64},
  [1876] = {.lex_state = 64},
  [1877] = {.lex_state = 64},
  [1878] = {.lex_state = 64},
  [1879] = {.lex_state = 64},
  [1880] = {.lex_state = 64},
  [1881] = {.lex_state = 64},
  [1882] = {.lex_state = 64},
  [1883] = {.lex_state = 64},
  [1884] = {.lex_state = 64},
  [1885] = {.lex_state = 64},
  [1886] = {.lex_state = 64},
  [1887] = {.lex_state = 64},
  [1888] = {.lex_state = 64},
  [1889] = {.lex_state = 64},
  [1890] = {.lex_state = 64},
  [1891] = {.lex_state = 64},
  [1892] = {.lex_state = 64},
  [1893] = {.lex_state = 64},
  [1894] = {.lex_state = 64, .external_lex_state = 2},
  [1895] = {.lex_state = 64},
  [1896] = {.lex_state = 64},
  [1897] = {.lex_state = 64},
  [1898] = {.lex_state = 64},
  [1899] = {.lex_state = 64},
  [1900] = {.lex_state = 64},
  [1901] = {.lex_state = 64},
  [1902] = {.lex_state = 64},
  [1903] = {.lex_state = 64},
  [1904] = {.lex_state = 64},
  [1905] = {.lex_state = 64},
  [1906] = {.lex_state = 64},
  [1907] = {.lex_state = 64},
  [1908] = {.lex_state = 64},
  [1909] = {.lex_state = 64},
  [1910] = {.lex_state = 64},
  [1911] = {.lex_state = 64, .external_lex_state = 2},
  [1912] = {.lex_state = 64},
  [1913] = {.lex_state = 64},
  [1914] = {.lex_state = 15},
  [1915] = {.lex_state = 64},
  [1916] = {.lex_state = 64},
  [1917] = {.lex_state = 64, .external_lex_state = 2},
  [1918] = {.lex_state = 64},
  [1919] = {.lex_state = 64},
  [1920] = {.lex_state = 3, .external_lex_state = 11},
  [1921] = {.lex_state = 3, .external_lex_state = 11},
  [1922] = {.lex_state = 64},
  [1923] = {.lex_state = 64},
  [1924] = {.lex_state = 64},
  [1925] = {.lex_state = 64},
  [1926] = {.lex_state = 64},
  [1927] = {.lex_state = 64},
  [1928] = {.lex_state = 64},
  [1929] = {.lex_state = 64},
  [1930] = {.lex_state = 64},
  [1931] = {.lex_state = 64},
  [1932] = {.lex_state = 64},
  [1933] = {.lex_state = 64},
  [1934] = {.lex_state = 64},
  [1935] = {.lex_state = 64},
  [1936] = {.lex_state = 64},
  [1937] = {.lex_state = 64},
  [1938] = {.lex_state = 64},
  [1939] = {.lex_state = 64},
  [1940] = {.lex_state = 64},
  [1941] = {.lex_state = 64},
  [1942] = {.lex_state = 64},
  [1943] = {.lex_state = 64},
  [1944] = {.lex_state = 64},
  [1945] = {.lex_state = 64},
  [1946] = {.lex_state = 64},
  [1947] = {.lex_state = 64},
  [1948] = {.lex_state = 64},
  [1949] = {.lex_state = 64},
  [1950] = {.lex_state = 64},
  [1951] = {.lex_state = 64},
  [1952] = {.lex_state = 64},
  [1953] = {.lex_state = 64},
  [1954] = {.lex_state = 3, .external_lex_state = 11},
  [1955] = {.lex_state = 64},
  [1956] = {.lex_state = 64},
  [1957] = {.lex_state = 64},
  [1958] = {.lex_state = 64, .external_lex_state = 2},
  [1959] = {.lex_state = 64},
  [1960] = {.lex_state = 64, .external_lex_state = 2},
  [1961] = {.lex_state = 64},
  [1962] = {.lex_state = 64},
  [1963] = {.lex_state = 64},
  [1964] = {.lex_state = 64},
  [1965] = {.lex_state = 64, .external_lex_state = 2},
  [1966] = {.lex_state = 64},
  [1967] = {.lex_state = 64, .external_lex_state = 2},
  [1968] = {.lex_state = 64},
  [1969] = {.lex_state = 64},
  [1970] = {.lex_state = 64, .external_lex_state = 2},
  [1971] = {.lex_state = 64},
  [1972] = {.lex_state = 64},
  [1973] = {.lex_state = 64},
  [1974] = {.lex_state = 64},
  [1975] = {.lex_state = 64},
  [1976] = {.lex_state = 64},
  [1977] = {.lex_state = 64},
  [1978] = {.lex_state = 64},
  [1979] = {.lex_state = 15},
  [1980] = {.lex_state = 64},
  [1981] = {.lex_state = 64},
  [1982] = {.lex_state = 15},
  [1983] = {.lex_state = 64},
  [1984] = {.lex_state = 64},
  [1985] = {.lex_state = 64},
  [1986] = {.lex_state = 64},
  [1987] = {.lex_state = 64},
  [1988] = {.lex_state = 64},
  [1989] = {.lex_state = 64, .external_lex_state = 2},
  [1990] = {.lex_state = 64},
  [1991] = {.lex_state = 64},
  [1992] = {.lex_state = 64},
  [1993] = {.lex_state = 64},
  [1994] = {.lex_state = 64, .external_lex_state = 2},
  [1995] = {.lex_state = 64},
  [1996] = {.lex_state = 64},
  [1997] = {.lex_state = 64},
  [1998] = {.lex_state = 64},
  [1999] = {.lex_state = 64},
  [2000] = {.lex_state = 64},
  [2001] = {.lex_state = 64},
  [2002] = {.lex_state = 64},
  [2003] = {.lex_state = 64},
  [2004] = {.lex_state = 64},
  [2005] = {.lex_state = 64},
  [2006] = {.lex_state = 64},
  [2007] = {.lex_state = 64},
  [2008] = {.lex_state = 64},
  [2009] = {.lex_state = 64},
  [2010] = {.lex_state = 64},
  [2011] = {.lex_state = 64},
  [2012] = {.lex_state = 64},
  [2013] = {.lex_state = 64, .external_lex_state = 2},
  [2014] = {.lex_state = 64},
  [2015] = {.lex_state = 64},
  [2016] = {.lex_state = 64},
  [2017] = {.lex_state = 64},
  [2018] = {.lex_state = 64},
  [2019] = {.lex_state = 64},
  [2020] = {.lex_state = 64, .external_lex_state = 2},
  [2021] = {.lex_state = 64},
  [2022] = {.lex_state = 64},
  [2023] = {.lex_state = 64},
  [2024] = {.lex_state = 64},
  [2025] = {.lex_state = 64},
  [2026] = {.lex_state = 64},
  [2027] = {.lex_state = 64},
  [2028] = {.lex_state = 64},
  [2029] = {.lex_state = 64},
  [2030] = {.lex_state = 64},
  [2031] = {.lex_state = 64},
  [2032] = {.lex_state = 64},
  [2033] = {.lex_state = 64},
  [2034] = {.lex_state = 64},
  [2035] = {.lex_state = 64},
  [2036] = {.lex_state = 64},
  [2037] = {.lex_state = 64, .external_lex_state = 12},
  [2038] = {.lex_state = 64, .external_lex_state = 2},
  [2039] = {.lex_state = 64},
  [2040] = {.lex_state = 64, .external_lex_state = 2},
  [2041] = {.lex_state = 64},
  [2042] = {.lex_state = 64},
  [2043] = {.lex_state = 64},
  [2044] = {.lex_state = 64},
  [2045] = {.lex_state = 64},
  [2046] = {.lex_state = 171, .external_lex_state = 13},
  [2047] = {.lex_state = 64},
  [2048] = {.lex_state = 64},
  [2049] = {.lex_state = 64},
  [2050] = {.lex_state = 64},
  [2051] = {.lex_state = 64},
  [2052] = {.lex_state = 64, .external_lex_state = 12},
  [2053] = {.lex_state = 64},
  [2054] = {.lex_state = 64},
  [2055] = {.lex_state = 64},
  [2056] = {.lex_state = 64},
  [2057] = {.lex_state = 64},
  [2058] = {.lex_state = 64},
  [2059] = {.lex_state = 64},
  [2060] = {.lex_state = 64},
  [2061] = {.lex_state = 64},
  [2062] = {.lex_state = 64},
  [2063] = {.lex_state = 64},
  [2064] = {.lex_state = 64, .external_lex_state = 2},
  [2065] = {.lex_state = 64},
  [2066] = {.lex_state = 64},
  [2067] = {.lex_state = 64},
  [2068] = {.lex_state = 64},
  [2069] = {.lex_state = 64},
  [2070] = {.lex_state = 64},
  [2071] = {.lex_state = 64},
  [2072] = {.lex_state = 64},
  [2073] = {.lex_state = 64},
  [2074] = {.lex_state = 64},
  [2075] = {.lex_state = 64},
  [2076] = {.lex_state = 64},
  [2077] = {.lex_state = 64},
  [2078] = {.lex_state = 64},
  [2079] = {.lex_state = 64},
  [2080] = {.lex_state = 3, .external_lex_state = 11},
  [2081] = {.lex_state = 64},
  [2082] = {.lex_state = 64},
  [2083] = {.lex_state = 64},
  [2084] = {.lex_state = 3, .external_lex_state = 11},
  [2085] = {.lex_state = 64},
  [2086] = {.lex_state = 64},
  [2087] = {.lex_state = 64},
  [2088] = {.lex_state = 64, .external_lex_state = 2},
  [2089] = {.lex_state = 64},
  [2090] = {.lex_state = 64},
  [2091] = {.lex_state = 64},
  [2092] = {.lex_state = 64, .external_lex_state = 2},
  [2093] = {.lex_state = 64},
  [2094] = {.lex_state = 64, .external_lex_state = 2},
  [2095] = {.lex_state = 64},
  [2096] = {.lex_state = 64},
  [2097] = {.lex_state = 64},
  [2098] = {.lex_state = 64},
  [2099] = {.lex_state = 64},
  [2100] = {.lex_state = 64},
  [2101] = {.lex_state = 64},
  [2102] = {.lex_state = 64},
  [2103] = {.lex_state = 64},
  [2104] = {.lex_state = 64},
  [2105] = {.lex_state = 64},
  [2106] = {.lex_state = 15},
  [2107] = {.lex_state = 64},
  [2108] = {.lex_state = 64},
  [2109] = {.lex_state = 64},
  [2110] = {.lex_state = 64},
  [2111] = {.lex_state = 64},
  [2112] = {.lex_state = 64},
  [2113] = {.lex_state = 64},
  [2114] = {.lex_state = 64},
  [2115] = {.lex_state = 64},
  [2116] = {.lex_state = 64},
  [2117] = {.lex_state = 64},
  [2118] = {.lex_state = 64},
  [2119] = {.lex_state = 64},
  [2120] = {.lex_state = 64},
  [2121] = {.lex_state = 64},
  [2122] = {.lex_state = 64},
  [2123] = {.lex_state = 64},
  [2124] = {.lex_state = 64},
  [2125] = {.lex_state = 64},
  [2126] = {.lex_state = 64},
  [2127] = {.lex_state = 64},
  [2128] = {.lex_state = 64},
  [2129] = {.lex_state = 64},
  [2130] = {.lex_state = 64},
  [2131] = {.lex_state = 64},
  [2132] = {.lex_state = 64},
  [2133] = {.lex_state = 64},
  [2134] = {.lex_state = 64},
  [2135] = {.lex_state = 64, .external_lex_state = 2},
  [2136] = {.lex_state = 64},
  [2137] = {.lex_state = 64, .external_lex_state = 2},
  [2138] = {.lex_state = 64},
  [2139] = {.lex_state = 64, .external_lex_state = 2},
  [2140] = {.lex_state = 64, .external_lex_state = 2},
  [2141] = {.lex_state = 64},
  [2142] = {.lex_state = 64},
  [2143] = {.lex_state = 64},
  [2144] = {.lex_state = 64},
  [2145] = {.lex_state = 64},
  [2146] = {.lex_state = 64},
  [2147] = {.lex_state = 64, .external_lex_state = 2},
  [2148] = {.lex_state = 64},
  [2149] = {.lex_state = 64},
  [2150] = {.lex_state = 64},
  [2151] = {.lex_state = 64},
  [2152] = {.lex_state = 64, .external_lex_state = 2},
  [2153] = {.lex_state = 64},
  [2154] = {.lex_state = 64},
  [2155] = {.lex_state = 64},
  [2156] = {.lex_state = 64},
  [2157] = {.lex_state = 64},
  [2158] = {.lex_state = 64},
  [2159] = {.lex_state = 64},
  [2160] = {.lex_state = 64},
  [2161] = {.lex_state = 64, .external_lex_state = 2},
  [2162] = {.lex_state = 64},
  [2163] = {.lex_state = 64},
  [2164] = {.lex_state = 64},
  [2165] = {.lex_state = 64},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 64},
  [2168] = {.lex_state = 64},
  [2169] = {.lex_state = 64},
  [2170] = {.lex_state = 64},
  [2171] = {.lex_state = 64},
  [2172] = {.lex_state = 64, .external_lex_state = 2},
  [2173] = {.lex_state = 64},
  [2174] = {.lex_state = 64, .external_lex_state = 2},
  [2175] = {.lex_state = 64, .external_lex_state = 2},
  [2176] = {.lex_state = 64, .external_lex_state = 2},
  [2177] = {.lex_state = 64},
  [2178] = {.lex_state = 64, .external_lex_state = 2},
  [2179] = {.lex_state = 64},
  [2180] = {.lex_state = 64},
  [2181] = {.lex_state = 64},
  [2182] = {.lex_state = 64},
  [2183] = {.lex_state = 64},
  [2184] = {.lex_state = 64},
  [2185] = {.lex_state = 64},
  [2186] = {.lex_state = 64},
  [2187] = {.lex_state = 64},
  [2188] = {.lex_state = 64},
  [2189] = {.lex_state = 64, .external_lex_state = 2},
  [2190] = {.lex_state = 64, .external_lex_state = 2},
  [2191] = {.lex_state = 64},
  [2192] = {.lex_state = 64, .external_lex_state = 2},
  [2193] = {.lex_state = 64},
  [2194] = {.lex_state = 64},
  [2195] = {.lex_state = 64, .external_lex_state = 2},
  [2196] = {.lex_state = 64},
  [2197] = {.lex_state = 64},
  [2198] = {.lex_state = 64},
  [2199] = {.lex_state = 64},
  [2200] = {.lex_state = 64},
  [2201] = {.lex_state = 64, .external_lex_state = 2},
  [2202] = {.lex_state = 64},
  [2203] = {.lex_state = 64, .external_lex_state = 2},
  [2204] = {.lex_state = 64},
  [2205] = {.lex_state = 64},
  [2206] = {.lex_state = 64},
  [2207] = {.lex_state = 64},
  [2208] = {.lex_state = 64},
  [2209] = {.lex_state = 64},
  [2210] = {.lex_state = 64},
  [2211] = {.lex_state = 64},
  [2212] = {.lex_state = 64, .external_lex_state = 2},
  [2213] = {.lex_state = 64},
  [2214] = {.lex_state = 3, .external_lex_state = 11},
  [2215] = {.lex_state = 3, .external_lex_state = 11},
  [2216] = {.lex_state = 64},
  [2217] = {.lex_state = 64},
  [2218] = {.lex_state = 64},
  [2219] = {.lex_state = 64, .external_lex_state = 2},
  [2220] = {.lex_state = 64},
  [2221] = {.lex_state = 64},
  [2222] = {.lex_state = 64},
  [2223] = {.lex_state = 64},
  [2224] = {.lex_state = 64},
  [2225] = {.lex_state = 64},
  [2226] = {.lex_state = 64},
  [2227] = {.lex_state = 64},
  [2228] = {.lex_state = 64},
  [2229] = {.lex_state = 64},
  [2230] = {.lex_state = 64},
  [2231] = {.lex_state = 64, .external_lex_state = 2},
  [2232] = {.lex_state = 64},
  [2233] = {.lex_state = 64},
  [2234] = {.lex_state = 64},
  [2235] = {.lex_state = 64},
  [2236] = {.lex_state = 64},
  [2237] = {.lex_state = 64},
  [2238] = {.lex_state = 64},
  [2239] = {.lex_state = 64, .external_lex_state = 2},
  [2240] = {.lex_state = 64},
  [2241] = {.lex_state = 64},
  [2242] = {.lex_state = 64},
  [2243] = {.lex_state = 64, .external_lex_state = 2},
  [2244] = {.lex_state = 64, .external_lex_state = 2},
  [2245] = {.lex_state = 64},
  [2246] = {.lex_state = 64},
  [2247] = {.lex_state = 64},
  [2248] = {.lex_state = 64},
  [2249] = {.lex_state = 64},
  [2250] = {.lex_state = 64, .external_lex_state = 2},
  [2251] = {.lex_state = 64},
  [2252] = {.lex_state = 64},
  [2253] = {.lex_state = 64},
  [2254] = {.lex_state = 64},
  [2255] = {.lex_state = 64},
  [2256] = {.lex_state = 64},
  [2257] = {.lex_state = 64},
  [2258] = {.lex_state = 64, .external_lex_state = 2},
  [2259] = {.lex_state = 64},
  [2260] = {.lex_state = 64, .external_lex_state = 2},
  [2261] = {.lex_state = 64, .external_lex_state = 2},
  [2262] = {.lex_state = 64},
  [2263] = {.lex_state = 64, .external_lex_state = 2},
  [2264] = {.lex_state = 64},
  [2265] = {.lex_state = 64},
  [2266] = {.lex_state = 64, .external_lex_state = 2},
  [2267] = {.lex_state = 64, .external_lex_state = 2},
  [2268] = {.lex_state = 64, .external_lex_state = 2},
  [2269] = {.lex_state = 64},
  [2270] = {.lex_state = 64},
  [2271] = {.lex_state = 64, .external_lex_state = 2},
  [2272] = {.lex_state = 64, .external_lex_state = 2},
  [2273] = {.lex_state = 64},
  [2274] = {.lex_state = 64},
  [2275] = {.lex_state = 64, .external_lex_state = 2},
  [2276] = {.lex_state = 64, .external_lex_state = 2},
  [2277] = {.lex_state = 64},
  [2278] = {.lex_state = 64},
  [2279] = {.lex_state = 64, .external_lex_state = 2},
  [2280] = {.lex_state = 64},
  [2281] = {.lex_state = 64},
  [2282] = {.lex_state = 64, .external_lex_state = 2},
  [2283] = {.lex_state = 64},
  [2284] = {.lex_state = 64, .external_lex_state = 2},
  [2285] = {.lex_state = 64},
  [2286] = {.lex_state = 64},
  [2287] = {.lex_state = 64},
  [2288] = {.lex_state = 64},
  [2289] = {.lex_state = 3, .external_lex_state = 11},
  [2290] = {.lex_state = 64, .external_lex_state = 2},
  [2291] = {.lex_state = 64},
  [2292] = {.lex_state = 64},
  [2293] = {.lex_state = 64},
  [2294] = {.lex_state = 64},
  [2295] = {.lex_state = 64},
  [2296] = {.lex_state = 64},
  [2297] = {.lex_state = 64},
  [2298] = {.lex_state = 64},
  [2299] = {.lex_state = 64},
  [2300] = {.lex_state = 64},
  [2301] = {.lex_state = 64},
  [2302] = {.lex_state = 64},
  [2303] = {.lex_state = 64},
  [2304] = {.lex_state = 64},
  [2305] = {.lex_state = 64},
  [2306] = {.lex_state = 64},
  [2307] = {.lex_state = 64},
  [2308] = {.lex_state = 64, .external_lex_state = 2},
  [2309] = {.lex_state = 64},
  [2310] = {.lex_state = 64},
  [2311] = {.lex_state = 64},
  [2312] = {.lex_state = 64},
  [2313] = {.lex_state = 64, .external_lex_state = 2},
  [2314] = {.lex_state = 64, .external_lex_state = 2},
  [2315] = {.lex_state = 64},
  [2316] = {.lex_state = 64, .external_lex_state = 2},
  [2317] = {.lex_state = 64},
  [2318] = {.lex_state = 64},
  [2319] = {.lex_state = 64},
  [2320] = {.lex_state = 64, .external_lex_state = 2},
  [2321] = {.lex_state = 64},
  [2322] = {.lex_state = 64},
  [2323] = {.lex_state = 64},
  [2324] = {.lex_state = 64},
  [2325] = {.lex_state = 64},
  [2326] = {.lex_state = 64},
  [2327] = {.lex_state = 64},
  [2328] = {.lex_state = 64},
  [2329] = {.lex_state = 64},
  [2330] = {.lex_state = 64},
  [2331] = {.lex_state = 64},
  [2332] = {.lex_state = 64},
  [2333] = {.lex_state = 3, .external_lex_state = 11},
  [2334] = {.lex_state = 3, .external_lex_state = 11},
  [2335] = {.lex_state = 64},
  [2336] = {.lex_state = 64},
  [2337] = {.lex_state = 64},
  [2338] = {.lex_state = 64, .external_lex_state = 2},
  [2339] = {.lex_state = 64},
  [2340] = {.lex_state = 64, .external_lex_state = 2},
  [2341] = {.lex_state = 64},
  [2342] = {.lex_state = 64, .external_lex_state = 2},
  [2343] = {.lex_state = 64, .external_lex_state = 2},
  [2344] = {.lex_state = 64},
  [2345] = {.lex_state = 64},
  [2346] = {.lex_state = 64},
  [2347] = {.lex_state = 64},
  [2348] = {.lex_state = 64},
  [2349] = {.lex_state = 64},
  [2350] = {.lex_state = 64},
  [2351] = {.lex_state = 64},
  [2352] = {.lex_state = 64},
  [2353] = {.lex_state = 64},
  [2354] = {.lex_state = 64},
  [2355] = {.lex_state = 64},
  [2356] = {.lex_state = 64},
  [2357] = {.lex_state = 64},
  [2358] = {.lex_state = 64, .external_lex_state = 2},
  [2359] = {.lex_state = 64},
  [2360] = {.lex_state = 64},
  [2361] = {.lex_state = 64},
  [2362] = {.lex_state = 3, .external_lex_state = 11},
  [2363] = {.lex_state = 64},
  [2364] = {.lex_state = 64},
  [2365] = {.lex_state = 64, .external_lex_state = 2},
  [2366] = {.lex_state = 64},
  [2367] = {.lex_state = 64},
  [2368] = {.lex_state = 64, .external_lex_state = 2},
  [2369] = {.lex_state = 64},
  [2370] = {.lex_state = 64},
  [2371] = {.lex_state = 64},
  [2372] = {.lex_state = 64, .external_lex_state = 2},
  [2373] = {.lex_state = 64},
  [2374] = {.lex_state = 64},
  [2375] = {.lex_state = 64, .external_lex_state = 2},
  [2376] = {.lex_state = 64, .external_lex_state = 2},
  [2377] = {.lex_state = 64},
  [2378] = {.lex_state = 64},
  [2379] = {.lex_state = 64, .external_lex_state = 2},
  [2380] = {.lex_state = 64, .external_lex_state = 2},
  [2381] = {.lex_state = 64},
  [2382] = {.lex_state = 64},
  [2383] = {.lex_state = 64},
  [2384] = {.lex_state = 64},
  [2385] = {.lex_state = 64},
  [2386] = {.lex_state = 3, .external_lex_state = 11},
  [2387] = {.lex_state = 64, .external_lex_state = 2},
  [2388] = {.lex_state = 64},
  [2389] = {.lex_state = 64},
  [2390] = {.lex_state = 64, .external_lex_state = 2},
  [2391] = {.lex_state = 64, .external_lex_state = 2},
  [2392] = {.lex_state = 64},
  [2393] = {.lex_state = 64},
  [2394] = {.lex_state = 64, .external_lex_state = 2},
  [2395] = {.lex_state = 64},
  [2396] = {.lex_state = 64},
  [2397] = {.lex_state = 64},
  [2398] = {.lex_state = 64},
  [2399] = {.lex_state = 64},
  [2400] = {.lex_state = 64},
  [2401] = {.lex_state = 64},
  [2402] = {.lex_state = 64},
  [2403] = {.lex_state = 64},
  [2404] = {.lex_state = 64},
  [2405] = {.lex_state = 64},
  [2406] = {.lex_state = 64},
  [2407] = {.lex_state = 64},
  [2408] = {.lex_state = 64},
  [2409] = {.lex_state = 64},
  [2410] = {.lex_state = 64},
  [2411] = {.lex_state = 64},
  [2412] = {.lex_state = 64},
  [2413] = {.lex_state = 64},
  [2414] = {.lex_state = 64},
  [2415] = {.lex_state = 64},
  [2416] = {.lex_state = 64},
  [2417] = {.lex_state = 64},
  [2418] = {.lex_state = 64},
  [2419] = {.lex_state = 64},
  [2420] = {.lex_state = 64},
  [2421] = {.lex_state = 64},
  [2422] = {.lex_state = 64},
  [2423] = {.lex_state = 64},
  [2424] = {.lex_state = 64},
  [2425] = {.lex_state = 64},
  [2426] = {.lex_state = 8},
  [2427] = {.lex_state = 8},
  [2428] = {.lex_state = 64},
  [2429] = {.lex_state = 64},
  [2430] = {.lex_state = 64},
  [2431] = {.lex_state = 64, .external_lex_state = 11},
  [2432] = {.lex_state = 64},
  [2433] = {.lex_state = 64},
  [2434] = {.lex_state = 64},
  [2435] = {.lex_state = 64},
  [2436] = {.lex_state = 64},
  [2437] = {.lex_state = 64},
  [2438] = {.lex_state = 64},
  [2439] = {.lex_state = 64},
  [2440] = {.lex_state = 64},
  [2441] = {.lex_state = 64},
  [2442] = {.lex_state = 64},
  [2443] = {.lex_state = 64, .external_lex_state = 11},
  [2444] = {.lex_state = 64},
  [2445] = {.lex_state = 64},
  [2446] = {.lex_state = 64, .external_lex_state = 11},
  [2447] = {.lex_state = 64},
  [2448] = {.lex_state = 64},
  [2449] = {.lex_state = 64},
  [2450] = {.lex_state = 64},
  [2451] = {.lex_state = 64},
  [2452] = {.lex_state = 64},
  [2453] = {.lex_state = 64},
  [2454] = {.lex_state = 64},
  [2455] = {.lex_state = 64, .external_lex_state = 11},
  [2456] = {.lex_state = 64},
  [2457] = {.lex_state = 64},
  [2458] = {.lex_state = 64},
  [2459] = {.lex_state = 64},
  [2460] = {.lex_state = 64},
  [2461] = {.lex_state = 64},
  [2462] = {.lex_state = 64},
  [2463] = {.lex_state = 64},
  [2464] = {.lex_state = 64},
  [2465] = {.lex_state = 64, .external_lex_state = 12},
  [2466] = {.lex_state = 64, .external_lex_state = 12},
  [2467] = {.lex_state = 64, .external_lex_state = 11},
  [2468] = {.lex_state = 64},
  [2469] = {.lex_state = 64},
  [2470] = {.lex_state = 64},
  [2471] = {.lex_state = 64},
  [2472] = {.lex_state = 64},
  [2473] = {.lex_state = 64},
  [2474] = {.lex_state = 64},
  [2475] = {.lex_state = 64},
  [2476] = {.lex_state = 64},
  [2477] = {.lex_state = 64},
  [2478] = {.lex_state = 64},
  [2479] = {.lex_state = 8},
  [2480] = {.lex_state = 8},
  [2481] = {.lex_state = 64},
  [2482] = {.lex_state = 64},
  [2483] = {.lex_state = 64},
  [2484] = {.lex_state = 64},
  [2485] = {.lex_state = 64},
  [2486] = {.lex_state = 64},
  [2487] = {.lex_state = 64},
  [2488] = {.lex_state = 64},
  [2489] = {.lex_state = 64},
  [2490] = {.lex_state = 64},
  [2491] = {.lex_state = 64},
  [2492] = {.lex_state = 64},
  [2493] = {.lex_state = 64},
  [2494] = {.lex_state = 64},
  [2495] = {.lex_state = 64},
  [2496] = {.lex_state = 64},
  [2497] = {.lex_state = 64},
  [2498] = {.lex_state = 64},
  [2499] = {.lex_state = 64},
  [2500] = {.lex_state = 64},
  [2501] = {.lex_state = 64},
  [2502] = {.lex_state = 64},
  [2503] = {.lex_state = 64},
  [2504] = {.lex_state = 64},
  [2505] = {.lex_state = 64},
  [2506] = {.lex_state = 64},
  [2507] = {.lex_state = 64},
  [2508] = {.lex_state = 64},
  [2509] = {.lex_state = 64},
  [2510] = {.lex_state = 64, .external_lex_state = 12},
  [2511] = {.lex_state = 64, .external_lex_state = 12},
  [2512] = {.lex_state = 64},
  [2513] = {.lex_state = 64},
  [2514] = {.lex_state = 64},
  [2515] = {.lex_state = 64},
  [2516] = {.lex_state = 64},
  [2517] = {.lex_state = 64},
  [2518] = {.lex_state = 64},
  [2519] = {.lex_state = 64},
  [2520] = {.lex_state = 64},
  [2521] = {.lex_state = 64},
  [2522] = {.lex_state = 64},
  [2523] = {.lex_state = 64},
  [2524] = {.lex_state = 64},
  [2525] = {.lex_state = 64},
  [2526] = {.lex_state = 64},
  [2527] = {.lex_state = 64},
  [2528] = {.lex_state = 64},
  [2529] = {.lex_state = 64},
  [2530] = {.lex_state = 64},
  [2531] = {.lex_state = 64},
  [2532] = {.lex_state = 64},
  [2533] = {.lex_state = 64},
  [2534] = {.lex_state = 64},
  [2535] = {.lex_state = 64},
  [2536] = {.lex_state = 64},
  [2537] = {.lex_state = 64},
  [2538] = {.lex_state = 64},
  [2539] = {.lex_state = 64},
  [2540] = {.lex_state = 64},
  [2541] = {.lex_state = 64},
  [2542] = {.lex_state = 64},
  [2543] = {.lex_state = 64},
  [2544] = {.lex_state = 64},
  [2545] = {.lex_state = 64},
  [2546] = {.lex_state = 64},
  [2547] = {.lex_state = 64},
  [2548] = {.lex_state = 64},
  [2549] = {.lex_state = 64},
  [2550] = {.lex_state = 64},
  [2551] = {.lex_state = 64},
  [2552] = {.lex_state = 64},
  [2553] = {.lex_state = 64},
  [2554] = {.lex_state = 64},
  [2555] = {.lex_state = 64},
  [2556] = {.lex_state = 64},
  [2557] = {.lex_state = 64},
  [2558] = {.lex_state = 64},
  [2559] = {.lex_state = 64},
  [2560] = {.lex_state = 64, .external_lex_state = 11},
  [2561] = {.lex_state = 64},
  [2562] = {.lex_state = 64},
  [2563] = {.lex_state = 64},
  [2564] = {.lex_state = 64},
  [2565] = {.lex_state = 64},
  [2566] = {.lex_state = 64},
  [2567] = {.lex_state = 64},
  [2568] = {.lex_state = 64},
  [2569] = {.lex_state = 64},
  [2570] = {.lex_state = 64},
  [2571] = {.lex_state = 64},
  [2572] = {.lex_state = 64},
  [2573] = {.lex_state = 64},
  [2574] = {.lex_state = 64},
  [2575] = {.lex_state = 64},
  [2576] = {.lex_state = 64},
  [2577] = {.lex_state = 64},
  [2578] = {.lex_state = 64},
  [2579] = {.lex_state = 64},
  [2580] = {.lex_state = 64},
  [2581] = {.lex_state = 64},
  [2582] = {.lex_state = 64},
  [2583] = {.lex_state = 64},
  [2584] = {.lex_state = 64},
  [2585] = {.lex_state = 64},
  [2586] = {.lex_state = 64},
  [2587] = {.lex_state = 64},
  [2588] = {.lex_state = 64},
  [2589] = {.lex_state = 64},
  [2590] = {.lex_state = 64},
  [2591] = {.lex_state = 64},
  [2592] = {.lex_state = 64},
  [2593] = {.lex_state = 64},
  [2594] = {.lex_state = 64},
  [2595] = {.lex_state = 64},
  [2596] = {.lex_state = 64},
  [2597] = {.lex_state = 64},
  [2598] = {.lex_state = 64},
  [2599] = {.lex_state = 64},
  [2600] = {.lex_state = 64},
  [2601] = {.lex_state = 64},
  [2602] = {.lex_state = 64},
  [2603] = {.lex_state = 64},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2559),
    [sym_statement] = STATE(16),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(157),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [aux_sym__arrow_function_header_token1] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym_object_creation_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(5),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(6),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(7),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(157),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [aux_sym__arrow_function_header_token1] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(346),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(349),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(352),
    [aux_sym_foreach_statement_token1] = ACTIONS(355),
    [aux_sym_if_statement_token1] = ACTIONS(358),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym_object_creation_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_statement] = STATE(10),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token2] = ACTIONS(371),
    [aux_sym_else_if_clause_token1] = ACTIONS(371),
    [aux_sym_else_clause_token1] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(373),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_statement] = STATE(7),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_if_statement_token2] = ACTIONS(373),
    [aux_sym_else_if_clause_token1] = ACTIONS(373),
    [aux_sym_else_clause_token1] = ACTIONS(373),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_statement] = STATE(9),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(371),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(371),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(371),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(1991),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_colon_block] = STATE(2449),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(377),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(397),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(433),
  },
  [13] = {
    [sym_statement] = STATE(14),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [ts_builtin_sym_end] = ACTIONS(435),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(437),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [ts_builtin_sym_end] = ACTIONS(439),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(441),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_statement] = STATE(1991),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_colon_block] = STATE(2449),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(377),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(397),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(433),
  },
  [16] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [ts_builtin_sym_end] = ACTIONS(435),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(437),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_statement] = STATE(551),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_colon_block] = STATE(2538),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(397),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(455),
  },
  [18] = {
    [sym_statement] = STATE(551),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_colon_block] = STATE(2538),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(397),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(455),
  },
  [19] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(457),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_statement] = STATE(1909),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_colon_block] = STATE(2484),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(397),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_statement] = STATE(1893),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [22] = {
    [sym_statement] = STATE(500),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(467),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [23] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(473),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_statement] = STATE(31),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(475),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_statement] = STATE(63),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(477),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(479),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_statement] = STATE(526),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [28] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(487),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_statement] = STATE(53),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(487),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [31] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(495),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_statement] = STATE(37),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(37),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(497),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_statement] = STATE(514),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_colon_block] = STATE(2400),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(397),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_statement] = STATE(39),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(39),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(495),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_statement] = STATE(490),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [36] = {
    [sym_statement] = STATE(425),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_colon_block] = STATE(1593),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(501),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_statement] = STATE(2012),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [39] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_statement] = STATE(43),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(43),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_statement] = STATE(1897),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [42] = {
    [sym_statement] = STATE(477),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [43] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(523),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_statement] = STATE(45),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(45),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(523),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_statement] = STATE(1925),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(527),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(529),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(531),
  },
  [47] = {
    [sym_statement] = STATE(1610),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_colon_block] = STATE(1632),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_statement] = STATE(1909),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_colon_block] = STATE(2484),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(397),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_statement] = STATE(1925),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(527),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(529),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(531),
  },
  [50] = {
    [sym_statement] = STATE(428),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_colon_block] = STATE(1593),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_statement] = STATE(1897),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(511),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(513),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(515),
  },
  [52] = {
    [sym_statement] = STATE(493),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [53] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_statement] = STATE(19),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_statement] = STATE(493),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [56] = {
    [sym_statement] = STATE(477),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [57] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(541),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_statement] = STATE(60),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(457),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(2012),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(503),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(505),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [60] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_statement] = STATE(2045),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(547),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(549),
  },
  [62] = {
    [sym_statement] = STATE(1893),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [63] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(551),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_statement] = STATE(26),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(553),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_statement] = STATE(514),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_colon_block] = STATE(2400),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(397),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_statement] = STATE(71),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(555),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(23),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(557),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_statement] = STATE(1583),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_colon_block] = STATE(1632),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_statement] = STATE(2045),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [anon_sym_COLON] = ACTIONS(547),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(549),
  },
  [70] = {
    [sym_statement] = STATE(57),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(559),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(561),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_statement] = STATE(500),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(467),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(471),
  },
  [73] = {
    [sym_statement] = STATE(526),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [74] = {
    [sym_statement] = STATE(28),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_statement] = STATE(2027),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_statement] = STATE(2508),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_statement] = STATE(485),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_statement] = STATE(2027),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(1946),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(409),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(425),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(429),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_statement] = STATE(2486),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1349),
    [sym_abstract_modifier] = STATE(1349),
    [sym_readonly_modifier] = STATE(1349),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2076),
    [sym__modifier] = STATE(1349),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1349),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2209),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(2075),
    [sym_exit_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1340),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1349),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(459),
    [aux_sym_function_static_declaration_token1] = ACTIONS(379),
    [aux_sym_global_declaration_token1] = ACTIONS(381),
    [aux_sym_namespace_definition_token1] = ACTIONS(383),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(387),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(389),
    [aux_sym_trait_declaration_token1] = ACTIONS(391),
    [aux_sym_interface_declaration_token1] = ACTIONS(393),
    [aux_sym_enum_declaration_token1] = ACTIONS(395),
    [aux_sym_class_declaration_token1] = ACTIONS(399),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(401),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(403),
    [aux_sym_exit_statement_token1] = ACTIONS(405),
    [anon_sym_unset] = ACTIONS(407),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(411),
    [aux_sym_goto_statement_token1] = ACTIONS(413),
    [aux_sym_continue_statement_token1] = ACTIONS(415),
    [aux_sym_break_statement_token1] = ACTIONS(417),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(419),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(423),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_statement] = STATE(485),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_statement] = STATE(451),
    [sym_empty_statement] = STATE(464),
    [sym_function_static_declaration] = STATE(464),
    [sym_global_declaration] = STATE(464),
    [sym_namespace_definition] = STATE(464),
    [sym_namespace_use_declaration] = STATE(464),
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_trait_declaration] = STATE(464),
    [sym_interface_declaration] = STATE(464),
    [sym_enum_declaration] = STATE(464),
    [sym_class_declaration] = STATE(464),
    [sym_final_modifier] = STATE(1346),
    [sym_abstract_modifier] = STATE(1346),
    [sym_readonly_modifier] = STATE(1346),
    [sym_const_declaration] = STATE(464),
    [sym__const_declaration] = STATE(453),
    [sym__modifier] = STATE(1346),
    [sym_static_modifier] = STATE(1410),
    [sym_visibility_modifier] = STATE(1346),
    [sym_function_definition] = STATE(464),
    [sym__function_definition_header] = STATE(2177),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_echo_statement] = STATE(464),
    [sym_exit_statement] = STATE(464),
    [sym_unset_statement] = STATE(464),
    [sym_declare_statement] = STATE(464),
    [sym_literal] = STATE(1068),
    [sym_try_statement] = STATE(464),
    [sym_goto_statement] = STATE(464),
    [sym_continue_statement] = STATE(464),
    [sym_break_statement] = STATE(464),
    [sym_return_statement] = STATE(464),
    [sym_throw_expression] = STATE(1068),
    [sym_while_statement] = STATE(464),
    [sym_do_statement] = STATE(464),
    [sym_for_statement] = STATE(464),
    [sym_foreach_statement] = STATE(464),
    [sym_if_statement] = STATE(464),
    [sym_match_expression] = STATE(1069),
    [sym_switch_statement] = STATE(464),
    [sym_compound_statement] = STATE(464),
    [sym_named_label_statement] = STATE(464),
    [sym_expression_statement] = STATE(464),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1342),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(1346),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(361),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(363),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(365),
    [aux_sym_foreach_statement_token1] = ACTIONS(367),
    [aux_sym_if_statement_token1] = ACTIONS(369),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(982),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(906),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_AMP] = ACTIONS(569),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(577),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_COLON] = ACTIONS(567),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(581),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(591),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_yield_expression_token2] = ACTIONS(623),
    [aux_sym_binary_expression_token1] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [aux_sym_binary_expression_token2] = ACTIONS(577),
    [aux_sym_binary_expression_token3] = ACTIONS(577),
    [aux_sym_binary_expression_token4] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(577),
    [anon_sym_LT_GT] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(567),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(906),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_AMP] = ACTIONS(569),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(567),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(567),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(639),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(567),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_yield_expression_token2] = ACTIONS(653),
    [aux_sym_binary_expression_token1] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [aux_sym_binary_expression_token2] = ACTIONS(577),
    [aux_sym_binary_expression_token3] = ACTIONS(577),
    [aux_sym_binary_expression_token4] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(577),
    [anon_sym_LT_GT] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(567),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_variadic_unpacking] = STATE(1137),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_by_ref] = STATE(1137),
    [sym_yield_expression] = STATE(1069),
    [sym_array_element_initializer] = STATE(1100),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(567),
    [anon_sym_AMP] = ACTIONS(665),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(567),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token1] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [aux_sym_binary_expression_token2] = ACTIONS(577),
    [aux_sym_binary_expression_token3] = ACTIONS(577),
    [aux_sym_binary_expression_token4] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(577),
    [anon_sym_LT_GT] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(567),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(567),
  },
  [86] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(906),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(569),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(567),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [anon_sym_QMARK] = ACTIONS(577),
    [anon_sym_PIPE] = ACTIONS(577),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(679),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_yield_expression_token2] = ACTIONS(693),
    [aux_sym_binary_expression_token1] = ACTIONS(577),
    [anon_sym_QMARK_QMARK] = ACTIONS(567),
    [anon_sym_STAR_STAR] = ACTIONS(567),
    [aux_sym_binary_expression_token2] = ACTIONS(577),
    [aux_sym_binary_expression_token3] = ACTIONS(577),
    [aux_sym_binary_expression_token4] = ACTIONS(577),
    [anon_sym_PIPE_PIPE] = ACTIONS(567),
    [anon_sym_AMP_AMP] = ACTIONS(567),
    [anon_sym_CARET] = ACTIONS(567),
    [anon_sym_EQ_EQ] = ACTIONS(577),
    [anon_sym_BANG_EQ] = ACTIONS(577),
    [anon_sym_LT_GT] = ACTIONS(567),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(567),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(567),
    [anon_sym_LT] = ACTIONS(577),
    [anon_sym_GT] = ACTIONS(577),
    [anon_sym_LT_EQ] = ACTIONS(577),
    [anon_sym_GT_EQ] = ACTIONS(567),
    [anon_sym_LT_EQ_GT] = ACTIONS(567),
    [anon_sym_LT_LT] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(567),
    [anon_sym_DOT] = ACTIONS(577),
    [anon_sym_STAR] = ACTIONS(577),
    [anon_sym_SLASH] = ACTIONS(577),
    [anon_sym_PERCENT] = ACTIONS(567),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2470),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2410),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2494),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2570),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2478),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2482),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2414),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2482),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2488),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2410),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2417),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_cast_type] = STATE(2463),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(703),
    [aux_sym_cast_type_token2] = ACTIONS(705),
    [aux_sym_cast_type_token3] = ACTIONS(705),
    [aux_sym_cast_type_token4] = ACTIONS(705),
    [aux_sym_cast_type_token5] = ACTIONS(705),
    [aux_sym_cast_type_token6] = ACTIONS(705),
    [aux_sym_cast_type_token7] = ACTIONS(705),
    [aux_sym_cast_type_token8] = ACTIONS(705),
    [aux_sym_cast_type_token9] = ACTIONS(705),
    [aux_sym_cast_type_token10] = ACTIONS(705),
    [aux_sym_cast_type_token11] = ACTIONS(705),
    [aux_sym_cast_type_token12] = ACTIONS(705),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_variadic_placeholder] = STATE(2430),
    [sym_argument] = STATE(1933),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_variadic_placeholder] = STATE(2409),
    [sym_argument] = STATE(1875),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(735),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_variadic_placeholder] = STATE(2596),
    [sym_argument] = STATE(2119),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(739),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_variadic_placeholder] = STATE(2515),
    [sym_argument] = STATE(2053),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_variadic_placeholder] = STATE(2576),
    [sym_argument] = STATE(2109),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(1969),
    [sym__array_destructing_element] = STATE(1968),
    [sym_function_call_expression] = STATE(609),
    [sym_scoped_call_expression] = STATE(609),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(609),
    [sym_nullsafe_member_call_expression] = STATE(609),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(609),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(609),
    [sym_variable_name] = STATE(609),
    [sym_by_ref] = STATE(2246),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1951),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym__array_destructing_repeat1] = STATE(1962),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(1969),
    [sym__array_destructing_element] = STATE(1968),
    [sym_function_call_expression] = STATE(609),
    [sym_scoped_call_expression] = STATE(609),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(609),
    [sym_nullsafe_member_call_expression] = STATE(609),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(609),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(609),
    [sym_variable_name] = STATE(609),
    [sym_by_ref] = STATE(2246),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1966),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym__array_destructing_repeat1] = STATE(1962),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(757),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(759),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(1969),
    [sym__array_destructing_element] = STATE(1968),
    [sym_function_call_expression] = STATE(609),
    [sym_scoped_call_expression] = STATE(609),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(609),
    [sym_nullsafe_member_call_expression] = STATE(609),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(609),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(609),
    [sym_variable_name] = STATE(609),
    [sym_by_ref] = STATE(2246),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1951),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym__array_destructing_repeat1] = STATE(1962),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(761),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(1969),
    [sym__array_destructing_element] = STATE(1968),
    [sym_function_call_expression] = STATE(609),
    [sym_scoped_call_expression] = STATE(609),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(609),
    [sym_nullsafe_member_call_expression] = STATE(609),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(609),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(609),
    [sym_variable_name] = STATE(609),
    [sym_by_ref] = STATE(2246),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1951),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym__array_destructing_repeat1] = STATE(1962),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(763),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_variadic_placeholder] = STATE(2598),
    [sym_argument] = STATE(1940),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_variadic_placeholder] = STATE(2564),
    [sym_argument] = STATE(2086),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(769),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_variadic_placeholder] = STATE(2566),
    [sym_argument] = STATE(2093),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(773),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(628),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(1969),
    [sym__array_destructing_element] = STATE(1968),
    [sym_function_call_expression] = STATE(609),
    [sym_scoped_call_expression] = STATE(609),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(609),
    [sym_nullsafe_member_call_expression] = STATE(609),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(609),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(609),
    [sym_variable_name] = STATE(609),
    [sym_by_ref] = STATE(2246),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1951),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym__array_destructing_repeat1] = STATE(1962),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(777),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1895),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(783),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1951),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(797),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(799),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1966),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(807),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(1874),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(811),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(827),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_match_condition_list] = STATE(2491),
    [sym_match_conditional_expression] = STATE(2032),
    [sym_match_default_expression] = STATE(2032),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(829),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(831),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_reference_modifier] = STATE(198),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_argument] = STATE(2217),
    [sym__argument_name] = STATE(155),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2350),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1470),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(707),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(715),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(717),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(719),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(725),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(729),
    [anon_sym_parent] = ACTIONS(729),
    [aux_sym__argument_name_token1] = ACTIONS(731),
    [aux_sym__argument_name_token2] = ACTIONS(733),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(841),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(847),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_match_condition_list] = STATE(2491),
    [sym_match_conditional_expression] = STATE(1908),
    [sym_match_default_expression] = STATE(1908),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(849),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(851),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_match_condition_list] = STATE(2491),
    [sym_match_conditional_expression] = STATE(2328),
    [sym_match_default_expression] = STATE(2328),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(635),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_match_condition_list] = STATE(2491),
    [sym_match_conditional_expression] = STATE(2328),
    [sym_match_default_expression] = STATE(2328),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(855),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(1969),
    [sym__array_destructing_element] = STATE(2377),
    [sym_function_call_expression] = STATE(608),
    [sym_scoped_call_expression] = STATE(608),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(608),
    [sym_nullsafe_member_call_expression] = STATE(608),
    [sym_subscript_expression] = STATE(608),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(608),
    [sym_variable_name] = STATE(608),
    [sym_by_ref] = STATE(2377),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(857),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(859),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(861),
    [anon_sym_RBRACK] = ACTIONS(863),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_match_condition_list] = STATE(2491),
    [sym_match_conditional_expression] = STATE(2328),
    [sym_match_default_expression] = STATE(2328),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(866),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(1969),
    [sym__array_destructing_element] = STATE(2377),
    [sym_function_call_expression] = STATE(608),
    [sym_scoped_call_expression] = STATE(608),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(608),
    [sym_nullsafe_member_call_expression] = STATE(608),
    [sym_subscript_expression] = STATE(608),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(608),
    [sym_variable_name] = STATE(608),
    [sym_by_ref] = STATE(2377),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(857),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(859),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(861),
    [anon_sym_RBRACK] = ACTIONS(857),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_match_condition_list] = STATE(2491),
    [sym_match_conditional_expression] = STATE(2328),
    [sym_match_default_expression] = STATE(2328),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(868),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(943),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(943),
    [sym_yield_expression] = STATE(950),
    [sym_array_element_initializer] = STATE(2070),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(627),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(627),
    [sym_nullsafe_member_access_expression] = STATE(627),
    [sym_scoped_property_access_expression] = STATE(627),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(1858),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(594),
    [sym_scoped_call_expression] = STATE(594),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(594),
    [sym_nullsafe_member_call_expression] = STATE(594),
    [sym_subscript_expression] = STATE(594),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(594),
    [sym_variable_name] = STATE(594),
    [sym_by_ref] = STATE(1900),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym__list_destructing_repeat1] = STATE(1901),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(870),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_RPAREN] = ACTIONS(872),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(629),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(629),
    [sym_nullsafe_member_access_expression] = STATE(629),
    [sym_scoped_property_access_expression] = STATE(629),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(1969),
    [sym__array_destructing_element] = STATE(2377),
    [sym_function_call_expression] = STATE(608),
    [sym_scoped_call_expression] = STATE(608),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(608),
    [sym_nullsafe_member_call_expression] = STATE(608),
    [sym_subscript_expression] = STATE(608),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(608),
    [sym_variable_name] = STATE(608),
    [sym_by_ref] = STATE(2377),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(857),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(859),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(861),
    [anon_sym_RBRACK] = ACTIONS(874),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(630),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2044),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(2213),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(877),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_RPAREN] = ACTIONS(877),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_match_condition_list] = STATE(2491),
    [sym_match_conditional_expression] = STATE(2328),
    [sym_match_default_expression] = STATE(2328),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [aux_sym_match_default_expression_token1] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2168),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1475),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(709),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2408),
    [sym_sequence_expression] = STATE(2408),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(879),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2453),
    [sym_sequence_expression] = STATE(2453),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(881),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_foreach_pair] = STATE(2542),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2185),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_by_ref] = STATE(2542),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2543),
    [sym_sequence_expression] = STATE(2543),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2533),
    [sym_sequence_expression] = STATE(2533),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2544),
    [sym_sequence_expression] = STATE(2544),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(887),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2595),
    [sym_sequence_expression] = STATE(2595),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2471),
    [sym_sequence_expression] = STATE(2471),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(891),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2588),
    [sym_sequence_expression] = STATE(2588),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_foreach_pair] = STATE(2469),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2285),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_by_ref] = STATE(2469),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2401),
    [sym_sequence_expression] = STATE(2401),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2500),
    [sym_sequence_expression] = STATE(2500),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(897),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2526),
    [sym_sequence_expression] = STATE(2526),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2537),
    [sym_sequence_expression] = STATE(2537),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(901),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2531),
    [sym_sequence_expression] = STATE(2531),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(903),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2501),
    [sym_sequence_expression] = STATE(2501),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(905),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2412),
    [sym_sequence_expression] = STATE(2412),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(907),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2474),
    [sym_sequence_expression] = STATE(2474),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_foreach_pair] = STATE(2405),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2396),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_by_ref] = STATE(2405),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2502),
    [sym_sequence_expression] = STATE(2502),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(911),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2558),
    [sym_sequence_expression] = STATE(2558),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_foreach_pair] = STATE(2534),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2188),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_by_ref] = STATE(2534),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2585),
    [sym_sequence_expression] = STATE(2585),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(915),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2532),
    [sym_sequence_expression] = STATE(2532),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(917),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2582),
    [sym_sequence_expression] = STATE(2582),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2554),
    [sym_sequence_expression] = STATE(2554),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(921),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2452),
    [sym_sequence_expression] = STATE(2452),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(923),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__expressions] = STATE(2580),
    [sym_sequence_expression] = STATE(2580),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(927),
  },
  [185] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2186),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_by_ref] = STATE(2541),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(632),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(632),
    [sym_nullsafe_member_access_expression] = STATE(632),
    [sym_scoped_property_access_expression] = STATE(632),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2062),
    [sym_function_call_expression] = STATE(626),
    [sym_scoped_call_expression] = STATE(626),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(626),
    [sym_nullsafe_member_call_expression] = STATE(626),
    [sym_subscript_expression] = STATE(626),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(626),
    [sym_variable_name] = STATE(626),
    [sym_by_ref] = STATE(2193),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(929),
  },
  [188] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2326),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1489),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym__expressions] = STATE(2231),
    [sym_sequence_expression] = STATE(2231),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(915),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(931),
  },
  [192] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(933),
  },
  [193] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(986),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_by_ref] = STATE(915),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_by_ref] = STATE(915),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(915),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(751),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(937),
  },
  [197] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym__expressions] = STATE(2239),
    [sym_sequence_expression] = STATE(2239),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_variadic_unpacking] = STATE(2170),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1473),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(675),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(939),
  },
  [200] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_by_ref] = STATE(915),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_by_ref] = STATE(1118),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(941),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(999),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_sequence_expression] = STATE(2332),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(951),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_EQ_GT] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(957),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(959),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_sequence_expression] = STATE(2332),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(961),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(963),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(965),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(967),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(969),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [anon_sym_AMP] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_sequence_expression] = STATE(2268),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(973),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_RBRACK] = ACTIONS(977),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(979),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1041),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1048),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(990),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(984),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(987),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(997),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1002),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1003),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1004),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(974),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1001),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1000),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(998),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(996),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(995),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(993),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(992),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(991),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(985),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(976),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(981),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(957),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(958),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(983),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1035),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1024),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1022),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(989),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(958),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(957),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1141),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1013),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1010),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1009),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1023),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1016),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1017),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1029),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(973),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1008),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(957),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(958),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(988),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(631),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(631),
    [sym_nullsafe_member_access_expression] = STATE(631),
    [sym_scoped_property_access_expression] = STATE(631),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(691),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [aux_sym_require_expression_token1] = ACTIONS(699),
    [aux_sym_require_once_expression_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(980),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(979),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(978),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(977),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(994),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_match_expression] = STATE(1069),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1070),
    [sym_unary_op_expression] = STATE(1070),
    [sym_error_suppression_expression] = STATE(1069),
    [sym_clone_expression] = STATE(1070),
    [sym_primary_expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1070),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(1069),
    [sym_reference_assignment_expression] = STATE(1069),
    [sym_conditional_expression] = STATE(1069),
    [sym_augmented_assignment_expression] = STATE(1069),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2552),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(592),
    [sym_scoped_call_expression] = STATE(592),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(592),
    [sym_nullsafe_member_call_expression] = STATE(592),
    [sym_subscript_expression] = STATE(592),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(592),
    [sym_variable_name] = STATE(592),
    [sym_yield_expression] = STATE(1069),
    [sym_binary_expression] = STATE(1069),
    [sym_include_expression] = STATE(1069),
    [sym_include_once_expression] = STATE(1069),
    [sym_require_expression] = STATE(1069),
    [sym_require_once_expression] = STATE(1069),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1006),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(617),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(617),
    [sym_nullsafe_member_access_expression] = STATE(617),
    [sym_scoped_property_access_expression] = STATE(617),
    [sym_list_literal] = STATE(2419),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(590),
    [sym_scoped_call_expression] = STATE(590),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(590),
    [sym_nullsafe_member_call_expression] = STATE(590),
    [sym_subscript_expression] = STATE(590),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(590),
    [sym_variable_name] = STATE(590),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(649),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(651),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [aux_sym_require_expression_token1] = ACTIONS(659),
    [aux_sym_require_once_expression_token1] = ACTIONS(661),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_match_expression] = STATE(950),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(951),
    [sym_unary_op_expression] = STATE(951),
    [sym_error_suppression_expression] = STATE(950),
    [sym_clone_expression] = STATE(951),
    [sym_primary_expression] = STATE(951),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(951),
    [sym_cast_variable] = STATE(599),
    [sym_assignment_expression] = STATE(950),
    [sym_reference_assignment_expression] = STATE(950),
    [sym_conditional_expression] = STATE(950),
    [sym_augmented_assignment_expression] = STATE(950),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_list_literal] = STATE(2505),
    [sym__list_destructing] = STATE(2179),
    [sym__array_destructing] = STATE(2179),
    [sym_function_call_expression] = STATE(588),
    [sym_scoped_call_expression] = STATE(588),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(588),
    [sym_nullsafe_member_call_expression] = STATE(588),
    [sym_subscript_expression] = STATE(588),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(588),
    [sym_variable_name] = STATE(588),
    [sym_yield_expression] = STATE(950),
    [sym_binary_expression] = STATE(950),
    [sym_include_expression] = STATE(950),
    [sym_include_once_expression] = STATE(950),
    [sym_require_expression] = STATE(950),
    [sym_require_once_expression] = STATE(950),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_match_expression_token1] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_yield_expression_token1] = ACTIONS(621),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [aux_sym_require_expression_token1] = ACTIONS(629),
    [aux_sym_require_once_expression_token1] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_catch_clause] = STATE(423),
    [sym_finally_clause] = STATE(423),
    [aux_sym_try_statement_repeat1] = STATE(423),
    [ts_builtin_sym_end] = ACTIONS(981),
    [sym_name] = ACTIONS(983),
    [anon_sym_QMARK_GT] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(983),
    [aux_sym_global_declaration_token1] = ACTIONS(983),
    [aux_sym_namespace_definition_token1] = ACTIONS(983),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(983),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(983),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(983),
    [anon_sym_BSLASH] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(981),
    [anon_sym_RBRACE] = ACTIONS(981),
    [aux_sym_trait_declaration_token1] = ACTIONS(983),
    [aux_sym_interface_declaration_token1] = ACTIONS(983),
    [aux_sym_enum_declaration_token1] = ACTIONS(983),
    [aux_sym_enum_case_token1] = ACTIONS(983),
    [aux_sym_class_declaration_token1] = ACTIONS(983),
    [aux_sym_final_modifier_token1] = ACTIONS(983),
    [aux_sym_abstract_modifier_token1] = ACTIONS(983),
    [aux_sym_readonly_modifier_token1] = ACTIONS(983),
    [sym_var_modifier] = ACTIONS(983),
    [aux_sym_visibility_modifier_token1] = ACTIONS(983),
    [aux_sym_visibility_modifier_token2] = ACTIONS(983),
    [aux_sym_visibility_modifier_token3] = ACTIONS(983),
    [aux_sym__arrow_function_header_token1] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(981),
    [aux_sym_cast_type_token1] = ACTIONS(983),
    [aux_sym_echo_statement_token1] = ACTIONS(983),
    [aux_sym_exit_statement_token1] = ACTIONS(983),
    [anon_sym_unset] = ACTIONS(983),
    [aux_sym_declare_statement_token1] = ACTIONS(983),
    [aux_sym_declare_statement_token2] = ACTIONS(983),
    [sym_float] = ACTIONS(983),
    [aux_sym_try_statement_token1] = ACTIONS(983),
    [aux_sym_catch_clause_token1] = ACTIONS(985),
    [aux_sym_finally_clause_token1] = ACTIONS(988),
    [aux_sym_goto_statement_token1] = ACTIONS(983),
    [aux_sym_continue_statement_token1] = ACTIONS(983),
    [aux_sym_break_statement_token1] = ACTIONS(983),
    [sym_integer] = ACTIONS(983),
    [aux_sym_return_statement_token1] = ACTIONS(983),
    [aux_sym_throw_expression_token1] = ACTIONS(983),
    [aux_sym_while_statement_token1] = ACTIONS(983),
    [aux_sym_while_statement_token2] = ACTIONS(983),
    [aux_sym_do_statement_token1] = ACTIONS(983),
    [aux_sym_for_statement_token1] = ACTIONS(983),
    [aux_sym_for_statement_token2] = ACTIONS(983),
    [aux_sym_foreach_statement_token1] = ACTIONS(983),
    [aux_sym_foreach_statement_token2] = ACTIONS(983),
    [aux_sym_if_statement_token1] = ACTIONS(983),
    [aux_sym_if_statement_token2] = ACTIONS(983),
    [aux_sym_else_if_clause_token1] = ACTIONS(983),
    [aux_sym_else_clause_token1] = ACTIONS(983),
    [aux_sym_match_expression_token1] = ACTIONS(983),
    [aux_sym_match_default_expression_token1] = ACTIONS(983),
    [aux_sym_switch_statement_token1] = ACTIONS(983),
    [aux_sym_switch_block_token1] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_DASH] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(981),
    [aux_sym_clone_expression_token1] = ACTIONS(983),
    [aux_sym_print_intrinsic_token1] = ACTIONS(983),
    [aux_sym_object_creation_expression_token1] = ACTIONS(983),
    [anon_sym_DASH_DASH] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(981),
    [aux_sym__list_destructing_token1] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(983),
    [anon_sym_parent] = ACTIONS(983),
    [aux_sym__argument_name_token1] = ACTIONS(983),
    [aux_sym__argument_name_token2] = ACTIONS(983),
    [anon_sym_POUND_LBRACK] = ACTIONS(981),
    [aux_sym_encapsed_string_token1] = ACTIONS(981),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [aux_sym_string_token1] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(981),
    [anon_sym_LT_LT_LT] = ACTIONS(981),
    [anon_sym_BQUOTE] = ACTIONS(981),
    [anon_sym_DOLLAR] = ACTIONS(981),
    [aux_sym_yield_expression_token1] = ACTIONS(983),
    [aux_sym_include_expression_token1] = ACTIONS(983),
    [aux_sym_include_once_expression_token1] = ACTIONS(983),
    [aux_sym_require_expression_token1] = ACTIONS(983),
    [aux_sym_require_once_expression_token1] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_catch_clause] = STATE(423),
    [sym_finally_clause] = STATE(423),
    [aux_sym_try_statement_repeat1] = STATE(423),
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_name] = ACTIONS(993),
    [anon_sym_QMARK_GT] = ACTIONS(991),
    [anon_sym_SEMI] = ACTIONS(991),
    [aux_sym_function_static_declaration_token1] = ACTIONS(993),
    [aux_sym_global_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_definition_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(993),
    [anon_sym_BSLASH] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [aux_sym_trait_declaration_token1] = ACTIONS(993),
    [aux_sym_interface_declaration_token1] = ACTIONS(993),
    [aux_sym_enum_declaration_token1] = ACTIONS(993),
    [aux_sym_enum_case_token1] = ACTIONS(993),
    [aux_sym_class_declaration_token1] = ACTIONS(993),
    [aux_sym_final_modifier_token1] = ACTIONS(993),
    [aux_sym_abstract_modifier_token1] = ACTIONS(993),
    [aux_sym_readonly_modifier_token1] = ACTIONS(993),
    [sym_var_modifier] = ACTIONS(993),
    [aux_sym_visibility_modifier_token1] = ACTIONS(993),
    [aux_sym_visibility_modifier_token2] = ACTIONS(993),
    [aux_sym_visibility_modifier_token3] = ACTIONS(993),
    [aux_sym__arrow_function_header_token1] = ACTIONS(993),
    [anon_sym_LPAREN] = ACTIONS(991),
    [aux_sym_cast_type_token1] = ACTIONS(993),
    [aux_sym_echo_statement_token1] = ACTIONS(993),
    [aux_sym_exit_statement_token1] = ACTIONS(993),
    [anon_sym_unset] = ACTIONS(993),
    [aux_sym_declare_statement_token1] = ACTIONS(993),
    [aux_sym_declare_statement_token2] = ACTIONS(993),
    [sym_float] = ACTIONS(993),
    [aux_sym_try_statement_token1] = ACTIONS(993),
    [aux_sym_catch_clause_token1] = ACTIONS(995),
    [aux_sym_finally_clause_token1] = ACTIONS(997),
    [aux_sym_goto_statement_token1] = ACTIONS(993),
    [aux_sym_continue_statement_token1] = ACTIONS(993),
    [aux_sym_break_statement_token1] = ACTIONS(993),
    [sym_integer] = ACTIONS(993),
    [aux_sym_return_statement_token1] = ACTIONS(993),
    [aux_sym_throw_expression_token1] = ACTIONS(993),
    [aux_sym_while_statement_token1] = ACTIONS(993),
    [aux_sym_while_statement_token2] = ACTIONS(993),
    [aux_sym_do_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token2] = ACTIONS(993),
    [aux_sym_foreach_statement_token1] = ACTIONS(993),
    [aux_sym_foreach_statement_token2] = ACTIONS(993),
    [aux_sym_if_statement_token1] = ACTIONS(993),
    [aux_sym_if_statement_token2] = ACTIONS(993),
    [aux_sym_else_if_clause_token1] = ACTIONS(993),
    [aux_sym_else_clause_token1] = ACTIONS(993),
    [aux_sym_match_expression_token1] = ACTIONS(993),
    [aux_sym_match_default_expression_token1] = ACTIONS(993),
    [aux_sym_switch_statement_token1] = ACTIONS(993),
    [aux_sym_switch_block_token1] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(991),
    [aux_sym_clone_expression_token1] = ACTIONS(993),
    [aux_sym_print_intrinsic_token1] = ACTIONS(993),
    [aux_sym_object_creation_expression_token1] = ACTIONS(993),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [aux_sym__list_destructing_token1] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_self] = ACTIONS(993),
    [anon_sym_parent] = ACTIONS(993),
    [aux_sym__argument_name_token1] = ACTIONS(993),
    [aux_sym__argument_name_token2] = ACTIONS(993),
    [anon_sym_POUND_LBRACK] = ACTIONS(991),
    [aux_sym_encapsed_string_token1] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [aux_sym_string_token1] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [anon_sym_LT_LT_LT] = ACTIONS(991),
    [anon_sym_BQUOTE] = ACTIONS(991),
    [anon_sym_DOLLAR] = ACTIONS(991),
    [aux_sym_yield_expression_token1] = ACTIONS(993),
    [aux_sym_include_expression_token1] = ACTIONS(993),
    [aux_sym_include_once_expression_token1] = ACTIONS(993),
    [aux_sym_require_expression_token1] = ACTIONS(993),
    [aux_sym_require_once_expression_token1] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_else_if_clause] = STATE(479),
    [sym_else_clause] = STATE(475),
    [aux_sym_if_statement_repeat1] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_name] = ACTIONS(1001),
    [anon_sym_QMARK_GT] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1001),
    [aux_sym_global_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_definition_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1001),
    [anon_sym_BSLASH] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [aux_sym_trait_declaration_token1] = ACTIONS(1001),
    [aux_sym_interface_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_case_token1] = ACTIONS(1001),
    [aux_sym_class_declaration_token1] = ACTIONS(1001),
    [aux_sym_final_modifier_token1] = ACTIONS(1001),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1001),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1001),
    [sym_var_modifier] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1001),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(1001),
    [aux_sym_echo_statement_token1] = ACTIONS(1001),
    [aux_sym_exit_statement_token1] = ACTIONS(1001),
    [anon_sym_unset] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [aux_sym_declare_statement_token2] = ACTIONS(1001),
    [sym_float] = ACTIONS(1001),
    [aux_sym_try_statement_token1] = ACTIONS(1001),
    [aux_sym_goto_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [aux_sym_return_statement_token1] = ACTIONS(1001),
    [aux_sym_throw_expression_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token2] = ACTIONS(1001),
    [aux_sym_do_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token2] = ACTIONS(1001),
    [aux_sym_foreach_statement_token1] = ACTIONS(1001),
    [aux_sym_foreach_statement_token2] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token2] = ACTIONS(1001),
    [aux_sym_else_if_clause_token1] = ACTIONS(1003),
    [aux_sym_else_clause_token1] = ACTIONS(1005),
    [aux_sym_match_expression_token1] = ACTIONS(1001),
    [aux_sym_match_default_expression_token1] = ACTIONS(1001),
    [aux_sym_switch_statement_token1] = ACTIONS(1001),
    [aux_sym_switch_block_token1] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(999),
    [aux_sym_clone_expression_token1] = ACTIONS(1001),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1001),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [aux_sym__list_destructing_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(1001),
    [anon_sym_parent] = ACTIONS(1001),
    [aux_sym__argument_name_token1] = ACTIONS(1001),
    [aux_sym__argument_name_token2] = ACTIONS(1001),
    [anon_sym_POUND_LBRACK] = ACTIONS(999),
    [aux_sym_encapsed_string_token1] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_string_token1] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [anon_sym_LT_LT_LT] = ACTIONS(999),
    [anon_sym_BQUOTE] = ACTIONS(999),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [aux_sym_yield_expression_token1] = ACTIONS(1001),
    [aux_sym_include_expression_token1] = ACTIONS(1001),
    [aux_sym_include_once_expression_token1] = ACTIONS(1001),
    [aux_sym_require_expression_token1] = ACTIONS(1001),
    [aux_sym_require_once_expression_token1] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_else_if_clause] = STATE(479),
    [sym_else_clause] = STATE(488),
    [aux_sym_if_statement_repeat1] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_name] = ACTIONS(1009),
    [anon_sym_QMARK_GT] = ACTIONS(1007),
    [anon_sym_SEMI] = ACTIONS(1007),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1009),
    [aux_sym_global_declaration_token1] = ACTIONS(1009),
    [aux_sym_namespace_definition_token1] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1009),
    [anon_sym_BSLASH] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [aux_sym_trait_declaration_token1] = ACTIONS(1009),
    [aux_sym_interface_declaration_token1] = ACTIONS(1009),
    [aux_sym_enum_declaration_token1] = ACTIONS(1009),
    [aux_sym_enum_case_token1] = ACTIONS(1009),
    [aux_sym_class_declaration_token1] = ACTIONS(1009),
    [aux_sym_final_modifier_token1] = ACTIONS(1009),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1009),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1009),
    [sym_var_modifier] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1009),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1009),
    [aux_sym_echo_statement_token1] = ACTIONS(1009),
    [aux_sym_exit_statement_token1] = ACTIONS(1009),
    [anon_sym_unset] = ACTIONS(1009),
    [aux_sym_declare_statement_token1] = ACTIONS(1009),
    [aux_sym_declare_statement_token2] = ACTIONS(1009),
    [sym_float] = ACTIONS(1009),
    [aux_sym_try_statement_token1] = ACTIONS(1009),
    [aux_sym_goto_statement_token1] = ACTIONS(1009),
    [aux_sym_continue_statement_token1] = ACTIONS(1009),
    [aux_sym_break_statement_token1] = ACTIONS(1009),
    [sym_integer] = ACTIONS(1009),
    [aux_sym_return_statement_token1] = ACTIONS(1009),
    [aux_sym_throw_expression_token1] = ACTIONS(1009),
    [aux_sym_while_statement_token1] = ACTIONS(1009),
    [aux_sym_while_statement_token2] = ACTIONS(1009),
    [aux_sym_do_statement_token1] = ACTIONS(1009),
    [aux_sym_for_statement_token1] = ACTIONS(1009),
    [aux_sym_for_statement_token2] = ACTIONS(1009),
    [aux_sym_foreach_statement_token1] = ACTIONS(1009),
    [aux_sym_foreach_statement_token2] = ACTIONS(1009),
    [aux_sym_if_statement_token1] = ACTIONS(1009),
    [aux_sym_if_statement_token2] = ACTIONS(1009),
    [aux_sym_else_if_clause_token1] = ACTIONS(1003),
    [aux_sym_else_clause_token1] = ACTIONS(1005),
    [aux_sym_match_expression_token1] = ACTIONS(1009),
    [aux_sym_match_default_expression_token1] = ACTIONS(1009),
    [aux_sym_switch_statement_token1] = ACTIONS(1009),
    [aux_sym_switch_block_token1] = ACTIONS(1009),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_BANG] = ACTIONS(1007),
    [anon_sym_AT] = ACTIONS(1007),
    [aux_sym_clone_expression_token1] = ACTIONS(1009),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1009),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1009),
    [anon_sym_DASH_DASH] = ACTIONS(1007),
    [anon_sym_PLUS_PLUS] = ACTIONS(1007),
    [aux_sym__list_destructing_token1] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_self] = ACTIONS(1009),
    [anon_sym_parent] = ACTIONS(1009),
    [aux_sym__argument_name_token1] = ACTIONS(1009),
    [aux_sym__argument_name_token2] = ACTIONS(1009),
    [anon_sym_POUND_LBRACK] = ACTIONS(1007),
    [aux_sym_encapsed_string_token1] = ACTIONS(1007),
    [anon_sym_DQUOTE] = ACTIONS(1007),
    [aux_sym_string_token1] = ACTIONS(1007),
    [anon_sym_SQUOTE] = ACTIONS(1007),
    [anon_sym_LT_LT_LT] = ACTIONS(1007),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1007),
    [aux_sym_yield_expression_token1] = ACTIONS(1009),
    [aux_sym_include_expression_token1] = ACTIONS(1009),
    [aux_sym_include_once_expression_token1] = ACTIONS(1009),
    [aux_sym_require_expression_token1] = ACTIONS(1009),
    [aux_sym_require_once_expression_token1] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_else_if_clause] = STATE(479),
    [sym_else_clause] = STATE(488),
    [aux_sym_if_statement_repeat1] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_name] = ACTIONS(1009),
    [anon_sym_QMARK_GT] = ACTIONS(1007),
    [anon_sym_SEMI] = ACTIONS(1007),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1009),
    [aux_sym_global_declaration_token1] = ACTIONS(1009),
    [aux_sym_namespace_definition_token1] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1009),
    [anon_sym_BSLASH] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [aux_sym_trait_declaration_token1] = ACTIONS(1009),
    [aux_sym_interface_declaration_token1] = ACTIONS(1009),
    [aux_sym_enum_declaration_token1] = ACTIONS(1009),
    [aux_sym_enum_case_token1] = ACTIONS(1009),
    [aux_sym_class_declaration_token1] = ACTIONS(1009),
    [aux_sym_final_modifier_token1] = ACTIONS(1009),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1009),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1009),
    [sym_var_modifier] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1009),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1009),
    [aux_sym_echo_statement_token1] = ACTIONS(1009),
    [aux_sym_exit_statement_token1] = ACTIONS(1009),
    [anon_sym_unset] = ACTIONS(1009),
    [aux_sym_declare_statement_token1] = ACTIONS(1009),
    [aux_sym_declare_statement_token2] = ACTIONS(1009),
    [sym_float] = ACTIONS(1009),
    [aux_sym_try_statement_token1] = ACTIONS(1009),
    [aux_sym_goto_statement_token1] = ACTIONS(1009),
    [aux_sym_continue_statement_token1] = ACTIONS(1009),
    [aux_sym_break_statement_token1] = ACTIONS(1009),
    [sym_integer] = ACTIONS(1009),
    [aux_sym_return_statement_token1] = ACTIONS(1009),
    [aux_sym_throw_expression_token1] = ACTIONS(1009),
    [aux_sym_while_statement_token1] = ACTIONS(1009),
    [aux_sym_while_statement_token2] = ACTIONS(1009),
    [aux_sym_do_statement_token1] = ACTIONS(1009),
    [aux_sym_for_statement_token1] = ACTIONS(1009),
    [aux_sym_for_statement_token2] = ACTIONS(1009),
    [aux_sym_foreach_statement_token1] = ACTIONS(1009),
    [aux_sym_foreach_statement_token2] = ACTIONS(1009),
    [aux_sym_if_statement_token1] = ACTIONS(1009),
    [aux_sym_if_statement_token2] = ACTIONS(1009),
    [aux_sym_else_if_clause_token1] = ACTIONS(1011),
    [aux_sym_else_clause_token1] = ACTIONS(1014),
    [aux_sym_match_expression_token1] = ACTIONS(1009),
    [aux_sym_match_default_expression_token1] = ACTIONS(1009),
    [aux_sym_switch_statement_token1] = ACTIONS(1009),
    [aux_sym_switch_block_token1] = ACTIONS(1009),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_BANG] = ACTIONS(1007),
    [anon_sym_AT] = ACTIONS(1007),
    [aux_sym_clone_expression_token1] = ACTIONS(1009),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1009),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1009),
    [anon_sym_DASH_DASH] = ACTIONS(1007),
    [anon_sym_PLUS_PLUS] = ACTIONS(1007),
    [aux_sym__list_destructing_token1] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_self] = ACTIONS(1009),
    [anon_sym_parent] = ACTIONS(1009),
    [aux_sym__argument_name_token1] = ACTIONS(1009),
    [aux_sym__argument_name_token2] = ACTIONS(1009),
    [anon_sym_POUND_LBRACK] = ACTIONS(1007),
    [aux_sym_encapsed_string_token1] = ACTIONS(1007),
    [anon_sym_DQUOTE] = ACTIONS(1007),
    [aux_sym_string_token1] = ACTIONS(1007),
    [anon_sym_SQUOTE] = ACTIONS(1007),
    [anon_sym_LT_LT_LT] = ACTIONS(1007),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1007),
    [aux_sym_yield_expression_token1] = ACTIONS(1009),
    [aux_sym_include_expression_token1] = ACTIONS(1009),
    [aux_sym_include_once_expression_token1] = ACTIONS(1009),
    [aux_sym_require_expression_token1] = ACTIONS(1009),
    [aux_sym_require_once_expression_token1] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_else_if_clause] = STATE(479),
    [sym_else_clause] = STATE(475),
    [aux_sym_if_statement_repeat1] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_name] = ACTIONS(1001),
    [anon_sym_QMARK_GT] = ACTIONS(999),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1001),
    [aux_sym_global_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_definition_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1001),
    [anon_sym_BSLASH] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [aux_sym_trait_declaration_token1] = ACTIONS(1001),
    [aux_sym_interface_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_declaration_token1] = ACTIONS(1001),
    [aux_sym_enum_case_token1] = ACTIONS(1001),
    [aux_sym_class_declaration_token1] = ACTIONS(1001),
    [aux_sym_final_modifier_token1] = ACTIONS(1001),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1001),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1001),
    [sym_var_modifier] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1001),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(1001),
    [aux_sym_echo_statement_token1] = ACTIONS(1001),
    [aux_sym_exit_statement_token1] = ACTIONS(1001),
    [anon_sym_unset] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [aux_sym_declare_statement_token2] = ACTIONS(1001),
    [sym_float] = ACTIONS(1001),
    [aux_sym_try_statement_token1] = ACTIONS(1001),
    [aux_sym_goto_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [aux_sym_return_statement_token1] = ACTIONS(1001),
    [aux_sym_throw_expression_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token2] = ACTIONS(1001),
    [aux_sym_do_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token2] = ACTIONS(1001),
    [aux_sym_foreach_statement_token1] = ACTIONS(1001),
    [aux_sym_foreach_statement_token2] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token2] = ACTIONS(1001),
    [aux_sym_else_if_clause_token1] = ACTIONS(1017),
    [aux_sym_else_clause_token1] = ACTIONS(1020),
    [aux_sym_match_expression_token1] = ACTIONS(1001),
    [aux_sym_match_default_expression_token1] = ACTIONS(1001),
    [aux_sym_switch_statement_token1] = ACTIONS(1001),
    [aux_sym_switch_block_token1] = ACTIONS(1001),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(999),
    [aux_sym_clone_expression_token1] = ACTIONS(1001),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1001),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1001),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [aux_sym__list_destructing_token1] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(1001),
    [anon_sym_parent] = ACTIONS(1001),
    [aux_sym__argument_name_token1] = ACTIONS(1001),
    [aux_sym__argument_name_token2] = ACTIONS(1001),
    [anon_sym_POUND_LBRACK] = ACTIONS(999),
    [aux_sym_encapsed_string_token1] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_string_token1] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(999),
    [anon_sym_LT_LT_LT] = ACTIONS(999),
    [anon_sym_BQUOTE] = ACTIONS(999),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [aux_sym_yield_expression_token1] = ACTIONS(1001),
    [aux_sym_include_expression_token1] = ACTIONS(1001),
    [aux_sym_include_once_expression_token1] = ACTIONS(1001),
    [aux_sym_require_expression_token1] = ACTIONS(1001),
    [aux_sym_require_once_expression_token1] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_name] = ACTIONS(1025),
    [anon_sym_QMARK_GT] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1025),
    [aux_sym_global_declaration_token1] = ACTIONS(1025),
    [aux_sym_namespace_definition_token1] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1025),
    [anon_sym_BSLASH] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [aux_sym_trait_declaration_token1] = ACTIONS(1025),
    [aux_sym_interface_declaration_token1] = ACTIONS(1025),
    [aux_sym_enum_declaration_token1] = ACTIONS(1025),
    [aux_sym_enum_case_token1] = ACTIONS(1025),
    [aux_sym_class_declaration_token1] = ACTIONS(1025),
    [aux_sym_final_modifier_token1] = ACTIONS(1025),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1025),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1025),
    [sym_var_modifier] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1025),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_cast_type_token1] = ACTIONS(1025),
    [aux_sym_echo_statement_token1] = ACTIONS(1025),
    [aux_sym_exit_statement_token1] = ACTIONS(1025),
    [anon_sym_unset] = ACTIONS(1025),
    [aux_sym_declare_statement_token1] = ACTIONS(1025),
    [aux_sym_declare_statement_token2] = ACTIONS(1025),
    [sym_float] = ACTIONS(1025),
    [aux_sym_try_statement_token1] = ACTIONS(1025),
    [aux_sym_catch_clause_token1] = ACTIONS(1025),
    [aux_sym_finally_clause_token1] = ACTIONS(1025),
    [aux_sym_goto_statement_token1] = ACTIONS(1025),
    [aux_sym_continue_statement_token1] = ACTIONS(1025),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [sym_integer] = ACTIONS(1025),
    [aux_sym_return_statement_token1] = ACTIONS(1025),
    [aux_sym_throw_expression_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token2] = ACTIONS(1025),
    [aux_sym_do_statement_token1] = ACTIONS(1025),
    [aux_sym_for_statement_token1] = ACTIONS(1025),
    [aux_sym_for_statement_token2] = ACTIONS(1025),
    [aux_sym_foreach_statement_token1] = ACTIONS(1025),
    [aux_sym_foreach_statement_token2] = ACTIONS(1025),
    [aux_sym_if_statement_token1] = ACTIONS(1025),
    [aux_sym_if_statement_token2] = ACTIONS(1025),
    [aux_sym_else_if_clause_token1] = ACTIONS(1025),
    [aux_sym_else_clause_token1] = ACTIONS(1025),
    [aux_sym_match_expression_token1] = ACTIONS(1025),
    [aux_sym_match_default_expression_token1] = ACTIONS(1025),
    [aux_sym_switch_statement_token1] = ACTIONS(1025),
    [aux_sym_switch_block_token1] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_BANG] = ACTIONS(1023),
    [anon_sym_AT] = ACTIONS(1023),
    [aux_sym_clone_expression_token1] = ACTIONS(1025),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1025),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1025),
    [anon_sym_DASH_DASH] = ACTIONS(1023),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [aux_sym__list_destructing_token1] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_self] = ACTIONS(1025),
    [anon_sym_parent] = ACTIONS(1025),
    [aux_sym__argument_name_token1] = ACTIONS(1025),
    [aux_sym__argument_name_token2] = ACTIONS(1025),
    [anon_sym_POUND_LBRACK] = ACTIONS(1023),
    [aux_sym_encapsed_string_token1] = ACTIONS(1023),
    [anon_sym_DQUOTE] = ACTIONS(1023),
    [aux_sym_string_token1] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_LT_LT_LT] = ACTIONS(1023),
    [anon_sym_BQUOTE] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(1023),
    [aux_sym_yield_expression_token1] = ACTIONS(1025),
    [aux_sym_include_expression_token1] = ACTIONS(1025),
    [aux_sym_include_once_expression_token1] = ACTIONS(1025),
    [aux_sym_require_expression_token1] = ACTIONS(1025),
    [aux_sym_require_once_expression_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym_name] = ACTIONS(1029),
    [anon_sym_QMARK_GT] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1029),
    [aux_sym_global_declaration_token1] = ACTIONS(1029),
    [aux_sym_namespace_definition_token1] = ACTIONS(1029),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1029),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1029),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1029),
    [anon_sym_BSLASH] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [aux_sym_trait_declaration_token1] = ACTIONS(1029),
    [aux_sym_interface_declaration_token1] = ACTIONS(1029),
    [aux_sym_enum_declaration_token1] = ACTIONS(1029),
    [aux_sym_enum_case_token1] = ACTIONS(1029),
    [aux_sym_class_declaration_token1] = ACTIONS(1029),
    [aux_sym_final_modifier_token1] = ACTIONS(1029),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1029),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1029),
    [sym_var_modifier] = ACTIONS(1029),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1029),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1029),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [aux_sym_cast_type_token1] = ACTIONS(1029),
    [aux_sym_echo_statement_token1] = ACTIONS(1029),
    [aux_sym_exit_statement_token1] = ACTIONS(1029),
    [anon_sym_unset] = ACTIONS(1029),
    [aux_sym_declare_statement_token1] = ACTIONS(1029),
    [aux_sym_declare_statement_token2] = ACTIONS(1029),
    [sym_float] = ACTIONS(1029),
    [aux_sym_try_statement_token1] = ACTIONS(1029),
    [aux_sym_catch_clause_token1] = ACTIONS(1029),
    [aux_sym_finally_clause_token1] = ACTIONS(1029),
    [aux_sym_goto_statement_token1] = ACTIONS(1029),
    [aux_sym_continue_statement_token1] = ACTIONS(1029),
    [aux_sym_break_statement_token1] = ACTIONS(1029),
    [sym_integer] = ACTIONS(1029),
    [aux_sym_return_statement_token1] = ACTIONS(1029),
    [aux_sym_throw_expression_token1] = ACTIONS(1029),
    [aux_sym_while_statement_token1] = ACTIONS(1029),
    [aux_sym_while_statement_token2] = ACTIONS(1029),
    [aux_sym_do_statement_token1] = ACTIONS(1029),
    [aux_sym_for_statement_token1] = ACTIONS(1029),
    [aux_sym_for_statement_token2] = ACTIONS(1029),
    [aux_sym_foreach_statement_token1] = ACTIONS(1029),
    [aux_sym_foreach_statement_token2] = ACTIONS(1029),
    [aux_sym_if_statement_token1] = ACTIONS(1029),
    [aux_sym_if_statement_token2] = ACTIONS(1029),
    [aux_sym_else_if_clause_token1] = ACTIONS(1029),
    [aux_sym_else_clause_token1] = ACTIONS(1029),
    [aux_sym_match_expression_token1] = ACTIONS(1029),
    [aux_sym_match_default_expression_token1] = ACTIONS(1029),
    [aux_sym_switch_statement_token1] = ACTIONS(1029),
    [aux_sym_switch_block_token1] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1027),
    [anon_sym_AT] = ACTIONS(1027),
    [aux_sym_clone_expression_token1] = ACTIONS(1029),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1029),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [aux_sym__list_destructing_token1] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(1029),
    [anon_sym_parent] = ACTIONS(1029),
    [aux_sym__argument_name_token1] = ACTIONS(1029),
    [aux_sym__argument_name_token2] = ACTIONS(1029),
    [anon_sym_POUND_LBRACK] = ACTIONS(1027),
    [aux_sym_encapsed_string_token1] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1027),
    [aux_sym_string_token1] = ACTIONS(1027),
    [anon_sym_SQUOTE] = ACTIONS(1027),
    [anon_sym_LT_LT_LT] = ACTIONS(1027),
    [anon_sym_BQUOTE] = ACTIONS(1027),
    [anon_sym_DOLLAR] = ACTIONS(1027),
    [aux_sym_yield_expression_token1] = ACTIONS(1029),
    [aux_sym_include_expression_token1] = ACTIONS(1029),
    [aux_sym_include_once_expression_token1] = ACTIONS(1029),
    [aux_sym_require_expression_token1] = ACTIONS(1029),
    [aux_sym_require_once_expression_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_name] = ACTIONS(1033),
    [anon_sym_QMARK_GT] = ACTIONS(1031),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1033),
    [aux_sym_global_declaration_token1] = ACTIONS(1033),
    [aux_sym_namespace_definition_token1] = ACTIONS(1033),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1033),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1033),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1033),
    [anon_sym_BSLASH] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [aux_sym_trait_declaration_token1] = ACTIONS(1033),
    [aux_sym_interface_declaration_token1] = ACTIONS(1033),
    [aux_sym_enum_declaration_token1] = ACTIONS(1033),
    [aux_sym_enum_case_token1] = ACTIONS(1033),
    [aux_sym_class_declaration_token1] = ACTIONS(1033),
    [aux_sym_final_modifier_token1] = ACTIONS(1033),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1033),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1033),
    [sym_var_modifier] = ACTIONS(1033),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1033),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1033),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1033),
    [aux_sym_echo_statement_token1] = ACTIONS(1033),
    [aux_sym_exit_statement_token1] = ACTIONS(1033),
    [anon_sym_unset] = ACTIONS(1033),
    [aux_sym_declare_statement_token1] = ACTIONS(1033),
    [aux_sym_declare_statement_token2] = ACTIONS(1033),
    [sym_float] = ACTIONS(1033),
    [aux_sym_try_statement_token1] = ACTIONS(1033),
    [aux_sym_catch_clause_token1] = ACTIONS(1033),
    [aux_sym_finally_clause_token1] = ACTIONS(1033),
    [aux_sym_goto_statement_token1] = ACTIONS(1033),
    [aux_sym_continue_statement_token1] = ACTIONS(1033),
    [aux_sym_break_statement_token1] = ACTIONS(1033),
    [sym_integer] = ACTIONS(1033),
    [aux_sym_return_statement_token1] = ACTIONS(1033),
    [aux_sym_throw_expression_token1] = ACTIONS(1033),
    [aux_sym_while_statement_token1] = ACTIONS(1033),
    [aux_sym_while_statement_token2] = ACTIONS(1033),
    [aux_sym_do_statement_token1] = ACTIONS(1033),
    [aux_sym_for_statement_token1] = ACTIONS(1033),
    [aux_sym_for_statement_token2] = ACTIONS(1033),
    [aux_sym_foreach_statement_token1] = ACTIONS(1033),
    [aux_sym_foreach_statement_token2] = ACTIONS(1033),
    [aux_sym_if_statement_token1] = ACTIONS(1033),
    [aux_sym_if_statement_token2] = ACTIONS(1033),
    [aux_sym_else_if_clause_token1] = ACTIONS(1033),
    [aux_sym_else_clause_token1] = ACTIONS(1033),
    [aux_sym_match_expression_token1] = ACTIONS(1033),
    [aux_sym_match_default_expression_token1] = ACTIONS(1033),
    [aux_sym_switch_statement_token1] = ACTIONS(1033),
    [aux_sym_switch_block_token1] = ACTIONS(1033),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_AT] = ACTIONS(1031),
    [aux_sym_clone_expression_token1] = ACTIONS(1033),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1033),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1033),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [aux_sym__list_destructing_token1] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_self] = ACTIONS(1033),
    [anon_sym_parent] = ACTIONS(1033),
    [aux_sym__argument_name_token1] = ACTIONS(1033),
    [aux_sym__argument_name_token2] = ACTIONS(1033),
    [anon_sym_POUND_LBRACK] = ACTIONS(1031),
    [aux_sym_encapsed_string_token1] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(1031),
    [aux_sym_string_token1] = ACTIONS(1031),
    [anon_sym_SQUOTE] = ACTIONS(1031),
    [anon_sym_LT_LT_LT] = ACTIONS(1031),
    [anon_sym_BQUOTE] = ACTIONS(1031),
    [anon_sym_DOLLAR] = ACTIONS(1031),
    [aux_sym_yield_expression_token1] = ACTIONS(1033),
    [aux_sym_include_expression_token1] = ACTIONS(1033),
    [aux_sym_include_once_expression_token1] = ACTIONS(1033),
    [aux_sym_require_expression_token1] = ACTIONS(1033),
    [aux_sym_require_once_expression_token1] = ACTIONS(1033),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_name] = ACTIONS(1037),
    [anon_sym_QMARK_GT] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1037),
    [aux_sym_global_declaration_token1] = ACTIONS(1037),
    [aux_sym_namespace_definition_token1] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1037),
    [anon_sym_BSLASH] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [aux_sym_trait_declaration_token1] = ACTIONS(1037),
    [aux_sym_interface_declaration_token1] = ACTIONS(1037),
    [aux_sym_enum_declaration_token1] = ACTIONS(1037),
    [aux_sym_enum_case_token1] = ACTIONS(1037),
    [aux_sym_class_declaration_token1] = ACTIONS(1037),
    [aux_sym_final_modifier_token1] = ACTIONS(1037),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1037),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1037),
    [sym_var_modifier] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1037),
    [aux_sym_echo_statement_token1] = ACTIONS(1037),
    [aux_sym_exit_statement_token1] = ACTIONS(1037),
    [anon_sym_unset] = ACTIONS(1037),
    [aux_sym_declare_statement_token1] = ACTIONS(1037),
    [aux_sym_declare_statement_token2] = ACTIONS(1037),
    [sym_float] = ACTIONS(1037),
    [aux_sym_try_statement_token1] = ACTIONS(1037),
    [aux_sym_catch_clause_token1] = ACTIONS(1037),
    [aux_sym_finally_clause_token1] = ACTIONS(1037),
    [aux_sym_goto_statement_token1] = ACTIONS(1037),
    [aux_sym_continue_statement_token1] = ACTIONS(1037),
    [aux_sym_break_statement_token1] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1037),
    [aux_sym_return_statement_token1] = ACTIONS(1037),
    [aux_sym_throw_expression_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token2] = ACTIONS(1037),
    [aux_sym_do_statement_token1] = ACTIONS(1037),
    [aux_sym_for_statement_token1] = ACTIONS(1037),
    [aux_sym_for_statement_token2] = ACTIONS(1037),
    [aux_sym_foreach_statement_token1] = ACTIONS(1037),
    [aux_sym_foreach_statement_token2] = ACTIONS(1037),
    [aux_sym_if_statement_token1] = ACTIONS(1037),
    [aux_sym_if_statement_token2] = ACTIONS(1037),
    [aux_sym_else_if_clause_token1] = ACTIONS(1037),
    [aux_sym_else_clause_token1] = ACTIONS(1037),
    [aux_sym_match_expression_token1] = ACTIONS(1037),
    [aux_sym_match_default_expression_token1] = ACTIONS(1037),
    [aux_sym_switch_statement_token1] = ACTIONS(1037),
    [aux_sym_switch_block_token1] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1035),
    [anon_sym_BANG] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(1035),
    [aux_sym_clone_expression_token1] = ACTIONS(1037),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1037),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1037),
    [anon_sym_DASH_DASH] = ACTIONS(1035),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [aux_sym__list_destructing_token1] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [anon_sym_self] = ACTIONS(1037),
    [anon_sym_parent] = ACTIONS(1037),
    [aux_sym__argument_name_token1] = ACTIONS(1037),
    [aux_sym__argument_name_token2] = ACTIONS(1037),
    [anon_sym_POUND_LBRACK] = ACTIONS(1035),
    [aux_sym_encapsed_string_token1] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1035),
    [aux_sym_string_token1] = ACTIONS(1035),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_LT_LT_LT] = ACTIONS(1035),
    [anon_sym_BQUOTE] = ACTIONS(1035),
    [anon_sym_DOLLAR] = ACTIONS(1035),
    [aux_sym_yield_expression_token1] = ACTIONS(1037),
    [aux_sym_include_expression_token1] = ACTIONS(1037),
    [aux_sym_include_once_expression_token1] = ACTIONS(1037),
    [aux_sym_require_expression_token1] = ACTIONS(1037),
    [aux_sym_require_once_expression_token1] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_else_if_clause] = STATE(479),
    [aux_sym_if_statement_repeat1] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [sym_name] = ACTIONS(1041),
    [anon_sym_QMARK_GT] = ACTIONS(1039),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1041),
    [aux_sym_global_declaration_token1] = ACTIONS(1041),
    [aux_sym_namespace_definition_token1] = ACTIONS(1041),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1041),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1041),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1041),
    [anon_sym_BSLASH] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [aux_sym_trait_declaration_token1] = ACTIONS(1041),
    [aux_sym_interface_declaration_token1] = ACTIONS(1041),
    [aux_sym_enum_declaration_token1] = ACTIONS(1041),
    [aux_sym_enum_case_token1] = ACTIONS(1041),
    [aux_sym_class_declaration_token1] = ACTIONS(1041),
    [aux_sym_final_modifier_token1] = ACTIONS(1041),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1041),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1041),
    [sym_var_modifier] = ACTIONS(1041),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1041),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1041),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1041),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1041),
    [aux_sym_echo_statement_token1] = ACTIONS(1041),
    [aux_sym_exit_statement_token1] = ACTIONS(1041),
    [anon_sym_unset] = ACTIONS(1041),
    [aux_sym_declare_statement_token1] = ACTIONS(1041),
    [aux_sym_declare_statement_token2] = ACTIONS(1041),
    [sym_float] = ACTIONS(1041),
    [aux_sym_try_statement_token1] = ACTIONS(1041),
    [aux_sym_goto_statement_token1] = ACTIONS(1041),
    [aux_sym_continue_statement_token1] = ACTIONS(1041),
    [aux_sym_break_statement_token1] = ACTIONS(1041),
    [sym_integer] = ACTIONS(1041),
    [aux_sym_return_statement_token1] = ACTIONS(1041),
    [aux_sym_throw_expression_token1] = ACTIONS(1041),
    [aux_sym_while_statement_token1] = ACTIONS(1041),
    [aux_sym_while_statement_token2] = ACTIONS(1041),
    [aux_sym_do_statement_token1] = ACTIONS(1041),
    [aux_sym_for_statement_token1] = ACTIONS(1041),
    [aux_sym_for_statement_token2] = ACTIONS(1041),
    [aux_sym_foreach_statement_token1] = ACTIONS(1041),
    [aux_sym_foreach_statement_token2] = ACTIONS(1041),
    [aux_sym_if_statement_token1] = ACTIONS(1041),
    [aux_sym_if_statement_token2] = ACTIONS(1041),
    [aux_sym_else_if_clause_token1] = ACTIONS(1043),
    [aux_sym_else_clause_token1] = ACTIONS(1041),
    [aux_sym_match_expression_token1] = ACTIONS(1041),
    [aux_sym_match_default_expression_token1] = ACTIONS(1041),
    [aux_sym_switch_statement_token1] = ACTIONS(1041),
    [aux_sym_switch_block_token1] = ACTIONS(1041),
    [anon_sym_PLUS] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_AT] = ACTIONS(1039),
    [aux_sym_clone_expression_token1] = ACTIONS(1041),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1041),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1041),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [aux_sym__list_destructing_token1] = ACTIONS(1041),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [anon_sym_self] = ACTIONS(1041),
    [anon_sym_parent] = ACTIONS(1041),
    [aux_sym__argument_name_token1] = ACTIONS(1041),
    [aux_sym__argument_name_token2] = ACTIONS(1041),
    [anon_sym_POUND_LBRACK] = ACTIONS(1039),
    [aux_sym_encapsed_string_token1] = ACTIONS(1039),
    [anon_sym_DQUOTE] = ACTIONS(1039),
    [aux_sym_string_token1] = ACTIONS(1039),
    [anon_sym_SQUOTE] = ACTIONS(1039),
    [anon_sym_LT_LT_LT] = ACTIONS(1039),
    [anon_sym_BQUOTE] = ACTIONS(1039),
    [anon_sym_DOLLAR] = ACTIONS(1039),
    [aux_sym_yield_expression_token1] = ACTIONS(1041),
    [aux_sym_include_expression_token1] = ACTIONS(1041),
    [aux_sym_include_once_expression_token1] = ACTIONS(1041),
    [aux_sym_require_expression_token1] = ACTIONS(1041),
    [aux_sym_require_once_expression_token1] = ACTIONS(1041),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_name] = ACTIONS(1048),
    [anon_sym_QMARK_GT] = ACTIONS(1046),
    [anon_sym_SEMI] = ACTIONS(1046),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1048),
    [aux_sym_global_declaration_token1] = ACTIONS(1048),
    [aux_sym_namespace_definition_token1] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1048),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1048),
    [anon_sym_BSLASH] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [aux_sym_trait_declaration_token1] = ACTIONS(1048),
    [aux_sym_interface_declaration_token1] = ACTIONS(1048),
    [aux_sym_enum_declaration_token1] = ACTIONS(1048),
    [aux_sym_enum_case_token1] = ACTIONS(1048),
    [aux_sym_class_declaration_token1] = ACTIONS(1048),
    [aux_sym_final_modifier_token1] = ACTIONS(1048),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1048),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1048),
    [sym_var_modifier] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1048),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1048),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [aux_sym_cast_type_token1] = ACTIONS(1048),
    [aux_sym_echo_statement_token1] = ACTIONS(1048),
    [aux_sym_exit_statement_token1] = ACTIONS(1048),
    [anon_sym_unset] = ACTIONS(1048),
    [aux_sym_declare_statement_token1] = ACTIONS(1048),
    [aux_sym_declare_statement_token2] = ACTIONS(1048),
    [sym_float] = ACTIONS(1048),
    [aux_sym_try_statement_token1] = ACTIONS(1048),
    [aux_sym_catch_clause_token1] = ACTIONS(1048),
    [aux_sym_finally_clause_token1] = ACTIONS(1048),
    [aux_sym_goto_statement_token1] = ACTIONS(1048),
    [aux_sym_continue_statement_token1] = ACTIONS(1048),
    [aux_sym_break_statement_token1] = ACTIONS(1048),
    [sym_integer] = ACTIONS(1048),
    [aux_sym_return_statement_token1] = ACTIONS(1048),
    [aux_sym_throw_expression_token1] = ACTIONS(1048),
    [aux_sym_while_statement_token1] = ACTIONS(1048),
    [aux_sym_while_statement_token2] = ACTIONS(1048),
    [aux_sym_do_statement_token1] = ACTIONS(1048),
    [aux_sym_for_statement_token1] = ACTIONS(1048),
    [aux_sym_for_statement_token2] = ACTIONS(1048),
    [aux_sym_foreach_statement_token1] = ACTIONS(1048),
    [aux_sym_foreach_statement_token2] = ACTIONS(1048),
    [aux_sym_if_statement_token1] = ACTIONS(1048),
    [aux_sym_if_statement_token2] = ACTIONS(1048),
    [aux_sym_else_if_clause_token1] = ACTIONS(1048),
    [aux_sym_else_clause_token1] = ACTIONS(1048),
    [aux_sym_match_expression_token1] = ACTIONS(1048),
    [aux_sym_match_default_expression_token1] = ACTIONS(1048),
    [aux_sym_switch_statement_token1] = ACTIONS(1048),
    [aux_sym_switch_block_token1] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1046),
    [aux_sym_clone_expression_token1] = ACTIONS(1048),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1048),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1048),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [aux_sym__list_destructing_token1] = ACTIONS(1048),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_self] = ACTIONS(1048),
    [anon_sym_parent] = ACTIONS(1048),
    [aux_sym__argument_name_token1] = ACTIONS(1048),
    [aux_sym__argument_name_token2] = ACTIONS(1048),
    [anon_sym_POUND_LBRACK] = ACTIONS(1046),
    [aux_sym_encapsed_string_token1] = ACTIONS(1046),
    [anon_sym_DQUOTE] = ACTIONS(1046),
    [aux_sym_string_token1] = ACTIONS(1046),
    [anon_sym_SQUOTE] = ACTIONS(1046),
    [anon_sym_LT_LT_LT] = ACTIONS(1046),
    [anon_sym_BQUOTE] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1046),
    [aux_sym_yield_expression_token1] = ACTIONS(1048),
    [aux_sym_include_expression_token1] = ACTIONS(1048),
    [aux_sym_include_once_expression_token1] = ACTIONS(1048),
    [aux_sym_require_expression_token1] = ACTIONS(1048),
    [aux_sym_require_once_expression_token1] = ACTIONS(1048),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1050),
    [sym_name] = ACTIONS(1052),
    [anon_sym_QMARK_GT] = ACTIONS(1050),
    [anon_sym_SEMI] = ACTIONS(1054),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1052),
    [aux_sym_global_declaration_token1] = ACTIONS(1052),
    [aux_sym_namespace_definition_token1] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1052),
    [anon_sym_BSLASH] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [aux_sym_trait_declaration_token1] = ACTIONS(1052),
    [aux_sym_interface_declaration_token1] = ACTIONS(1052),
    [aux_sym_enum_declaration_token1] = ACTIONS(1052),
    [aux_sym_enum_case_token1] = ACTIONS(1052),
    [aux_sym_class_declaration_token1] = ACTIONS(1052),
    [aux_sym_final_modifier_token1] = ACTIONS(1052),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1052),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1052),
    [sym_var_modifier] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1052),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1052),
    [anon_sym_LPAREN] = ACTIONS(1050),
    [aux_sym_cast_type_token1] = ACTIONS(1052),
    [aux_sym_echo_statement_token1] = ACTIONS(1052),
    [aux_sym_exit_statement_token1] = ACTIONS(1052),
    [anon_sym_unset] = ACTIONS(1052),
    [aux_sym_declare_statement_token1] = ACTIONS(1052),
    [aux_sym_declare_statement_token2] = ACTIONS(1052),
    [sym_float] = ACTIONS(1052),
    [aux_sym_try_statement_token1] = ACTIONS(1052),
    [aux_sym_goto_statement_token1] = ACTIONS(1052),
    [aux_sym_continue_statement_token1] = ACTIONS(1052),
    [aux_sym_break_statement_token1] = ACTIONS(1052),
    [sym_integer] = ACTIONS(1052),
    [aux_sym_return_statement_token1] = ACTIONS(1052),
    [aux_sym_throw_expression_token1] = ACTIONS(1052),
    [aux_sym_while_statement_token1] = ACTIONS(1052),
    [aux_sym_while_statement_token2] = ACTIONS(1052),
    [aux_sym_do_statement_token1] = ACTIONS(1052),
    [aux_sym_for_statement_token1] = ACTIONS(1052),
    [aux_sym_for_statement_token2] = ACTIONS(1052),
    [aux_sym_foreach_statement_token1] = ACTIONS(1052),
    [aux_sym_foreach_statement_token2] = ACTIONS(1052),
    [aux_sym_if_statement_token1] = ACTIONS(1052),
    [aux_sym_if_statement_token2] = ACTIONS(1052),
    [aux_sym_else_if_clause_token1] = ACTIONS(1052),
    [aux_sym_else_clause_token1] = ACTIONS(1052),
    [aux_sym_match_expression_token1] = ACTIONS(1052),
    [aux_sym_match_default_expression_token1] = ACTIONS(1052),
    [aux_sym_switch_statement_token1] = ACTIONS(1052),
    [aux_sym_switch_block_token1] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(1050),
    [aux_sym_clone_expression_token1] = ACTIONS(1052),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1052),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1050),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [aux_sym__list_destructing_token1] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(1052),
    [anon_sym_parent] = ACTIONS(1052),
    [aux_sym__argument_name_token1] = ACTIONS(1052),
    [aux_sym__argument_name_token2] = ACTIONS(1052),
    [anon_sym_POUND_LBRACK] = ACTIONS(1050),
    [aux_sym_encapsed_string_token1] = ACTIONS(1050),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [aux_sym_string_token1] = ACTIONS(1050),
    [anon_sym_SQUOTE] = ACTIONS(1050),
    [anon_sym_LT_LT_LT] = ACTIONS(1050),
    [anon_sym_BQUOTE] = ACTIONS(1050),
    [anon_sym_DOLLAR] = ACTIONS(1050),
    [aux_sym_yield_expression_token1] = ACTIONS(1052),
    [aux_sym_include_expression_token1] = ACTIONS(1052),
    [aux_sym_include_once_expression_token1] = ACTIONS(1052),
    [aux_sym_require_expression_token1] = ACTIONS(1052),
    [aux_sym_require_once_expression_token1] = ACTIONS(1052),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1054),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_name] = ACTIONS(1058),
    [anon_sym_QMARK_GT] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1058),
    [aux_sym_global_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_definition_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym_trait_declaration_token1] = ACTIONS(1058),
    [aux_sym_interface_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_case_token1] = ACTIONS(1058),
    [aux_sym_class_declaration_token1] = ACTIONS(1058),
    [aux_sym_final_modifier_token1] = ACTIONS(1058),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1058),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1058),
    [sym_var_modifier] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1058),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [aux_sym_cast_type_token1] = ACTIONS(1058),
    [aux_sym_echo_statement_token1] = ACTIONS(1058),
    [aux_sym_exit_statement_token1] = ACTIONS(1058),
    [anon_sym_unset] = ACTIONS(1058),
    [aux_sym_declare_statement_token1] = ACTIONS(1058),
    [aux_sym_declare_statement_token2] = ACTIONS(1058),
    [sym_float] = ACTIONS(1058),
    [aux_sym_try_statement_token1] = ACTIONS(1058),
    [aux_sym_goto_statement_token1] = ACTIONS(1058),
    [aux_sym_continue_statement_token1] = ACTIONS(1058),
    [aux_sym_break_statement_token1] = ACTIONS(1058),
    [sym_integer] = ACTIONS(1058),
    [aux_sym_return_statement_token1] = ACTIONS(1058),
    [aux_sym_throw_expression_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token2] = ACTIONS(1058),
    [aux_sym_do_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token2] = ACTIONS(1058),
    [aux_sym_foreach_statement_token1] = ACTIONS(1058),
    [aux_sym_foreach_statement_token2] = ACTIONS(1058),
    [aux_sym_if_statement_token1] = ACTIONS(1058),
    [aux_sym_if_statement_token2] = ACTIONS(1058),
    [aux_sym_else_if_clause_token1] = ACTIONS(1058),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1058),
    [aux_sym_match_default_expression_token1] = ACTIONS(1058),
    [aux_sym_switch_statement_token1] = ACTIONS(1058),
    [aux_sym_switch_block_token1] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1056),
    [aux_sym_clone_expression_token1] = ACTIONS(1058),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1058),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [aux_sym__list_destructing_token1] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(1058),
    [anon_sym_parent] = ACTIONS(1058),
    [aux_sym__argument_name_token1] = ACTIONS(1058),
    [aux_sym__argument_name_token2] = ACTIONS(1058),
    [anon_sym_POUND_LBRACK] = ACTIONS(1056),
    [aux_sym_encapsed_string_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_string_token1] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [anon_sym_LT_LT_LT] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1056),
    [aux_sym_yield_expression_token1] = ACTIONS(1058),
    [aux_sym_include_expression_token1] = ACTIONS(1058),
    [aux_sym_include_once_expression_token1] = ACTIONS(1058),
    [aux_sym_require_expression_token1] = ACTIONS(1058),
    [aux_sym_require_once_expression_token1] = ACTIONS(1058),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1060),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(1062),
    [sym_name] = ACTIONS(1064),
    [anon_sym_QMARK_GT] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1062),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1064),
    [aux_sym_global_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_definition_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1064),
    [anon_sym_BSLASH] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [aux_sym_trait_declaration_token1] = ACTIONS(1064),
    [aux_sym_interface_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_case_token1] = ACTIONS(1064),
    [aux_sym_class_declaration_token1] = ACTIONS(1064),
    [aux_sym_final_modifier_token1] = ACTIONS(1064),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1064),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1064),
    [sym_var_modifier] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1064),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1064),
    [aux_sym_echo_statement_token1] = ACTIONS(1064),
    [aux_sym_exit_statement_token1] = ACTIONS(1064),
    [anon_sym_unset] = ACTIONS(1064),
    [aux_sym_declare_statement_token1] = ACTIONS(1064),
    [aux_sym_declare_statement_token2] = ACTIONS(1064),
    [sym_float] = ACTIONS(1064),
    [aux_sym_try_statement_token1] = ACTIONS(1064),
    [aux_sym_goto_statement_token1] = ACTIONS(1064),
    [aux_sym_continue_statement_token1] = ACTIONS(1064),
    [aux_sym_break_statement_token1] = ACTIONS(1064),
    [sym_integer] = ACTIONS(1064),
    [aux_sym_return_statement_token1] = ACTIONS(1064),
    [aux_sym_throw_expression_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token2] = ACTIONS(1064),
    [aux_sym_do_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token2] = ACTIONS(1064),
    [aux_sym_foreach_statement_token1] = ACTIONS(1064),
    [aux_sym_foreach_statement_token2] = ACTIONS(1064),
    [aux_sym_if_statement_token1] = ACTIONS(1064),
    [aux_sym_if_statement_token2] = ACTIONS(1064),
    [aux_sym_else_if_clause_token1] = ACTIONS(1064),
    [aux_sym_else_clause_token1] = ACTIONS(1064),
    [aux_sym_match_expression_token1] = ACTIONS(1064),
    [aux_sym_match_default_expression_token1] = ACTIONS(1064),
    [aux_sym_switch_statement_token1] = ACTIONS(1064),
    [aux_sym_switch_block_token1] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [aux_sym_clone_expression_token1] = ACTIONS(1064),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1064),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1062),
    [aux_sym__list_destructing_token1] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(1064),
    [anon_sym_parent] = ACTIONS(1064),
    [aux_sym__argument_name_token1] = ACTIONS(1064),
    [aux_sym__argument_name_token2] = ACTIONS(1064),
    [anon_sym_POUND_LBRACK] = ACTIONS(1062),
    [aux_sym_encapsed_string_token1] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1062),
    [aux_sym_string_token1] = ACTIONS(1062),
    [anon_sym_SQUOTE] = ACTIONS(1062),
    [anon_sym_LT_LT_LT] = ACTIONS(1062),
    [anon_sym_BQUOTE] = ACTIONS(1062),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [aux_sym_yield_expression_token1] = ACTIONS(1064),
    [aux_sym_include_expression_token1] = ACTIONS(1064),
    [aux_sym_include_once_expression_token1] = ACTIONS(1064),
    [aux_sym_require_expression_token1] = ACTIONS(1064),
    [aux_sym_require_once_expression_token1] = ACTIONS(1064),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1062),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(1066),
    [sym_name] = ACTIONS(1068),
    [anon_sym_QMARK_GT] = ACTIONS(1066),
    [anon_sym_SEMI] = ACTIONS(1066),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1068),
    [aux_sym_global_declaration_token1] = ACTIONS(1068),
    [aux_sym_namespace_definition_token1] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1068),
    [anon_sym_BSLASH] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1066),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [aux_sym_trait_declaration_token1] = ACTIONS(1068),
    [aux_sym_interface_declaration_token1] = ACTIONS(1068),
    [aux_sym_enum_declaration_token1] = ACTIONS(1068),
    [aux_sym_enum_case_token1] = ACTIONS(1068),
    [aux_sym_class_declaration_token1] = ACTIONS(1068),
    [aux_sym_final_modifier_token1] = ACTIONS(1068),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1068),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1068),
    [sym_var_modifier] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1068),
    [aux_sym_echo_statement_token1] = ACTIONS(1068),
    [aux_sym_exit_statement_token1] = ACTIONS(1068),
    [anon_sym_unset] = ACTIONS(1068),
    [aux_sym_declare_statement_token1] = ACTIONS(1068),
    [aux_sym_declare_statement_token2] = ACTIONS(1068),
    [sym_float] = ACTIONS(1068),
    [aux_sym_try_statement_token1] = ACTIONS(1068),
    [aux_sym_goto_statement_token1] = ACTIONS(1068),
    [aux_sym_continue_statement_token1] = ACTIONS(1068),
    [aux_sym_break_statement_token1] = ACTIONS(1068),
    [sym_integer] = ACTIONS(1068),
    [aux_sym_return_statement_token1] = ACTIONS(1068),
    [aux_sym_throw_expression_token1] = ACTIONS(1068),
    [aux_sym_while_statement_token1] = ACTIONS(1068),
    [aux_sym_while_statement_token2] = ACTIONS(1068),
    [aux_sym_do_statement_token1] = ACTIONS(1068),
    [aux_sym_for_statement_token1] = ACTIONS(1068),
    [aux_sym_for_statement_token2] = ACTIONS(1068),
    [aux_sym_foreach_statement_token1] = ACTIONS(1068),
    [aux_sym_foreach_statement_token2] = ACTIONS(1068),
    [aux_sym_if_statement_token1] = ACTIONS(1068),
    [aux_sym_if_statement_token2] = ACTIONS(1068),
    [aux_sym_else_if_clause_token1] = ACTIONS(1068),
    [aux_sym_else_clause_token1] = ACTIONS(1068),
    [aux_sym_match_expression_token1] = ACTIONS(1068),
    [aux_sym_match_default_expression_token1] = ACTIONS(1068),
    [aux_sym_switch_statement_token1] = ACTIONS(1068),
    [aux_sym_switch_block_token1] = ACTIONS(1068),
    [anon_sym_PLUS] = ACTIONS(1068),
    [anon_sym_DASH] = ACTIONS(1068),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [aux_sym_clone_expression_token1] = ACTIONS(1068),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1068),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1066),
    [aux_sym__list_destructing_token1] = ACTIONS(1068),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_self] = ACTIONS(1068),
    [anon_sym_parent] = ACTIONS(1068),
    [aux_sym__argument_name_token1] = ACTIONS(1068),
    [aux_sym__argument_name_token2] = ACTIONS(1068),
    [anon_sym_POUND_LBRACK] = ACTIONS(1066),
    [aux_sym_encapsed_string_token1] = ACTIONS(1066),
    [anon_sym_DQUOTE] = ACTIONS(1066),
    [aux_sym_string_token1] = ACTIONS(1066),
    [anon_sym_SQUOTE] = ACTIONS(1066),
    [anon_sym_LT_LT_LT] = ACTIONS(1066),
    [anon_sym_BQUOTE] = ACTIONS(1066),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [aux_sym_yield_expression_token1] = ACTIONS(1068),
    [aux_sym_include_expression_token1] = ACTIONS(1068),
    [aux_sym_include_once_expression_token1] = ACTIONS(1068),
    [aux_sym_require_expression_token1] = ACTIONS(1068),
    [aux_sym_require_once_expression_token1] = ACTIONS(1068),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1066),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(1070),
    [sym_name] = ACTIONS(1072),
    [anon_sym_QMARK_GT] = ACTIONS(1070),
    [anon_sym_SEMI] = ACTIONS(1074),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1072),
    [aux_sym_global_declaration_token1] = ACTIONS(1072),
    [aux_sym_namespace_definition_token1] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1072),
    [anon_sym_BSLASH] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [aux_sym_trait_declaration_token1] = ACTIONS(1072),
    [aux_sym_interface_declaration_token1] = ACTIONS(1072),
    [aux_sym_enum_declaration_token1] = ACTIONS(1072),
    [aux_sym_enum_case_token1] = ACTIONS(1072),
    [aux_sym_class_declaration_token1] = ACTIONS(1072),
    [aux_sym_final_modifier_token1] = ACTIONS(1072),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1072),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1072),
    [sym_var_modifier] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1072),
    [aux_sym_echo_statement_token1] = ACTIONS(1072),
    [aux_sym_exit_statement_token1] = ACTIONS(1072),
    [anon_sym_unset] = ACTIONS(1072),
    [aux_sym_declare_statement_token1] = ACTIONS(1072),
    [aux_sym_declare_statement_token2] = ACTIONS(1072),
    [sym_float] = ACTIONS(1072),
    [aux_sym_try_statement_token1] = ACTIONS(1072),
    [aux_sym_goto_statement_token1] = ACTIONS(1072),
    [aux_sym_continue_statement_token1] = ACTIONS(1072),
    [aux_sym_break_statement_token1] = ACTIONS(1072),
    [sym_integer] = ACTIONS(1072),
    [aux_sym_return_statement_token1] = ACTIONS(1072),
    [aux_sym_throw_expression_token1] = ACTIONS(1072),
    [aux_sym_while_statement_token1] = ACTIONS(1072),
    [aux_sym_while_statement_token2] = ACTIONS(1072),
    [aux_sym_do_statement_token1] = ACTIONS(1072),
    [aux_sym_for_statement_token1] = ACTIONS(1072),
    [aux_sym_for_statement_token2] = ACTIONS(1072),
    [aux_sym_foreach_statement_token1] = ACTIONS(1072),
    [aux_sym_foreach_statement_token2] = ACTIONS(1072),
    [aux_sym_if_statement_token1] = ACTIONS(1072),
    [aux_sym_if_statement_token2] = ACTIONS(1072),
    [aux_sym_else_if_clause_token1] = ACTIONS(1072),
    [aux_sym_else_clause_token1] = ACTIONS(1072),
    [aux_sym_match_expression_token1] = ACTIONS(1072),
    [aux_sym_match_default_expression_token1] = ACTIONS(1072),
    [aux_sym_switch_statement_token1] = ACTIONS(1072),
    [aux_sym_switch_block_token1] = ACTIONS(1072),
    [anon_sym_PLUS] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1070),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(1070),
    [aux_sym_clone_expression_token1] = ACTIONS(1072),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1072),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1072),
    [anon_sym_DASH_DASH] = ACTIONS(1070),
    [anon_sym_PLUS_PLUS] = ACTIONS(1070),
    [aux_sym__list_destructing_token1] = ACTIONS(1072),
    [anon_sym_LBRACK] = ACTIONS(1070),
    [anon_sym_self] = ACTIONS(1072),
    [anon_sym_parent] = ACTIONS(1072),
    [aux_sym__argument_name_token1] = ACTIONS(1072),
    [aux_sym__argument_name_token2] = ACTIONS(1072),
    [anon_sym_POUND_LBRACK] = ACTIONS(1070),
    [aux_sym_encapsed_string_token1] = ACTIONS(1070),
    [anon_sym_DQUOTE] = ACTIONS(1070),
    [aux_sym_string_token1] = ACTIONS(1070),
    [anon_sym_SQUOTE] = ACTIONS(1070),
    [anon_sym_LT_LT_LT] = ACTIONS(1070),
    [anon_sym_BQUOTE] = ACTIONS(1070),
    [anon_sym_DOLLAR] = ACTIONS(1070),
    [aux_sym_yield_expression_token1] = ACTIONS(1072),
    [aux_sym_include_expression_token1] = ACTIONS(1072),
    [aux_sym_include_once_expression_token1] = ACTIONS(1072),
    [aux_sym_require_expression_token1] = ACTIONS(1072),
    [aux_sym_require_once_expression_token1] = ACTIONS(1072),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1074),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_name] = ACTIONS(1078),
    [anon_sym_QMARK_GT] = ACTIONS(1076),
    [anon_sym_SEMI] = ACTIONS(1080),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1078),
    [aux_sym_global_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_definition_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1078),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [aux_sym_trait_declaration_token1] = ACTIONS(1078),
    [aux_sym_interface_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_case_token1] = ACTIONS(1078),
    [aux_sym_class_declaration_token1] = ACTIONS(1078),
    [aux_sym_final_modifier_token1] = ACTIONS(1078),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1078),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1078),
    [sym_var_modifier] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1078),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [aux_sym_cast_type_token1] = ACTIONS(1078),
    [aux_sym_echo_statement_token1] = ACTIONS(1078),
    [aux_sym_exit_statement_token1] = ACTIONS(1078),
    [anon_sym_unset] = ACTIONS(1078),
    [aux_sym_declare_statement_token1] = ACTIONS(1078),
    [aux_sym_declare_statement_token2] = ACTIONS(1078),
    [sym_float] = ACTIONS(1078),
    [aux_sym_try_statement_token1] = ACTIONS(1078),
    [aux_sym_goto_statement_token1] = ACTIONS(1078),
    [aux_sym_continue_statement_token1] = ACTIONS(1078),
    [aux_sym_break_statement_token1] = ACTIONS(1078),
    [sym_integer] = ACTIONS(1078),
    [aux_sym_return_statement_token1] = ACTIONS(1078),
    [aux_sym_throw_expression_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token2] = ACTIONS(1078),
    [aux_sym_do_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token2] = ACTIONS(1078),
    [aux_sym_foreach_statement_token1] = ACTIONS(1078),
    [aux_sym_foreach_statement_token2] = ACTIONS(1078),
    [aux_sym_if_statement_token1] = ACTIONS(1078),
    [aux_sym_if_statement_token2] = ACTIONS(1078),
    [aux_sym_else_if_clause_token1] = ACTIONS(1078),
    [aux_sym_else_clause_token1] = ACTIONS(1078),
    [aux_sym_match_expression_token1] = ACTIONS(1078),
    [aux_sym_match_default_expression_token1] = ACTIONS(1078),
    [aux_sym_switch_statement_token1] = ACTIONS(1078),
    [aux_sym_switch_block_token1] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [aux_sym_clone_expression_token1] = ACTIONS(1078),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1078),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [aux_sym__list_destructing_token1] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(1078),
    [anon_sym_parent] = ACTIONS(1078),
    [aux_sym__argument_name_token1] = ACTIONS(1078),
    [aux_sym__argument_name_token2] = ACTIONS(1078),
    [anon_sym_POUND_LBRACK] = ACTIONS(1076),
    [aux_sym_encapsed_string_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_string_token1] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_LT_LT_LT] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [aux_sym_yield_expression_token1] = ACTIONS(1078),
    [aux_sym_include_expression_token1] = ACTIONS(1078),
    [aux_sym_include_once_expression_token1] = ACTIONS(1078),
    [aux_sym_require_expression_token1] = ACTIONS(1078),
    [aux_sym_require_once_expression_token1] = ACTIONS(1078),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1080),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(1082),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [sym_var_modifier] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [aux_sym_exit_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [aux_sym__argument_name_token1] = ACTIONS(1084),
    [aux_sym__argument_name_token2] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1086),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(1088),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [sym_var_modifier] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [aux_sym_exit_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [aux_sym__argument_name_token1] = ACTIONS(1090),
    [aux_sym__argument_name_token2] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1092),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [sym_var_modifier] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [aux_sym_exit_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [aux_sym__argument_name_token1] = ACTIONS(1096),
    [aux_sym__argument_name_token2] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1098),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(1100),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [sym_var_modifier] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [aux_sym_exit_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [aux_sym__argument_name_token1] = ACTIONS(1102),
    [aux_sym__argument_name_token2] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1104),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [sym_var_modifier] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [aux_sym_exit_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [aux_sym__argument_name_token1] = ACTIONS(1108),
    [aux_sym__argument_name_token2] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1110),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [sym_var_modifier] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [aux_sym_exit_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [aux_sym__argument_name_token1] = ACTIONS(1114),
    [aux_sym__argument_name_token2] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1116),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [sym_var_modifier] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [aux_sym_exit_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [aux_sym__argument_name_token1] = ACTIONS(1120),
    [aux_sym__argument_name_token2] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1122),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(1124),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1128),
  },
  [449] = {
    [sym_qualified_name] = STATE(834),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1127),
    [sym_unary_op_expression] = STATE(1127),
    [sym_error_suppression_expression] = STATE(1127),
    [sym_clone_expression] = STATE(1127),
    [sym_primary_expression] = STATE(1127),
    [sym_parenthesized_expression] = STATE(828),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_expression] = STATE(1127),
    [sym_cast_variable] = STATE(625),
    [sym_member_access_expression] = STATE(625),
    [sym_nullsafe_member_access_expression] = STATE(625),
    [sym_scoped_property_access_expression] = STATE(625),
    [sym_function_call_expression] = STATE(597),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2549),
    [sym_relative_scope] = STATE(2549),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1715),
    [sym_array_creation_expression] = STATE(828),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(823),
    [sym_string] = STATE(823),
    [sym_heredoc] = STATE(823),
    [sym_nowdoc] = STATE(823),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(823),
    [sym_dynamic_variable_name] = STATE(597),
    [sym_variable_name] = STATE(597),
    [sym_include_expression] = STATE(1127),
    [sym_include_once_expression] = STATE(1127),
    [sym__reserved_identifier] = STATE(1539),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(663),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1066),
    [sym_name] = ACTIONS(1068),
    [anon_sym_QMARK_GT] = ACTIONS(1066),
    [anon_sym_SEMI] = ACTIONS(1066),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1068),
    [aux_sym_global_declaration_token1] = ACTIONS(1068),
    [aux_sym_namespace_definition_token1] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1068),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1068),
    [anon_sym_BSLASH] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1066),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [aux_sym_trait_declaration_token1] = ACTIONS(1068),
    [aux_sym_interface_declaration_token1] = ACTIONS(1068),
    [aux_sym_enum_declaration_token1] = ACTIONS(1068),
    [aux_sym_enum_case_token1] = ACTIONS(1068),
    [aux_sym_class_declaration_token1] = ACTIONS(1068),
    [aux_sym_final_modifier_token1] = ACTIONS(1068),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1068),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1068),
    [sym_var_modifier] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1068),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1068),
    [aux_sym_echo_statement_token1] = ACTIONS(1068),
    [aux_sym_exit_statement_token1] = ACTIONS(1068),
    [anon_sym_unset] = ACTIONS(1068),
    [aux_sym_declare_statement_token1] = ACTIONS(1068),
    [aux_sym_declare_statement_token2] = ACTIONS(1068),
    [sym_float] = ACTIONS(1068),
    [aux_sym_try_statement_token1] = ACTIONS(1068),
    [aux_sym_goto_statement_token1] = ACTIONS(1068),
    [aux_sym_continue_statement_token1] = ACTIONS(1068),
    [aux_sym_break_statement_token1] = ACTIONS(1068),
    [sym_integer] = ACTIONS(1068),
    [aux_sym_return_statement_token1] = ACTIONS(1068),
    [aux_sym_throw_expression_token1] = ACTIONS(1068),
    [aux_sym_while_statement_token1] = ACTIONS(1068),
    [aux_sym_while_statement_token2] = ACTIONS(1068),
    [aux_sym_do_statement_token1] = ACTIONS(1068),
    [aux_sym_for_statement_token1] = ACTIONS(1068),
    [aux_sym_for_statement_token2] = ACTIONS(1068),
    [aux_sym_foreach_statement_token1] = ACTIONS(1068),
    [aux_sym_foreach_statement_token2] = ACTIONS(1068),
    [aux_sym_if_statement_token1] = ACTIONS(1068),
    [aux_sym_if_statement_token2] = ACTIONS(1068),
    [aux_sym_else_if_clause_token1] = ACTIONS(1068),
    [aux_sym_else_clause_token1] = ACTIONS(1068),
    [aux_sym_match_expression_token1] = ACTIONS(1068),
    [aux_sym_match_default_expression_token1] = ACTIONS(1068),
    [aux_sym_switch_statement_token1] = ACTIONS(1068),
    [aux_sym_switch_block_token1] = ACTIONS(1068),
    [anon_sym_PLUS] = ACTIONS(1068),
    [anon_sym_DASH] = ACTIONS(1068),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [aux_sym_clone_expression_token1] = ACTIONS(1068),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1068),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1066),
    [aux_sym__list_destructing_token1] = ACTIONS(1068),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_self] = ACTIONS(1068),
    [anon_sym_parent] = ACTIONS(1068),
    [aux_sym__argument_name_token1] = ACTIONS(1068),
    [aux_sym__argument_name_token2] = ACTIONS(1068),
    [anon_sym_POUND_LBRACK] = ACTIONS(1066),
    [aux_sym_encapsed_string_token1] = ACTIONS(1066),
    [anon_sym_DQUOTE] = ACTIONS(1066),
    [aux_sym_string_token1] = ACTIONS(1066),
    [anon_sym_SQUOTE] = ACTIONS(1066),
    [anon_sym_LT_LT_LT] = ACTIONS(1066),
    [anon_sym_BQUOTE] = ACTIONS(1066),
    [anon_sym_DOLLAR] = ACTIONS(1066),
    [aux_sym_yield_expression_token1] = ACTIONS(1068),
    [aux_sym_include_expression_token1] = ACTIONS(1068),
    [aux_sym_include_once_expression_token1] = ACTIONS(1068),
    [aux_sym_require_expression_token1] = ACTIONS(1068),
    [aux_sym_require_once_expression_token1] = ACTIONS(1068),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(1132),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [sym_var_modifier] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [aux_sym_exit_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [aux_sym__argument_name_token1] = ACTIONS(1134),
    [aux_sym__argument_name_token2] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [sym_var_modifier] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [aux_sym_exit_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [aux_sym__argument_name_token1] = ACTIONS(1138),
    [aux_sym__argument_name_token2] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [sym_var_modifier] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [aux_sym_exit_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [aux_sym__argument_name_token1] = ACTIONS(1174),
    [aux_sym__argument_name_token2] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(1204),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(1216),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__unary_expression] = STATE(925),
    [sym_unary_op_expression] = STATE(925),
    [sym_error_suppression_expression] = STATE(925),
    [sym_clone_expression] = STATE(925),
    [sym_primary_expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(925),
    [sym_cast_variable] = STATE(589),
    [sym_member_access_expression] = STATE(589),
    [sym_nullsafe_member_access_expression] = STATE(589),
    [sym_scoped_property_access_expression] = STATE(589),
    [sym_function_call_expression] = STATE(571),
    [sym_scoped_call_expression] = STATE(571),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(571),
    [sym_nullsafe_member_call_expression] = STATE(571),
    [sym_subscript_expression] = STATE(571),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(571),
    [sym_variable_name] = STATE(571),
    [sym_include_expression] = STATE(925),
    [sym_include_once_expression] = STATE(925),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(579),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [sym_var_modifier] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [aux_sym_exit_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [aux_sym__argument_name_token1] = ACTIONS(1276),
    [aux_sym__argument_name_token2] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [sym_var_modifier] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [aux_sym_exit_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [sym_var_modifier] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [aux_sym_exit_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [aux_sym__argument_name_token1] = ACTIONS(1284),
    [aux_sym__argument_name_token2] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [sym_var_modifier] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [aux_sym_exit_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [sym_var_modifier] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [aux_sym_exit_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [sym_var_modifier] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [aux_sym_exit_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [aux_sym__argument_name_token1] = ACTIONS(1296),
    [aux_sym__argument_name_token2] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [sym_var_modifier] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [aux_sym_exit_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [aux_sym__argument_name_token1] = ACTIONS(1300),
    [aux_sym__argument_name_token2] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [sym_var_modifier] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [aux_sym_exit_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [aux_sym__argument_name_token1] = ACTIONS(1304),
    [aux_sym__argument_name_token2] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [sym_var_modifier] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [aux_sym_exit_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [aux_sym__argument_name_token1] = ACTIONS(1308),
    [aux_sym__argument_name_token2] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [sym_var_modifier] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [aux_sym_exit_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [aux_sym__argument_name_token1] = ACTIONS(1312),
    [aux_sym__argument_name_token2] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [sym_var_modifier] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [aux_sym_exit_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [aux_sym__argument_name_token1] = ACTIONS(1316),
    [aux_sym__argument_name_token2] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [sym_var_modifier] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [aux_sym_exit_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_name] = ACTIONS(1025),
    [anon_sym_QMARK_GT] = ACTIONS(1023),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1025),
    [aux_sym_global_declaration_token1] = ACTIONS(1025),
    [aux_sym_namespace_definition_token1] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1025),
    [anon_sym_BSLASH] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [aux_sym_trait_declaration_token1] = ACTIONS(1025),
    [aux_sym_interface_declaration_token1] = ACTIONS(1025),
    [aux_sym_enum_declaration_token1] = ACTIONS(1025),
    [aux_sym_enum_case_token1] = ACTIONS(1025),
    [aux_sym_class_declaration_token1] = ACTIONS(1025),
    [aux_sym_final_modifier_token1] = ACTIONS(1025),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1025),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1025),
    [sym_var_modifier] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1025),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [aux_sym_cast_type_token1] = ACTIONS(1025),
    [aux_sym_echo_statement_token1] = ACTIONS(1025),
    [aux_sym_exit_statement_token1] = ACTIONS(1025),
    [anon_sym_unset] = ACTIONS(1025),
    [aux_sym_declare_statement_token1] = ACTIONS(1025),
    [aux_sym_declare_statement_token2] = ACTIONS(1025),
    [sym_float] = ACTIONS(1025),
    [aux_sym_try_statement_token1] = ACTIONS(1025),
    [aux_sym_goto_statement_token1] = ACTIONS(1025),
    [aux_sym_continue_statement_token1] = ACTIONS(1025),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [sym_integer] = ACTIONS(1025),
    [aux_sym_return_statement_token1] = ACTIONS(1025),
    [aux_sym_throw_expression_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token2] = ACTIONS(1025),
    [aux_sym_do_statement_token1] = ACTIONS(1025),
    [aux_sym_for_statement_token1] = ACTIONS(1025),
    [aux_sym_for_statement_token2] = ACTIONS(1025),
    [aux_sym_foreach_statement_token1] = ACTIONS(1025),
    [aux_sym_foreach_statement_token2] = ACTIONS(1025),
    [aux_sym_if_statement_token1] = ACTIONS(1025),
    [aux_sym_if_statement_token2] = ACTIONS(1025),
    [aux_sym_else_if_clause_token1] = ACTIONS(1025),
    [aux_sym_else_clause_token1] = ACTIONS(1025),
    [aux_sym_match_expression_token1] = ACTIONS(1025),
    [aux_sym_match_default_expression_token1] = ACTIONS(1025),
    [aux_sym_switch_statement_token1] = ACTIONS(1025),
    [aux_sym_switch_block_token1] = ACTIONS(1025),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_BANG] = ACTIONS(1023),
    [anon_sym_AT] = ACTIONS(1023),
    [aux_sym_clone_expression_token1] = ACTIONS(1025),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1025),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1025),
    [anon_sym_DASH_DASH] = ACTIONS(1023),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [aux_sym__list_destructing_token1] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_self] = ACTIONS(1025),
    [anon_sym_parent] = ACTIONS(1025),
    [aux_sym__argument_name_token1] = ACTIONS(1025),
    [aux_sym__argument_name_token2] = ACTIONS(1025),
    [anon_sym_POUND_LBRACK] = ACTIONS(1023),
    [aux_sym_encapsed_string_token1] = ACTIONS(1023),
    [anon_sym_DQUOTE] = ACTIONS(1023),
    [aux_sym_string_token1] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_LT_LT_LT] = ACTIONS(1023),
    [anon_sym_BQUOTE] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(1023),
    [aux_sym_yield_expression_token1] = ACTIONS(1025),
    [aux_sym_include_expression_token1] = ACTIONS(1025),
    [aux_sym_include_once_expression_token1] = ACTIONS(1025),
    [aux_sym_require_expression_token1] = ACTIONS(1025),
    [aux_sym_require_once_expression_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [sym_var_modifier] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [aux_sym_exit_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [aux_sym__argument_name_token1] = ACTIONS(1320),
    [aux_sym__argument_name_token2] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [sym_var_modifier] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [aux_sym_exit_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(1212),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__unary_expression] = STATE(925),
    [sym_unary_op_expression] = STATE(925),
    [sym_error_suppression_expression] = STATE(925),
    [sym_clone_expression] = STATE(925),
    [sym_primary_expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(925),
    [sym_cast_variable] = STATE(589),
    [sym_member_access_expression] = STATE(589),
    [sym_nullsafe_member_access_expression] = STATE(589),
    [sym_scoped_property_access_expression] = STATE(589),
    [sym_function_call_expression] = STATE(571),
    [sym_scoped_call_expression] = STATE(571),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(571),
    [sym_nullsafe_member_call_expression] = STATE(571),
    [sym_subscript_expression] = STATE(571),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(571),
    [sym_variable_name] = STATE(571),
    [sym_include_expression] = STATE(925),
    [sym_include_once_expression] = STATE(925),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(633),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [anon_sym_PLUS] = ACTIONS(639),
    [anon_sym_DASH] = ACTIONS(639),
    [anon_sym_TILDE] = ACTIONS(641),
    [anon_sym_BANG] = ACTIONS(641),
    [anon_sym_AT] = ACTIONS(643),
    [aux_sym_clone_expression_token1] = ACTIONS(645),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_include_expression_token1] = ACTIONS(655),
    [aux_sym_include_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [sym_var_modifier] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [aux_sym_exit_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [aux_sym__argument_name_token1] = ACTIONS(1328),
    [aux_sym__argument_name_token2] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [sym_var_modifier] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [aux_sym_exit_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [aux_sym__argument_name_token1] = ACTIONS(1332),
    [aux_sym__argument_name_token2] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [sym_var_modifier] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [aux_sym_exit_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [aux_sym__argument_name_token1] = ACTIONS(1336),
    [aux_sym__argument_name_token2] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [sym_var_modifier] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [aux_sym_exit_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [aux_sym__argument_name_token1] = ACTIONS(1340),
    [aux_sym__argument_name_token2] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [sym_var_modifier] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [aux_sym_exit_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [aux_sym__argument_name_token1] = ACTIONS(1344),
    [aux_sym__argument_name_token2] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [sym_var_modifier] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [aux_sym_exit_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [aux_sym__argument_name_token1] = ACTIONS(1348),
    [aux_sym__argument_name_token2] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [sym_var_modifier] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [aux_sym_exit_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [sym_var_modifier] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [aux_sym_exit_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [aux_sym__argument_name_token1] = ACTIONS(1356),
    [aux_sym__argument_name_token2] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [sym_var_modifier] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [aux_sym_exit_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [sym_var_modifier] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [aux_sym_exit_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [sym_var_modifier] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [aux_sym_exit_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [sym_var_modifier] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [aux_sym_exit_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [sym_var_modifier] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [aux_sym_exit_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [sym_var_modifier] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [aux_sym_exit_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [sym_var_modifier] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [aux_sym_exit_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [sym_var_modifier] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [aux_sym_exit_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [sym_var_modifier] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [aux_sym_exit_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [sym_var_modifier] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [aux_sym_exit_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [sym_var_modifier] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [aux_sym_exit_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [sym_var_modifier] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [aux_sym_exit_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1062),
    [sym_name] = ACTIONS(1064),
    [anon_sym_QMARK_GT] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1062),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1064),
    [aux_sym_global_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_definition_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1064),
    [anon_sym_BSLASH] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [aux_sym_trait_declaration_token1] = ACTIONS(1064),
    [aux_sym_interface_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_case_token1] = ACTIONS(1064),
    [aux_sym_class_declaration_token1] = ACTIONS(1064),
    [aux_sym_final_modifier_token1] = ACTIONS(1064),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1064),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1064),
    [sym_var_modifier] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1064),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1064),
    [aux_sym_echo_statement_token1] = ACTIONS(1064),
    [aux_sym_exit_statement_token1] = ACTIONS(1064),
    [anon_sym_unset] = ACTIONS(1064),
    [aux_sym_declare_statement_token1] = ACTIONS(1064),
    [aux_sym_declare_statement_token2] = ACTIONS(1064),
    [sym_float] = ACTIONS(1064),
    [aux_sym_try_statement_token1] = ACTIONS(1064),
    [aux_sym_goto_statement_token1] = ACTIONS(1064),
    [aux_sym_continue_statement_token1] = ACTIONS(1064),
    [aux_sym_break_statement_token1] = ACTIONS(1064),
    [sym_integer] = ACTIONS(1064),
    [aux_sym_return_statement_token1] = ACTIONS(1064),
    [aux_sym_throw_expression_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token2] = ACTIONS(1064),
    [aux_sym_do_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token2] = ACTIONS(1064),
    [aux_sym_foreach_statement_token1] = ACTIONS(1064),
    [aux_sym_foreach_statement_token2] = ACTIONS(1064),
    [aux_sym_if_statement_token1] = ACTIONS(1064),
    [aux_sym_if_statement_token2] = ACTIONS(1064),
    [aux_sym_else_if_clause_token1] = ACTIONS(1064),
    [aux_sym_else_clause_token1] = ACTIONS(1064),
    [aux_sym_match_expression_token1] = ACTIONS(1064),
    [aux_sym_match_default_expression_token1] = ACTIONS(1064),
    [aux_sym_switch_statement_token1] = ACTIONS(1064),
    [aux_sym_switch_block_token1] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [aux_sym_clone_expression_token1] = ACTIONS(1064),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1064),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1062),
    [aux_sym__list_destructing_token1] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(1064),
    [anon_sym_parent] = ACTIONS(1064),
    [aux_sym__argument_name_token1] = ACTIONS(1064),
    [aux_sym__argument_name_token2] = ACTIONS(1064),
    [anon_sym_POUND_LBRACK] = ACTIONS(1062),
    [aux_sym_encapsed_string_token1] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1062),
    [aux_sym_string_token1] = ACTIONS(1062),
    [anon_sym_SQUOTE] = ACTIONS(1062),
    [anon_sym_LT_LT_LT] = ACTIONS(1062),
    [anon_sym_BQUOTE] = ACTIONS(1062),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [aux_sym_yield_expression_token1] = ACTIONS(1064),
    [aux_sym_include_expression_token1] = ACTIONS(1064),
    [aux_sym_include_once_expression_token1] = ACTIONS(1064),
    [aux_sym_require_expression_token1] = ACTIONS(1064),
    [aux_sym_require_once_expression_token1] = ACTIONS(1064),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [sym_var_modifier] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [aux_sym_exit_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [sym_var_modifier] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [aux_sym_exit_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [sym_var_modifier] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [aux_sym_exit_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__unary_expression] = STATE(925),
    [sym_unary_op_expression] = STATE(925),
    [sym_error_suppression_expression] = STATE(925),
    [sym_clone_expression] = STATE(925),
    [sym_primary_expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(925),
    [sym_cast_variable] = STATE(624),
    [sym_member_access_expression] = STATE(624),
    [sym_nullsafe_member_access_expression] = STATE(624),
    [sym_scoped_property_access_expression] = STATE(624),
    [sym_function_call_expression] = STATE(596),
    [sym_scoped_call_expression] = STATE(596),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(596),
    [sym_nullsafe_member_call_expression] = STATE(596),
    [sym_subscript_expression] = STATE(596),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(596),
    [sym_variable_name] = STATE(596),
    [sym_include_expression] = STATE(925),
    [sym_include_once_expression] = STATE(925),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(859),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AT] = ACTIONS(595),
    [aux_sym_clone_expression_token1] = ACTIONS(597),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_include_expression_token1] = ACTIONS(625),
    [aux_sym_include_once_expression_token1] = ACTIONS(627),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [sym_var_modifier] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [aux_sym_exit_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [sym_var_modifier] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [aux_sym_exit_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [sym_var_modifier] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [aux_sym_exit_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [sym_var_modifier] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [aux_sym_exit_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [sym_var_modifier] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [aux_sym_exit_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [sym_var_modifier] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [aux_sym_exit_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [sym_var_modifier] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [aux_sym_exit_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_name] = ACTIONS(1037),
    [anon_sym_QMARK_GT] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1037),
    [aux_sym_global_declaration_token1] = ACTIONS(1037),
    [aux_sym_namespace_definition_token1] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1037),
    [anon_sym_BSLASH] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [aux_sym_trait_declaration_token1] = ACTIONS(1037),
    [aux_sym_interface_declaration_token1] = ACTIONS(1037),
    [aux_sym_enum_declaration_token1] = ACTIONS(1037),
    [aux_sym_enum_case_token1] = ACTIONS(1037),
    [aux_sym_class_declaration_token1] = ACTIONS(1037),
    [aux_sym_final_modifier_token1] = ACTIONS(1037),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1037),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1037),
    [sym_var_modifier] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1037),
    [aux_sym_echo_statement_token1] = ACTIONS(1037),
    [aux_sym_exit_statement_token1] = ACTIONS(1037),
    [anon_sym_unset] = ACTIONS(1037),
    [aux_sym_declare_statement_token1] = ACTIONS(1037),
    [aux_sym_declare_statement_token2] = ACTIONS(1037),
    [sym_float] = ACTIONS(1037),
    [aux_sym_try_statement_token1] = ACTIONS(1037),
    [aux_sym_goto_statement_token1] = ACTIONS(1037),
    [aux_sym_continue_statement_token1] = ACTIONS(1037),
    [aux_sym_break_statement_token1] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1037),
    [aux_sym_return_statement_token1] = ACTIONS(1037),
    [aux_sym_throw_expression_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token2] = ACTIONS(1037),
    [aux_sym_do_statement_token1] = ACTIONS(1037),
    [aux_sym_for_statement_token1] = ACTIONS(1037),
    [aux_sym_for_statement_token2] = ACTIONS(1037),
    [aux_sym_foreach_statement_token1] = ACTIONS(1037),
    [aux_sym_foreach_statement_token2] = ACTIONS(1037),
    [aux_sym_if_statement_token1] = ACTIONS(1037),
    [aux_sym_if_statement_token2] = ACTIONS(1037),
    [aux_sym_else_if_clause_token1] = ACTIONS(1037),
    [aux_sym_else_clause_token1] = ACTIONS(1037),
    [aux_sym_match_expression_token1] = ACTIONS(1037),
    [aux_sym_match_default_expression_token1] = ACTIONS(1037),
    [aux_sym_switch_statement_token1] = ACTIONS(1037),
    [aux_sym_switch_block_token1] = ACTIONS(1037),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1035),
    [anon_sym_BANG] = ACTIONS(1035),
    [anon_sym_AT] = ACTIONS(1035),
    [aux_sym_clone_expression_token1] = ACTIONS(1037),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1037),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1037),
    [anon_sym_DASH_DASH] = ACTIONS(1035),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [aux_sym__list_destructing_token1] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [anon_sym_self] = ACTIONS(1037),
    [anon_sym_parent] = ACTIONS(1037),
    [aux_sym__argument_name_token1] = ACTIONS(1037),
    [aux_sym__argument_name_token2] = ACTIONS(1037),
    [anon_sym_POUND_LBRACK] = ACTIONS(1035),
    [aux_sym_encapsed_string_token1] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1035),
    [aux_sym_string_token1] = ACTIONS(1035),
    [anon_sym_SQUOTE] = ACTIONS(1035),
    [anon_sym_LT_LT_LT] = ACTIONS(1035),
    [anon_sym_BQUOTE] = ACTIONS(1035),
    [anon_sym_DOLLAR] = ACTIONS(1035),
    [aux_sym_yield_expression_token1] = ACTIONS(1037),
    [aux_sym_include_expression_token1] = ACTIONS(1037),
    [aux_sym_include_once_expression_token1] = ACTIONS(1037),
    [aux_sym_require_expression_token1] = ACTIONS(1037),
    [aux_sym_require_once_expression_token1] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [sym_var_modifier] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [aux_sym_exit_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_qualified_name] = STATE(679),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym__unary_expression] = STATE(925),
    [sym_unary_op_expression] = STATE(925),
    [sym_error_suppression_expression] = STATE(925),
    [sym_clone_expression] = STATE(925),
    [sym_primary_expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(681),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_expression] = STATE(925),
    [sym_cast_variable] = STATE(589),
    [sym_member_access_expression] = STATE(589),
    [sym_nullsafe_member_access_expression] = STATE(589),
    [sym_scoped_property_access_expression] = STATE(589),
    [sym_function_call_expression] = STATE(571),
    [sym_scoped_call_expression] = STATE(571),
    [sym__scope_resolution_qualifier] = STATE(2539),
    [sym_relative_scope] = STATE(2539),
    [sym_member_call_expression] = STATE(571),
    [sym_nullsafe_member_call_expression] = STATE(571),
    [sym_subscript_expression] = STATE(571),
    [sym__dereferencable_expression] = STATE(1638),
    [sym_array_creation_expression] = STATE(681),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(683),
    [sym_string] = STATE(683),
    [sym_heredoc] = STATE(683),
    [sym_nowdoc] = STATE(683),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(683),
    [sym_dynamic_variable_name] = STATE(571),
    [sym_variable_name] = STATE(571),
    [sym_include_expression] = STATE(925),
    [sym_include_once_expression] = STATE(925),
    [sym__reserved_identifier] = STATE(1544),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(565),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(673),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(683),
    [aux_sym_clone_expression_token1] = ACTIONS(685),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(619),
    [aux_sym_include_expression_token1] = ACTIONS(695),
    [aux_sym_include_once_expression_token1] = ACTIONS(697),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [sym_var_modifier] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [aux_sym_exit_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [sym_var_modifier] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [aux_sym_exit_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [sym_var_modifier] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [aux_sym_exit_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [sym_var_modifier] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [aux_sym_exit_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [sym_var_modifier] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [aux_sym_exit_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [sym_var_modifier] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [aux_sym_exit_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [sym_var_modifier] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [aux_sym_exit_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [sym_var_modifier] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [aux_sym_exit_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [aux_sym__argument_name_token1] = ACTIONS(1504),
    [aux_sym__argument_name_token2] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_name] = ACTIONS(1508),
    [anon_sym_QMARK_GT] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1508),
    [aux_sym_global_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_definition_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1508),
    [anon_sym_BSLASH] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [aux_sym_trait_declaration_token1] = ACTIONS(1508),
    [aux_sym_interface_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_case_token1] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1508),
    [aux_sym_final_modifier_token1] = ACTIONS(1508),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1508),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1508),
    [sym_var_modifier] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1508),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1508),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [aux_sym_cast_type_token1] = ACTIONS(1508),
    [aux_sym_echo_statement_token1] = ACTIONS(1508),
    [aux_sym_exit_statement_token1] = ACTIONS(1508),
    [anon_sym_unset] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_declare_statement_token2] = ACTIONS(1508),
    [sym_float] = ACTIONS(1508),
    [aux_sym_try_statement_token1] = ACTIONS(1508),
    [aux_sym_goto_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [sym_integer] = ACTIONS(1508),
    [aux_sym_return_statement_token1] = ACTIONS(1508),
    [aux_sym_throw_expression_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token2] = ACTIONS(1508),
    [aux_sym_do_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token2] = ACTIONS(1508),
    [aux_sym_foreach_statement_token1] = ACTIONS(1508),
    [aux_sym_foreach_statement_token2] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token2] = ACTIONS(1508),
    [aux_sym_else_if_clause_token1] = ACTIONS(1508),
    [aux_sym_else_clause_token1] = ACTIONS(1508),
    [aux_sym_match_expression_token1] = ACTIONS(1508),
    [aux_sym_match_default_expression_token1] = ACTIONS(1508),
    [aux_sym_switch_statement_token1] = ACTIONS(1508),
    [aux_sym_switch_block_token1] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1506),
    [aux_sym_clone_expression_token1] = ACTIONS(1508),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1508),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [aux_sym__list_destructing_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_self] = ACTIONS(1508),
    [anon_sym_parent] = ACTIONS(1508),
    [aux_sym__argument_name_token1] = ACTIONS(1508),
    [aux_sym__argument_name_token2] = ACTIONS(1508),
    [anon_sym_POUND_LBRACK] = ACTIONS(1506),
    [aux_sym_encapsed_string_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [aux_sym_string_token1] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_LT_LT_LT] = ACTIONS(1506),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [aux_sym_yield_expression_token1] = ACTIONS(1508),
    [aux_sym_include_expression_token1] = ACTIONS(1508),
    [aux_sym_include_once_expression_token1] = ACTIONS(1508),
    [aux_sym_require_expression_token1] = ACTIONS(1508),
    [aux_sym_require_once_expression_token1] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [sym_name] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [anon_sym_COLON] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [sym_qualified_name] = STATE(678),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_primary_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(686),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_variable] = STATE(699),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_function_call_expression] = STATE(637),
    [sym_scoped_call_expression] = STATE(637),
    [sym__scope_resolution_qualifier] = STATE(2575),
    [sym_relative_scope] = STATE(2575),
    [sym_member_call_expression] = STATE(637),
    [sym_nullsafe_member_call_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym__dereferencable_expression] = STATE(1687),
    [sym_array_creation_expression] = STATE(686),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(688),
    [sym_string] = STATE(688),
    [sym_heredoc] = STATE(688),
    [sym_nowdoc] = STATE(688),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(688),
    [sym_dynamic_variable_name] = STATE(637),
    [sym_variable_name] = STATE(637),
    [sym__reserved_identifier] = STATE(1520),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(587),
    [aux_sym_print_intrinsic_token1] = ACTIONS(599),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [sym_qualified_name] = STATE(844),
    [sym_namespace_name_as_prefix] = STATE(2557),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2218),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(1068),
    [sym_literal] = STATE(1068),
    [sym_throw_expression] = STATE(1068),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(848),
    [sym_class_constant_access_expression] = STATE(898),
    [sym_print_intrinsic] = STATE(1068),
    [sym_anonymous_function_creation_expression] = STATE(1068),
    [sym_object_creation_expression] = STATE(1068),
    [sym_update_expression] = STATE(1068),
    [sym_cast_variable] = STATE(825),
    [sym_member_access_expression] = STATE(825),
    [sym_nullsafe_member_access_expression] = STATE(825),
    [sym_scoped_property_access_expression] = STATE(825),
    [sym_function_call_expression] = STATE(756),
    [sym_scoped_call_expression] = STATE(756),
    [sym__scope_resolution_qualifier] = STATE(2517),
    [sym_relative_scope] = STATE(2517),
    [sym_member_call_expression] = STATE(756),
    [sym_nullsafe_member_call_expression] = STATE(756),
    [sym_subscript_expression] = STATE(756),
    [sym__dereferencable_expression] = STATE(1684),
    [sym_array_creation_expression] = STATE(848),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1787),
    [sym_encapsed_string] = STATE(840),
    [sym_string] = STATE(840),
    [sym_heredoc] = STATE(840),
    [sym_nowdoc] = STATE(840),
    [sym_shell_command_expression] = STATE(1068),
    [sym_boolean] = STATE(1047),
    [sym_null] = STATE(1047),
    [sym__string] = STATE(840),
    [sym_dynamic_variable_name] = STATE(756),
    [sym_variable_name] = STATE(756),
    [sym__reserved_identifier] = STATE(1545),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(667),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym_object_creation_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [sym_qualified_name] = STATE(678),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2420),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_primary_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(686),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_variable] = STATE(699),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_function_call_expression] = STATE(637),
    [sym_scoped_call_expression] = STATE(637),
    [sym__scope_resolution_qualifier] = STATE(2575),
    [sym_relative_scope] = STATE(2575),
    [sym_member_call_expression] = STATE(637),
    [sym_nullsafe_member_call_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym__dereferencable_expression] = STATE(1687),
    [sym_array_creation_expression] = STATE(686),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(688),
    [sym_string] = STATE(688),
    [sym_heredoc] = STATE(688),
    [sym_nowdoc] = STATE(688),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(688),
    [sym_dynamic_variable_name] = STATE(637),
    [sym_variable_name] = STATE(637),
    [sym__reserved_identifier] = STATE(1520),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(637),
    [aux_sym_print_intrinsic_token1] = ACTIONS(647),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [sym_qualified_name] = STATE(678),
    [sym_namespace_name_as_prefix] = STATE(2516),
    [sym_namespace_name] = STATE(2556),
    [sym_static_modifier] = STATE(2228),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(949),
    [sym_literal] = STATE(949),
    [sym_throw_expression] = STATE(949),
    [sym_primary_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(686),
    [sym_class_constant_access_expression] = STATE(758),
    [sym_print_intrinsic] = STATE(949),
    [sym_anonymous_function_creation_expression] = STATE(949),
    [sym_object_creation_expression] = STATE(949),
    [sym_update_expression] = STATE(949),
    [sym_cast_variable] = STATE(699),
    [sym_member_access_expression] = STATE(699),
    [sym_nullsafe_member_access_expression] = STATE(699),
    [sym_scoped_property_access_expression] = STATE(699),
    [sym_function_call_expression] = STATE(637),
    [sym_scoped_call_expression] = STATE(637),
    [sym__scope_resolution_qualifier] = STATE(2575),
    [sym_relative_scope] = STATE(2575),
    [sym_member_call_expression] = STATE(637),
    [sym_nullsafe_member_call_expression] = STATE(637),
    [sym_subscript_expression] = STATE(637),
    [sym__dereferencable_expression] = STATE(1687),
    [sym_array_creation_expression] = STATE(686),
    [sym_attribute_group] = STATE(970),
    [sym_attribute_list] = STATE(1795),
    [sym_encapsed_string] = STATE(688),
    [sym_string] = STATE(688),
    [sym_heredoc] = STATE(688),
    [sym_nowdoc] = STATE(688),
    [sym_shell_command_expression] = STATE(949),
    [sym_boolean] = STATE(916),
    [sym_null] = STATE(916),
    [sym__string] = STATE(688),
    [sym_dynamic_variable_name] = STATE(637),
    [sym_variable_name] = STATE(637),
    [sym__reserved_identifier] = STATE(1520),
    [aux_sym_attribute_list_repeat1] = STATE(970),
    [sym_name] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(571),
    [aux_sym_namespace_definition_token1] = ACTIONS(573),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(575),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(583),
    [sym_float] = ACTIONS(585),
    [sym_integer] = ACTIONS(585),
    [aux_sym_throw_expression_token1] = ACTIONS(677),
    [aux_sym_print_intrinsic_token1] = ACTIONS(687),
    [aux_sym_object_creation_expression_token1] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(603),
    [anon_sym_PLUS_PLUS] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(607),
    [aux_sym__argument_name_token2] = ACTIONS(609),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [aux_sym_string_token1] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_LT_LT_LT] = ACTIONS(615),
    [anon_sym_BQUOTE] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1526), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1532), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1540), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1546), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1552), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1550), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1558), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1564), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [507] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1568), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1566), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [580] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(581), 1,
      sym_arguments,
    ACTIONS(1572), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1570), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [653] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1576), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [726] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [794] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [862] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [930] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [998] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1594), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1066] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1134] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1602), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1202] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1606), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1270] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1338] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1406] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1474] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1542] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1610] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1689] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1564), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1764] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1842] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(618), 1,
      sym_arguments,
    ACTIONS(1572), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1570), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1911] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(615), 1,
      sym_arguments,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1644), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1988] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(610), 1,
      sym_arguments,
    ACTIONS(1568), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1566), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2057] = 12,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(2049), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2140] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(616), 1,
      sym_arguments,
    ACTIONS(1552), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1550), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2209] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1558), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1564), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2286] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_EQ,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_arguments,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1564), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2363] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_arguments,
    ACTIONS(1576), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2432] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2505] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(613), 1,
      sym_arguments,
    ACTIONS(1546), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2574] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2638] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1594), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2702] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1532), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2766] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2830] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2894] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1648), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2970] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3048] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1654), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3126] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3204] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3268] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3332] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1540), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3396] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3460] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1526), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3524] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3588] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1606), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3652] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3724] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1602), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3788] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3852] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3916] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3980] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4044] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1644), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4115] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1564), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4186] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_EQ,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1564), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4257] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1659), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4334] = 10,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(2049), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4411] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4483] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1654), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4555] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4627] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1648), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1650), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1554), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4697] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1659), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1554), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4768] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1662), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1664), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [4826] = 26,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1668), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1670), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1672), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1676), 1,
      sym_var_modifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1669), 1,
      sym_variable_name,
    STATE(1738), 1,
      sym_property_element,
    STATE(1739), 1,
      sym__function_definition_header,
    STATE(2091), 1,
      sym_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [4929] = 26,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1668), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1670), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1672), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1676), 1,
      sym_var_modifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1669), 1,
      sym_variable_name,
    STATE(1822), 1,
      sym_property_element,
    STATE(1831), 1,
      sym__function_definition_header,
    STATE(1928), 1,
      sym_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5032] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(587), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5097] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5160] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(587), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5225] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5280] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_arguments,
    ACTIONS(1546), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5339] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5400] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(669), 1,
      sym_arguments,
    ACTIONS(1568), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5459] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5524] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_arguments,
    ACTIONS(1552), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5583] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_arguments,
    ACTIONS(1572), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5642] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(661), 1,
      sym_arguments,
    ACTIONS(1576), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5701] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(748), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5766] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5820] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5874] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [5928] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1701), 1,
      anon_sym_COMMA,
    ACTIONS(1703), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_RPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(969), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym_type,
    STATE(1902), 1,
      sym_variable_name,
    STATE(1914), 1,
      sym_reference_modifier,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1922), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1538), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6028] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1713), 1,
      sym_name,
    ACTIONS(1715), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    STATE(2504), 1,
      sym_attribute_list,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(702), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2601), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(704), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1690), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(703), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6124] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6178] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6232] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6286] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6340] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1703), 1,
      anon_sym_LPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1721), 1,
      anon_sym_COMMA,
    ACTIONS(1723), 1,
      anon_sym_RPAREN,
    STATE(969), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym_type,
    STATE(1902), 1,
      sym_variable_name,
    STATE(1914), 1,
      sym_reference_modifier,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1913), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1538), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6440] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6494] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6548] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6602] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6656] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1594), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6710] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      sym_arguments,
    ACTIONS(1727), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1725), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6768] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1729), 1,
      sym_name,
    ACTIONS(1733), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    STATE(2483), 1,
      sym_attribute_list,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(827), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2493), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1731), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(830), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1634), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(829), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6864] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6918] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1741), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1739), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6976] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7030] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7084] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7138] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7192] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(727), 1,
      sym_arguments,
    ACTIONS(1568), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7249] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1703), 1,
      anon_sym_LPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    STATE(969), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym_type,
    STATE(1902), 1,
      sym_variable_name,
    STATE(1914), 1,
      sym_reference_modifier,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2144), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1538), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7346] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7401] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1568), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7456] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7511] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(751), 1,
      anon_sym_AMP,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    STATE(2182), 1,
      sym__list_destructing,
    STATE(2292), 1,
      sym_by_ref,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1552), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1480), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7606] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1703), 1,
      anon_sym_LPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1747), 1,
      anon_sym_RPAREN,
    STATE(969), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym_type,
    STATE(1902), 1,
      sym_variable_name,
    STATE(1914), 1,
      sym_reference_modifier,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2144), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1538), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7703] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7762] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7821] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7876] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7935] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(581), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7990] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1751), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1749), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8049] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8108] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1703), 1,
      anon_sym_LPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1753), 1,
      anon_sym_RPAREN,
    STATE(969), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym_type,
    STATE(1902), 1,
      sym_variable_name,
    STATE(1914), 1,
      sym_reference_modifier,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2144), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1538), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8205] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8264] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      aux_sym_use_list_repeat1,
    STATE(1542), 1,
      sym_class_constant_access_expression,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2212), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1693), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1562), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8355] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1751), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1749), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8414] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1761), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8473] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8532] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8589] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8648] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1568), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8705] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8762] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1769), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1772), 1,
      anon_sym_BSLASH,
    ACTIONS(1775), 1,
      anon_sym_RBRACE,
    ACTIONS(1777), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1783), 1,
      anon_sym_LBRACK,
    ACTIONS(1792), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    STATE(695), 1,
      aux_sym_use_list_repeat1,
    STATE(1542), 1,
      sym_class_constant_access_expression,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(1786), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1789), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2212), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1766), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1693), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1562), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8853] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(751), 1,
      anon_sym_AMP,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    STATE(2057), 1,
      sym_by_ref,
    STATE(2058), 1,
      sym__list_destructing,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1512), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1442), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8948] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9005] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9062] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9119] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9176] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(719), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9233] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(748), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9292] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(748), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9351] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_LPAREN,
    STATE(964), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9410] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9467] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(581), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9524] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1802), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9583] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    ACTIONS(1808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1806), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 30,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9640] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1703), 1,
      anon_sym_LPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(1813), 1,
      anon_sym_RPAREN,
    STATE(969), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym_type,
    STATE(1902), 1,
      sym_variable_name,
    STATE(1914), 1,
      sym_reference_modifier,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2144), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1538), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9737] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(659), 1,
      sym_arguments,
    ACTIONS(1727), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1725), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9794] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9849] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_arguments,
    ACTIONS(1741), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1739), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9906] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1755), 1,
      sym_name,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    STATE(695), 1,
      aux_sym_use_list_repeat1,
    STATE(1542), 1,
      sym_class_constant_access_expression,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2212), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1693), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1562), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9997] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1819), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10049] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1823), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1821), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10101] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1827), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10153] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10205] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1831), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10257] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10309] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10361] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10413] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1835), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10465] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10517] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10569] = 23,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(751), 1,
      anon_sym_AMP,
    ACTIONS(861), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    STATE(2207), 1,
      sym__array_destructing,
    STATE(2210), 1,
      sym_by_ref,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1523), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1453), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [10661] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1839), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10713] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10765] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1843), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10817] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1847), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10869] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1594), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10921] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10973] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1851), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11025] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11077] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1855), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11129] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11181] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1859), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11233] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1863), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11285] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1867), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11337] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1703), 1,
      anon_sym_LPAREN,
    ACTIONS(1707), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(969), 1,
      sym_attribute_list,
    STATE(1184), 1,
      sym_visibility_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym_type,
    STATE(1902), 1,
      sym_variable_name,
    STATE(1914), 1,
      sym_reference_modifier,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2144), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1538), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11431] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1510), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11483] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1871), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1869), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11535] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11587] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11639] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11691] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11743] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1806), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11795] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11849] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1626), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11903] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11955] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12007] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12059] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12111] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1893), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12163] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12215] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12267] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12326] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12381] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12434] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_arguments,
    ACTIONS(1552), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12489] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1802), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12542] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1686), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1905), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [12646] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1025), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1023), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12697] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(615), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12758] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(587), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1686), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12819] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(800), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12874] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(785), 1,
      sym_arguments,
    ACTIONS(1568), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12929] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1037), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12980] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_RPAREN,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    ACTIONS(1806), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13035] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(799), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13090] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1761), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13143] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13200] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13261] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13314] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(856), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1911), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [13425] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    ACTIONS(1915), 1,
      anon_sym_RPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1449), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [13511] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1917), 1,
      anon_sym_COLON,
    STATE(587), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13573] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    ACTIONS(1919), 1,
      anon_sym_RPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1449), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [13659] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1921), 1,
      anon_sym_COLON,
    STATE(615), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13721] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13771] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13821] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_RPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1449), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [13907] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1594), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13957] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14007] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14057] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14107] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14157] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14207] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14257] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14307] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14357] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1925), 1,
      anon_sym_COLON,
    STATE(615), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14419] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14469] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14519] = 21,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    ACTIONS(1927), 1,
      anon_sym_RPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1449), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14605] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14655] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14705] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14755] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14805] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14854] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1552), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14905] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1514), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1432), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [14988] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(1929), 1,
      sym_name,
    ACTIONS(1931), 1,
      anon_sym_LPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1532), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1691), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(760), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(707), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1533), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15071] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(604), 1,
      sym_arguments,
    ACTIONS(1727), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1725), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15124] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(616), 1,
      sym_arguments,
    ACTIONS(1741), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1739), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15177] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1519), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1438), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15260] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_arguments,
    ACTIONS(1741), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1739), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15313] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1568), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15364] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1686), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15419] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15468] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(581), 1,
      sym_arguments,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15521] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(1929), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(771), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1532), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2462), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1691), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(689), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1533), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15604] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15657] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15712] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15765] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(578), 1,
      sym_arguments,
    ACTIONS(1568), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15818] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15869] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1516), 1,
      anon_sym_LPAREN,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1933), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1520), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1687), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2575), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(711), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(641), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1548), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15952] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1552), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16005] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(576), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16056] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1062), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16105] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1751), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1749), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16160] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1066), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16209] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1642), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16262] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1686), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16317] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(856), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16372] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16427] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(856), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16482] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    STATE(1136), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1695), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1693), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16537] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16588] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(581), 1,
      sym_arguments,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16639] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1937), 1,
      sym_name,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1545), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1684), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2540), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(818), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(772), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1555), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16722] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16777] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1802), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16832] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(771), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1693), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1440), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16915] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    ACTIONS(1806), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16966] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(1941), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(901), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1561), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2418), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1670), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(841), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1526), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17049] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(1929), 1,
      sym_name,
    ACTIONS(1931), 1,
      anon_sym_LPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1532), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1691), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(774), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(690), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1533), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17132] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1751), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1749), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17187] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1761), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17242] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(1941), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1561), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1670), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2550), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(902), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(815), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1526), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17325] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(1941), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1561), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1670), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2550), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(900), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(835), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1526), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17408] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17463] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(1945), 1,
      sym_name,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(826), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2569), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1731), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(899), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1663), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(810), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17546] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_arguments,
    ACTIONS(1552), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1550), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17599] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1727), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1725), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17652] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17707] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(880), 1,
      sym_arguments,
    ACTIONS(1568), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17760] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(857), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1544), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17813] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(874), 1,
      sym_arguments,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17866] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(873), 1,
      sym_arguments,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1570), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17919] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(711), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1426), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18002] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(1947), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(692), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2545), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(761), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1695), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(684), 4,
      sym_parenthesized_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 10,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18085] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(583), 1,
      aux_sym_cast_type_token1,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1272), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1544), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1693), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2539), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1549), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1449), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1562), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [18168] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1626), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18218] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18266] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18314] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1871), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1869), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18362] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1510), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1512), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18410] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1855), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1853), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18458] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1806), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18506] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18554] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1819), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18602] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1893), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18650] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18698] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1859), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1857), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18746] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18794] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18844] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1845), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18892] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18940] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    ACTIONS(1949), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1806), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 26,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18992] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1604), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1602), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19040] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19088] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19136] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19184] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19232] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19280] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1851), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1849), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19328] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1590), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19376] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1594), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19424] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1606), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19472] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1829), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19520] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19568] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1841), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19616] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19664] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19712] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19760] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19808] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19856] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19904] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1821), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19952] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20000] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20048] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20096] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_EQ,
    ACTIONS(1806), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1804), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20146] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1835), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1833), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20194] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20243] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1686), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20292] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1802), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1800), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20341] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1761), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1759), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20390] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20439] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1953), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20485] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1957), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20531] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20577] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1961), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20623] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20669] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1965), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20715] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1969), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1967), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20761] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1973), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20807] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1977), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20853] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20899] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20945] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20991] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21037] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1751), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1749), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21083] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1993), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21129] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1997), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1995), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21175] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2001), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21221] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2005), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2003), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21267] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21313] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2009), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21359] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2013), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2011), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21405] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2017), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2015), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21451] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2021), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21497] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2023), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21543] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2029), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2027), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21589] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2033), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2031), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21635] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2037), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2035), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21681] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2041), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21727] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2045), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21773] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2049), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21819] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2053), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21865] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2057), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21911] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2061), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21957] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2065), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22003] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2069), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2067), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22049] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2073), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2071), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22095] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2077), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2075), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22141] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2081), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2079), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22187] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2085), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2083), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22233] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2089), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2087), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22279] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2093), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2091), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22325] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2097), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2095), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22371] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2101), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2099), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22417] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2105), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22463] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2109), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2107), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22509] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2113), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22555] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1556), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22601] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2117), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22647] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2119), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2117), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22695] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22741] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22787] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22833] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22879] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22925] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22971] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23017] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2151), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23063] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2155), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23109] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2159), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2157), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23155] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2163), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2161), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23201] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2167), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23247] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1877), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23293] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2169), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23339] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2175), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23385] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_POUND_LBRACK,
    STATE(968), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2183), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2181), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [23480] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1703), 1,
      anon_sym_LPAREN,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(2188), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1183), 1,
      sym_visibility_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1657), 1,
      sym_type,
    STATE(1982), 1,
      sym_reference_modifier,
    STATE(1984), 1,
      sym_variable_name,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1538), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [23559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    STATE(968), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2192), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2190), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [23608] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1062), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23653] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1066), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23698] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2194), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [23780] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1684), 18,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [23840] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2238), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2243), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2246), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2249), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2252), 1,
      sym_var_modifier,
    ACTIONS(2255), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2241), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2236), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [23898] = 15,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(1686), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23966] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2258), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24048] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24130] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2262), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24212] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24294] = 13,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [24358] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2266), 1,
      anon_sym_EQ_GT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2091), 6,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24442] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24524] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24600] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 24,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [24650] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1987), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24732] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24808] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24890] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [24972] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25048] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25124] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25170] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25246] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
  [25328] = 21,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [25408] = 20,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25486] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25562] = 17,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 12,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [25634] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25710] = 16,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25780] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(1686), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25846] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25892] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [25946] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [25998] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26054] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26129] = 15,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(1686), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26196] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [26277] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1684), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [26336] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(1686), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26401] = 16,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26470] = 17,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [26541] = 20,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26618] = 21,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [26697] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26748] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26801] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26846] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26921] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26966] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27041] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27116] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27165] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [27220] = 13,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27283] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2330), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27401] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27482] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27563] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27638] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27713] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2194), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27794] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27875] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2334), 1,
      anon_sym_EQ_GT,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2091), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27958] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28039] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2262), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28120] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28201] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2258), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28282] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1987), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2336), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2340), 28,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [28449] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28497] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1536), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28539] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2013), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2011), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28581] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2017), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2015), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28623] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2023), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28665] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1025), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1023), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28707] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1751), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1749), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28749] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28823] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28867] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28941] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1037), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1035), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28983] = 21,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [29061] = 20,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29137] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1997), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1995), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29179] = 17,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 10,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [29249] = 16,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29317] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2109), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2107), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29359] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2139), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2137), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29401] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2113), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29443] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2155), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2153), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29485] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2159), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2157), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29527] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(1686), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29591] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1684), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29649] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2167), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2165), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29691] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1957), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1955), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29733] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2073), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2071), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29775] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2009), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2007), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29817] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1556), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29859] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2117), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29901] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2382), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2117), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2115), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29945] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2029), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2027), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29987] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2001), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1999), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30029] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1977), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1975), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30071] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [30125] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2127), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2125), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30167] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2033), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2031), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30209] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1953), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1951), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30251] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30325] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2041), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2039), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30367] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2045), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2043), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30409] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2049), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2047), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30451] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1993), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1991), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30493] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30543] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1987), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30623] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1973), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1971), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30665] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30717] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30761] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2123), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2121), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30803] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2061), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2059), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30845] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2194), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30925] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2147), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2145), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30967] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2151), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31009] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31089] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1965), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1963), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31131] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2005), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2003), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31173] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1969), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1967), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31215] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31289] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2037), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2035), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31331] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2386), 1,
      anon_sym_EQ_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2091), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_binary_expression_token1,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31413] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1961), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1959), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31455] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2264), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31535] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2262), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31615] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31695] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2069), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2067), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31737] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2258), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31817] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31891] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2135), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2133), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31933] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32013] = 13,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1686), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32075] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32155] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2175), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2173), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32197] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1526), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32239] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2143), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2141), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32281] = 15,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(1686), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32347] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2065), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2063), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32389] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2077), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2075), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32431] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2081), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2079), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32473] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1989), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1987), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32515] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2085), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2083), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32557] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1534), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1532), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32599] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2057), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2055), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32641] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2053), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2051), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32683] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2089), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2087), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32725] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2097), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2095), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32767] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1542), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1540), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32809] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1985), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1983), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32851] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2021), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2019), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32893] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2131), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2129), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32935] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2101), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2099), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32977] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33051] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33125] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33205] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2105), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2103), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33247] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2163), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2161), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33289] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1979), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33331] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1877), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33373] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2093), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2091), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33415] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2169), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33457] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2179), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2177), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33499] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [33550] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2194), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33629] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1575), 1,
      sym_type,
    STATE(1776), 1,
      sym_const_element,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__reserved_identifier,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [33696] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2268), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33775] = 13,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1686), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33836] = 15,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(1686), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33901] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 21,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33948] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34021] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34064] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34137] = 21,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34214] = 20,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34289] = 17,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 9,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [34358] = 16,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_QMARK,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34425] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2258), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34504] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(1686), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1684), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34567] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_COLON,
    ACTIONS(2109), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2107), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34610] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_COLON,
    ACTIONS(2113), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2111), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34653] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1686), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1684), 15,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34710] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [34763] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2260), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34842] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2262), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34921] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1684), 19,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34970] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1609), 1,
      sym_type,
    STATE(1815), 1,
      sym_const_element,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__reserved_identifier,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35037] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35116] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35189] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2264), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35268] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2434), 1,
      anon_sym_EQ_GT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35349] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35422] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35495] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2276), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35574] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35647] = 19,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_QMARK,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35720] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1684), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35763] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1629), 1,
      sym_type,
    STATE(1865), 1,
      sym_const_element,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__reserved_identifier,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35830] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1987), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35909] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2284), 4,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35988] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1627), 1,
      sym_type,
    STATE(1797), 1,
      sym_const_element,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__reserved_identifier,
    STATE(2556), 1,
      sym_namespace_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36055] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2436), 1,
      anon_sym_EQ_GT,
    ACTIONS(2091), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36135] = 24,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2438), 1,
      anon_sym_COMMA,
    ACTIONS(2440), 1,
      anon_sym_EQ_GT,
    STATE(2065), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36217] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36297] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_EQ_GT,
    ACTIONS(2091), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36377] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2448), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36455] = 17,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(1253), 1,
      sym_readonly_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2110), 1,
      sym_variable_name,
    STATE(2158), 1,
      sym_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36523] = 17,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(1249), 1,
      sym_readonly_modifier,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1977), 1,
      sym_variable_name,
    STATE(2315), 1,
      sym_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36591] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2450), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36669] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2452), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36749] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36827] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2456), 1,
      anon_sym_EQ_GT,
    ACTIONS(2091), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36907] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36984] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2452), 1,
      anon_sym_RPAREN,
    ACTIONS(2460), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37063] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2452), 1,
      anon_sym_SEMI,
    ACTIONS(2462), 1,
      anon_sym_COMMA,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37142] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37219] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37296] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37373] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37450] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37527] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37604] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37681] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2478), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37758] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37835] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2490), 1,
      anon_sym_RBRACE,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1233), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [37906] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2502), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1208), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [37977] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2504), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1202), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38048] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2506), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38125] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2508), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38202] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2510), 1,
      anon_sym_EQ_GT,
    ACTIONS(2512), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38281] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2514), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38358] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2519), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2522), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2525), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2528), 1,
      anon_sym_RBRACE,
    ACTIONS(2530), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2533), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2536), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2539), 1,
      sym_var_modifier,
    ACTIONS(2545), 1,
      anon_sym_POUND_LBRACK,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2542), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1208), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38429] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2548), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38506] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2550), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38583] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2552), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38660] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38737] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38814] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38891] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2560), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38968] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39045] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2564), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39122] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2510), 1,
      anon_sym_EQ_GT,
    ACTIONS(2566), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39201] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39278] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_RPAREN,
    ACTIONS(2460), 1,
      anon_sym_COMMA,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39357] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2570), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39434] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2572), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39511] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2574), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39588] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2576), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39665] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2578), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39742] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39819] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2582), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39896] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2396), 1,
      anon_sym_PERCENT,
    ACTIONS(2398), 1,
      anon_sym_AMP,
    ACTIONS(2400), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_PIPE,
    ACTIONS(2404), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2406), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2410), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2416), 1,
      anon_sym_CARET,
    ACTIONS(2424), 1,
      anon_sym_GT_EQ,
    ACTIONS(2426), 1,
      anon_sym_DOT,
    ACTIONS(2388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2394), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2422), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2420), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39973] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE,
    ACTIONS(2356), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2358), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2360), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2362), 1,
      anon_sym_CARET,
    ACTIONS(2370), 1,
      anon_sym_GT_EQ,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2384), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2354), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2586), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2368), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2366), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40050] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2510), 1,
      anon_sym_EQ_GT,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40129] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2590), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1208), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40200] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2592), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1234), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40271] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2594), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1208), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40342] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2596), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1208), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40413] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2498), 1,
      sym_var_modifier,
    ACTIONS(2598), 1,
      anon_sym_RBRACE,
    STATE(1344), 1,
      sym_attribute_list,
    STATE(1390), 1,
      sym__const_declaration,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1231), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(634), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40484] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2510), 1,
      anon_sym_EQ_GT,
    ACTIONS(2600), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40563] = 23,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2442), 1,
      anon_sym_SEMI,
    ACTIONS(2462), 1,
      anon_sym_COMMA,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40642] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2602), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40718] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2604), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40794] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2606), 1,
      anon_sym_RBRACK,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40870] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2608), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40946] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41022] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2612), 1,
      anon_sym_COLON,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41098] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41174] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2616), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41250] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2618), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41326] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2620), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41402] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41478] = 15,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2125), 1,
      sym_variable_name,
    STATE(2138), 1,
      sym_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [41540] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2624), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41616] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41692] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2628), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41768] = 15,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1871), 1,
      sym_variable_name,
    STATE(2270), 1,
      sym_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [41830] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2626), 1,
      anon_sym_RBRACK,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41906] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2630), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41982] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2632), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42058] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42134] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2636), 1,
      anon_sym_RBRACK,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42210] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42286] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42362] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2642), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42438] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42514] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42590] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2648), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42666] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2648), 1,
      anon_sym_RBRACK,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42742] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2650), 1,
      anon_sym_COLON,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42818] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42894] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42970] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43046] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2656), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43122] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2606), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43198] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2658), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43274] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2660), 1,
      anon_sym_EQ_GT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43350] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2662), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43426] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43502] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2666), 1,
      anon_sym_COLON,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43578] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2668), 1,
      anon_sym_EQ_GT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43654] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2670), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43730] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2672), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43806] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43882] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43958] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2604), 1,
      anon_sym_RBRACK,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44034] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_AMP,
    ACTIONS(2292), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_PIPE,
    ACTIONS(2298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2302), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2306), 1,
      anon_sym_CARET,
    ACTIONS(2314), 1,
      anon_sym_GT_EQ,
    ACTIONS(2318), 1,
      anon_sym_DOT,
    ACTIONS(2322), 1,
      anon_sym_PERCENT,
    ACTIONS(2324), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2328), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2678), 1,
      anon_sym_RBRACK,
    ACTIONS(2296), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2320), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2312), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2310), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44110] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44186] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2684), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2682), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44224] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2686), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44300] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44376] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44452] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44528] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44604] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44680] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44756] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44832] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44908] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44984] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45060] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45136] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2708), 1,
      anon_sym_EQ_GT,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45212] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45288] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45364] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45440] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45516] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45592] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45668] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2722), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45744] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2724), 1,
      anon_sym_COLON,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45820] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2726), 1,
      anon_sym_RPAREN,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45896] = 22,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2196), 1,
      anon_sym_AMP,
    ACTIONS(2198), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_PIPE,
    ACTIONS(2204), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2206), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2208), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2210), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2212), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2214), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_CARET,
    ACTIONS(2226), 1,
      anon_sym_GT_EQ,
    ACTIONS(2230), 1,
      anon_sym_DOT,
    ACTIONS(2234), 1,
      anon_sym_PERCENT,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    ACTIONS(2202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2220), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2228), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2232), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2224), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2222), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45972] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    ACTIONS(2732), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2734), 1,
      sym_var_modifier,
    STATE(1345), 1,
      sym_attribute_list,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1347), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46037] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2738), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2736), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46074] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2742), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2740), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46111] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2746), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2744), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46148] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2734), 1,
      sym_var_modifier,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    STATE(1345), 1,
      sym_attribute_list,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1309), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1347), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46213] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2753), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2756), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    ACTIONS(2761), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2764), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2767), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2770), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2773), 1,
      sym_var_modifier,
    ACTIONS(2779), 1,
      anon_sym_POUND_LBRACK,
    STATE(1345), 1,
      sym_attribute_list,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2776), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1347), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46278] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2784), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2782), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46315] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2734), 1,
      sym_var_modifier,
    ACTIONS(2786), 1,
      anon_sym_RBRACE,
    STATE(1345), 1,
      sym_attribute_list,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1319), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1347), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46380] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2788), 1,
      sym_bottom_type,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2300), 1,
      sym_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1454), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1409), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46439] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2790), 1,
      sym_name,
    ACTIONS(2794), 1,
      anon_sym_LPAREN,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    ACTIONS(2798), 1,
      sym_bottom_type,
    STATE(1710), 1,
      sym_qualified_name,
    STATE(2013), 1,
      sym_type,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(2094), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1511), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2792), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46498] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2484), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2732), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2734), 1,
      sym_var_modifier,
    ACTIONS(2800), 1,
      anon_sym_RBRACE,
    STATE(1345), 1,
      sym_attribute_list,
    STATE(1783), 1,
      sym__function_definition_header,
    STATE(970), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1314), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1347), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46563] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1425), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46611] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2577), 1,
      sym_intersection_type,
    STATE(1887), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46659] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1443), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46707] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2421), 1,
      sym_intersection_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1887), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46755] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2433), 1,
      sym_intersection_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1887), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46803] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2790), 1,
      sym_name,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    ACTIONS(2804), 1,
      anon_sym_LPAREN,
    STATE(1710), 1,
      sym_qualified_name,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1753), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2792), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46851] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2438), 1,
      sym_intersection_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1887), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46899] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1425), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46947] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2573), 1,
      sym_intersection_type,
    STATE(1887), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46995] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1443), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47043] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2790), 1,
      sym_name,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    ACTIONS(2804), 1,
      anon_sym_LPAREN,
    STATE(1710), 1,
      sym_qualified_name,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1743), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2792), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47091] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1427), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47136] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2790), 1,
      sym_name,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    STATE(1710), 1,
      sym_qualified_name,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1754), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2792), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47181] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1435), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47226] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1709), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1427), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47271] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2790), 1,
      sym_name,
    ACTIONS(2796), 1,
      anon_sym_QMARK,
    STATE(1710), 1,
      sym_qualified_name,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1742), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2792), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47316] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    ACTIONS(1680), 1,
      anon_sym_QMARK,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1435), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47361] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    ACTIONS(1873), 1,
      anon_sym_COLON_COLON,
    STATE(1758), 1,
      sym_static_variable_declaration,
    STATE(1760), 1,
      sym_variable_name,
    ACTIONS(1586), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2684), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [47398] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    ACTIONS(1873), 1,
      anon_sym_COLON_COLON,
    STATE(1760), 1,
      sym_variable_name,
    STATE(1792), 1,
      sym_static_variable_declaration,
    ACTIONS(1586), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2684), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [47435] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1419), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47475] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2806), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2808), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2810), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2812), 1,
      sym_var_modifier,
    ACTIONS(2814), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1415), 1,
      sym_static_modifier,
    STATE(2299), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1353), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47525] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2790), 1,
      sym_name,
    STATE(1710), 1,
      sym_qualified_name,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1707), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2792), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47565] = 14,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2806), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2814), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2816), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2818), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2820), 1,
      sym_var_modifier,
    STATE(1415), 1,
      sym_static_modifier,
    STATE(2298), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1351), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47615] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(2492), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1419), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1674), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47655] = 12,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2488), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2822), 1,
      sym_var_modifier,
    STATE(1389), 1,
      sym__const_declaration,
    STATE(1737), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(635), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47700] = 11,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2824), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2826), 1,
      sym_var_modifier,
    STATE(1737), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1350), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47742] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2828), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2830), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2832), 1,
      sym_var_modifier,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47781] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2832), 1,
      sym_var_modifier,
    STATE(1739), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47820] = 10,
    ACTIONS(585), 1,
      sym_integer,
    ACTIONS(615), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym_float,
    ACTIONS(2836), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2838), 1,
      aux_sym__argument_name_token2,
    STATE(2561), 1,
      sym_literal,
    ACTIONS(611), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(613), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(916), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [47859] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2832), 1,
      sym_var_modifier,
    ACTIONS(2840), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2842), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47898] = 10,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2832), 1,
      sym_var_modifier,
    STATE(1831), 1,
      sym__function_definition_header,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47937] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2832), 1,
      sym_var_modifier,
    ACTIONS(2844), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47973] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2828), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2832), 1,
      sym_var_modifier,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48009] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2492), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2494), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2496), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2832), 1,
      sym_var_modifier,
    ACTIONS(2846), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2500), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(975), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [48045] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2848), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1775), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [48069] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_LBRACE,
    ACTIONS(2854), 1,
      anon_sym_BSLASHu,
    ACTIONS(2856), 1,
      sym__new_line,
    ACTIONS(2859), 1,
      anon_sym_DOLLAR,
    ACTIONS(2861), 1,
      sym_heredoc_end,
    STATE(1356), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1424), 1,
      sym_variable_name,
    STATE(1529), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2852), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1374), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48108] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_LBRACE,
    ACTIONS(2869), 1,
      anon_sym_BSLASHu,
    ACTIONS(2872), 1,
      sym__new_line,
    ACTIONS(2875), 1,
      anon_sym_DOLLAR,
    ACTIONS(2878), 1,
      sym_heredoc_end,
    STATE(1356), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1424), 1,
      sym_variable_name,
    STATE(1529), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2866), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1374), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2880), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_DOLLAR,
    ACTIONS(2894), 1,
      anon_sym_BSLASHu,
    STATE(1424), 1,
      sym_variable_name,
    STATE(1529), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2878), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2892), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1367), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48361] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_LBRACE,
    ACTIONS(2904), 1,
      anon_sym_BSLASHu,
    ACTIONS(2909), 1,
      anon_sym_DOLLAR,
    STATE(1424), 1,
      sym_variable_name,
    STATE(1529), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2901), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2907), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1367), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48515] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_LBRACE,
    ACTIONS(2859), 1,
      anon_sym_DOLLAR,
    ACTIONS(2894), 1,
      anon_sym_BSLASHu,
    STATE(1424), 1,
      sym_variable_name,
    STATE(1529), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2892), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2920), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1367), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48549] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_LBRACE,
    ACTIONS(2854), 1,
      anon_sym_BSLASHu,
    ACTIONS(2859), 1,
      anon_sym_DOLLAR,
    ACTIONS(2922), 1,
      sym__new_line,
    STATE(1355), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1424), 1,
      sym_variable_name,
    STATE(1529), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2852), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1374), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [48585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48605] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_LBRACE,
    ACTIONS(2930), 1,
      anon_sym_BSLASHu,
    ACTIONS(2932), 1,
      anon_sym_BQUOTE,
    ACTIONS(2934), 1,
      anon_sym_DOLLAR,
    STATE(1471), 1,
      sym_variable_name,
    STATE(1565), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2928), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1384), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48638] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_LBRACE,
    ACTIONS(2940), 1,
      anon_sym_BSLASHu,
    ACTIONS(2942), 1,
      anon_sym_DQUOTE,
    ACTIONS(2944), 1,
      anon_sym_DOLLAR,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1587), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2938), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1393), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [48671] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_DOLLAR,
    ACTIONS(2948), 1,
      anon_sym_BSLASHu,
    ACTIONS(2950), 1,
      anon_sym_DQUOTE,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1587), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2946), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1405), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [48704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48723] = 10,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(2960), 1,
      anon_sym_BSLASH,
    STATE(1794), 1,
      sym_namespace_use_clause,
    STATE(2503), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(2958), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1702), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [48758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48796] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_LBRACE,
    ACTIONS(2972), 1,
      anon_sym_BSLASHu,
    ACTIONS(2975), 1,
      anon_sym_BQUOTE,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    STATE(1471), 1,
      sym_variable_name,
    STATE(1565), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2969), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1384), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48829] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_LBRACE,
    ACTIONS(2934), 1,
      anon_sym_DOLLAR,
    ACTIONS(2982), 1,
      anon_sym_BSLASHu,
    ACTIONS(2984), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      sym_variable_name,
    STATE(1565), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2980), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1377), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48862] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_LBRACE,
    ACTIONS(2930), 1,
      anon_sym_BSLASHu,
    ACTIONS(2934), 1,
      anon_sym_DOLLAR,
    ACTIONS(2986), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      sym_variable_name,
    STATE(1565), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2928), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1384), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2990), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2992), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48990] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_LBRACE,
    ACTIONS(2934), 1,
      anon_sym_DOLLAR,
    ACTIONS(3000), 1,
      anon_sym_BSLASHu,
    ACTIONS(3002), 1,
      anon_sym_BQUOTE,
    STATE(1471), 1,
      sym_variable_name,
    STATE(1565), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2998), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1386), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [49023] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_DOLLAR,
    ACTIONS(3006), 1,
      anon_sym_BSLASHu,
    ACTIONS(3008), 1,
      anon_sym_DQUOTE,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1587), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3004), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1402), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3012), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3014), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49113] = 10,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(3018), 1,
      anon_sym_BSLASH,
    STATE(1767), 1,
      sym_namespace_use_clause,
    STATE(2528), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3016), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1702), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49148] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3020), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3022), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3024), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3026), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3028), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49230] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(3036), 1,
      anon_sym_BSLASHu,
    ACTIONS(3039), 1,
      anon_sym_DQUOTE,
    ACTIONS(3041), 1,
      anon_sym_DOLLAR,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1587), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3033), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1402), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49301] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_LBRACE,
    ACTIONS(2944), 1,
      anon_sym_DOLLAR,
    ACTIONS(3006), 1,
      anon_sym_BSLASHu,
    ACTIONS(3048), 1,
      anon_sym_DQUOTE,
    STATE(1463), 1,
      sym_variable_name,
    STATE(1587), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3004), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1402), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [49334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3050), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [49353] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3052), 1,
      sym_name,
    ACTIONS(3054), 1,
      anon_sym_RBRACK,
    STATE(2184), 1,
      sym_attribute,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1813), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49387] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3052), 1,
      sym_name,
    ACTIONS(3056), 1,
      anon_sym_RBRACK,
    STATE(2184), 1,
      sym_attribute,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1813), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49421] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_AMP,
    ACTIONS(3070), 1,
      anon_sym_PIPE,
    STATE(1439), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1447), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1451), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3065), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3058), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [49451] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3074), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3076), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3072), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49473] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_LBRACE,
    ACTIONS(3082), 1,
      anon_sym_BSLASHu,
    ACTIONS(3084), 1,
      anon_sym_DOLLAR,
    STATE(1424), 1,
      sym_variable_name,
    STATE(1529), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3080), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1364), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [49503] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3086), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2178), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49528] = 9,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(3088), 1,
      anon_sym_BSLASH,
    STATE(1837), 1,
      sym_namespace_use_clause,
    STATE(2513), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1702), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49559] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3090), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3092), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49578] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3094), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3096), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3072), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49599] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1917), 1,
      anon_sym_COLON,
    ACTIONS(2684), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1586), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49622] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3098), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2203), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49647] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3020), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3022), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49666] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3100), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3102), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49685] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3052), 1,
      sym_name,
    STATE(1956), 1,
      sym_attribute,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1813), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49716] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3052), 1,
      sym_name,
    STATE(2184), 1,
      sym_attribute,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1813), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49747] = 9,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_BSLASH,
    STATE(1842), 1,
      sym_namespace_use_clause,
    STATE(2441), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1702), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49778] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2954), 1,
      sym_name,
    STATE(1967), 1,
      sym_namespace_use_clause,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1702), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_DASH_GT,
    ACTIONS(3110), 1,
      anon_sym_LBRACK,
    ACTIONS(3114), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3106), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3112), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [49833] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3116), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3118), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49851] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1564), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49873] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3120), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3122), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [49891] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3124), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3126), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49909] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3128), 1,
      sym_name,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1611), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49937] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3130), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1898), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49965] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2684), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1586), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49985] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(2007), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50011] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_AMP,
    STATE(1433), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3120), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3122), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1600), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [50051] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3139), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3141), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50069] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3143), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1777), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50097] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3145), 1,
      sym_name,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(1997), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50125] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3147), 1,
      anon_sym_COMMA,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(2006), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50151] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_AMP,
    STATE(1433), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3151), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3153), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50173] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1759), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50195] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3155), 1,
      sym_name,
    STATE(2556), 1,
      sym_namespace_name,
    STATE(2557), 1,
      sym_namespace_name_as_prefix,
    STATE(1817), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50223] = 7,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(587), 1,
      sym_arguments,
    STATE(1932), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50249] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3159), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3162), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50267] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(3165), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(587), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50293] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3167), 1,
      sym_name,
    ACTIONS(3169), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym__reserved_identifier,
    STATE(675), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50318] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1917), 1,
      anon_sym_COLON,
    ACTIONS(1586), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50337] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_PIPE,
    STATE(1491), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3173), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3171), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50358] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3177), 1,
      sym_name,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(809), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50381] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(3181), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50402] = 6,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3183), 1,
      sym_name,
    ACTIONS(3187), 1,
      anon_sym_LBRACE,
    ACTIONS(3185), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50425] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_PIPE,
    STATE(1503), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3191), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3189), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50446] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3195), 1,
      sym_name,
    ACTIONS(3197), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(816), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50469] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(3199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50490] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3201), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3203), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50507] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_PIPE,
    STATE(1491), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3207), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3205), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50528] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      sym_name,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1556), 1,
      sym_reference_modifier,
    STATE(1574), 1,
      sym_formal_parameters,
    STATE(2197), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50555] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50578] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3213), 1,
      sym_name,
    ACTIONS(3215), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(850), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50601] = 7,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3217), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      sym__reserved_identifier,
    STATE(1560), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50626] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(3221), 1,
      anon_sym_EQ,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3022), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3020), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50649] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3223), 1,
      sym_name,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(849), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50672] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3167), 1,
      sym_name,
    ACTIONS(3169), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym__reserved_identifier,
    STATE(802), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50697] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_BSLASHu,
    ACTIONS(3227), 1,
      anon_sym_DASH_GT,
    ACTIONS(3229), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3112), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50720] = 7,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_name,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    STATE(712), 1,
      sym__reserved_identifier,
    STATE(644), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50745] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(735), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50768] = 6,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3237), 1,
      sym_name,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(640), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50791] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3243), 1,
      sym_name,
    ACTIONS(3245), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(817), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50814] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3247), 1,
      sym_name,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    STATE(1557), 1,
      sym__reserved_identifier,
    STATE(846), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50839] = 6,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3251), 1,
      sym_name,
    ACTIONS(3253), 1,
      anon_sym_LBRACE,
    ACTIONS(3239), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(642), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50862] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(2572), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50883] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_BSLASHu,
    ACTIONS(3255), 1,
      anon_sym_DASH_GT,
    ACTIONS(3257), 1,
      anon_sym_LBRACK,
    ACTIONS(3259), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3112), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50906] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3261), 1,
      sym_name,
    ACTIONS(3263), 1,
      anon_sym_LBRACE,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(698), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50929] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(2564), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50950] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3265), 1,
      sym_name,
    ACTIONS(3267), 1,
      anon_sym_LBRACE,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(693), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50973] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(2578), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50994] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51017] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3167), 1,
      sym_name,
    ACTIONS(3169), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym__reserved_identifier,
    STATE(820), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51042] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51065] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3269), 1,
      sym_name,
    ACTIONS(3271), 1,
      anon_sym_LBRACE,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(674), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51088] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(3273), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51109] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3275), 1,
      sym_name,
    ACTIONS(3277), 1,
      anon_sym_LBRACE,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(673), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51132] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3167), 1,
      sym_name,
    ACTIONS(3169), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym__reserved_identifier,
    STATE(691), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51157] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_BSLASHu,
    ACTIONS(1598), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51174] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_PIPE,
    STATE(1455), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3281), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3279), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51195] = 6,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3283), 1,
      sym_name,
    ACTIONS(3287), 1,
      anon_sym_LBRACE,
    ACTIONS(3285), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(569), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51218] = 7,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3289), 1,
      sym_name,
    ACTIONS(3291), 1,
      anon_sym_LBRACE,
    STATE(1540), 1,
      sym__reserved_identifier,
    STATE(759), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51243] = 6,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3283), 1,
      sym_name,
    ACTIONS(3287), 1,
      anon_sym_LBRACE,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(569), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51266] = 6,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3293), 1,
      sym_name,
    ACTIONS(3295), 1,
      anon_sym_LBRACE,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(572), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51289] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(2584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51310] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3217), 1,
      sym_name,
    ACTIONS(3219), 1,
      anon_sym_LBRACE,
    STATE(1551), 1,
      sym__reserved_identifier,
    STATE(694), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51335] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_PIPE,
    STATE(1491), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3118), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3116), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51356] = 6,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3293), 1,
      sym_name,
    ACTIONS(3295), 1,
      anon_sym_LBRACE,
    ACTIONS(3285), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(572), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51379] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3300), 1,
      sym_name,
    ACTIONS(3302), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym__reserved_identifier,
    STATE(595), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51404] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(587), 1,
      sym_arguments,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51427] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3304), 1,
      sym_name,
    ACTIONS(3306), 1,
      anon_sym_LBRACE,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(697), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51450] = 6,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3308), 1,
      sym_name,
    ACTIONS(3312), 1,
      anon_sym_LBRACE,
    ACTIONS(3310), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51473] = 6,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3314), 1,
      sym_name,
    ACTIONS(3316), 1,
      anon_sym_LBRACE,
    ACTIONS(3185), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(593), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51496] = 6,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3318), 1,
      sym_name,
    ACTIONS(3320), 1,
      anon_sym_LBRACE,
    ACTIONS(3310), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(757), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51519] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3209), 1,
      sym_name,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1558), 1,
      sym_reference_modifier,
    STATE(1606), 1,
      sym_formal_parameters,
    STATE(2197), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51546] = 7,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3167), 1,
      sym_name,
    ACTIONS(3169), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym__reserved_identifier,
    STATE(570), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51571] = 7,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3247), 1,
      sym_name,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    STATE(1557), 1,
      sym__reserved_identifier,
    STATE(1559), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51596] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3322), 1,
      sym_name,
    ACTIONS(3324), 1,
      anon_sym_LBRACE,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(671), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51619] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_PIPE,
    STATE(1503), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3141), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3139), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51640] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3329), 1,
      sym_name,
    ACTIONS(3331), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(821), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51663] = 7,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3333), 1,
      sym_name,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(808), 1,
      sym__reserved_identifier,
    STATE(759), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2956), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51688] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_BSLASHu,
    ACTIONS(1598), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [51705] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    STATE(964), 1,
      sym_declaration_list,
    STATE(1576), 1,
      sym_arguments,
    STATE(1863), 1,
      sym_base_clause,
    STATE(2366), 1,
      sym_class_interface_clause,
  [51733] = 6,
    ACTIONS(993), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(991), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1518), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [51755] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1741), 1,
      sym_named_type,
    STATE(2077), 1,
      sym_type_list,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
  [51783] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1082), 1,
      sym_declaration_list,
    STATE(1563), 1,
      sym_arguments,
    STATE(1746), 1,
      sym_base_clause,
    STATE(2216), 1,
      sym_class_interface_clause,
  [51811] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_AMP,
    ACTIONS(3351), 1,
      anon_sym_PIPE,
    STATE(1648), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1681), 1,
      aux_sym_union_type_repeat1,
    STATE(1704), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3065), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [51835] = 5,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(1932), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51855] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1741), 1,
      sym_named_type,
    STATE(1999), 1,
      sym_type_list,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
  [51883] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    STATE(2007), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51903] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    STATE(917), 1,
      sym_declaration_list,
    STATE(1585), 1,
      sym_arguments,
    STATE(1849), 1,
      sym_base_clause,
    STATE(2359), 1,
      sym_class_interface_clause,
  [51931] = 9,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1136), 1,
      sym_declaration_list,
    STATE(1597), 1,
      sym_arguments,
    STATE(1861), 1,
      sym_base_clause,
    STATE(2346), 1,
      sym_class_interface_clause,
  [51959] = 8,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(3355), 1,
      anon_sym_COMMA,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(1373), 1,
      sym_use_list,
    STATE(1599), 1,
      aux_sym_base_clause_repeat1,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3353), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51985] = 6,
    ACTIONS(983), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3362), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(981), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1518), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [52007] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_COMMA,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    STATE(2006), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52027] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52044] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3365), 1,
      sym_name,
    STATE(1662), 1,
      sym_reference_modifier,
    STATE(2229), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1598), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52080] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1618), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52110] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3369), 1,
      anon_sym_DASH,
    ACTIONS(3367), 2,
      sym_integer,
      sym_name,
    STATE(2523), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52129] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1578), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52161] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(875), 1,
      sym_arguments,
    ACTIONS(1725), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3371), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3373), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52193] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3022), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [52210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3375), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2907), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52225] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52242] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3379), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3383), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52289] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3369), 1,
      anon_sym_DASH,
    ACTIONS(3385), 2,
      sym_integer,
      sym_name,
    STATE(2555), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52308] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1725), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52325] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_AMP,
    ACTIONS(3393), 1,
      anon_sym_PIPE,
    STATE(1697), 1,
      aux_sym_union_type_repeat1,
    STATE(1698), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1725), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [52348] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52365] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_arguments,
    ACTIONS(1739), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52382] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(573), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym_name,
    STATE(1418), 1,
      sym_qualified_name,
    STATE(1996), 1,
      sym_named_type,
    STATE(2516), 1,
      sym_namespace_name_as_prefix,
    STATE(2556), 1,
      sym_namespace_name,
  [52407] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3165), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3395), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52424] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3369), 1,
      anon_sym_DASH,
    ACTIONS(3397), 2,
      sym_integer,
      sym_name,
    STATE(2428), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52443] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52460] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52477] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3401), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3404), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3399), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1546), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3409), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52511] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_LPAREN,
    STATE(670), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52528] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3181), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52543] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(720), 1,
      sym_arguments,
    ACTIONS(1725), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52560] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1739), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52577] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3273), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52592] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(3413), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1917), 1,
      sym_namespace_aliasing_clause,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3411), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [52613] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1913), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1911), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [52628] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52645] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    ACTIONS(3415), 1,
      sym_name,
    STATE(1591), 1,
      sym_formal_parameters,
    STATE(2360), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52666] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_arguments,
    ACTIONS(1739), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52683] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    ACTIONS(3415), 1,
      sym_name,
    STATE(1620), 1,
      sym_formal_parameters,
    STATE(2360), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52704] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_arguments,
    ACTIONS(1550), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52721] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_LPAREN,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1550), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52738] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_LPAREN,
    STATE(890), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52755] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1560), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52772] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1045), 1,
      sym_declaration_list,
    STATE(1745), 1,
      sym_base_clause,
    STATE(2199), 1,
      sym_class_interface_clause,
  [52794] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3417), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3419), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3421), 1,
      aux_sym_else_clause_token1,
    STATE(1666), 1,
      aux_sym_if_statement_repeat2,
    STATE(2024), 1,
      sym_else_if_clause_2,
    STATE(2535), 1,
      sym_else_clause_2,
  [52816] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_BSLASHu,
    ACTIONS(3373), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52830] = 7,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(967), 1,
      sym_compound_statement,
    STATE(1845), 1,
      sym_anonymous_function_use_clause,
    STATE(2305), 1,
      sym__return_type,
  [52852] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_BSLASHu,
    ACTIONS(1618), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52866] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_BSLASHu,
    ACTIONS(1598), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52880] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1699), 1,
      sym_declaration_list,
    STATE(1853), 1,
      sym_base_clause,
    STATE(2356), 1,
      sym_class_interface_clause,
  [52902] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_BSLASHu,
    ACTIONS(1598), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52916] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_BSLASHu,
    ACTIONS(1578), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52930] = 7,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(936), 1,
      sym_compound_statement,
    STATE(1860), 1,
      sym_anonymous_function_use_clause,
    STATE(2383), 1,
      sym__return_type,
  [52952] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_RBRACE,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    STATE(1584), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52970] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1139), 1,
      sym_compound_statement,
    STATE(1859), 1,
      sym_anonymous_function_use_clause,
    STATE(2364), 1,
      sym__return_type,
  [52992] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3435), 1,
      sym_name,
    STATE(1864), 1,
      sym_const_element,
    STATE(2520), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53010] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    STATE(918), 1,
      sym_declaration_list,
    STATE(1851), 1,
      sym_base_clause,
    STATE(2363), 1,
      sym_class_interface_clause,
  [53032] = 7,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(914), 1,
      sym_compound_statement,
    STATE(1832), 1,
      sym_anonymous_function_use_clause,
    STATE(2355), 1,
      sym__return_type,
  [53054] = 7,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(912), 1,
      sym_compound_statement,
    STATE(1830), 1,
      sym_anonymous_function_use_clause,
    STATE(2354), 1,
      sym__return_type,
  [53076] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1652), 1,
      sym_declaration_list,
    STATE(1829), 1,
      sym_base_clause,
    STATE(2351), 1,
      sym_class_interface_clause,
  [53098] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_declaration_list,
    STATE(1869), 1,
      sym_base_clause,
    STATE(2388), 1,
      sym_class_interface_clause,
  [53120] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_BSLASHu,
    ACTIONS(1618), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53134] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      sym_declaration_list,
    STATE(1824), 1,
      sym_base_clause,
    STATE(2349), 1,
      sym_class_interface_clause,
  [53156] = 7,
    ACTIONS(999), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3441), 1,
      aux_sym_else_clause_token1,
    STATE(1614), 1,
      aux_sym_if_statement_repeat1,
    STATE(2108), 1,
      sym_else_if_clause,
    STATE(2128), 1,
      sym_else_clause,
  [53178] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    STATE(1546), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53196] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    STATE(926), 1,
      sym_declaration_list,
    STATE(1812), 1,
      sym_base_clause,
    STATE(2335), 1,
      sym_class_interface_clause,
  [53218] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_BSLASHu,
    ACTIONS(1578), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53232] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3371), 1,
      anon_sym_BSLASHu,
    ACTIONS(3373), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53246] = 7,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(927), 1,
      sym_compound_statement,
    STATE(1809), 1,
      sym_anonymous_function_use_clause,
    STATE(2331), 1,
      sym__return_type,
  [53268] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2367), 1,
      sym_arguments,
    ACTIONS(3445), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [53288] = 7,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(930), 1,
      sym_compound_statement,
    STATE(1808), 1,
      sym_anonymous_function_use_clause,
    STATE(2325), 1,
      sym__return_type,
  [53310] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1115), 1,
      sym_compound_statement,
    STATE(1796), 1,
      sym_anonymous_function_use_clause,
    STATE(2303), 1,
      sym__return_type,
  [53332] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3435), 1,
      sym_name,
    STATE(1989), 1,
      sym_const_element,
    STATE(2520), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53350] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3419), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3421), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3447), 1,
      aux_sym_if_statement_token2,
    STATE(1564), 1,
      aux_sym_if_statement_repeat2,
    STATE(2024), 1,
      sym_else_if_clause_2,
    STATE(2485), 1,
      sym_else_clause_2,
  [53372] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    STATE(1625), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53390] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3451), 1,
      aux_sym_switch_block_token1,
    STATE(1626), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53408] = 7,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(935), 1,
      sym_compound_statement,
    STATE(1804), 1,
      sym_anonymous_function_use_clause,
    STATE(2322), 1,
      sym__return_type,
  [53430] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_declaration_list,
    STATE(1735), 1,
      sym_base_clause,
    STATE(2220), 1,
      sym_class_interface_clause,
  [53452] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_declaration_list,
    STATE(1803), 1,
      sym_base_clause,
    STATE(2321), 1,
      sym_class_interface_clause,
  [53474] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_COMMA,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(1357), 1,
      sym_use_list,
    STATE(1660), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53494] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_BSLASHu,
    ACTIONS(3039), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53508] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3457), 1,
      anon_sym_BSLASHu,
    ACTIONS(2975), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53522] = 7,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_compound_statement,
    STATE(1781), 1,
      sym_anonymous_function_use_clause,
    STATE(2294), 1,
      sym__return_type,
  [53544] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1072), 1,
      sym_compound_statement,
    STATE(1816), 1,
      sym_anonymous_function_use_clause,
    STATE(2278), 1,
      sym__return_type,
  [53566] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3407), 1,
      anon_sym_BSLASHu,
    ACTIONS(3409), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53580] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1126), 1,
      sym_compound_statement,
    STATE(1736), 1,
      sym_anonymous_function_use_clause,
    STATE(2164), 1,
      sym__return_type,
  [53602] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_compound_statement,
    STATE(1733), 1,
      sym_anonymous_function_use_clause,
    STATE(2156), 1,
      sym__return_type,
  [53624] = 7,
    ACTIONS(1007), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3459), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3462), 1,
      aux_sym_else_clause_token1,
    STATE(1637), 1,
      aux_sym_if_statement_repeat1,
    STATE(2026), 1,
      sym_else_clause,
    STATE(2108), 1,
      sym_else_if_clause,
  [53646] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_declaration_list,
    STATE(1732), 1,
      sym_base_clause,
    STATE(2149), 1,
      sym_class_interface_clause,
  [53668] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3435), 1,
      sym_name,
    STATE(1726), 1,
      sym_const_element,
    STATE(2520), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53686] = 7,
    ACTIONS(999), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3468), 1,
      aux_sym_else_clause_token1,
    STATE(1607), 1,
      aux_sym_if_statement_repeat1,
    STATE(2108), 1,
      sym_else_if_clause,
    STATE(2128), 1,
      sym_else_clause,
  [53708] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_COMMA,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(1373), 1,
      sym_use_list,
    STATE(1599), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3353), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53728] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
    STATE(1729), 1,
      sym_base_clause,
    STATE(2237), 1,
      sym_class_interface_clause,
  [53750] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3471), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [53766] = 7,
    ACTIONS(1007), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3441), 1,
      aux_sym_else_clause_token1,
    STATE(1637), 1,
      aux_sym_if_statement_repeat1,
    STATE(2026), 1,
      sym_else_clause,
    STATE(2108), 1,
      sym_else_if_clause,
  [53788] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_BSLASHu,
    ACTIONS(3379), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53802] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    STATE(1740), 1,
      aux_sym_base_clause_repeat1,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3475), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [53822] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_BSLASHu,
    ACTIONS(3383), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53836] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_declaration_list,
    STATE(1768), 1,
      sym_base_clause,
    STATE(2254), 1,
      sym_class_interface_clause,
  [53858] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1089), 1,
      sym_compound_statement,
    STATE(1765), 1,
      sym_anonymous_function_use_clause,
    STATE(2251), 1,
      sym__return_type,
  [53880] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_compound_statement,
    STATE(1763), 1,
      sym_anonymous_function_use_clause,
    STATE(2233), 1,
      sym__return_type,
  [53902] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3423), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1071), 1,
      sym_compound_statement,
    STATE(1747), 1,
      sym_anonymous_function_use_clause,
    STATE(2142), 1,
      sym__return_type,
  [53924] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3477), 1,
      aux_sym_switch_block_token1,
    STATE(1546), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53942] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3419), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3421), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3479), 1,
      aux_sym_if_statement_token2,
    STATE(1666), 1,
      aux_sym_if_statement_repeat2,
    STATE(2024), 1,
      sym_else_if_clause_2,
    STATE(2468), 1,
      sym_else_clause_2,
  [53964] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_BSLASHu,
    ACTIONS(3383), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53978] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    STATE(1546), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53996] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3483), 1,
      aux_sym_switch_block_token1,
    STATE(1546), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54014] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3435), 1,
      sym_name,
    STATE(1847), 1,
      sym_const_element,
    STATE(2520), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54032] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3407), 1,
      anon_sym_BSLASHu,
    ACTIONS(3409), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [54046] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3435), 1,
      sym_name,
    STATE(1827), 1,
      sym_const_element,
    STATE(2520), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54064] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3429), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3431), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3485), 1,
      aux_sym_switch_block_token1,
    STATE(1622), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [54082] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_BSLASHu,
    ACTIONS(3379), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [54096] = 7,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3419), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3421), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3487), 1,
      aux_sym_if_statement_token2,
    STATE(1623), 1,
      aux_sym_if_statement_repeat2,
    STATE(2024), 1,
      sym_else_if_clause_2,
    STATE(2473), 1,
      sym_else_clause_2,
  [54118] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_COLON,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1990), 1,
      sym_formal_parameters,
    STATE(2224), 1,
      sym_reference_modifier,
  [54137] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_LBRACE,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3493), 1,
      anon_sym_DASH_GT,
    ACTIONS(3495), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3497), 1,
      anon_sym_LBRACK,
  [54156] = 4,
    ACTIONS(1052), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1050), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54171] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_PIPE,
    STATE(1636), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3141), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54186] = 6,
    ACTIONS(1039), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1041), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3504), 1,
      aux_sym_else_if_clause_token1,
    STATE(1637), 1,
      aux_sym_if_statement_repeat1,
    STATE(2108), 1,
      sym_else_if_clause,
  [54205] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3507), 1,
      anon_sym_LBRACE,
    ACTIONS(3509), 1,
      anon_sym_DASH_GT,
    ACTIONS(3511), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3513), 1,
      anon_sym_LBRACK,
  [54224] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3515), 1,
      sym_name,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    ACTIONS(3519), 1,
      anon_sym_DOLLAR,
    STATE(1527), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54241] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_LBRACE,
    ACTIONS(3519), 1,
      anon_sym_DOLLAR,
    ACTIONS(3521), 1,
      sym_name,
    STATE(1527), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54258] = 4,
    ACTIONS(1058), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1056), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54273] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3525), 1,
      sym_name,
    ACTIONS(3527), 1,
      anon_sym_LBRACE,
    ACTIONS(3529), 1,
      anon_sym_DOLLAR,
    STATE(1571), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54290] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3531), 1,
      sym_name,
    ACTIONS(3533), 1,
      anon_sym_BSLASH,
    STATE(512), 1,
      sym_compound_statement,
    STATE(1712), 1,
      sym_namespace_name,
  [54309] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3535), 1,
      sym_name,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    ACTIONS(3539), 1,
      anon_sym_DOLLAR,
    STATE(1586), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54326] = 4,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3541), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54341] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_DOLLAR,
    ACTIONS(3543), 1,
      sym_name,
    ACTIONS(3545), 1,
      anon_sym_LBRACE,
    STATE(723), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54358] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_PIPE,
    STATE(1671), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3207), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54373] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_AMP,
    STATE(1672), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3153), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54388] = 5,
    ACTIONS(1518), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3549), 1,
      sym_name,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    STATE(668), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54405] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_PIPE,
    STATE(1678), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3207), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54420] = 4,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3555), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54435] = 4,
    ACTIONS(1096), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1094), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3557), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54450] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_BSLASH,
    STATE(1675), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3559), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [54465] = 4,
    ACTIONS(1084), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1082), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3563), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54480] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(2085), 1,
      aux_sym_base_clause_repeat1,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
  [54499] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_LBRACE,
    ACTIONS(3529), 1,
      anon_sym_DOLLAR,
    ACTIONS(3567), 1,
      sym_name,
    STATE(1571), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54516] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2105), 1,
      sym_variable_name,
    STATE(2106), 1,
      sym_reference_modifier,
  [54535] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_LBRACE,
    ACTIONS(3539), 1,
      anon_sym_DOLLAR,
    ACTIONS(3571), 1,
      sym_name,
    STATE(1586), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54552] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3573), 1,
      sym_name,
    STATE(1730), 1,
      sym_namespace_name,
    STATE(2126), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3575), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [54569] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_COMMA,
    STATE(1660), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3471), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54584] = 3,
    ACTIONS(1033), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1031), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54597] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3580), 1,
      sym_name,
    STATE(2302), 1,
      sym__reserved_identifier,
    ACTIONS(2430), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54612] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_LBRACE,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3497), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 1,
      anon_sym_DASH_GT,
    ACTIONS(3584), 1,
      anon_sym_QMARK_DASH_GT,
  [54631] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR,
    ACTIONS(3586), 1,
      sym_name,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    STATE(891), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54648] = 4,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54663] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3592), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3594), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3597), 1,
      aux_sym_else_clause_token1,
    STATE(1666), 1,
      aux_sym_if_statement_repeat2,
    STATE(2024), 1,
      sym_else_if_clause_2,
  [54682] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_BSLASH,
    STATE(1653), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3599), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [54697] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    ACTIONS(3603), 1,
      anon_sym_COLON,
    STATE(532), 1,
      sym_enum_declaration_list,
    STATE(2153), 1,
      sym_class_interface_clause,
  [54716] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_EQ,
    STATE(1911), 1,
      sym_property_initializer,
    ACTIONS(3605), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [54731] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3489), 1,
      anon_sym_LBRACE,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3497), 1,
      anon_sym_LBRACK,
    ACTIONS(3609), 1,
      anon_sym_DASH_GT,
    ACTIONS(3611), 1,
      anon_sym_QMARK_DASH_GT,
  [54750] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3613), 1,
      anon_sym_PIPE,
    STATE(1671), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3118), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54765] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_AMP,
    STATE(1672), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3122), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54780] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_PIPE,
    STATE(1673), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3141), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54795] = 5,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3622), 1,
      sym_name,
    ACTIONS(3624), 1,
      anon_sym_LBRACE,
    STATE(797), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54812] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_BSLASH,
    STATE(1675), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3626), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [54827] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3573), 1,
      sym_name,
    STATE(1730), 1,
      sym_namespace_name,
    STATE(2245), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3575), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [54844] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_PIPE,
    STATE(1647), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3281), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54859] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3631), 1,
      anon_sym_PIPE,
    STATE(1678), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3118), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54874] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_COLON,
    STATE(2092), 1,
      sym__return_type,
    ACTIONS(3634), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54889] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3638), 1,
      anon_sym_AMP,
    ACTIONS(3640), 1,
      anon_sym_RPAREN,
    STATE(2225), 2,
      sym_variable_name,
      sym_variable_reference,
  [54906] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3642), 1,
      anon_sym_PIPE,
    STATE(1673), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3191), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54921] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_COLON,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym_formal_parameters,
    STATE(2389), 1,
      sym_reference_modifier,
  [54940] = 3,
    ACTIONS(1029), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1027), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54953] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3644), 1,
      anon_sym_LBRACE,
    ACTIONS(3646), 1,
      anon_sym_DASH_GT,
    ACTIONS(3648), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3650), 1,
      anon_sym_LBRACK,
  [54972] = 4,
    ACTIONS(1072), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1070), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54987] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3654), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1979), 1,
      sym_reference_modifier,
    STATE(1980), 1,
      sym_variable_name,
  [55006] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3656), 1,
      anon_sym_LBRACE,
    ACTIONS(3658), 1,
      anon_sym_DASH_GT,
    ACTIONS(3660), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
  [55025] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3664), 1,
      anon_sym_BSLASH,
    STATE(1688), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3626), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55040] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_COLON,
    STATE(533), 1,
      sym_enum_declaration_list,
    STATE(2385), 1,
      sym_class_interface_clause,
  [55059] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3669), 1,
      anon_sym_LBRACE,
    ACTIONS(3671), 1,
      anon_sym_DASH_GT,
    ACTIONS(3673), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3675), 1,
      anon_sym_LBRACK,
  [55078] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3669), 1,
      anon_sym_LBRACE,
    ACTIONS(3675), 1,
      anon_sym_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_DASH_GT,
    ACTIONS(3679), 1,
      anon_sym_QMARK_DASH_GT,
  [55097] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3471), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [55112] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3507), 1,
      anon_sym_LBRACE,
    ACTIONS(3513), 1,
      anon_sym_LBRACK,
    ACTIONS(3681), 1,
      anon_sym_DASH_GT,
    ACTIONS(3683), 1,
      anon_sym_QMARK_DASH_GT,
  [55131] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3685), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3687), 1,
      aux_sym_finally_clause_token1,
    STATE(424), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55146] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3669), 1,
      anon_sym_LBRACE,
    ACTIONS(3675), 1,
      anon_sym_LBRACK,
    ACTIONS(3689), 1,
      anon_sym_DASH_GT,
    ACTIONS(3691), 1,
      anon_sym_QMARK_DASH_GT,
  [55165] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    ACTIONS(3695), 1,
      anon_sym_COLON,
    STATE(2118), 1,
      sym_enum_declaration_list,
    STATE(2352), 1,
      sym_class_interface_clause,
  [55184] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_PIPE,
    STATE(1636), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3191), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55199] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_PIPE,
    STATE(1678), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3173), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55214] = 4,
    ACTIONS(1078), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1076), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3699), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55229] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_PIPE,
    STATE(1650), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3281), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55244] = 3,
    ACTIONS(1048), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1046), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55257] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3413), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1917), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3411), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [55272] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_finally_clause_token1,
    STATE(1508), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55287] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_PIPE,
    STATE(1671), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3173), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55302] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3638), 1,
      anon_sym_AMP,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    STATE(2225), 2,
      sym_variable_name,
      sym_variable_reference,
  [55319] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    ACTIONS(3703), 1,
      anon_sym_COLON,
    STATE(1876), 1,
      sym_enum_declaration_list,
    STATE(2347), 1,
      sym_class_interface_clause,
  [55338] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3102), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55349] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_COLON,
    STATE(1970), 1,
      sym__return_type,
    ACTIONS(3705), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55364] = 4,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55379] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3022), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55390] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3092), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55401] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_BSLASH,
    STATE(559), 1,
      sym_compound_statement,
    ACTIONS(3709), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55418] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_BSLASH,
    STATE(1719), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3599), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55433] = 5,
    ACTIONS(619), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3716), 1,
      sym_name,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    STATE(575), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55450] = 6,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3720), 1,
      anon_sym_LBRACE,
    ACTIONS(3722), 1,
      anon_sym_DASH_GT,
    ACTIONS(3724), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3726), 1,
      anon_sym_LBRACK,
  [55469] = 4,
    ACTIONS(1120), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1118), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55484] = 4,
    ACTIONS(1126), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1124), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55499] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_BSLASH,
    STATE(2131), 1,
      sym_compound_statement,
    ACTIONS(3732), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55516] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_BSLASH,
    STATE(1688), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3559), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55531] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3737), 1,
      sym_name,
    STATE(2038), 1,
      sym_visibility_modifier,
    ACTIONS(3739), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55546] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3741), 1,
      sym_name,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    STATE(620), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55563] = 6,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3531), 1,
      sym_name,
    ACTIONS(3533), 1,
      anon_sym_BSLASH,
    STATE(1718), 1,
      sym_namespace_name,
    STATE(2089), 1,
      sym_compound_statement,
  [55582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_SQUOTE,
    ACTIONS(3747), 1,
      aux_sym_string_token2,
    ACTIONS(3749), 1,
      sym_string_content,
    STATE(1852), 1,
      aux_sym_string_repeat1,
  [55598] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1578), 1,
      sym_formal_parameters,
    STATE(2277), 1,
      sym_reference_modifier,
  [55614] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3751), 1,
      anon_sym_AMP,
    STATE(1771), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3153), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55628] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1769), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55642] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3758), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [55652] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3760), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55666] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_declaration_list,
    STATE(2255), 1,
      sym_class_interface_clause,
  [55682] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3764), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2259), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3762), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [55696] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3766), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [55706] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_declaration_list,
    STATE(2242), 1,
      sym_class_interface_clause,
  [55722] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_compound_statement,
    STATE(2241), 1,
      sym__return_type,
  [55738] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3766), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [55748] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_declaration_list,
    STATE(2194), 1,
      sym_class_interface_clause,
  [55764] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_compound_statement,
    STATE(2223), 1,
      sym__return_type,
  [55780] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3768), 1,
      anon_sym_SEMI,
    ACTIONS(3770), 1,
      sym__automatic_semicolon,
    STATE(1363), 1,
      sym_compound_statement,
  [55796] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1838), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3772), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55810] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_SEMI,
    ACTIONS(3778), 1,
      sym__automatic_semicolon,
    STATE(1366), 1,
      sym_compound_statement,
  [55826] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3780), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [55840] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_PIPE,
    STATE(1866), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3782), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [55854] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3141), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55864] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3118), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55874] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3786), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [55884] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1107), 1,
      sym_declaration_list,
    STATE(2337), 1,
      sym_class_interface_clause,
  [55900] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1045), 1,
      sym_declaration_list,
    STATE(2199), 1,
      sym_class_interface_clause,
  [55916] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1060), 1,
      sym_compound_statement,
    STATE(2286), 1,
      sym__return_type,
  [55932] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1990), 1,
      sym_formal_parameters,
    STATE(2224), 1,
      sym_reference_modifier,
  [55948] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1577), 1,
      sym_formal_parameters,
    STATE(2247), 1,
      sym_reference_modifier,
  [55964] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2518), 1,
      sym_declare_directive,
    ACTIONS(3788), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_SQUOTE,
    ACTIONS(3792), 1,
      aux_sym_string_token2,
    ACTIONS(3794), 1,
      sym_string_content,
    STATE(1818), 1,
      aux_sym_string_repeat1,
  [55992] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3798), 1,
      anon_sym_COMMA,
    STATE(1752), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3796), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56006] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3162), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56016] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3122), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [56026] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2415), 1,
      sym_declare_directive,
    ACTIONS(3788), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56038] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      sym_formal_parameters,
    STATE(2262), 1,
      sym_reference_modifier,
  [56054] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3801), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56068] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56082] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3638), 1,
      anon_sym_AMP,
    STATE(2225), 2,
      sym_variable_name,
      sym_variable_reference,
  [56096] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3809), 1,
      anon_sym_EQ,
    ACTIONS(3807), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56108] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1840), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 1,
      sym_nowdoc_string,
    STATE(1762), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3815), 2,
      sym_heredoc_end,
      sym__new_line,
  [56136] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1066), 1,
      sym_compound_statement,
    STATE(2283), 1,
      sym__return_type,
  [56152] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_enum_declaration_list,
    STATE(2281), 1,
      sym_class_interface_clause,
  [56168] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1075), 1,
      sym_compound_statement,
    STATE(2269), 1,
      sym__return_type,
  [56184] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1596), 1,
      sym_formal_parameters,
    STATE(2274), 1,
      sym_reference_modifier,
  [56200] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3820), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56214] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(2253), 1,
      sym_class_interface_clause,
  [56230] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3824), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56244] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3764), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2252), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3826), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [56258] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_AMP,
    STATE(1771), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3122), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56272] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3833), 1,
      anon_sym_PIPE,
    STATE(1772), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3831), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56286] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3836), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56296] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1664), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56306] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_enum_declaration_list,
    STATE(2173), 1,
      sym_class_interface_clause,
  [56322] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3838), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56336] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    STATE(1740), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3475), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56350] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3840), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_SQUOTE,
    ACTIONS(3844), 1,
      aux_sym_string_token2,
    ACTIONS(3846), 1,
      sym_string_content,
    STATE(1723), 1,
      aux_sym_string_repeat1,
  [56380] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3848), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56394] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(940), 1,
      sym_compound_statement,
    STATE(2221), 1,
      sym__return_type,
  [56410] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1757), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3853), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56424] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_SEMI,
    ACTIONS(3857), 1,
      sym__automatic_semicolon,
    STATE(1376), 1,
      sym_compound_statement,
  [56440] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3859), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_declaration_list,
    STATE(2374), 1,
      sym_base_clause,
  [56456] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2487), 1,
      sym_declare_directive,
    ACTIONS(3788), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56468] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56482] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2814), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3863), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2208), 1,
      sym_static_modifier,
  [56498] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3865), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56512] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3870), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56526] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(3638), 1,
      anon_sym_AMP,
    STATE(2101), 2,
      sym_variable_name,
      sym_variable_reference,
  [56540] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym_formal_parameters,
    STATE(2389), 1,
      sym_reference_modifier,
  [56556] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3872), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56570] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3874), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56584] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    STATE(1839), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3876), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56598] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2814), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3878), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2392), 1,
      sym_static_modifier,
  [56614] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1096), 1,
      sym_compound_statement,
    STATE(2162), 1,
      sym__return_type,
  [56630] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1848), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3880), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56644] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2403), 1,
      sym_declare_directive,
    ACTIONS(3788), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56656] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3882), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56670] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3339), 1,
      aux_sym_base_clause_token1,
    STATE(1886), 1,
      sym_declaration_list,
    STATE(2329), 1,
      sym_base_clause,
  [56686] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1574), 1,
      sym_formal_parameters,
    STATE(2357), 1,
      sym_reference_modifier,
  [56702] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3884), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56712] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_declaration_list,
    STATE(2291), 1,
      sym_class_interface_clause,
  [56728] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(953), 1,
      sym_compound_statement,
    STATE(2293), 1,
      sym__return_type,
  [56744] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3836), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [56754] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3888), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3886), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56768] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    STATE(1955), 1,
      sym_enum_declaration_list,
    STATE(2295), 1,
      sym_class_interface_clause,
  [56784] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(938), 1,
      sym_compound_statement,
    STATE(2296), 1,
      sym__return_type,
  [56800] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(960), 1,
      sym_compound_statement,
    STATE(2301), 1,
      sym__return_type,
  [56816] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56830] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_COMMA,
    STATE(1811), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56844] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    STATE(955), 1,
      sym_declaration_list,
    STATE(2306), 1,
      sym_class_interface_clause,
  [56860] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
    STATE(2367), 1,
      sym_arguments,
    ACTIONS(3445), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56874] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3126), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56884] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1728), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3898), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56898] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1117), 1,
      sym_compound_statement,
    STATE(2181), 1,
      sym__return_type,
  [56914] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3471), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3747), 1,
      aux_sym_string_token2,
    ACTIONS(3749), 1,
      sym_string_content,
    ACTIONS(3900), 1,
      anon_sym_SQUOTE,
    STATE(1852), 1,
      aux_sym_string_repeat1,
  [56940] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(2121), 1,
      sym_formal_parameters,
    STATE(2143), 1,
      sym_reference_modifier,
  [56956] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1619), 1,
      sym_formal_parameters,
    STATE(2146), 1,
      sym_reference_modifier,
  [56972] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1605), 1,
      sym_formal_parameters,
    STATE(2348), 1,
      sym_reference_modifier,
  [56988] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1786), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3902), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3906), 1,
      sym_nowdoc_string,
    STATE(1762), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3904), 2,
      sym_heredoc_end,
      sym__new_line,
  [57016] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1654), 1,
      sym_declaration_list,
    STATE(2319), 1,
      sym_class_interface_clause,
  [57032] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3908), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57046] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1942), 1,
      sym_formal_parameters,
    STATE(2330), 1,
      sym_reference_modifier,
  [57062] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1799), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3910), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57076] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_AMP,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1950), 1,
      sym_formal_parameters,
    STATE(2341), 1,
      sym_reference_modifier,
  [57092] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1635), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_class_interface_clause,
  [57108] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(932), 1,
      sym_compound_statement,
    STATE(2324), 1,
      sym__return_type,
  [57124] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_SEMI,
    ACTIONS(3914), 1,
      sym__automatic_semicolon,
    STATE(1371), 1,
      sym_compound_statement,
  [57140] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(903), 1,
      sym_compound_statement,
    STATE(2327), 1,
      sym__return_type,
  [57156] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3626), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [57166] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(1811), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3916), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57180] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3805), 1,
      anon_sym_COMMA,
    STATE(1811), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3918), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57194] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1752), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3920), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57208] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    STATE(1862), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3922), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57222] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3924), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57236] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3922), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57250] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3813), 1,
      anon_sym_COMMA,
    STATE(1752), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3926), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57264] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_COLON,
    ACTIONS(3533), 1,
      anon_sym_BSLASH,
    ACTIONS(3928), 1,
      sym_name,
    STATE(2519), 1,
      sym_namespace_name,
  [57280] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3930), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57294] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1778), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3932), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57308] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3626), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [57318] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(933), 1,
      sym_compound_statement,
    STATE(2382), 1,
      sym__return_type,
  [57334] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3930), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57348] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1857), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3934), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57362] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3936), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57376] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    STATE(926), 1,
      sym_declaration_list,
    STATE(2335), 1,
      sym_class_interface_clause,
  [57392] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3758), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57402] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    STATE(924), 1,
      sym_declaration_list,
    STATE(2336), 1,
      sym_class_interface_clause,
  [57418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE,
    ACTIONS(3940), 1,
      aux_sym_string_token2,
    ACTIONS(3943), 1,
      sym_string_content,
    STATE(1852), 1,
      aux_sym_string_repeat1,
  [57434] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1665), 1,
      sym_declaration_list,
    STATE(2381), 1,
      sym_class_interface_clause,
  [57450] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3946), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [57460] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    STATE(2072), 1,
      sym_enum_declaration_list,
    STATE(2344), 1,
      sym_class_interface_clause,
  [57476] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3948), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3471), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57490] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3951), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57504] = 5,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    ACTIONS(3955), 1,
      anon_sym_RPAREN,
    STATE(2054), 1,
      aux_sym__list_destructing_repeat1,
  [57520] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_compound_statement,
    STATE(2297), 1,
      sym__return_type,
  [57536] = 5,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    STATE(909), 1,
      sym_compound_statement,
    STATE(2134), 1,
      sym__return_type,
  [57552] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_declaration_list,
    STATE(2220), 1,
      sym_class_interface_clause,
  [57568] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3957), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57582] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    STATE(918), 1,
      sym_declaration_list,
    STATE(2363), 1,
      sym_class_interface_clause,
  [57598] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1789), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57612] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1825), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3936), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57626] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_PIPE,
    STATE(1772), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3961), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [57640] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3884), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [57650] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3898), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57664] = 5,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3341), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(2280), 1,
      sym_class_interface_clause,
  [57680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      sym__new_line,
    ACTIONS(3965), 1,
      sym_heredoc_end,
    STATE(2386), 1,
      sym_heredoc_body,
  [57693] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3969), 1,
      anon_sym_EQ,
    ACTIONS(3967), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57704] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3973), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3971), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [57715] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3975), 1,
      anon_sym_EQ_GT,
    STATE(2472), 1,
      sym__return_type,
  [57728] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3977), 1,
      anon_sym_COMMA,
    ACTIONS(3979), 1,
      anon_sym_RPAREN,
    STATE(2003), 1,
      aux_sym_array_creation_expression_repeat1,
  [57741] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_COMMA,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
    STATE(1923), 1,
      aux_sym_arguments_repeat1,
  [57754] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57765] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57776] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57787] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57798] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57809] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57820] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57831] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57842] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3985), 1,
      anon_sym_COMMA,
    ACTIONS(3988), 1,
      anon_sym_RBRACE,
    STATE(1884), 1,
      aux_sym_match_block_repeat1,
  [57855] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57866] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57877] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_AMP,
    ACTIONS(3990), 1,
      anon_sym_RPAREN,
    STATE(1439), 1,
      aux_sym_intersection_type_repeat1,
  [57890] = 3,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57901] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_RPAREN,
    ACTIONS(3992), 1,
      anon_sym_COMMA,
    STATE(2120), 1,
      aux_sym_formal_parameters_repeat1,
  [57914] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3994), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [57923] = 3,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57934] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_EQ_GT,
    ACTIONS(3996), 1,
      anon_sym_COMMA,
    STATE(1892), 1,
      aux_sym_match_condition_list_repeat1,
  [57947] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57958] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4001), 1,
      anon_sym_EQ,
    ACTIONS(3999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57969] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4003), 1,
      anon_sym_COMMA,
    ACTIONS(4005), 1,
      anon_sym_RPAREN,
    STATE(1899), 1,
      aux_sym_array_creation_expression_repeat1,
  [57982] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3705), 1,
      anon_sym_LBRACE,
    STATE(2442), 1,
      sym__return_type,
  [57995] = 3,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58006] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3471), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [58015] = 4,
    ACTIONS(845), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4007), 1,
      anon_sym_COMMA,
    STATE(2021), 1,
      aux_sym_array_creation_expression_repeat1,
  [58028] = 4,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(2049), 1,
      aux_sym__list_destructing_repeat1,
  [58041] = 4,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(2059), 1,
      aux_sym__list_destructing_repeat1,
  [58054] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4011), 1,
      anon_sym_EQ,
    ACTIONS(4009), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58065] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4013), 1,
      anon_sym_COMMA,
    ACTIONS(4015), 1,
      anon_sym_RBRACK,
    STATE(1905), 1,
      aux_sym__array_destructing_repeat1,
  [58078] = 4,
    ACTIONS(847), 1,
      anon_sym_RBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4017), 1,
      anon_sym_COMMA,
    STATE(2071), 1,
      aux_sym_array_creation_expression_repeat1,
  [58091] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4019), 1,
      anon_sym_COMMA,
    ACTIONS(4022), 1,
      anon_sym_RBRACK,
    STATE(1905), 1,
      aux_sym__array_destructing_repeat1,
  [58104] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_RBRACK,
    ACTIONS(4024), 1,
      anon_sym_COMMA,
    STATE(2073), 1,
      aux_sym_attribute_group_repeat1,
  [58117] = 3,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58128] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    ACTIONS(4028), 1,
      anon_sym_RBRACE,
    STATE(1953), 1,
      aux_sym_match_block_repeat1,
  [58141] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58152] = 3,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58163] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4030), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58172] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58183] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    ACTIONS(4034), 1,
      anon_sym_RPAREN,
    STATE(1978), 1,
      aux_sym_formal_parameters_repeat1,
  [58196] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(4036), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1976), 1,
      sym_variable_name,
  [58209] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym_name,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(2320), 1,
      sym_namespace_use_group,
  [58222] = 3,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58233] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4042), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58242] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58253] = 3,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      sym__new_line,
    ACTIONS(4044), 1,
      sym_heredoc_end,
    STATE(2334), 1,
      sym_heredoc_body,
  [58277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 1,
      sym__new_line,
    ACTIONS(4048), 1,
      sym_heredoc_end,
    STATE(2333), 1,
      sym_nowdoc_body,
  [58290] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
    STATE(1889), 1,
      aux_sym_formal_parameters_repeat1,
  [58303] = 4,
    ACTIONS(801), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [58316] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1960), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [58327] = 3,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58338] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1760), 1,
      sym_variable_name,
    STATE(1958), 1,
      sym_static_variable_declaration,
  [58351] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1669), 1,
      sym_variable_name,
    STATE(1994), 1,
      sym_property_element,
  [58364] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1669), 1,
      sym_variable_name,
    STATE(1782), 1,
      sym_property_element,
  [58377] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4056), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58386] = 3,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58397] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_COLON,
    ACTIONS(4058), 1,
      anon_sym_LPAREN,
    STATE(2373), 1,
      sym_parenthesized_expression,
  [58410] = 4,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_RPAREN,
    STATE(2059), 1,
      aux_sym__list_destructing_repeat1,
  [58423] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4062), 1,
      anon_sym_COMMA,
    ACTIONS(4064), 1,
      anon_sym_RPAREN,
    STATE(2087), 1,
      aux_sym_arguments_repeat1,
  [58436] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4066), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58445] = 3,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58456] = 3,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58467] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58478] = 4,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
    STATE(2059), 1,
      aux_sym__list_destructing_repeat1,
  [58491] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58502] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    ACTIONS(4072), 1,
      anon_sym_RPAREN,
    STATE(2117), 1,
      aux_sym_arguments_repeat1,
  [58515] = 3,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58526] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4074), 1,
      anon_sym_EQ_GT,
    STATE(2574), 1,
      sym__return_type,
  [58539] = 3,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58550] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58561] = 3,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58572] = 3,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58583] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58594] = 3,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58605] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_RPAREN,
    ACTIONS(4076), 1,
      anon_sym_COMMA,
    STATE(1988), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [58618] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4078), 1,
      anon_sym_EQ_GT,
    STATE(2587), 1,
      sym__return_type,
  [58631] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_COMMA,
    ACTIONS(4082), 1,
      anon_sym_RBRACK,
    STATE(2001), 1,
      aux_sym_array_creation_expression_repeat1,
  [58644] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58655] = 4,
    ACTIONS(868), 1,
      anon_sym_RBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4084), 1,
      anon_sym_COMMA,
    STATE(1884), 1,
      aux_sym_match_block_repeat1,
  [58668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      sym__new_line,
    ACTIONS(4086), 1,
      sym_heredoc_end,
    STATE(2362), 1,
      sym_heredoc_body,
  [58681] = 3,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58692] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_COMMA,
    ACTIONS(4090), 1,
      anon_sym_RBRACK,
    STATE(1906), 1,
      aux_sym_attribute_group_repeat1,
  [58705] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_LBRACE,
    ACTIONS(4094), 1,
      anon_sym_COLON,
    STATE(1916), 1,
      sym_switch_block,
  [58718] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3893), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58727] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58738] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3796), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58747] = 3,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58758] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4013), 1,
      anon_sym_COMMA,
    ACTIONS(4096), 1,
      anon_sym_RBRACK,
    STATE(1905), 1,
      aux_sym__array_destructing_repeat1,
  [58771] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym_name,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(2137), 1,
      sym_namespace_use_group,
  [58784] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    ACTIONS(4098), 1,
      sym_name,
    STATE(2137), 1,
      sym_namespace_use_group,
  [58797] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4100), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58806] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4102), 1,
      anon_sym_COMMA,
    ACTIONS(4104), 1,
      anon_sym_RBRACK,
    STATE(1904), 1,
      aux_sym_array_creation_expression_repeat1,
  [58819] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3886), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58828] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4013), 1,
      anon_sym_COMMA,
    ACTIONS(4096), 1,
      anon_sym_RBRACK,
    STATE(1903), 1,
      aux_sym__array_destructing_repeat1,
  [58841] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    ACTIONS(4106), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58852] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4108), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58861] = 3,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58872] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_COMMA,
    ACTIONS(4113), 1,
      anon_sym_RBRACE,
    STATE(1972), 1,
      aux_sym_namespace_use_group_repeat1,
  [58885] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym_EQ,
    ACTIONS(4115), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58896] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_LBRACE,
    ACTIONS(4121), 1,
      anon_sym_COLON,
    STATE(497), 1,
      sym_switch_block,
  [58909] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58920] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4125), 1,
      anon_sym_EQ,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58931] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_EQ,
    ACTIONS(4127), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58942] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_RPAREN,
    ACTIONS(4131), 1,
      anon_sym_COMMA,
    STATE(2120), 1,
      aux_sym_formal_parameters_repeat1,
  [58955] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(4133), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2115), 1,
      sym_variable_name,
  [58968] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_EQ,
    ACTIONS(4135), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58979] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_EQ,
    ACTIONS(4139), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58990] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(4143), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2112), 1,
      sym_variable_name,
  [59003] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59014] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_EQ,
    ACTIONS(4145), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59025] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(3634), 1,
      anon_sym_LBRACE,
    STATE(2565), 1,
      sym__return_type,
  [59038] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59049] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59060] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4149), 1,
      anon_sym_COMMA,
    ACTIONS(4152), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [59073] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3865), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59082] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4154), 1,
      anon_sym_EQ_GT,
    STATE(2411), 1,
      sym__return_type,
  [59095] = 3,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59106] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59117] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59128] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3848), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59137] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59148] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3831), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59157] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(2085), 1,
      aux_sym_base_clause_repeat1,
  [59170] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_EQ,
    ACTIONS(4156), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59181] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(4160), 1,
      anon_sym_RPAREN,
    STATE(2457), 1,
      sym_variable_name,
  [59194] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59205] = 4,
    ACTIONS(827), 1,
      anon_sym_RBRACK,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_COMMA,
    STATE(2071), 1,
      aux_sym_array_creation_expression_repeat1,
  [59218] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    ACTIONS(4098), 1,
      sym_name,
    STATE(2316), 1,
      sym_namespace_use_group,
  [59231] = 4,
    ACTIONS(843), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    STATE(2021), 1,
      aux_sym_array_creation_expression_repeat1,
  [59244] = 3,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59255] = 3,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59266] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_RPAREN,
    ACTIONS(4166), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_unset_statement_repeat1,
  [59279] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_RPAREN,
    ACTIONS(4168), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_unset_statement_repeat1,
  [59292] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59303] = 3,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59314] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_EQ,
    ACTIONS(4170), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59325] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_COMMA,
    ACTIONS(4176), 1,
      anon_sym_RBRACE,
    STATE(1972), 1,
      aux_sym_namespace_use_group_repeat1,
  [59338] = 3,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59349] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4178), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59358] = 3,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59369] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59380] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    ACTIONS(4098), 1,
      sym_name,
    STATE(2282), 1,
      sym_namespace_use_group,
  [59393] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym_name,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(2282), 1,
      sym_namespace_use_group,
  [59406] = 3,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59417] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59428] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_LPAREN,
    ACTIONS(4180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59439] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_COMMA,
    ACTIONS(4187), 1,
      anon_sym_RPAREN,
    STATE(2021), 1,
      aux_sym_array_creation_expression_repeat1,
  [59452] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4189), 1,
      anon_sym_EQ_GT,
    STATE(2475), 1,
      sym__return_type,
  [59465] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_BSLASH,
    ACTIONS(3928), 1,
      sym_name,
    STATE(2519), 1,
      sym_namespace_name,
  [59478] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4193), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4191), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59489] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59500] = 3,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59511] = 3,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59522] = 3,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59533] = 3,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59544] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4195), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59553] = 3,
    ACTIONS(1316), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1314), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59564] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_COMMA,
    ACTIONS(4199), 1,
      anon_sym_RBRACE,
    STATE(2066), 1,
      aux_sym_match_block_repeat1,
  [59577] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59588] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym_name,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    STATE(2390), 1,
      sym_namespace_use_group,
  [59601] = 3,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59612] = 3,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59623] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_DQUOTE,
    ACTIONS(4203), 1,
      anon_sym_SQUOTE,
    ACTIONS(4205), 1,
      sym_heredoc_start,
  [59636] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4207), 1,
      sym_name,
    ACTIONS(4209), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59647] = 3,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59658] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4211), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59669] = 3,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59680] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59691] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4215), 1,
      anon_sym_COMMA,
    ACTIONS(4218), 1,
      anon_sym_RPAREN,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [59704] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    ACTIONS(4220), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59715] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_,
    ACTIONS(4224), 1,
      sym_nowdoc_string,
    STATE(1823), 1,
      aux_sym_nowdoc_body_repeat1,
  [59739] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4226), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59748] = 3,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59759] = 4,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4228), 1,
      anon_sym_RPAREN,
    STATE(2059), 1,
      aux_sym__list_destructing_repeat1,
  [59772] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4230), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59781] = 3,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59792] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_DQUOTE,
    ACTIONS(4234), 1,
      anon_sym_SQUOTE,
    ACTIONS(4236), 1,
      sym_heredoc_start,
  [59805] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4238), 1,
      anon_sym_COMMA,
    ACTIONS(4240), 1,
      anon_sym_RPAREN,
    STATE(2061), 1,
      aux_sym_arguments_repeat1,
  [59818] = 4,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_RPAREN,
    STATE(2059), 1,
      aux_sym__list_destructing_repeat1,
  [59831] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4244), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59840] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4246), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59849] = 4,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(1932), 1,
      aux_sym__list_destructing_repeat1,
  [59862] = 4,
    ACTIONS(870), 1,
      anon_sym_COMMA,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_RPAREN,
    STATE(1938), 1,
      aux_sym__list_destructing_repeat1,
  [59875] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_RPAREN,
    ACTIONS(4250), 1,
      anon_sym_COMMA,
    STATE(2059), 1,
      aux_sym__list_destructing_repeat1,
  [59888] = 3,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59899] = 4,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4253), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [59912] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_EQ,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59923] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1793), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59934] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2738), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [59943] = 4,
    ACTIONS(955), 1,
      anon_sym_EQ_GT,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    STATE(1892), 1,
      aux_sym_match_condition_list_repeat1,
  [59956] = 4,
    ACTIONS(855), 1,
      anon_sym_RBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_COMMA,
    STATE(1884), 1,
      aux_sym_match_block_repeat1,
  [59969] = 3,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59980] = 3,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59991] = 3,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60002] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4187), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [60011] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_RBRACK,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    STATE(2071), 1,
      aux_sym_array_creation_expression_repeat1,
  [60024] = 3,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60035] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_COMMA,
    ACTIONS(4267), 1,
      anon_sym_RBRACK,
    STATE(2073), 1,
      aux_sym_attribute_group_repeat1,
  [60048] = 3,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60059] = 3,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60070] = 3,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60081] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(4269), 1,
      anon_sym_RPAREN,
    STATE(2406), 1,
      sym_variable_name,
  [60094] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1761), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [60105] = 3,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3963), 1,
      sym__new_line,
    ACTIONS(4271), 1,
      sym_heredoc_end,
    STATE(2214), 1,
      sym_heredoc_body,
  [60129] = 3,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60140] = 4,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [60153] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(4275), 1,
      anon_sym_COMMA,
    STATE(2083), 1,
      aux_sym_unset_statement_repeat1,
  [60166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 1,
      sym__new_line,
    ACTIONS(4278), 1,
      sym_heredoc_end,
    STATE(2215), 1,
      sym_nowdoc_body,
  [60179] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    ACTIONS(4280), 1,
      anon_sym_LBRACE,
    STATE(1856), 1,
      aux_sym_base_clause_repeat1,
  [60192] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_COMMA,
    ACTIONS(4284), 1,
      anon_sym_RPAREN,
    STATE(2082), 1,
      aux_sym_arguments_repeat1,
  [60205] = 4,
    ACTIONS(817), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [60218] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    ACTIONS(4288), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60229] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60240] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60251] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_DOLLAR,
    STATE(1669), 1,
      sym_variable_name,
    STATE(1843), 1,
      sym_property_element,
  [60264] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4292), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60273] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
    STATE(2099), 1,
      aux_sym_arguments_repeat1,
  [60286] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3203), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60295] = 3,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60306] = 3,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60317] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60328] = 3,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60339] = 4,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [60352] = 3,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60363] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_COMMA,
    ACTIONS(4302), 1,
      anon_sym_RPAREN,
    STATE(1949), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60376] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4304), 1,
      anon_sym_EQ_GT,
    STATE(2497), 1,
      sym__return_type,
  [60389] = 4,
    ACTIONS(825), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [60402] = 3,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60413] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_EQ,
    ACTIONS(4308), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60424] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    ACTIONS(4312), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1981), 1,
      sym_variable_name,
  [60437] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4314), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60446] = 3,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60457] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_COMMA,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
    STATE(2103), 1,
      aux_sym_arguments_repeat1,
  [60470] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_EQ,
    ACTIONS(4320), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60481] = 3,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60492] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_EQ,
    ACTIONS(4324), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60503] = 3,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60514] = 3,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60525] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_EQ,
    ACTIONS(4328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60536] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4332), 1,
      anon_sym_EQ_GT,
    STATE(2481), 1,
      sym__return_type,
  [60549] = 4,
    ACTIONS(805), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [60562] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60573] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_COMMA,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
    STATE(2124), 1,
      aux_sym_arguments_repeat1,
  [60586] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_COMMA,
    ACTIONS(4343), 1,
      anon_sym_RPAREN,
    STATE(2120), 1,
      aux_sym_formal_parameters_repeat1,
  [60599] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(4345), 1,
      anon_sym_EQ_GT,
    STATE(2476), 1,
      sym__return_type,
  [60612] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60623] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4349), 1,
      anon_sym_EQ,
    ACTIONS(4347), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60634] = 4,
    ACTIONS(789), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_arguments_repeat1,
  [60647] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4355), 1,
      anon_sym_EQ,
    ACTIONS(4353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60658] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_COMMA,
    ACTIONS(4357), 1,
      anon_sym_RBRACE,
    STATE(2011), 1,
      aux_sym_namespace_use_group_repeat1,
  [60671] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60682] = 3,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60693] = 4,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    ACTIONS(4098), 1,
      sym_name,
    STATE(2258), 1,
      sym_namespace_use_group,
  [60706] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60717] = 3,
    ACTIONS(1508), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1506), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60728] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60739] = 3,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60750] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(937), 1,
      sym_compound_statement,
  [60760] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4359), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60768] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4361), 1,
      sym_name,
    STATE(1770), 1,
      sym_namespace_name,
  [60778] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4363), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60786] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2010), 1,
      sym_variable_name,
  [60796] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4365), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60804] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60812] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4369), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60820] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1058), 1,
      sym_compound_statement,
  [60830] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(2022), 1,
      sym_formal_parameters,
  [60840] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4343), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60848] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym_name,
    STATE(2519), 1,
      sym_namespace_name,
  [60858] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1603), 1,
      sym_formal_parameters,
  [60868] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4374), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60876] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4376), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60884] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_declaration_list,
  [60894] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2264), 1,
      sym_variable_name,
  [60904] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4378), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60912] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60920] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    STATE(536), 1,
      sym_enum_declaration_list,
  [60930] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4382), 2,
      anon_sym_string,
      anon_sym_int,
  [60938] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2265), 1,
      sym_variable_name,
  [60948] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1080), 1,
      sym_compound_statement,
  [60958] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym_name,
    STATE(2522), 1,
      sym_namespace_name,
  [60968] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(1998), 1,
      sym_variable_name,
  [60978] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1694), 1,
      sym_compound_statement,
  [60988] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2307), 1,
      sym_variable_name,
  [60998] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4384), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61006] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1104), 1,
      sym_compound_statement,
  [61016] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2371), 1,
      sym_variable_name,
  [61026] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_compound_statement,
  [61036] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym_name,
    STATE(2514), 1,
      sym_namespace_name,
  [61046] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
  [61056] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
  [61066] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2578), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61074] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_LPAREN,
    STATE(2238), 1,
      sym_parenthesized_expression,
  [61084] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2564), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61092] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_LPAREN,
    STATE(1974), 1,
      sym_parenthesized_expression,
  [61102] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4209), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61110] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    STATE(556), 1,
      sym_enum_declaration_list,
  [61120] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4388), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61128] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4390), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61136] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61144] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(467), 1,
      sym_compound_statement,
  [61154] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4392), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61162] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3953), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [61170] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4394), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61178] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_compound_statement,
  [61188] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61196] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4398), 1,
      sym_name,
    STATE(2445), 1,
      sym_namespace_name,
  [61206] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4267), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61214] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2512), 1,
      anon_sym_RPAREN,
    ACTIONS(4401), 1,
      anon_sym_EQ,
  [61224] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2642), 1,
      anon_sym_RPAREN,
    ACTIONS(4401), 1,
      anon_sym_EQ,
  [61234] = 3,
    ACTIONS(499), 1,
      anon_sym_COLON,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1872), 1,
      sym_colon_block,
  [61244] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_RPAREN,
    ACTIONS(4401), 1,
      anon_sym_EQ,
  [61254] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4403), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61262] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_SEMI,
    ACTIONS(4407), 1,
      sym__automatic_semicolon,
  [61272] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym_name,
    STATE(2440), 1,
      sym_namespace_name,
  [61282] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61290] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4411), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61298] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1128), 1,
      sym_declaration_list,
  [61308] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(493), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61316] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_compound_statement,
  [61326] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1896), 1,
      sym_formal_parameters,
  [61336] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(20), 1,
      sym_parenthesized_expression,
  [61346] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1107), 1,
      sym_declaration_list,
  [61356] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(68), 1,
      sym_parenthesized_expression,
  [61366] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61374] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1703), 1,
      sym_compound_statement,
  [61384] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61392] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(50), 1,
      sym_parenthesized_expression,
  [61402] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_LPAREN,
    STATE(2373), 1,
      sym_parenthesized_expression,
  [61412] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_LPAREN,
    STATE(1957), 1,
      sym_parenthesized_expression,
  [61422] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4255), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61430] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3094), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3096), 1,
      aux_sym__arrow_function_header_token1,
  [61440] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2111), 1,
      sym_compound_statement,
  [61450] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61458] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_declaration_list,
  [61468] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4420), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61476] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4422), 1,
      sym__new_line,
    ACTIONS(4424), 1,
      sym_heredoc_end,
  [61494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      sym__new_line,
    ACTIONS(4428), 1,
      sym_heredoc_end,
  [61504] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1045), 1,
      sym_declaration_list,
  [61514] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4218), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61522] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3074), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3076), 1,
      aux_sym__arrow_function_header_token1,
  [61532] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3481), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61540] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_declaration_list,
  [61550] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(904), 1,
      sym_compound_statement,
  [61560] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(65), 1,
      sym_parenthesized_expression,
  [61570] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1061), 1,
      sym_compound_statement,
  [61580] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1873), 1,
      sym_formal_parameters,
  [61590] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4152), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61598] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
    ACTIONS(4432), 1,
      anon_sym_RPAREN,
  [61608] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4434), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [61616] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3076), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4436), 1,
      aux_sym_namespace_use_declaration_token2,
  [61626] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_LPAREN,
    STATE(1708), 1,
      sym_formal_parameters,
  [61636] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4440), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61644] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61652] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4444), 2,
      anon_sym_string,
      anon_sym_int,
  [61660] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1064), 1,
      sym_compound_statement,
  [61670] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1891), 1,
      sym_declaration_list,
  [61680] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4446), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61688] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
  [61698] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_declaration_list,
  [61708] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_LBRACE,
    STATE(1138), 1,
      sym_match_block,
  [61718] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4450), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61726] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_LPAREN,
    STATE(2375), 1,
      sym_parenthesized_expression,
  [61736] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_compound_statement,
  [61746] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
  [61756] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4454), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61764] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4456), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61772] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4113), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61780] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4458), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61788] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1588), 1,
      sym_formal_parameters,
  [61798] = 3,
    ACTIONS(397), 1,
      anon_sym_COLON,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(2536), 1,
      sym_colon_block,
  [61808] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_LPAREN,
    STATE(2187), 1,
      sym_parenthesized_expression,
  [61818] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61826] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1073), 1,
      sym_compound_statement,
  [61836] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4463), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61844] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_declaration_list,
  [61854] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
  [61864] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
  [61874] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym_parenthesized_expression,
  [61884] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASH,
    STATE(2288), 1,
      aux_sym_namespace_name_repeat1,
  [61894] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61902] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3826), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61910] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4467), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61918] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4469), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61926] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1620), 1,
      sym_formal_parameters,
  [61936] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4471), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61944] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4473), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61952] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4475), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61960] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4477), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61968] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4479), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61976] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2452), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61984] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1116), 1,
      sym_compound_statement,
  [61994] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(1973), 1,
      sym_variable_name,
  [62004] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4481), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62012] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4483), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62020] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4485), 2,
      anon_sym_string,
      anon_sym_int,
  [62028] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      sym_formal_parameters,
  [62038] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4487), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62046] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62054] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1590), 1,
      sym_formal_parameters,
  [62064] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1119), 1,
      sym_compound_statement,
  [62074] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62082] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_declaration_list,
  [62092] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_enum_declaration_list,
  [62102] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4491), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62110] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_compound_statement,
  [62120] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62128] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
    ACTIONS(4401), 1,
      anon_sym_EQ,
  [62138] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1124), 1,
      sym_compound_statement,
  [62148] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1683), 1,
      sym_compound_statement,
  [62158] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4493), 1,
      anon_sym_BSLASH,
    STATE(1675), 1,
      aux_sym_namespace_name_repeat1,
  [62168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3904), 2,
      sym_heredoc_end,
      sym__new_line,
  [62176] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62184] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1685), 1,
      sym_declaration_list,
  [62194] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3273), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62202] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(939), 1,
      sym_compound_statement,
  [62212] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(941), 1,
      sym_compound_statement,
  [62222] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    STATE(1939), 1,
      sym_enum_declaration_list,
  [62232] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(942), 1,
      sym_compound_statement,
  [62242] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1094), 1,
      sym_compound_statement,
  [62252] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(508), 1,
      sym_compound_statement,
  [62262] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1930), 1,
      sym_compound_statement,
  [62272] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4178), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62280] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(944), 1,
      sym_compound_statement,
  [62290] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_LPAREN,
    STATE(1679), 1,
      sym_formal_parameters,
  [62300] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1085), 1,
      sym_compound_statement,
  [62310] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym_name,
    STATE(2437), 1,
      sym_namespace_name,
  [62320] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(934), 1,
      sym_compound_statement,
  [62330] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_declaration_list,
  [62340] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62348] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_SEMI,
    ACTIONS(4502), 1,
      sym__automatic_semicolon,
  [62358] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      sym_variable_name,
  [62368] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2235), 1,
      sym_variable_name,
  [62378] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1701), 1,
      sym_compound_statement,
  [62388] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2148), 1,
      sym_variable_name,
  [62398] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4504), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62406] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4506), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62414] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2123), 1,
      sym_variable_name,
  [62424] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4508), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62432] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2141), 1,
      sym_variable_name,
  [62442] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4510), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62450] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1709), 1,
      sym_declaration_list,
  [62460] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62468] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_declaration_list,
  [62478] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(911), 1,
      sym_compound_statement,
  [62488] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1717), 1,
      sym_declaration_list,
  [62498] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(922), 1,
      sym_compound_statement,
  [62508] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(963), 1,
      sym_compound_statement,
  [62518] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62526] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(961), 1,
      sym_compound_statement,
  [62536] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3988), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62544] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(2048), 1,
      sym_declaration_list,
  [62554] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(2102), 1,
      sym_formal_parameters,
  [62564] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(956), 1,
      sym_compound_statement,
  [62574] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2452), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [62582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      sym__new_line,
    ACTIONS(4514), 1,
      sym_heredoc_end,
  [62592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      sym__new_line,
    ACTIONS(4518), 1,
      sym_heredoc_end,
  [62602] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_declaration_list,
  [62612] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym_declaration_list,
  [62622] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_declaration_list,
  [62632] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62640] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4522), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62648] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_SEMI,
    ACTIONS(4526), 1,
      sym__automatic_semicolon,
  [62658] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(2116), 1,
      sym_formal_parameters,
  [62668] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62676] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4530), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62684] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    STATE(1912), 1,
      sym_enum_declaration_list,
  [62694] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR,
    STATE(2318), 1,
      sym_variable_name,
  [62704] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_declaration_list,
  [62714] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    STATE(2079), 1,
      sym_enum_declaration_list,
  [62724] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      sym_formal_parameters,
  [62734] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1654), 1,
      sym_declaration_list,
  [62744] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2572), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62752] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1635), 1,
      sym_declaration_list,
  [62762] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3693), 1,
      anon_sym_LBRACE,
    STATE(2008), 1,
      sym_enum_declaration_list,
  [62772] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_COLON,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
  [62782] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(931), 1,
      sym_compound_statement,
  [62792] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(928), 1,
      sym_compound_statement,
  [62802] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1665), 1,
      sym_declaration_list,
  [62812] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1591), 1,
      sym_formal_parameters,
  [62822] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62830] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_declaration_list,
  [62840] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1985), 1,
      sym_formal_parameters,
  [62850] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(1661), 1,
      sym_compound_statement,
  [62860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      sym__new_line,
    ACTIONS(4536), 1,
      sym_heredoc_end,
  [62870] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_declaration_list,
  [62880] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_compound_statement,
  [62890] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3443), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62898] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_declaration_list,
  [62908] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62916] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4540), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62924] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(79), 1,
      sym_parenthesized_expression,
  [62934] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
    STATE(48), 1,
      sym_parenthesized_expression,
  [62944] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62952] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_SEMI,
    ACTIONS(4546), 1,
      sym__automatic_semicolon,
  [62962] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_LBRACE,
    STATE(965), 1,
      sym_match_block,
  [62972] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_LBRACE,
    STATE(507), 1,
      sym_declaration_list,
  [62982] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4550), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62990] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62998] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4022), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63006] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4100), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63014] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4554), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63022] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63030] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(1641), 1,
      sym_declaration_list,
  [63040] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(908), 1,
      sym_compound_statement,
  [63050] = 3,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      sym_comment,
    STATE(910), 1,
      sym_compound_statement,
  [63060] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4558), 2,
      anon_sym_string,
      anon_sym_int,
  [63068] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3601), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_enum_declaration_list,
  [63078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4560), 1,
      sym__new_line,
    ACTIONS(4562), 1,
      sym_heredoc_end,
  [63088] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4564), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63096] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
  [63106] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(1572), 1,
      sym_formal_parameters,
  [63116] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3957), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63124] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63132] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3096), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4568), 1,
      aux_sym_namespace_use_declaration_token2,
  [63142] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_compound_statement,
  [63152] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63160] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_LBRACE,
    STATE(431), 1,
      sym_compound_statement,
  [63170] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2600), 1,
      anon_sym_RPAREN,
    ACTIONS(4401), 1,
      anon_sym_EQ,
  [63180] = 3,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_LPAREN,
    STATE(2260), 1,
      sym_parenthesized_expression,
  [63190] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4572), 1,
      sym_name,
  [63197] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_LPAREN,
  [63204] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4576), 1,
      aux_sym_while_statement_token2,
  [63211] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_SEMI,
  [63218] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_LPAREN,
  [63225] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_RPAREN,
  [63232] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_EQ,
  [63239] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2600), 1,
      anon_sym_RPAREN,
  [63246] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_RPAREN,
  [63253] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3979), 1,
      anon_sym_RPAREN,
  [63260] = 2,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [63267] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3983), 1,
      anon_sym_RPAREN,
  [63274] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_RPAREN,
  [63281] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_EQ_GT,
  [63288] = 2,
    ACTIONS(917), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [63295] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_RBRACK,
  [63302] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_RPAREN,
  [63309] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_RPAREN,
  [63316] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym_name,
  [63323] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_RPAREN,
  [63330] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_COLON_COLON,
  [63337] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_EQ,
  [63344] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_EQ_GT,
  [63351] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_RPAREN,
  [63358] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_RBRACE,
  [63365] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_RBRACK,
  [63372] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4608), 1,
      sym_name,
  [63379] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_LPAREN,
  [63386] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_DQUOTE2,
  [63393] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_SQUOTE2,
  [63400] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_RBRACK,
  [63407] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_RPAREN,
  [63414] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_RPAREN,
  [63421] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4618), 1,
      sym_heredoc_end,
  [63428] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4620), 1,
      sym_name,
  [63435] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_RPAREN,
  [63442] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4624), 1,
      sym_name,
  [63449] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_RPAREN,
  [63456] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4626), 1,
      sym_name,
  [63463] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_BSLASH,
  [63470] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_RPAREN,
  [63477] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym_name,
  [63484] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_BSLASH,
  [63491] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_BSLASH,
  [63498] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_LBRACE,
  [63505] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4638), 1,
      sym_heredoc_end,
  [63512] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4098), 1,
      sym_name,
  [63519] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_BSLASH,
  [63526] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym_heredoc_end,
  [63533] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
  [63540] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym_name,
  [63547] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4646), 1,
      aux_sym_foreach_statement_token2,
  [63554] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4648), 1,
      ts_builtin_sym_end,
  [63561] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_name,
  [63568] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_RPAREN,
  [63575] = 2,
    ACTIONS(923), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [63582] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
  [63589] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_heredoc_end,
  [63596] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4658), 1,
      sym_name,
  [63603] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_RPAREN,
  [63610] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym_name,
  [63617] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym_name,
  [63624] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_EQ_GT,
  [63631] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_EQ,
  [63638] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_COLON_COLON,
  [63645] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_RPAREN,
  [63652] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4672), 1,
      sym_name,
  [63659] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4674), 1,
      sym_heredoc_start,
  [63666] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4676), 1,
      sym_heredoc_start,
  [63673] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym_heredoc_end,
  [63680] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4680), 1,
      aux_sym_if_statement_token2,
  [63687] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
  [63694] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_RPAREN,
  [63701] = 2,
    ACTIONS(881), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [63708] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_EQ_GT,
  [63715] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4686), 1,
      aux_sym_if_statement_token2,
  [63722] = 2,
    ACTIONS(883), 1,
      anon_sym_SEMI,
    ACTIONS(1530), 1,
      sym_comment,
  [63729] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_EQ_GT,
  [63736] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_EQ_GT,
  [63743] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4692), 1,
      sym_name,
  [63750] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_RPAREN,
  [63757] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_SQUOTE2,
  [63764] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_DQUOTE2,
  [63771] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_EQ_GT,
  [63778] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
  [63785] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_class_declaration_token1,
  [63792] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4706), 1,
      aux_sym_while_statement_token2,
  [63799] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4708), 1,
      aux_sym_if_statement_token2,
  [63806] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4710), 1,
      aux_sym_while_statement_token1,
  [63813] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_RPAREN,
  [63820] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_RPAREN,
  [63827] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_RBRACE,
  [63834] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4716), 1,
      anon_sym_EQ_GT,
  [63841] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_EQ_GT,
  [63848] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4720), 1,
      sym_name,
  [63855] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_COLON_COLON,
  [63862] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_RPAREN,
  [63869] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4726), 1,
      sym_name,
  [63876] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_RPAREN,
  [63883] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_EQ_GT,
  [63890] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4730), 1,
      sym_name,
  [63897] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3716), 1,
      sym_name,
  [63904] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_RPAREN,
  [63911] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_RPAREN,
  [63918] = 2,
    ACTIONS(905), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [63925] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_BSLASH,
  [63932] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4738), 1,
      aux_sym_class_declaration_token1,
  [63939] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_EQ,
  [63946] = 2,
    ACTIONS(435), 1,
      ts_builtin_sym_end,
    ACTIONS(1530), 1,
      sym_comment,
  [63953] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RBRACK,
  [63960] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4742), 1,
      aux_sym_while_statement_token1,
  [63967] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
  [63974] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4746), 1,
      sym_heredoc_start,
  [63981] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym_heredoc_start,
  [63988] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_name,
  [63995] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_BSLASH,
  [64002] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_BSLASH,
  [64009] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_RPAREN,
  [64016] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4756), 1,
      sym_name,
  [64023] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_COLON_COLON,
  [64030] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_RPAREN,
  [64037] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_BSLASH,
  [64044] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3221), 1,
      anon_sym_EQ,
  [64051] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4762), 1,
      sym_name,
  [64058] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_BSLASH,
  [64065] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_RBRACK,
  [64072] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_LPAREN,
  [64079] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4768), 1,
      sym_name,
  [64086] = 2,
    ACTIONS(885), 1,
      anon_sym_SEMI,
    ACTIONS(1530), 1,
      sym_comment,
  [64093] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4770), 1,
      sym_name,
  [64100] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_BSLASH,
  [64107] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4774), 1,
      sym_name,
  [64114] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4776), 1,
      sym_name,
  [64121] = 2,
    ACTIONS(901), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64128] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_RPAREN,
  [64135] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_SEMI,
  [64142] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_RPAREN,
  [64149] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4782), 1,
      aux_sym_if_statement_token2,
  [64156] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4784), 1,
      aux_sym_if_statement_token2,
  [64163] = 2,
    ACTIONS(897), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64170] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4786), 1,
      aux_sym_foreach_statement_token2,
  [64177] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_COLON_COLON,
  [64184] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_COLON_COLON,
  [64191] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2642), 1,
      anon_sym_RPAREN,
  [64198] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(2512), 1,
      anon_sym_RPAREN,
  [64205] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_SEMI,
  [64212] = 2,
    ACTIONS(907), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      sym_comment,
  [64219] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_COLON_COLON,
  [64226] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(3741), 1,
      sym_name,
  [64233] = 2,
    ACTIONS(439), 1,
      ts_builtin_sym_end,
    ACTIONS(1530), 1,
      sym_comment,
  [64240] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4796), 1,
      sym_name,
  [64247] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_COLON_COLON,
  [64254] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_COLON_COLON,
  [64261] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4802), 1,
      sym_integer,
  [64268] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_EQ,
  [64275] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_EQ_GT,
  [64282] = 2,
    ACTIONS(913), 1,
      anon_sym_SEMI,
    ACTIONS(1530), 1,
      sym_comment,
  [64289] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_RBRACK,
  [64296] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_BSLASH,
  [64303] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4812), 1,
      sym_name,
  [64310] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_SEMI,
  [64317] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4816), 1,
      ts_builtin_sym_end,
  [64324] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4818), 1,
      sym_heredoc_end,
  [64331] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RPAREN,
  [64338] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
  [64345] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_LPAREN,
  [64352] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_RPAREN,
  [64359] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_LBRACE,
  [64366] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
  [64373] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
  [64380] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_LPAREN,
  [64387] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_COLON_COLON,
  [64394] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_RPAREN,
  [64401] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_LPAREN,
  [64408] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_name,
  [64415] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_RPAREN,
  [64422] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_EQ_GT,
  [64429] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_COLON_COLON,
  [64436] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
  [64443] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_RPAREN,
  [64450] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_LPAREN,
  [64457] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
  [64464] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_SEMI,
  [64471] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_LPAREN,
  [64478] = 2,
    ACTIONS(915), 1,
      anon_sym_SEMI,
    ACTIONS(1530), 1,
      sym_comment,
  [64485] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_COLON_COLON,
  [64492] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_LPAREN,
  [64499] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_SEMI,
  [64506] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LPAREN,
  [64513] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_EQ_GT,
  [64520] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_SEMI,
  [64527] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4866), 1,
      sym_name,
  [64534] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
  [64541] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_LPAREN,
  [64548] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4872), 1,
      sym_name,
  [64555] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4874), 1,
      sym_name,
  [64562] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4876), 1,
      sym_name,
  [64569] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_SEMI,
  [64576] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
  [64583] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_LPAREN,
  [64590] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_RPAREN,
  [64597] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4882), 1,
      anon_sym_LPAREN,
  [64604] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_LPAREN,
  [64611] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_COLON_COLON,
  [64618] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_LPAREN,
  [64625] = 2,
    ACTIONS(1530), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(565)] = 0,
  [SMALL_STATE(566)] = 70,
  [SMALL_STATE(567)] = 140,
  [SMALL_STATE(568)] = 210,
  [SMALL_STATE(569)] = 280,
  [SMALL_STATE(570)] = 353,
  [SMALL_STATE(571)] = 426,
  [SMALL_STATE(572)] = 507,
  [SMALL_STATE(573)] = 580,
  [SMALL_STATE(574)] = 653,
  [SMALL_STATE(575)] = 726,
  [SMALL_STATE(576)] = 794,
  [SMALL_STATE(577)] = 862,
  [SMALL_STATE(578)] = 930,
  [SMALL_STATE(579)] = 998,
  [SMALL_STATE(580)] = 1066,
  [SMALL_STATE(581)] = 1134,
  [SMALL_STATE(582)] = 1202,
  [SMALL_STATE(583)] = 1270,
  [SMALL_STATE(584)] = 1338,
  [SMALL_STATE(585)] = 1406,
  [SMALL_STATE(586)] = 1474,
  [SMALL_STATE(587)] = 1542,
  [SMALL_STATE(588)] = 1610,
  [SMALL_STATE(589)] = 1689,
  [SMALL_STATE(590)] = 1764,
  [SMALL_STATE(591)] = 1842,
  [SMALL_STATE(592)] = 1911,
  [SMALL_STATE(593)] = 1988,
  [SMALL_STATE(594)] = 2057,
  [SMALL_STATE(595)] = 2140,
  [SMALL_STATE(596)] = 2209,
  [SMALL_STATE(597)] = 2286,
  [SMALL_STATE(598)] = 2363,
  [SMALL_STATE(599)] = 2432,
  [SMALL_STATE(600)] = 2505,
  [SMALL_STATE(601)] = 2574,
  [SMALL_STATE(602)] = 2638,
  [SMALL_STATE(603)] = 2702,
  [SMALL_STATE(604)] = 2766,
  [SMALL_STATE(605)] = 2830,
  [SMALL_STATE(606)] = 2894,
  [SMALL_STATE(607)] = 2970,
  [SMALL_STATE(608)] = 3048,
  [SMALL_STATE(609)] = 3126,
  [SMALL_STATE(610)] = 3204,
  [SMALL_STATE(611)] = 3268,
  [SMALL_STATE(612)] = 3332,
  [SMALL_STATE(613)] = 3396,
  [SMALL_STATE(614)] = 3460,
  [SMALL_STATE(615)] = 3524,
  [SMALL_STATE(616)] = 3588,
  [SMALL_STATE(617)] = 3652,
  [SMALL_STATE(618)] = 3724,
  [SMALL_STATE(619)] = 3788,
  [SMALL_STATE(620)] = 3852,
  [SMALL_STATE(621)] = 3916,
  [SMALL_STATE(622)] = 3980,
  [SMALL_STATE(623)] = 4044,
  [SMALL_STATE(624)] = 4115,
  [SMALL_STATE(625)] = 4186,
  [SMALL_STATE(626)] = 4257,
  [SMALL_STATE(627)] = 4334,
  [SMALL_STATE(628)] = 4411,
  [SMALL_STATE(629)] = 4483,
  [SMALL_STATE(630)] = 4555,
  [SMALL_STATE(631)] = 4627,
  [SMALL_STATE(632)] = 4697,
  [SMALL_STATE(633)] = 4768,
  [SMALL_STATE(634)] = 4826,
  [SMALL_STATE(635)] = 4929,
  [SMALL_STATE(636)] = 5032,
  [SMALL_STATE(637)] = 5097,
  [SMALL_STATE(638)] = 5160,
  [SMALL_STATE(639)] = 5225,
  [SMALL_STATE(640)] = 5280,
  [SMALL_STATE(641)] = 5339,
  [SMALL_STATE(642)] = 5400,
  [SMALL_STATE(643)] = 5459,
  [SMALL_STATE(644)] = 5524,
  [SMALL_STATE(645)] = 5583,
  [SMALL_STATE(646)] = 5642,
  [SMALL_STATE(647)] = 5701,
  [SMALL_STATE(648)] = 5766,
  [SMALL_STATE(649)] = 5820,
  [SMALL_STATE(650)] = 5874,
  [SMALL_STATE(651)] = 5928,
  [SMALL_STATE(652)] = 6028,
  [SMALL_STATE(653)] = 6124,
  [SMALL_STATE(654)] = 6178,
  [SMALL_STATE(655)] = 6232,
  [SMALL_STATE(656)] = 6286,
  [SMALL_STATE(657)] = 6340,
  [SMALL_STATE(658)] = 6440,
  [SMALL_STATE(659)] = 6494,
  [SMALL_STATE(660)] = 6548,
  [SMALL_STATE(661)] = 6602,
  [SMALL_STATE(662)] = 6656,
  [SMALL_STATE(663)] = 6710,
  [SMALL_STATE(664)] = 6768,
  [SMALL_STATE(665)] = 6864,
  [SMALL_STATE(666)] = 6918,
  [SMALL_STATE(667)] = 6976,
  [SMALL_STATE(668)] = 7030,
  [SMALL_STATE(669)] = 7084,
  [SMALL_STATE(670)] = 7138,
  [SMALL_STATE(671)] = 7192,
  [SMALL_STATE(672)] = 7249,
  [SMALL_STATE(673)] = 7346,
  [SMALL_STATE(674)] = 7401,
  [SMALL_STATE(675)] = 7456,
  [SMALL_STATE(676)] = 7511,
  [SMALL_STATE(677)] = 7606,
  [SMALL_STATE(678)] = 7703,
  [SMALL_STATE(679)] = 7762,
  [SMALL_STATE(680)] = 7821,
  [SMALL_STATE(681)] = 7876,
  [SMALL_STATE(682)] = 7935,
  [SMALL_STATE(683)] = 7990,
  [SMALL_STATE(684)] = 8049,
  [SMALL_STATE(685)] = 8108,
  [SMALL_STATE(686)] = 8205,
  [SMALL_STATE(687)] = 8264,
  [SMALL_STATE(688)] = 8355,
  [SMALL_STATE(689)] = 8414,
  [SMALL_STATE(690)] = 8473,
  [SMALL_STATE(691)] = 8532,
  [SMALL_STATE(692)] = 8589,
  [SMALL_STATE(693)] = 8648,
  [SMALL_STATE(694)] = 8705,
  [SMALL_STATE(695)] = 8762,
  [SMALL_STATE(696)] = 8853,
  [SMALL_STATE(697)] = 8948,
  [SMALL_STATE(698)] = 9005,
  [SMALL_STATE(699)] = 9062,
  [SMALL_STATE(700)] = 9119,
  [SMALL_STATE(701)] = 9176,
  [SMALL_STATE(702)] = 9233,
  [SMALL_STATE(703)] = 9292,
  [SMALL_STATE(704)] = 9351,
  [SMALL_STATE(705)] = 9410,
  [SMALL_STATE(706)] = 9467,
  [SMALL_STATE(707)] = 9524,
  [SMALL_STATE(708)] = 9583,
  [SMALL_STATE(709)] = 9640,
  [SMALL_STATE(710)] = 9737,
  [SMALL_STATE(711)] = 9794,
  [SMALL_STATE(712)] = 9849,
  [SMALL_STATE(713)] = 9906,
  [SMALL_STATE(714)] = 9997,
  [SMALL_STATE(715)] = 10049,
  [SMALL_STATE(716)] = 10101,
  [SMALL_STATE(717)] = 10153,
  [SMALL_STATE(718)] = 10205,
  [SMALL_STATE(719)] = 10257,
  [SMALL_STATE(720)] = 10309,
  [SMALL_STATE(721)] = 10361,
  [SMALL_STATE(722)] = 10413,
  [SMALL_STATE(723)] = 10465,
  [SMALL_STATE(724)] = 10517,
  [SMALL_STATE(725)] = 10569,
  [SMALL_STATE(726)] = 10661,
  [SMALL_STATE(727)] = 10713,
  [SMALL_STATE(728)] = 10765,
  [SMALL_STATE(729)] = 10817,
  [SMALL_STATE(730)] = 10869,
  [SMALL_STATE(731)] = 10921,
  [SMALL_STATE(732)] = 10973,
  [SMALL_STATE(733)] = 11025,
  [SMALL_STATE(734)] = 11077,
  [SMALL_STATE(735)] = 11129,
  [SMALL_STATE(736)] = 11181,
  [SMALL_STATE(737)] = 11233,
  [SMALL_STATE(738)] = 11285,
  [SMALL_STATE(739)] = 11337,
  [SMALL_STATE(740)] = 11431,
  [SMALL_STATE(741)] = 11483,
  [SMALL_STATE(742)] = 11535,
  [SMALL_STATE(743)] = 11587,
  [SMALL_STATE(744)] = 11639,
  [SMALL_STATE(745)] = 11691,
  [SMALL_STATE(746)] = 11743,
  [SMALL_STATE(747)] = 11795,
  [SMALL_STATE(748)] = 11849,
  [SMALL_STATE(749)] = 11903,
  [SMALL_STATE(750)] = 11955,
  [SMALL_STATE(751)] = 12007,
  [SMALL_STATE(752)] = 12059,
  [SMALL_STATE(753)] = 12111,
  [SMALL_STATE(754)] = 12163,
  [SMALL_STATE(755)] = 12215,
  [SMALL_STATE(756)] = 12267,
  [SMALL_STATE(757)] = 12326,
  [SMALL_STATE(758)] = 12381,
  [SMALL_STATE(759)] = 12434,
  [SMALL_STATE(760)] = 12489,
  [SMALL_STATE(761)] = 12542,
  [SMALL_STATE(762)] = 12595,
  [SMALL_STATE(763)] = 12646,
  [SMALL_STATE(764)] = 12697,
  [SMALL_STATE(765)] = 12758,
  [SMALL_STATE(766)] = 12819,
  [SMALL_STATE(767)] = 12874,
  [SMALL_STATE(768)] = 12929,
  [SMALL_STATE(769)] = 12980,
  [SMALL_STATE(770)] = 13035,
  [SMALL_STATE(771)] = 13090,
  [SMALL_STATE(772)] = 13143,
  [SMALL_STATE(773)] = 13200,
  [SMALL_STATE(774)] = 13261,
  [SMALL_STATE(775)] = 13314,
  [SMALL_STATE(776)] = 13375,
  [SMALL_STATE(777)] = 13425,
  [SMALL_STATE(778)] = 13511,
  [SMALL_STATE(779)] = 13573,
  [SMALL_STATE(780)] = 13659,
  [SMALL_STATE(781)] = 13721,
  [SMALL_STATE(782)] = 13771,
  [SMALL_STATE(783)] = 13821,
  [SMALL_STATE(784)] = 13907,
  [SMALL_STATE(785)] = 13957,
  [SMALL_STATE(786)] = 14007,
  [SMALL_STATE(787)] = 14057,
  [SMALL_STATE(788)] = 14107,
  [SMALL_STATE(789)] = 14157,
  [SMALL_STATE(790)] = 14207,
  [SMALL_STATE(791)] = 14257,
  [SMALL_STATE(792)] = 14307,
  [SMALL_STATE(793)] = 14357,
  [SMALL_STATE(794)] = 14419,
  [SMALL_STATE(795)] = 14469,
  [SMALL_STATE(796)] = 14519,
  [SMALL_STATE(797)] = 14605,
  [SMALL_STATE(798)] = 14655,
  [SMALL_STATE(799)] = 14705,
  [SMALL_STATE(800)] = 14755,
  [SMALL_STATE(801)] = 14805,
  [SMALL_STATE(802)] = 14854,
  [SMALL_STATE(803)] = 14905,
  [SMALL_STATE(804)] = 14988,
  [SMALL_STATE(805)] = 15071,
  [SMALL_STATE(806)] = 15124,
  [SMALL_STATE(807)] = 15177,
  [SMALL_STATE(808)] = 15260,
  [SMALL_STATE(809)] = 15313,
  [SMALL_STATE(810)] = 15364,
  [SMALL_STATE(811)] = 15419,
  [SMALL_STATE(812)] = 15468,
  [SMALL_STATE(813)] = 15521,
  [SMALL_STATE(814)] = 15604,
  [SMALL_STATE(815)] = 15657,
  [SMALL_STATE(816)] = 15712,
  [SMALL_STATE(817)] = 15765,
  [SMALL_STATE(818)] = 15818,
  [SMALL_STATE(819)] = 15869,
  [SMALL_STATE(820)] = 15952,
  [SMALL_STATE(821)] = 16005,
  [SMALL_STATE(822)] = 16056,
  [SMALL_STATE(823)] = 16105,
  [SMALL_STATE(824)] = 16160,
  [SMALL_STATE(825)] = 16209,
  [SMALL_STATE(826)] = 16262,
  [SMALL_STATE(827)] = 16317,
  [SMALL_STATE(828)] = 16372,
  [SMALL_STATE(829)] = 16427,
  [SMALL_STATE(830)] = 16482,
  [SMALL_STATE(831)] = 16537,
  [SMALL_STATE(832)] = 16588,
  [SMALL_STATE(833)] = 16639,
  [SMALL_STATE(834)] = 16722,
  [SMALL_STATE(835)] = 16777,
  [SMALL_STATE(836)] = 16832,
  [SMALL_STATE(837)] = 16915,
  [SMALL_STATE(838)] = 16966,
  [SMALL_STATE(839)] = 17049,
  [SMALL_STATE(840)] = 17132,
  [SMALL_STATE(841)] = 17187,
  [SMALL_STATE(842)] = 17242,
  [SMALL_STATE(843)] = 17325,
  [SMALL_STATE(844)] = 17408,
  [SMALL_STATE(845)] = 17463,
  [SMALL_STATE(846)] = 17546,
  [SMALL_STATE(847)] = 17599,
  [SMALL_STATE(848)] = 17652,
  [SMALL_STATE(849)] = 17707,
  [SMALL_STATE(850)] = 17760,
  [SMALL_STATE(851)] = 17813,
  [SMALL_STATE(852)] = 17866,
  [SMALL_STATE(853)] = 17919,
  [SMALL_STATE(854)] = 18002,
  [SMALL_STATE(855)] = 18085,
  [SMALL_STATE(856)] = 18168,
  [SMALL_STATE(857)] = 18218,
  [SMALL_STATE(858)] = 18266,
  [SMALL_STATE(859)] = 18314,
  [SMALL_STATE(860)] = 18362,
  [SMALL_STATE(861)] = 18410,
  [SMALL_STATE(862)] = 18458,
  [SMALL_STATE(863)] = 18506,
  [SMALL_STATE(864)] = 18554,
  [SMALL_STATE(865)] = 18602,
  [SMALL_STATE(866)] = 18650,
  [SMALL_STATE(867)] = 18698,
  [SMALL_STATE(868)] = 18746,
  [SMALL_STATE(869)] = 18794,
  [SMALL_STATE(870)] = 18844,
  [SMALL_STATE(871)] = 18892,
  [SMALL_STATE(872)] = 18940,
  [SMALL_STATE(873)] = 18992,
  [SMALL_STATE(874)] = 19040,
  [SMALL_STATE(875)] = 19088,
  [SMALL_STATE(876)] = 19136,
  [SMALL_STATE(877)] = 19184,
  [SMALL_STATE(878)] = 19232,
  [SMALL_STATE(879)] = 19280,
  [SMALL_STATE(880)] = 19328,
  [SMALL_STATE(881)] = 19376,
  [SMALL_STATE(882)] = 19424,
  [SMALL_STATE(883)] = 19472,
  [SMALL_STATE(884)] = 19520,
  [SMALL_STATE(885)] = 19568,
  [SMALL_STATE(886)] = 19616,
  [SMALL_STATE(887)] = 19664,
  [SMALL_STATE(888)] = 19712,
  [SMALL_STATE(889)] = 19760,
  [SMALL_STATE(890)] = 19808,
  [SMALL_STATE(891)] = 19856,
  [SMALL_STATE(892)] = 19904,
  [SMALL_STATE(893)] = 19952,
  [SMALL_STATE(894)] = 20000,
  [SMALL_STATE(895)] = 20048,
  [SMALL_STATE(896)] = 20096,
  [SMALL_STATE(897)] = 20146,
  [SMALL_STATE(898)] = 20194,
  [SMALL_STATE(899)] = 20243,
  [SMALL_STATE(900)] = 20292,
  [SMALL_STATE(901)] = 20341,
  [SMALL_STATE(902)] = 20390,
  [SMALL_STATE(903)] = 20439,
  [SMALL_STATE(904)] = 20485,
  [SMALL_STATE(905)] = 20531,
  [SMALL_STATE(906)] = 20577,
  [SMALL_STATE(907)] = 20623,
  [SMALL_STATE(908)] = 20669,
  [SMALL_STATE(909)] = 20715,
  [SMALL_STATE(910)] = 20761,
  [SMALL_STATE(911)] = 20807,
  [SMALL_STATE(912)] = 20853,
  [SMALL_STATE(913)] = 20899,
  [SMALL_STATE(914)] = 20945,
  [SMALL_STATE(915)] = 20991,
  [SMALL_STATE(916)] = 21037,
  [SMALL_STATE(917)] = 21083,
  [SMALL_STATE(918)] = 21129,
  [SMALL_STATE(919)] = 21175,
  [SMALL_STATE(920)] = 21221,
  [SMALL_STATE(921)] = 21267,
  [SMALL_STATE(922)] = 21313,
  [SMALL_STATE(923)] = 21359,
  [SMALL_STATE(924)] = 21405,
  [SMALL_STATE(925)] = 21451,
  [SMALL_STATE(926)] = 21497,
  [SMALL_STATE(927)] = 21543,
  [SMALL_STATE(928)] = 21589,
  [SMALL_STATE(929)] = 21635,
  [SMALL_STATE(930)] = 21681,
  [SMALL_STATE(931)] = 21727,
  [SMALL_STATE(932)] = 21773,
  [SMALL_STATE(933)] = 21819,
  [SMALL_STATE(934)] = 21865,
  [SMALL_STATE(935)] = 21911,
  [SMALL_STATE(936)] = 21957,
  [SMALL_STATE(937)] = 22003,
  [SMALL_STATE(938)] = 22049,
  [SMALL_STATE(939)] = 22095,
  [SMALL_STATE(940)] = 22141,
  [SMALL_STATE(941)] = 22187,
  [SMALL_STATE(942)] = 22233,
  [SMALL_STATE(943)] = 22279,
  [SMALL_STATE(944)] = 22325,
  [SMALL_STATE(945)] = 22371,
  [SMALL_STATE(946)] = 22417,
  [SMALL_STATE(947)] = 22463,
  [SMALL_STATE(948)] = 22509,
  [SMALL_STATE(949)] = 22555,
  [SMALL_STATE(950)] = 22601,
  [SMALL_STATE(951)] = 22647,
  [SMALL_STATE(952)] = 22695,
  [SMALL_STATE(953)] = 22741,
  [SMALL_STATE(954)] = 22787,
  [SMALL_STATE(955)] = 22833,
  [SMALL_STATE(956)] = 22879,
  [SMALL_STATE(957)] = 22925,
  [SMALL_STATE(958)] = 22971,
  [SMALL_STATE(959)] = 23017,
  [SMALL_STATE(960)] = 23063,
  [SMALL_STATE(961)] = 23109,
  [SMALL_STATE(962)] = 23155,
  [SMALL_STATE(963)] = 23201,
  [SMALL_STATE(964)] = 23247,
  [SMALL_STATE(965)] = 23293,
  [SMALL_STATE(966)] = 23339,
  [SMALL_STATE(967)] = 23385,
  [SMALL_STATE(968)] = 23431,
  [SMALL_STATE(969)] = 23480,
  [SMALL_STATE(970)] = 23559,
  [SMALL_STATE(971)] = 23608,
  [SMALL_STATE(972)] = 23653,
  [SMALL_STATE(973)] = 23698,
  [SMALL_STATE(974)] = 23780,
  [SMALL_STATE(975)] = 23840,
  [SMALL_STATE(976)] = 23898,
  [SMALL_STATE(977)] = 23966,
  [SMALL_STATE(978)] = 24048,
  [SMALL_STATE(979)] = 24130,
  [SMALL_STATE(980)] = 24212,
  [SMALL_STATE(981)] = 24294,
  [SMALL_STATE(982)] = 24358,
  [SMALL_STATE(983)] = 24442,
  [SMALL_STATE(984)] = 24524,
  [SMALL_STATE(985)] = 24600,
  [SMALL_STATE(986)] = 24650,
  [SMALL_STATE(987)] = 24732,
  [SMALL_STATE(988)] = 24808,
  [SMALL_STATE(989)] = 24890,
  [SMALL_STATE(990)] = 24972,
  [SMALL_STATE(991)] = 25048,
  [SMALL_STATE(992)] = 25124,
  [SMALL_STATE(993)] = 25170,
  [SMALL_STATE(994)] = 25246,
  [SMALL_STATE(995)] = 25328,
  [SMALL_STATE(996)] = 25408,
  [SMALL_STATE(997)] = 25486,
  [SMALL_STATE(998)] = 25562,
  [SMALL_STATE(999)] = 25634,
  [SMALL_STATE(1000)] = 25710,
  [SMALL_STATE(1001)] = 25780,
  [SMALL_STATE(1002)] = 25846,
  [SMALL_STATE(1003)] = 25892,
  [SMALL_STATE(1004)] = 25946,
  [SMALL_STATE(1005)] = 25998,
  [SMALL_STATE(1006)] = 26054,
  [SMALL_STATE(1007)] = 26129,
  [SMALL_STATE(1008)] = 26196,
  [SMALL_STATE(1009)] = 26277,
  [SMALL_STATE(1010)] = 26336,
  [SMALL_STATE(1011)] = 26401,
  [SMALL_STATE(1012)] = 26470,
  [SMALL_STATE(1013)] = 26541,
  [SMALL_STATE(1014)] = 26618,
  [SMALL_STATE(1015)] = 26697,
  [SMALL_STATE(1016)] = 26748,
  [SMALL_STATE(1017)] = 26801,
  [SMALL_STATE(1018)] = 26846,
  [SMALL_STATE(1019)] = 26921,
  [SMALL_STATE(1020)] = 26966,
  [SMALL_STATE(1021)] = 27041,
  [SMALL_STATE(1022)] = 27116,
  [SMALL_STATE(1023)] = 27165,
  [SMALL_STATE(1024)] = 27220,
  [SMALL_STATE(1025)] = 27283,
  [SMALL_STATE(1026)] = 27358,
  [SMALL_STATE(1027)] = 27401,
  [SMALL_STATE(1028)] = 27482,
  [SMALL_STATE(1029)] = 27563,
  [SMALL_STATE(1030)] = 27638,
  [SMALL_STATE(1031)] = 27713,
  [SMALL_STATE(1032)] = 27794,
  [SMALL_STATE(1033)] = 27875,
  [SMALL_STATE(1034)] = 27958,
  [SMALL_STATE(1035)] = 28039,
  [SMALL_STATE(1036)] = 28120,
  [SMALL_STATE(1037)] = 28201,
  [SMALL_STATE(1038)] = 28282,
  [SMALL_STATE(1039)] = 28363,
  [SMALL_STATE(1040)] = 28406,
  [SMALL_STATE(1041)] = 28449,
  [SMALL_STATE(1042)] = 28497,
  [SMALL_STATE(1043)] = 28539,
  [SMALL_STATE(1044)] = 28581,
  [SMALL_STATE(1045)] = 28623,
  [SMALL_STATE(1046)] = 28665,
  [SMALL_STATE(1047)] = 28707,
  [SMALL_STATE(1048)] = 28749,
  [SMALL_STATE(1049)] = 28823,
  [SMALL_STATE(1050)] = 28867,
  [SMALL_STATE(1051)] = 28941,
  [SMALL_STATE(1052)] = 28983,
  [SMALL_STATE(1053)] = 29061,
  [SMALL_STATE(1054)] = 29137,
  [SMALL_STATE(1055)] = 29179,
  [SMALL_STATE(1056)] = 29249,
  [SMALL_STATE(1057)] = 29317,
  [SMALL_STATE(1058)] = 29359,
  [SMALL_STATE(1059)] = 29401,
  [SMALL_STATE(1060)] = 29443,
  [SMALL_STATE(1061)] = 29485,
  [SMALL_STATE(1062)] = 29527,
  [SMALL_STATE(1063)] = 29591,
  [SMALL_STATE(1064)] = 29649,
  [SMALL_STATE(1065)] = 29691,
  [SMALL_STATE(1066)] = 29733,
  [SMALL_STATE(1067)] = 29775,
  [SMALL_STATE(1068)] = 29817,
  [SMALL_STATE(1069)] = 29859,
  [SMALL_STATE(1070)] = 29901,
  [SMALL_STATE(1071)] = 29945,
  [SMALL_STATE(1072)] = 29987,
  [SMALL_STATE(1073)] = 30029,
  [SMALL_STATE(1074)] = 30071,
  [SMALL_STATE(1075)] = 30125,
  [SMALL_STATE(1076)] = 30167,
  [SMALL_STATE(1077)] = 30209,
  [SMALL_STATE(1078)] = 30251,
  [SMALL_STATE(1079)] = 30325,
  [SMALL_STATE(1080)] = 30367,
  [SMALL_STATE(1081)] = 30409,
  [SMALL_STATE(1082)] = 30451,
  [SMALL_STATE(1083)] = 30493,
  [SMALL_STATE(1084)] = 30543,
  [SMALL_STATE(1085)] = 30623,
  [SMALL_STATE(1086)] = 30665,
  [SMALL_STATE(1087)] = 30717,
  [SMALL_STATE(1088)] = 30761,
  [SMALL_STATE(1089)] = 30803,
  [SMALL_STATE(1090)] = 30845,
  [SMALL_STATE(1091)] = 30925,
  [SMALL_STATE(1092)] = 30967,
  [SMALL_STATE(1093)] = 31009,
  [SMALL_STATE(1094)] = 31089,
  [SMALL_STATE(1095)] = 31131,
  [SMALL_STATE(1096)] = 31173,
  [SMALL_STATE(1097)] = 31215,
  [SMALL_STATE(1098)] = 31289,
  [SMALL_STATE(1099)] = 31331,
  [SMALL_STATE(1100)] = 31413,
  [SMALL_STATE(1101)] = 31455,
  [SMALL_STATE(1102)] = 31535,
  [SMALL_STATE(1103)] = 31615,
  [SMALL_STATE(1104)] = 31695,
  [SMALL_STATE(1105)] = 31737,
  [SMALL_STATE(1106)] = 31817,
  [SMALL_STATE(1107)] = 31891,
  [SMALL_STATE(1108)] = 31933,
  [SMALL_STATE(1109)] = 32013,
  [SMALL_STATE(1110)] = 32075,
  [SMALL_STATE(1111)] = 32155,
  [SMALL_STATE(1112)] = 32197,
  [SMALL_STATE(1113)] = 32239,
  [SMALL_STATE(1114)] = 32281,
  [SMALL_STATE(1115)] = 32347,
  [SMALL_STATE(1116)] = 32389,
  [SMALL_STATE(1117)] = 32431,
  [SMALL_STATE(1118)] = 32473,
  [SMALL_STATE(1119)] = 32515,
  [SMALL_STATE(1120)] = 32557,
  [SMALL_STATE(1121)] = 32599,
  [SMALL_STATE(1122)] = 32641,
  [SMALL_STATE(1123)] = 32683,
  [SMALL_STATE(1124)] = 32725,
  [SMALL_STATE(1125)] = 32767,
  [SMALL_STATE(1126)] = 32809,
  [SMALL_STATE(1127)] = 32851,
  [SMALL_STATE(1128)] = 32893,
  [SMALL_STATE(1129)] = 32935,
  [SMALL_STATE(1130)] = 32977,
  [SMALL_STATE(1131)] = 33051,
  [SMALL_STATE(1132)] = 33125,
  [SMALL_STATE(1133)] = 33205,
  [SMALL_STATE(1134)] = 33247,
  [SMALL_STATE(1135)] = 33289,
  [SMALL_STATE(1136)] = 33331,
  [SMALL_STATE(1137)] = 33373,
  [SMALL_STATE(1138)] = 33415,
  [SMALL_STATE(1139)] = 33457,
  [SMALL_STATE(1140)] = 33499,
  [SMALL_STATE(1141)] = 33550,
  [SMALL_STATE(1142)] = 33629,
  [SMALL_STATE(1143)] = 33696,
  [SMALL_STATE(1144)] = 33775,
  [SMALL_STATE(1145)] = 33836,
  [SMALL_STATE(1146)] = 33901,
  [SMALL_STATE(1147)] = 33948,
  [SMALL_STATE(1148)] = 34021,
  [SMALL_STATE(1149)] = 34064,
  [SMALL_STATE(1150)] = 34137,
  [SMALL_STATE(1151)] = 34214,
  [SMALL_STATE(1152)] = 34289,
  [SMALL_STATE(1153)] = 34358,
  [SMALL_STATE(1154)] = 34425,
  [SMALL_STATE(1155)] = 34504,
  [SMALL_STATE(1156)] = 34567,
  [SMALL_STATE(1157)] = 34610,
  [SMALL_STATE(1158)] = 34653,
  [SMALL_STATE(1159)] = 34710,
  [SMALL_STATE(1160)] = 34763,
  [SMALL_STATE(1161)] = 34842,
  [SMALL_STATE(1162)] = 34921,
  [SMALL_STATE(1163)] = 34970,
  [SMALL_STATE(1164)] = 35037,
  [SMALL_STATE(1165)] = 35116,
  [SMALL_STATE(1166)] = 35189,
  [SMALL_STATE(1167)] = 35268,
  [SMALL_STATE(1168)] = 35349,
  [SMALL_STATE(1169)] = 35422,
  [SMALL_STATE(1170)] = 35495,
  [SMALL_STATE(1171)] = 35574,
  [SMALL_STATE(1172)] = 35647,
  [SMALL_STATE(1173)] = 35720,
  [SMALL_STATE(1174)] = 35763,
  [SMALL_STATE(1175)] = 35830,
  [SMALL_STATE(1176)] = 35909,
  [SMALL_STATE(1177)] = 35988,
  [SMALL_STATE(1178)] = 36055,
  [SMALL_STATE(1179)] = 36135,
  [SMALL_STATE(1180)] = 36217,
  [SMALL_STATE(1181)] = 36297,
  [SMALL_STATE(1182)] = 36377,
  [SMALL_STATE(1183)] = 36455,
  [SMALL_STATE(1184)] = 36523,
  [SMALL_STATE(1185)] = 36591,
  [SMALL_STATE(1186)] = 36669,
  [SMALL_STATE(1187)] = 36749,
  [SMALL_STATE(1188)] = 36827,
  [SMALL_STATE(1189)] = 36907,
  [SMALL_STATE(1190)] = 36984,
  [SMALL_STATE(1191)] = 37063,
  [SMALL_STATE(1192)] = 37142,
  [SMALL_STATE(1193)] = 37219,
  [SMALL_STATE(1194)] = 37296,
  [SMALL_STATE(1195)] = 37373,
  [SMALL_STATE(1196)] = 37450,
  [SMALL_STATE(1197)] = 37527,
  [SMALL_STATE(1198)] = 37604,
  [SMALL_STATE(1199)] = 37681,
  [SMALL_STATE(1200)] = 37758,
  [SMALL_STATE(1201)] = 37835,
  [SMALL_STATE(1202)] = 37906,
  [SMALL_STATE(1203)] = 37977,
  [SMALL_STATE(1204)] = 38048,
  [SMALL_STATE(1205)] = 38125,
  [SMALL_STATE(1206)] = 38202,
  [SMALL_STATE(1207)] = 38281,
  [SMALL_STATE(1208)] = 38358,
  [SMALL_STATE(1209)] = 38429,
  [SMALL_STATE(1210)] = 38506,
  [SMALL_STATE(1211)] = 38583,
  [SMALL_STATE(1212)] = 38660,
  [SMALL_STATE(1213)] = 38737,
  [SMALL_STATE(1214)] = 38814,
  [SMALL_STATE(1215)] = 38891,
  [SMALL_STATE(1216)] = 38968,
  [SMALL_STATE(1217)] = 39045,
  [SMALL_STATE(1218)] = 39122,
  [SMALL_STATE(1219)] = 39201,
  [SMALL_STATE(1220)] = 39278,
  [SMALL_STATE(1221)] = 39357,
  [SMALL_STATE(1222)] = 39434,
  [SMALL_STATE(1223)] = 39511,
  [SMALL_STATE(1224)] = 39588,
  [SMALL_STATE(1225)] = 39665,
  [SMALL_STATE(1226)] = 39742,
  [SMALL_STATE(1227)] = 39819,
  [SMALL_STATE(1228)] = 39896,
  [SMALL_STATE(1229)] = 39973,
  [SMALL_STATE(1230)] = 40050,
  [SMALL_STATE(1231)] = 40129,
  [SMALL_STATE(1232)] = 40200,
  [SMALL_STATE(1233)] = 40271,
  [SMALL_STATE(1234)] = 40342,
  [SMALL_STATE(1235)] = 40413,
  [SMALL_STATE(1236)] = 40484,
  [SMALL_STATE(1237)] = 40563,
  [SMALL_STATE(1238)] = 40642,
  [SMALL_STATE(1239)] = 40718,
  [SMALL_STATE(1240)] = 40794,
  [SMALL_STATE(1241)] = 40870,
  [SMALL_STATE(1242)] = 40946,
  [SMALL_STATE(1243)] = 41022,
  [SMALL_STATE(1244)] = 41098,
  [SMALL_STATE(1245)] = 41174,
  [SMALL_STATE(1246)] = 41250,
  [SMALL_STATE(1247)] = 41326,
  [SMALL_STATE(1248)] = 41402,
  [SMALL_STATE(1249)] = 41478,
  [SMALL_STATE(1250)] = 41540,
  [SMALL_STATE(1251)] = 41616,
  [SMALL_STATE(1252)] = 41692,
  [SMALL_STATE(1253)] = 41768,
  [SMALL_STATE(1254)] = 41830,
  [SMALL_STATE(1255)] = 41906,
  [SMALL_STATE(1256)] = 41982,
  [SMALL_STATE(1257)] = 42058,
  [SMALL_STATE(1258)] = 42134,
  [SMALL_STATE(1259)] = 42210,
  [SMALL_STATE(1260)] = 42286,
  [SMALL_STATE(1261)] = 42362,
  [SMALL_STATE(1262)] = 42438,
  [SMALL_STATE(1263)] = 42514,
  [SMALL_STATE(1264)] = 42590,
  [SMALL_STATE(1265)] = 42666,
  [SMALL_STATE(1266)] = 42742,
  [SMALL_STATE(1267)] = 42818,
  [SMALL_STATE(1268)] = 42894,
  [SMALL_STATE(1269)] = 42970,
  [SMALL_STATE(1270)] = 43046,
  [SMALL_STATE(1271)] = 43122,
  [SMALL_STATE(1272)] = 43198,
  [SMALL_STATE(1273)] = 43274,
  [SMALL_STATE(1274)] = 43350,
  [SMALL_STATE(1275)] = 43426,
  [SMALL_STATE(1276)] = 43502,
  [SMALL_STATE(1277)] = 43578,
  [SMALL_STATE(1278)] = 43654,
  [SMALL_STATE(1279)] = 43730,
  [SMALL_STATE(1280)] = 43806,
  [SMALL_STATE(1281)] = 43882,
  [SMALL_STATE(1282)] = 43958,
  [SMALL_STATE(1283)] = 44034,
  [SMALL_STATE(1284)] = 44110,
  [SMALL_STATE(1285)] = 44186,
  [SMALL_STATE(1286)] = 44224,
  [SMALL_STATE(1287)] = 44300,
  [SMALL_STATE(1288)] = 44376,
  [SMALL_STATE(1289)] = 44452,
  [SMALL_STATE(1290)] = 44528,
  [SMALL_STATE(1291)] = 44604,
  [SMALL_STATE(1292)] = 44680,
  [SMALL_STATE(1293)] = 44756,
  [SMALL_STATE(1294)] = 44832,
  [SMALL_STATE(1295)] = 44908,
  [SMALL_STATE(1296)] = 44984,
  [SMALL_STATE(1297)] = 45060,
  [SMALL_STATE(1298)] = 45136,
  [SMALL_STATE(1299)] = 45212,
  [SMALL_STATE(1300)] = 45288,
  [SMALL_STATE(1301)] = 45364,
  [SMALL_STATE(1302)] = 45440,
  [SMALL_STATE(1303)] = 45516,
  [SMALL_STATE(1304)] = 45592,
  [SMALL_STATE(1305)] = 45668,
  [SMALL_STATE(1306)] = 45744,
  [SMALL_STATE(1307)] = 45820,
  [SMALL_STATE(1308)] = 45896,
  [SMALL_STATE(1309)] = 45972,
  [SMALL_STATE(1310)] = 46037,
  [SMALL_STATE(1311)] = 46074,
  [SMALL_STATE(1312)] = 46111,
  [SMALL_STATE(1313)] = 46148,
  [SMALL_STATE(1314)] = 46213,
  [SMALL_STATE(1315)] = 46278,
  [SMALL_STATE(1316)] = 46315,
  [SMALL_STATE(1317)] = 46380,
  [SMALL_STATE(1318)] = 46439,
  [SMALL_STATE(1319)] = 46498,
  [SMALL_STATE(1320)] = 46563,
  [SMALL_STATE(1321)] = 46611,
  [SMALL_STATE(1322)] = 46659,
  [SMALL_STATE(1323)] = 46707,
  [SMALL_STATE(1324)] = 46755,
  [SMALL_STATE(1325)] = 46803,
  [SMALL_STATE(1326)] = 46851,
  [SMALL_STATE(1327)] = 46899,
  [SMALL_STATE(1328)] = 46947,
  [SMALL_STATE(1329)] = 46995,
  [SMALL_STATE(1330)] = 47043,
  [SMALL_STATE(1331)] = 47091,
  [SMALL_STATE(1332)] = 47136,
  [SMALL_STATE(1333)] = 47181,
  [SMALL_STATE(1334)] = 47226,
  [SMALL_STATE(1335)] = 47271,
  [SMALL_STATE(1336)] = 47316,
  [SMALL_STATE(1337)] = 47361,
  [SMALL_STATE(1338)] = 47398,
  [SMALL_STATE(1339)] = 47435,
  [SMALL_STATE(1340)] = 47475,
  [SMALL_STATE(1341)] = 47525,
  [SMALL_STATE(1342)] = 47565,
  [SMALL_STATE(1343)] = 47615,
  [SMALL_STATE(1344)] = 47655,
  [SMALL_STATE(1345)] = 47700,
  [SMALL_STATE(1346)] = 47742,
  [SMALL_STATE(1347)] = 47781,
  [SMALL_STATE(1348)] = 47820,
  [SMALL_STATE(1349)] = 47859,
  [SMALL_STATE(1350)] = 47898,
  [SMALL_STATE(1351)] = 47937,
  [SMALL_STATE(1352)] = 47973,
  [SMALL_STATE(1353)] = 48009,
  [SMALL_STATE(1354)] = 48045,
  [SMALL_STATE(1355)] = 48069,
  [SMALL_STATE(1356)] = 48108,
  [SMALL_STATE(1357)] = 48147,
  [SMALL_STATE(1358)] = 48167,
  [SMALL_STATE(1359)] = 48187,
  [SMALL_STATE(1360)] = 48207,
  [SMALL_STATE(1361)] = 48227,
  [SMALL_STATE(1362)] = 48247,
  [SMALL_STATE(1363)] = 48267,
  [SMALL_STATE(1364)] = 48287,
  [SMALL_STATE(1365)] = 48321,
  [SMALL_STATE(1366)] = 48341,
  [SMALL_STATE(1367)] = 48361,
  [SMALL_STATE(1368)] = 48395,
  [SMALL_STATE(1369)] = 48415,
  [SMALL_STATE(1370)] = 48435,
  [SMALL_STATE(1371)] = 48455,
  [SMALL_STATE(1372)] = 48475,
  [SMALL_STATE(1373)] = 48495,
  [SMALL_STATE(1374)] = 48515,
  [SMALL_STATE(1375)] = 48549,
  [SMALL_STATE(1376)] = 48585,
  [SMALL_STATE(1377)] = 48605,
  [SMALL_STATE(1378)] = 48638,
  [SMALL_STATE(1379)] = 48671,
  [SMALL_STATE(1380)] = 48704,
  [SMALL_STATE(1381)] = 48723,
  [SMALL_STATE(1382)] = 48758,
  [SMALL_STATE(1383)] = 48777,
  [SMALL_STATE(1384)] = 48796,
  [SMALL_STATE(1385)] = 48829,
  [SMALL_STATE(1386)] = 48862,
  [SMALL_STATE(1387)] = 48895,
  [SMALL_STATE(1388)] = 48914,
  [SMALL_STATE(1389)] = 48933,
  [SMALL_STATE(1390)] = 48952,
  [SMALL_STATE(1391)] = 48971,
  [SMALL_STATE(1392)] = 48990,
  [SMALL_STATE(1393)] = 49023,
  [SMALL_STATE(1394)] = 49056,
  [SMALL_STATE(1395)] = 49075,
  [SMALL_STATE(1396)] = 49094,
  [SMALL_STATE(1397)] = 49113,
  [SMALL_STATE(1398)] = 49148,
  [SMALL_STATE(1399)] = 49173,
  [SMALL_STATE(1400)] = 49192,
  [SMALL_STATE(1401)] = 49211,
  [SMALL_STATE(1402)] = 49230,
  [SMALL_STATE(1403)] = 49263,
  [SMALL_STATE(1404)] = 49282,
  [SMALL_STATE(1405)] = 49301,
  [SMALL_STATE(1406)] = 49334,
  [SMALL_STATE(1407)] = 49353,
  [SMALL_STATE(1408)] = 49387,
  [SMALL_STATE(1409)] = 49421,
  [SMALL_STATE(1410)] = 49451,
  [SMALL_STATE(1411)] = 49473,
  [SMALL_STATE(1412)] = 49503,
  [SMALL_STATE(1413)] = 49528,
  [SMALL_STATE(1414)] = 49559,
  [SMALL_STATE(1415)] = 49578,
  [SMALL_STATE(1416)] = 49599,
  [SMALL_STATE(1417)] = 49622,
  [SMALL_STATE(1418)] = 49647,
  [SMALL_STATE(1419)] = 49666,
  [SMALL_STATE(1420)] = 49685,
  [SMALL_STATE(1421)] = 49716,
  [SMALL_STATE(1422)] = 49747,
  [SMALL_STATE(1423)] = 49778,
  [SMALL_STATE(1424)] = 49809,
  [SMALL_STATE(1425)] = 49833,
  [SMALL_STATE(1426)] = 49851,
  [SMALL_STATE(1427)] = 49873,
  [SMALL_STATE(1428)] = 49891,
  [SMALL_STATE(1429)] = 49909,
  [SMALL_STATE(1430)] = 49937,
  [SMALL_STATE(1431)] = 49965,
  [SMALL_STATE(1432)] = 49985,
  [SMALL_STATE(1433)] = 50011,
  [SMALL_STATE(1434)] = 50033,
  [SMALL_STATE(1435)] = 50051,
  [SMALL_STATE(1436)] = 50069,
  [SMALL_STATE(1437)] = 50097,
  [SMALL_STATE(1438)] = 50125,
  [SMALL_STATE(1439)] = 50151,
  [SMALL_STATE(1440)] = 50173,
  [SMALL_STATE(1441)] = 50195,
  [SMALL_STATE(1442)] = 50223,
  [SMALL_STATE(1443)] = 50249,
  [SMALL_STATE(1444)] = 50267,
  [SMALL_STATE(1445)] = 50293,
  [SMALL_STATE(1446)] = 50318,
  [SMALL_STATE(1447)] = 50337,
  [SMALL_STATE(1448)] = 50358,
  [SMALL_STATE(1449)] = 50381,
  [SMALL_STATE(1450)] = 50402,
  [SMALL_STATE(1451)] = 50425,
  [SMALL_STATE(1452)] = 50446,
  [SMALL_STATE(1453)] = 50469,
  [SMALL_STATE(1454)] = 50490,
  [SMALL_STATE(1455)] = 50507,
  [SMALL_STATE(1456)] = 50528,
  [SMALL_STATE(1457)] = 50555,
  [SMALL_STATE(1458)] = 50578,
  [SMALL_STATE(1459)] = 50601,
  [SMALL_STATE(1460)] = 50626,
  [SMALL_STATE(1461)] = 50649,
  [SMALL_STATE(1462)] = 50672,
  [SMALL_STATE(1463)] = 50697,
  [SMALL_STATE(1464)] = 50720,
  [SMALL_STATE(1465)] = 50745,
  [SMALL_STATE(1466)] = 50768,
  [SMALL_STATE(1467)] = 50791,
  [SMALL_STATE(1468)] = 50814,
  [SMALL_STATE(1469)] = 50839,
  [SMALL_STATE(1470)] = 50862,
  [SMALL_STATE(1471)] = 50883,
  [SMALL_STATE(1472)] = 50906,
  [SMALL_STATE(1473)] = 50929,
  [SMALL_STATE(1474)] = 50950,
  [SMALL_STATE(1475)] = 50973,
  [SMALL_STATE(1476)] = 50994,
  [SMALL_STATE(1477)] = 51017,
  [SMALL_STATE(1478)] = 51042,
  [SMALL_STATE(1479)] = 51065,
  [SMALL_STATE(1480)] = 51088,
  [SMALL_STATE(1481)] = 51109,
  [SMALL_STATE(1482)] = 51132,
  [SMALL_STATE(1483)] = 51157,
  [SMALL_STATE(1484)] = 51174,
  [SMALL_STATE(1485)] = 51195,
  [SMALL_STATE(1486)] = 51218,
  [SMALL_STATE(1487)] = 51243,
  [SMALL_STATE(1488)] = 51266,
  [SMALL_STATE(1489)] = 51289,
  [SMALL_STATE(1490)] = 51310,
  [SMALL_STATE(1491)] = 51335,
  [SMALL_STATE(1492)] = 51356,
  [SMALL_STATE(1493)] = 51379,
  [SMALL_STATE(1494)] = 51404,
  [SMALL_STATE(1495)] = 51427,
  [SMALL_STATE(1496)] = 51450,
  [SMALL_STATE(1497)] = 51473,
  [SMALL_STATE(1498)] = 51496,
  [SMALL_STATE(1499)] = 51519,
  [SMALL_STATE(1500)] = 51546,
  [SMALL_STATE(1501)] = 51571,
  [SMALL_STATE(1502)] = 51596,
  [SMALL_STATE(1503)] = 51619,
  [SMALL_STATE(1504)] = 51640,
  [SMALL_STATE(1505)] = 51663,
  [SMALL_STATE(1506)] = 51688,
  [SMALL_STATE(1507)] = 51705,
  [SMALL_STATE(1508)] = 51733,
  [SMALL_STATE(1509)] = 51755,
  [SMALL_STATE(1510)] = 51783,
  [SMALL_STATE(1511)] = 51811,
  [SMALL_STATE(1512)] = 51835,
  [SMALL_STATE(1513)] = 51855,
  [SMALL_STATE(1514)] = 51883,
  [SMALL_STATE(1515)] = 51903,
  [SMALL_STATE(1516)] = 51931,
  [SMALL_STATE(1517)] = 51959,
  [SMALL_STATE(1518)] = 51985,
  [SMALL_STATE(1519)] = 52007,
  [SMALL_STATE(1520)] = 52027,
  [SMALL_STATE(1521)] = 52044,
  [SMALL_STATE(1522)] = 52065,
  [SMALL_STATE(1523)] = 52080,
  [SMALL_STATE(1524)] = 52095,
  [SMALL_STATE(1525)] = 52110,
  [SMALL_STATE(1526)] = 52129,
  [SMALL_STATE(1527)] = 52146,
  [SMALL_STATE(1528)] = 52161,
  [SMALL_STATE(1529)] = 52178,
  [SMALL_STATE(1530)] = 52193,
  [SMALL_STATE(1531)] = 52210,
  [SMALL_STATE(1532)] = 52225,
  [SMALL_STATE(1533)] = 52242,
  [SMALL_STATE(1534)] = 52259,
  [SMALL_STATE(1535)] = 52274,
  [SMALL_STATE(1536)] = 52289,
  [SMALL_STATE(1537)] = 52308,
  [SMALL_STATE(1538)] = 52325,
  [SMALL_STATE(1539)] = 52348,
  [SMALL_STATE(1540)] = 52365,
  [SMALL_STATE(1541)] = 52382,
  [SMALL_STATE(1542)] = 52407,
  [SMALL_STATE(1543)] = 52424,
  [SMALL_STATE(1544)] = 52443,
  [SMALL_STATE(1545)] = 52460,
  [SMALL_STATE(1546)] = 52477,
  [SMALL_STATE(1547)] = 52496,
  [SMALL_STATE(1548)] = 52511,
  [SMALL_STATE(1549)] = 52528,
  [SMALL_STATE(1550)] = 52543,
  [SMALL_STATE(1551)] = 52560,
  [SMALL_STATE(1552)] = 52577,
  [SMALL_STATE(1553)] = 52592,
  [SMALL_STATE(1554)] = 52613,
  [SMALL_STATE(1555)] = 52628,
  [SMALL_STATE(1556)] = 52645,
  [SMALL_STATE(1557)] = 52666,
  [SMALL_STATE(1558)] = 52683,
  [SMALL_STATE(1559)] = 52704,
  [SMALL_STATE(1560)] = 52721,
  [SMALL_STATE(1561)] = 52738,
  [SMALL_STATE(1562)] = 52755,
  [SMALL_STATE(1563)] = 52772,
  [SMALL_STATE(1564)] = 52794,
  [SMALL_STATE(1565)] = 52816,
  [SMALL_STATE(1566)] = 52830,
  [SMALL_STATE(1567)] = 52852,
  [SMALL_STATE(1568)] = 52866,
  [SMALL_STATE(1569)] = 52880,
  [SMALL_STATE(1570)] = 52902,
  [SMALL_STATE(1571)] = 52916,
  [SMALL_STATE(1572)] = 52930,
  [SMALL_STATE(1573)] = 52952,
  [SMALL_STATE(1574)] = 52970,
  [SMALL_STATE(1575)] = 52992,
  [SMALL_STATE(1576)] = 53010,
  [SMALL_STATE(1577)] = 53032,
  [SMALL_STATE(1578)] = 53054,
  [SMALL_STATE(1579)] = 53076,
  [SMALL_STATE(1580)] = 53098,
  [SMALL_STATE(1581)] = 53120,
  [SMALL_STATE(1582)] = 53134,
  [SMALL_STATE(1583)] = 53156,
  [SMALL_STATE(1584)] = 53178,
  [SMALL_STATE(1585)] = 53196,
  [SMALL_STATE(1586)] = 53218,
  [SMALL_STATE(1587)] = 53232,
  [SMALL_STATE(1588)] = 53246,
  [SMALL_STATE(1589)] = 53268,
  [SMALL_STATE(1590)] = 53288,
  [SMALL_STATE(1591)] = 53310,
  [SMALL_STATE(1592)] = 53332,
  [SMALL_STATE(1593)] = 53350,
  [SMALL_STATE(1594)] = 53372,
  [SMALL_STATE(1595)] = 53390,
  [SMALL_STATE(1596)] = 53408,
  [SMALL_STATE(1597)] = 53430,
  [SMALL_STATE(1598)] = 53452,
  [SMALL_STATE(1599)] = 53474,
  [SMALL_STATE(1600)] = 53494,
  [SMALL_STATE(1601)] = 53508,
  [SMALL_STATE(1602)] = 53522,
  [SMALL_STATE(1603)] = 53544,
  [SMALL_STATE(1604)] = 53566,
  [SMALL_STATE(1605)] = 53580,
  [SMALL_STATE(1606)] = 53602,
  [SMALL_STATE(1607)] = 53624,
  [SMALL_STATE(1608)] = 53646,
  [SMALL_STATE(1609)] = 53668,
  [SMALL_STATE(1610)] = 53686,
  [SMALL_STATE(1611)] = 53708,
  [SMALL_STATE(1612)] = 53728,
  [SMALL_STATE(1613)] = 53750,
  [SMALL_STATE(1614)] = 53766,
  [SMALL_STATE(1615)] = 53788,
  [SMALL_STATE(1616)] = 53802,
  [SMALL_STATE(1617)] = 53822,
  [SMALL_STATE(1618)] = 53836,
  [SMALL_STATE(1619)] = 53858,
  [SMALL_STATE(1620)] = 53880,
  [SMALL_STATE(1621)] = 53902,
  [SMALL_STATE(1622)] = 53924,
  [SMALL_STATE(1623)] = 53942,
  [SMALL_STATE(1624)] = 53964,
  [SMALL_STATE(1625)] = 53978,
  [SMALL_STATE(1626)] = 53996,
  [SMALL_STATE(1627)] = 54014,
  [SMALL_STATE(1628)] = 54032,
  [SMALL_STATE(1629)] = 54046,
  [SMALL_STATE(1630)] = 54064,
  [SMALL_STATE(1631)] = 54082,
  [SMALL_STATE(1632)] = 54096,
  [SMALL_STATE(1633)] = 54118,
  [SMALL_STATE(1634)] = 54137,
  [SMALL_STATE(1635)] = 54156,
  [SMALL_STATE(1636)] = 54171,
  [SMALL_STATE(1637)] = 54186,
  [SMALL_STATE(1638)] = 54205,
  [SMALL_STATE(1639)] = 54224,
  [SMALL_STATE(1640)] = 54241,
  [SMALL_STATE(1641)] = 54258,
  [SMALL_STATE(1642)] = 54273,
  [SMALL_STATE(1643)] = 54290,
  [SMALL_STATE(1644)] = 54309,
  [SMALL_STATE(1645)] = 54326,
  [SMALL_STATE(1646)] = 54341,
  [SMALL_STATE(1647)] = 54358,
  [SMALL_STATE(1648)] = 54373,
  [SMALL_STATE(1649)] = 54388,
  [SMALL_STATE(1650)] = 54405,
  [SMALL_STATE(1651)] = 54420,
  [SMALL_STATE(1652)] = 54435,
  [SMALL_STATE(1653)] = 54450,
  [SMALL_STATE(1654)] = 54465,
  [SMALL_STATE(1655)] = 54480,
  [SMALL_STATE(1656)] = 54499,
  [SMALL_STATE(1657)] = 54516,
  [SMALL_STATE(1658)] = 54535,
  [SMALL_STATE(1659)] = 54552,
  [SMALL_STATE(1660)] = 54569,
  [SMALL_STATE(1661)] = 54584,
  [SMALL_STATE(1662)] = 54597,
  [SMALL_STATE(1663)] = 54612,
  [SMALL_STATE(1664)] = 54631,
  [SMALL_STATE(1665)] = 54648,
  [SMALL_STATE(1666)] = 54663,
  [SMALL_STATE(1667)] = 54682,
  [SMALL_STATE(1668)] = 54697,
  [SMALL_STATE(1669)] = 54716,
  [SMALL_STATE(1670)] = 54731,
  [SMALL_STATE(1671)] = 54750,
  [SMALL_STATE(1672)] = 54765,
  [SMALL_STATE(1673)] = 54780,
  [SMALL_STATE(1674)] = 54795,
  [SMALL_STATE(1675)] = 54812,
  [SMALL_STATE(1676)] = 54827,
  [SMALL_STATE(1677)] = 54844,
  [SMALL_STATE(1678)] = 54859,
  [SMALL_STATE(1679)] = 54874,
  [SMALL_STATE(1680)] = 54889,
  [SMALL_STATE(1681)] = 54906,
  [SMALL_STATE(1682)] = 54921,
  [SMALL_STATE(1683)] = 54940,
  [SMALL_STATE(1684)] = 54953,
  [SMALL_STATE(1685)] = 54972,
  [SMALL_STATE(1686)] = 54987,
  [SMALL_STATE(1687)] = 55006,
  [SMALL_STATE(1688)] = 55025,
  [SMALL_STATE(1689)] = 55040,
  [SMALL_STATE(1690)] = 55059,
  [SMALL_STATE(1691)] = 55078,
  [SMALL_STATE(1692)] = 55097,
  [SMALL_STATE(1693)] = 55112,
  [SMALL_STATE(1694)] = 55131,
  [SMALL_STATE(1695)] = 55146,
  [SMALL_STATE(1696)] = 55165,
  [SMALL_STATE(1697)] = 55184,
  [SMALL_STATE(1698)] = 55199,
  [SMALL_STATE(1699)] = 55214,
  [SMALL_STATE(1700)] = 55229,
  [SMALL_STATE(1701)] = 55244,
  [SMALL_STATE(1702)] = 55257,
  [SMALL_STATE(1703)] = 55272,
  [SMALL_STATE(1704)] = 55287,
  [SMALL_STATE(1705)] = 55302,
  [SMALL_STATE(1706)] = 55319,
  [SMALL_STATE(1707)] = 55338,
  [SMALL_STATE(1708)] = 55349,
  [SMALL_STATE(1709)] = 55364,
  [SMALL_STATE(1710)] = 55379,
  [SMALL_STATE(1711)] = 55390,
  [SMALL_STATE(1712)] = 55401,
  [SMALL_STATE(1713)] = 55418,
  [SMALL_STATE(1714)] = 55433,
  [SMALL_STATE(1715)] = 55450,
  [SMALL_STATE(1716)] = 55469,
  [SMALL_STATE(1717)] = 55484,
  [SMALL_STATE(1718)] = 55499,
  [SMALL_STATE(1719)] = 55516,
  [SMALL_STATE(1720)] = 55531,
  [SMALL_STATE(1721)] = 55546,
  [SMALL_STATE(1722)] = 55563,
  [SMALL_STATE(1723)] = 55582,
  [SMALL_STATE(1724)] = 55598,
  [SMALL_STATE(1725)] = 55614,
  [SMALL_STATE(1726)] = 55628,
  [SMALL_STATE(1727)] = 55642,
  [SMALL_STATE(1728)] = 55652,
  [SMALL_STATE(1729)] = 55666,
  [SMALL_STATE(1730)] = 55682,
  [SMALL_STATE(1731)] = 55696,
  [SMALL_STATE(1732)] = 55706,
  [SMALL_STATE(1733)] = 55722,
  [SMALL_STATE(1734)] = 55738,
  [SMALL_STATE(1735)] = 55748,
  [SMALL_STATE(1736)] = 55764,
  [SMALL_STATE(1737)] = 55780,
  [SMALL_STATE(1738)] = 55796,
  [SMALL_STATE(1739)] = 55810,
  [SMALL_STATE(1740)] = 55826,
  [SMALL_STATE(1741)] = 55840,
  [SMALL_STATE(1742)] = 55854,
  [SMALL_STATE(1743)] = 55864,
  [SMALL_STATE(1744)] = 55874,
  [SMALL_STATE(1745)] = 55884,
  [SMALL_STATE(1746)] = 55900,
  [SMALL_STATE(1747)] = 55916,
  [SMALL_STATE(1748)] = 55932,
  [SMALL_STATE(1749)] = 55948,
  [SMALL_STATE(1750)] = 55964,
  [SMALL_STATE(1751)] = 55976,
  [SMALL_STATE(1752)] = 55992,
  [SMALL_STATE(1753)] = 56006,
  [SMALL_STATE(1754)] = 56016,
  [SMALL_STATE(1755)] = 56026,
  [SMALL_STATE(1756)] = 56038,
  [SMALL_STATE(1757)] = 56054,
  [SMALL_STATE(1758)] = 56068,
  [SMALL_STATE(1759)] = 56082,
  [SMALL_STATE(1760)] = 56096,
  [SMALL_STATE(1761)] = 56108,
  [SMALL_STATE(1762)] = 56122,
  [SMALL_STATE(1763)] = 56136,
  [SMALL_STATE(1764)] = 56152,
  [SMALL_STATE(1765)] = 56168,
  [SMALL_STATE(1766)] = 56184,
  [SMALL_STATE(1767)] = 56200,
  [SMALL_STATE(1768)] = 56214,
  [SMALL_STATE(1769)] = 56230,
  [SMALL_STATE(1770)] = 56244,
  [SMALL_STATE(1771)] = 56258,
  [SMALL_STATE(1772)] = 56272,
  [SMALL_STATE(1773)] = 56286,
  [SMALL_STATE(1774)] = 56296,
  [SMALL_STATE(1775)] = 56306,
  [SMALL_STATE(1776)] = 56322,
  [SMALL_STATE(1777)] = 56336,
  [SMALL_STATE(1778)] = 56350,
  [SMALL_STATE(1779)] = 56364,
  [SMALL_STATE(1780)] = 56380,
  [SMALL_STATE(1781)] = 56394,
  [SMALL_STATE(1782)] = 56410,
  [SMALL_STATE(1783)] = 56424,
  [SMALL_STATE(1784)] = 56440,
  [SMALL_STATE(1785)] = 56456,
  [SMALL_STATE(1786)] = 56468,
  [SMALL_STATE(1787)] = 56482,
  [SMALL_STATE(1788)] = 56498,
  [SMALL_STATE(1789)] = 56512,
  [SMALL_STATE(1790)] = 56526,
  [SMALL_STATE(1791)] = 56540,
  [SMALL_STATE(1792)] = 56556,
  [SMALL_STATE(1793)] = 56570,
  [SMALL_STATE(1794)] = 56584,
  [SMALL_STATE(1795)] = 56598,
  [SMALL_STATE(1796)] = 56614,
  [SMALL_STATE(1797)] = 56630,
  [SMALL_STATE(1798)] = 56644,
  [SMALL_STATE(1799)] = 56656,
  [SMALL_STATE(1800)] = 56670,
  [SMALL_STATE(1801)] = 56686,
  [SMALL_STATE(1802)] = 56702,
  [SMALL_STATE(1803)] = 56712,
  [SMALL_STATE(1804)] = 56728,
  [SMALL_STATE(1805)] = 56744,
  [SMALL_STATE(1806)] = 56754,
  [SMALL_STATE(1807)] = 56768,
  [SMALL_STATE(1808)] = 56784,
  [SMALL_STATE(1809)] = 56800,
  [SMALL_STATE(1810)] = 56816,
  [SMALL_STATE(1811)] = 56830,
  [SMALL_STATE(1812)] = 56844,
  [SMALL_STATE(1813)] = 56860,
  [SMALL_STATE(1814)] = 56874,
  [SMALL_STATE(1815)] = 56884,
  [SMALL_STATE(1816)] = 56898,
  [SMALL_STATE(1817)] = 56914,
  [SMALL_STATE(1818)] = 56924,
  [SMALL_STATE(1819)] = 56940,
  [SMALL_STATE(1820)] = 56956,
  [SMALL_STATE(1821)] = 56972,
  [SMALL_STATE(1822)] = 56988,
  [SMALL_STATE(1823)] = 57002,
  [SMALL_STATE(1824)] = 57016,
  [SMALL_STATE(1825)] = 57032,
  [SMALL_STATE(1826)] = 57046,
  [SMALL_STATE(1827)] = 57062,
  [SMALL_STATE(1828)] = 57076,
  [SMALL_STATE(1829)] = 57092,
  [SMALL_STATE(1830)] = 57108,
  [SMALL_STATE(1831)] = 57124,
  [SMALL_STATE(1832)] = 57140,
  [SMALL_STATE(1833)] = 57156,
  [SMALL_STATE(1834)] = 57166,
  [SMALL_STATE(1835)] = 57180,
  [SMALL_STATE(1836)] = 57194,
  [SMALL_STATE(1837)] = 57208,
  [SMALL_STATE(1838)] = 57222,
  [SMALL_STATE(1839)] = 57236,
  [SMALL_STATE(1840)] = 57250,
  [SMALL_STATE(1841)] = 57264,
  [SMALL_STATE(1842)] = 57280,
  [SMALL_STATE(1843)] = 57294,
  [SMALL_STATE(1844)] = 57308,
  [SMALL_STATE(1845)] = 57318,
  [SMALL_STATE(1846)] = 57334,
  [SMALL_STATE(1847)] = 57348,
  [SMALL_STATE(1848)] = 57362,
  [SMALL_STATE(1849)] = 57376,
  [SMALL_STATE(1850)] = 57392,
  [SMALL_STATE(1851)] = 57402,
  [SMALL_STATE(1852)] = 57418,
  [SMALL_STATE(1853)] = 57434,
  [SMALL_STATE(1854)] = 57450,
  [SMALL_STATE(1855)] = 57460,
  [SMALL_STATE(1856)] = 57476,
  [SMALL_STATE(1857)] = 57490,
  [SMALL_STATE(1858)] = 57504,
  [SMALL_STATE(1859)] = 57520,
  [SMALL_STATE(1860)] = 57536,
  [SMALL_STATE(1861)] = 57552,
  [SMALL_STATE(1862)] = 57568,
  [SMALL_STATE(1863)] = 57582,
  [SMALL_STATE(1864)] = 57598,
  [SMALL_STATE(1865)] = 57612,
  [SMALL_STATE(1866)] = 57626,
  [SMALL_STATE(1867)] = 57640,
  [SMALL_STATE(1868)] = 57650,
  [SMALL_STATE(1869)] = 57664,
  [SMALL_STATE(1870)] = 57680,
  [SMALL_STATE(1871)] = 57693,
  [SMALL_STATE(1872)] = 57704,
  [SMALL_STATE(1873)] = 57715,
  [SMALL_STATE(1874)] = 57728,
  [SMALL_STATE(1875)] = 57741,
  [SMALL_STATE(1876)] = 57754,
  [SMALL_STATE(1877)] = 57765,
  [SMALL_STATE(1878)] = 57776,
  [SMALL_STATE(1879)] = 57787,
  [SMALL_STATE(1880)] = 57798,
  [SMALL_STATE(1881)] = 57809,
  [SMALL_STATE(1882)] = 57820,
  [SMALL_STATE(1883)] = 57831,
  [SMALL_STATE(1884)] = 57842,
  [SMALL_STATE(1885)] = 57855,
  [SMALL_STATE(1886)] = 57866,
  [SMALL_STATE(1887)] = 57877,
  [SMALL_STATE(1888)] = 57890,
  [SMALL_STATE(1889)] = 57901,
  [SMALL_STATE(1890)] = 57914,
  [SMALL_STATE(1891)] = 57923,
  [SMALL_STATE(1892)] = 57934,
  [SMALL_STATE(1893)] = 57947,
  [SMALL_STATE(1894)] = 57958,
  [SMALL_STATE(1895)] = 57969,
  [SMALL_STATE(1896)] = 57982,
  [SMALL_STATE(1897)] = 57995,
  [SMALL_STATE(1898)] = 58006,
  [SMALL_STATE(1899)] = 58015,
  [SMALL_STATE(1900)] = 58028,
  [SMALL_STATE(1901)] = 58041,
  [SMALL_STATE(1902)] = 58054,
  [SMALL_STATE(1903)] = 58065,
  [SMALL_STATE(1904)] = 58078,
  [SMALL_STATE(1905)] = 58091,
  [SMALL_STATE(1906)] = 58104,
  [SMALL_STATE(1907)] = 58117,
  [SMALL_STATE(1908)] = 58128,
  [SMALL_STATE(1909)] = 58141,
  [SMALL_STATE(1910)] = 58152,
  [SMALL_STATE(1911)] = 58163,
  [SMALL_STATE(1912)] = 58172,
  [SMALL_STATE(1913)] = 58183,
  [SMALL_STATE(1914)] = 58196,
  [SMALL_STATE(1915)] = 58209,
  [SMALL_STATE(1916)] = 58222,
  [SMALL_STATE(1917)] = 58233,
  [SMALL_STATE(1918)] = 58242,
  [SMALL_STATE(1919)] = 58253,
  [SMALL_STATE(1920)] = 58264,
  [SMALL_STATE(1921)] = 58277,
  [SMALL_STATE(1922)] = 58290,
  [SMALL_STATE(1923)] = 58303,
  [SMALL_STATE(1924)] = 58316,
  [SMALL_STATE(1925)] = 58327,
  [SMALL_STATE(1926)] = 58338,
  [SMALL_STATE(1927)] = 58351,
  [SMALL_STATE(1928)] = 58364,
  [SMALL_STATE(1929)] = 58377,
  [SMALL_STATE(1930)] = 58386,
  [SMALL_STATE(1931)] = 58397,
  [SMALL_STATE(1932)] = 58410,
  [SMALL_STATE(1933)] = 58423,
  [SMALL_STATE(1934)] = 58436,
  [SMALL_STATE(1935)] = 58445,
  [SMALL_STATE(1936)] = 58456,
  [SMALL_STATE(1937)] = 58467,
  [SMALL_STATE(1938)] = 58478,
  [SMALL_STATE(1939)] = 58491,
  [SMALL_STATE(1940)] = 58502,
  [SMALL_STATE(1941)] = 58515,
  [SMALL_STATE(1942)] = 58526,
  [SMALL_STATE(1943)] = 58539,
  [SMALL_STATE(1944)] = 58550,
  [SMALL_STATE(1945)] = 58561,
  [SMALL_STATE(1946)] = 58572,
  [SMALL_STATE(1947)] = 58583,
  [SMALL_STATE(1948)] = 58594,
  [SMALL_STATE(1949)] = 58605,
  [SMALL_STATE(1950)] = 58618,
  [SMALL_STATE(1951)] = 58631,
  [SMALL_STATE(1952)] = 58644,
  [SMALL_STATE(1953)] = 58655,
  [SMALL_STATE(1954)] = 58668,
  [SMALL_STATE(1955)] = 58681,
  [SMALL_STATE(1956)] = 58692,
  [SMALL_STATE(1957)] = 58705,
  [SMALL_STATE(1958)] = 58718,
  [SMALL_STATE(1959)] = 58727,
  [SMALL_STATE(1960)] = 58738,
  [SMALL_STATE(1961)] = 58747,
  [SMALL_STATE(1962)] = 58758,
  [SMALL_STATE(1963)] = 58771,
  [SMALL_STATE(1964)] = 58784,
  [SMALL_STATE(1965)] = 58797,
  [SMALL_STATE(1966)] = 58806,
  [SMALL_STATE(1967)] = 58819,
  [SMALL_STATE(1968)] = 58828,
  [SMALL_STATE(1969)] = 58841,
  [SMALL_STATE(1970)] = 58852,
  [SMALL_STATE(1971)] = 58861,
  [SMALL_STATE(1972)] = 58872,
  [SMALL_STATE(1973)] = 58885,
  [SMALL_STATE(1974)] = 58896,
  [SMALL_STATE(1975)] = 58909,
  [SMALL_STATE(1976)] = 58920,
  [SMALL_STATE(1977)] = 58931,
  [SMALL_STATE(1978)] = 58942,
  [SMALL_STATE(1979)] = 58955,
  [SMALL_STATE(1980)] = 58968,
  [SMALL_STATE(1981)] = 58979,
  [SMALL_STATE(1982)] = 58990,
  [SMALL_STATE(1983)] = 59003,
  [SMALL_STATE(1984)] = 59014,
  [SMALL_STATE(1985)] = 59025,
  [SMALL_STATE(1986)] = 59038,
  [SMALL_STATE(1987)] = 59049,
  [SMALL_STATE(1988)] = 59060,
  [SMALL_STATE(1989)] = 59073,
  [SMALL_STATE(1990)] = 59082,
  [SMALL_STATE(1991)] = 59095,
  [SMALL_STATE(1992)] = 59106,
  [SMALL_STATE(1993)] = 59117,
  [SMALL_STATE(1994)] = 59128,
  [SMALL_STATE(1995)] = 59137,
  [SMALL_STATE(1996)] = 59148,
  [SMALL_STATE(1997)] = 59157,
  [SMALL_STATE(1998)] = 59170,
  [SMALL_STATE(1999)] = 59181,
  [SMALL_STATE(2000)] = 59194,
  [SMALL_STATE(2001)] = 59205,
  [SMALL_STATE(2002)] = 59218,
  [SMALL_STATE(2003)] = 59231,
  [SMALL_STATE(2004)] = 59244,
  [SMALL_STATE(2005)] = 59255,
  [SMALL_STATE(2006)] = 59266,
  [SMALL_STATE(2007)] = 59279,
  [SMALL_STATE(2008)] = 59292,
  [SMALL_STATE(2009)] = 59303,
  [SMALL_STATE(2010)] = 59314,
  [SMALL_STATE(2011)] = 59325,
  [SMALL_STATE(2012)] = 59338,
  [SMALL_STATE(2013)] = 59349,
  [SMALL_STATE(2014)] = 59358,
  [SMALL_STATE(2015)] = 59369,
  [SMALL_STATE(2016)] = 59380,
  [SMALL_STATE(2017)] = 59393,
  [SMALL_STATE(2018)] = 59406,
  [SMALL_STATE(2019)] = 59417,
  [SMALL_STATE(2020)] = 59428,
  [SMALL_STATE(2021)] = 59439,
  [SMALL_STATE(2022)] = 59452,
  [SMALL_STATE(2023)] = 59465,
  [SMALL_STATE(2024)] = 59478,
  [SMALL_STATE(2025)] = 59489,
  [SMALL_STATE(2026)] = 59500,
  [SMALL_STATE(2027)] = 59511,
  [SMALL_STATE(2028)] = 59522,
  [SMALL_STATE(2029)] = 59533,
  [SMALL_STATE(2030)] = 59544,
  [SMALL_STATE(2031)] = 59553,
  [SMALL_STATE(2032)] = 59564,
  [SMALL_STATE(2033)] = 59577,
  [SMALL_STATE(2034)] = 59588,
  [SMALL_STATE(2035)] = 59601,
  [SMALL_STATE(2036)] = 59612,
  [SMALL_STATE(2037)] = 59623,
  [SMALL_STATE(2038)] = 59636,
  [SMALL_STATE(2039)] = 59647,
  [SMALL_STATE(2040)] = 59658,
  [SMALL_STATE(2041)] = 59669,
  [SMALL_STATE(2042)] = 59680,
  [SMALL_STATE(2043)] = 59691,
  [SMALL_STATE(2044)] = 59704,
  [SMALL_STATE(2045)] = 59715,
  [SMALL_STATE(2046)] = 59726,
  [SMALL_STATE(2047)] = 59739,
  [SMALL_STATE(2048)] = 59748,
  [SMALL_STATE(2049)] = 59759,
  [SMALL_STATE(2050)] = 59772,
  [SMALL_STATE(2051)] = 59781,
  [SMALL_STATE(2052)] = 59792,
  [SMALL_STATE(2053)] = 59805,
  [SMALL_STATE(2054)] = 59818,
  [SMALL_STATE(2055)] = 59831,
  [SMALL_STATE(2056)] = 59840,
  [SMALL_STATE(2057)] = 59849,
  [SMALL_STATE(2058)] = 59862,
  [SMALL_STATE(2059)] = 59875,
  [SMALL_STATE(2060)] = 59888,
  [SMALL_STATE(2061)] = 59899,
  [SMALL_STATE(2062)] = 59912,
  [SMALL_STATE(2063)] = 59923,
  [SMALL_STATE(2064)] = 59934,
  [SMALL_STATE(2065)] = 59943,
  [SMALL_STATE(2066)] = 59956,
  [SMALL_STATE(2067)] = 59969,
  [SMALL_STATE(2068)] = 59980,
  [SMALL_STATE(2069)] = 59991,
  [SMALL_STATE(2070)] = 60002,
  [SMALL_STATE(2071)] = 60011,
  [SMALL_STATE(2072)] = 60024,
  [SMALL_STATE(2073)] = 60035,
  [SMALL_STATE(2074)] = 60048,
  [SMALL_STATE(2075)] = 60059,
  [SMALL_STATE(2076)] = 60070,
  [SMALL_STATE(2077)] = 60081,
  [SMALL_STATE(2078)] = 60094,
  [SMALL_STATE(2079)] = 60105,
  [SMALL_STATE(2080)] = 60116,
  [SMALL_STATE(2081)] = 60129,
  [SMALL_STATE(2082)] = 60140,
  [SMALL_STATE(2083)] = 60153,
  [SMALL_STATE(2084)] = 60166,
  [SMALL_STATE(2085)] = 60179,
  [SMALL_STATE(2086)] = 60192,
  [SMALL_STATE(2087)] = 60205,
  [SMALL_STATE(2088)] = 60218,
  [SMALL_STATE(2089)] = 60229,
  [SMALL_STATE(2090)] = 60240,
  [SMALL_STATE(2091)] = 60251,
  [SMALL_STATE(2092)] = 60264,
  [SMALL_STATE(2093)] = 60273,
  [SMALL_STATE(2094)] = 60286,
  [SMALL_STATE(2095)] = 60295,
  [SMALL_STATE(2096)] = 60306,
  [SMALL_STATE(2097)] = 60317,
  [SMALL_STATE(2098)] = 60328,
  [SMALL_STATE(2099)] = 60339,
  [SMALL_STATE(2100)] = 60352,
  [SMALL_STATE(2101)] = 60363,
  [SMALL_STATE(2102)] = 60376,
  [SMALL_STATE(2103)] = 60389,
  [SMALL_STATE(2104)] = 60402,
  [SMALL_STATE(2105)] = 60413,
  [SMALL_STATE(2106)] = 60424,
  [SMALL_STATE(2107)] = 60437,
  [SMALL_STATE(2108)] = 60446,
  [SMALL_STATE(2109)] = 60457,
  [SMALL_STATE(2110)] = 60470,
  [SMALL_STATE(2111)] = 60481,
  [SMALL_STATE(2112)] = 60492,
  [SMALL_STATE(2113)] = 60503,
  [SMALL_STATE(2114)] = 60514,
  [SMALL_STATE(2115)] = 60525,
  [SMALL_STATE(2116)] = 60536,
  [SMALL_STATE(2117)] = 60549,
  [SMALL_STATE(2118)] = 60562,
  [SMALL_STATE(2119)] = 60573,
  [SMALL_STATE(2120)] = 60586,
  [SMALL_STATE(2121)] = 60599,
  [SMALL_STATE(2122)] = 60612,
  [SMALL_STATE(2123)] = 60623,
  [SMALL_STATE(2124)] = 60634,
  [SMALL_STATE(2125)] = 60647,
  [SMALL_STATE(2126)] = 60658,
  [SMALL_STATE(2127)] = 60671,
  [SMALL_STATE(2128)] = 60682,
  [SMALL_STATE(2129)] = 60693,
  [SMALL_STATE(2130)] = 60706,
  [SMALL_STATE(2131)] = 60717,
  [SMALL_STATE(2132)] = 60728,
  [SMALL_STATE(2133)] = 60739,
  [SMALL_STATE(2134)] = 60750,
  [SMALL_STATE(2135)] = 60760,
  [SMALL_STATE(2136)] = 60768,
  [SMALL_STATE(2137)] = 60778,
  [SMALL_STATE(2138)] = 60786,
  [SMALL_STATE(2139)] = 60796,
  [SMALL_STATE(2140)] = 60804,
  [SMALL_STATE(2141)] = 60812,
  [SMALL_STATE(2142)] = 60820,
  [SMALL_STATE(2143)] = 60830,
  [SMALL_STATE(2144)] = 60840,
  [SMALL_STATE(2145)] = 60848,
  [SMALL_STATE(2146)] = 60858,
  [SMALL_STATE(2147)] = 60868,
  [SMALL_STATE(2148)] = 60876,
  [SMALL_STATE(2149)] = 60884,
  [SMALL_STATE(2150)] = 60894,
  [SMALL_STATE(2151)] = 60904,
  [SMALL_STATE(2152)] = 60912,
  [SMALL_STATE(2153)] = 60920,
  [SMALL_STATE(2154)] = 60930,
  [SMALL_STATE(2155)] = 60938,
  [SMALL_STATE(2156)] = 60948,
  [SMALL_STATE(2157)] = 60958,
  [SMALL_STATE(2158)] = 60968,
  [SMALL_STATE(2159)] = 60978,
  [SMALL_STATE(2160)] = 60988,
  [SMALL_STATE(2161)] = 60998,
  [SMALL_STATE(2162)] = 61006,
  [SMALL_STATE(2163)] = 61016,
  [SMALL_STATE(2164)] = 61026,
  [SMALL_STATE(2165)] = 61036,
  [SMALL_STATE(2166)] = 61046,
  [SMALL_STATE(2167)] = 61056,
  [SMALL_STATE(2168)] = 61066,
  [SMALL_STATE(2169)] = 61074,
  [SMALL_STATE(2170)] = 61084,
  [SMALL_STATE(2171)] = 61092,
  [SMALL_STATE(2172)] = 61102,
  [SMALL_STATE(2173)] = 61110,
  [SMALL_STATE(2174)] = 61120,
  [SMALL_STATE(2175)] = 61128,
  [SMALL_STATE(2176)] = 61136,
  [SMALL_STATE(2177)] = 61144,
  [SMALL_STATE(2178)] = 61154,
  [SMALL_STATE(2179)] = 61162,
  [SMALL_STATE(2180)] = 61170,
  [SMALL_STATE(2181)] = 61178,
  [SMALL_STATE(2182)] = 61188,
  [SMALL_STATE(2183)] = 61196,
  [SMALL_STATE(2184)] = 61206,
  [SMALL_STATE(2185)] = 61214,
  [SMALL_STATE(2186)] = 61224,
  [SMALL_STATE(2187)] = 61234,
  [SMALL_STATE(2188)] = 61244,
  [SMALL_STATE(2189)] = 61254,
  [SMALL_STATE(2190)] = 61262,
  [SMALL_STATE(2191)] = 61272,
  [SMALL_STATE(2192)] = 61282,
  [SMALL_STATE(2193)] = 61290,
  [SMALL_STATE(2194)] = 61298,
  [SMALL_STATE(2195)] = 61308,
  [SMALL_STATE(2196)] = 61316,
  [SMALL_STATE(2197)] = 61326,
  [SMALL_STATE(2198)] = 61336,
  [SMALL_STATE(2199)] = 61346,
  [SMALL_STATE(2200)] = 61356,
  [SMALL_STATE(2201)] = 61366,
  [SMALL_STATE(2202)] = 61374,
  [SMALL_STATE(2203)] = 61384,
  [SMALL_STATE(2204)] = 61392,
  [SMALL_STATE(2205)] = 61402,
  [SMALL_STATE(2206)] = 61412,
  [SMALL_STATE(2207)] = 61422,
  [SMALL_STATE(2208)] = 61430,
  [SMALL_STATE(2209)] = 61440,
  [SMALL_STATE(2210)] = 61450,
  [SMALL_STATE(2211)] = 61458,
  [SMALL_STATE(2212)] = 61468,
  [SMALL_STATE(2213)] = 61476,
  [SMALL_STATE(2214)] = 61484,
  [SMALL_STATE(2215)] = 61494,
  [SMALL_STATE(2216)] = 61504,
  [SMALL_STATE(2217)] = 61514,
  [SMALL_STATE(2218)] = 61522,
  [SMALL_STATE(2219)] = 61532,
  [SMALL_STATE(2220)] = 61540,
  [SMALL_STATE(2221)] = 61550,
  [SMALL_STATE(2222)] = 61560,
  [SMALL_STATE(2223)] = 61570,
  [SMALL_STATE(2224)] = 61580,
  [SMALL_STATE(2225)] = 61590,
  [SMALL_STATE(2226)] = 61598,
  [SMALL_STATE(2227)] = 61608,
  [SMALL_STATE(2228)] = 61616,
  [SMALL_STATE(2229)] = 61626,
  [SMALL_STATE(2230)] = 61636,
  [SMALL_STATE(2231)] = 61644,
  [SMALL_STATE(2232)] = 61652,
  [SMALL_STATE(2233)] = 61660,
  [SMALL_STATE(2234)] = 61670,
  [SMALL_STATE(2235)] = 61680,
  [SMALL_STATE(2236)] = 61688,
  [SMALL_STATE(2237)] = 61698,
  [SMALL_STATE(2238)] = 61708,
  [SMALL_STATE(2239)] = 61718,
  [SMALL_STATE(2240)] = 61726,
  [SMALL_STATE(2241)] = 61736,
  [SMALL_STATE(2242)] = 61746,
  [SMALL_STATE(2243)] = 61756,
  [SMALL_STATE(2244)] = 61764,
  [SMALL_STATE(2245)] = 61772,
  [SMALL_STATE(2246)] = 61780,
  [SMALL_STATE(2247)] = 61788,
  [SMALL_STATE(2248)] = 61798,
  [SMALL_STATE(2249)] = 61808,
  [SMALL_STATE(2250)] = 61818,
  [SMALL_STATE(2251)] = 61826,
  [SMALL_STATE(2252)] = 61836,
  [SMALL_STATE(2253)] = 61844,
  [SMALL_STATE(2254)] = 61854,
  [SMALL_STATE(2255)] = 61864,
  [SMALL_STATE(2256)] = 61874,
  [SMALL_STATE(2257)] = 61884,
  [SMALL_STATE(2258)] = 61894,
  [SMALL_STATE(2259)] = 61902,
  [SMALL_STATE(2260)] = 61910,
  [SMALL_STATE(2261)] = 61918,
  [SMALL_STATE(2262)] = 61926,
  [SMALL_STATE(2263)] = 61936,
  [SMALL_STATE(2264)] = 61944,
  [SMALL_STATE(2265)] = 61952,
  [SMALL_STATE(2266)] = 61960,
  [SMALL_STATE(2267)] = 61968,
  [SMALL_STATE(2268)] = 61976,
  [SMALL_STATE(2269)] = 61984,
  [SMALL_STATE(2270)] = 61994,
  [SMALL_STATE(2271)] = 62004,
  [SMALL_STATE(2272)] = 62012,
  [SMALL_STATE(2273)] = 62020,
  [SMALL_STATE(2274)] = 62028,
  [SMALL_STATE(2275)] = 62038,
  [SMALL_STATE(2276)] = 62046,
  [SMALL_STATE(2277)] = 62054,
  [SMALL_STATE(2278)] = 62064,
  [SMALL_STATE(2279)] = 62074,
  [SMALL_STATE(2280)] = 62082,
  [SMALL_STATE(2281)] = 62092,
  [SMALL_STATE(2282)] = 62102,
  [SMALL_STATE(2283)] = 62110,
  [SMALL_STATE(2284)] = 62120,
  [SMALL_STATE(2285)] = 62128,
  [SMALL_STATE(2286)] = 62138,
  [SMALL_STATE(2287)] = 62148,
  [SMALL_STATE(2288)] = 62158,
  [SMALL_STATE(2289)] = 62168,
  [SMALL_STATE(2290)] = 62176,
  [SMALL_STATE(2291)] = 62184,
  [SMALL_STATE(2292)] = 62194,
  [SMALL_STATE(2293)] = 62202,
  [SMALL_STATE(2294)] = 62212,
  [SMALL_STATE(2295)] = 62222,
  [SMALL_STATE(2296)] = 62232,
  [SMALL_STATE(2297)] = 62242,
  [SMALL_STATE(2298)] = 62252,
  [SMALL_STATE(2299)] = 62262,
  [SMALL_STATE(2300)] = 62272,
  [SMALL_STATE(2301)] = 62280,
  [SMALL_STATE(2302)] = 62290,
  [SMALL_STATE(2303)] = 62300,
  [SMALL_STATE(2304)] = 62310,
  [SMALL_STATE(2305)] = 62320,
  [SMALL_STATE(2306)] = 62330,
  [SMALL_STATE(2307)] = 62340,
  [SMALL_STATE(2308)] = 62348,
  [SMALL_STATE(2309)] = 62358,
  [SMALL_STATE(2310)] = 62368,
  [SMALL_STATE(2311)] = 62378,
  [SMALL_STATE(2312)] = 62388,
  [SMALL_STATE(2313)] = 62398,
  [SMALL_STATE(2314)] = 62406,
  [SMALL_STATE(2315)] = 62414,
  [SMALL_STATE(2316)] = 62424,
  [SMALL_STATE(2317)] = 62432,
  [SMALL_STATE(2318)] = 62442,
  [SMALL_STATE(2319)] = 62450,
  [SMALL_STATE(2320)] = 62460,
  [SMALL_STATE(2321)] = 62468,
  [SMALL_STATE(2322)] = 62478,
  [SMALL_STATE(2323)] = 62488,
  [SMALL_STATE(2324)] = 62498,
  [SMALL_STATE(2325)] = 62508,
  [SMALL_STATE(2326)] = 62518,
  [SMALL_STATE(2327)] = 62526,
  [SMALL_STATE(2328)] = 62536,
  [SMALL_STATE(2329)] = 62544,
  [SMALL_STATE(2330)] = 62554,
  [SMALL_STATE(2331)] = 62564,
  [SMALL_STATE(2332)] = 62574,
  [SMALL_STATE(2333)] = 62582,
  [SMALL_STATE(2334)] = 62592,
  [SMALL_STATE(2335)] = 62602,
  [SMALL_STATE(2336)] = 62612,
  [SMALL_STATE(2337)] = 62622,
  [SMALL_STATE(2338)] = 62632,
  [SMALL_STATE(2339)] = 62640,
  [SMALL_STATE(2340)] = 62648,
  [SMALL_STATE(2341)] = 62658,
  [SMALL_STATE(2342)] = 62668,
  [SMALL_STATE(2343)] = 62676,
  [SMALL_STATE(2344)] = 62684,
  [SMALL_STATE(2345)] = 62694,
  [SMALL_STATE(2346)] = 62704,
  [SMALL_STATE(2347)] = 62714,
  [SMALL_STATE(2348)] = 62724,
  [SMALL_STATE(2349)] = 62734,
  [SMALL_STATE(2350)] = 62744,
  [SMALL_STATE(2351)] = 62752,
  [SMALL_STATE(2352)] = 62762,
  [SMALL_STATE(2353)] = 62772,
  [SMALL_STATE(2354)] = 62782,
  [SMALL_STATE(2355)] = 62792,
  [SMALL_STATE(2356)] = 62802,
  [SMALL_STATE(2357)] = 62812,
  [SMALL_STATE(2358)] = 62822,
  [SMALL_STATE(2359)] = 62830,
  [SMALL_STATE(2360)] = 62840,
  [SMALL_STATE(2361)] = 62850,
  [SMALL_STATE(2362)] = 62860,
  [SMALL_STATE(2363)] = 62870,
  [SMALL_STATE(2364)] = 62880,
  [SMALL_STATE(2365)] = 62890,
  [SMALL_STATE(2366)] = 62898,
  [SMALL_STATE(2367)] = 62908,
  [SMALL_STATE(2368)] = 62916,
  [SMALL_STATE(2369)] = 62924,
  [SMALL_STATE(2370)] = 62934,
  [SMALL_STATE(2371)] = 62944,
  [SMALL_STATE(2372)] = 62952,
  [SMALL_STATE(2373)] = 62962,
  [SMALL_STATE(2374)] = 62972,
  [SMALL_STATE(2375)] = 62982,
  [SMALL_STATE(2376)] = 62990,
  [SMALL_STATE(2377)] = 62998,
  [SMALL_STATE(2378)] = 63006,
  [SMALL_STATE(2379)] = 63014,
  [SMALL_STATE(2380)] = 63022,
  [SMALL_STATE(2381)] = 63030,
  [SMALL_STATE(2382)] = 63040,
  [SMALL_STATE(2383)] = 63050,
  [SMALL_STATE(2384)] = 63060,
  [SMALL_STATE(2385)] = 63068,
  [SMALL_STATE(2386)] = 63078,
  [SMALL_STATE(2387)] = 63088,
  [SMALL_STATE(2388)] = 63096,
  [SMALL_STATE(2389)] = 63106,
  [SMALL_STATE(2390)] = 63116,
  [SMALL_STATE(2391)] = 63124,
  [SMALL_STATE(2392)] = 63132,
  [SMALL_STATE(2393)] = 63142,
  [SMALL_STATE(2394)] = 63152,
  [SMALL_STATE(2395)] = 63160,
  [SMALL_STATE(2396)] = 63170,
  [SMALL_STATE(2397)] = 63180,
  [SMALL_STATE(2398)] = 63190,
  [SMALL_STATE(2399)] = 63197,
  [SMALL_STATE(2400)] = 63204,
  [SMALL_STATE(2401)] = 63211,
  [SMALL_STATE(2402)] = 63218,
  [SMALL_STATE(2403)] = 63225,
  [SMALL_STATE(2404)] = 63232,
  [SMALL_STATE(2405)] = 63239,
  [SMALL_STATE(2406)] = 63246,
  [SMALL_STATE(2407)] = 63253,
  [SMALL_STATE(2408)] = 63260,
  [SMALL_STATE(2409)] = 63267,
  [SMALL_STATE(2410)] = 63274,
  [SMALL_STATE(2411)] = 63281,
  [SMALL_STATE(2412)] = 63288,
  [SMALL_STATE(2413)] = 63295,
  [SMALL_STATE(2414)] = 63302,
  [SMALL_STATE(2415)] = 63309,
  [SMALL_STATE(2416)] = 63316,
  [SMALL_STATE(2417)] = 63323,
  [SMALL_STATE(2418)] = 63330,
  [SMALL_STATE(2419)] = 63337,
  [SMALL_STATE(2420)] = 63344,
  [SMALL_STATE(2421)] = 63351,
  [SMALL_STATE(2422)] = 63358,
  [SMALL_STATE(2423)] = 63365,
  [SMALL_STATE(2424)] = 63372,
  [SMALL_STATE(2425)] = 63379,
  [SMALL_STATE(2426)] = 63386,
  [SMALL_STATE(2427)] = 63393,
  [SMALL_STATE(2428)] = 63400,
  [SMALL_STATE(2429)] = 63407,
  [SMALL_STATE(2430)] = 63414,
  [SMALL_STATE(2431)] = 63421,
  [SMALL_STATE(2432)] = 63428,
  [SMALL_STATE(2433)] = 63435,
  [SMALL_STATE(2434)] = 63442,
  [SMALL_STATE(2435)] = 63449,
  [SMALL_STATE(2436)] = 63456,
  [SMALL_STATE(2437)] = 63463,
  [SMALL_STATE(2438)] = 63470,
  [SMALL_STATE(2439)] = 63477,
  [SMALL_STATE(2440)] = 63484,
  [SMALL_STATE(2441)] = 63491,
  [SMALL_STATE(2442)] = 63498,
  [SMALL_STATE(2443)] = 63505,
  [SMALL_STATE(2444)] = 63512,
  [SMALL_STATE(2445)] = 63519,
  [SMALL_STATE(2446)] = 63526,
  [SMALL_STATE(2447)] = 63533,
  [SMALL_STATE(2448)] = 63540,
  [SMALL_STATE(2449)] = 63547,
  [SMALL_STATE(2450)] = 63554,
  [SMALL_STATE(2451)] = 63561,
  [SMALL_STATE(2452)] = 63568,
  [SMALL_STATE(2453)] = 63575,
  [SMALL_STATE(2454)] = 63582,
  [SMALL_STATE(2455)] = 63589,
  [SMALL_STATE(2456)] = 63596,
  [SMALL_STATE(2457)] = 63603,
  [SMALL_STATE(2458)] = 63610,
  [SMALL_STATE(2459)] = 63617,
  [SMALL_STATE(2460)] = 63624,
  [SMALL_STATE(2461)] = 63631,
  [SMALL_STATE(2462)] = 63638,
  [SMALL_STATE(2463)] = 63645,
  [SMALL_STATE(2464)] = 63652,
  [SMALL_STATE(2465)] = 63659,
  [SMALL_STATE(2466)] = 63666,
  [SMALL_STATE(2467)] = 63673,
  [SMALL_STATE(2468)] = 63680,
  [SMALL_STATE(2469)] = 63687,
  [SMALL_STATE(2470)] = 63694,
  [SMALL_STATE(2471)] = 63701,
  [SMALL_STATE(2472)] = 63708,
  [SMALL_STATE(2473)] = 63715,
  [SMALL_STATE(2474)] = 63722,
  [SMALL_STATE(2475)] = 63729,
  [SMALL_STATE(2476)] = 63736,
  [SMALL_STATE(2477)] = 63743,
  [SMALL_STATE(2478)] = 63750,
  [SMALL_STATE(2479)] = 63757,
  [SMALL_STATE(2480)] = 63764,
  [SMALL_STATE(2481)] = 63771,
  [SMALL_STATE(2482)] = 63778,
  [SMALL_STATE(2483)] = 63785,
  [SMALL_STATE(2484)] = 63792,
  [SMALL_STATE(2485)] = 63799,
  [SMALL_STATE(2486)] = 63806,
  [SMALL_STATE(2487)] = 63813,
  [SMALL_STATE(2488)] = 63820,
  [SMALL_STATE(2489)] = 63827,
  [SMALL_STATE(2490)] = 63834,
  [SMALL_STATE(2491)] = 63841,
  [SMALL_STATE(2492)] = 63848,
  [SMALL_STATE(2493)] = 63855,
  [SMALL_STATE(2494)] = 63862,
  [SMALL_STATE(2495)] = 63869,
  [SMALL_STATE(2496)] = 63876,
  [SMALL_STATE(2497)] = 63883,
  [SMALL_STATE(2498)] = 63890,
  [SMALL_STATE(2499)] = 63897,
  [SMALL_STATE(2500)] = 63904,
  [SMALL_STATE(2501)] = 63911,
  [SMALL_STATE(2502)] = 63918,
  [SMALL_STATE(2503)] = 63925,
  [SMALL_STATE(2504)] = 63932,
  [SMALL_STATE(2505)] = 63939,
  [SMALL_STATE(2506)] = 63946,
  [SMALL_STATE(2507)] = 63953,
  [SMALL_STATE(2508)] = 63960,
  [SMALL_STATE(2509)] = 63967,
  [SMALL_STATE(2510)] = 63974,
  [SMALL_STATE(2511)] = 63981,
  [SMALL_STATE(2512)] = 63988,
  [SMALL_STATE(2513)] = 63995,
  [SMALL_STATE(2514)] = 64002,
  [SMALL_STATE(2515)] = 64009,
  [SMALL_STATE(2516)] = 64016,
  [SMALL_STATE(2517)] = 64023,
  [SMALL_STATE(2518)] = 64030,
  [SMALL_STATE(2519)] = 64037,
  [SMALL_STATE(2520)] = 64044,
  [SMALL_STATE(2521)] = 64051,
  [SMALL_STATE(2522)] = 64058,
  [SMALL_STATE(2523)] = 64065,
  [SMALL_STATE(2524)] = 64072,
  [SMALL_STATE(2525)] = 64079,
  [SMALL_STATE(2526)] = 64086,
  [SMALL_STATE(2527)] = 64093,
  [SMALL_STATE(2528)] = 64100,
  [SMALL_STATE(2529)] = 64107,
  [SMALL_STATE(2530)] = 64114,
  [SMALL_STATE(2531)] = 64121,
  [SMALL_STATE(2532)] = 64128,
  [SMALL_STATE(2533)] = 64135,
  [SMALL_STATE(2534)] = 64142,
  [SMALL_STATE(2535)] = 64149,
  [SMALL_STATE(2536)] = 64156,
  [SMALL_STATE(2537)] = 64163,
  [SMALL_STATE(2538)] = 64170,
  [SMALL_STATE(2539)] = 64177,
  [SMALL_STATE(2540)] = 64184,
  [SMALL_STATE(2541)] = 64191,
  [SMALL_STATE(2542)] = 64198,
  [SMALL_STATE(2543)] = 64205,
  [SMALL_STATE(2544)] = 64212,
  [SMALL_STATE(2545)] = 64219,
  [SMALL_STATE(2546)] = 64226,
  [SMALL_STATE(2547)] = 64233,
  [SMALL_STATE(2548)] = 64240,
  [SMALL_STATE(2549)] = 64247,
  [SMALL_STATE(2550)] = 64254,
  [SMALL_STATE(2551)] = 64261,
  [SMALL_STATE(2552)] = 64268,
  [SMALL_STATE(2553)] = 64275,
  [SMALL_STATE(2554)] = 64282,
  [SMALL_STATE(2555)] = 64289,
  [SMALL_STATE(2556)] = 64296,
  [SMALL_STATE(2557)] = 64303,
  [SMALL_STATE(2558)] = 64310,
  [SMALL_STATE(2559)] = 64317,
  [SMALL_STATE(2560)] = 64324,
  [SMALL_STATE(2561)] = 64331,
  [SMALL_STATE(2562)] = 64338,
  [SMALL_STATE(2563)] = 64345,
  [SMALL_STATE(2564)] = 64352,
  [SMALL_STATE(2565)] = 64359,
  [SMALL_STATE(2566)] = 64366,
  [SMALL_STATE(2567)] = 64373,
  [SMALL_STATE(2568)] = 64380,
  [SMALL_STATE(2569)] = 64387,
  [SMALL_STATE(2570)] = 64394,
  [SMALL_STATE(2571)] = 64401,
  [SMALL_STATE(2572)] = 64408,
  [SMALL_STATE(2573)] = 64415,
  [SMALL_STATE(2574)] = 64422,
  [SMALL_STATE(2575)] = 64429,
  [SMALL_STATE(2576)] = 64436,
  [SMALL_STATE(2577)] = 64443,
  [SMALL_STATE(2578)] = 64450,
  [SMALL_STATE(2579)] = 64457,
  [SMALL_STATE(2580)] = 64464,
  [SMALL_STATE(2581)] = 64471,
  [SMALL_STATE(2582)] = 64478,
  [SMALL_STATE(2583)] = 64485,
  [SMALL_STATE(2584)] = 64492,
  [SMALL_STATE(2585)] = 64499,
  [SMALL_STATE(2586)] = 64506,
  [SMALL_STATE(2587)] = 64513,
  [SMALL_STATE(2588)] = 64520,
  [SMALL_STATE(2589)] = 64527,
  [SMALL_STATE(2590)] = 64534,
  [SMALL_STATE(2591)] = 64541,
  [SMALL_STATE(2592)] = 64548,
  [SMALL_STATE(2593)] = 64555,
  [SMALL_STATE(2594)] = 64562,
  [SMALL_STATE(2595)] = 64569,
  [SMALL_STATE(2596)] = 64576,
  [SMALL_STATE(2597)] = 64583,
  [SMALL_STATE(2598)] = 64590,
  [SMALL_STATE(2599)] = 64597,
  [SMALL_STATE(2600)] = 64604,
  [SMALL_STATE(2601)] = 64611,
  [SMALL_STATE(2602)] = 64618,
  [SMALL_STATE(2603)] = 64625,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(793),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2078),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1397),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1456),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1142),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2145),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(64),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2594),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2593),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2592),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2589),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1315),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1346),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1310),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(89),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2040),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2579),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1047),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2159),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2166),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(80),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2568),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2167),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2169),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2171),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(295),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(664),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(105),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(747),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1057),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1059),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1378),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1751),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1392),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(397),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(416),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 130),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 130),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 130),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 130),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2590),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2222),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2599),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2603),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2204),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(752),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(863),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2395),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 3),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 3),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2256),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(77),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2256),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(77),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 179),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 179),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 3),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 88),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 88),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 88), SHIFT_REPEAT(2256),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 162),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 162),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 103),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 103),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 85),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 85),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 172),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 172),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 12),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 108),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 108),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 62),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 62),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 41),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 66),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 66),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 144),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 144),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 18),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 84),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 84),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 109),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 109),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 41),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7, 0, 0),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 86),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 86),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 9),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 46),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 163),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 163),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 18),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 45),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 143),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 143),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 103),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 103),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 44),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 172),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 172),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 3),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 87),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 87),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 12),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 18),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 41),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 110),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 110),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 108),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 108),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 41),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 27),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 62),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 62),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 3),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 18),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 45),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 150),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 150),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 39),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 62),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 62),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 12),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 109),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 109),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 103),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 103),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 12),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 11),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 12),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 149),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 144),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 144),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 163),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 163),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 168),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 168),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 87),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 87),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 66),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 66),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 85),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 85),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 127),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 127),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 39),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 12),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 25),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 24),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 43),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 25),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 99),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, 0, 99),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, 0, 99),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, 0, 99),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 60),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 60),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 60),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 60),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 139),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, 0, 139),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 59),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 59),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, 0, 138),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, 0, 138),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, 0, 139),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, 0, 139),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 8),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [1688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2464),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 0),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 98),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 98),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(747),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2023),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2145),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(94),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1379),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1779),
  [1792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2052),
  [1795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 5),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 134),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 134),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 89),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 89),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 50),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 50),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 17),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 133),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 133),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 164),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 164),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 165),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 165),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 17),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 17),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 91),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 91),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 90),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 90),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 19),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 19),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 51),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 51),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 95),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 95),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 180),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, 0, 180),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 80),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 79),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 79),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 78),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 78),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 146),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 61),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 61),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 54),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 54),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 47),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 0),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 145),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 142),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 0),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 43),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, 0, 47),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 93),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 93),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 94),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 94),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 100),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 100),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 101),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 101),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 102),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 102),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 38),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 37),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, 0, 105),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, 0, 35),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 122),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 122),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 141),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 171),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 171),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 170),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 170),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 169),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 169),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 167),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 167),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 166),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, 0, 166),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, 0, 47),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 147),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, 0, 47),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 135),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 135),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 5),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 136),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 136),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 137),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 137),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, 0, 140),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 18),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, 0, 14),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1315),
  [2246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [2249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [2252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(975),
  [2255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1310),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 21),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 97),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 97),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 58),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 57),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 57),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 22),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 28),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2, 0, 0),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 175),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 152),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 181),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 153),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 154),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [2516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [2519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1429),
  [2522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1521),
  [2525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1142),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1315),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [2536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(634),
  [2542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1310),
  [2545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 111),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 174),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 76),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 158),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 173),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 129),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 128),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 113),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 52),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 115),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 176),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 53),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 121),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 92),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [2753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1429),
  [2756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1521),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2459),
  [2764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1315),
  [2767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [2770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1310),
  [2779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [2856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1411),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [2866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [2869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [2872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1411),
  [2875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1640),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 125),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 124),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 27),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 126),
  [2898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(388),
  [2901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1367),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1367),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1640),
  [2912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 82),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 160),
  [2916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 161),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 9),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 159),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 72),
  [2966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(226),
  [2969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1384),
  [2972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1384),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1656),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 39),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 39),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 83),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 40),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 182),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 177),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 81),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 177),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 159),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 123),
  [3030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(292),
  [3033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1402),
  [3036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1402),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1658),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 11),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 178),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3058] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3065] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [3136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [3139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1327),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [3362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2361),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 7),
  [3375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 25),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [3387] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1334),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [3404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2227),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(2369),
  [3462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 46), SHIFT(75),
  [3465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(2369),
  [3468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 18), SHIFT(75),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [3501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [3504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 88), SHIFT_REPEAT(2369),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [3577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1441),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [3592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 88),
  [3594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 88), SHIFT_REPEAT(2249),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 88),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 0),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [3616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [3619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2464),
  [3631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1320),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 34),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2456),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 13),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [3713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2456),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2456),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [3751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1334),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [3758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1, 0, 0),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 2),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1762),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [3826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2, 0, 0),
  [3828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1541),
  [3836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [3848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1927),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1592),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1423),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [3938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1852),
  [3943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1852),
  [3946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1430),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [3973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 18),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 15),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [3988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [3996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(287),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 2),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(148),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2, 0, 0),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 0),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 132),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 26),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [4098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3, 0, 0),
  [4100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2, 0, 0),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 6),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 33),
  [4110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1676),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2, 0, 0),
  [4115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 155),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 29),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 30),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 31),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 120),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 32),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1759),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 4),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 118),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 112),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 36),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [4187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 106),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 44),
  [4195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [4209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(135),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 48),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 49),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 49),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 49),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(144),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1421),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(855),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 77),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 55),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 75),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [4314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 132),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 74),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 73),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 71),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 63),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(739),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 69),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 68),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 67),
  [4371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1, 0, 0), SHIFT(2257),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 70),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 72),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [4384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 131),
  [4398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2, 0, 0), SHIFT(2257),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 157),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3, 0, 0),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 114),
  [4475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 116),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [4493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2464),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 11),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2, 0, 0),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 16),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [4626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4, 0, 0),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 42),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 148),
  [4690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [4700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 104),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 96),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [4784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 3),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4816] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 56),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [4862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
